This folder contains the research data collected for the ICPC 2022 submission 
"An analysis of how SQL learners (mis)manage complexity during query formulation"

The contents of this folder are as follows:
- The folder `'logs_week4'` contain the raw python notebook logs per participant. 
- `parse_logs.py` contains a script that gathers the queries from the notebook logs from all participants and parses them into a single dataframe and saves as `output.csv`.
- `calculate_correctness.py` contains a script to evaluate each query in the dataframe for correctness by running both on the database instance and comparing the outcomes. This results in a judgement of correct, semantic error, syntactic error or time-out. Saved to `output_correct.csv`.
- `shopping.db` contains an instance of the database required to execute all queries.
- `shoppingDB.sql` contains the data to fill or reset `shopping.db`.
- The notebook `ICPC.ipynb` contains the code for analysis of the data and to create all plots in the paper.
- The notebook `graded_homework_week_4.ipynb` contains the notebooks as prepared for the participants in the study.


To replicate the analysis, take the following steps: 
First, generate a virtual environment. You only need to do this once.
```
python3 -m venv venv
```

Alternatively, on Windows, use:
```
python -m venv venv
```

Then activate the virtual environment by running (always do this when working on the project):
```
source venv/bin/activate
```

Alternatively, on Windows, use:
```
venv\Scripts\activate.bat
```

Then install the dependencies by running:
```
pip install -r requirements.txt
```

Then, run `parse_logs.py` to create a dataframe saved in `output.csv`.
``` 
python parse_logs.py
```

Run `calculate_correctness.py` to calculate correctness of the queries, saved to `output_correct.csv`. Beware, executing all queries will stress the CPU and will take a while to finish (~)
``` 
python calculate_correctness.py
```

Finally, open the notebook ICPC.ipynb with Jupyter Notebooks and execute all cells. All figures and tables used in the paper will be generated, along with some other statistics.


