# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x231d9abe570>
query1 = '''
    SELECT pID NOT IN (SELECT pID FROM purchase AS p1, purchase AS p2, purchase AS p3 WHERE p1.pID = p2.pID = p3.pID 
    AND p1.cID != p2.cID != p3.cID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID 
    NOT IN (SELECT p1.pID FROM purchase AS p1, purchase AS p2, purchase AS p3 WHERE p1.pID = p2.pID = p3.pID 
    AND p1.cID != p2.cID != p3.cID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.pID = p2.pID = p3.pID
    AND NOT(p1.cID = p2.cID) AND NOT (p1.cID = p3.cID) AND NOT (p2.cID = p3.cID))
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase p, product pr, purchase p2, product pr2, customer c
    WHERE p.cID = p2.cID AND p.date = p2.date
    AND p.pID = pr.pID AND pr.pName = 'Onions'
    AND p2.pID = pr2.pID AND pr2.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      0     Noah
#[Out]# 2      1      Sem
#[Out]# 3      1      Sem
#[Out]# 4      2    Lucas
#[Out]# 5      2    Lucas
#[Out]# 6      3     Finn
#[Out]# 7      3     Finn
#[Out]# 8      4     Daan
#[Out]# 9      4     Daan
#[Out]# 10     5     Levi
#[Out]# 11     5     Levi
#[Out]# 12     6    Milan
#[Out]# 13     6    Milan
#[Out]# 14     7     Bram
#[Out]# 15     7     Bram
#[Out]# 16     8     Liam
#[Out]# 17     8     Liam
#[Out]# 18     9   Thomas
#[Out]# 19     9   Thomas
#[Out]# 20    10      Sam
#[Out]# 21    10      Sam
#[Out]# 22    11    Thijs
#[Out]# 23    11    Thijs
#[Out]# 24    12     Adam
#[Out]# 25    12     Adam
#[Out]# 26    13    James
#[Out]# 27    13    James
#[Out]# 28    14      Max
#[Out]# 29    14      Max
#[Out]# ..   ...      ...
#[Out]# 350  175      Sam
#[Out]# 351  175      Sam
#[Out]# 352  176    Amira
#[Out]# 353  176    Amira
#[Out]# 354  177    Eline
#[Out]# 355  177    Eline
#[Out]# 356  178     Elif
#[Out]# 357  178     Elif
#[Out]# 358  179     Juul
#[Out]# 359  179     Juul
#[Out]# 360  180    Merel
#[Out]# 361  180    Merel
#[Out]# 362  181     Liva
#[Out]# 363  181     Liva
#[Out]# 364  182  Johanna
#[Out]# 365  182  Johanna
#[Out]# 366  183    Nikki
#[Out]# 367  183    Nikki
#[Out]# 368  184    Wilko
#[Out]# 369  184    Wilko
#[Out]# 370  185     Nick
#[Out]# 371  185     Nick
#[Out]# 372  186   Angela
#[Out]# 373  186   Angela
#[Out]# 374  188     Pino
#[Out]# 375  188     Pino
#[Out]# 376  189     Koen
#[Out]# 377  189     Koen
#[Out]# 378  190   Kostas
#[Out]# 379  190   Kostas
#[Out]# 
#[Out]# [380 rows x 2 columns]
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase p, product pr, purchase p2, product pr2, customer c
    WHERE p.cID = p2.cID AND p.date = p2.date
    AND p.pID = pr.pID AND pr.pName = 'Onions'
    AND p2.pID = pr2.pID AND pr2.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query1 = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.pID = p2.pID AND p2.pID = p3.pID
    AND NOT(p1.cID = p2.cID) AND NOT (p1.cID = p3.cID) AND NOT (p2.cID = p3.cID))
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   29
#[Out]# 2   30
#[Out]# 3   30
query1 = '''
    SELECT DISTINCT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.pID = p2.pID AND p2.pID = p3.pID
    AND NOT(p1.cID = p2.cID) AND NOT (p1.cID = p3.cID) AND NOT (p2.cID = p3.cID))
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT DISTINCT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.pID = p2.pID AND p2.pID = p3.pID AND p1.pID = p3.pID
    AND NOT(p1.cID = p2.cID) AND NOT (p1.cID = p3.cID) AND NOT (p2.cID = p3.cID))
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT DISTINCT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.pID = p2.pID AND p2.pID = p3.pID
    AND NOT(p1.cID = p2.cID) AND NOT (p1.cID = p3.cID) AND NOT (p2.cID = p3.cID))
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID)
    GROUP BY sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID)
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s, store s2, purchase p
    
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID) AND p.sID = s.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID)
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID)
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   63   44
#[Out]# 1         Coop   63   55
#[Out]# 2         Dirk   63   58
#[Out]# 3    Hoogvliet   63   49
#[Out]# 4        Jumbo   63   63
#[Out]# 5         Lidl   63   61
#[Out]# 6       Sligro   63   50
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID, s2.sID
    FROM store s, store s2, purchase p
    WHERE NOT (s.sID = s2.sID)
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID  sID
#[Out]# 0  Albert Hein   63   44   63
#[Out]# 1         Coop   63   55   63
#[Out]# 2         Dirk   63   58   63
#[Out]# 3    Hoogvliet   63   49   63
#[Out]# 4        Jumbo   63   63   62
#[Out]# 5         Lidl   63   61   63
#[Out]# 6       Sligro   63   50   63
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID, s2.sID
    FROM store s, store s2, purchase p
    WHERE NOT(s.sID = s2.sID)
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID  sID
#[Out]# 0  Albert Hein   63   44   63
#[Out]# 1         Coop   63   55   63
#[Out]# 2         Dirk   63   58   63
#[Out]# 3    Hoogvliet   63   49   63
#[Out]# 4        Jumbo   63   63   62
#[Out]# 5         Lidl   63   61   63
#[Out]# 6       Sligro   63   50   63
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   63   44
#[Out]# 1         Coop   63   55
#[Out]# 2         Dirk   63   58
#[Out]# 3    Hoogvliet   63   49
#[Out]# 4        Jumbo   63   63
#[Out]# 5         Lidl   63   61
#[Out]# 6       Sligro   63   50
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   44   44
#[Out]# 1         Coop   55   55
#[Out]# 2         Dirk   58   58
#[Out]# 3    Hoogvliet   49   49
#[Out]# 4         Lidl   61   61
#[Out]# 5       Sligro   50   50
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4 AND count(DISTINCT s.sID) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   44   44
#[Out]# 1         Coop   55   55
#[Out]# 2         Dirk   58   58
#[Out]# 3    Hoogvliet   49   49
#[Out]# 4         Lidl   61   61
#[Out]# 5       Sligro   50   50
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4 AND count(DISTINCT s.sID) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   44   44
#[Out]# 1         Coop   55   55
#[Out]# 2         Dirk   58   58
#[Out]# 3    Hoogvliet   49   49
#[Out]# 4         Lidl   61   61
#[Out]# 5       Sligro   50   50
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4 AND count(DISTINCT sID) > 1
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s.sName, p.sID, s.sID
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING avg(quantity) > 4 AND count(DISTINCT s.sID) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  sID
#[Out]# 0  Albert Hein   44   44
#[Out]# 1         Coop   55   55
#[Out]# 2         Dirk   58   58
#[Out]# 3    Hoogvliet   49   49
#[Out]# 4         Lidl   61   61
#[Out]# 5       Sligro   50   50
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    GROUP BY cID
    HAVING count(sID) > count(stores.sID)
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p, store s
    GROUP BY cID
    HAVING count(p.sID) = count(s.sID)
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p, store s
    GROUP BY cID
    HAVING count(p.sID) <= count(s.sID)
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p, store s
    GROUP BY cID
    HAVING count(p.sID) < count(s.sID)
    
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    GROUP BY cID
    HAVING count(p.sID) = count(store.sID)
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    GROUP BY cID
    HAVING count(p.sID) = count((SELECT s.sID FROM store s))
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    GROUP BY cID
    HAVING count(sID) = count((SELECT s.sID FROM store s))
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    GROUP BY cID
    HAVING count(DISTINCT sID) = count((SELECT DISTINCT s.sID FROM store s))
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    15
#[Out]# 11    16
#[Out]# 12    17
#[Out]# 13    18
#[Out]# 14    19
#[Out]# 15    20
#[Out]# 16    21
#[Out]# 17    22
#[Out]# 18    24
#[Out]# 19    25
#[Out]# 20    26
#[Out]# 21    28
#[Out]# 22    29
#[Out]# 23    30
#[Out]# 24    31
#[Out]# 25    33
#[Out]# 26    34
#[Out]# 27    35
#[Out]# 28    37
#[Out]# 29    38
#[Out]# ..   ...
#[Out]# 86   136
#[Out]# 87   137
#[Out]# 88   139
#[Out]# 89   144
#[Out]# 90   145
#[Out]# 91   147
#[Out]# 92   149
#[Out]# 93   151
#[Out]# 94   152
#[Out]# 95   159
#[Out]# 96   162
#[Out]# 97   163
#[Out]# 98   165
#[Out]# 99   167
#[Out]# 100  168
#[Out]# 101  169
#[Out]# 102  170
#[Out]# 103  171
#[Out]# 104  172
#[Out]# 105  175
#[Out]# 106  176
#[Out]# 107  177
#[Out]# 108  178
#[Out]# 109  179
#[Out]# 110  181
#[Out]# 111  184
#[Out]# 112  185
#[Out]# 113  186
#[Out]# 114  189
#[Out]# 115  190
#[Out]# 
#[Out]# [116 rows x 1 columns]
query5 = '''
    SELECT pr.pName, s.sName
    FROM store s, purchase p, product pr
    WHERE price = max(price) AND p.sID = s.sID AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM store s, purchase p, product pr
    WHERE price = (SELECT max(price) FROM purchase) AND p.sID = s.sID AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT pr.pName, s.sName
    FROM store s, purchase p, product pr
    WHERE p.price = (SELECT max(price) FROM purchase) AND p.sID = s.sID AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT i.unit_price - i1.unit_price
    FROM inventory i, inventory i1
    WHERE NOT(i.sID = i1.sID) AND (i.unit_price - i1.unit_price) = max(
        SELECT i.unit_price - i1.unit_price 
        FROM inventory i, inventory i1
        WHERE NOT(i.sID = i1.sID))
'''

pd.read_sql_query(query6, conn)
query6 = '''
    WITH diff(value) AS (
    SELECT i.unit_price - i1.unit_price
    FROM inventory i, inventory i1
    WHERE NOT(i.sID = i1.sID))
'''

pd.read_sql_query(query6, conn)
query6 = '''
    WITH max_price(value) AS (
    SELECT max(unit_price)
    FROM inventory
    WHERE date = '2018-08-23')
    
    SELECT value
    FROM max_price
'''

pd.read_sql_query(query6, conn)
#[Out]#    value
#[Out]# 0   13.4
query6 = '''
    SELECT max(i.unit_price - i1.unit_price)
    FROM inventory i, inventory i1 
    WHERE i.date = '2018-08-23' AND i1.date = '2018-08-23' AND i.pID = i1.pID AND NOT(i.sID = i1.sID)
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i.unit_price - i1.unit_price)
#[Out]# 0                                2.0
