# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor object at 0x00000177E7A78A40>
query1 = '''
SELECT p.pID
FROM purchase AS p
EXCEPT
SELECT p1.pID
FROM purchase AS p1, purchase AS p2, purchase AS p3
WHERE p1.pID = p2.pID AND p1.pID = p3.pID
AND p1.cID <> p2.cID
AND p1.cID <> p3.cID
AND p2.cID <> p3.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID

'''

pd.read_sql_query(query2, conn)
#[Out]#       cID   cName
#[Out]# 0       0    Noah
#[Out]# 1       0    Noah
#[Out]# 2       0    Noah
#[Out]# 3       0    Noah
#[Out]# 4       0    Noah
#[Out]# 5       0    Noah
#[Out]# 6       0    Noah
#[Out]# 7       0    Noah
#[Out]# 8       0    Noah
#[Out]# 9       0    Noah
#[Out]# 10      0    Noah
#[Out]# 11      0    Noah
#[Out]# 12      0    Noah
#[Out]# 13      0    Noah
#[Out]# 14      0    Noah
#[Out]# 15      0    Noah
#[Out]# 16      0    Noah
#[Out]# 17      0    Noah
#[Out]# 18      0    Noah
#[Out]# 19      0    Noah
#[Out]# 20      0    Noah
#[Out]# 21      0    Noah
#[Out]# 22      0    Noah
#[Out]# 23      0    Noah
#[Out]# 24      0    Noah
#[Out]# 25      0    Noah
#[Out]# 26      0    Noah
#[Out]# 27      0    Noah
#[Out]# 28      0    Noah
#[Out]# 29      0    Noah
#[Out]# ...   ...     ...
#[Out]# 6050  190  Kostas
#[Out]# 6051  190  Kostas
#[Out]# 6052  190  Kostas
#[Out]# 6053  190  Kostas
#[Out]# 6054  190  Kostas
#[Out]# 6055  190  Kostas
#[Out]# 6056  190  Kostas
#[Out]# 6057  190  Kostas
#[Out]# 6058  190  Kostas
#[Out]# 6059  190  Kostas
#[Out]# 6060  190  Kostas
#[Out]# 6061  190  Kostas
#[Out]# 6062  190  Kostas
#[Out]# 6063  190  Kostas
#[Out]# 6064  190  Kostas
#[Out]# 6065  190  Kostas
#[Out]# 6066  190  Kostas
#[Out]# 6067  190  Kostas
#[Out]# 6068  190  Kostas
#[Out]# 6069  190  Kostas
#[Out]# 6070  190  Kostas
#[Out]# 6071  190  Kostas
#[Out]# 6072  190  Kostas
#[Out]# 6073  190  Kostas
#[Out]# 6074  190  Kostas
#[Out]# 6075  190  Kostas
#[Out]# 6076  190  Kostas
#[Out]# 6077  190  Kostas
#[Out]# 6078  190  Kostas
#[Out]# 6079  190  Kostas
#[Out]# 
#[Out]# [6080 rows x 2 columns]
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      0     Noah
#[Out]# 2      1      Sem
#[Out]# 3      1      Sem
#[Out]# 4      2    Lucas
#[Out]# 5      2    Lucas
#[Out]# 6      3     Finn
#[Out]# 7      3     Finn
#[Out]# 8      4     Daan
#[Out]# 9      4     Daan
#[Out]# 10     5     Levi
#[Out]# 11     5     Levi
#[Out]# 12     6    Milan
#[Out]# 13     6    Milan
#[Out]# 14     7     Bram
#[Out]# 15     7     Bram
#[Out]# 16     8     Liam
#[Out]# 17     8     Liam
#[Out]# 18     9   Thomas
#[Out]# 19     9   Thomas
#[Out]# 20    10      Sam
#[Out]# 21    10      Sam
#[Out]# 22    11    Thijs
#[Out]# 23    11    Thijs
#[Out]# 24    12     Adam
#[Out]# 25    12     Adam
#[Out]# 26    13    James
#[Out]# 27    13    James
#[Out]# 28    14      Max
#[Out]# 29    14      Max
#[Out]# ..   ...      ...
#[Out]# 350  175      Sam
#[Out]# 351  175      Sam
#[Out]# 352  176    Amira
#[Out]# 353  176    Amira
#[Out]# 354  177    Eline
#[Out]# 355  177    Eline
#[Out]# 356  178     Elif
#[Out]# 357  178     Elif
#[Out]# 358  179     Juul
#[Out]# 359  179     Juul
#[Out]# 360  180    Merel
#[Out]# 361  180    Merel
#[Out]# 362  181     Liva
#[Out]# 363  181     Liva
#[Out]# 364  182  Johanna
#[Out]# 365  182  Johanna
#[Out]# 366  183    Nikki
#[Out]# 367  183    Nikki
#[Out]# 368  184    Wilko
#[Out]# 369  184    Wilko
#[Out]# 370  185     Nick
#[Out]# 371  185     Nick
#[Out]# 372  186   Angela
#[Out]# 373  186   Angela
#[Out]# 374  188     Pino
#[Out]# 375  188     Pino
#[Out]# 376  189     Koen
#[Out]# 377  189     Koen
#[Out]# 378  190   Kostas
#[Out]# 379  190   Kostas
#[Out]# 
#[Out]# [380 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Hoi' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onion' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS (( SELECT s.sID FROM store s)
EXCEPT
(SELECT p.sID FROM purchase p WHERE p.sID = s.sID))


'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS (( SELECT s.sID FROM store s)
EXCEPT
(SELECT p.sID FROM purchase p WHERE p.sID = s.sID));


'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
SELECT s.sID FROM store s
EXCEPT
SELECT p.sID FROM purchase p WHERE p.sID = s.sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
SELECT s.sID 
FROM store s

EXCEPT

SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
(SELECT s.sID 
FROM store s

EXCEPT

SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
((SELECT s.sID 
FROM store s)

EXCEPT

(SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID))
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM store s, purchase p, customer c
WHERE s.sID <> p.sID
AND p.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query4 = '''
SELECT s1.sName
FROM store s1, store s2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND avg(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND AVG(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sName, value) as (
    SELECT sName, sum(quantities)
    FROM purchase
    group by sName),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sName
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(store.sName, value) as (
    SELECT sName, sum(quantities)
    FROM purchase
    group by sName),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sName
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sID, value) as (
    SELECT sID, sum(quantities)
    FROM purchase
    group by sID),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sID
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sID, value) as (
    SELECT sID, sum(quantity)
    FROM purchase
    group by sID),
    quantities_avg(value) as(
    select avg(value)
    FROM quantity)
SELECT sID
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
SELECT p.pID
FROM purchase AS p
EXCEPT
SELECT p1.pID
FROM purchase AS p1, purchase AS p2, purchase AS p3
WHERE p1.pID = p2.pID AND p1.pID = p3.pID
AND p1.cID <> p2.cID
AND p1.cID <> p3.cID
AND p2.cID <> p3.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
AND pu1.cID = c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM store s, purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND s.sID<>p1.sID
OR s.sID<>p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT
SELECT p.cID
FROM purchase p, store s
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
SELECT p.cID
FROM purchase p, store s
WHERE s.sID in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID
#[Out]# 0        0
#[Out]# 1        1
#[Out]# 2        1
#[Out]# 3        1
#[Out]# 4        1
#[Out]# 5        1
#[Out]# 6        1
#[Out]# 7        1
#[Out]# 8        2
#[Out]# 9        2
#[Out]# 10       2
#[Out]# 11       2
#[Out]# 12       2
#[Out]# 13       3
#[Out]# 14       3
#[Out]# 15       3
#[Out]# 16       4
#[Out]# 17       4
#[Out]# 18       4
#[Out]# 19       4
#[Out]# 20       4
#[Out]# 21       4
#[Out]# 22       5
#[Out]# 23       5
#[Out]# 24       5
#[Out]# 25       5
#[Out]# 26       5
#[Out]# 27       5
#[Out]# 28       7
#[Out]# 29       7
#[Out]# ...    ...
#[Out]# 32546  190
#[Out]# 32547  190
#[Out]# 32548  190
#[Out]# 32549  190
#[Out]# 32550  190
#[Out]# 32551  190
#[Out]# 32552  190
#[Out]# 32553  190
#[Out]# 32554  190
#[Out]# 32555  190
#[Out]# 32556  190
#[Out]# 32557  190
#[Out]# 32558  190
#[Out]# 32559  190
#[Out]# 32560  190
#[Out]# 32561  190
#[Out]# 32562  190
#[Out]# 32563  190
#[Out]# 32564  190
#[Out]# 32565  190
#[Out]# 32566  190
#[Out]# 32567  190
#[Out]# 32568  190
#[Out]# 32569  190
#[Out]# 32570  190
#[Out]# 32571  190
#[Out]# 32572  190
#[Out]# 32573  190
#[Out]# 32574  190
#[Out]# 32575  190
#[Out]# 
#[Out]# [32576 rows x 1 columns]
query3 = '''
SELECT p.cID
FROM purchase p, store s
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT p.sID
FROM purchase p
WHERE p.sID not in (select s.sID from store s)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT p.sID
FROM purchase p
WHERE s.sID not in (select p.sID from purchase)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT p.sID
FROM purchase p
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT 
SELECT p.sID
FROM purchase p
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT 
SELECT p.sID
FROM purchase p, store s
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
SELECT p.cID
FROM purchase p

EXCEPT 
SELECT p.sID
FROM purchase p, store s
WHERE s.sID not in (select p.sID from purchase p)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
SELECT p.cID
FROM purchase p, store s
GROUP BY p.cID
WHERE count(s.sID) = count(distinct p.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT p.cID
FROM purchase p, store s
GROUP BY p.cID
HAVING count(s.sID) = count(distinct p.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
SELECT p.cID
FROM purchase p, store s
GROUP BY p.cID
HAVING count(distinct s.sID) = count(distinct p.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
SELECT

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
AND avg(p1.quantity) > 4
AND avg(p2.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
AND (SELECT avg(p.quantity FROM purchase p) > 4
AND avg(p2.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
AND (SELECT avg(p.quantity FROM purchase p) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
group by s1.sID
having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
group by s1.sID
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2        Sligro
#[Out]# 3     Hoogvliet
#[Out]# 4        Sligro
#[Out]# 5        Sligro
#[Out]# 6   Albert Hein
#[Out]# 7   Albert Hein
#[Out]# 8         Jumbo
#[Out]# 9   Albert Hein
#[Out]# 10         Lidl
#[Out]# 11         Lidl
#[Out]# 12    Hoogvliet
#[Out]# 13         Coop
#[Out]# 14        Jumbo
#[Out]# 15         Lidl
#[Out]# 16         Dirk
#[Out]# 17  Albert Hein
#[Out]# 18  Albert Hein
#[Out]# 19    Hoogvliet
#[Out]# 20       Sligro
#[Out]# 21    Hoogvliet
#[Out]# 22       Sligro
#[Out]# 23         Dirk
#[Out]# 24         Coop
#[Out]# 25         Dirk
#[Out]# 26         Coop
#[Out]# 27         Lidl
#[Out]# 28         Lidl
#[Out]# 29    Hoogvliet
#[Out]# 30       Sligro
#[Out]# 31    Hoogvliet
#[Out]# 32  Albert Hein
#[Out]# 33       Sligro
#[Out]# 34         Coop
#[Out]# 35  Albert Hein
#[Out]# 36         Lidl
#[Out]# 37         Coop
#[Out]# 38    Hoogvliet
#[Out]# 39         Coop
#[Out]# 40         Lidl
#[Out]# 41         Dirk
#[Out]# 42         Coop
#[Out]# 43         Dirk
#[Out]# 44         Dirk
#[Out]# 45         Lidl
#[Out]# 46         Lidl
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID
group by s1.sID
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName, avg(p1.quantity)
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT DISTINCT s1.sName, avg(p.quantity)
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND s1.sID = p1.sID
AND s2.sID = p2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
WHERE s.sID = p.sID
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query5 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query5, conn)
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
WHERE s.sID = p.sID
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID

EXCEPT
SELECT s.sID
FROM store s, purchase p
group by s.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID
group by p.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0        Jumbo
#[Out]# 1         Coop
#[Out]# 2         Lidl
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5    Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) <= 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by s1.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by s2.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by s1.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by s2.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0      Jumbo
#[Out]# 1       Coop
#[Out]# 2       Lidl
#[Out]# 3     Sligro
#[Out]# 4  Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0      Jumbo
#[Out]# 1       Coop
#[Out]# 2       Lidl
#[Out]# 3     Sligro
#[Out]# 4  Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID OR p.sID = s2.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s2.sID
group by p.sID
having avg(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0      Jumbo
#[Out]# 1       Coop
#[Out]# 2       Lidl
#[Out]# 3     Sligro
#[Out]# 4  Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by p.sID
having avg(p1.quantity) < 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by p1.sID
having avg(p1.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0      Jumbo
#[Out]# 1       Coop
#[Out]# 2       Lidl
#[Out]# 3     Sligro
#[Out]# 4  Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by p1.sID
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by p1.sID
having avg(p1.quantity) > 4
group by p2.sID
having avg(p2.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s1.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s2.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s2.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s1.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s1.sName
having avg(p2.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
AND p2.sID = s2.sID
group by s1.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p1, purchase p2
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p1.sID = s1.sID
group by s1.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID
group by s1.sName
having avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
SELECT DISTINCT s1.sName
FROM store s1, store s2, purchase p
WHERE 
s1.sName = s2.sName
AND s1.sID <> s2.sID
AND p.sID = s1.sID
group by s1.sName
having avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
GROUP BY p.pID 
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#           pName sName
#[Out]# 0   Cashew Nuts  Coop
#[Out]# 1   Cashew Nuts  Coop
#[Out]# 2   Cashew Nuts  Coop
#[Out]# 3   Cashew Nuts  Coop
#[Out]# 4   Cashew Nuts  Coop
#[Out]# 5   Cashew Nuts  Coop
#[Out]# 6   Cashew Nuts  Coop
#[Out]# 7   Cashew Nuts  Coop
#[Out]# 8   Cashew Nuts  Coop
#[Out]# 9   Cashew Nuts  Coop
#[Out]# 10  Cashew Nuts  Coop
#[Out]# 11  Cashew Nuts  Coop
#[Out]# 12  Cashew Nuts  Coop
#[Out]# 13  Cashew Nuts  Coop
#[Out]# 14  Cashew Nuts  Coop
#[Out]# 15  Cashew Nuts  Coop
#[Out]# 16  Cashew Nuts  Coop
#[Out]# 17  Cashew Nuts  Coop
#[Out]# 18  Cashew Nuts  Coop
#[Out]# 19  Cashew Nuts  Coop
#[Out]# 20  Cashew Nuts  Coop
#[Out]# 21  Cashew Nuts  Coop
#[Out]# 22  Cashew Nuts  Coop
#[Out]# 23  Cashew Nuts  Coop
#[Out]# 24  Cashew Nuts  Coop
#[Out]# 25  Cashew Nuts  Coop
#[Out]# 26  Cashew Nuts  Coop
#[Out]# 27  Cashew Nuts  Coop
#[Out]# 28  Cashew Nuts  Coop
#[Out]# 29  Cashew Nuts  Coop
#[Out]# 30  Cashew Nuts  Coop
query5 = '''
SELECT p.pName, s.sName
FROM store s, purchase p
GROUP BY p.pID 
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
GROUP BY pr.pID
HAVING max(pr.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
GROUP BY pr.pID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName sName
#[Out]# 0        Cashew Nuts  Coop
#[Out]# 1         Mixed Nuts  Coop
#[Out]# 2           Potatoes  Coop
#[Out]# 3       Green Pepper  Coop
#[Out]# 4             Onions  Coop
#[Out]# 5          Mushrooms  Coop
#[Out]# 6            Carrots  Coop
#[Out]# 7           Tomatoes  Coop
#[Out]# 8   Hot Dog Sausages  Coop
#[Out]# 9            Bananas  Coop
#[Out]# 10             Water  Coop
#[Out]# 11              Milk  Coop
#[Out]# 12              Beef  Coop
#[Out]# 13              Eggs  Coop
#[Out]# 14            Apples  Coop
#[Out]# 15         Cucumbers  Coop
#[Out]# 16              Rice  Coop
#[Out]# 17             Bread  Coop
#[Out]# 18            Cheese  Coop
#[Out]# 19              Coca  Coop
#[Out]# 20             Fanta  Coop
#[Out]# 21            Coffee  Coop
#[Out]# 22               Tea  Coop
#[Out]# 23   Spiced Biscuits  Coop
#[Out]# 24           Oranges  Coop
#[Out]# 25            Donuts  Coop
#[Out]# 26             Pasta  Coop
#[Out]# 27             Pizza  Coop
#[Out]# 28           Lasanga  Coop
#[Out]# 29            Salmon  Coop
#[Out]# 30           Ketchup  Coop
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
GROUP BY pr.pID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts         Coop
#[Out]# 2           Potatoes         Coop
#[Out]# 3       Green Pepper         Dirk
#[Out]# 4             Onions         Lidl
#[Out]# 5          Mushrooms         Lidl
#[Out]# 6            Carrots  Albert Hein
#[Out]# 7           Tomatoes        Jumbo
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9            Bananas        Jumbo
#[Out]# 10             Water         Dirk
#[Out]# 11              Milk         Coop
#[Out]# 12              Beef       Sligro
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples    Hoogvliet
#[Out]# 15         Cucumbers         Coop
#[Out]# 16              Rice        Jumbo
#[Out]# 17             Bread        Jumbo
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca         Dirk
#[Out]# 20             Fanta    Hoogvliet
#[Out]# 21            Coffee  Albert Hein
#[Out]# 22               Tea       Sligro
#[Out]# 23   Spiced Biscuits         Coop
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza    Hoogvliet
#[Out]# 28           Lasanga  Albert Hein
#[Out]# 29            Salmon        Jumbo
#[Out]# 30           Ketchup        Jumbo
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
GROUP BY p.pID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts         Coop
#[Out]# 2           Potatoes         Coop
#[Out]# 3       Green Pepper         Dirk
#[Out]# 4             Onions         Lidl
#[Out]# 5          Mushrooms         Lidl
#[Out]# 6            Carrots  Albert Hein
#[Out]# 7           Tomatoes        Jumbo
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9            Bananas        Jumbo
#[Out]# 10             Water         Dirk
#[Out]# 11              Milk         Coop
#[Out]# 12              Beef       Sligro
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples    Hoogvliet
#[Out]# 15         Cucumbers         Coop
#[Out]# 16              Rice        Jumbo
#[Out]# 17             Bread        Jumbo
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca         Dirk
#[Out]# 20             Fanta    Hoogvliet
#[Out]# 21            Coffee  Albert Hein
#[Out]# 22               Tea       Sligro
#[Out]# 23   Spiced Biscuits         Coop
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza    Hoogvliet
#[Out]# 28           Lasanga  Albert Hein
#[Out]# 29            Salmon        Jumbo
#[Out]# 30           Ketchup        Jumbo
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
GROUP BY p.pID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts         Coop
#[Out]# 2           Potatoes         Coop
#[Out]# 3       Green Pepper         Dirk
#[Out]# 4             Onions         Lidl
#[Out]# 5          Mushrooms         Lidl
#[Out]# 6            Carrots  Albert Hein
#[Out]# 7           Tomatoes        Jumbo
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9            Bananas        Jumbo
#[Out]# 10             Water         Dirk
#[Out]# 11              Milk         Coop
#[Out]# 12              Beef       Sligro
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples    Hoogvliet
#[Out]# 15         Cucumbers         Coop
#[Out]# 16              Rice        Jumbo
#[Out]# 17             Bread        Jumbo
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca         Dirk
#[Out]# 20             Fanta    Hoogvliet
#[Out]# 21            Coffee  Albert Hein
#[Out]# 22               Tea       Sligro
#[Out]# 23   Spiced Biscuits         Coop
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza    Hoogvliet
#[Out]# 28           Lasanga  Albert Hein
#[Out]# 29            Salmon        Jumbo
#[Out]# 30           Ketchup        Jumbo
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
GROUP BY s.sID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0         Mixed Nuts         Coop
#[Out]# 1              Pizza    Hoogvliet
#[Out]# 2    Spiced Biscuits        Jumbo
#[Out]# 3        Cashew Nuts       Sligro
#[Out]# 4         Mixed Nuts    Hoogvliet
#[Out]# 5               Beef       Sligro
#[Out]# 6   Hot Dog Sausages         Coop
#[Out]# 7              Pizza       Sligro
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9               Beef  Albert Hein
#[Out]# 10             Pizza        Jumbo
#[Out]# 11            Cheese  Albert Hein
#[Out]# 12           Oranges         Lidl
#[Out]# 13              Beef         Coop
#[Out]# 14            Cheese         Coop
#[Out]# 15            Coffee         Lidl
#[Out]# 16             Pasta         Lidl
#[Out]# 17              Beef    Hoogvliet
#[Out]# 18           Lasanga       Sligro
#[Out]# 19              Beef         Coop
#[Out]# 20           Lasanga        Jumbo
#[Out]# 21           Lasanga         Coop
#[Out]# 22            Donuts         Lidl
#[Out]# 23              Beef         Dirk
#[Out]# 24             Pasta  Albert Hein
#[Out]# 25           Lasanga  Albert Hein
#[Out]# 26             Pizza    Hoogvliet
#[Out]# 27              Beef       Sligro
#[Out]# 28        Mixed Nuts    Hoogvliet
#[Out]# 29              Beef       Sligro
#[Out]# ..               ...          ...
#[Out]# 34           Lasanga         Coop
#[Out]# 35       Cashew Nuts         Lidl
#[Out]# 36             Pizza         Lidl
#[Out]# 37           Lasanga        Jumbo
#[Out]# 38              Beef    Hoogvliet
#[Out]# 39            Apples       Sligro
#[Out]# 40           Lasanga    Hoogvliet
#[Out]# 41              Beef  Albert Hein
#[Out]# 42            Cheese       Sligro
#[Out]# 43             Pizza         Coop
#[Out]# 44            Cheese  Albert Hein
#[Out]# 45              Milk         Coop
#[Out]# 46              Eggs         Lidl
#[Out]# 47            Cheese         Coop
#[Out]# 48             Fanta    Hoogvliet
#[Out]# 49       Cashew Nuts    Hoogvliet
#[Out]# 50        Mixed Nuts       Sligro
#[Out]# 51            Cheese         Coop
#[Out]# 52           Lasanga         Lidl
#[Out]# 53              Beef         Coop
#[Out]# 54              Beef         Dirk
#[Out]# 55           Lasanga         Coop
#[Out]# 56        Mixed Nuts        Jumbo
#[Out]# 57              Beef         Dirk
#[Out]# 58             Pizza         Dirk
#[Out]# 59              Eggs        Jumbo
#[Out]# 60         Mushrooms         Lidl
#[Out]# 61              Coca         Lidl
#[Out]# 62           Bananas        Jumbo
#[Out]# 63            Cheese        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
SELECT max(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
SELECT max(p.price)
FROM purchase p
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
(SELECT max(p.price)
FROM purchase p)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pr.pName, s.sName
FROM product pr, store s, purchase p
WHERE pr.pID = p.pID
AND s.sID = p.sID
GROUP BY s.sID
HAVING max(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0         Mixed Nuts         Coop
#[Out]# 1              Pizza    Hoogvliet
#[Out]# 2    Spiced Biscuits        Jumbo
#[Out]# 3        Cashew Nuts       Sligro
#[Out]# 4         Mixed Nuts    Hoogvliet
#[Out]# 5               Beef       Sligro
#[Out]# 6   Hot Dog Sausages         Coop
#[Out]# 7              Pizza       Sligro
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9               Beef  Albert Hein
#[Out]# 10             Pizza        Jumbo
#[Out]# 11            Cheese  Albert Hein
#[Out]# 12           Oranges         Lidl
#[Out]# 13              Beef         Coop
#[Out]# 14            Cheese         Coop
#[Out]# 15            Coffee         Lidl
#[Out]# 16             Pasta         Lidl
#[Out]# 17              Beef    Hoogvliet
#[Out]# 18           Lasanga       Sligro
#[Out]# 19              Beef         Coop
#[Out]# 20           Lasanga        Jumbo
#[Out]# 21           Lasanga         Coop
#[Out]# 22            Donuts         Lidl
#[Out]# 23              Beef         Dirk
#[Out]# 24             Pasta  Albert Hein
#[Out]# 25           Lasanga  Albert Hein
#[Out]# 26             Pizza    Hoogvliet
#[Out]# 27              Beef       Sligro
#[Out]# 28        Mixed Nuts    Hoogvliet
#[Out]# 29              Beef       Sligro
#[Out]# ..               ...          ...
#[Out]# 34           Lasanga         Coop
#[Out]# 35       Cashew Nuts         Lidl
#[Out]# 36             Pizza         Lidl
#[Out]# 37           Lasanga        Jumbo
#[Out]# 38              Beef    Hoogvliet
#[Out]# 39            Apples       Sligro
#[Out]# 40           Lasanga    Hoogvliet
#[Out]# 41              Beef  Albert Hein
#[Out]# 42            Cheese       Sligro
#[Out]# 43             Pizza         Coop
#[Out]# 44            Cheese  Albert Hein
#[Out]# 45              Milk         Coop
#[Out]# 46              Eggs         Lidl
#[Out]# 47            Cheese         Coop
#[Out]# 48             Fanta    Hoogvliet
#[Out]# 49       Cashew Nuts    Hoogvliet
#[Out]# 50        Mixed Nuts       Sligro
#[Out]# 51            Cheese         Coop
#[Out]# 52           Lasanga         Lidl
#[Out]# 53              Beef         Coop
#[Out]# 54              Beef         Dirk
#[Out]# 55           Lasanga         Coop
#[Out]# 56        Mixed Nuts        Jumbo
#[Out]# 57              Beef         Dirk
#[Out]# 58             Pizza         Dirk
#[Out]# 59              Eggs        Jumbo
#[Out]# 60         Mushrooms         Lidl
#[Out]# 61              Coca         Lidl
#[Out]# 62           Bananas        Jumbo
#[Out]# 63            Cheese        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName
FROM store s, max_price m
WHERE p.price = m.value

'''

pd.read_sql_query(query5, conn)
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName
FROM purchase p, store s, max_price m
WHERE p.price = m.value

'''

pd.read_sql_query(query5, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2         Jumbo
#[Out]# 3        Sligro
#[Out]# 4     Hoogvliet
#[Out]# 5        Sligro
#[Out]# 6          Coop
#[Out]# 7        Sligro
#[Out]# 8   Albert Hein
#[Out]# 9   Albert Hein
#[Out]# 10        Jumbo
#[Out]# 11  Albert Hein
#[Out]# 12         Lidl
#[Out]# 13         Coop
#[Out]# 14         Coop
#[Out]# 15         Lidl
#[Out]# 16         Lidl
#[Out]# 17    Hoogvliet
#[Out]# 18       Sligro
#[Out]# 19         Coop
#[Out]# 20        Jumbo
#[Out]# 21         Coop
#[Out]# 22         Lidl
#[Out]# 23         Dirk
#[Out]# 24  Albert Hein
#[Out]# 25  Albert Hein
#[Out]# 26    Hoogvliet
#[Out]# 27       Sligro
#[Out]# 28    Hoogvliet
#[Out]# 29       Sligro
#[Out]# ..          ...
#[Out]# 34         Coop
#[Out]# 35         Lidl
#[Out]# 36         Lidl
#[Out]# 37        Jumbo
#[Out]# 38    Hoogvliet
#[Out]# 39       Sligro
#[Out]# 40    Hoogvliet
#[Out]# 41  Albert Hein
#[Out]# 42       Sligro
#[Out]# 43         Coop
#[Out]# 44  Albert Hein
#[Out]# 45         Coop
#[Out]# 46         Lidl
#[Out]# 47         Coop
#[Out]# 48    Hoogvliet
#[Out]# 49    Hoogvliet
#[Out]# 50       Sligro
#[Out]# 51         Coop
#[Out]# 52         Lidl
#[Out]# 53         Coop
#[Out]# 54         Dirk
#[Out]# 55         Coop
#[Out]# 56        Jumbo
#[Out]# 57         Dirk
#[Out]# 58         Dirk
#[Out]# 59        Jumbo
#[Out]# 60         Lidl
#[Out]# 61         Lidl
#[Out]# 62        Jumbo
#[Out]# 63        Jumbo
#[Out]# 
#[Out]# [64 rows x 1 columns]
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName
FROM purchase p, store s, max_price m
WHERE p.price = m.value
AND s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName
#[Out]# 0  Sligro
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, p.pID
FROM purchase p, store s, max_price m
WHERE p.price = m.value
AND s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName  pID
#[Out]# 0  Sligro   12
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName, p.quantity
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName  quantity
#[Out]# 0  Sligro  Beef         6
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
AND p.quantity = 1
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, pName]
#[Out]# Index: []
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
SELECT s.sName, pr.pName
FROM store s, product pr, purchase p
WHERE p.quantity = 1
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT s.sName, pr.pName
FROM store s, product pr, purchase p
WHERE p.quantity = 1
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID

EXCEPT

SELECT s.sName, pr.pName
FROM purchase p, product pr, store s
WHERE s.sID = p.sID
AND p.pID = pr.pID
AND p.quantity > 1
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, pName]
#[Out]# Index: []
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price / p.quantity)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID

EXCEPT

SELECT s.sName, pr.pName
FROM purchase p, product pr, store s
WHERE s.sID = p.sID
AND p.pID = pr.pID
AND p.quantity > 1
'''

pd.read_sql_query(query5, conn)
#[Out]#          sName   pName
#[Out]# 0  Albert Hein  Cheese
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price / p.quantity)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID


'''

pd.read_sql_query(query5, conn)
#[Out]#          sName   pName
#[Out]# 0  Albert Hein  Cheese
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price / p.quantity)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID


'''

pd.read_sql_query(query5, conn)
#[Out]#          sName   pName
#[Out]# 0  Albert Hein  Cheese
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price / p.quantity)
    FROM purchase p)
SELECT max(p.price/p.quantity), s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    max(p.price/p.quantity)        sName   pName
#[Out]# 0                       12  Albert Hein  Cheese
query5 = '''
WITH max_price(value) as(
    SELECT MAX(p.price / p.quantity)
    FROM purchase p)
SELECT s.sName, pr.pName
FROM purchase p, store s, max_price m, product pr
WHERE p.price = m.value
AND s.sID = p.sID
AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#          sName   pName
#[Out]# 0  Albert Hein  Cheese
query6 = '''
SELECT p.pName
FROM product p
WHERE p.pID = 18
'''

pd.read_sql_query(query6, conn)
#[Out]#     pName
#[Out]# 0  Cheese
query6 = '''
SELECT p.pName
FROM product p
WHERE p.pID = 28
'''

pd.read_sql_query(query6, conn)
#[Out]#      pName
#[Out]# 0  Lasanga
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.price - i2.price)
    FROM inventory i1, inventory i2)
SELECT max_priceD
FROM purchase p, store s, max_price m, product pr
WHERE i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.price - i2.price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2
WHERE i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2
WHERE i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2
WHERE
i1.unit_price - i2.unitprice = max_priceD
AND i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2
WHERE
i1.unit_price - i2.unit_price = max_priceD
AND i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2, max_priceD m
WHERE
i1.unit_price - i2.unit_price = m.value
AND i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2, max_priceD m
WHERE
(i1.unit_price - i2.unit_price) = m.value
AND i1.date = i2.date = '2018-08-23'
AND i1.sID <> i2.sID
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query6 = '''
WITH max_priceD(value) as(
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2)
SELECT i1.pID
FROM inventory i1, inventory i2, max_priceD m
WHERE
i1.unit_price - i2.unit_price = m.value
AND i1.sID <> i2.sID
AND i1.date = i2.date = '2018-08-23'
AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query6 = '''
SELECT (i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [(i1.unit_price - i2.unit_price)]
#[Out]# Index: []
query6 = '''
SELECT (i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [(i1.unit_price - i2.unit_price)]
#[Out]# Index: []
query6 = '''
SELECT (i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date 
AND i1.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      (i1.unit_price - i2.unit_price)
#[Out]# 0                               0.15
#[Out]# 1                               0.05
#[Out]# 2                               0.85
#[Out]# 3                               0.75
#[Out]# 4                               0.70
#[Out]# 5                               0.30
#[Out]# 6                              -0.30
#[Out]# 7                              -0.05
#[Out]# 8                               0.60
#[Out]# 9                               0.05
#[Out]# 10                             -0.10
#[Out]# 11                              0.55
#[Out]# 12                             -0.05
#[Out]# 13                              0.50
#[Out]# 14                              0.25
#[Out]# 15                             -0.05
#[Out]# 16                              0.00
#[Out]# 17                              0.10
#[Out]# 18                             -0.05
#[Out]# 19                              1.20
#[Out]# 20                              1.00
#[Out]# 21                              1.40
#[Out]# 22                             -0.05
#[Out]# 23                             -0.20
#[Out]# 24                             -0.35
#[Out]# 25                              1.60
#[Out]# 26                             -0.35
#[Out]# 27                             -1.20
#[Out]# 28                             -0.20
#[Out]# 29                              0.20
#[Out]# ..                               ...
#[Out]# 124                            -0.55
#[Out]# 125                             0.20
#[Out]# 126                             0.15
#[Out]# 127                            -1.00
#[Out]# 128                             0.20
#[Out]# 129                             0.40
#[Out]# 130                            -0.85
#[Out]# 131                            -0.60
#[Out]# 132                             1.15
#[Out]# 133                             0.30
#[Out]# 134                             0.05
#[Out]# 135                             0.05
#[Out]# 136                             0.25
#[Out]# 137                             0.35
#[Out]# 138                            -0.30
#[Out]# 139                            -0.25
#[Out]# 140                            -0.25
#[Out]# 141                             0.90
#[Out]# 142                             0.40
#[Out]# 143                             0.75
#[Out]# 144                            -0.25
#[Out]# 145                             1.75
#[Out]# 146                             0.60
#[Out]# 147                            -0.55
#[Out]# 148                            -1.40
#[Out]# 149                            -0.20
#[Out]# 150                            -0.40
#[Out]# 151                             0.65
#[Out]# 152                             0.05
#[Out]# 153                             0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
SELECT (i1.unit_price - i2.unit_price) as largest_difference
FROM inventory i1, inventory i2
WHERE i1.date = i2.date 
AND i1.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
ORDER BY largest_difference desc limit 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
query6 = '''
SELECT max(i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date 
AND i1.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
SELECT min(i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date 
AND i1.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    min(i1.unit_price - i2.unit_price)
#[Out]# 0                                -2.0
query6 = '''
SELECT max(i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.date = i2.date 
AND i1.date = '2018-08-23'
AND i1.pID = i2.pID
AND i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x177e7a78a40>
query1 = '''
SELECT p.pID
FROM purchase AS p
EXCEPT
SELECT p1.pID
FROM purchase AS p1, purchase AS p2, purchase AS p3
WHERE p1.pID = p2.pID AND p1.pID = p3.pID
AND p1.cID <> p2.cID
AND p1.cID <> p3.cID
AND p2.cID <> p3.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = c.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID

'''

pd.read_sql_query(query2, conn)
#[Out]#       cID   cName
#[Out]# 0       0    Noah
#[Out]# 1       0    Noah
#[Out]# 2       0    Noah
#[Out]# 3       0    Noah
#[Out]# 4       0    Noah
#[Out]# 5       0    Noah
#[Out]# 6       0    Noah
#[Out]# 7       0    Noah
#[Out]# 8       0    Noah
#[Out]# 9       0    Noah
#[Out]# 10      0    Noah
#[Out]# 11      0    Noah
#[Out]# 12      0    Noah
#[Out]# 13      0    Noah
#[Out]# 14      0    Noah
#[Out]# 15      0    Noah
#[Out]# 16      0    Noah
#[Out]# 17      0    Noah
#[Out]# 18      0    Noah
#[Out]# 19      0    Noah
#[Out]# 20      0    Noah
#[Out]# 21      0    Noah
#[Out]# 22      0    Noah
#[Out]# 23      0    Noah
#[Out]# 24      0    Noah
#[Out]# 25      0    Noah
#[Out]# 26      0    Noah
#[Out]# 27      0    Noah
#[Out]# 28      0    Noah
#[Out]# 29      0    Noah
#[Out]# ...   ...     ...
#[Out]# 6050  190  Kostas
#[Out]# 6051  190  Kostas
#[Out]# 6052  190  Kostas
#[Out]# 6053  190  Kostas
#[Out]# 6054  190  Kostas
#[Out]# 6055  190  Kostas
#[Out]# 6056  190  Kostas
#[Out]# 6057  190  Kostas
#[Out]# 6058  190  Kostas
#[Out]# 6059  190  Kostas
#[Out]# 6060  190  Kostas
#[Out]# 6061  190  Kostas
#[Out]# 6062  190  Kostas
#[Out]# 6063  190  Kostas
#[Out]# 6064  190  Kostas
#[Out]# 6065  190  Kostas
#[Out]# 6066  190  Kostas
#[Out]# 6067  190  Kostas
#[Out]# 6068  190  Kostas
#[Out]# 6069  190  Kostas
#[Out]# 6070  190  Kostas
#[Out]# 6071  190  Kostas
#[Out]# 6072  190  Kostas
#[Out]# 6073  190  Kostas
#[Out]# 6074  190  Kostas
#[Out]# 6075  190  Kostas
#[Out]# 6076  190  Kostas
#[Out]# 6077  190  Kostas
#[Out]# 6078  190  Kostas
#[Out]# 6079  190  Kostas
#[Out]# 
#[Out]# [6080 rows x 2 columns]
query2 = '''
SELECT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      0     Noah
#[Out]# 2      1      Sem
#[Out]# 3      1      Sem
#[Out]# 4      2    Lucas
#[Out]# 5      2    Lucas
#[Out]# 6      3     Finn
#[Out]# 7      3     Finn
#[Out]# 8      4     Daan
#[Out]# 9      4     Daan
#[Out]# 10     5     Levi
#[Out]# 11     5     Levi
#[Out]# 12     6    Milan
#[Out]# 13     6    Milan
#[Out]# 14     7     Bram
#[Out]# 15     7     Bram
#[Out]# 16     8     Liam
#[Out]# 17     8     Liam
#[Out]# 18     9   Thomas
#[Out]# 19     9   Thomas
#[Out]# 20    10      Sam
#[Out]# 21    10      Sam
#[Out]# 22    11    Thijs
#[Out]# 23    11    Thijs
#[Out]# 24    12     Adam
#[Out]# 25    12     Adam
#[Out]# 26    13    James
#[Out]# 27    13    James
#[Out]# 28    14      Max
#[Out]# 29    14      Max
#[Out]# ..   ...      ...
#[Out]# 350  175      Sam
#[Out]# 351  175      Sam
#[Out]# 352  176    Amira
#[Out]# 353  176    Amira
#[Out]# 354  177    Eline
#[Out]# 355  177    Eline
#[Out]# 356  178     Elif
#[Out]# 357  178     Elif
#[Out]# 358  179     Juul
#[Out]# 359  179     Juul
#[Out]# 360  180    Merel
#[Out]# 361  180    Merel
#[Out]# 362  181     Liva
#[Out]# 363  181     Liva
#[Out]# 364  182  Johanna
#[Out]# 365  182  Johanna
#[Out]# 366  183    Nikki
#[Out]# 367  183    Nikki
#[Out]# 368  184    Wilko
#[Out]# 369  184    Wilko
#[Out]# 370  185     Nick
#[Out]# 371  185     Nick
#[Out]# 372  186   Angela
#[Out]# 373  186   Angela
#[Out]# 374  188     Pino
#[Out]# 375  188     Pino
#[Out]# 376  189     Koen
#[Out]# 377  189     Koen
#[Out]# 378  190   Kostas
#[Out]# 379  190   Kostas
#[Out]# 
#[Out]# [380 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
pu1.date = pu2.date
AND p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID 
AND p2.pID = pu2.pID
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Hoi' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onion' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM product p1, product p2, purchase pu1, purchase pu2, customer c
WHERE 
p1.pName = 'Onions' 
AND p2.pName = 'Coffee'
AND p1.pID = pu1.pID
AND p2.pID = pu2.pID
AND pu1.date = pu2.date
AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS (( SELECT s.sID FROM store s)
EXCEPT
(SELECT p.sID FROM purchase p WHERE p.sID = s.sID))


'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS (( SELECT s.sID FROM store s)
EXCEPT
(SELECT p.sID FROM purchase p WHERE p.sID = s.sID));


'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
SELECT s.sID FROM store s
EXCEPT
SELECT p.sID FROM purchase p WHERE p.sID = s.sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
SELECT s.sID 
FROM store s

EXCEPT

SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
(SELECT s.sID 
FROM store s

EXCEPT

SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c
WHERE NOT EXISTS
((SELECT s.sID 
FROM store s)

EXCEPT

(SELECT p.sID 
FROM purchase p 
WHERE p.sID = s.sID))
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM store s, purchase p, customer c
WHERE s.sID <> p.sID
AND p.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query3 = '''
SELECT c.cID
FROM customer c

EXCEPT
SELECT c.cID
FROM purchase p1, purchase p2, customer c
WHERE p1.sID = p2.sID
AND p1.cID = c.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query4 = '''
SELECT s1.sName
FROM store s1, store s2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND avg(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store s1, store s2
WHERE s1.sName = s2.sName
AND s1.sID <> s2.sID
AND AVG(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sName, value) as (
    SELECT sName, sum(quantities)
    FROM purchase
    group by sName),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sName
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(store.sName, value) as (
    SELECT sName, sum(quantities)
    FROM purchase
    group by sName),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sName
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sID, value) as (
    SELECT sID, sum(quantities)
    FROM purchase
    group by sID),
    quantities_avg(value) as(
    select avg(value)
    FROM quantities)
SELECT sID
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''
with quantities(sID, value) as (
    SELECT sID, sum(quantity)
    FROM purchase
    group by sID),
    quantities_avg(value) as(
    select avg(value)
    FROM quantity)
SELECT sID
FROM purchase, quantities_avg
WHERE quantities_avg > 4

'''

pd.read_sql_query(query4, conn)
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

