# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING COUNT(DISTINCT (cID)) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT c.cID, c.cName, 
    FROM customer as c, purchase as p1, purchase as p2
    WHERE p1.cID = c.cID AND p2.cID = c.cID 
    AND p1.date = p2.date 
    AND p1.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Onions')
    AND p2.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Coffee')
    GROUP BY c.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName, 
    FROM customer as c, purchase as p1, purchase as p2
    WHERE p1.cID = c.cID AND p2.cID = c.cID 
    AND p1.date = p2.date 
    AND p1.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Onions')
    AND p2.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Coffee')
    GROUP BY c.cID
'''

pd.read_sql_query(query2, conn)
query3 = '''
    SELECT DISTINCT(p.cID)
    FROM purchase as p, store as s
    WHERE p.sID=s.sID
    GROUP BY p.cID
    HAVING COUNT(DISTINCT(p.sID)) IN (SELECT COUNT(DISTINCT (sID)) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT DISTINCT s.sName
    FROM store as s, purchase as p
    WHERE s.sID=p.sID AND s.sName IN (SELECT DISTINCT sName FROM store GROUP BY sName HAVING COUNT(DISTINCT(sID))>=2)
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT DISTINCT sName
    FROM store, purchase
    GROUP BY sName
    HAVING AVG(purchase.quantity) > 4 AND store.sID = purchase.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query5 = '''
    SELECT pr.pName, s.sName
    FROM product as pr, store as s, purchase as p
    WHERE pr.pID = p.pID AND s.sID = p.sID AND p.price IN (SELECT MAX(price) FROM purchase)
    GROUP BY pr.pName,s.sName
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT 
    (SELECT s1.unit_price - s2.unit_price 
    FROM inventory 
    WHERE s1.unit_price 
    IN (SELECT MAX(unit_price) FROM inventory 
    WHERE inventory.pID = s1.pID) 
    AND s2.unit_price 
    IN (SELECT MIN(unit_price) FROM inventory WHERE inventory.pID = s2.pID))
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23' AND s2.date = '2018-08-23' AND s1.pID = s2.pID
    
'''

pd.read_sql_query(query6, conn)
#[Out]#     (SELECT s1.unit_price - s2.unit_price \n    FROM inventory \n    WHERE s1.unit_price \n    IN (SELECT MAX(unit_price) FROM inventory \n    WHERE inventory.pID = s1.pID) \n    AND s2.unit_price \n    IN (SELECT MIN(unit_price) FROM inventory WHERE inventory.pID = s2.pID))
#[Out]# 0                                                 None                                                                                                                                                                                                                             
#[Out]# 1                                                 None                                                                                                                                                                                                                             
#[Out]# 2                                                 None                                                                                                                                                                                                                             
#[Out]# 3                                                 None                                                                                                                                                                                                                             
#[Out]# 4                                                 None                                                                                                                                                                                                                             
#[Out]# 5                                                 None                                                                                                                                                                                                                             
#[Out]# 6                                                 None                                                                                                                                                                                                                             
#[Out]# 7                                                 None                                                                                                                                                                                                                             
#[Out]# 8                                                 None                                                                                                                                                                                                                             
#[Out]# 9                                                 None                                                                                                                                                                                                                             
#[Out]# 10                                                None                                                                                                                                                                                                                             
#[Out]# 11                                                None                                                                                                                                                                                                                             
#[Out]# 12                                                None                                                                                                                                                                                                                             
#[Out]# 13                                                None                                                                                                                                                                                                                             
#[Out]# 14                                                None                                                                                                                                                                                                                             
#[Out]# 15                                                None                                                                                                                                                                                                                             
#[Out]# 16                                                None                                                                                                                                                                                                                             
#[Out]# 17                                                None                                                                                                                                                                                                                             
#[Out]# 18                                                None                                                                                                                                                                                                                             
#[Out]# 19                                                None                                                                                                                                                                                                                             
#[Out]# 20                                                None                                                                                                                                                                                                                             
#[Out]# 21                                                None                                                                                                                                                                                                                             
#[Out]# 22                                                None                                                                                                                                                                                                                             
#[Out]# 23                                                None                                                                                                                                                                                                                             
#[Out]# 24                                                None                                                                                                                                                                                                                             
#[Out]# 25                                                None                                                                                                                                                                                                                             
#[Out]# 26                                                None                                                                                                                                                                                                                             
#[Out]# 27                                                None                                                                                                                                                                                                                             
#[Out]# 28                                                None                                                                                                                                                                                                                             
#[Out]# 29                                                None                                                                                                                                                                                                                             
#[Out]# ..                                                 ...                                                                                                                                                                                                                             
#[Out]# 192                                               None                                                                                                                                                                                                                             
#[Out]# 193                                               None                                                                                                                                                                                                                             
#[Out]# 194                                               None                                                                                                                                                                                                                             
#[Out]# 195                                               None                                                                                                                                                                                                                             
#[Out]# 196                                               None                                                                                                                                                                                                                             
#[Out]# 197                                               None                                                                                                                                                                                                                             
#[Out]# 198                                               None                                                                                                                                                                                                                             
#[Out]# 199                                               None                                                                                                                                                                                                                             
#[Out]# 200                                               None                                                                                                                                                                                                                             
#[Out]# 201                                               None                                                                                                                                                                                                                             
#[Out]# 202                                               None                                                                                                                                                                                                                             
#[Out]# 203                                               None                                                                                                                                                                                                                             
#[Out]# 204                                               None                                                                                                                                                                                                                             
#[Out]# 205                                               None                                                                                                                                                                                                                             
#[Out]# 206                                               None                                                                                                                                                                                                                             
#[Out]# 207                                               None                                                                                                                                                                                                                             
#[Out]# 208                                               None                                                                                                                                                                                                                             
#[Out]# 209                                               None                                                                                                                                                                                                                             
#[Out]# 210                                               None                                                                                                                                                                                                                             
#[Out]# 211                                               None                                                                                                                                                                                                                             
#[Out]# 212                                               None                                                                                                                                                                                                                             
#[Out]# 213                                               None                                                                                                                                                                                                                             
#[Out]# 214                                               None                                                                                                                                                                                                                             
#[Out]# 215                                               None                                                                                                                                                                                                                             
#[Out]# 216                                               None                                                                                                                                                                                                                             
#[Out]# 217                                               None                                                                                                                                                                                                                             
#[Out]# 218                                               None                                                                                                                                                                                                                             
#[Out]# 219                                               None                                                                                                                                                                                                                             
#[Out]# 220                                               None                                                                                                                                                                                                                             
#[Out]# 221                                               None                                                                                                                                                                                                                             
#[Out]# 
#[Out]# [222 rows x 1 columns]
query6 = '''
    SELECT 
    (SELECT s1.unit_price - s2.unit_price 
    FROM inventory 
    WHERE s1.unit_price 
    IN (SELECT MAX(unit_price) FROM inventory 
    WHERE inventory.pID = s1.pID) 
    AND s2.unit_price 
    IN (SELECT MIN(unit_price) FROM inventory WHERE inventory.pID = s2.pID))
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23' AND s2.date = '2018-08-23' AND s1.pID = s2.pID AND s1.sID <> s2.sID
    
'''

pd.read_sql_query(query6, conn)
#[Out]#     (SELECT s1.unit_price - s2.unit_price \n    FROM inventory \n    WHERE s1.unit_price \n    IN (SELECT MAX(unit_price) FROM inventory \n    WHERE inventory.pID = s1.pID) \n    AND s2.unit_price \n    IN (SELECT MIN(unit_price) FROM inventory WHERE inventory.pID = s2.pID))
#[Out]# 0                                                 None                                                                                                                                                                                                                             
#[Out]# 1                                                 None                                                                                                                                                                                                                             
#[Out]# 2                                                 None                                                                                                                                                                                                                             
#[Out]# 3                                                 None                                                                                                                                                                                                                             
#[Out]# 4                                                 None                                                                                                                                                                                                                             
#[Out]# 5                                                 None                                                                                                                                                                                                                             
#[Out]# 6                                                 None                                                                                                                                                                                                                             
#[Out]# 7                                                 None                                                                                                                                                                                                                             
#[Out]# 8                                                 None                                                                                                                                                                                                                             
#[Out]# 9                                                 None                                                                                                                                                                                                                             
#[Out]# 10                                                None                                                                                                                                                                                                                             
#[Out]# 11                                                None                                                                                                                                                                                                                             
#[Out]# 12                                                None                                                                                                                                                                                                                             
#[Out]# 13                                                None                                                                                                                                                                                                                             
#[Out]# 14                                                None                                                                                                                                                                                                                             
#[Out]# 15                                                None                                                                                                                                                                                                                             
#[Out]# 16                                                None                                                                                                                                                                                                                             
#[Out]# 17                                                None                                                                                                                                                                                                                             
#[Out]# 18                                                None                                                                                                                                                                                                                             
#[Out]# 19                                                None                                                                                                                                                                                                                             
#[Out]# 20                                                None                                                                                                                                                                                                                             
#[Out]# 21                                                None                                                                                                                                                                                                                             
#[Out]# 22                                                None                                                                                                                                                                                                                             
#[Out]# 23                                                None                                                                                                                                                                                                                             
#[Out]# 24                                                None                                                                                                                                                                                                                             
#[Out]# 25                                                None                                                                                                                                                                                                                             
#[Out]# 26                                                None                                                                                                                                                                                                                             
#[Out]# 27                                                None                                                                                                                                                                                                                             
#[Out]# 28                                                None                                                                                                                                                                                                                             
#[Out]# 29                                                None                                                                                                                                                                                                                             
#[Out]# ..                                                 ...                                                                                                                                                                                                                             
#[Out]# 124                                               None                                                                                                                                                                                                                             
#[Out]# 125                                               None                                                                                                                                                                                                                             
#[Out]# 126                                               None                                                                                                                                                                                                                             
#[Out]# 127                                               None                                                                                                                                                                                                                             
#[Out]# 128                                               None                                                                                                                                                                                                                             
#[Out]# 129                                               None                                                                                                                                                                                                                             
#[Out]# 130                                               None                                                                                                                                                                                                                             
#[Out]# 131                                               None                                                                                                                                                                                                                             
#[Out]# 132                                               None                                                                                                                                                                                                                             
#[Out]# 133                                               None                                                                                                                                                                                                                             
#[Out]# 134                                               None                                                                                                                                                                                                                             
#[Out]# 135                                               None                                                                                                                                                                                                                             
#[Out]# 136                                               None                                                                                                                                                                                                                             
#[Out]# 137                                               None                                                                                                                                                                                                                             
#[Out]# 138                                               None                                                                                                                                                                                                                             
#[Out]# 139                                               None                                                                                                                                                                                                                             
#[Out]# 140                                               None                                                                                                                                                                                                                             
#[Out]# 141                                               None                                                                                                                                                                                                                             
#[Out]# 142                                               None                                                                                                                                                                                                                             
#[Out]# 143                                               None                                                                                                                                                                                                                             
#[Out]# 144                                               None                                                                                                                                                                                                                             
#[Out]# 145                                               None                                                                                                                                                                                                                             
#[Out]# 146                                               None                                                                                                                                                                                                                             
#[Out]# 147                                               None                                                                                                                                                                                                                             
#[Out]# 148                                               None                                                                                                                                                                                                                             
#[Out]# 149                                               None                                                                                                                                                                                                                             
#[Out]# 150                                               None                                                                                                                                                                                                                             
#[Out]# 151                                               None                                                                                                                                                                                                                             
#[Out]# 152                                               None                                                                                                                                                                                                                             
#[Out]# 153                                               None                                                                                                                                                                                                                             
#[Out]# 
#[Out]# [154 rows x 1 columns]
query2 = '''
    SELECT c.cID, c.cName, 
    FROM customer as c, purchase as p1, purchase as p2
    WHERE p1.cID = c.cID AND p2.cID = c.cID 
    AND p1.date = p2.date 
    AND p1.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Onions')
    AND p2.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Coffee')
    GROUP BY c.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName 
    FROM customer as c, purchase as p1, purchase as p2
    WHERE p1.cID = c.cID AND p2.cID = c.cID 
    AND p1.date = p2.date 
    AND p1.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Onions')
    AND p2.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Coffee')
    GROUP BY c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query6 = '''
    SELECT s1.unit_price-s2.unit_price
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.unit_price IN (SELECT MAX(i1.unit_price) FROM inventory i1 WHERE i1.pID = s1.pID )
    AND s2.unit_price IN (SELECT MIN(i2.unit_price) FROM inventory i2 WHERE i2.pID = s2.pID )
    AND s1.date = ‘2018-08-23’ AND s2.date = ‘2018-08-23’
    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT s1.unit_price-s2.unit_price
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = ‘2018-08-23’ AND s2.date = ‘2018-08-23’
    AND s1.unit_price IN (SELECT MAX(i1.unit_price) FROM inventory i1 WHERE i1.pID = s1.pID )
    AND s2.unit_price IN (SELECT MIN(i2.unit_price) FROM inventory i2 WHERE i2.pID = s2.pID )
    
    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT s1.unit_price-s2.unit_price
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = ‘2018-08-23’ AND s2.date = ‘2018-08-23'
    AND s1.unit_price IN (SELECT MAX(i1.unit_price) FROM inventory i1 WHERE i1.pID = s1.pID )
    AND s2.unit_price IN (SELECT MIN(i2.unit_price) FROM inventory i2 WHERE i2.pID = s2.pID )
    
    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT s1.unit_price-s2.unit_price
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    AND s1.unit_price IN (SELECT MAX(i1.unit_price) FROM inventory i1 WHERE i1.pID = s1.pID )
    AND s2.unit_price IN (SELECT MIN(i2.unit_price) FROM inventory i2 WHERE i2.pID = s2.pID )
    
    
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [s1.unit_price-s2.unit_price]
#[Out]# Index: []
query6 = '''
    SELECT MAX(inv1.unit_price)-MIN(inv2.unit_price)
    FROM inventory AS inv1, inventory AS inv2
    WHERE inv1.date = '2018-08-23' AND inv2.date = '2018-08-23' AND (inv1.sID <> inv2.sID) AND (inv1.pID = inv2.pID);
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(inv1.unit_price)-MIN(inv2.unit_price)
#[Out]# 0                                      12.95
query2 = '''
    SELECT c.cID, c.cName 
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND p.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName 
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    59    Joep
#[Out]# 3    82   Dylan
#[Out]# 4    86    Stef
#[Out]# 5    92   Jelte
#[Out]# 6    97  Sophie
#[Out]# 7   108    Noor
#[Out]# 8   110    Saar
#[Out]# 9   111  Lauren
#[Out]# 10  122    Elin
#[Out]# 11  124   Sofie
#[Out]# 12  152    Anne
#[Out]# 13  169    Lily
#[Out]# 14  171   Tessa
#[Out]# 15  175     Sam
#[Out]# 16  176   Amira
#[Out]# 17  181    Liva
#[Out]# 18  190  Kostas
#[Out]# 19  190  Kostas
#[Out]# 20  190  Kostas
#[Out]# 21  190  Kostas
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 1    42    Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 2    59    Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 3    82   Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 4    86    Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 5    92   Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 6    97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 7   108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 8   110    Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9   111  Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 10  122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 11  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 12  152    Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 13  169    Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 14  171   Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 15  175     Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 16  176   Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 17  181    Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 18  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 19  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 20  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 21  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-24         3   2.35   21  Coffee         
#[Out]# 1   2018-08-18         6   1.90   21  Coffee         
#[Out]# 2   2018-08-15         6   2.20   21  Coffee         
#[Out]# 3   2018-08-19         2   2.05   21  Coffee         
#[Out]# 4   2018-08-18         2   2.30   21  Coffee         
#[Out]# 5   2018-08-25         6   2.05   21  Coffee         
#[Out]# 6   2018-08-25         8   2.20   21  Coffee         
#[Out]# 7   2018-08-15         6   1.70   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-22         8   2.30   21  Coffee         
#[Out]# 10  2018-08-25         6   1.70   21  Coffee         
#[Out]# 11  2018-08-26         6   2.15   21  Coffee         
#[Out]# 12  2018-08-20         1   1.85   21  Coffee         
#[Out]# 13  2018-08-16         2   1.90   21  Coffee         
#[Out]# 14  2018-08-20         2   2.35   21  Coffee         
#[Out]# 15  2018-08-20         2   2.25   21  Coffee         
#[Out]# 16  2018-08-26         8   2.15   21  Coffee         
#[Out]# 17  2018-08-27         5   2.00   21  Coffee         
#[Out]# 18  2018-08-26         5   4.25   21  Coffee         
#[Out]# 19  2018-08-20         2   3.10   21  Coffee         
#[Out]# 20  2018-08-22         7   0.60   21  Coffee         
#[Out]# 21  2018-08-22         6   4.05   21  Coffee         
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID,c.date) IN (SELECT c.cID,c.date
    FROM customer as c, purchase as p, product as pr 
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID,p.date) IN (SELECT c.cID,p.date
    FROM customer as c, purchase as p, product as pr 
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 1    42    Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 2    59    Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 3    82   Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 4    86    Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 5    92   Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 6    97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 7   108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 8   110    Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9   111  Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 10  122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 11  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 12  152    Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 13  169    Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 14  171   Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 15  175     Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 16  176   Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 17  181    Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 18  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 19  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 20  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 21  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-24         3   2.35   21  Coffee         
#[Out]# 1   2018-08-18         6   1.90   21  Coffee         
#[Out]# 2   2018-08-15         6   2.20   21  Coffee         
#[Out]# 3   2018-08-19         2   2.05   21  Coffee         
#[Out]# 4   2018-08-18         2   2.30   21  Coffee         
#[Out]# 5   2018-08-25         6   2.05   21  Coffee         
#[Out]# 6   2018-08-25         8   2.20   21  Coffee         
#[Out]# 7   2018-08-15         6   1.70   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-22         8   2.30   21  Coffee         
#[Out]# 10  2018-08-25         6   1.70   21  Coffee         
#[Out]# 11  2018-08-26         6   2.15   21  Coffee         
#[Out]# 12  2018-08-20         1   1.85   21  Coffee         
#[Out]# 13  2018-08-16         2   1.90   21  Coffee         
#[Out]# 14  2018-08-20         2   2.35   21  Coffee         
#[Out]# 15  2018-08-20         2   2.25   21  Coffee         
#[Out]# 16  2018-08-26         8   2.15   21  Coffee         
#[Out]# 17  2018-08-27         5   2.00   21  Coffee         
#[Out]# 18  2018-08-26         5   4.25   21  Coffee         
#[Out]# 19  2018-08-20         2   3.10   21  Coffee         
#[Out]# 20  2018-08-22         7   0.60   21  Coffee         
#[Out]# 21  2018-08-22         6   4.05   21  Coffee         
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) AND p.date IN (SELECT p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) 
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 1    42    Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 2    86    Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 3    92   Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 4    97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 5   110    Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 6   111  Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 7   122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 8   124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 9   152    Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 10  171   Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 11  175     Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 12  176   Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 13  181    Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 14  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 15  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 16  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 17  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-24         3   2.35   21  Coffee         
#[Out]# 1   2018-08-18         6   1.90   21  Coffee         
#[Out]# 2   2018-08-18         2   2.30   21  Coffee         
#[Out]# 3   2018-08-25         6   2.05   21  Coffee         
#[Out]# 4   2018-08-25         8   2.20   21  Coffee         
#[Out]# 5   2018-08-18         2   1.95   21  Coffee         
#[Out]# 6   2018-08-22         8   2.30   21  Coffee         
#[Out]# 7   2018-08-25         6   1.70   21  Coffee         
#[Out]# 8   2018-08-26         6   2.15   21  Coffee         
#[Out]# 9   2018-08-20         1   1.85   21  Coffee         
#[Out]# 10  2018-08-20         2   2.35   21  Coffee         
#[Out]# 11  2018-08-20         2   2.25   21  Coffee         
#[Out]# 12  2018-08-26         8   2.15   21  Coffee         
#[Out]# 13  2018-08-27         5   2.00   21  Coffee         
#[Out]# 14  2018-08-26         5   4.25   21  Coffee         
#[Out]# 15  2018-08-20         2   3.10   21  Coffee         
#[Out]# 16  2018-08-22         7   0.60   21  Coffee         
#[Out]# 17  2018-08-22         6   4.05   21  Coffee         
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) AND p.date IN (SELECT p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) 
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    86    Stef
#[Out]# 3    92   Jelte
#[Out]# 4    97  Sophie
#[Out]# 5   110    Saar
#[Out]# 6   111  Lauren
#[Out]# 7   122    Elin
#[Out]# 8   124   Sofie
#[Out]# 9   152    Anne
#[Out]# 10  171   Tessa
#[Out]# 11  175     Sam
#[Out]# 12  176   Amira
#[Out]# 13  181    Liva
#[Out]# 14  190  Kostas
#[Out]# 15  190  Kostas
#[Out]# 16  190  Kostas
#[Out]# 17  190  Kostas
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) AND p.date IN (SELECT p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) 
    GROUP BY SELECT c.cID, c.cName
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) AND p.date IN (SELECT p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' ) 
    GROUP BY c.cID, c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    86    Stef
#[Out]# 3    92   Jelte
#[Out]# 4    97  Sophie
#[Out]# 5   110    Saar
#[Out]# 6   111  Lauren
#[Out]# 7   122    Elin
#[Out]# 8   124   Sofie
#[Out]# 9   152    Anne
#[Out]# 10  171   Tessa
#[Out]# 11  175     Sam
#[Out]# 12  176   Amira
#[Out]# 13  181    Liva
#[Out]# 14  190  Kostas
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID 
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND cName='Julian'
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0   16  Julian  Prins Bernhardstraat  Eindhoven   48   16   50    0   
#[Out]# 1   16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2   16  Julian  Prins Bernhardstraat  Eindhoven   50   16   22    5   
#[Out]# 3   16  Julian  Prins Bernhardstraat  Eindhoven   51   16   25   22   
#[Out]# 4   16  Julian  Prins Bernhardstraat  Eindhoven   52   16   31   23   
#[Out]# 5   16  Julian  Prins Bernhardstraat  Eindhoven   53   16   27   19   
#[Out]# 6   16  Julian  Prins Bernhardstraat  Eindhoven   54   16   55   16   
#[Out]# 7   16  Julian  Prins Bernhardstraat  Eindhoven   55   16   36   13   
#[Out]# 8   16  Julian  Prins Bernhardstraat  Eindhoven   56   16   13    7   
#[Out]# 9   16  Julian  Prins Bernhardstraat  Eindhoven   57   16   26   27   
#[Out]# 
#[Out]#          date  quantity  price  pID            pName suffix  
#[Out]# 0  2018-08-24         1   3.70    0      Cashew Nuts         
#[Out]# 1  2018-08-24         3   2.35   21           Coffee         
#[Out]# 2  2018-08-25         7   0.55    5        Mushrooms         
#[Out]# 3  2018-08-25         5   1.90   22              Tea         
#[Out]# 4  2018-08-25         7   2.50   23  Spiced Biscuits         
#[Out]# 5  2018-08-26         8   3.00   19             Coca         
#[Out]# 6  2018-08-27         8   1.85   16             Rice         
#[Out]# 7  2018-08-18         1   2.90   13             Eggs         
#[Out]# 8  2018-08-19         3   1.80    7         Tomatoes         
#[Out]# 9  2018-08-19         2   9.25   27            Pizza         
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID) IN (SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' AND (c.cID,p.date) IN (SELECT c.cID,p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Coffee' )  )  
    GROUP BY c.cID, c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    59    Joep
#[Out]# 3    82   Dylan
#[Out]# 4    86    Stef
#[Out]# 5    92   Jelte
#[Out]# 6    97  Sophie
#[Out]# 7   108    Noor
#[Out]# 8   110    Saar
#[Out]# 9   111  Lauren
#[Out]# 10  122    Elin
#[Out]# 11  124   Sofie
#[Out]# 12  152    Anne
#[Out]# 13  169    Lily
#[Out]# 14  171   Tessa
#[Out]# 15  175     Sam
#[Out]# 16  176   Amira
#[Out]# 17  181    Liva
#[Out]# 18  190  Kostas
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID,p.date) IN (SELECT c.cID,p.date
    FROM purchase as p, product as pr,customer as c 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions'  )  
    GROUP BY c.cID, c.cName
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND (c.cID,p.date) IN (SELECT c.cID, p.date
    FROM purchase as p, product as pr,customer as c 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions'  )  
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND pr.pName = 'Coffee' AND c.cID,p.date IN (SELECT c.cID, p.date
    FROM purchase as p, product as pr,customer as c 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions'  )  
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' AND (c.cID,p.date) IN (SELECT c.cID,p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Coffee' ) 
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Onions' AND (c.cID,p.date) IN (SELECT c.cID,p.date
    FROM purchase as p, product as pr 
    WHERE p.pID=pr.pID AND pr.pName = 'Coffee' 
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName 
    FROM customer as c, purchase as p1, purchase as p2
    WHERE p1.cID = c.cID AND p2.cID = c.cID 
    AND p1.date = p2.date 
    AND p1.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Onions')
    AND p2.pID IN(SELECT p.pID FROM product as p WHERE p.pName = 'Coffee')
    GROUP BY c.cID,c.cName 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    SELECT *
    FROM customer as c, purchase as p, product as pr
    WHERE p.cID = c.cID AND p.pID=pr.pID AND cName='Sofie'
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID  cName         street       city  tID  cID  sID  pID        date  \
#[Out]# 0   124  Sofie  Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 1   124  Sofie  Keizersgracht  Amsterdam  324  124   17   26  2018-08-26   
#[Out]# 2   124  Sofie  Keizersgracht  Amsterdam  325  124   14   28  2018-08-26   
#[Out]# 3   124  Sofie  Keizersgracht  Amsterdam  326  124   16   16  2018-08-26   
#[Out]# 4   124  Sofie  Keizersgracht  Amsterdam  327  124   23   12  2018-08-26   
#[Out]# 5   124  Sofie  Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 6   124  Sofie  Keizersgracht  Amsterdam  329  124   18   10  2018-08-26   
#[Out]# 7   124  Sofie  Keizersgracht  Amsterdam  330  124    1   11  2018-08-26   
#[Out]# 8   124  Sofie  Keizersgracht  Amsterdam  331  124   21    9  2018-08-23   
#[Out]# 9   124  Sofie  Keizersgracht  Amsterdam  332  124   35    7  2018-08-23   
#[Out]# 10  124  Sofie  Keizersgracht  Amsterdam  333  124    6   15  2018-08-23   
#[Out]# 
#[Out]#     quantity  price  pID      pName suffix  
#[Out]# 0          4   1.10    4     Onions         
#[Out]# 1          9   2.75   26      Pasta         
#[Out]# 2          6   8.25   28    Lasanga         
#[Out]# 3          1   1.40   16       Rice         
#[Out]# 4          3  11.65   12       Beef         
#[Out]# 5          6   2.15   21     Coffee         
#[Out]# 6          2   0.50   10      Water         
#[Out]# 7          6   1.00   11       Milk         
#[Out]# 8          1   1.65    9    Bananas         
#[Out]# 9          7   2.20    7   Tomatoes         
#[Out]# 10         1   1.00   15  Cucumbers         
query2 = '''
    SELECT *
    FROM inventory
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     55   10  2018-08-26        17        0.60
#[Out]# 1     25   12  2018-08-24        30       14.80
#[Out]# 2     15    6  2018-08-26        13        1.15
#[Out]# 3      6   27  2018-08-19        51        7.30
#[Out]# 4     57    2  2018-08-22        24        2.05
#[Out]# 5     33    8  2018-08-19        46        5.70
#[Out]# 6     51   10  2018-08-23        31        0.60
#[Out]# 7     50   21  2018-08-22        32        1.90
#[Out]# 8      0   13  2018-08-25        13        3.05
#[Out]# 9     36    8  2018-08-27        11        5.05
#[Out]# 10    36   23  2018-08-18        35        2.20
#[Out]# 11    54   10  2018-08-24        16        0.55
#[Out]# 12    59    1  2018-08-26        36        6.20
#[Out]# 13     9   19  2018-08-22        28        2.50
#[Out]# 14    33    7  2018-08-26         5        1.60
#[Out]# 15    35   10  2018-08-21        51        0.55
#[Out]# 16     0   21  2018-08-15         0        2.20
#[Out]# 17    31   14  2018-08-17        10        4.50
#[Out]# 18    19   14  2018-08-20        42        4.70
#[Out]# 19    33   20  2018-08-21        51        2.15
#[Out]# 20    17   24  2018-08-16        44        2.85
#[Out]# 21     4   27  2018-08-18        27        9.00
#[Out]# 22     3   25  2018-08-27        24        4.60
#[Out]# 23    22   15  2018-08-20         4        1.30
#[Out]# 24    52   14  2018-08-18        44        4.25
#[Out]# 25    24   26  2018-08-25        18        2.90
#[Out]# 26     7   12  2018-08-20        13       12.55
#[Out]# 27    32   18  2018-08-21        41       11.85
#[Out]# 28    48   24  2018-08-19        10        3.20
#[Out]# 29    54    8  2018-08-17         3        5.55
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   35    0  2018-08-25         1        4.35
#[Out]# 800   19   11  2018-08-25         9        0.90
#[Out]# 801    4   21  2018-08-25         9        2.15
#[Out]# 802    6    5  2018-08-26         6        0.50
#[Out]# 803   47   18  2018-08-20        12        8.85
#[Out]# 804   38   17  2018-08-20        10        2.30
#[Out]# 805   11    3  2018-08-21        15        1.30
#[Out]# 806   34   26  2018-08-21        14        3.40
#[Out]# 807   34   25  2018-08-27        17        3.60
#[Out]# 808   25   14  2018-08-24         3        3.70
#[Out]# 809   24   11  2018-08-24         1        0.85
#[Out]# 810   57   17  2018-08-24         4        2.40
#[Out]# 811   43   27  2018-08-22        15        9.00
#[Out]# 812   35   16  2018-08-22         8        1.85
#[Out]# 813   45   10  2018-08-22        21        0.45
#[Out]# 814   34   26  2018-08-26         9        3.10
#[Out]# 815   34   13  2018-08-26         3        4.05
#[Out]# 816   56   10  2018-08-27         1        0.60
#[Out]# 817    6   26  2018-08-24        13        2.70
#[Out]# 818   45    6  2018-08-24         9        0.90
#[Out]# 819   27   21  2018-08-27         1        2.00
#[Out]# 820   17   25  2018-08-27        14        3.90
#[Out]# 821    5   18  2018-08-28         1        9.70
#[Out]# 822    5    3  2018-08-28        13        1.30
#[Out]# 823    4   13  2018-08-23        23        4.20
#[Out]# 824   27   10  2018-08-20         7        0.55
#[Out]# 825   45   18  2018-08-21         5        9.20
#[Out]# 826   57    6  2018-08-22         9        1.15
#[Out]# 827   60   19  2018-07-10       525        1.75
#[Out]# 828    0    0  2018-07-18        15        5.95
#[Out]# 
#[Out]# [829 rows x 5 columns]
query2 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0     0    0  2018-07-18        15        5.95             5.95
#[Out]# 1    48    1  2018-08-25         9        6.55             6.55
#[Out]# 2    32    2  2018-08-15        22        2.35             2.35
#[Out]# 3     4    3  2018-08-26         5        1.80             1.80
#[Out]# 4    19    4  2018-08-23        53        1.20             1.20
#[Out]# 5     9    5  2018-08-15         1        0.60             0.60
#[Out]# 6    53    6  2018-08-16         3        1.20             1.20
#[Out]# 7    17    7  2018-08-16        53        2.40             2.40
#[Out]# 8    33    8  2018-08-19        46        5.70             5.70
#[Out]# 9    46    9  2018-08-24         1        1.80             1.80
#[Out]# 10   55   10  2018-08-26        17        0.60             0.60
#[Out]# 11    8   11  2018-08-15        37        1.20             1.20
#[Out]# 12    8   12  2018-08-17        14       14.90            14.90
#[Out]# 13    4   13  2018-08-22        11        4.20             4.20
#[Out]# 14    9   14  2018-08-16        15        4.75             4.75
#[Out]# 15   23   15  2018-08-20        26        1.40             1.40
#[Out]# 16    4   16  2018-08-15        52        2.10             2.10
#[Out]# 17    9   17  2018-08-25        12        2.60             2.60
#[Out]# 18   44   18  2018-08-22        14       12.00            12.00
#[Out]# 19   27   19  2018-08-25        18        3.00             3.00
#[Out]# 20    3   20  2018-08-18        54        2.75             2.75
#[Out]# 21   14   21  2018-08-24         1        2.35             2.35
#[Out]# 22   59   22  2018-08-24        30        2.15             2.15
#[Out]# 23   44   23  2018-08-19        27        2.60             2.60
#[Out]# 24   31   24  2018-08-25        18        4.20             4.20
#[Out]# 25   37   25  2018-08-17         3        4.70             4.70
#[Out]# 26   52   26  2018-08-27         5        3.55             3.55
#[Out]# 27   58   27  2018-08-16        54        9.45             9.45
#[Out]# 28    9   28  2018-08-19        25       10.05            10.05
query2 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
    GROUP BY pID, unit_price
'''

pd.read_sql_query(query2, conn)
#[Out]#      sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0     50    0  2018-08-24         3        3.70             3.70
#[Out]# 1      3    0  2018-08-25         5        3.75             3.75
#[Out]# 2     24    0  2018-08-17        53        3.80             3.80
#[Out]# 3     59    0  2018-08-17         1        3.90             3.90
#[Out]# 4     36    0  2018-08-26        13        3.95             3.95
#[Out]# 5      8    0  2018-08-21        16        4.00             4.00
#[Out]# 6     49    0  2018-08-27        10        4.20             4.20
#[Out]# 7      6    0  2018-08-23        37        4.35             4.35
#[Out]# 8     43    0  2018-08-25        13        4.40             4.40
#[Out]# 9     22    0  2018-08-21        16        4.50             4.50
#[Out]# 10    41    0  2018-08-15        35        4.55             4.55
#[Out]# 11    31    0  2018-08-23        25        4.60             4.60
#[Out]# 12    42    0  2018-08-26        18        4.65             4.65
#[Out]# 13    47    0  2018-08-24        13        4.80             4.80
#[Out]# 14     3    0  2018-08-24        18        4.85             4.85
#[Out]# 15    30    0  2018-08-21        21        4.90             4.90
#[Out]# 16    42    0  2018-08-24        12        5.00             5.00
#[Out]# 17    31    0  2018-08-21        12        5.10             5.10
#[Out]# 18    29    0  2018-08-23        28        5.15             5.15
#[Out]# 19    31    0  2018-08-15         7        5.25             5.25
#[Out]# 20    10    0  2018-08-16        18        5.30             5.30
#[Out]# 21    33    0  2018-08-17        12        5.35             5.35
#[Out]# 22    21    0  2018-08-17         3        5.40             5.40
#[Out]# 23     0    0  2018-07-18        15        5.95             5.95
#[Out]# 24    56    1  2018-08-23         1        4.40             4.40
#[Out]# 25    42    1  2018-08-18        40        4.50             4.50
#[Out]# 26    17    1  2018-08-17         8        4.55             4.55
#[Out]# 27    46    1  2018-08-24        16        4.60             4.60
#[Out]# 28    55    1  2018-08-23         1        4.80             4.80
#[Out]# 29    41    1  2018-08-20        17        5.00             5.00
#[Out]# ..   ...  ...         ...       ...         ...              ...
#[Out]# 417   52   27  2018-08-22        25        9.30             9.30
#[Out]# 418   58   27  2018-08-16        54        9.45             9.45
#[Out]# 419   32   28  2018-08-23        36        6.85             6.85
#[Out]# 420   44   28  2018-08-27        32        6.90             6.90
#[Out]# 421   38   28  2018-08-20         3        6.95             6.95
#[Out]# 422   21   28  2018-08-29        17        7.05             7.05
#[Out]# 423   36   28  2018-08-26         7        7.20             7.20
#[Out]# 424   55   28  2018-08-24        15        7.25             7.25
#[Out]# 425   52   28  2018-08-23         8        7.35             7.35
#[Out]# 426   25   28  2018-08-18        11        7.45             7.45
#[Out]# 427   27   28  2018-08-15        14        7.55             7.55
#[Out]# 428   47   28  2018-08-16         2        7.65             7.65
#[Out]# 429   18   28  2018-08-16         7        7.70             7.70
#[Out]# 430    2   28  2018-08-25        49        7.75             7.75
#[Out]# 431   25   28  2018-08-27         6        8.05             8.05
#[Out]# 432   27   28  2018-08-19        14        8.10             8.10
#[Out]# 433   24   28  2018-08-25         8        8.20             8.20
#[Out]# 434   36   28  2018-08-22        15        8.25             8.25
#[Out]# 435   34   28  2018-08-25        13        8.35             8.35
#[Out]# 436    1   28  2018-08-18        45        8.40             8.40
#[Out]# 437   18   28  2018-08-22         9        8.70             8.70
#[Out]# 438   39   28  2018-08-21        37        8.85             8.85
#[Out]# 439   30   28  2018-08-22         6        8.90             8.90
#[Out]# 440   37   28  2018-08-24        11        9.30             9.30
#[Out]# 441   34   28  2018-08-18        13        9.45             9.45
#[Out]# 442   59   28  2018-08-25        16        9.55             9.55
#[Out]# 443   52   28  2018-08-16        11        9.60             9.60
#[Out]# 444   54   28  2018-08-25        13        9.70             9.70
#[Out]# 445    9   28  2018-08-16        11        9.85             9.85
#[Out]# 446    9   28  2018-08-19        25       10.05            10.05
#[Out]# 
#[Out]# [447 rows x 6 columns]
query2 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0    29    0  2018-08-23        28        5.15             5.15
#[Out]# 1     7    1  2018-08-23        18        5.80             5.80
#[Out]# 2    11    2  2018-08-23        22        2.10             2.10
#[Out]# 3     3    3  2018-08-23        17        1.35             1.35
#[Out]# 4    19    4  2018-08-23        53        1.20             1.20
#[Out]# 5     1    5  2018-08-23         2        0.45             0.45
#[Out]# 6    48    6  2018-08-23        21        1.15             1.15
#[Out]# 7    35    7  2018-08-23         7        2.20             2.20
#[Out]# 8    25    8  2018-08-23         6        5.55             5.55
#[Out]# 9    51   10  2018-08-23        31        0.60             0.60
#[Out]# 10   35   11  2018-08-23        15        1.20             1.20
#[Out]# 11    5   12  2018-08-23        11       13.40            13.40
#[Out]# 12    4   13  2018-08-23        23        4.20             4.20
#[Out]# 13   40   14  2018-08-23         3        4.10             4.10
#[Out]# 14   11   15  2018-08-23        14        1.30             1.30
#[Out]# 15    2   16  2018-08-23         0        2.00             2.00
#[Out]# 16    5   17  2018-08-23        34        2.45             2.45
#[Out]# 17   57   19  2018-08-23        12        2.95             2.95
#[Out]# 18   30   22  2018-08-23        29        2.05             2.05
#[Out]# 19   21   23  2018-08-23        20        2.10             2.10
#[Out]# 20    5   24  2018-08-23        32        4.10             4.10
#[Out]# 21   56   25  2018-08-23        19        4.35             4.35
#[Out]# 22   35   27  2018-08-23        54        8.85             8.85
#[Out]# 23   37   28  2018-08-23        19        7.75             7.75
query2 = '''
    SELECT *, MAX(unit_price), MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  MAX(unit_price)  \
#[Out]# 0     6    0  2018-08-23        37        4.35             5.15   
#[Out]# 1    56    1  2018-08-23         1        4.40             5.80   
#[Out]# 2    12    2  2018-08-23         3        1.70             2.10   
#[Out]# 3     3    3  2018-08-23        17        1.35             1.35   
#[Out]# 4    45    4  2018-08-23        50        1.00             1.20   
#[Out]# 5     1    5  2018-08-23         2        0.45             0.45   
#[Out]# 6    48    6  2018-08-23        21        1.15             1.15   
#[Out]# 7    47    7  2018-08-23        27        1.85             2.20   
#[Out]# 8    33    8  2018-08-23        16        4.80             5.55   
#[Out]# 9    34   10  2018-08-23         8        0.45             0.60   
#[Out]# 10    2   11  2018-08-23        21        1.00             1.20   
#[Out]# 11   42   12  2018-08-23        46       11.40            13.40   
#[Out]# 12   12   13  2018-08-23        15        3.55             4.20   
#[Out]# 13   11   14  2018-08-23        12        3.20             4.10   
#[Out]# 14    6   15  2018-08-23         4        1.00             1.30   
#[Out]# 15    5   16  2018-08-23         4        1.65             2.00   
#[Out]# 16   29   17  2018-08-23         4        1.95             2.45   
#[Out]# 17    3   19  2018-08-23        11        2.10             2.95   
#[Out]# 18   51   22  2018-08-23        13        1.55             2.05   
#[Out]# 19   38   23  2018-08-23        29        1.80             2.10   
#[Out]# 20   38   24  2018-08-23        10        3.55             4.10   
#[Out]# 21   35   25  2018-08-23        36        4.00             4.35   
#[Out]# 22   40   27  2018-08-23        17        6.90             8.85   
#[Out]# 23   32   28  2018-08-23        36        6.85             7.75   
#[Out]# 
#[Out]#     MIN(unit_price)  
#[Out]# 0              4.35  
#[Out]# 1              4.40  
#[Out]# 2              1.70  
#[Out]# 3              1.35  
#[Out]# 4              1.00  
#[Out]# 5              0.45  
#[Out]# 6              1.15  
#[Out]# 7              1.85  
#[Out]# 8              4.80  
#[Out]# 9              0.45  
#[Out]# 10             1.00  
#[Out]# 11            11.40  
#[Out]# 12             3.55  
#[Out]# 13             3.20  
#[Out]# 14             1.00  
#[Out]# 15             1.65  
#[Out]# 16             1.95  
#[Out]# 17             2.10  
#[Out]# 18             1.55  
#[Out]# 19             1.80  
#[Out]# 20             3.55  
#[Out]# 21             4.00  
#[Out]# 22             6.90  
#[Out]# 23             6.85  
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  \
#[Out]# 0     6    0  2018-08-23        37        4.35   
#[Out]# 1    56    1  2018-08-23         1        4.40   
#[Out]# 2    12    2  2018-08-23         3        1.70   
#[Out]# 3     3    3  2018-08-23        17        1.35   
#[Out]# 4    45    4  2018-08-23        50        1.00   
#[Out]# 5     1    5  2018-08-23         2        0.45   
#[Out]# 6    48    6  2018-08-23        21        1.15   
#[Out]# 7    47    7  2018-08-23        27        1.85   
#[Out]# 8    33    8  2018-08-23        16        4.80   
#[Out]# 9    34   10  2018-08-23         8        0.45   
#[Out]# 10    2   11  2018-08-23        21        1.00   
#[Out]# 11   42   12  2018-08-23        46       11.40   
#[Out]# 12   12   13  2018-08-23        15        3.55   
#[Out]# 13   11   14  2018-08-23        12        3.20   
#[Out]# 14    6   15  2018-08-23         4        1.00   
#[Out]# 15    5   16  2018-08-23         4        1.65   
#[Out]# 16   29   17  2018-08-23         4        1.95   
#[Out]# 17    3   19  2018-08-23        11        2.10   
#[Out]# 18   51   22  2018-08-23        13        1.55   
#[Out]# 19   38   23  2018-08-23        29        1.80   
#[Out]# 20   38   24  2018-08-23        10        3.55   
#[Out]# 21   35   25  2018-08-23        36        4.00   
#[Out]# 22   40   27  2018-08-23        17        6.90   
#[Out]# 23   32   28  2018-08-23        36        6.85   
#[Out]# 
#[Out]#     MAX(unit_price)-MIN(unit_price)  
#[Out]# 0                              0.80  
#[Out]# 1                              1.40  
#[Out]# 2                              0.40  
#[Out]# 3                              0.00  
#[Out]# 4                              0.20  
#[Out]# 5                              0.00  
#[Out]# 6                              0.00  
#[Out]# 7                              0.35  
#[Out]# 8                              0.75  
#[Out]# 9                              0.15  
#[Out]# 10                             0.20  
#[Out]# 11                             2.00  
#[Out]# 12                             0.65  
#[Out]# 13                             0.90  
#[Out]# 14                             0.30  
#[Out]# 15                             0.35  
#[Out]# 16                             0.50  
#[Out]# 17                             0.85  
#[Out]# 18                             0.50  
#[Out]# 19                             0.30  
#[Out]# 20                             0.55  
#[Out]# 21                             0.35  
#[Out]# 22                             1.95  
#[Out]# 23                             0.90  
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'
    #GROUP BY pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)-MIN(unit_price)
#[Out]# 0   34   10  2018-08-23         8        0.45                            12.95
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'  
'''

pd.read_sql_query(query2, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)-MIN(unit_price)
#[Out]# 0   34   10  2018-08-23         8        0.45                            12.95
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'  
    GROUP BY sID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  \
#[Out]# 0     1    5  2018-08-23         2        0.45   
#[Out]# 1     2   11  2018-08-23        21        1.00   
#[Out]# 2     3    3  2018-08-23        17        1.35   
#[Out]# 3     4   13  2018-08-23        23        4.20   
#[Out]# 4     5   16  2018-08-23         4        1.65   
#[Out]# 5     6   15  2018-08-23         4        1.00   
#[Out]# 6     7    1  2018-08-23        18        5.80   
#[Out]# 7     9   12  2018-08-23         5       13.15   
#[Out]# 8    11   15  2018-08-23        14        1.30   
#[Out]# 9    12   15  2018-08-23         1        1.25   
#[Out]# 10   13   15  2018-08-23        11        1.25   
#[Out]# 11   16   22  2018-08-23        14        1.60   
#[Out]# 12   17   19  2018-08-23        10        2.20   
#[Out]# 13   19    4  2018-08-23        53        1.20   
#[Out]# 14   21   23  2018-08-23        20        2.10   
#[Out]# 15   25    8  2018-08-23         6        5.55   
#[Out]# 16   28   27  2018-08-23        43        8.50   
#[Out]# 17   29   17  2018-08-23         4        1.95   
#[Out]# 18   30   22  2018-08-23        29        2.05   
#[Out]# 19   31    0  2018-08-23        25        4.60   
#[Out]# 20   32   28  2018-08-23        36        6.85   
#[Out]# 21   33   11  2018-08-23        32        1.05   
#[Out]# 22   34   10  2018-08-23         8        0.45   
#[Out]# 23   35   11  2018-08-23        15        1.20   
#[Out]# 24   37   28  2018-08-23        19        7.75   
#[Out]# 25   38   23  2018-08-23        29        1.80   
#[Out]# 26   40   14  2018-08-23         3        4.10   
#[Out]# 27   41   14  2018-08-23         3        3.35   
#[Out]# 28   42   12  2018-08-23        46       11.40   
#[Out]# 29   43    7  2018-08-23        20        1.95   
#[Out]# 30   44   19  2018-08-23         4        2.65   
#[Out]# 31   45    4  2018-08-23        50        1.00   
#[Out]# 32   47    7  2018-08-23        27        1.85   
#[Out]# 33   48    6  2018-08-23        21        1.15   
#[Out]# 34   50   10  2018-08-23        54        0.55   
#[Out]# 35   51   10  2018-08-23        31        0.60   
#[Out]# 36   52   28  2018-08-23         8        7.35   
#[Out]# 37   54   12  2018-08-23         5       12.55   
#[Out]# 38   55    1  2018-08-23         1        4.80   
#[Out]# 39   56   25  2018-08-23        19        4.35   
#[Out]# 40   57   19  2018-08-23        12        2.95   
#[Out]# 
#[Out]#     MAX(unit_price)-MIN(unit_price)  
#[Out]# 0                              0.00  
#[Out]# 1                              1.00  
#[Out]# 2                              0.75  
#[Out]# 3                              0.00  
#[Out]# 4                             11.75  
#[Out]# 5                              3.35  
#[Out]# 6                              0.00  
#[Out]# 7                              0.00  
#[Out]# 8                              1.90  
#[Out]# 9                              2.30  
#[Out]# 10                             0.00  
#[Out]# 11                             0.00  
#[Out]# 12                             0.00  
#[Out]# 13                             0.00  
#[Out]# 14                             0.00  
#[Out]# 15                             0.00  
#[Out]# 16                             0.00  
#[Out]# 17                             3.20  
#[Out]# 18                             0.00  
#[Out]# 19                             0.00  
#[Out]# 20                             0.00  
#[Out]# 21                             3.75  
#[Out]# 22                             0.00  
#[Out]# 23                             7.65  
#[Out]# 24                             0.00  
#[Out]# 25                             1.75  
#[Out]# 26                             2.80  
#[Out]# 27                             1.25  
#[Out]# 28                             0.00  
#[Out]# 29                             0.00  
#[Out]# 30                             0.00  
#[Out]# 31                             3.10  
#[Out]# 32                             0.00  
#[Out]# 33                             0.00  
#[Out]# 34                             3.30  
#[Out]# 35                             0.95  
#[Out]# 36                             0.00  
#[Out]# 37                             0.00  
#[Out]# 38                             0.00  
#[Out]# 39                             0.05  
#[Out]# 40                             0.00  
query2 = '''
    SELECT *, MAX(unit_price)-MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'  
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  \
#[Out]# 0     6    0  2018-08-23        37        4.35   
#[Out]# 1    56    1  2018-08-23         1        4.40   
#[Out]# 2    12    2  2018-08-23         3        1.70   
#[Out]# 3     3    3  2018-08-23        17        1.35   
#[Out]# 4    45    4  2018-08-23        50        1.00   
#[Out]# 5     1    5  2018-08-23         2        0.45   
#[Out]# 6    48    6  2018-08-23        21        1.15   
#[Out]# 7    47    7  2018-08-23        27        1.85   
#[Out]# 8    33    8  2018-08-23        16        4.80   
#[Out]# 9    34   10  2018-08-23         8        0.45   
#[Out]# 10    2   11  2018-08-23        21        1.00   
#[Out]# 11   42   12  2018-08-23        46       11.40   
#[Out]# 12   12   13  2018-08-23        15        3.55   
#[Out]# 13   11   14  2018-08-23        12        3.20   
#[Out]# 14    6   15  2018-08-23         4        1.00   
#[Out]# 15    5   16  2018-08-23         4        1.65   
#[Out]# 16   29   17  2018-08-23         4        1.95   
#[Out]# 17    3   19  2018-08-23        11        2.10   
#[Out]# 18   51   22  2018-08-23        13        1.55   
#[Out]# 19   38   23  2018-08-23        29        1.80   
#[Out]# 20   38   24  2018-08-23        10        3.55   
#[Out]# 21   35   25  2018-08-23        36        4.00   
#[Out]# 22   40   27  2018-08-23        17        6.90   
#[Out]# 23   32   28  2018-08-23        36        6.85   
#[Out]# 
#[Out]#     MAX(unit_price)-MIN(unit_price)  
#[Out]# 0                              0.80  
#[Out]# 1                              1.40  
#[Out]# 2                              0.40  
#[Out]# 3                              0.00  
#[Out]# 4                              0.20  
#[Out]# 5                              0.00  
#[Out]# 6                              0.00  
#[Out]# 7                              0.35  
#[Out]# 8                              0.75  
#[Out]# 9                              0.15  
#[Out]# 10                             0.20  
#[Out]# 11                             2.00  
#[Out]# 12                             0.65  
#[Out]# 13                             0.90  
#[Out]# 14                             0.30  
#[Out]# 15                             0.35  
#[Out]# 16                             0.50  
#[Out]# 17                             0.85  
#[Out]# 18                             0.50  
#[Out]# 19                             0.30  
#[Out]# 20                             0.55  
#[Out]# 21                             0.35  
#[Out]# 22                             1.95  
#[Out]# 23                             0.90  
query2 = '''
    select c.cid, c.cname from customer as c, product as p, purchase as pur
    where c.cid=pur.cid and pur.pid=p.pid and p.pname='Coffee' and (pur.date,c.cid)in(
    select p.date,p.cid from purchase as p, product as p1
    where p.pid=p1.pid and p1.pname='Onions'
    )
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    SELECT *, MAX(unit_price),MIN(unit_price)
    FROM inventory
    WHERE date = '2018-08-23'  
    GROUP BY pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     sID  pID        date  quantity  unit_price  MAX(unit_price)  \
#[Out]# 0     6    0  2018-08-23        37        4.35             5.15   
#[Out]# 1    56    1  2018-08-23         1        4.40             5.80   
#[Out]# 2    12    2  2018-08-23         3        1.70             2.10   
#[Out]# 3     3    3  2018-08-23        17        1.35             1.35   
#[Out]# 4    45    4  2018-08-23        50        1.00             1.20   
#[Out]# 5     1    5  2018-08-23         2        0.45             0.45   
#[Out]# 6    48    6  2018-08-23        21        1.15             1.15   
#[Out]# 7    47    7  2018-08-23        27        1.85             2.20   
#[Out]# 8    33    8  2018-08-23        16        4.80             5.55   
#[Out]# 9    34   10  2018-08-23         8        0.45             0.60   
#[Out]# 10    2   11  2018-08-23        21        1.00             1.20   
#[Out]# 11   42   12  2018-08-23        46       11.40            13.40   
#[Out]# 12   12   13  2018-08-23        15        3.55             4.20   
#[Out]# 13   11   14  2018-08-23        12        3.20             4.10   
#[Out]# 14    6   15  2018-08-23         4        1.00             1.30   
#[Out]# 15    5   16  2018-08-23         4        1.65             2.00   
#[Out]# 16   29   17  2018-08-23         4        1.95             2.45   
#[Out]# 17    3   19  2018-08-23        11        2.10             2.95   
#[Out]# 18   51   22  2018-08-23        13        1.55             2.05   
#[Out]# 19   38   23  2018-08-23        29        1.80             2.10   
#[Out]# 20   38   24  2018-08-23        10        3.55             4.10   
#[Out]# 21   35   25  2018-08-23        36        4.00             4.35   
#[Out]# 22   40   27  2018-08-23        17        6.90             8.85   
#[Out]# 23   32   28  2018-08-23        36        6.85             7.75   
#[Out]# 
#[Out]#     MIN(unit_price)  
#[Out]# 0              4.35  
#[Out]# 1              4.40  
#[Out]# 2              1.70  
#[Out]# 3              1.35  
#[Out]# 4              1.00  
#[Out]# 5              0.45  
#[Out]# 6              1.15  
#[Out]# 7              1.85  
#[Out]# 8              4.80  
#[Out]# 9              0.45  
#[Out]# 10             1.00  
#[Out]# 11            11.40  
#[Out]# 12             3.55  
#[Out]# 13             3.20  
#[Out]# 14             1.00  
#[Out]# 15             1.65  
#[Out]# 16             1.95  
#[Out]# 17             2.10  
#[Out]# 18             1.55  
#[Out]# 19             1.80  
#[Out]# 20             3.55  
#[Out]# 21             4.00  
#[Out]# 22             6.90  
#[Out]# 23             6.85  
query6 = '''
    SELECT (MAX(s1.unit_price) - MIN(s2.unit_price)) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    GROUP BY pID

    
    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT (MAX(s1.unit_price) - MIN(s2.unit_price)) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    GROUP BY s1.pID

    
    
'''

pd.read_sql_query(query6, conn)
#[Out]#     diff
#[Out]# 0   0.80
#[Out]# 1   1.40
#[Out]# 2   0.40
#[Out]# 3   0.20
#[Out]# 4   0.35
#[Out]# 5   0.75
#[Out]# 6   0.15
#[Out]# 7   0.20
#[Out]# 8   2.00
#[Out]# 9   0.65
#[Out]# 10  0.90
#[Out]# 11  0.30
#[Out]# 12  0.35
#[Out]# 13  0.50
#[Out]# 14  0.85
#[Out]# 15  0.50
#[Out]# 16  0.30
#[Out]# 17  0.55
#[Out]# 18  0.35
#[Out]# 19  1.95
#[Out]# 20  0.90
query6 = '''
    SELECT (MAX(s1.unit_price) - MIN(s2.unit_price)) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    GROUP BY s1.pID
    HAVING MAX(diff)

    
    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT (MAX(s1.unit_price) - MIN(s2.unit_price)) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    GROUP BY s1.pID
    HAVING diff

    
    
'''

pd.read_sql_query(query6, conn)
#[Out]#     diff
#[Out]# 0   0.80
#[Out]# 1   1.40
#[Out]# 2   0.40
#[Out]# 3   0.20
#[Out]# 4   0.35
#[Out]# 5   0.75
#[Out]# 6   0.15
#[Out]# 7   0.20
#[Out]# 8   2.00
#[Out]# 9   0.65
#[Out]# 10  0.90
#[Out]# 11  0.30
#[Out]# 12  0.35
#[Out]# 13  0.50
#[Out]# 14  0.85
#[Out]# 15  0.50
#[Out]# 16  0.30
#[Out]# 17  0.55
#[Out]# 18  0.35
#[Out]# 19  1.95
#[Out]# 20  0.90
query6 = '''
    SELECT (MAX(s1.unit_price) - MIN(s2.unit_price)) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.sID <> s2.sID AND s1.pID = s2.pID 
    AND s1.date = '2018-08-23' AND s2.date = '2018-08-23'
    GROUP BY s1.pID
    HAVING diff = MAX(diff)

    
    
'''

pd.read_sql_query(query6, conn)
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price)
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    GROUP BY pID
    HAVING MAX(ABS(s1.unit_price - s2.unit_price))
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    GROUP BY pID
    HAVING MAX(diff)
'''

pd.read_sql_query(query2, conn)
query6 = '''
    SELECT MAX(inv1.unit_price)-MIN(inv2.unit_price)
    FROM inventory AS inv1, inventory AS inv2
    WHERE inv1.date = '2018-08-23' AND inv2.date = '2018-08-23' AND (inv1.sID <> inv2.sID) AND (inv1.pID = inv2.pID);
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(inv1.unit_price)-MIN(inv2.unit_price)
#[Out]# 0                                      12.95
query2 = '''
    select c.cid, c.cname 
    from customer as c, product as p, purchase as pur
    where c.cid=pur.cid and pur.pid=p.pid and p.pname='Coffee' 
    and (pur.date,c.cid)in(select p.date,p.cid from purchase as p, product as p1
    where p.pid=p1.pid and p1.pname='Onions'
    
    
'''

pd.read_sql_query(query2, conn)
query3 = '''
    SELECT DISTINCT(p.cID)
    FROM purchase as p, store as s
    WHERE p.sID=s.sID
    GROUP BY p.cID
    HAVING COUNT(DISTINCT(p.sID)) IN (SELECT COUNT(DISTINCT (sID)) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID = s2.pID
    ORDER BY diff DESC
    LIMIT 1
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff
#[Out]# 0   0.0
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID = s2.pID
    ORDER BY diff DESC
    LIMIT 1;
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff
#[Out]# 0   0.0
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    ORDER BY diff DESC
    LIMIT 1;
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff
#[Out]# 0   2.0
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
'''

pd.read_sql_query(query2, conn)
#[Out]#      diff
#[Out]# 0    0.15
#[Out]# 1    0.05
#[Out]# 2    0.85
#[Out]# 3    0.75
#[Out]# 4    0.70
#[Out]# 5    0.30
#[Out]# 6    0.30
#[Out]# 7    0.05
#[Out]# 8    0.60
#[Out]# 9    0.05
#[Out]# 10   0.10
#[Out]# 11   0.55
#[Out]# 12   0.05
#[Out]# 13   0.50
#[Out]# 14   0.25
#[Out]# 15   0.05
#[Out]# 16   0.00
#[Out]# 17   0.10
#[Out]# 18   0.05
#[Out]# 19   1.20
#[Out]# 20   1.00
#[Out]# 21   1.40
#[Out]# 22   0.05
#[Out]# 23   0.20
#[Out]# 24   0.35
#[Out]# 25   1.60
#[Out]# 26   0.35
#[Out]# 27   1.20
#[Out]# 28   0.20
#[Out]# 29   0.20
#[Out]# ..    ...
#[Out]# 124  0.55
#[Out]# 125  0.20
#[Out]# 126  0.15
#[Out]# 127  1.00
#[Out]# 128  0.20
#[Out]# 129  0.40
#[Out]# 130  0.85
#[Out]# 131  0.60
#[Out]# 132  1.15
#[Out]# 133  0.30
#[Out]# 134  0.05
#[Out]# 135  0.05
#[Out]# 136  0.25
#[Out]# 137  0.35
#[Out]# 138  0.30
#[Out]# 139  0.25
#[Out]# 140  0.25
#[Out]# 141  0.90
#[Out]# 142  0.40
#[Out]# 143  0.75
#[Out]# 144  0.25
#[Out]# 145  1.75
#[Out]# 146  0.60
#[Out]# 147  0.55
#[Out]# 148  1.40
#[Out]# 149  0.20
#[Out]# 150  0.40
#[Out]# 151  0.65
#[Out]# 152  0.05
#[Out]# 153  0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
'''

pd.read_sql_query(query2, conn)
#[Out]#      diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0    0.15   51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1    0.05   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2    0.85   57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3    0.75   57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4    0.70   57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5    0.30   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6    0.30   38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7    0.05   35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8    0.60   35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9    0.05   35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10   0.10   45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11   0.55   45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12   0.05   45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13   0.50    5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14   0.25   13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15   0.05   13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16   0.00   13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17   0.10   50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18   0.05   50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19   1.20    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20   1.00    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21   1.40    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22   0.05    2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23   0.20    2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24   0.35   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25   1.60   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26   0.35   35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27   1.20   41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28   0.20   41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29   0.20   41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..    ...  ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124  0.55   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125  0.20   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126  0.15   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127  1.00   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128  0.20   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129  0.40   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130  0.85   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131  0.60   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132  1.15   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133  0.30   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134  0.05   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135  0.05   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136  0.25   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137  0.35   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138  0.30    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139  0.25    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140  0.25    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141  0.90   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142  0.40   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143  0.75   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144  0.25    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145  1.75    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146  0.60    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147  0.55   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148  1.40   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149  0.20   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150  0.40   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151  0.65    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152  0.05    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153  0.10    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 11 columns]
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    GROUP BY s1.pID,s2.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0   0.55   31    0  2018-08-23        25        4.60   29    0  2018-08-23   
#[Out]# 1   0.40   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 2   0.40   12    2  2018-08-23         3        1.70   11    2  2018-08-23   
#[Out]# 3   0.20   45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 4   0.10   47    7  2018-08-23        27        1.85   43    7  2018-08-23   
#[Out]# 5   0.75   33    8  2018-08-23        16        4.80   25    8  2018-08-23   
#[Out]# 6   0.05   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 7   0.15   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 8   1.15   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 9   0.05   45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 10  0.50   50   14  2018-08-23        19        3.85   41   14  2018-08-23   
#[Out]# 11  0.00   13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 12  0.05   11   16  2018-08-23         3        1.90    6   16  2018-08-23   
#[Out]# 13  0.50   29   17  2018-08-23         4        1.95    5   17  2018-08-23   
#[Out]# 14  0.30   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 15  0.40   51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 16  0.30   38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 17  0.55   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 18  0.35   56   25  2018-08-23        19        4.35   35   25  2018-08-23   
#[Out]# 19  1.95   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 20  0.40   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 
#[Out]#     quantity  unit_price  
#[Out]# 0         28        5.15  
#[Out]# 1          1        4.80  
#[Out]# 2         22        2.10  
#[Out]# 3         53        1.20  
#[Out]# 4         20        1.95  
#[Out]# 5          6        5.55  
#[Out]# 6         54        0.55  
#[Out]# 7         32        1.05  
#[Out]# 8         46       11.40  
#[Out]# 9         28        4.15  
#[Out]# 10         3        3.35  
#[Out]# 11         1        1.25  
#[Out]# 12        14        1.85  
#[Out]# 13        34        2.45  
#[Out]# 14         4        2.65  
#[Out]# 15         5        1.95  
#[Out]# 16        20        2.10  
#[Out]# 17        32        4.10  
#[Out]# 18        36        4.00  
#[Out]# 19        54        8.85  
#[Out]# 20        19        7.75  
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    GROUP BY s1.date
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0   0.3   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 
#[Out]#    quantity  unit_price  
#[Out]# 0         4        2.65  
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    GROUP BY s1.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0   0.55   31    0  2018-08-23        25        4.60   29    0  2018-08-23   
#[Out]# 1   0.40   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 2   0.40   12    2  2018-08-23         3        1.70   11    2  2018-08-23   
#[Out]# 3   0.20   45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 4   0.10   47    7  2018-08-23        27        1.85   43    7  2018-08-23   
#[Out]# 5   0.75   33    8  2018-08-23        16        4.80   25    8  2018-08-23   
#[Out]# 6   0.05   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 7   0.15   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 8   1.15   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 9   0.05   45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 10  0.50   50   14  2018-08-23        19        3.85   41   14  2018-08-23   
#[Out]# 11  0.00   13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 12  0.05   11   16  2018-08-23         3        1.90    6   16  2018-08-23   
#[Out]# 13  0.50   29   17  2018-08-23         4        1.95    5   17  2018-08-23   
#[Out]# 14  0.30   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 15  0.40   51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 16  0.30   38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 17  0.55   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 18  0.35   56   25  2018-08-23        19        4.35   35   25  2018-08-23   
#[Out]# 19  1.95   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 20  0.40   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 
#[Out]#     quantity  unit_price  
#[Out]# 0         28        5.15  
#[Out]# 1          1        4.80  
#[Out]# 2         22        2.10  
#[Out]# 3         53        1.20  
#[Out]# 4         20        1.95  
#[Out]# 5          6        5.55  
#[Out]# 6         54        0.55  
#[Out]# 7         32        1.05  
#[Out]# 8         46       11.40  
#[Out]# 9         28        4.15  
#[Out]# 10         3        3.35  
#[Out]# 11         1        1.25  
#[Out]# 12        14        1.85  
#[Out]# 13        34        2.45  
#[Out]# 14         4        2.65  
#[Out]# 15         5        1.95  
#[Out]# 16        20        2.10  
#[Out]# 17        32        4.10  
#[Out]# 18        36        4.00  
#[Out]# 19        54        8.85  
#[Out]# 20        19        7.75  
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
'''

pd.read_sql_query(query2, conn)
#[Out]#      diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0    0.15   51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1    0.05   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2    0.85   57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3    0.75   57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4    0.70   57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5    0.30   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6    0.30   38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7    0.05   35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8    0.60   35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9    0.05   35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10   0.10   45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11   0.55   45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12   0.05   45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13   0.50    5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14   0.25   13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15   0.05   13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16   0.00   13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17   0.10   50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18   0.05   50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19   1.20    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20   1.00    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21   1.40    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22   0.05    2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23   0.20    2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24   0.35   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25   1.60   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26   0.35   35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27   1.20   41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28   0.20   41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29   0.20   41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..    ...  ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124  0.55   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125  0.20   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126  0.15   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127  1.00   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128  0.20   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129  0.40   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130  0.85   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131  0.60   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132  1.15   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133  0.30   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134  0.05   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135  0.05   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136  0.25   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137  0.35   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138  0.30    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139  0.25    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140  0.25    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141  0.90   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142  0.40   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143  0.75   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144  0.25    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145  1.75    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146  0.60    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147  0.55   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148  1.40   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149  0.20   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150  0.40   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151  0.65    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152  0.05    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153  0.10    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 11 columns]
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff, *
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    ORDER BY diff DESC
    LIMIT 1;
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff  sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0   2.0   42   12  2018-08-23        46        11.4    5   12  2018-08-23   
#[Out]# 
#[Out]#    quantity  unit_price  
#[Out]# 0        11        13.4  
query2 = '''
    SELECT ABS(s1.unit_price-s2.unit_price) AS diff
    FROM inventory as s1, inventory as s2
    WHERE s1.date = '2018-08-23'  
    AND s2.date = '2018-08-23'
    AND s1.pID = s2.pID
    AND s1.sID <> s2.sID
    ORDER BY diff DESC
    LIMIT 1
'''

pd.read_sql_query(query2, conn)
#[Out]#    diff
#[Out]# 0   2.0

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd

