# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT DISTINCT P.pID
    FROM purchase P
    EXCEPT
    SELECT DISTINCT P1.pID
    FROM purchase P1, purchase P2, purchase P3
    WHERE P1.pID = P2.pID AND P2.pID = P3.pID AND P1.cID <> P2.cID AND P1.cID <> P3.cID AND P2.cID <> P3.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT C.cID, C.cName
    FROM purchase P1, purchase P2, product PR1, product PR2, customer C
    WHERE P1.cID = C.CID AND P1.cID = P2.cID AND P1.date = P2.date AND P1.pID = PR1.pID AND P2.pID = PR2.pID AND PR1.pName = "Onions" AND PR2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT p1.cID 
    FROM purchase p1
    WHERE NOT EXISTS (
    SELECT s.sID 
    FROM store s
    EXCEPT
    SELECT p2.sID
    FROM purchase p2
    WHERE p2.cID = p1.cID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT s1.sName, avg(quantity)
    From  store s1, store s2, purchase p
    WHERE s1.sID = p.sID AND s1.sName = s2.sName AND s1.sID <> s2.sID

    GROUP BY s1.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query5 = '''
    SELECT pName, sName
    FROM (
    SELECT sID, pID, max(price)
    FROM purchase) m, store s, product p
    WHERE s.sID = m.sID AND p.pID = m.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT max(difference) AS largest_difference
    FROM (SELECT i1.sID, i1.pID, i1.date, i1.quantity, (max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" AND i1.pID = i2.pID AND i2.date = "2018-08-23" 
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1b = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1b, conn)
practicequery1c = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1c, conn)
