# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database,
# fill in another name in the cell above,
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump,
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x2e1ac1caf10>
query1 = '''
    select pID
    from product
    where pID not in (select pID
        from (select pID, count(distinct cID) as ccount
            from purchase
            group by pID) as pc1
        where pc1.ccount > 2)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    select customer.cID, cName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and p1.cID = p2.cID and p1.date = p2.date and pr1.pName = "Onions" and pr1.pID = p1.pID and pr2.pName = "Coffee" and pr2.pID = p2.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID
    from (
        select cID, count(sID) as storeCount
        from purchase
        group by cID
    ) as cs
    where cs.storeCount = (
        select count(sID)
        from store
    )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    select cID
    from (
        select cID, count(distinct sID) as storeCount
        from purchase
        group by cID
    ) as cs
    where cs.storeCount = (
        select count(distinct sID)
        from store
    )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190


# IPython log file

query4 = '''
    select sName
    from (
        select sName, store.sID, avg(quantity) as avq
        from store, purchase
        where store.sID = purchase.sID
        group by sName
    )
    where avq > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sName
    from (
        select sName, store.sID, avg(quantity) as avq
        from store, purchase
        where store.sID = purchase.sID
        group by sName
    )
    where avq > 4
'''

pd.read_sql_query(query4, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
query4 = '''
    select sName
    from (
        select sName, store.sID, avg(quantity) as avq
        from store, purchase
        where store.sID = purchase.sID
        group by sName
    )
    where avq > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pName, purchase.pID
    from product, purchase, (
        select max(price) as maxp
        from purchase
        )
    where purchase.pID = product.pID and max(price) = maxp
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, purchase.pID
    from product, purchase
    where purchase.pID = product.pID and max(price) = (
        select max(price)
        from purchase
        )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, purchase.pID
    from product, purchase
    where purchase.pID = product.pID and max(price) = (
        select max (price)
        from purchase
        )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, purchase.pID
    from product, purchase
    where purchase.pID = product.pID and price = (
        select avg(max(price))
        from purchase
        )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with avg_price(value) as (
        select max(price)
        from purchase)
    select pName
    from product, purchase
    where purchase.pID = product.pID and price = avg_price.value
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with max_price(value) as (
        select max(price)
        from purchase
        )
    select pName
    from product, purchase, max_price
    where purchase.pID = product.pID and price = max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName
#[Out]# 0  Beef
query5 = '''
    with max_price(value) as (
        select max(price)
        from purchase
    )
    select pName, sName
    from product, store, purchase, max_price
    where purchase.pID = product.pID and purchase.sID = store.sID and price = max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select pID, min(unit_price), max(unit_price)
    from inventory
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  min(unit_price)  max(unit_price)
#[Out]# 0   12              0.4             14.9
query6 = '''
    select pID, min(unit_price), max(unit_price)
    from inventory
    group by pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  min(unit_price)  max(unit_price)
#[Out]# 0     0             3.70             5.95
#[Out]# 1     1             4.40             6.55
#[Out]# 2     2             1.65             2.35
#[Out]# 3     3             1.20             1.80
#[Out]# 4     4             0.80             1.20
#[Out]# 5     5             0.40             0.60
#[Out]# 6     6             0.90             1.20
#[Out]# 7     7             1.60             2.40
#[Out]# 8     8             4.05             5.70
#[Out]# 9     9             1.20             1.80
#[Out]# 10   10             0.40             0.60
#[Out]# 11   11             0.80             1.20
#[Out]# 12   12            10.15            14.90
#[Out]# 13   13             2.85             4.20
#[Out]# 14   14             3.20             4.75
#[Out]# 15   15             1.00             1.40
#[Out]# 16   16             1.40             2.10
#[Out]# 17   17             1.75             2.60
#[Out]# 18   18             8.55            12.00
#[Out]# 19   19             1.75             3.00
#[Out]# 20   20             1.90             2.75
#[Out]# 21   21             1.60             2.35
#[Out]# 22   22             1.45             2.15
#[Out]# 23   23             1.80             2.60
#[Out]# 24   24             2.85             4.20
#[Out]# 25   25             3.25             4.70
#[Out]# 26   26             2.45             3.55
#[Out]# 27   27             6.65             9.45
#[Out]# 28   28             6.85            10.05
query6 = '''
    select pID, max(unit_price) - min(unit_price)
    from inventory
    group by pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  max(unit_price) - min(unit_price)
#[Out]# 0     0                               2.25
#[Out]# 1     1                               2.15
#[Out]# 2     2                               0.70
#[Out]# 3     3                               0.60
#[Out]# 4     4                               0.40
#[Out]# 5     5                               0.20
#[Out]# 6     6                               0.30
#[Out]# 7     7                               0.80
#[Out]# 8     8                               1.65
#[Out]# 9     9                               0.60
#[Out]# 10   10                               0.20
#[Out]# 11   11                               0.40
#[Out]# 12   12                               4.75
#[Out]# 13   13                               1.35
#[Out]# 14   14                               1.55
#[Out]# 15   15                               0.40
#[Out]# 16   16                               0.70
#[Out]# 17   17                               0.85
#[Out]# 18   18                               3.45
#[Out]# 19   19                               1.25
#[Out]# 20   20                               0.85
#[Out]# 21   21                               0.75
#[Out]# 22   22                               0.70
#[Out]# 23   23                               0.80
#[Out]# 24   24                               1.35
#[Out]# 25   25                               1.45
#[Out]# 26   26                               1.10
#[Out]# 27   27                               2.80
#[Out]# 28   28                               3.20
query6 = '''
    select max(unit_price) - min(unit_price)
    from inventory
    group by pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     max(unit_price) - min(unit_price)
#[Out]# 0                                2.25
#[Out]# 1                                2.15
#[Out]# 2                                0.70
#[Out]# 3                                0.60
#[Out]# 4                                0.40
#[Out]# 5                                0.20
#[Out]# 6                                0.30
#[Out]# 7                                0.80
#[Out]# 8                                1.65
#[Out]# 9                                0.60
#[Out]# 10                               0.20
#[Out]# 11                               0.40
#[Out]# 12                               4.75
#[Out]# 13                               1.35
#[Out]# 14                               1.55
#[Out]# 15                               0.40
#[Out]# 16                               0.70
#[Out]# 17                               0.85
#[Out]# 18                               3.45
#[Out]# 19                               1.25
#[Out]# 20                               0.85
#[Out]# 21                               0.75
#[Out]# 22                               0.70
#[Out]# 23                               0.80
#[Out]# 24                               1.35
#[Out]# 25                               1.45
#[Out]# 26                               1.10
#[Out]# 27                               2.80
#[Out]# 28                               3.20
query6 = '''
    select max(max(unit_price) - min(unit_price))
    from inventory
    group by pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(unit_price) - min(unit_price)
    from inventory
    group by pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     max(unit_price) - min(unit_price)
#[Out]# 0                                2.25
#[Out]# 1                                2.15
#[Out]# 2                                0.70
#[Out]# 3                                0.60
#[Out]# 4                                0.40
#[Out]# 5                                0.20
#[Out]# 6                                0.30
#[Out]# 7                                0.80
#[Out]# 8                                1.65
#[Out]# 9                                0.60
#[Out]# 10                               0.20
#[Out]# 11                               0.40
#[Out]# 12                               4.75
#[Out]# 13                               1.35
#[Out]# 14                               1.55
#[Out]# 15                               0.40
#[Out]# 16                               0.70
#[Out]# 17                               0.85
#[Out]# 18                               3.45
#[Out]# 19                               1.25
#[Out]# 20                               0.85
#[Out]# 21                               0.75
#[Out]# 22                               0.70
#[Out]# 23                               0.80
#[Out]# 24                               1.35
#[Out]# 25                               1.45
#[Out]# 26                               1.10
#[Out]# 27                               2.80
#[Out]# 28                               3.20
query6 = '''
    select max(dif)
    from (
        select max(unit_price) - min(unit_price) as dif
        from inventory
        where date = "2018-08-23"
        group by pID
    )
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(dif)
#[Out]# 0       2.0
