# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT distinct pu.pID
    FROM    purchase pu
    GROUP BY
        pu.pID
    HAVING  COUNT(pu.cID) <= 2  
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select distinct c.cID, c.cName
    from customer c, product p, product p2 , purchase pu , purchase pu2
    where ( c.cID = pu.cID AND p.pID = pu.pID AND (p.pName = 'Onions')) and 
    ( c.cID = pu2.cID AND p2.pID = pu2.pID AND (p2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query3 = '''
    select pu.cID
    from purchase pu
    Group By pu.cID
    having count(distinct pu.sID) = 64
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
    where ((AVG(quantity))>4)
'''

pd.read_sql_query(query4, conn)
query2 = '''
    select distinct c.cID, c.cName
    from customer c, product p, product p2 , purchase pu , purchase pu2
    where ( c.cID = pu.cID AND p.pID = pu.pID AND (p.pName = 'Onions')) and 
    ( c.cID = pu2.cID AND p2.pID = pu2.pID AND (p2.pName = 'Coffee')) and pu.date = pu2.date
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
    where ((AVG(p.quantity))>4)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
    Having AVG(p.quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
    Having AVG(p.quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select s.sName
    from store s, purchase p
    group by s.sName
    Having (AVG(p.quantity)>4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select s.sName
    from store s, purchase p
    where s.sID = p.sID
    group by s.sName
    Having (AVG(p.quantity)>4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where ((select MAX(pu.price))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (( MAX(pu.price))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)
            from purchase pu1))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)))
            from purchase pu1))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price))
            from purchase pu1))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)))
            from purchase pu1)
'''

pd.read_sql_query(query5, conn)
#[Out]#                    pName  sName
#[Out]# 0            Cashew Nuts   Coop
#[Out]# 1            Cashew Nuts   Coop
#[Out]# 2            Cashew Nuts   Coop
#[Out]# 3            Cashew Nuts   Coop
#[Out]# 4            Cashew Nuts   Coop
#[Out]# 5            Cashew Nuts   Coop
#[Out]# 6            Cashew Nuts   Coop
#[Out]# 7            Cashew Nuts   Coop
#[Out]# 8            Cashew Nuts   Coop
#[Out]# 9            Cashew Nuts   Coop
#[Out]# 10           Cashew Nuts   Coop
#[Out]# 11           Cashew Nuts   Coop
#[Out]# 12           Cashew Nuts   Coop
#[Out]# 13           Cashew Nuts   Coop
#[Out]# 14           Cashew Nuts   Coop
#[Out]# 15           Cashew Nuts   Coop
#[Out]# 16           Cashew Nuts   Coop
#[Out]# 17           Cashew Nuts   Coop
#[Out]# 18           Cashew Nuts   Coop
#[Out]# 19           Cashew Nuts   Coop
#[Out]# 20           Cashew Nuts   Coop
#[Out]# 21           Cashew Nuts   Coop
#[Out]# 22           Cashew Nuts   Coop
#[Out]# 23           Cashew Nuts   Coop
#[Out]# 24           Cashew Nuts   Coop
#[Out]# 25           Cashew Nuts   Coop
#[Out]# 26           Cashew Nuts   Coop
#[Out]# 27           Cashew Nuts   Coop
#[Out]# 28           Cashew Nuts   Coop
#[Out]# 29           Cashew Nuts   Coop
#[Out]# ...                  ...    ...
#[Out]# 1042402  French baguette  Jumbo
#[Out]# 1042403  French baguette  Jumbo
#[Out]# 1042404  French baguette  Jumbo
#[Out]# 1042405  French baguette  Jumbo
#[Out]# 1042406  French baguette  Jumbo
#[Out]# 1042407  French baguette  Jumbo
#[Out]# 1042408  French baguette  Jumbo
#[Out]# 1042409  French baguette  Jumbo
#[Out]# 1042410  French baguette  Jumbo
#[Out]# 1042411  French baguette  Jumbo
#[Out]# 1042412  French baguette  Jumbo
#[Out]# 1042413  French baguette  Jumbo
#[Out]# 1042414  French baguette  Jumbo
#[Out]# 1042415  French baguette  Jumbo
#[Out]# 1042416  French baguette  Jumbo
#[Out]# 1042417  French baguette  Jumbo
#[Out]# 1042418  French baguette  Jumbo
#[Out]# 1042419  French baguette  Jumbo
#[Out]# 1042420  French baguette  Jumbo
#[Out]# 1042421  French baguette  Jumbo
#[Out]# 1042422  French baguette  Jumbo
#[Out]# 1042423  French baguette  Jumbo
#[Out]# 1042424  French baguette  Jumbo
#[Out]# 1042425  French baguette  Jumbo
#[Out]# 1042426  French baguette  Jumbo
#[Out]# 1042427  French baguette  Jumbo
#[Out]# 1042428  French baguette  Jumbo
#[Out]# 1042429  French baguette  Jumbo
#[Out]# 1042430  French baguette  Jumbo
#[Out]# 1042431  French baguette  Jumbo
#[Out]# 
#[Out]# [1042432 rows x 2 columns]
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)))
            from purchase pu1)
            and pu1.pID = p.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)))
            from purchase pu1
            where pu1.pID = p.pID)
            
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName  sName
#[Out]# 0        Cashew Nuts   Coop
#[Out]# 1        Cashew Nuts   Coop
#[Out]# 2        Cashew Nuts   Coop
#[Out]# 3        Cashew Nuts   Coop
#[Out]# 4        Cashew Nuts   Coop
#[Out]# 5        Cashew Nuts   Coop
#[Out]# 6        Cashew Nuts   Coop
#[Out]# 7        Cashew Nuts   Coop
#[Out]# 8        Cashew Nuts   Coop
#[Out]# 9        Cashew Nuts   Coop
#[Out]# 10       Cashew Nuts   Coop
#[Out]# 11       Cashew Nuts   Coop
#[Out]# 12       Cashew Nuts   Coop
#[Out]# 13       Cashew Nuts   Coop
#[Out]# 14       Cashew Nuts   Coop
#[Out]# 15       Cashew Nuts   Coop
#[Out]# 16       Cashew Nuts   Coop
#[Out]# 17       Cashew Nuts   Coop
#[Out]# 18       Cashew Nuts   Coop
#[Out]# 19       Cashew Nuts   Coop
#[Out]# 20       Cashew Nuts   Coop
#[Out]# 21       Cashew Nuts   Coop
#[Out]# 22       Cashew Nuts   Coop
#[Out]# 23       Cashew Nuts   Coop
#[Out]# 24       Cashew Nuts   Coop
#[Out]# 25       Cashew Nuts   Coop
#[Out]# 26       Cashew Nuts   Coop
#[Out]# 27       Cashew Nuts   Coop
#[Out]# 28       Cashew Nuts   Coop
#[Out]# 29       Cashew Nuts   Coop
#[Out]# ...              ...    ...
#[Out]# 1009826      Ketchup  Jumbo
#[Out]# 1009827      Ketchup  Jumbo
#[Out]# 1009828      Ketchup  Jumbo
#[Out]# 1009829      Ketchup  Jumbo
#[Out]# 1009830      Ketchup  Jumbo
#[Out]# 1009831      Ketchup  Jumbo
#[Out]# 1009832      Ketchup  Jumbo
#[Out]# 1009833      Ketchup  Jumbo
#[Out]# 1009834      Ketchup  Jumbo
#[Out]# 1009835      Ketchup  Jumbo
#[Out]# 1009836      Ketchup  Jumbo
#[Out]# 1009837      Ketchup  Jumbo
#[Out]# 1009838      Ketchup  Jumbo
#[Out]# 1009839      Ketchup  Jumbo
#[Out]# 1009840      Ketchup  Jumbo
#[Out]# 1009841      Ketchup  Jumbo
#[Out]# 1009842      Ketchup  Jumbo
#[Out]# 1009843      Ketchup  Jumbo
#[Out]# 1009844      Ketchup  Jumbo
#[Out]# 1009845      Ketchup  Jumbo
#[Out]# 1009846      Ketchup  Jumbo
#[Out]# 1009847      Ketchup  Jumbo
#[Out]# 1009848      Ketchup  Jumbo
#[Out]# 1009849      Ketchup  Jumbo
#[Out]# 1009850      Ketchup  Jumbo
#[Out]# 1009851      Ketchup  Jumbo
#[Out]# 1009852      Ketchup  Jumbo
#[Out]# 1009853      Ketchup  Jumbo
#[Out]# 1009854      Ketchup  Jumbo
#[Out]# 1009855      Ketchup  Jumbo
#[Out]# 
#[Out]# [1009856 rows x 2 columns]
query5 = '''
    select p.pName, s.sName
    from product p, purchase pu, store s
    where (select((MAX(pu1.price)))
            from purchase pu1
            where pu1.pID = p.pID)
            
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName  sName
#[Out]# 0        Cashew Nuts   Coop
#[Out]# 1        Cashew Nuts   Coop
#[Out]# 2        Cashew Nuts   Coop
#[Out]# 3        Cashew Nuts   Coop
#[Out]# 4        Cashew Nuts   Coop
#[Out]# 5        Cashew Nuts   Coop
#[Out]# 6        Cashew Nuts   Coop
#[Out]# 7        Cashew Nuts   Coop
#[Out]# 8        Cashew Nuts   Coop
#[Out]# 9        Cashew Nuts   Coop
#[Out]# 10       Cashew Nuts   Coop
#[Out]# 11       Cashew Nuts   Coop
#[Out]# 12       Cashew Nuts   Coop
#[Out]# 13       Cashew Nuts   Coop
#[Out]# 14       Cashew Nuts   Coop
#[Out]# 15       Cashew Nuts   Coop
#[Out]# 16       Cashew Nuts   Coop
#[Out]# 17       Cashew Nuts   Coop
#[Out]# 18       Cashew Nuts   Coop
#[Out]# 19       Cashew Nuts   Coop
#[Out]# 20       Cashew Nuts   Coop
#[Out]# 21       Cashew Nuts   Coop
#[Out]# 22       Cashew Nuts   Coop
#[Out]# 23       Cashew Nuts   Coop
#[Out]# 24       Cashew Nuts   Coop
#[Out]# 25       Cashew Nuts   Coop
#[Out]# 26       Cashew Nuts   Coop
#[Out]# 27       Cashew Nuts   Coop
#[Out]# 28       Cashew Nuts   Coop
#[Out]# 29       Cashew Nuts   Coop
#[Out]# ...              ...    ...
#[Out]# 1009826      Ketchup  Jumbo
#[Out]# 1009827      Ketchup  Jumbo
#[Out]# 1009828      Ketchup  Jumbo
#[Out]# 1009829      Ketchup  Jumbo
#[Out]# 1009830      Ketchup  Jumbo
#[Out]# 1009831      Ketchup  Jumbo
#[Out]# 1009832      Ketchup  Jumbo
#[Out]# 1009833      Ketchup  Jumbo
#[Out]# 1009834      Ketchup  Jumbo
#[Out]# 1009835      Ketchup  Jumbo
#[Out]# 1009836      Ketchup  Jumbo
#[Out]# 1009837      Ketchup  Jumbo
#[Out]# 1009838      Ketchup  Jumbo
#[Out]# 1009839      Ketchup  Jumbo
#[Out]# 1009840      Ketchup  Jumbo
#[Out]# 1009841      Ketchup  Jumbo
#[Out]# 1009842      Ketchup  Jumbo
#[Out]# 1009843      Ketchup  Jumbo
#[Out]# 1009844      Ketchup  Jumbo
#[Out]# 1009845      Ketchup  Jumbo
#[Out]# 1009846      Ketchup  Jumbo
#[Out]# 1009847      Ketchup  Jumbo
#[Out]# 1009848      Ketchup  Jumbo
#[Out]# 1009849      Ketchup  Jumbo
#[Out]# 1009850      Ketchup  Jumbo
#[Out]# 1009851      Ketchup  Jumbo
#[Out]# 1009852      Ketchup  Jumbo
#[Out]# 1009853      Ketchup  Jumbo
#[Out]# 1009854      Ketchup  Jumbo
#[Out]# 1009855      Ketchup  Jumbo
#[Out]# 
#[Out]# [1009856 rows x 2 columns]
query5 = '''
   (select((MAX(pu1.price)))
            from purchase pu1
            where pu1.pID = p.pID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price)
    from purchase pu, product p
    where pu.pID = p.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price)
#[Out]# 0           13.8
query5 = '''
   select p.pName
    from purchase pu, product p
    where pu.pID = p.pID
    having MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price), p.pName
    from purchase pu, product p
    where pu.pID = p.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName
#[Out]# 0           13.8  Beef
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select all MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query6 = '''
    select Max(i1.unit_price - i2.unit_price)
    from inventory i1, inventory i2
    where i1.date = i2.date and i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    Max(i1.unit_price - i2.unit_price)
#[Out]# 0                               12.95
query6 = '''
    select Max(i1.unit_price - i2.unit_price)
    from inventory i1, inventory i2
    where i1.date = i2.date and i1.date = '2018-08-23' and i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    Max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
    select Max(i1.unit_price - i2.unit_price)
    from inventory i1, inventory i2
    where i1.date = i2.date and i1.date = '2018-08-23' and i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    Max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.pID = select (MAX(pu.price)
                                                            from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.pID = (select (MAX(pu.price)
                                                            from purchase pu1))
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.pID = (select MAX(pu.price)
                                                            from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu.price)
                                                            from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = (select MAX(pu.price) from pu)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = (select MAX(pu.price) from pu)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = (select MAX(pu.price) from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID max.pID = p.pID and max = (select MAX(pu.price) from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max.pID = p.pID and max = (select MAX(pu.price) from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID 
    and max = (select MAX(pu.price) from purchase pu1)
    and max.pID = p.pID 
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID 
    and max = (select MAX(pu.price), pu1.pID from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and max = 
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select not MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    not MAX(pu.price) pName   sName
#[Out]# 0                  0  Beef  Sligro
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select , p.pName, s.sName
    from purchase pu, product p, store s
    where MAX(pu.price) and pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select  p.pName, s.sName
    from purchase pu, product p, store s
    where MAX(pu.price) and pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query6 = '''
    select Max(i1.unit_price - i2.unit_price) AS difference
    from inventory i1, inventory i2
    where i1.date = i2.date and i1.date = '2018-08-23' and i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s, MAX(pu.price)
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price)
                                                from purchase pu1)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1) and max.pID = p.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName, max
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1) 
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName, max
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu1.pID = pu.pID and (select MAX(pu1.price) As max
                                                from purchase pu1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and (select MAX(pu1.price) As max
                                                from purchase pu1
                                                where pu1.pID = pu.pID)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from purchase pu, product p, store s
    where (select MAX(pu1.price)
        from purchase pu1
        where pu1.pID = pu.pID and pu.pID = p.pID and s.sID = pu.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
        from purchase pu1
        where pu1.pID = pu.pID and pu.pID = p.pID and s.sID = pu.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
        from purchase pu1
        where pu1.pID = p.pID and s.sID = pu1.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#            pName        sName
#[Out]# 0    Cashew Nuts         Coop
#[Out]# 1    Cashew Nuts    Hoogvliet
#[Out]# 2    Cashew Nuts       Sligro
#[Out]# 3    Cashew Nuts  Albert Hein
#[Out]# 4    Cashew Nuts         Coop
#[Out]# 5    Cashew Nuts         Coop
#[Out]# 6    Cashew Nuts         Coop
#[Out]# 7    Cashew Nuts    Hoogvliet
#[Out]# 8    Cashew Nuts         Coop
#[Out]# 9    Cashew Nuts  Albert Hein
#[Out]# 10   Cashew Nuts         Dirk
#[Out]# 11   Cashew Nuts         Lidl
#[Out]# 12   Cashew Nuts         Lidl
#[Out]# 13   Cashew Nuts       Sligro
#[Out]# 14   Cashew Nuts       Sligro
#[Out]# 15   Cashew Nuts         Coop
#[Out]# 16   Cashew Nuts  Albert Hein
#[Out]# 17   Cashew Nuts    Hoogvliet
#[Out]# 18   Cashew Nuts       Sligro
#[Out]# 19   Cashew Nuts         Lidl
#[Out]# 20   Cashew Nuts         Dirk
#[Out]# 21   Cashew Nuts        Jumbo
#[Out]# 22    Mixed Nuts         Coop
#[Out]# 23    Mixed Nuts    Hoogvliet
#[Out]# 24    Mixed Nuts  Albert Hein
#[Out]# 25    Mixed Nuts    Hoogvliet
#[Out]# 26    Mixed Nuts    Hoogvliet
#[Out]# 27    Mixed Nuts  Albert Hein
#[Out]# 28    Mixed Nuts         Coop
#[Out]# 29    Mixed Nuts         Coop
#[Out]# ..           ...          ...
#[Out]# 414        Pizza       Sligro
#[Out]# 415        Pizza        Jumbo
#[Out]# 416        Pizza    Hoogvliet
#[Out]# 417        Pizza         Lidl
#[Out]# 418        Pizza         Lidl
#[Out]# 419        Pizza    Hoogvliet
#[Out]# 420        Pizza         Coop
#[Out]# 421        Pizza         Coop
#[Out]# 422        Pizza         Dirk
#[Out]# 423        Pizza         Dirk
#[Out]# 424      Lasanga       Sligro
#[Out]# 425      Lasanga  Albert Hein
#[Out]# 426      Lasanga         Coop
#[Out]# 427      Lasanga       Sligro
#[Out]# 428      Lasanga        Jumbo
#[Out]# 429      Lasanga         Coop
#[Out]# 430      Lasanga  Albert Hein
#[Out]# 431      Lasanga       Sligro
#[Out]# 432      Lasanga         Dirk
#[Out]# 433      Lasanga         Coop
#[Out]# 434      Lasanga         Lidl
#[Out]# 435      Lasanga        Jumbo
#[Out]# 436      Lasanga    Hoogvliet
#[Out]# 437      Lasanga    Hoogvliet
#[Out]# 438      Lasanga  Albert Hein
#[Out]# 439      Lasanga         Lidl
#[Out]# 440      Lasanga         Dirk
#[Out]# 441      Lasanga         Coop
#[Out]# 442       Salmon        Jumbo
#[Out]# 443      Ketchup        Jumbo
#[Out]# 
#[Out]# [444 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
            and p.pID = s.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
            and pu.sID = s.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
            and pu1.sID = s.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#            pName        sName
#[Out]# 0    Cashew Nuts         Coop
#[Out]# 1    Cashew Nuts    Hoogvliet
#[Out]# 2    Cashew Nuts       Sligro
#[Out]# 3    Cashew Nuts  Albert Hein
#[Out]# 4    Cashew Nuts         Coop
#[Out]# 5    Cashew Nuts         Coop
#[Out]# 6    Cashew Nuts         Coop
#[Out]# 7    Cashew Nuts    Hoogvliet
#[Out]# 8    Cashew Nuts         Coop
#[Out]# 9    Cashew Nuts  Albert Hein
#[Out]# 10   Cashew Nuts         Dirk
#[Out]# 11   Cashew Nuts         Lidl
#[Out]# 12   Cashew Nuts         Lidl
#[Out]# 13   Cashew Nuts       Sligro
#[Out]# 14   Cashew Nuts       Sligro
#[Out]# 15   Cashew Nuts         Coop
#[Out]# 16   Cashew Nuts  Albert Hein
#[Out]# 17   Cashew Nuts    Hoogvliet
#[Out]# 18   Cashew Nuts       Sligro
#[Out]# 19   Cashew Nuts         Lidl
#[Out]# 20   Cashew Nuts         Dirk
#[Out]# 21   Cashew Nuts        Jumbo
#[Out]# 22    Mixed Nuts         Coop
#[Out]# 23    Mixed Nuts    Hoogvliet
#[Out]# 24    Mixed Nuts  Albert Hein
#[Out]# 25    Mixed Nuts    Hoogvliet
#[Out]# 26    Mixed Nuts    Hoogvliet
#[Out]# 27    Mixed Nuts  Albert Hein
#[Out]# 28    Mixed Nuts         Coop
#[Out]# 29    Mixed Nuts         Coop
#[Out]# ..           ...          ...
#[Out]# 414        Pizza       Sligro
#[Out]# 415        Pizza        Jumbo
#[Out]# 416        Pizza    Hoogvliet
#[Out]# 417        Pizza         Lidl
#[Out]# 418        Pizza         Lidl
#[Out]# 419        Pizza    Hoogvliet
#[Out]# 420        Pizza         Coop
#[Out]# 421        Pizza         Coop
#[Out]# 422        Pizza         Dirk
#[Out]# 423        Pizza         Dirk
#[Out]# 424      Lasanga       Sligro
#[Out]# 425      Lasanga  Albert Hein
#[Out]# 426      Lasanga         Coop
#[Out]# 427      Lasanga       Sligro
#[Out]# 428      Lasanga        Jumbo
#[Out]# 429      Lasanga         Coop
#[Out]# 430      Lasanga  Albert Hein
#[Out]# 431      Lasanga       Sligro
#[Out]# 432      Lasanga         Dirk
#[Out]# 433      Lasanga         Coop
#[Out]# 434      Lasanga         Lidl
#[Out]# 435      Lasanga        Jumbo
#[Out]# 436      Lasanga    Hoogvliet
#[Out]# 437      Lasanga    Hoogvliet
#[Out]# 438      Lasanga  Albert Hein
#[Out]# 439      Lasanga         Lidl
#[Out]# 440      Lasanga         Dirk
#[Out]# 441      Lasanga         Coop
#[Out]# 442       Salmon        Jumbo
#[Out]# 443      Ketchup        Jumbo
#[Out]# 
#[Out]# [444 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where ALL(select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#            pName        sName
#[Out]# 0    Cashew Nuts         Coop
#[Out]# 1    Cashew Nuts    Hoogvliet
#[Out]# 2    Cashew Nuts       Sligro
#[Out]# 3    Cashew Nuts  Albert Hein
#[Out]# 4    Cashew Nuts         Coop
#[Out]# 5    Cashew Nuts         Coop
#[Out]# 6    Cashew Nuts         Coop
#[Out]# 7    Cashew Nuts    Hoogvliet
#[Out]# 8    Cashew Nuts         Coop
#[Out]# 9    Cashew Nuts  Albert Hein
#[Out]# 10   Cashew Nuts         Dirk
#[Out]# 11   Cashew Nuts         Lidl
#[Out]# 12   Cashew Nuts         Lidl
#[Out]# 13   Cashew Nuts       Sligro
#[Out]# 14   Cashew Nuts       Sligro
#[Out]# 15   Cashew Nuts         Coop
#[Out]# 16   Cashew Nuts  Albert Hein
#[Out]# 17   Cashew Nuts    Hoogvliet
#[Out]# 18   Cashew Nuts       Sligro
#[Out]# 19   Cashew Nuts         Lidl
#[Out]# 20   Cashew Nuts         Dirk
#[Out]# 21   Cashew Nuts        Jumbo
#[Out]# 22    Mixed Nuts         Coop
#[Out]# 23    Mixed Nuts    Hoogvliet
#[Out]# 24    Mixed Nuts  Albert Hein
#[Out]# 25    Mixed Nuts    Hoogvliet
#[Out]# 26    Mixed Nuts    Hoogvliet
#[Out]# 27    Mixed Nuts  Albert Hein
#[Out]# 28    Mixed Nuts         Coop
#[Out]# 29    Mixed Nuts         Coop
#[Out]# ..           ...          ...
#[Out]# 414        Pizza       Sligro
#[Out]# 415        Pizza        Jumbo
#[Out]# 416        Pizza    Hoogvliet
#[Out]# 417        Pizza         Lidl
#[Out]# 418        Pizza         Lidl
#[Out]# 419        Pizza    Hoogvliet
#[Out]# 420        Pizza         Coop
#[Out]# 421        Pizza         Coop
#[Out]# 422        Pizza         Dirk
#[Out]# 423        Pizza         Dirk
#[Out]# 424      Lasanga       Sligro
#[Out]# 425      Lasanga  Albert Hein
#[Out]# 426      Lasanga         Coop
#[Out]# 427      Lasanga       Sligro
#[Out]# 428      Lasanga        Jumbo
#[Out]# 429      Lasanga         Coop
#[Out]# 430      Lasanga  Albert Hein
#[Out]# 431      Lasanga       Sligro
#[Out]# 432      Lasanga         Dirk
#[Out]# 433      Lasanga         Coop
#[Out]# 434      Lasanga         Lidl
#[Out]# 435      Lasanga        Jumbo
#[Out]# 436      Lasanga    Hoogvliet
#[Out]# 437      Lasanga    Hoogvliet
#[Out]# 438      Lasanga  Albert Hein
#[Out]# 439      Lasanga         Lidl
#[Out]# 440      Lasanga         Dirk
#[Out]# 441      Lasanga         Coop
#[Out]# 442       Salmon        Jumbo
#[Out]# 443      Ketchup        Jumbo
#[Out]# 
#[Out]# [444 rows x 2 columns]
query5 = '''
   select p.pName, s.sName
    from product p, store s, purchase pu
    where (select MAX(pu.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID and pu.pID = pu1.pID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
   select p.pName, s.sName
    from product p, store s, purchase pu
    where (select MAX(pu1.price)
            from purchase pu1
            where pu1.pID = p.pID and s.sID = pu1.sID and pu.pID = pu1.pID)
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName      sName
#[Out]# 0     Cashew Nuts       Coop
#[Out]# 1     Cashew Nuts       Coop
#[Out]# 2     Cashew Nuts       Coop
#[Out]# 3     Cashew Nuts       Coop
#[Out]# 4     Cashew Nuts       Coop
#[Out]# 5     Cashew Nuts       Coop
#[Out]# 6     Cashew Nuts       Coop
#[Out]# 7     Cashew Nuts       Coop
#[Out]# 8     Cashew Nuts       Coop
#[Out]# 9     Cashew Nuts       Coop
#[Out]# 10    Cashew Nuts       Coop
#[Out]# 11    Cashew Nuts       Coop
#[Out]# 12    Cashew Nuts       Coop
#[Out]# 13    Cashew Nuts       Coop
#[Out]# 14    Cashew Nuts       Coop
#[Out]# 15    Cashew Nuts       Coop
#[Out]# 16    Cashew Nuts       Coop
#[Out]# 17    Cashew Nuts       Coop
#[Out]# 18    Cashew Nuts       Coop
#[Out]# 19    Cashew Nuts       Coop
#[Out]# 20    Cashew Nuts       Coop
#[Out]# 21    Cashew Nuts       Coop
#[Out]# 22    Cashew Nuts       Coop
#[Out]# 23    Cashew Nuts       Coop
#[Out]# 24    Cashew Nuts       Coop
#[Out]# 25    Cashew Nuts  Hoogvliet
#[Out]# 26    Cashew Nuts  Hoogvliet
#[Out]# 27    Cashew Nuts  Hoogvliet
#[Out]# 28    Cashew Nuts  Hoogvliet
#[Out]# 29    Cashew Nuts  Hoogvliet
#[Out]# ...           ...        ...
#[Out]# 8035      Lasanga       Dirk
#[Out]# 8036      Lasanga       Coop
#[Out]# 8037      Lasanga       Coop
#[Out]# 8038      Lasanga       Coop
#[Out]# 8039      Lasanga       Coop
#[Out]# 8040      Lasanga       Coop
#[Out]# 8041      Lasanga       Coop
#[Out]# 8042      Lasanga       Coop
#[Out]# 8043      Lasanga       Coop
#[Out]# 8044      Lasanga       Coop
#[Out]# 8045      Lasanga       Coop
#[Out]# 8046      Lasanga       Coop
#[Out]# 8047      Lasanga       Coop
#[Out]# 8048      Lasanga       Coop
#[Out]# 8049      Lasanga       Coop
#[Out]# 8050      Lasanga       Coop
#[Out]# 8051      Lasanga       Coop
#[Out]# 8052      Lasanga       Coop
#[Out]# 8053      Lasanga       Coop
#[Out]# 8054      Lasanga       Coop
#[Out]# 8055      Lasanga       Coop
#[Out]# 8056      Lasanga       Coop
#[Out]# 8057      Lasanga       Coop
#[Out]# 8058      Lasanga       Coop
#[Out]# 8059      Lasanga       Coop
#[Out]# 8060      Lasanga       Coop
#[Out]# 8061       Salmon      Jumbo
#[Out]# 8062       Salmon      Jumbo
#[Out]# 8063      Ketchup      Jumbo
#[Out]# 8064      Ketchup      Jumbo
#[Out]# 
#[Out]# [8065 rows x 2 columns]
query5 = '''
    select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
    select (MAX(pu.price), p.pName, s.sName) as all
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select (MAX(pu.price), p.pName, s.sName) as aw
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select (MAX(pu.price), p.pName, s.sName)
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select (MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select MAX(pu.price), p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(pu.price) pName   sName
#[Out]# 0           13.8  Beef  Sligro
query5 = '''
    select  p.pName, s.sName, MAX(pu.price)
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  MAX(pu.price)
#[Out]# 0  Beef  Sligro           13.8
query5 = '''
    select  p.pName, s.sName, MAX(pu.price)
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  MAX(pu.price)
#[Out]# 0  Beef  Sligro           13.8
query5 = '''
    select  p.pName, s.sName, MAX(pu.price), pu.quantity
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  MAX(pu.price)  quantity
#[Out]# 0  Beef  Sligro           13.8         6
query5 = '''
    select  p.pName, s.sName, MAX(pu.price)
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  MAX(pu.price)
#[Out]# 0  Beef  Sligro           13.8
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(s.sName)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distincts.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distinct.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distinct.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distinct s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distinct p.sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pu.cID
    from purchase pu, store s
    Group By pu.cID
    having count(distinct pu.sID) = count(distinct s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and  MAX(pu.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
    group by s.sID
    Having MAX(pu.price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0         Mixed Nuts         Coop
#[Out]# 1              Pizza    Hoogvliet
#[Out]# 2    Spiced Biscuits        Jumbo
#[Out]# 3        Cashew Nuts       Sligro
#[Out]# 4         Mixed Nuts    Hoogvliet
#[Out]# 5               Beef       Sligro
#[Out]# 6   Hot Dog Sausages         Coop
#[Out]# 7              Pizza       Sligro
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9               Beef  Albert Hein
#[Out]# 10             Pizza        Jumbo
#[Out]# 11            Cheese  Albert Hein
#[Out]# 12           Oranges         Lidl
#[Out]# 13              Beef         Coop
#[Out]# 14            Cheese         Coop
#[Out]# 15            Coffee         Lidl
#[Out]# 16             Pasta         Lidl
#[Out]# 17              Beef    Hoogvliet
#[Out]# 18           Lasanga       Sligro
#[Out]# 19              Beef         Coop
#[Out]# 20           Lasanga        Jumbo
#[Out]# 21           Lasanga         Coop
#[Out]# 22            Donuts         Lidl
#[Out]# 23              Beef         Dirk
#[Out]# 24             Pasta  Albert Hein
#[Out]# 25           Lasanga  Albert Hein
#[Out]# 26             Pizza    Hoogvliet
#[Out]# 27              Beef       Sligro
#[Out]# 28        Mixed Nuts    Hoogvliet
#[Out]# 29              Beef       Sligro
#[Out]# ..               ...          ...
#[Out]# 34           Lasanga         Coop
#[Out]# 35       Cashew Nuts         Lidl
#[Out]# 36             Pizza         Lidl
#[Out]# 37           Lasanga        Jumbo
#[Out]# 38              Beef    Hoogvliet
#[Out]# 39            Apples       Sligro
#[Out]# 40           Lasanga    Hoogvliet
#[Out]# 41              Beef  Albert Hein
#[Out]# 42            Cheese       Sligro
#[Out]# 43             Pizza         Coop
#[Out]# 44            Cheese  Albert Hein
#[Out]# 45              Milk         Coop
#[Out]# 46              Eggs         Lidl
#[Out]# 47            Cheese         Coop
#[Out]# 48             Fanta    Hoogvliet
#[Out]# 49       Cashew Nuts    Hoogvliet
#[Out]# 50        Mixed Nuts       Sligro
#[Out]# 51            Cheese         Coop
#[Out]# 52           Lasanga         Lidl
#[Out]# 53              Beef         Coop
#[Out]# 54              Beef         Dirk
#[Out]# 55           Lasanga         Coop
#[Out]# 56        Mixed Nuts        Jumbo
#[Out]# 57              Beef         Dirk
#[Out]# 58             Pizza         Dirk
#[Out]# 59              Eggs        Jumbo
#[Out]# 60         Mushrooms         Lidl
#[Out]# 61              Coca         Lidl
#[Out]# 62           Bananas        Jumbo
#[Out]# 63            Cheese        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
    group by s.sID
    Having MAX(pu.price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0         Mixed Nuts         Coop
#[Out]# 1              Pizza    Hoogvliet
#[Out]# 2    Spiced Biscuits        Jumbo
#[Out]# 3        Cashew Nuts       Sligro
#[Out]# 4         Mixed Nuts    Hoogvliet
#[Out]# 5               Beef       Sligro
#[Out]# 6   Hot Dog Sausages         Coop
#[Out]# 7              Pizza       Sligro
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9               Beef  Albert Hein
#[Out]# 10             Pizza        Jumbo
#[Out]# 11            Cheese  Albert Hein
#[Out]# 12           Oranges         Lidl
#[Out]# 13              Beef         Coop
#[Out]# 14            Cheese         Coop
#[Out]# 15            Coffee         Lidl
#[Out]# 16             Pasta         Lidl
#[Out]# 17              Beef    Hoogvliet
#[Out]# 18           Lasanga       Sligro
#[Out]# 19              Beef         Coop
#[Out]# 20           Lasanga        Jumbo
#[Out]# 21           Lasanga         Coop
#[Out]# 22            Donuts         Lidl
#[Out]# 23              Beef         Dirk
#[Out]# 24             Pasta  Albert Hein
#[Out]# 25           Lasanga  Albert Hein
#[Out]# 26             Pizza    Hoogvliet
#[Out]# 27              Beef       Sligro
#[Out]# 28        Mixed Nuts    Hoogvliet
#[Out]# 29              Beef       Sligro
#[Out]# ..               ...          ...
#[Out]# 34           Lasanga         Coop
#[Out]# 35       Cashew Nuts         Lidl
#[Out]# 36             Pizza         Lidl
#[Out]# 37           Lasanga        Jumbo
#[Out]# 38              Beef    Hoogvliet
#[Out]# 39            Apples       Sligro
#[Out]# 40           Lasanga    Hoogvliet
#[Out]# 41              Beef  Albert Hein
#[Out]# 42            Cheese       Sligro
#[Out]# 43             Pizza         Coop
#[Out]# 44            Cheese  Albert Hein
#[Out]# 45              Milk         Coop
#[Out]# 46              Eggs         Lidl
#[Out]# 47            Cheese         Coop
#[Out]# 48             Fanta    Hoogvliet
#[Out]# 49       Cashew Nuts    Hoogvliet
#[Out]# 50        Mixed Nuts       Sligro
#[Out]# 51            Cheese         Coop
#[Out]# 52           Lasanga         Lidl
#[Out]# 53              Beef         Coop
#[Out]# 54              Beef         Dirk
#[Out]# 55           Lasanga         Coop
#[Out]# 56        Mixed Nuts        Jumbo
#[Out]# 57              Beef         Dirk
#[Out]# 58             Pizza         Dirk
#[Out]# 59              Eggs        Jumbo
#[Out]# 60         Mushrooms         Lidl
#[Out]# 61              Coca         Lidl
#[Out]# 62           Bananas        Jumbo
#[Out]# 63            Cheese        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
    group by s.sName
    Having MAX(pu.price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      pName        sName
#[Out]# 0     Beef  Albert Hein
#[Out]# 1     Beef         Coop
#[Out]# 2     Beef         Dirk
#[Out]# 3     Beef    Hoogvliet
#[Out]# 4    Pizza        Jumbo
#[Out]# 5  Lasanga         Lidl
#[Out]# 6     Beef       Sligro
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
    group by pu.price
    Having MAX(pu.price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID
    group by s.sName
    Having MAX(pu.price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      pName        sName
#[Out]# 0     Beef  Albert Hein
#[Out]# 1     Beef         Coop
#[Out]# 2     Beef         Dirk
#[Out]# 3     Beef    Hoogvliet
#[Out]# 4    Pizza        Jumbo
#[Out]# 5  Lasanga         Lidl
#[Out]# 6     Beef       Sligro
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.price 
    in (select Max(pu.price)
        from pu                )
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.price 
    in (select Max(pu.price)
        from purchase pu                )
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    select  p.pName, s.sName
    from purchase pu, product p, store s
    where pu.pID = p.pID and s.sID = pu.sID and pu.price 
    in (select Max(pu.price)
        from purchase pu)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID and p1.pID = p2.pID or p1.pID <> p2.pID where(
        p1
    )
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID
    )
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID
    )
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query5 = '''
    select p.pName
    from product p, purchase pu
    where p.pID = pu.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName
#[Out]# 0               Water
#[Out]# 1              Apples
#[Out]# 2                Rice
#[Out]# 3             Bananas
#[Out]# 4              Donuts
#[Out]# 5               Pasta
#[Out]# 6                Milk
#[Out]# 7               Pizza
#[Out]# 8               Fanta
#[Out]# 9             Bananas
#[Out]# 10             Onions
#[Out]# 11               Eggs
#[Out]# 12                Tea
#[Out]# 13             Apples
#[Out]# 14              Pasta
#[Out]# 15            Bananas
#[Out]# 16   Hot Dog Sausages
#[Out]# 17              Pizza
#[Out]# 18               Beef
#[Out]# 19            Carrots
#[Out]# 20               Eggs
#[Out]# 21              Pasta
#[Out]# 22             Apples
#[Out]# 23            Lasanga
#[Out]# 24            Carrots
#[Out]# 25                Tea
#[Out]# 26               Rice
#[Out]# 27               Coca
#[Out]# 28               Coca
#[Out]# 29           Potatoes
#[Out]# ..                ...
#[Out]# 479           Lasanga
#[Out]# 480             Pizza
#[Out]# 481         Mushrooms
#[Out]# 482           Lasanga
#[Out]# 483          Tomatoes
#[Out]# 484       Cashew Nuts
#[Out]# 485              Milk
#[Out]# 486           Carrots
#[Out]# 487              Coca
#[Out]# 488             Bread
#[Out]# 489           Bananas
#[Out]# 490              Milk
#[Out]# 491               Tea
#[Out]# 492             Bread
#[Out]# 493             Fanta
#[Out]# 494              Milk
#[Out]# 495            Coffee
#[Out]# 496   Spiced Biscuits
#[Out]# 497   Spiced Biscuits
#[Out]# 498  Hot Dog Sausages
#[Out]# 499       Cashew Nuts
#[Out]# 500  Hot Dog Sausages
#[Out]# 501              Milk
#[Out]# 502         Cucumbers
#[Out]# 503          Potatoes
#[Out]# 504             Bread
#[Out]# 505         Mushrooms
#[Out]# 506              Coca
#[Out]# 507           Bananas
#[Out]# 508            Cheese
#[Out]# 
#[Out]# [509 rows x 1 columns]
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and pu.price > pu1.price
'''

pd.read_sql_query(query5, conn)
#[Out]#          pName
#[Out]# 0        Water
#[Out]# 1        Water
#[Out]# 2        Water
#[Out]# 3        Water
#[Out]# 4       Apples
#[Out]# 5       Apples
#[Out]# 6       Apples
#[Out]# 7       Apples
#[Out]# 8       Apples
#[Out]# 9       Apples
#[Out]# 10      Apples
#[Out]# 11      Apples
#[Out]# 12      Apples
#[Out]# 13      Apples
#[Out]# 14      Apples
#[Out]# 15      Apples
#[Out]# 16      Apples
#[Out]# 17      Apples
#[Out]# 18      Apples
#[Out]# 19      Apples
#[Out]# 20      Apples
#[Out]# 21      Apples
#[Out]# 22      Apples
#[Out]# 23      Apples
#[Out]# 24      Apples
#[Out]# 25      Apples
#[Out]# 26      Apples
#[Out]# 27      Apples
#[Out]# 28      Apples
#[Out]# 29      Apples
#[Out]# ...        ...
#[Out]# 128064  Cheese
#[Out]# 128065  Cheese
#[Out]# 128066  Cheese
#[Out]# 128067  Cheese
#[Out]# 128068  Cheese
#[Out]# 128069  Cheese
#[Out]# 128070  Cheese
#[Out]# 128071  Cheese
#[Out]# 128072  Cheese
#[Out]# 128073  Cheese
#[Out]# 128074  Cheese
#[Out]# 128075  Cheese
#[Out]# 128076  Cheese
#[Out]# 128077  Cheese
#[Out]# 128078  Cheese
#[Out]# 128079  Cheese
#[Out]# 128080  Cheese
#[Out]# 128081  Cheese
#[Out]# 128082  Cheese
#[Out]# 128083  Cheese
#[Out]# 128084  Cheese
#[Out]# 128085  Cheese
#[Out]# 128086  Cheese
#[Out]# 128087  Cheese
#[Out]# 128088  Cheese
#[Out]# 128089  Cheese
#[Out]# 128090  Cheese
#[Out]# 128091  Cheese
#[Out]# 128092  Cheese
#[Out]# 128093  Cheese
#[Out]# 
#[Out]# [128094 rows x 1 columns]
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and MAX(pu.price) 
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and select(MAX(pu.price))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and (select MAX(pu.price)))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and (select MAX(pu.price))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu, purchase pu1
    where p.pID = pu.pID and (select MAX(price))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu
    where p.pID = pu.pID and (select MAX(price)
                                from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName
#[Out]# 0               Water
#[Out]# 1              Apples
#[Out]# 2                Rice
#[Out]# 3             Bananas
#[Out]# 4              Donuts
#[Out]# 5               Pasta
#[Out]# 6                Milk
#[Out]# 7               Pizza
#[Out]# 8               Fanta
#[Out]# 9             Bananas
#[Out]# 10             Onions
#[Out]# 11               Eggs
#[Out]# 12                Tea
#[Out]# 13             Apples
#[Out]# 14              Pasta
#[Out]# 15            Bananas
#[Out]# 16   Hot Dog Sausages
#[Out]# 17              Pizza
#[Out]# 18               Beef
#[Out]# 19            Carrots
#[Out]# 20               Eggs
#[Out]# 21              Pasta
#[Out]# 22             Apples
#[Out]# 23            Lasanga
#[Out]# 24            Carrots
#[Out]# 25                Tea
#[Out]# 26               Rice
#[Out]# 27               Coca
#[Out]# 28               Coca
#[Out]# 29           Potatoes
#[Out]# ..                ...
#[Out]# 479           Lasanga
#[Out]# 480             Pizza
#[Out]# 481         Mushrooms
#[Out]# 482           Lasanga
#[Out]# 483          Tomatoes
#[Out]# 484       Cashew Nuts
#[Out]# 485              Milk
#[Out]# 486           Carrots
#[Out]# 487              Coca
#[Out]# 488             Bread
#[Out]# 489           Bananas
#[Out]# 490              Milk
#[Out]# 491               Tea
#[Out]# 492             Bread
#[Out]# 493             Fanta
#[Out]# 494              Milk
#[Out]# 495            Coffee
#[Out]# 496   Spiced Biscuits
#[Out]# 497   Spiced Biscuits
#[Out]# 498  Hot Dog Sausages
#[Out]# 499       Cashew Nuts
#[Out]# 500  Hot Dog Sausages
#[Out]# 501              Milk
#[Out]# 502         Cucumbers
#[Out]# 503          Potatoes
#[Out]# 504             Bread
#[Out]# 505         Mushrooms
#[Out]# 506              Coca
#[Out]# 507           Bananas
#[Out]# 508            Cheese
#[Out]# 
#[Out]# [509 rows x 1 columns]
query5 = '''
    select p.pName
    from product p
    where p.pID = pu.pID and (select MAX(price)
                                from purchase pu)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p purchase pu
    where p.pID = pu.pID and (select MAX(price)
                                from purchase pu)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName
    from product p, purchase pu
    where p.pID = pu.pID and (select MAX(price)
                                from purchase pu)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName
#[Out]# 0               Water
#[Out]# 1              Apples
#[Out]# 2                Rice
#[Out]# 3             Bananas
#[Out]# 4              Donuts
#[Out]# 5               Pasta
#[Out]# 6                Milk
#[Out]# 7               Pizza
#[Out]# 8               Fanta
#[Out]# 9             Bananas
#[Out]# 10             Onions
#[Out]# 11               Eggs
#[Out]# 12                Tea
#[Out]# 13             Apples
#[Out]# 14              Pasta
#[Out]# 15            Bananas
#[Out]# 16   Hot Dog Sausages
#[Out]# 17              Pizza
#[Out]# 18               Beef
#[Out]# 19            Carrots
#[Out]# 20               Eggs
#[Out]# 21              Pasta
#[Out]# 22             Apples
#[Out]# 23            Lasanga
#[Out]# 24            Carrots
#[Out]# 25                Tea
#[Out]# 26               Rice
#[Out]# 27               Coca
#[Out]# 28               Coca
#[Out]# 29           Potatoes
#[Out]# ..                ...
#[Out]# 479           Lasanga
#[Out]# 480             Pizza
#[Out]# 481         Mushrooms
#[Out]# 482           Lasanga
#[Out]# 483          Tomatoes
#[Out]# 484       Cashew Nuts
#[Out]# 485              Milk
#[Out]# 486           Carrots
#[Out]# 487              Coca
#[Out]# 488             Bread
#[Out]# 489           Bananas
#[Out]# 490              Milk
#[Out]# 491               Tea
#[Out]# 492             Bread
#[Out]# 493             Fanta
#[Out]# 494              Milk
#[Out]# 495            Coffee
#[Out]# 496   Spiced Biscuits
#[Out]# 497   Spiced Biscuits
#[Out]# 498  Hot Dog Sausages
#[Out]# 499       Cashew Nuts
#[Out]# 500  Hot Dog Sausages
#[Out]# 501              Milk
#[Out]# 502         Cucumbers
#[Out]# 503          Potatoes
#[Out]# 504             Bread
#[Out]# 505         Mushrooms
#[Out]# 506              Coca
#[Out]# 507           Bananas
#[Out]# 508            Cheese
#[Out]# 
#[Out]# [509 rows x 1 columns]

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x24f506a0500>
query1 = '''
    select customer
'''

pd.read_sql_query(query1, conn)
query1 = '''
    f
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select p_ID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select cID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select cID
    from customer
'''

pd.read_sql_query(query1, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query1 = '''
    select P1.pID
    from product P1 AND product P2
    where P1.pID = P2.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select P1.pID
    from product P1 & product P2
    where P1.pID = P2.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select P1.pID
    from product P1 && product P2
    where P1.pID = P2.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select P1.pID
    from product P1, product P2
    where P1.pID = P2.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
#[Out]# 31   31
query1 = '''
    select P1.pID
    from product P1, product P2
    where P1.pID = P2.pID AND P1.cID <> P2.cID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where not (P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where not (P1.pID = P2.pID AND P1.cID = P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where not (P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select P1.pID
    from purchase P1, purchase P2
    where not (P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#         pID
#[Out]# 0        10
#[Out]# 1        10
#[Out]# 2        10
#[Out]# 3        10
#[Out]# 4        10
#[Out]# 5        10
#[Out]# 6        10
#[Out]# 7        10
#[Out]# 8        10
#[Out]# 9        10
#[Out]# 10       10
#[Out]# 11       10
#[Out]# 12       10
#[Out]# 13       10
#[Out]# 14       10
#[Out]# 15       10
#[Out]# 16       10
#[Out]# 17       10
#[Out]# 18       10
#[Out]# 19       10
#[Out]# 20       10
#[Out]# 21       10
#[Out]# 22       10
#[Out]# 23       10
#[Out]# 24       10
#[Out]# 25       10
#[Out]# 26       10
#[Out]# 27       10
#[Out]# 28       10
#[Out]# 29       10
#[Out]# ...     ...
#[Out]# 250427   18
#[Out]# 250428   18
#[Out]# 250429   18
#[Out]# 250430   18
#[Out]# 250431   18
#[Out]# 250432   18
#[Out]# 250433   18
#[Out]# 250434   18
#[Out]# 250435   18
#[Out]# 250436   18
#[Out]# 250437   18
#[Out]# 250438   18
#[Out]# 250439   18
#[Out]# 250440   18
#[Out]# 250441   18
#[Out]# 250442   18
#[Out]# 250443   18
#[Out]# 250444   18
#[Out]# 250445   18
#[Out]# 250446   18
#[Out]# 250447   18
#[Out]# 250448   18
#[Out]# 250449   18
#[Out]# 250450   18
#[Out]# 250451   18
#[Out]# 250452   18
#[Out]# 250453   18
#[Out]# 250454   18
#[Out]# 250455   18
#[Out]# 250456   18
#[Out]# 
#[Out]# [250457 rows x 1 columns]
query1 = '''
    select P1.pID
    from purchase P1, purchase P2
    where(P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#       pID
#[Out]# 0      10
#[Out]# 1      10
#[Out]# 2      10
#[Out]# 3      10
#[Out]# 4      10
#[Out]# 5      10
#[Out]# 6      10
#[Out]# 7      10
#[Out]# 8      10
#[Out]# 9      10
#[Out]# 10     10
#[Out]# 11     10
#[Out]# 12     10
#[Out]# 13     10
#[Out]# 14     10
#[Out]# 15     14
#[Out]# 16     14
#[Out]# 17     14
#[Out]# 18     14
#[Out]# 19     14
#[Out]# 20     14
#[Out]# 21     14
#[Out]# 22     14
#[Out]# 23     14
#[Out]# 24     14
#[Out]# 25     14
#[Out]# 26     14
#[Out]# 27     14
#[Out]# 28     14
#[Out]# 29     14
#[Out]# ...   ...
#[Out]# 8594   19
#[Out]# 8595   19
#[Out]# 8596   19
#[Out]# 8597   19
#[Out]# 8598    9
#[Out]# 8599    9
#[Out]# 8600    9
#[Out]# 8601    9
#[Out]# 8602    9
#[Out]# 8603    9
#[Out]# 8604    9
#[Out]# 8605    9
#[Out]# 8606    9
#[Out]# 8607    9
#[Out]# 8608    9
#[Out]# 8609    9
#[Out]# 8610    9
#[Out]# 8611    9
#[Out]# 8612    9
#[Out]# 8613    9
#[Out]# 8614    9
#[Out]# 8615   18
#[Out]# 8616   18
#[Out]# 8617   18
#[Out]# 8618   18
#[Out]# 8619   18
#[Out]# 8620   18
#[Out]# 8621   18
#[Out]# 8622   18
#[Out]# 8623   18
#[Out]# 
#[Out]# [8624 rows x 1 columns]
query1 = '''
    select P1.pID
    from purchase P1, purchase P2
    where(P1.pID = P2.pID AND P1.cID = P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 643    8
#[Out]# 644    8
#[Out]# 645   11
#[Out]# 646   11
#[Out]# 647   11
#[Out]# 648   11
#[Out]# 649   15
#[Out]# 650   15
#[Out]# 651    2
#[Out]# 652    2
#[Out]# 653   17
#[Out]# 654   17
#[Out]# 655   17
#[Out]# 656   17
#[Out]# 657   17
#[Out]# 658   17
#[Out]# 659    5
#[Out]# 660    5
#[Out]# 661    5
#[Out]# 662   19
#[Out]# 663   19
#[Out]# 664   19
#[Out]# 665   19
#[Out]# 666   19
#[Out]# 667   19
#[Out]# 668   19
#[Out]# 669    9
#[Out]# 670    9
#[Out]# 671    9
#[Out]# 672   18
#[Out]# 
#[Out]# [673 rows x 1 columns]
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where(P1.pID = P2.pID AND P1.cID = P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where(P1.pID = P2.pID AND P1.cID =! P2.cID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2
    where(P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2, purchase P3
    where(P1.pID = P2.pID AND P1.cID <> P2.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2, purchase P3
    where(P1.pID = P2.pID AND P1.cID <> P2.cID <> P3.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2, purchase P3
    where(P1.pID == P2.pID AND P1.cID <> P2.cID <> P3.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct P1.pID
    from purchase P1, purchase P2, purchase P3
    where not (P1.pID == P2.pID AND P1.cID <> P2.cID <> P3.cID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct customer.pID
    from purchase P1, purchase P2, purchase P3
    where not (P1.pID == P2.pID AND P1.cID <> P2.cID <> P3.cID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct pr.pID
    from product pr
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
#[Out]# 31   31
query1 = '''
    select distinct pr.pID
    from product pr
    where not pr.name = 'Water'
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct pr.pID
    from product pr
    where not pr.pName = 'Water'
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   11
#[Out]# 11   12
#[Out]# 12   13
#[Out]# 13   14
#[Out]# 14   15
#[Out]# 15   16
#[Out]# 16   17
#[Out]# 17   18
#[Out]# 18   19
#[Out]# 19   20
#[Out]# 20   21
#[Out]# 21   22
#[Out]# 22   23
#[Out]# 23   24
#[Out]# 24   25
#[Out]# 25   26
#[Out]# 26   27
#[Out]# 27   28
#[Out]# 28   29
#[Out]# 29   30
#[Out]# 30   31
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where not (pr.pID = p1.pID and p1.pID <> p2.pID and p2.pID <> p3.pID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
#[Out]# 31   31
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where not (pr.pID = p1.pID and p1.pID <> p2.pID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID and p1.pID = p2.pID and p1.pID <> p3.pID)
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select distinct pr.pID
    from product pr, purchase p1, purchase p2, purchase p3
    where (pr.pID = p1.pID and pr.pID = p2.pID and pr.pID = p3.pID and p1.pID = p2.pID and p1.pID <> p3.pID)
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

