# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1f3566ccce0>
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING count(distinct cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID == p.cID AND p.pID == pr.pID AND (p.pName == 'Onions' || p.pName == 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID == p.cID AND p.pID == pr.pID AND (p.pName == 'Onions' || p.pName == 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID == p.cID AND p.pID == pr.pID AND (pr.pName == 'Onions' || pr.pName == 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p, product p1, product p2
    WHERE c.cID == p.cID AND p.pID == p1.pID AND p.pID == p2.pID AND p1.pName == 'Onions' AND p2.pName == 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p1, purchase p2, product pr1, product pr2
    WHERE c.cID = p1.cID AND p1.pID = pr1.pID AND pr1.pName = 'Onions' AND c.cID = p2.cID AND p2.pID = pr2.pID AND pr1.pName = 'Coffee' AND p1.date = p2.date
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p1, purchase p2, product pr1, product pr2
    WHERE c.cID = p1.cID AND p1.pID = pr1.pID AND pr1.pName = 'Onions' AND c.cID = p2.cID AND p2.pID = pr2.pID AND pr2.pName = 'Coffee' AND p1.date = p2.date
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    GROUP BY p.cID
    HAVING count(p.sID) = count(s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    GROUP BY p.cID
    HAVING count(distinct p.sID) = count(s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING count(s.sID) > 1 AND (p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
#[Out]# 4       Sligro
query4 = '''
    SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING count(s.sID) > 1 AND avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING count(s.sID) > 1 AND AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING COUNT(s.sID) > 1 AND AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s1.sName
    FROM store s1, store s2, purchase p
    WHERE s1.sID = p.sID AND s2.sName = s1.sName AND s1.sID != s2.sID
    GROUP BY s1.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    GROUP BY s.sName
    HAVING COUNT(s.sID) > 1 AND AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, store s, purchase p
    WHERE pr.pID = p.pID AND p.sID = s.sID AND p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, store s, purchase p
    WHERE pr.pID = p.pID AND p.sID = s.sID AND p.price = (SELECT MAX(p.price) FROM purchase p)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT MAX(i1.unit-price) - MIN(i2.unit-price)
    FROM inventory i1, inventory i2
    WHERE i1.sID != 12.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit-price) - MIN(i2.unit-price)
    FROM inventory i1, inventory i2
    WHERE i1.sID != i2.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price) - MIN(i2.unit_price)
    FROM inventory i1, inventory i2
    WHERE i1.sID != i2.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price) - MIN(i2.unit_price)
#[Out]# 0                                    12.95
query3 = '''
    SELECT p.cID
    FROM purchase p
    GROUP BY p.cID
    HAVING count(distinct p.sID) = (SELECT count(s.sID) FROM store s)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
