# IPython log file

query3 = '''
SELECT DISTINCT cID, sID FROM purchase
'''

pd.read_sql_query(query3, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
    
    SELECT pID
    FROM product
    EXCEPT  
        SELECT pID
        FROM customerFrequencies
        WHERE count > 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
SELECT cID, cName
FROM (
  SELECT customer.cID, cName, date
  FROM customer, purchase, product
  WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
  INTERSECT
  SELECT customer.cID, cName, date
  FROM customer, purchase, product
  WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Coffee"
)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
SELECT DISTINCT cID, sID FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  sID
#[Out]# 0      0    3
#[Out]# 1      1   23
#[Out]# 2      1    3
#[Out]# 3      1   17
#[Out]# 4      1   32
#[Out]# 5      1   16
#[Out]# 6      1   46
#[Out]# 7      1   36
#[Out]# 8      2   12
#[Out]# 9      2   39
#[Out]# 10     2   13
#[Out]# 11     2   51
#[Out]# 12     2   47
#[Out]# 13     3   44
#[Out]# 14     3   30
#[Out]# 15     3   29
#[Out]# 16     4   17
#[Out]# 17     4   10
#[Out]# 18     4   53
#[Out]# 19     4   21
#[Out]# 20     4    7
#[Out]# 21     4   44
#[Out]# 22     5    4
#[Out]# 23     5   36
#[Out]# 24     5   55
#[Out]# 25     5   51
#[Out]# 26     5    6
#[Out]# 27     5   17
#[Out]# 28     7    3
#[Out]# 29     7   12
#[Out]# ..   ...  ...
#[Out]# 460  190   34
#[Out]# 461  190   35
#[Out]# 462  190   36
#[Out]# 463  190   37
#[Out]# 464  190   38
#[Out]# 465  190   39
#[Out]# 466  190   40
#[Out]# 467  190   41
#[Out]# 468  190   42
#[Out]# 469  190   43
#[Out]# 470  190   44
#[Out]# 471  190   45
#[Out]# 472  190   46
#[Out]# 473  190   47
#[Out]# 474  190   48
#[Out]# 475  190   49
#[Out]# 476  190   50
#[Out]# 477  190   51
#[Out]# 478  190   52
#[Out]# 479  190   53
#[Out]# 480  190   54
#[Out]# 481  190   55
#[Out]# 482  190   56
#[Out]# 483  190   57
#[Out]# 484  190   58
#[Out]# 485  190   59
#[Out]# 486  190   60
#[Out]# 487  190   61
#[Out]# 488  190   62
#[Out]# 489  190   63
#[Out]# 
#[Out]# [490 rows x 2 columns]
query4 = '''
SELECT store.sID, purchase.quantity
FROM store, purchase
WHERE store.sID = purchase.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID  quantity
#[Out]# 0      3         1
#[Out]# 1     23         2
#[Out]# 2      3         3
#[Out]# 3     17         2
#[Out]# 4     32         4
#[Out]# 5     16         4
#[Out]# 6     46         8
#[Out]# 7     36         6
#[Out]# 8     12         1
#[Out]# 9     39         7
#[Out]# 10    13         6
#[Out]# 11    51         4
#[Out]# 12    47         1
#[Out]# 13    44         2
#[Out]# 14    30         2
#[Out]# 15    29         6
#[Out]# 16    17         2
#[Out]# 17    10         9
#[Out]# 18    53         5
#[Out]# 19    21         2
#[Out]# 20     7         9
#[Out]# 21    44         4
#[Out]# 22     4         6
#[Out]# 23    36         6
#[Out]# 24    55         9
#[Out]# 25    51         2
#[Out]# 26     6         2
#[Out]# 27    17         1
#[Out]# 28     3         2
#[Out]# 29    12         6
#[Out]# ..   ...       ...
#[Out]# 479   34         4
#[Out]# 480   35         5
#[Out]# 481   36         3
#[Out]# 482   37         4
#[Out]# 483   38         4
#[Out]# 484   39         4
#[Out]# 485   40         2
#[Out]# 486   41         5
#[Out]# 487   42         5
#[Out]# 488   43         7
#[Out]# 489   44         5
#[Out]# 490   45         2
#[Out]# 491   46         4
#[Out]# 492   47         4
#[Out]# 493   48         6
#[Out]# 494   49         3
#[Out]# 495   50         6
#[Out]# 496   51         1
#[Out]# 497   52         5
#[Out]# 498   53         4
#[Out]# 499   54         6
#[Out]# 500   55         7
#[Out]# 501   56         4
#[Out]# 502   57         5
#[Out]# 503   58         7
#[Out]# 504   59         2
#[Out]# 505   60         6
#[Out]# 506   61         5
#[Out]# 507   62         2
#[Out]# 508   63         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
SELECT store.sName, store.sID, purchase.quantity
FROM store, purchase
WHERE store.sID = purchase.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  sID  quantity
#[Out]# 0         Sligro    3         1
#[Out]# 1           Dirk   23         2
#[Out]# 2         Sligro    3         3
#[Out]# 3      Hoogvliet   17         2
#[Out]# 4    Albert Hein   32         4
#[Out]# 5           Lidl   16         4
#[Out]# 6           Lidl   46         8
#[Out]# 7           Lidl   36         6
#[Out]# 8           Lidl   12         1
#[Out]# 9         Sligro   39         7
#[Out]# 10          Coop   13         6
#[Out]# 11          Coop   51         4
#[Out]# 12          Coop   47         1
#[Out]# 13   Albert Hein   44         2
#[Out]# 14          Dirk   30         2
#[Out]# 15        Sligro   29         6
#[Out]# 16     Hoogvliet   17         2
#[Out]# 17         Jumbo   10         9
#[Out]# 18          Coop   53         5
#[Out]# 19          Coop   21         2
#[Out]# 20        Sligro    7         9
#[Out]# 21   Albert Hein   44         4
#[Out]# 22     Hoogvliet    4         6
#[Out]# 23          Lidl   36         6
#[Out]# 24          Coop   55         9
#[Out]# 25          Coop   51         2
#[Out]# 26          Coop    6         2
#[Out]# 27     Hoogvliet   17         1
#[Out]# 28        Sligro    3         2
#[Out]# 29          Lidl   12         6
#[Out]# ..           ...  ...       ...
#[Out]# 479         Coop   34         4
#[Out]# 480         Lidl   35         5
#[Out]# 481         Lidl   36         3
#[Out]# 482        Jumbo   37         4
#[Out]# 483    Hoogvliet   38         4
#[Out]# 484       Sligro   39         4
#[Out]# 485    Hoogvliet   40         2
#[Out]# 486  Albert Hein   41         5
#[Out]# 487       Sligro   42         5
#[Out]# 488         Coop   43         7
#[Out]# 489  Albert Hein   44         5
#[Out]# 490         Coop   45         2
#[Out]# 491         Lidl   46         4
#[Out]# 492         Coop   47         4
#[Out]# 493    Hoogvliet   48         6
#[Out]# 494    Hoogvliet   49         3
#[Out]# 495       Sligro   50         6
#[Out]# 496         Coop   51         1
#[Out]# 497         Lidl   52         5
#[Out]# 498         Coop   53         4
#[Out]# 499         Dirk   54         6
#[Out]# 500         Coop   55         7
#[Out]# 501        Jumbo   56         4
#[Out]# 502         Dirk   57         5
#[Out]# 503         Dirk   58         7
#[Out]# 504        Jumbo   59         2
#[Out]# 505         Lidl   60         6
#[Out]# 506         Lidl   61         5
#[Out]# 507        Jumbo   62         2
#[Out]# 508        Jumbo   63         1
#[Out]# 
#[Out]# [509 rows x 3 columns]
query4 = '''
SELECT *
FROM (
  SELECT store.sName, store.sID, purchase.quantity
  FROM store, purchase
  WHERE store.sID = purchase.sID
)
GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID  quantity
#[Out]# 0  Albert Hein   44         5
#[Out]# 1         Coop   55         7
#[Out]# 2         Dirk   58         7
#[Out]# 3    Hoogvliet   49         3
#[Out]# 4        Jumbo   63         1
#[Out]# 5         Lidl   61         5
#[Out]# 6       Sligro   50         6
query4 = '''
  SELECT store.sName, store.sID, purchase.quantity
  FROM store, purchase
  WHERE store.sID = purchase.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  sID  quantity
#[Out]# 0         Sligro    3         1
#[Out]# 1           Dirk   23         2
#[Out]# 2         Sligro    3         3
#[Out]# 3      Hoogvliet   17         2
#[Out]# 4    Albert Hein   32         4
#[Out]# 5           Lidl   16         4
#[Out]# 6           Lidl   46         8
#[Out]# 7           Lidl   36         6
#[Out]# 8           Lidl   12         1
#[Out]# 9         Sligro   39         7
#[Out]# 10          Coop   13         6
#[Out]# 11          Coop   51         4
#[Out]# 12          Coop   47         1
#[Out]# 13   Albert Hein   44         2
#[Out]# 14          Dirk   30         2
#[Out]# 15        Sligro   29         6
#[Out]# 16     Hoogvliet   17         2
#[Out]# 17         Jumbo   10         9
#[Out]# 18          Coop   53         5
#[Out]# 19          Coop   21         2
#[Out]# 20        Sligro    7         9
#[Out]# 21   Albert Hein   44         4
#[Out]# 22     Hoogvliet    4         6
#[Out]# 23          Lidl   36         6
#[Out]# 24          Coop   55         9
#[Out]# 25          Coop   51         2
#[Out]# 26          Coop    6         2
#[Out]# 27     Hoogvliet   17         1
#[Out]# 28        Sligro    3         2
#[Out]# 29          Lidl   12         6
#[Out]# ..           ...  ...       ...
#[Out]# 479         Coop   34         4
#[Out]# 480         Lidl   35         5
#[Out]# 481         Lidl   36         3
#[Out]# 482        Jumbo   37         4
#[Out]# 483    Hoogvliet   38         4
#[Out]# 484       Sligro   39         4
#[Out]# 485    Hoogvliet   40         2
#[Out]# 486  Albert Hein   41         5
#[Out]# 487       Sligro   42         5
#[Out]# 488         Coop   43         7
#[Out]# 489  Albert Hein   44         5
#[Out]# 490         Coop   45         2
#[Out]# 491         Lidl   46         4
#[Out]# 492         Coop   47         4
#[Out]# 493    Hoogvliet   48         6
#[Out]# 494    Hoogvliet   49         3
#[Out]# 495       Sligro   50         6
#[Out]# 496         Coop   51         1
#[Out]# 497         Lidl   52         5
#[Out]# 498         Coop   53         4
#[Out]# 499         Dirk   54         6
#[Out]# 500         Coop   55         7
#[Out]# 501        Jumbo   56         4
#[Out]# 502         Dirk   57         5
#[Out]# 503         Dirk   58         7
#[Out]# 504        Jumbo   59         2
#[Out]# 505         Lidl   60         6
#[Out]# 506         Lidl   61         5
#[Out]# 507        Jumbo   62         2
#[Out]# 508        Jumbo   63         1
#[Out]# 
#[Out]# [509 rows x 3 columns]
query4 = '''
SELECT sName, AVG(quantity), COUNT(DISTINCT sID)
FROM (
  SELECT store.sName, store.sID, purchase.quantity
  FROM store, purchase
  WHERE store.sID = purchase.sID
)
GROUP BY sName

'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(quantity)  COUNT(DISTINCT sID)
#[Out]# 0  Albert Hein       4.969697                    8
#[Out]# 1         Coop       4.681818                   14
#[Out]# 2         Dirk       5.268293                    6
#[Out]# 3    Hoogvliet       5.280000                    9
#[Out]# 4        Jumbo       3.888889                    8
#[Out]# 5         Lidl       4.796875                   10
#[Out]# 6       Sligro       4.674419                    9
query4 = '''
SELECT sName
FROM (
  SELECT sName, AVG(quantity) AS average, COUNT(DISTINCT sID) AS stores
  FROM (
    SELECT store.sName, store.sID, purchase.quantity
    FROM store, purchase
    WHERE store.sID = purchase.sID
  )
  GROUP BY sName
)
WHERE stores >= 2 AND average > 4

'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
SELECT pName, sName
FROM store, product, (SELECT MAX(price) AS maxPrice FROM purchase)
WHERE store.sID = purchase.sID AND purchase.price = maxPrice
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT pName, sName
FROM store, product, purchase, (SELECT MAX(price) AS maxPrice FROM purchase)
WHERE store.sID = purchase.sID AND purchase.pID = product.pID AND purchase.price = maxPrice
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
SELECT pName, sName, price
FROM store, product, purchase, (SELECT MAX(price) AS maxPrice FROM purchase)
WHERE store.sID = purchase.sID AND purchase.pID = product.pID AND purchase.price = maxPrice
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
SELECT price FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#      price
#[Out]# 0     0.45
#[Out]# 1     4.65
#[Out]# 2     1.60
#[Out]# 3     1.25
#[Out]# 4     3.95
#[Out]# 5     2.75
#[Out]# 6     0.90
#[Out]# 7     9.10
#[Out]# 8     2.45
#[Out]# 9     1.35
#[Out]# 10    1.10
#[Out]# 11    3.70
#[Out]# 12    1.55
#[Out]# 13    4.30
#[Out]# 14    2.75
#[Out]# 15    1.45
#[Out]# 16    4.15
#[Out]# 17    9.05
#[Out]# 18   13.60
#[Out]# 19    1.05
#[Out]# 20    3.05
#[Out]# 21    2.75
#[Out]# 22    4.70
#[Out]# 23    8.25
#[Out]# 24    1.10
#[Out]# 25    1.55
#[Out]# 26    1.85
#[Out]# 27    2.20
#[Out]# 28    2.10
#[Out]# 29    1.70
#[Out]# ..     ...
#[Out]# 479   2.80
#[Out]# 480   0.50
#[Out]# 481   2.55
#[Out]# 482   0.65
#[Out]# 483   0.70
#[Out]# 484   3.70
#[Out]# 485   3.50
#[Out]# 486   2.95
#[Out]# 487   2.75
#[Out]# 488   1.50
#[Out]# 489   0.85
#[Out]# 490   3.55
#[Out]# 491   2.60
#[Out]# 492   3.25
#[Out]# 493   4.30
#[Out]# 494   3.05
#[Out]# 495   4.05
#[Out]# 496   1.50
#[Out]# 497   2.50
#[Out]# 498   3.95
#[Out]# 499   3.50
#[Out]# 500   2.95
#[Out]# 501   1.60
#[Out]# 502   3.25
#[Out]# 503   0.75
#[Out]# 504   3.80
#[Out]# 505   4.35
#[Out]# 506   2.85
#[Out]# 507   3.15
#[Out]# 508   3.30
#[Out]# 
#[Out]# [509 rows x 1 columns]
query5 = '''
SELECT pName, sName
FROM store, product, purchase, (SELECT MAX(price) AS maxPrice FROM purchase)
WHERE store.sID = purchase.sID AND purchase.pID = product.pID AND purchase.price = maxPrice
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
SELECT pName, sName
FROM store, product, purchase, (SELECT MAX(price) AS maxPrice FROM purchase)
WHERE store.sID = purchase.sID AND purchase.pID = product.pID AND purchase.price = maxPrice
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
SELECT ABS(i1.unit_prize - i2.unit_prize)
FROM inventory AS i1, inventory AS i2
WHERE i1.date = '2018-08-23' AND i2.date = '2018-08-23' AND i1.sID != i2.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
SELECT * FROM inventory
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     55   10  2018-08-26        17        0.60
#[Out]# 1     25   12  2018-08-24        30       14.80
#[Out]# 2     15    6  2018-08-26        13        1.15
#[Out]# 3      6   27  2018-08-19        51        7.30
#[Out]# 4     57    2  2018-08-22        24        2.05
#[Out]# 5     33    8  2018-08-19        46        5.70
#[Out]# 6     51   10  2018-08-23        31        0.60
#[Out]# 7     50   21  2018-08-22        32        1.90
#[Out]# 8      0   13  2018-08-25        13        3.05
#[Out]# 9     36    8  2018-08-27        11        5.05
#[Out]# 10    36   23  2018-08-18        35        2.20
#[Out]# 11    54   10  2018-08-24        16        0.55
#[Out]# 12    59    1  2018-08-26        36        6.20
#[Out]# 13     9   19  2018-08-22        28        2.50
#[Out]# 14    33    7  2018-08-26         5        1.60
#[Out]# 15    35   10  2018-08-21        51        0.55
#[Out]# 16     0   21  2018-08-15         0        2.20
#[Out]# 17    31   14  2018-08-17        10        4.50
#[Out]# 18    19   14  2018-08-20        42        4.70
#[Out]# 19    33   20  2018-08-21        51        2.15
#[Out]# 20    17   24  2018-08-16        44        2.85
#[Out]# 21     4   27  2018-08-18        27        9.00
#[Out]# 22     3   25  2018-08-27        24        4.60
#[Out]# 23    22   15  2018-08-20         4        1.30
#[Out]# 24    52   14  2018-08-18        44        4.25
#[Out]# 25    24   26  2018-08-25        18        2.90
#[Out]# 26     7   12  2018-08-20        13       12.55
#[Out]# 27    32   18  2018-08-21        41       11.85
#[Out]# 28    48   24  2018-08-19        10        3.20
#[Out]# 29    54    8  2018-08-17         3        5.55
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   35    0  2018-08-25         1        4.35
#[Out]# 800   19   11  2018-08-25         9        0.90
#[Out]# 801    4   21  2018-08-25         9        2.15
#[Out]# 802    6    5  2018-08-26         6        0.50
#[Out]# 803   47   18  2018-08-20        12        8.85
#[Out]# 804   38   17  2018-08-20        10        2.30
#[Out]# 805   11    3  2018-08-21        15        1.30
#[Out]# 806   34   26  2018-08-21        14        3.40
#[Out]# 807   34   25  2018-08-27        17        3.60
#[Out]# 808   25   14  2018-08-24         3        3.70
#[Out]# 809   24   11  2018-08-24         1        0.85
#[Out]# 810   57   17  2018-08-24         4        2.40
#[Out]# 811   43   27  2018-08-22        15        9.00
#[Out]# 812   35   16  2018-08-22         8        1.85
#[Out]# 813   45   10  2018-08-22        21        0.45
#[Out]# 814   34   26  2018-08-26         9        3.10
#[Out]# 815   34   13  2018-08-26         3        4.05
#[Out]# 816   56   10  2018-08-27         1        0.60
#[Out]# 817    6   26  2018-08-24        13        2.70
#[Out]# 818   45    6  2018-08-24         9        0.90
#[Out]# 819   27   21  2018-08-27         1        2.00
#[Out]# 820   17   25  2018-08-27        14        3.90
#[Out]# 821    5   18  2018-08-28         1        9.70
#[Out]# 822    5    3  2018-08-28        13        1.30
#[Out]# 823    4   13  2018-08-23        23        4.20
#[Out]# 824   27   10  2018-08-20         7        0.55
#[Out]# 825   45   18  2018-08-21         5        9.20
#[Out]# 826   57    6  2018-08-22         9        1.15
#[Out]# 827   60   19  2018-07-10       525        1.75
#[Out]# 828    0    0  2018-07-18        15        5.95
#[Out]# 
#[Out]# [829 rows x 5 columns]
query6 = '''
SELECT ABS(i1.unit_price - i2.unit_price)
FROM inventory AS i1, inventory AS i2
WHERE i1.date = '2018-08-23' AND i2.date = '2018-08-23' AND i1.sID != i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#       ABS(i1.unit_price - i2.unit_price)
#[Out]# 0                                   0.15
#[Out]# 1                                   0.40
#[Out]# 2                                   1.40
#[Out]# 3                                   0.75
#[Out]# 4                                   1.50
#[Out]# 5                                   3.60
#[Out]# 6                                   1.05
#[Out]# 7                                   1.85
#[Out]# 8                                   3.50
#[Out]# 9                                  12.80
#[Out]# 10                                  0.40
#[Out]# 11                                  1.25
#[Out]# 12                                  3.75
#[Out]# 13                                  5.20
#[Out]# 14                                 12.55
#[Out]# 15                                  0.70
#[Out]# 16                                  1.30
#[Out]# 17                                  1.50
#[Out]# 18                                  2.60
#[Out]# 19                                  0.65
#[Out]# 20                                  1.10
#[Out]# 21                                  2.95
#[Out]# 22                                  0.65
#[Out]# 23                                  1.00
#[Out]# 24                                  1.60
#[Out]# 25                                  0.60
#[Out]# 26                                  1.50
#[Out]# 27                                  4.95
#[Out]# 28                                  7.90
#[Out]# 29                                  1.35
#[Out]# ...                                  ...
#[Out]# 4440                                3.00
#[Out]# 4441                                2.00
#[Out]# 4442                                0.20
#[Out]# 4443                                0.05
#[Out]# 4444                                4.65
#[Out]# 4445                                3.55
#[Out]# 4446                                2.40
#[Out]# 4447                                0.65
#[Out]# 4448                                0.10
#[Out]# 4449                                2.70
#[Out]# 4450                                0.85
#[Out]# 4451                                0.40
#[Out]# 4452                                7.20
#[Out]# 4453                                2.25
#[Out]# 4454                                1.55
#[Out]# 4455                                3.20
#[Out]# 4456                                0.10
#[Out]# 4457                                2.35
#[Out]# 4458                                3.05
#[Out]# 4459                                3.65
#[Out]# 4460                                2.25
#[Out]# 4461                                0.35
#[Out]# 4462                                3.60
#[Out]# 4463                                2.65
#[Out]# 4464                                3.15
#[Out]# 4465                                8.35
#[Out]# 4466                                0.60
#[Out]# 4467                                0.15
#[Out]# 4468                                0.20
#[Out]# 4469                                1.25
#[Out]# 
#[Out]# [4470 rows x 1 columns]
query6 = '''
SELECT MAX(diff)
FROM (
  SELECT ABS(i1.unit_price - i2.unit_price) AS diff
  FROM inventory AS i1, inventory AS i2
  WHERE i1.date = '2018-08-23' AND i2.date = '2018-08-23' AND i1.sID != i2.sID
)

'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(diff)
#[Out]# 0      12.95

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x231a0304b90>
query1 = '''
    SELECT COUNT(pID)
    FROM product
'''

pd.read_sql_query(query1, conn)
#[Out]#    COUNT(pID)
#[Out]# 0          32
query1 = '''
    SELECT *
    FROM product
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID             pName suffix
#[Out]# 0     0       Cashew Nuts       
#[Out]# 1     1        Mixed Nuts       
#[Out]# 2     2          Potatoes       
#[Out]# 3     3      Green Pepper       
#[Out]# 4     4            Onions       
#[Out]# 5     5         Mushrooms       
#[Out]# 6     6           Carrots       
#[Out]# 7     7          Tomatoes       
#[Out]# 8     8  Hot Dog Sausages       
#[Out]# 9     9           Bananas       
#[Out]# 10   10             Water       
#[Out]# 11   11              Milk       
#[Out]# 12   12              Beef       
#[Out]# 13   13              Eggs       
#[Out]# 14   14            Apples       
#[Out]# 15   15         Cucumbers       
#[Out]# 16   16              Rice       
#[Out]# 17   17             Bread       
#[Out]# 18   18            Cheese       
#[Out]# 19   19              Coca       
#[Out]# 20   20             Fanta       
#[Out]# 21   21            Coffee       
#[Out]# 22   22               Tea       
#[Out]# 23   23   Spiced Biscuits       
#[Out]# 24   24           Oranges       
#[Out]# 25   25            Donuts       
#[Out]# 26   26             Pasta       
#[Out]# 27   27             Pizza       
#[Out]# 28   28           Lasanga       
#[Out]# 29   29            Salmon       
#[Out]# 30   30           Ketchup       
#[Out]# 31   31   French baguette       
query1 = '''
    SELECT *
    FROM purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query1 = '''
    SELECT COUNT(*)
    FROM purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#    COUNT(*)
#[Out]# 0       509
query1 = '''
    SELECT COUNT(*)
    FROM purchase
    GROUP BY pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     COUNT(*)
#[Out]# 0         25
#[Out]# 1         13
#[Out]# 2         10
#[Out]# 3         20
#[Out]# 4         16
#[Out]# 5         16
#[Out]# 6         15
#[Out]# 7         14
#[Out]# 8         13
#[Out]# 9         20
#[Out]# 10        16
#[Out]# 11        16
#[Out]# 12        16
#[Out]# 13        21
#[Out]# 14        18
#[Out]# 15        14
#[Out]# 16        20
#[Out]# 17        18
#[Out]# 18        10
#[Out]# 19        26
#[Out]# 20        18
#[Out]# 21        22
#[Out]# 22        21
#[Out]# 23        13
#[Out]# 24        20
#[Out]# 25        14
#[Out]# 26        20
#[Out]# 27        15
#[Out]# 28        25
#[Out]# 29         2
#[Out]# 30         2
query1 = '''
    SELECT COUNT(*)
    FROM purchase
    GROUP BY pID, cID
'''

pd.read_sql_query(query1, conn)
#[Out]#      COUNT(*)
#[Out]# 0           1
#[Out]# 1           1
#[Out]# 2           1
#[Out]# 3           1
#[Out]# 4           1
#[Out]# 5           1
#[Out]# 6           1
#[Out]# 7           1
#[Out]# 8           1
#[Out]# 9           1
#[Out]# 10          1
#[Out]# 11          1
#[Out]# 12          1
#[Out]# 13          1
#[Out]# 14          1
#[Out]# 15          1
#[Out]# 16          1
#[Out]# 17          1
#[Out]# 18          1
#[Out]# 19          1
#[Out]# 20          1
#[Out]# 21          4
#[Out]# 22          1
#[Out]# 23          1
#[Out]# 24          1
#[Out]# 25          1
#[Out]# 26          1
#[Out]# 27          1
#[Out]# 28          1
#[Out]# 29          1
#[Out]# ..        ...
#[Out]# 438         1
#[Out]# 439         1
#[Out]# 440         1
#[Out]# 441         3
#[Out]# 442         1
#[Out]# 443         1
#[Out]# 444         1
#[Out]# 445         1
#[Out]# 446         1
#[Out]# 447         1
#[Out]# 448         1
#[Out]# 449         1
#[Out]# 450         1
#[Out]# 451         1
#[Out]# 452         1
#[Out]# 453         1
#[Out]# 454         1
#[Out]# 455         1
#[Out]# 456         1
#[Out]# 457         1
#[Out]# 458         1
#[Out]# 459         1
#[Out]# 460         1
#[Out]# 461         1
#[Out]# 462         1
#[Out]# 463         1
#[Out]# 464         3
#[Out]# 465         1
#[Out]# 466         1
#[Out]# 467         2
#[Out]# 
#[Out]# [468 rows x 1 columns]
query1 = '''
    SELECT pID, cID, COUNT(*)
    FROM purchase
    GROUP BY pID, cID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID  cID  COUNT(*)
#[Out]# 0      0   13         1
#[Out]# 1      0   16         1
#[Out]# 2      0   19         1
#[Out]# 3      0   20         1
#[Out]# 4      0   24         1
#[Out]# 5      0   33         1
#[Out]# 6      0   66         1
#[Out]# 7      0   78         1
#[Out]# 8      0   82         1
#[Out]# 9      0   95         1
#[Out]# 10     0  113         1
#[Out]# 11     0  123         1
#[Out]# 12     0  127         1
#[Out]# 13     0  139         1
#[Out]# 14     0  144         1
#[Out]# 15     0  157         1
#[Out]# 16     0  163         1
#[Out]# 17     0  167         1
#[Out]# 18     0  170         1
#[Out]# 19     0  176         1
#[Out]# 20     0  184         1
#[Out]# 21     0  190         4
#[Out]# 22     1   33         1
#[Out]# 23     1   59         1
#[Out]# 24     1   69         1
#[Out]# 25     1   92         1
#[Out]# 26     1  108         1
#[Out]# 27     1  109         1
#[Out]# 28     1  112         1
#[Out]# 29     1  131         1
#[Out]# ..   ...  ...       ...
#[Out]# 438   27  134         1
#[Out]# 439   27  161         1
#[Out]# 440   27  179         1
#[Out]# 441   27  190         3
#[Out]# 442   28    5         1
#[Out]# 443   28   22         1
#[Out]# 444   28   35         1
#[Out]# 445   28   39         1
#[Out]# 446   28   40         1
#[Out]# 447   28   60         1
#[Out]# 448   28   70         1
#[Out]# 449   28   71         1
#[Out]# 450   28   82         1
#[Out]# 451   28   86         1
#[Out]# 452   28  100         1
#[Out]# 453   28  108         1
#[Out]# 454   28  118         1
#[Out]# 455   28  123         1
#[Out]# 456   28  124         1
#[Out]# 457   28  127         1
#[Out]# 458   28  136         1
#[Out]# 459   28  161         1
#[Out]# 460   28  162         1
#[Out]# 461   28  169         1
#[Out]# 462   28  170         1
#[Out]# 463   28  175         1
#[Out]# 464   28  190         3
#[Out]# 465   29  185         1
#[Out]# 466   29  186         1
#[Out]# 467   30  188         2
#[Out]# 
#[Out]# [468 rows x 3 columns]
query1 = '''
    SELECT pID, COUNT(DISTINCT cID)
    FROM purchase
    GROUP BY pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT cID)
#[Out]# 0     0                   22
#[Out]# 1     1                   13
#[Out]# 2     2                    9
#[Out]# 3     3                   20
#[Out]# 4     4                   16
#[Out]# 5     5                   14
#[Out]# 6     6                   15
#[Out]# 7     7                   13
#[Out]# 8     8                   12
#[Out]# 9     9                   18
#[Out]# 10   10                   14
#[Out]# 11   11                   13
#[Out]# 12   12                   16
#[Out]# 13   13                   21
#[Out]# 14   14                   18
#[Out]# 15   15                   13
#[Out]# 16   16                   20
#[Out]# 17   17                   13
#[Out]# 18   18                   10
#[Out]# 19   19                   20
#[Out]# 20   20                   16
#[Out]# 21   21                   19
#[Out]# 22   22                   20
#[Out]# 23   23                   11
#[Out]# 24   24                   20
#[Out]# 25   25                   14
#[Out]# 26   26                   19
#[Out]# 27   27                   13
#[Out]# 28   28                   23
#[Out]# 29   29                    2
#[Out]# 30   30                    1
query1 = '''
    SELECT pID, COUNT(DISTINCT cID)
    FROM purchase
    GROUP BY pID
    HAVING COUNT(DISTINCT cID) > 2
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT cID)
#[Out]# 0     0                   22
#[Out]# 1     1                   13
#[Out]# 2     2                    9
#[Out]# 3     3                   20
#[Out]# 4     4                   16
#[Out]# 5     5                   14
#[Out]# 6     6                   15
#[Out]# 7     7                   13
#[Out]# 8     8                   12
#[Out]# 9     9                   18
#[Out]# 10   10                   14
#[Out]# 11   11                   13
#[Out]# 12   12                   16
#[Out]# 13   13                   21
#[Out]# 14   14                   18
#[Out]# 15   15                   13
#[Out]# 16   16                   20
#[Out]# 17   17                   13
#[Out]# 18   18                   10
#[Out]# 19   19                   20
#[Out]# 20   20                   16
#[Out]# 21   21                   19
#[Out]# 22   22                   20
#[Out]# 23   23                   11
#[Out]# 24   24                   20
#[Out]# 25   25                   14
#[Out]# 26   26                   19
#[Out]# 27   27                   13
#[Out]# 28   28                   23
query1 = '''
    SELECT pID, COUNT(DISTINCT cID) c
    FROM purchase
    GROUP BY pID
    HAVING
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID, COUNT(DISTINCT cID) as c
    FROM purchase
    GROUP BY pID
    HAVING
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID
    HAVING
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  count
#[Out]# 0     0     22
#[Out]# 1     1     13
#[Out]# 2     2      9
#[Out]# 3     3     20
#[Out]# 4     4     16
#[Out]# 5     5     14
#[Out]# 6     6     15
#[Out]# 7     7     13
#[Out]# 8     8     12
#[Out]# 9     9     18
#[Out]# 10   10     14
#[Out]# 11   11     13
#[Out]# 12   12     16
#[Out]# 13   13     21
#[Out]# 14   14     18
#[Out]# 15   15     13
#[Out]# 16   16     20
#[Out]# 17   17     13
#[Out]# 18   18     10
#[Out]# 19   19     20
#[Out]# 20   20     16
#[Out]# 21   21     19
#[Out]# 22   22     20
#[Out]# 23   23     11
#[Out]# 24   24     20
#[Out]# 25   25     14
#[Out]# 26   26     19
#[Out]# 27   27     13
#[Out]# 28   28     23
#[Out]# 29   29      2
#[Out]# 30   30      1
query1 = '''
    SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID
    HAVING count > 2
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  count
#[Out]# 0     0     22
#[Out]# 1     1     13
#[Out]# 2     2      9
#[Out]# 3     3     20
#[Out]# 4     4     16
#[Out]# 5     5     14
#[Out]# 6     6     15
#[Out]# 7     7     13
#[Out]# 8     8     12
#[Out]# 9     9     18
#[Out]# 10   10     14
#[Out]# 11   11     13
#[Out]# 12   12     16
#[Out]# 13   13     21
#[Out]# 14   14     18
#[Out]# 15   15     13
#[Out]# 16   16     20
#[Out]# 17   17     13
#[Out]# 18   18     10
#[Out]# 19   19     20
#[Out]# 20   20     16
#[Out]# 21   21     19
#[Out]# 22   22     20
#[Out]# 23   23     11
#[Out]# 24   24     20
#[Out]# 25   25     14
#[Out]# 26   26     19
#[Out]# 27   27     13
#[Out]# 28   28     23
query1 = '''
    WITH customerFrequencies AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
    SELECT * FROM customerFrequencies
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  count
#[Out]# 0     0     22
#[Out]# 1     1     13
#[Out]# 2     2      9
#[Out]# 3     3     20
#[Out]# 4     4     16
#[Out]# 5     5     14
#[Out]# 6     6     15
#[Out]# 7     7     13
#[Out]# 8     8     12
#[Out]# 9     9     18
#[Out]# 10   10     14
#[Out]# 11   11     13
#[Out]# 12   12     16
#[Out]# 13   13     21
#[Out]# 14   14     18
#[Out]# 15   15     13
#[Out]# 16   16     20
#[Out]# 17   17     13
#[Out]# 18   18     10
#[Out]# 19   19     20
#[Out]# 20   20     16
#[Out]# 21   21     19
#[Out]# 22   22     20
#[Out]# 23   23     11
#[Out]# 24   24     20
#[Out]# 25   25     14
#[Out]# 26   26     19
#[Out]# 27   27     13
#[Out]# 28   28     23
#[Out]# 29   29      2
#[Out]# 30   30      1
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
    SELECT pID
    FROM product
    EXCEPT ( 
        SELECT pID
        FROM customerFrequencies
        WHERE count > 2
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
    SELECT pID
    FROM product
    EXCEPT  
        SELECT pID
        FROM customerFrequencies
        WHERE count > 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
    WITH customerFrequencies(pID, count) AS (SELECT pID, COUNT(DISTINCT cID) AS count
    FROM purchase
    GROUP BY pID)
    
    SELECT pID
    FROM product
    EXCEPT  
        SELECT pID
        FROM customerFrequencies
        WHERE count > 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onion"
INTERSECT
SELECT cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onion"
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    29    Ruben  2018-08-24
#[Out]# 2    31  Olivier  2018-08-27
#[Out]# 3    33     Sven  2018-08-18
#[Out]# 4    52   Willem  2018-08-25
#[Out]# 5    59     Joep  2018-08-25
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7   124    Sofie  2018-08-26
#[Out]# 8   129    Esmee  2018-08-24
#[Out]# 9   162    Elena  2018-08-21
#[Out]# 10  165    Hanna  2018-08-23
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  172     Lana  2018-08-27
#[Out]# 13  176    Amira  2018-08-22
#[Out]# 14  177    Eline  2018-08-22
#[Out]# 15  190   Kostas  2018-08-26
query2 = '''
    SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onion"
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, date]
#[Out]# Index: []
query2 = '''
    SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    29    Ruben  2018-08-24
#[Out]# 2    31  Olivier  2018-08-27
#[Out]# 3    33     Sven  2018-08-18
#[Out]# 4    52   Willem  2018-08-25
#[Out]# 5    59     Joep  2018-08-25
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7   124    Sofie  2018-08-26
#[Out]# 8   129    Esmee  2018-08-24
#[Out]# 9   162    Elena  2018-08-21
#[Out]# 10  165    Hanna  2018-08-23
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  172     Lana  2018-08-27
#[Out]# 13  176    Amira  2018-08-22
#[Out]# 14  177    Eline  2018-08-22
#[Out]# 15  190   Kostas  2018-08-26
query2 = '''
SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
INTERSECT
SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName        date
#[Out]# 0  124   Sofie  2018-08-26
#[Out]# 1  190  Kostas  2018-08-26
query2 = '''
SELECT cID, cName
FROM (
SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
INTERSECT
SELECT customer.cID, cName, date
FROM customer, purchase, product
WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
SELECT cID, cName
FROM (
  SELECT customer.cID, cName, date
  FROM customer, purchase, product
  WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Onions"
  INTERSECT
  SELECT customer.cID, cName, date
  FROM customer, purchase, product
  WHERE customer.cID = purchase.cID AND purchase.pID = product.pID AND product.pName = "Coffee"
)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''

SELECT cID, COUNT(*) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  storeCount
#[Out]# 0   190           9
#[Out]# 1   190           8
#[Out]# 2   190           6
#[Out]# 3   190          13
#[Out]# 4   190          11
#[Out]# 5   190           8
#[Out]# 6   190          10
#[Out]# 7   190           9
#[Out]# 8   190          10
#[Out]# 9   190           9
#[Out]# 10  190           5
#[Out]# 11  190          11
#[Out]# 12  190           9
#[Out]# 13  190           9
#[Out]# 14  190           8
#[Out]# 15  190           4
#[Out]# 16  190           6
#[Out]# 17  190          13
#[Out]# 18  190          11
#[Out]# 19  190           7
#[Out]# 20  190           7
#[Out]# 21  190          10
#[Out]# 22  190           4
#[Out]# 23  190           5
#[Out]# 24  190           5
#[Out]# 25  190          10
#[Out]# 26  190           8
#[Out]# 27  190           8
#[Out]# 28  190           7
#[Out]# 29  190          13
#[Out]# ..  ...         ...
#[Out]# 34  190          15
#[Out]# 35  190           7
#[Out]# 36  190          14
#[Out]# 37  190           4
#[Out]# 38  190          10
#[Out]# 39  190           7
#[Out]# 40  190          10
#[Out]# 41  190           6
#[Out]# 42  190          10
#[Out]# 43  190          13
#[Out]# 44  190          10
#[Out]# 45  190           8
#[Out]# 46  190          10
#[Out]# 47  190          11
#[Out]# 48  190           2
#[Out]# 49  190           6
#[Out]# 50  190           7
#[Out]# 51  190          10
#[Out]# 52  190           8
#[Out]# 53  190           5
#[Out]# 54  190          11
#[Out]# 55  190          11
#[Out]# 56  190          10
#[Out]# 57  190           6
#[Out]# 58  190           3
#[Out]# 59  190           6
#[Out]# 60  190           1
#[Out]# 61  190           1
#[Out]# 62  190           5
#[Out]# 63  190           2
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 = '''

SELECT cID, COUNT(*), AS storeCount, MAX(storeCount)
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM
(SELECT cID, COUNT(*), AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID)
WHERE storeCount = MAX(storeCount)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM
(SELECT cID, COUNT(*), AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM
(SELECT cID, COUNT(*) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0   190
#[Out]# 1   190
#[Out]# 2   190
#[Out]# 3   190
#[Out]# 4   190
#[Out]# 5   190
#[Out]# 6   190
#[Out]# 7   190
#[Out]# 8   190
#[Out]# 9   190
#[Out]# 10  190
#[Out]# 11  190
#[Out]# 12  190
#[Out]# 13  190
#[Out]# 14  190
#[Out]# 15  190
#[Out]# 16  190
#[Out]# 17  190
#[Out]# 18  190
#[Out]# 19  190
#[Out]# 20  190
#[Out]# 21  190
#[Out]# 22  190
#[Out]# 23  190
#[Out]# 24  190
#[Out]# 25  190
#[Out]# 26  190
#[Out]# 27  190
#[Out]# 28  190
#[Out]# 29  190
#[Out]# ..  ...
#[Out]# 34  190
#[Out]# 35  190
#[Out]# 36  190
#[Out]# 37  190
#[Out]# 38  190
#[Out]# 39  190
#[Out]# 40  190
#[Out]# 41  190
#[Out]# 42  190
#[Out]# 43  190
#[Out]# 44  190
#[Out]# 45  190
#[Out]# 46  190
#[Out]# 47  190
#[Out]# 48  190
#[Out]# 49  190
#[Out]# 50  190
#[Out]# 51  190
#[Out]# 52  190
#[Out]# 53  190
#[Out]# 54  190
#[Out]# 55  190
#[Out]# 56  190
#[Out]# 57  190
#[Out]# 58  190
#[Out]# 59  190
#[Out]# 60  190
#[Out]# 61  190
#[Out]# 62  190
#[Out]# 63  190
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''

(SELECT cID, COUNT(*) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID)
'''

pd.read_sql_query(query3, conn)
query3 = '''

SELECT cID, COUNT(*) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  storeCount
#[Out]# 0   190           9
#[Out]# 1   190           8
#[Out]# 2   190           6
#[Out]# 3   190          13
#[Out]# 4   190          11
#[Out]# 5   190           8
#[Out]# 6   190          10
#[Out]# 7   190           9
#[Out]# 8   190          10
#[Out]# 9   190           9
#[Out]# 10  190           5
#[Out]# 11  190          11
#[Out]# 12  190           9
#[Out]# 13  190           9
#[Out]# 14  190           8
#[Out]# 15  190           4
#[Out]# 16  190           6
#[Out]# 17  190          13
#[Out]# 18  190          11
#[Out]# 19  190           7
#[Out]# 20  190           7
#[Out]# 21  190          10
#[Out]# 22  190           4
#[Out]# 23  190           5
#[Out]# 24  190           5
#[Out]# 25  190          10
#[Out]# 26  190           8
#[Out]# 27  190           8
#[Out]# 28  190           7
#[Out]# 29  190          13
#[Out]# ..  ...         ...
#[Out]# 34  190          15
#[Out]# 35  190           7
#[Out]# 36  190          14
#[Out]# 37  190           4
#[Out]# 38  190          10
#[Out]# 39  190           7
#[Out]# 40  190          10
#[Out]# 41  190           6
#[Out]# 42  190          10
#[Out]# 43  190          13
#[Out]# 44  190          10
#[Out]# 45  190           8
#[Out]# 46  190          10
#[Out]# 47  190          11
#[Out]# 48  190           2
#[Out]# 49  190           6
#[Out]# 50  190           7
#[Out]# 51  190          10
#[Out]# 52  190           8
#[Out]# 53  190           5
#[Out]# 54  190          11
#[Out]# 55  190          11
#[Out]# 56  190          10
#[Out]# 57  190           6
#[Out]# 58  190           3
#[Out]# 59  190           6
#[Out]# 60  190           1
#[Out]# 61  190           1
#[Out]# 62  190           5
#[Out]# 63  190           2
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 = '''

SELECT DISTINCT cID, COUNT(DISTINCT sID) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  storeCount
#[Out]# 0  190           1
query3 = '''

SELECT cID, COUNT(DISTINCT sID) AS storeCount
FROM (SELECT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  storeCount
#[Out]# 0   190           1
#[Out]# 1   190           1
#[Out]# 2   190           1
#[Out]# 3   190           1
#[Out]# 4   190           1
#[Out]# 5   190           1
#[Out]# 6   190           1
#[Out]# 7   190           1
#[Out]# 8   190           1
#[Out]# 9   190           1
#[Out]# 10  190           1
#[Out]# 11  190           1
#[Out]# 12  190           1
#[Out]# 13  190           1
#[Out]# 14  190           1
#[Out]# 15  190           1
#[Out]# 16  190           1
#[Out]# 17  190           1
#[Out]# 18  190           1
#[Out]# 19  190           1
#[Out]# 20  190           1
#[Out]# 21  190           1
#[Out]# 22  190           1
#[Out]# 23  190           1
#[Out]# 24  190           1
#[Out]# 25  190           1
#[Out]# 26  190           1
#[Out]# 27  190           1
#[Out]# 28  190           1
#[Out]# 29  190           1
#[Out]# ..  ...         ...
#[Out]# 34  190           1
#[Out]# 35  190           1
#[Out]# 36  190           1
#[Out]# 37  190           1
#[Out]# 38  190           1
#[Out]# 39  190           1
#[Out]# 40  190           1
#[Out]# 41  190           1
#[Out]# 42  190           1
#[Out]# 43  190           1
#[Out]# 44  190           1
#[Out]# 45  190           1
#[Out]# 46  190           1
#[Out]# 47  190           1
#[Out]# 48  190           1
#[Out]# 49  190           1
#[Out]# 50  190           1
#[Out]# 51  190           1
#[Out]# 52  190           1
#[Out]# 53  190           1
#[Out]# 54  190           1
#[Out]# 55  190           1
#[Out]# 56  190           1
#[Out]# 57  190           1
#[Out]# 58  190           1
#[Out]# 59  190           1
#[Out]# 60  190           1
#[Out]# 61  190           1
#[Out]# 62  190           1
#[Out]# 63  190           1
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 = '''

SELECT cID, COUNT(DISTINCT sID) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  storeCount
#[Out]# 0   190           1
#[Out]# 1   190           1
#[Out]# 2   190           1
#[Out]# 3   190           1
#[Out]# 4   190           1
#[Out]# 5   190           1
#[Out]# 6   190           1
#[Out]# 7   190           1
#[Out]# 8   190           1
#[Out]# 9   190           1
#[Out]# 10  190           1
#[Out]# 11  190           1
#[Out]# 12  190           1
#[Out]# 13  190           1
#[Out]# 14  190           1
#[Out]# 15  190           1
#[Out]# 16  190           1
#[Out]# 17  190           1
#[Out]# 18  190           1
#[Out]# 19  190           1
#[Out]# 20  190           1
#[Out]# 21  190           1
#[Out]# 22  190           1
#[Out]# 23  190           1
#[Out]# 24  190           1
#[Out]# 25  190           1
#[Out]# 26  190           1
#[Out]# 27  190           1
#[Out]# 28  190           1
#[Out]# 29  190           1
#[Out]# ..  ...         ...
#[Out]# 34  190           1
#[Out]# 35  190           1
#[Out]# 36  190           1
#[Out]# 37  190           1
#[Out]# 38  190           1
#[Out]# 39  190           1
#[Out]# 40  190           1
#[Out]# 41  190           1
#[Out]# 42  190           1
#[Out]# 43  190           1
#[Out]# 44  190           1
#[Out]# 45  190           1
#[Out]# 46  190           1
#[Out]# 47  190           1
#[Out]# 48  190           1
#[Out]# 49  190           1
#[Out]# 50  190           1
#[Out]# 51  190           1
#[Out]# 52  190           1
#[Out]# 53  190           1
#[Out]# 54  190           1
#[Out]# 55  190           1
#[Out]# 56  190           1
#[Out]# 57  190           1
#[Out]# 58  190           1
#[Out]# 59  190           1
#[Out]# 60  190           1
#[Out]# 61  190           1
#[Out]# 62  190           1
#[Out]# 63  190           1
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 = '''

SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  storeCount
#[Out]# 0   190           9
#[Out]# 1   190           8
#[Out]# 2   190           6
#[Out]# 3   190          13
#[Out]# 4   190           9
#[Out]# 5   190           6
#[Out]# 6   190          10
#[Out]# 7   190           9
#[Out]# 8   190          10
#[Out]# 9   190           9
#[Out]# 10  190           5
#[Out]# 11  190          11
#[Out]# 12  190           9
#[Out]# 13  190           8
#[Out]# 14  190           8
#[Out]# 15  190           4
#[Out]# 16  190           6
#[Out]# 17  190          13
#[Out]# 18  190          10
#[Out]# 19  190           7
#[Out]# 20  190           7
#[Out]# 21  190          10
#[Out]# 22  190           4
#[Out]# 23  190           5
#[Out]# 24  190           5
#[Out]# 25  190          10
#[Out]# 26  190           8
#[Out]# 27  190           8
#[Out]# 28  190           7
#[Out]# 29  190          13
#[Out]# ..  ...         ...
#[Out]# 34  190          13
#[Out]# 35  190           7
#[Out]# 36  190          12
#[Out]# 37  190           4
#[Out]# 38  190           9
#[Out]# 39  190           7
#[Out]# 40  190           8
#[Out]# 41  190           6
#[Out]# 42  190          10
#[Out]# 43  190          13
#[Out]# 44  190          10
#[Out]# 45  190           8
#[Out]# 46  190          10
#[Out]# 47  190          10
#[Out]# 48  190           2
#[Out]# 49  190           5
#[Out]# 50  190           7
#[Out]# 51  190           9
#[Out]# 52  190           7
#[Out]# 53  190           5
#[Out]# 54  190          11
#[Out]# 55  190          11
#[Out]# 56  190          10
#[Out]# 57  190           6
#[Out]# 58  190           3
#[Out]# 59  190           6
#[Out]# 60  190           1
#[Out]# 61  190           1
#[Out]# 62  190           4
#[Out]# 63  190           2
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 = '''

SELECT DISTINCT cID, sID FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  sID
#[Out]# 0      0    3
#[Out]# 1      1   23
#[Out]# 2      1    3
#[Out]# 3      1   17
#[Out]# 4      1   32
#[Out]# 5      1   16
#[Out]# 6      1   46
#[Out]# 7      1   36
#[Out]# 8      2   12
#[Out]# 9      2   39
#[Out]# 10     2   13
#[Out]# 11     2   51
#[Out]# 12     2   47
#[Out]# 13     3   44
#[Out]# 14     3   30
#[Out]# 15     3   29
#[Out]# 16     4   17
#[Out]# 17     4   10
#[Out]# 18     4   53
#[Out]# 19     4   21
#[Out]# 20     4    7
#[Out]# 21     4   44
#[Out]# 22     5    4
#[Out]# 23     5   36
#[Out]# 24     5   55
#[Out]# 25     5   51
#[Out]# 26     5    6
#[Out]# 27     5   17
#[Out]# 28     7    3
#[Out]# 29     7   12
#[Out]# ..   ...  ...
#[Out]# 460  190   34
#[Out]# 461  190   35
#[Out]# 462  190   36
#[Out]# 463  190   37
#[Out]# 464  190   38
#[Out]# 465  190   39
#[Out]# 466  190   40
#[Out]# 467  190   41
#[Out]# 468  190   42
#[Out]# 469  190   43
#[Out]# 470  190   44
#[Out]# 471  190   45
#[Out]# 472  190   46
#[Out]# 473  190   47
#[Out]# 474  190   48
#[Out]# 475  190   49
#[Out]# 476  190   50
#[Out]# 477  190   51
#[Out]# 478  190   52
#[Out]# 479  190   53
#[Out]# 480  190   54
#[Out]# 481  190   55
#[Out]# 482  190   56
#[Out]# 483  190   57
#[Out]# 484  190   58
#[Out]# 485  190   59
#[Out]# 486  190   60
#[Out]# 487  190   61
#[Out]# 488  190   62
#[Out]# 489  190   63
#[Out]# 
#[Out]# [490 rows x 2 columns]
query3 = '''
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  storeCount
#[Out]# 0      0           1
#[Out]# 1      1           7
#[Out]# 2      2           5
#[Out]# 3      3           3
#[Out]# 4      4           6
#[Out]# 5      5           6
#[Out]# 6      7           6
#[Out]# 7      8           2
#[Out]# 8     10           1
#[Out]# 9     11           1
#[Out]# 10    13           7
#[Out]# 11    15           1
#[Out]# 12    16          10
#[Out]# 13    17           2
#[Out]# 14    18           3
#[Out]# 15    19           4
#[Out]# 16    20           3
#[Out]# 17    21           3
#[Out]# 18    22           2
#[Out]# 19    24           9
#[Out]# 20    25           1
#[Out]# 21    26           1
#[Out]# 22    27           5
#[Out]# 23    28           1
#[Out]# 24    29           2
#[Out]# 25    30           3
#[Out]# 26    31           2
#[Out]# 27    33           9
#[Out]# 28    34           1
#[Out]# 29    35           2
#[Out]# ..   ...         ...
#[Out]# 102  147           3
#[Out]# 103  149           2
#[Out]# 104  151           2
#[Out]# 105  152           3
#[Out]# 106  157           2
#[Out]# 107  159           2
#[Out]# 108  161           9
#[Out]# 109  162           8
#[Out]# 110  163           4
#[Out]# 111  165           6
#[Out]# 112  167          10
#[Out]# 113  168           1
#[Out]# 114  169          11
#[Out]# 115  170           3
#[Out]# 116  171           2
#[Out]# 117  172           2
#[Out]# 118  175           2
#[Out]# 119  176           6
#[Out]# 120  177           5
#[Out]# 121  178           2
#[Out]# 122  179           6
#[Out]# 123  180           2
#[Out]# 124  181           3
#[Out]# 125  182           3
#[Out]# 126  184           1
#[Out]# 127  185           1
#[Out]# 128  186           1
#[Out]# 129  188           1
#[Out]# 130  189           2
#[Out]# 131  190          64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID)
WHERE storeCount = MAX(storeCount)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount, MAX(storeCount)
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID), (SELECT COUNT(DISTINCT pID) AS maxStore FROM store)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID), (SELECT COUNT(DISTINCT sID) AS maxStore FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
SELECT cID
FROM (
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID), (SELECT COUNT(DISTINCT sID) AS maxStore FROM store)
WHERE storeCount = maxStore
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
SELECT cID, COUNT(*) AS storeCount
FROM (SELECT DISTINCT cID, sID FROM purchase)
GROUP BY cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  storeCount
#[Out]# 0      0           1
#[Out]# 1      1           7
#[Out]# 2      2           5
#[Out]# 3      3           3
#[Out]# 4      4           6
#[Out]# 5      5           6
#[Out]# 6      7           6
#[Out]# 7      8           2
#[Out]# 8     10           1
#[Out]# 9     11           1
#[Out]# 10    13           7
#[Out]# 11    15           1
#[Out]# 12    16          10
#[Out]# 13    17           2
#[Out]# 14    18           3
#[Out]# 15    19           4
#[Out]# 16    20           3
#[Out]# 17    21           3
#[Out]# 18    22           2
#[Out]# 19    24           9
#[Out]# 20    25           1
#[Out]# 21    26           1
#[Out]# 22    27           5
#[Out]# 23    28           1
#[Out]# 24    29           2
#[Out]# 25    30           3
#[Out]# 26    31           2
#[Out]# 27    33           9
#[Out]# 28    34           1
#[Out]# 29    35           2
#[Out]# ..   ...         ...
#[Out]# 102  147           3
#[Out]# 103  149           2
#[Out]# 104  151           2
#[Out]# 105  152           3
#[Out]# 106  157           2
#[Out]# 107  159           2
#[Out]# 108  161           9
#[Out]# 109  162           8
#[Out]# 110  163           4
#[Out]# 111  165           6
#[Out]# 112  167          10
#[Out]# 113  168           1
#[Out]# 114  169          11
#[Out]# 115  170           3
#[Out]# 116  171           2
#[Out]# 117  172           2
#[Out]# 118  175           2
#[Out]# 119  176           6
#[Out]# 120  177           5
#[Out]# 121  178           2
#[Out]# 122  179           6
#[Out]# 123  180           2
#[Out]# 124  181           3
#[Out]# 125  182           3
#[Out]# 126  184           1
#[Out]# 127  185           1
#[Out]# 128  186           1
#[Out]# 129  188           1
#[Out]# 130  189           2
#[Out]# 131  190          64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
SELECT DISTINCT cID, sID FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  sID
#[Out]# 0      0    3
#[Out]# 1      1   23
#[Out]# 2      1    3
#[Out]# 3      1   17
#[Out]# 4      1   32
#[Out]# 5      1   16
#[Out]# 6      1   46
#[Out]# 7      1   36
#[Out]# 8      2   12
#[Out]# 9      2   39
#[Out]# 10     2   13
#[Out]# 11     2   51
#[Out]# 12     2   47
#[Out]# 13     3   44
#[Out]# 14     3   30
#[Out]# 15     3   29
#[Out]# 16     4   17
#[Out]# 17     4   10
#[Out]# 18     4   53
#[Out]# 19     4   21
#[Out]# 20     4    7
#[Out]# 21     4   44
#[Out]# 22     5    4
#[Out]# 23     5   36
#[Out]# 24     5   55
#[Out]# 25     5   51
#[Out]# 26     5    6
#[Out]# 27     5   17
#[Out]# 28     7    3
#[Out]# 29     7   12
#[Out]# ..   ...  ...
#[Out]# 460  190   34
#[Out]# 461  190   35
#[Out]# 462  190   36
#[Out]# 463  190   37
#[Out]# 464  190   38
#[Out]# 465  190   39
#[Out]# 466  190   40
#[Out]# 467  190   41
#[Out]# 468  190   42
#[Out]# 469  190   43
#[Out]# 470  190   44
#[Out]# 471  190   45
#[Out]# 472  190   46
#[Out]# 473  190   47
#[Out]# 474  190   48
#[Out]# 475  190   49
#[Out]# 476  190   50
#[Out]# 477  190   51
#[Out]# 478  190   52
#[Out]# 479  190   53
#[Out]# 480  190   54
#[Out]# 481  190   55
#[Out]# 482  190   56
#[Out]# 483  190   57
#[Out]# 484  190   58
#[Out]# 485  190   59
#[Out]# 486  190   60
#[Out]# 487  190   61
#[Out]# 488  190   62
#[Out]# 489  190   63
#[Out]# 
#[Out]# [490 rows x 2 columns]

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd

