# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x221ca0f1570>
query1 = '''
    select pID from purchase group by pID having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID from purchase group by pID having count(cID) <= 2
'''

pd.read_sql_query(query1, conn), 2 ** (.5)
#[Out]# (   pID
#[Out]#  0   29
#[Out]#  1   30, 1.4142135623730951)
query1 = '''
    select pID from purchase group by pID having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select distinct customer.cID, customer.cName from product, purchase, customer where product.pID = purchase.pID and purchase.cID = customer.cID and (product.pName = "Onions" or product.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    16   Julian
#[Out]# 2    29    Ruben
#[Out]# 3    31  Olivier
#[Out]# 4    33     Sven
#[Out]# 5    42     Tijn
#[Out]# 6    52   Willem
#[Out]# 7    59     Joep
#[Out]# 8    82    Dylan
#[Out]# 9    85   Pieter
#[Out]# 10   86     Stef
#[Out]# 11   92    Jelte
#[Out]# 12   97   Sophie
#[Out]# 13  108     Noor
#[Out]# 14  110     Saar
#[Out]# 15  111   Lauren
#[Out]# 16  122     Elin
#[Out]# 17  124    Sofie
#[Out]# 18  129    Esmee
#[Out]# 19  152     Anne
#[Out]# 20  162    Elena
#[Out]# 21  165    Hanna
#[Out]# 22  169     Lily
#[Out]# 23  171    Tessa
#[Out]# 24  172     Lana
#[Out]# 25  175      Sam
#[Out]# 26  176    Amira
#[Out]# 27  177    Eline
#[Out]# 28  181     Liva
#[Out]# 29  190   Kostas
query2 = '''
    select distinct customer.cID, customer.cName
    from product, purchase, customer
    where product.pID = purchase.pID and purchase.cID = customer.cID and 
      (product.pName = "Onions" and product.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select customer.cID, customer.cName
from customer, (
		select purchase.cID, purchase.date
		from purchase, product
		where purchase.pID = product.pID and product.pName = "Onions"
	) o, (
		select purchase.cID, purchase.date
		from purchase, product
		where purchase.pID = product.pID and product.pName = "Coffee"
	) c
where o.cID = c.cID and o.date = c.date and customer.cID = o.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    customer.cID customer.cName
#[Out]# 0           124          Sofie
#[Out]# 1           190         Kostas
query3 = '''
   select customer.cID
   from customer
   where not exists (
       select store.sID
       from store
       except
       select purchase.sID
       from purchase
       where purchase.cID = customer.cID
   ) 
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select store.sName
    from purchase, store
    where purchase.sID = store.sID
    group by store.sName
    having avg(purchase.quantity) > 4
    except
    select store.sName
    from store
    group by store.sName
    having count(sID) < 2
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select product.pName, store.sName
    from (select purchase.pID, purchase.sID, max(price) from purchase) p, product, store
    where p.pID = product.pID and p.sID = store.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select max(a.unit_price - b.unit_price) from inventory a, inventory b where a.date = '2018-08-23' and a.date = b.date and a.pID = b.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(a.unit_price - b.unit_price)
#[Out]# 0                               2.0
