# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pID
    FROM purchase
    EXCEPT
    SELECT p1.pID
    FROM purchase AS p1, purchase AS p2, purchase AS p3
    WHERE p1.pID = p2.pID AND p1.pID = p3.pID AND p1.cID <> p2.cID AND p1.cID <> p3.cID AND p2.cID <> p3.cID 
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c, purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
    WHERE pr1.pName = "Onions" AND pr2.pName = "Coffee" AND pr1.pID = p1.pID AND pr2.pID = p2.pID AND p1.date = p2.date
'''

pd.read_sql_query(query2, conn)
#[Out]#       cID   cName
#[Out]# 0       0    Noah
#[Out]# 1       0    Noah
#[Out]# 2       0    Noah
#[Out]# 3       0    Noah
#[Out]# 4       0    Noah
#[Out]# 5       0    Noah
#[Out]# 6       0    Noah
#[Out]# 7       0    Noah
#[Out]# 8       0    Noah
#[Out]# 9       0    Noah
#[Out]# 10      0    Noah
#[Out]# 11      0    Noah
#[Out]# 12      0    Noah
#[Out]# 13      0    Noah
#[Out]# 14      0    Noah
#[Out]# 15      0    Noah
#[Out]# 16      0    Noah
#[Out]# 17      0    Noah
#[Out]# 18      0    Noah
#[Out]# 19      0    Noah
#[Out]# 20      0    Noah
#[Out]# 21      0    Noah
#[Out]# 22      0    Noah
#[Out]# 23      0    Noah
#[Out]# 24      0    Noah
#[Out]# 25      0    Noah
#[Out]# 26      0    Noah
#[Out]# 27      0    Noah
#[Out]# 28      0    Noah
#[Out]# 29      0    Noah
#[Out]# ...   ...     ...
#[Out]# 6050  190  Kostas
#[Out]# 6051  190  Kostas
#[Out]# 6052  190  Kostas
#[Out]# 6053  190  Kostas
#[Out]# 6054  190  Kostas
#[Out]# 6055  190  Kostas
#[Out]# 6056  190  Kostas
#[Out]# 6057  190  Kostas
#[Out]# 6058  190  Kostas
#[Out]# 6059  190  Kostas
#[Out]# 6060  190  Kostas
#[Out]# 6061  190  Kostas
#[Out]# 6062  190  Kostas
#[Out]# 6063  190  Kostas
#[Out]# 6064  190  Kostas
#[Out]# 6065  190  Kostas
#[Out]# 6066  190  Kostas
#[Out]# 6067  190  Kostas
#[Out]# 6068  190  Kostas
#[Out]# 6069  190  Kostas
#[Out]# 6070  190  Kostas
#[Out]# 6071  190  Kostas
#[Out]# 6072  190  Kostas
#[Out]# 6073  190  Kostas
#[Out]# 6074  190  Kostas
#[Out]# 6075  190  Kostas
#[Out]# 6076  190  Kostas
#[Out]# 6077  190  Kostas
#[Out]# 6078  190  Kostas
#[Out]# 6079  190  Kostas
#[Out]# 
#[Out]# [6080 rows x 2 columns]
query3 = '''
    SELECT p.cID
    FROM purchase AS p, store AS s
    GROUP BY p.cID
    HAVING COUNT(DISTINCT p.sID) = COUNT(DISTINCT s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 AND s.sID = p.pID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4 AND s.sID = p.pID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) = 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity)  4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) = 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING p.quantity > 4 AND s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 AND s.sID <> p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4 AND s.sID <> p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 AND s.sID <> p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING AVG(p.quantity) < 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase AS p
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         4.797642
#[Out]# 1         Coop         4.797642
#[Out]# 2         Dirk         4.797642
#[Out]# 3    Hoogvliet         4.797642
#[Out]# 4        Jumbo         4.797642
#[Out]# 5         Lidl         4.797642
#[Out]# 6       Sligro         4.797642
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase AS p
    GROUP BY p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     sName  AVG(p.quantity)
#[Out]# 0   Jumbo         4.777778
#[Out]# 1   Jumbo         4.750000
#[Out]# 2   Jumbo         3.666667
#[Out]# 3   Jumbo         4.076923
#[Out]# 4   Jumbo         6.090909
#[Out]# 5   Jumbo         4.875000
#[Out]# 6   Jumbo         3.800000
#[Out]# 7   Jumbo         4.444444
#[Out]# 8   Jumbo         5.600000
#[Out]# 9   Jumbo         5.444444
#[Out]# 10  Jumbo         6.400000
#[Out]# 11  Jumbo         4.272727
#[Out]# 12  Jumbo         5.000000
#[Out]# 13  Jumbo         3.888889
#[Out]# 14  Jumbo         3.125000
#[Out]# 15  Jumbo         4.250000
#[Out]# 16  Jumbo         3.500000
#[Out]# 17  Jumbo         5.538462
#[Out]# 18  Jumbo         3.181818
#[Out]# 19  Jumbo         5.571429
#[Out]# 20  Jumbo         5.428571
#[Out]# 21  Jumbo         3.600000
#[Out]# 22  Jumbo         5.500000
#[Out]# 23  Jumbo         4.400000
#[Out]# 24  Jumbo         5.400000
#[Out]# 25  Jumbo         5.700000
#[Out]# 26  Jumbo         6.500000
#[Out]# 27  Jumbo         4.750000
#[Out]# 28  Jumbo         5.000000
#[Out]# 29  Jumbo         6.000000
#[Out]# ..    ...              ...
#[Out]# 34  Jumbo         5.400000
#[Out]# 35  Jumbo         4.428571
#[Out]# 36  Jumbo         4.142857
#[Out]# 37  Jumbo         4.000000
#[Out]# 38  Jumbo         5.400000
#[Out]# 39  Jumbo         4.571429
#[Out]# 40  Jumbo         4.300000
#[Out]# 41  Jumbo         4.833333
#[Out]# 42  Jumbo         5.900000
#[Out]# 43  Jumbo         5.769231
#[Out]# 44  Jumbo         4.300000
#[Out]# 45  Jumbo         3.875000
#[Out]# 46  Jumbo         5.600000
#[Out]# 47  Jumbo         4.636364
#[Out]# 48  Jumbo         7.500000
#[Out]# 49  Jumbo         3.333333
#[Out]# 50  Jumbo         4.000000
#[Out]# 51  Jumbo         4.100000
#[Out]# 52  Jumbo         5.750000
#[Out]# 53  Jumbo         4.000000
#[Out]# 54  Jumbo         4.636364
#[Out]# 55  Jumbo         5.454545
#[Out]# 56  Jumbo         2.900000
#[Out]# 57  Jumbo         4.666667
#[Out]# 58  Jumbo         9.666667
#[Out]# 59  Jumbo         3.666667
#[Out]# 60  Jumbo         6.000000
#[Out]# 61  Jumbo         5.000000
#[Out]# 62  Jumbo         2.000000
#[Out]# 63  Jumbo         3.000000
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s.sName, AVG(p.quantity), p.sID
    FROM store AS s, purchase AS p
    GROUP BY p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     sName  AVG(p.quantity)  sID
#[Out]# 0   Jumbo         4.777778    0
#[Out]# 1   Jumbo         4.750000    1
#[Out]# 2   Jumbo         3.666667    2
#[Out]# 3   Jumbo         4.076923    3
#[Out]# 4   Jumbo         6.090909    4
#[Out]# 5   Jumbo         4.875000    5
#[Out]# 6   Jumbo         3.800000    6
#[Out]# 7   Jumbo         4.444444    7
#[Out]# 8   Jumbo         5.600000    8
#[Out]# 9   Jumbo         5.444444    9
#[Out]# 10  Jumbo         6.400000   10
#[Out]# 11  Jumbo         4.272727   11
#[Out]# 12  Jumbo         5.000000   12
#[Out]# 13  Jumbo         3.888889   13
#[Out]# 14  Jumbo         3.125000   14
#[Out]# 15  Jumbo         4.250000   15
#[Out]# 16  Jumbo         3.500000   16
#[Out]# 17  Jumbo         5.538462   17
#[Out]# 18  Jumbo         3.181818   18
#[Out]# 19  Jumbo         5.571429   19
#[Out]# 20  Jumbo         5.428571   20
#[Out]# 21  Jumbo         3.600000   21
#[Out]# 22  Jumbo         5.500000   22
#[Out]# 23  Jumbo         4.400000   23
#[Out]# 24  Jumbo         5.400000   24
#[Out]# 25  Jumbo         5.700000   25
#[Out]# 26  Jumbo         6.500000   26
#[Out]# 27  Jumbo         4.750000   27
#[Out]# 28  Jumbo         5.000000   28
#[Out]# 29  Jumbo         6.000000   29
#[Out]# ..    ...              ...  ...
#[Out]# 34  Jumbo         5.400000   34
#[Out]# 35  Jumbo         4.428571   35
#[Out]# 36  Jumbo         4.142857   36
#[Out]# 37  Jumbo         4.000000   37
#[Out]# 38  Jumbo         5.400000   38
#[Out]# 39  Jumbo         4.571429   39
#[Out]# 40  Jumbo         4.300000   40
#[Out]# 41  Jumbo         4.833333   41
#[Out]# 42  Jumbo         5.900000   42
#[Out]# 43  Jumbo         5.769231   43
#[Out]# 44  Jumbo         4.300000   44
#[Out]# 45  Jumbo         3.875000   45
#[Out]# 46  Jumbo         5.600000   46
#[Out]# 47  Jumbo         4.636364   47
#[Out]# 48  Jumbo         7.500000   48
#[Out]# 49  Jumbo         3.333333   49
#[Out]# 50  Jumbo         4.000000   50
#[Out]# 51  Jumbo         4.100000   51
#[Out]# 52  Jumbo         5.750000   52
#[Out]# 53  Jumbo         4.000000   53
#[Out]# 54  Jumbo         4.636364   54
#[Out]# 55  Jumbo         5.454545   55
#[Out]# 56  Jumbo         2.900000   56
#[Out]# 57  Jumbo         4.666667   57
#[Out]# 58  Jumbo         9.666667   58
#[Out]# 59  Jumbo         3.666667   59
#[Out]# 60  Jumbo         6.000000   60
#[Out]# 61  Jumbo         5.000000   61
#[Out]# 62  Jumbo         2.000000   62
#[Out]# 63  Jumbo         3.000000   63
#[Out]# 
#[Out]# [64 rows x 3 columns]
query4 = '''
    SELECT s.sName, AVG(p.quantity), p.sID
    FROM store AS s, purchase AS p
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  AVG(p.quantity)  sID
#[Out]# 0  Jumbo         4.797642   63
query5 = '''
    SELECT pr.pName, p.sID
    FROM purchase AS p, product AS pr
    GROUP BY p.pName
    HAVING MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, p.sID
    FROM purchase AS p, product AS pr
    GROUP BY pr.pName
    HAVING MAX(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName  sID
#[Out]# 0             Apples   27
#[Out]# 1            Bananas   27
#[Out]# 2               Beef   27
#[Out]# 3              Bread   27
#[Out]# 4            Carrots   27
#[Out]# 5        Cashew Nuts   27
#[Out]# 6             Cheese   27
#[Out]# 7               Coca   27
#[Out]# 8             Coffee   27
#[Out]# 9          Cucumbers   27
#[Out]# 10            Donuts   27
#[Out]# 11              Eggs   27
#[Out]# 12             Fanta   27
#[Out]# 13   French baguette   27
#[Out]# 14      Green Pepper   27
#[Out]# 15  Hot Dog Sausages   27
#[Out]# 16           Ketchup   27
#[Out]# 17           Lasanga   27
#[Out]# 18              Milk   27
#[Out]# 19        Mixed Nuts   27
#[Out]# 20         Mushrooms   27
#[Out]# 21            Onions   27
#[Out]# 22           Oranges   27
#[Out]# 23             Pasta   27
#[Out]# 24             Pizza   27
#[Out]# 25          Potatoes   27
#[Out]# 26              Rice   27
#[Out]# 27            Salmon   27
#[Out]# 28   Spiced Biscuits   27
#[Out]# 29               Tea   27
#[Out]# 30          Tomatoes   27
#[Out]# 31             Water   27
query5 = '''
    SELECT pr.pName, p.sID, p.price
    FROM purchase AS p, product AS pr
    GROUP BY pr.pName
    HAVING MAX(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName  sID  price
#[Out]# 0             Apples   27   13.8
#[Out]# 1            Bananas   27   13.8
#[Out]# 2               Beef   27   13.8
#[Out]# 3              Bread   27   13.8
#[Out]# 4            Carrots   27   13.8
#[Out]# 5        Cashew Nuts   27   13.8
#[Out]# 6             Cheese   27   13.8
#[Out]# 7               Coca   27   13.8
#[Out]# 8             Coffee   27   13.8
#[Out]# 9          Cucumbers   27   13.8
#[Out]# 10            Donuts   27   13.8
#[Out]# 11              Eggs   27   13.8
#[Out]# 12             Fanta   27   13.8
#[Out]# 13   French baguette   27   13.8
#[Out]# 14      Green Pepper   27   13.8
#[Out]# 15  Hot Dog Sausages   27   13.8
#[Out]# 16           Ketchup   27   13.8
#[Out]# 17           Lasanga   27   13.8
#[Out]# 18              Milk   27   13.8
#[Out]# 19        Mixed Nuts   27   13.8
#[Out]# 20         Mushrooms   27   13.8
#[Out]# 21            Onions   27   13.8
#[Out]# 22           Oranges   27   13.8
#[Out]# 23             Pasta   27   13.8
#[Out]# 24             Pizza   27   13.8
#[Out]# 25          Potatoes   27   13.8
#[Out]# 26              Rice   27   13.8
#[Out]# 27            Salmon   27   13.8
#[Out]# 28   Spiced Biscuits   27   13.8
#[Out]# 29               Tea   27   13.8
#[Out]# 30          Tomatoes   27   13.8
#[Out]# 31             Water   27   13.8
query5 = '''
    SELECT pr.pName, p.sID, p.price
    FROM purchase AS p, product AS pr
    GROUP BY pr.pName
    HAVING MAX(p.price) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID  price
#[Out]# 0  Beef   27   13.8
query5 = '''
    SELECT pr.pName, p.sID, p.price, p.quantity
    FROM purchase AS p, product AS pr
    GROUP BY pr.pName
    HAVING MAX(p.price) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID  price  quantity
#[Out]# 0  Beef   27   13.8         6
query5 = '''
    SELECT pr.pName, p.sID
    FROM purchase AS p, product AS pr
    GROUP BY pr.pName
    HAVING MAX(p.price) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query5 = '''
    SELECT pr.pName, p.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY pr.pName
    HAVING MAX(p.price) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY pr.pName
    HAVING MAX(p.price) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName sName
#[Out]# 0  Beef  Coop
query6 = '''
    SELECT MAX(MAX(i1.unit_price) - MIN(i2.unit_price))
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price -i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price -i2.unit_price)
#[Out]# 0                               14.4
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                14.4
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 3.0
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = "2018-08-23" AND i1.date - i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#   MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                               None
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = "2018-08-23" AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 0.0
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 0.0
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 3.0
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]#   MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                               None
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID 
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 3.0  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = 2018-08-23 
'''

pd.read_sql_query(query6, conn)
#[Out]#   MAX(i1.unit_price - i2.unit_price)  date
#[Out]# 0                               None  None
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 3.0  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 0.0
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 0.0  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 3.0  2018-08-23
query6 = '''
    SELECT MIN(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MIN(i1.unit_price - i2.unit_price)        date
#[Out]# 0                               -2.25  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 3.0  2018-08-23
query2 = '''
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#       cID   cName        date
#[Out]# 0       0    Noah  2018-08-17
#[Out]# 1       0    Noah  2018-08-18
#[Out]# 2       0    Noah  2018-08-18
#[Out]# 3       0    Noah  2018-08-20
#[Out]# 4       0    Noah  2018-08-21
#[Out]# 5       0    Noah  2018-08-22
#[Out]# 6       0    Noah  2018-08-22
#[Out]# 7       0    Noah  2018-08-23
#[Out]# 8       0    Noah  2018-08-24
#[Out]# 9       0    Noah  2018-08-24
#[Out]# 10      0    Noah  2018-08-25
#[Out]# 11      0    Noah  2018-08-25
#[Out]# 12      0    Noah  2018-08-26
#[Out]# 13      0    Noah  2018-08-26
#[Out]# 14      0    Noah  2018-08-27
#[Out]# 15      0    Noah  2018-08-27
#[Out]# 16      1     Sem  2018-08-17
#[Out]# 17      1     Sem  2018-08-18
#[Out]# 18      1     Sem  2018-08-18
#[Out]# 19      1     Sem  2018-08-20
#[Out]# 20      1     Sem  2018-08-21
#[Out]# 21      1     Sem  2018-08-22
#[Out]# 22      1     Sem  2018-08-22
#[Out]# 23      1     Sem  2018-08-23
#[Out]# 24      1     Sem  2018-08-24
#[Out]# 25      1     Sem  2018-08-24
#[Out]# 26      1     Sem  2018-08-25
#[Out]# 27      1     Sem  2018-08-25
#[Out]# 28      1     Sem  2018-08-26
#[Out]# 29      1     Sem  2018-08-26
#[Out]# ...   ...     ...         ...
#[Out]# 3010  189    Koen  2018-08-18
#[Out]# 3011  189    Koen  2018-08-20
#[Out]# 3012  189    Koen  2018-08-21
#[Out]# 3013  189    Koen  2018-08-22
#[Out]# 3014  189    Koen  2018-08-22
#[Out]# 3015  189    Koen  2018-08-23
#[Out]# 3016  189    Koen  2018-08-24
#[Out]# 3017  189    Koen  2018-08-24
#[Out]# 3018  189    Koen  2018-08-25
#[Out]# 3019  189    Koen  2018-08-25
#[Out]# 3020  189    Koen  2018-08-26
#[Out]# 3021  189    Koen  2018-08-26
#[Out]# 3022  189    Koen  2018-08-27
#[Out]# 3023  189    Koen  2018-08-27
#[Out]# 3024  190  Kostas  2018-08-17
#[Out]# 3025  190  Kostas  2018-08-18
#[Out]# 3026  190  Kostas  2018-08-18
#[Out]# 3027  190  Kostas  2018-08-20
#[Out]# 3028  190  Kostas  2018-08-21
#[Out]# 3029  190  Kostas  2018-08-22
#[Out]# 3030  190  Kostas  2018-08-22
#[Out]# 3031  190  Kostas  2018-08-23
#[Out]# 3032  190  Kostas  2018-08-24
#[Out]# 3033  190  Kostas  2018-08-24
#[Out]# 3034  190  Kostas  2018-08-25
#[Out]# 3035  190  Kostas  2018-08-25
#[Out]# 3036  190  Kostas  2018-08-26
#[Out]# 3037  190  Kostas  2018-08-26
#[Out]# 3038  190  Kostas  2018-08-27
#[Out]# 3039  190  Kostas  2018-08-27
#[Out]# 
#[Out]# [3040 rows x 3 columns]
query2 = '''
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
    INTERSECT
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#       cID   cName        date
#[Out]# 0       0    Noah  2018-08-18
#[Out]# 1       0    Noah  2018-08-20
#[Out]# 2       0    Noah  2018-08-22
#[Out]# 3       0    Noah  2018-08-24
#[Out]# 4       0    Noah  2018-08-25
#[Out]# 5       0    Noah  2018-08-26
#[Out]# 6       0    Noah  2018-08-27
#[Out]# 7       1     Sem  2018-08-18
#[Out]# 8       1     Sem  2018-08-20
#[Out]# 9       1     Sem  2018-08-22
#[Out]# 10      1     Sem  2018-08-24
#[Out]# 11      1     Sem  2018-08-25
#[Out]# 12      1     Sem  2018-08-26
#[Out]# 13      1     Sem  2018-08-27
#[Out]# 14      2   Lucas  2018-08-18
#[Out]# 15      2   Lucas  2018-08-20
#[Out]# 16      2   Lucas  2018-08-22
#[Out]# 17      2   Lucas  2018-08-24
#[Out]# 18      2   Lucas  2018-08-25
#[Out]# 19      2   Lucas  2018-08-26
#[Out]# 20      2   Lucas  2018-08-27
#[Out]# 21      3    Finn  2018-08-18
#[Out]# 22      3    Finn  2018-08-20
#[Out]# 23      3    Finn  2018-08-22
#[Out]# 24      3    Finn  2018-08-24
#[Out]# 25      3    Finn  2018-08-25
#[Out]# 26      3    Finn  2018-08-26
#[Out]# 27      3    Finn  2018-08-27
#[Out]# 28      4    Daan  2018-08-18
#[Out]# 29      4    Daan  2018-08-20
#[Out]# ...   ...     ...         ...
#[Out]# 1300  185    Nick  2018-08-26
#[Out]# 1301  185    Nick  2018-08-27
#[Out]# 1302  186  Angela  2018-08-18
#[Out]# 1303  186  Angela  2018-08-20
#[Out]# 1304  186  Angela  2018-08-22
#[Out]# 1305  186  Angela  2018-08-24
#[Out]# 1306  186  Angela  2018-08-25
#[Out]# 1307  186  Angela  2018-08-26
#[Out]# 1308  186  Angela  2018-08-27
#[Out]# 1309  188    Pino  2018-08-18
#[Out]# 1310  188    Pino  2018-08-20
#[Out]# 1311  188    Pino  2018-08-22
#[Out]# 1312  188    Pino  2018-08-24
#[Out]# 1313  188    Pino  2018-08-25
#[Out]# 1314  188    Pino  2018-08-26
#[Out]# 1315  188    Pino  2018-08-27
#[Out]# 1316  189    Koen  2018-08-18
#[Out]# 1317  189    Koen  2018-08-20
#[Out]# 1318  189    Koen  2018-08-22
#[Out]# 1319  189    Koen  2018-08-24
#[Out]# 1320  189    Koen  2018-08-25
#[Out]# 1321  189    Koen  2018-08-26
#[Out]# 1322  189    Koen  2018-08-27
#[Out]# 1323  190  Kostas  2018-08-18
#[Out]# 1324  190  Kostas  2018-08-20
#[Out]# 1325  190  Kostas  2018-08-22
#[Out]# 1326  190  Kostas  2018-08-24
#[Out]# 1327  190  Kostas  2018-08-25
#[Out]# 1328  190  Kostas  2018-08-26
#[Out]# 1329  190  Kostas  2018-08-27
#[Out]# 
#[Out]# [1330 rows x 3 columns]
query2 = '''
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
    INTERSECT
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND p.pID = pr.pID
    GROUP BY c.Name
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
    INTERSECT
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND p.pID = pr.pID
    GROUP BY c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName        date
#[Out]# 0      0      Noah  2018-08-27
#[Out]# 1      1       Sem  2018-08-27
#[Out]# 2      2     Lucas  2018-08-27
#[Out]# 3      3      Finn  2018-08-27
#[Out]# 4      4      Daan  2018-08-27
#[Out]# 5      5      Levi  2018-08-27
#[Out]# 6      6     Milan  2018-08-27
#[Out]# 7      7      Bram  2018-08-27
#[Out]# 8      8      Liam  2018-08-27
#[Out]# 9      9    Thomas  2018-08-27
#[Out]# 10    11     Thijs  2018-08-27
#[Out]# 11    12      Adam  2018-08-27
#[Out]# 12    13     James  2018-08-27
#[Out]# 13    14       Max  2018-08-27
#[Out]# 14    15      Noud  2018-08-27
#[Out]# 15    16    Julian  2018-08-27
#[Out]# 16    17       Dex  2018-08-27
#[Out]# 17    18      Hugo  2018-08-27
#[Out]# 18    19      Lars  2018-08-27
#[Out]# 19    20      Gijs  2018-08-27
#[Out]# 20    21  Benjamin  2018-08-27
#[Out]# 21    22      Mats  2018-08-27
#[Out]# 22    23       Jan  2018-08-27
#[Out]# 23    24      Luca  2018-08-27
#[Out]# 24    25     Mason  2018-08-27
#[Out]# 25    26    Jayden  2018-08-27
#[Out]# 26    27       Tim  2018-08-27
#[Out]# 27    28      Siem  2018-08-27
#[Out]# 28    29     Ruben  2018-08-27
#[Out]# 29    30      Teun  2018-08-27
#[Out]# ..   ...       ...         ...
#[Out]# 159  160      Lara  2018-08-27
#[Out]# 160  161     Floor  2018-08-27
#[Out]# 161  162     Elena  2018-08-27
#[Out]# 162  163      Cato  2018-08-27
#[Out]# 163  164       Evy  2018-08-27
#[Out]# 164  165     Hanna  2018-08-27
#[Out]# 165  166   Rosalie  2018-08-27
#[Out]# 166  167    Veerle  2018-08-27
#[Out]# 167  168      Kiki  2018-08-27
#[Out]# 168  169      Lily  2018-08-27
#[Out]# 169  170      Iris  2018-08-27
#[Out]# 170  171     Tessa  2018-08-27
#[Out]# 171  172      Lana  2018-08-27
#[Out]# 172  173     Livia  2018-08-27
#[Out]# 173  174      Romy  2018-08-27
#[Out]# 174  175       Sam  2018-08-27
#[Out]# 175  176     Amira  2018-08-27
#[Out]# 176  177     Eline  2018-08-27
#[Out]# 177  178      Elif  2018-08-27
#[Out]# 178  179      Juul  2018-08-27
#[Out]# 179  180     Merel  2018-08-27
#[Out]# 180  181      Liva  2018-08-27
#[Out]# 181  182   Johanna  2018-08-27
#[Out]# 182  183     Nikki  2018-08-27
#[Out]# 183  184     Wilko  2018-08-27
#[Out]# 184  185      Nick  2018-08-27
#[Out]# 185  186    Angela  2018-08-27
#[Out]# 186  188      Pino  2018-08-27
#[Out]# 187  189      Koen  2018-08-27
#[Out]# 188  190    Kostas  2018-08-27
#[Out]# 
#[Out]# [189 rows x 3 columns]
query2 = '''
    SELECT c.cID, c.cName
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
    INTERSECT
    SELECT c.cID, c.cName
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND p.pID = pr.pID
    GROUP BY c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    11     Thijs
#[Out]# 11    12      Adam
#[Out]# 12    13     James
#[Out]# 13    14       Max
#[Out]# 14    15      Noud
#[Out]# 15    16    Julian
#[Out]# 16    17       Dex
#[Out]# 17    18      Hugo
#[Out]# 18    19      Lars
#[Out]# 19    20      Gijs
#[Out]# 20    21  Benjamin
#[Out]# 21    22      Mats
#[Out]# 22    23       Jan
#[Out]# 23    24      Luca
#[Out]# 24    25     Mason
#[Out]# 25    26    Jayden
#[Out]# 26    27       Tim
#[Out]# 27    28      Siem
#[Out]# 28    29     Ruben
#[Out]# 29    30      Teun
#[Out]# ..   ...       ...
#[Out]# 159  160      Lara
#[Out]# 160  161     Floor
#[Out]# 161  162     Elena
#[Out]# 162  163      Cato
#[Out]# 163  164       Evy
#[Out]# 164  165     Hanna
#[Out]# 165  166   Rosalie
#[Out]# 166  167    Veerle
#[Out]# 167  168      Kiki
#[Out]# 168  169      Lily
#[Out]# 169  170      Iris
#[Out]# 170  171     Tessa
#[Out]# 171  172      Lana
#[Out]# 172  173     Livia
#[Out]# 173  174      Romy
#[Out]# 174  175       Sam
#[Out]# 175  176     Amira
#[Out]# 176  177     Eline
#[Out]# 177  178      Elif
#[Out]# 178  179      Juul
#[Out]# 179  180     Merel
#[Out]# 180  181      Liva
#[Out]# 181  182   Johanna
#[Out]# 182  183     Nikki
#[Out]# 183  184     Wilko
#[Out]# 184  185      Nick
#[Out]# 185  186    Angela
#[Out]# 186  188      Pino
#[Out]# 187  189      Koen
#[Out]# 188  190    Kostas
#[Out]# 
#[Out]# [189 rows x 2 columns]
query2 = '''
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND p.pID = pr.pID
    INTERSECT
    SELECT c.cID, c.cName, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND p.pID = pr.pID
    GROUP BY c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName        date
#[Out]# 0      0      Noah  2018-08-27
#[Out]# 1      1       Sem  2018-08-27
#[Out]# 2      2     Lucas  2018-08-27
#[Out]# 3      3      Finn  2018-08-27
#[Out]# 4      4      Daan  2018-08-27
#[Out]# 5      5      Levi  2018-08-27
#[Out]# 6      6     Milan  2018-08-27
#[Out]# 7      7      Bram  2018-08-27
#[Out]# 8      8      Liam  2018-08-27
#[Out]# 9      9    Thomas  2018-08-27
#[Out]# 10    11     Thijs  2018-08-27
#[Out]# 11    12      Adam  2018-08-27
#[Out]# 12    13     James  2018-08-27
#[Out]# 13    14       Max  2018-08-27
#[Out]# 14    15      Noud  2018-08-27
#[Out]# 15    16    Julian  2018-08-27
#[Out]# 16    17       Dex  2018-08-27
#[Out]# 17    18      Hugo  2018-08-27
#[Out]# 18    19      Lars  2018-08-27
#[Out]# 19    20      Gijs  2018-08-27
#[Out]# 20    21  Benjamin  2018-08-27
#[Out]# 21    22      Mats  2018-08-27
#[Out]# 22    23       Jan  2018-08-27
#[Out]# 23    24      Luca  2018-08-27
#[Out]# 24    25     Mason  2018-08-27
#[Out]# 25    26    Jayden  2018-08-27
#[Out]# 26    27       Tim  2018-08-27
#[Out]# 27    28      Siem  2018-08-27
#[Out]# 28    29     Ruben  2018-08-27
#[Out]# 29    30      Teun  2018-08-27
#[Out]# ..   ...       ...         ...
#[Out]# 159  160      Lara  2018-08-27
#[Out]# 160  161     Floor  2018-08-27
#[Out]# 161  162     Elena  2018-08-27
#[Out]# 162  163      Cato  2018-08-27
#[Out]# 163  164       Evy  2018-08-27
#[Out]# 164  165     Hanna  2018-08-27
#[Out]# 165  166   Rosalie  2018-08-27
#[Out]# 166  167    Veerle  2018-08-27
#[Out]# 167  168      Kiki  2018-08-27
#[Out]# 168  169      Lily  2018-08-27
#[Out]# 169  170      Iris  2018-08-27
#[Out]# 170  171     Tessa  2018-08-27
#[Out]# 171  172      Lana  2018-08-27
#[Out]# 172  173     Livia  2018-08-27
#[Out]# 173  174      Romy  2018-08-27
#[Out]# 174  175       Sam  2018-08-27
#[Out]# 175  176     Amira  2018-08-27
#[Out]# 176  177     Eline  2018-08-27
#[Out]# 177  178      Elif  2018-08-27
#[Out]# 178  179      Juul  2018-08-27
#[Out]# 179  180     Merel  2018-08-27
#[Out]# 180  181      Liva  2018-08-27
#[Out]# 181  182   Johanna  2018-08-27
#[Out]# 182  183     Nikki  2018-08-27
#[Out]# 183  184     Wilko  2018-08-27
#[Out]# 184  185      Nick  2018-08-27
#[Out]# 185  186    Angela  2018-08-27
#[Out]# 186  188      Pino  2018-08-27
#[Out]# 187  189      Koen  2018-08-27
#[Out]# 188  190    Kostas  2018-08-27
#[Out]# 
#[Out]# [189 rows x 3 columns]
query2 = '''
    SELECT *
    FROM purchase
    WHERE pID = 4
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40
query2 = '''
    SELECT *
    FROM purchase
    WHERE pID = 4
    SORT BY cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM purchase
    WHERE pID = 4
    ORDER BY cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40
query2 = '''
    SELECT *
    FROM product
    WHERE pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#    pID   pName suffix
#[Out]# 0    4  Onions       
query2 = '''
    SELECT *
    FROM purchase
    WHERE pID = 4
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40    4  Onions       
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr/pName = 'Coffee' AND pr.pID = p.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    49   16   14   21  2018-08-24         3   2.35   21  Coffee       
#[Out]# 2    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 3    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 4   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 5   131   42   45   21  2018-08-18         6   1.90   21  Coffee       
#[Out]# 6   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 7   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 8   176   59   59   21  2018-08-15         6   2.20   21  Coffee       
#[Out]# 9   217   82   12   21  2018-08-19         2   2.05   21  Coffee       
#[Out]# 10  229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 11  235   86   46   21  2018-08-18         2   2.30   21  Coffee       
#[Out]# 12  248   92   55   21  2018-08-25         6   2.05   21  Coffee       
#[Out]# 13  264   97   54   21  2018-08-25         8   2.20   21  Coffee       
#[Out]# 14  279  108    3   21  2018-08-15         6   1.70   21  Coffee       
#[Out]# 15  292  110   55   21  2018-08-18         2   1.95   21  Coffee       
#[Out]# 16  293  111   17   21  2018-08-22         8   2.30   21  Coffee       
#[Out]# 17  312  122    8   21  2018-08-25         6   1.70   21  Coffee       
#[Out]# 18  323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 19  328  124    9   21  2018-08-26         6   2.15   21  Coffee       
#[Out]# 20  339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 21  369  152   14   21  2018-08-20         1   1.85   21  Coffee       
#[Out]# 22  395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 23  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 24  427  169   35   21  2018-08-16         2   1.90   21  Coffee       
#[Out]# 25  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 26  442  171   44   21  2018-08-20         2   2.35   21  Coffee       
#[Out]# 27  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 28  446  175   16   21  2018-08-20         2   2.25   21  Coffee       
#[Out]# 29  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 30  451  176    4   21  2018-08-26         8   2.15   21  Coffee       
#[Out]# 31  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 32  471  181   27   21  2018-08-27         5   2.00   21  Coffee       
#[Out]# 33  793  190    9   21  2018-08-26         5   4.25   21  Coffee       
#[Out]# 34  799  190   15   21  2018-08-20         2   3.10   21  Coffee       
#[Out]# 35  800  190   16    4  2018-08-26         1   2.40    4  Onions       
#[Out]# 36  810  190   26   21  2018-08-22         7   0.60   21  Coffee       
#[Out]# 37  834  190   50   21  2018-08-22         6   4.05   21  Coffee       
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    49   16   14   21  2018-08-24         3   2.35   21  Coffee       
#[Out]# 2    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 3    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 4   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 5   131   42   45   21  2018-08-18         6   1.90   21  Coffee       
#[Out]# 6   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 7   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 8   176   59   59   21  2018-08-15         6   2.20   21  Coffee       
#[Out]# 9   217   82   12   21  2018-08-19         2   2.05   21  Coffee       
#[Out]# 10  229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 11  235   86   46   21  2018-08-18         2   2.30   21  Coffee       
#[Out]# 12  248   92   55   21  2018-08-25         6   2.05   21  Coffee       
#[Out]# 13  264   97   54   21  2018-08-25         8   2.20   21  Coffee       
#[Out]# 14  279  108    3   21  2018-08-15         6   1.70   21  Coffee       
#[Out]# 15  292  110   55   21  2018-08-18         2   1.95   21  Coffee       
#[Out]# 16  293  111   17   21  2018-08-22         8   2.30   21  Coffee       
#[Out]# 17  312  122    8   21  2018-08-25         6   1.70   21  Coffee       
#[Out]# 18  323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 19  328  124    9   21  2018-08-26         6   2.15   21  Coffee       
#[Out]# 20  339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 21  369  152   14   21  2018-08-20         1   1.85   21  Coffee       
#[Out]# 22  395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 23  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 24  427  169   35   21  2018-08-16         2   1.90   21  Coffee       
#[Out]# 25  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 26  442  171   44   21  2018-08-20         2   2.35   21  Coffee       
#[Out]# 27  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 28  446  175   16   21  2018-08-20         2   2.25   21  Coffee       
#[Out]# 29  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 30  451  176    4   21  2018-08-26         8   2.15   21  Coffee       
#[Out]# 31  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 32  471  181   27   21  2018-08-27         5   2.00   21  Coffee       
#[Out]# 33  793  190    9   21  2018-08-26         5   4.25   21  Coffee       
#[Out]# 34  799  190   15   21  2018-08-20         2   3.10   21  Coffee       
#[Out]# 35  800  190   16    4  2018-08-26         1   2.40    4  Onions       
#[Out]# 36  810  190   26   21  2018-08-22         7   0.60   21  Coffee       
#[Out]# 37  834  190   50   21  2018-08-22         6   4.05   21  Coffee       
query2 = '''
    SELECT 
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT c.cID, c.cName
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT 
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT 
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT 
    FROM purchase AS p1, product AS pr1
    WHERE pr1.pName = 'Onions' AND pr1.pID = p1.pID
    UNION
    SELECT *
    FROM purchase AS p2, product AS pr2
    WHERE pr2.pName = 'Coffee' AND pr2.pID = p2.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT *
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    49   16   14   21  2018-08-24         3   2.35   21  Coffee       
#[Out]# 2    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 3    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 4   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 5   131   42   45   21  2018-08-18         6   1.90   21  Coffee       
#[Out]# 6   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 7   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 8   176   59   59   21  2018-08-15         6   2.20   21  Coffee       
#[Out]# 9   217   82   12   21  2018-08-19         2   2.05   21  Coffee       
#[Out]# 10  229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 11  235   86   46   21  2018-08-18         2   2.30   21  Coffee       
#[Out]# 12  248   92   55   21  2018-08-25         6   2.05   21  Coffee       
#[Out]# 13  264   97   54   21  2018-08-25         8   2.20   21  Coffee       
#[Out]# 14  279  108    3   21  2018-08-15         6   1.70   21  Coffee       
#[Out]# 15  292  110   55   21  2018-08-18         2   1.95   21  Coffee       
#[Out]# 16  293  111   17   21  2018-08-22         8   2.30   21  Coffee       
#[Out]# 17  312  122    8   21  2018-08-25         6   1.70   21  Coffee       
#[Out]# 18  323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 19  328  124    9   21  2018-08-26         6   2.15   21  Coffee       
#[Out]# 20  339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 21  369  152   14   21  2018-08-20         1   1.85   21  Coffee       
#[Out]# 22  395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 23  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 24  427  169   35   21  2018-08-16         2   1.90   21  Coffee       
#[Out]# 25  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 26  442  171   44   21  2018-08-20         2   2.35   21  Coffee       
#[Out]# 27  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 28  446  175   16   21  2018-08-20         2   2.25   21  Coffee       
#[Out]# 29  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 30  451  176    4   21  2018-08-26         8   2.15   21  Coffee       
#[Out]# 31  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 32  471  181   27   21  2018-08-27         5   2.00   21  Coffee       
#[Out]# 33  793  190    9   21  2018-08-26         5   4.25   21  Coffee       
#[Out]# 34  799  190   15   21  2018-08-20         2   3.10   21  Coffee       
#[Out]# 35  800  190   16    4  2018-08-26         1   2.40    4  Onions       
#[Out]# 36  810  190   26   21  2018-08-22         7   0.60   21  Coffee       
#[Out]# 37  834  190   50   21  2018-08-22         6   4.05   21  Coffee       
query2 = '''
    SELECT p.cID
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    UNION
    SELECT p.cID
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID
#[Out]# 0     2
#[Out]# 1    16
#[Out]# 2    29
#[Out]# 3    31
#[Out]# 4    33
#[Out]# 5    42
#[Out]# 6    52
#[Out]# 7    59
#[Out]# 8    82
#[Out]# 9    85
#[Out]# 10   86
#[Out]# 11   92
#[Out]# 12   97
#[Out]# 13  108
#[Out]# 14  110
#[Out]# 15  111
#[Out]# 16  122
#[Out]# 17  124
#[Out]# 18  129
#[Out]# 19  152
#[Out]# 20  162
#[Out]# 21  165
#[Out]# 22  169
#[Out]# 23  171
#[Out]# 24  172
#[Out]# 25  175
#[Out]# 26  176
#[Out]# 27  177
#[Out]# 28  181
#[Out]# 29  190
query2 = '''
    SELECT p.cID
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT p.cID
    FROM purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
query2 = '''
    SELECT p.cID
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT p.cID
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
query2 = '''
    SELECT p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0  124  2018-08-26
#[Out]# 1  190  2018-08-26
query2 = '''
    SELECT p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0  124  2018-08-26
#[Out]# 1  190  2018-08-26
query2 = '''
    SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID
    INTERSECT
    SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#          cName  cID        date
#[Out]# 0         Abel  124  2018-08-26
#[Out]# 1         Adam  124  2018-08-26
#[Out]# 2        Aiden  124  2018-08-26
#[Out]# 3    Alexander  124  2018-08-26
#[Out]# 4        Amber  124  2018-08-26
#[Out]# 5        Amira  124  2018-08-26
#[Out]# 6          Amy  124  2018-08-26
#[Out]# 7       Angela  124  2018-08-26
#[Out]# 8         Anna  124  2018-08-26
#[Out]# 9         Anne  124  2018-08-26
#[Out]# 10    Benjamin  124  2018-08-26
#[Out]# 11      Benthe  124  2018-08-26
#[Out]# 12          Bo  124  2018-08-26
#[Out]# 13        Boaz  124  2018-08-26
#[Out]# 14       Boris  124  2018-08-26
#[Out]# 15        Bram  124  2018-08-26
#[Out]# 16         Cas  124  2018-08-26
#[Out]# 17      Casper  124  2018-08-26
#[Out]# 18        Cato  124  2018-08-26
#[Out]# 19        Daan  124  2018-08-26
#[Out]# 20        Dani  124  2018-08-26
#[Out]# 21       David  124  2018-08-26
#[Out]# 22        Dean  124  2018-08-26
#[Out]# 23         Dex  124  2018-08-26
#[Out]# 24       Dylan  124  2018-08-26
#[Out]# 25       Elena  124  2018-08-26
#[Out]# 26        Elif  124  2018-08-26
#[Out]# 27        Elin  124  2018-08-26
#[Out]# 28       Eline  124  2018-08-26
#[Out]# 29       Elise  124  2018-08-26
#[Out]# ..         ...  ...         ...
#[Out]# 348       Senn  190  2018-08-26
#[Out]# 349       Siem  190  2018-08-26
#[Out]# 350      Simon  190  2018-08-26
#[Out]# 351      Sofia  190  2018-08-26
#[Out]# 352      Sofie  190  2018-08-26
#[Out]# 353     Sophia  190  2018-08-26
#[Out]# 354     Sophie  190  2018-08-26
#[Out]# 355       Stan  190  2018-08-26
#[Out]# 356       Stef  190  2018-08-26
#[Out]# 357      Stijn  190  2018-08-26
#[Out]# 358       Sven  190  2018-08-26
#[Out]# 359       Tess  190  2018-08-26
#[Out]# 360      Tessa  190  2018-08-26
#[Out]# 361       Teun  190  2018-08-26
#[Out]# 362    Thijmen  190  2018-08-26
#[Out]# 363      Thijs  190  2018-08-26
#[Out]# 364     Thomas  190  2018-08-26
#[Out]# 365       Ties  190  2018-08-26
#[Out]# 366       Tijn  190  2018-08-26
#[Out]# 367        Tim  190  2018-08-26
#[Out]# 368     Tobias  190  2018-08-26
#[Out]# 369        Tom  190  2018-08-26
#[Out]# 370       Tygo  190  2018-08-26
#[Out]# 371     Veerle  190  2018-08-26
#[Out]# 372       Vera  190  2018-08-26
#[Out]# 373      Vince  190  2018-08-26
#[Out]# 374      Wilko  190  2018-08-26
#[Out]# 375     Willem  190  2018-08-26
#[Out]# 376       Xavi  190  2018-08-26
#[Out]# 377       Yara  190  2018-08-26
#[Out]# 
#[Out]# [378 rows x 3 columns]
query2 = '''
    SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID AND c.cID = p.cID
    INTERSECT
    SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID AND c.cID = p.cID
    ORDER BY p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cName  cID        date
#[Out]# 0   Sofie  124  2018-08-26
#[Out]# 1  Kostas  190  2018-08-26
query2 = '''
    SELECT cName, cID
    FROM
    (SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Onions' AND pr.pID = p.pID AND c.cID = p.cID
    INTERSECT
    SELECT c.cName, p.cID, p.date
    FROM customer AS c, purchase AS p, product AS pr
    WHERE pr.pName = 'Coffee' AND pr.pID = p.pID AND c.cID = p.cID
    ORDER BY p.cID)
'''

pd.read_sql_query(query2, conn)
#[Out]#     cName  cID
#[Out]# 0   Sofie  124
#[Out]# 1  Kostas  190
query4 = '''
    SELECT AVG(quantity)
    FROM (SELECT *, AVG(quantity)
    FROM purchase)
'''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0            1.0
query4 = '''
    SELECT s.sName
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID AND p.quantity < 4
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         1.909091
#[Out]# 1         Coop         2.020833
#[Out]# 2         Dirk         2.000000
#[Out]# 3    Hoogvliet         2.208333
#[Out]# 4        Jumbo         1.789474
#[Out]# 5         Lidl         1.782609
#[Out]# 6       Sligro         2.031250
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID AND p.quantity < 4
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         1.909091
#[Out]# 1         Coop         2.020833
#[Out]# 2         Dirk         2.000000
#[Out]# 3    Hoogvliet         2.208333
#[Out]# 4        Jumbo         1.789474
#[Out]# 5         Lidl         1.782609
#[Out]# 6       Sligro         2.031250
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID AND p.quantity > 4
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         6.972973
#[Out]# 1         Coop         6.720588
#[Out]# 2         Dirk         7.083333
#[Out]# 3    Hoogvliet         7.021739
#[Out]# 4        Jumbo         6.055556
#[Out]# 5         Lidl         7.000000
#[Out]# 6       Sligro         6.750000
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID AND p.quantity >= 4
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         6.500000
#[Out]# 1         Coop         6.202381
#[Out]# 2         Dirk         6.466667
#[Out]# 3    Hoogvliet         6.725490
#[Out]# 4        Jumbo         5.423077
#[Out]# 5         Lidl         6.487805
#[Out]# 6       Sligro         6.240741
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419
query4 = '''
    SELECT s.sName
    FROM(SELECT s.sName, AVG(p.quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY s.sName)
    GROUP BY sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT s.sName
    FROM(SELECT sName, AVG(p.quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY sName)
    GROUP BY sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT s.sName, AVG(p.quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY s.sName)
    GROUP BY sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT s.sName, AVG(p.quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY s.sName)
    GROUP BY sName
    HAVING AVG(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT s.sName, AVG(p.quantity)
    FROM store AS s, purchase as p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419
query4 = '''
    SELECT sName
    FROM(SELECT s.sName, AVG(p.quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY s.sName)
    WHERE AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE sID = sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY sName)
    GROUP BY sName
    HAVING AVG(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase as p
        WHERE s.sID = p.sID
        GROUP BY sName)
    GROUP BY sName
    HAVING quantity > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE s.sID = p.sID AND AVG(quantity) > 4
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    GROUP BY s.sName
    HAVING s.sID = p.sID AND AVG(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  AVG(quantity)
#[Out]# 0  Jumbo       4.797642
query4 = '''
    SELECT sName, AVG(quantity)
    FROM store AS s, purchase AS p
    WHERE s.sID = p.sID
    GROUP BY s.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    GROUP BY s.sName
    HAVING AVG(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    GROUP BY s.sName
    HAVING 'AVG(quantity)' > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    GROUP BY sName
    HAVING 'AVG(quantity)' > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE 'AVG(quantity)'> 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE 'AVG(quantity)'< 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE 'AVG(quantity)'= 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE 'AVG(quantity)'> 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    SELECT sName, AVG(quantity)
    FROM(SELECT sName, AVG(quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE 'AVG(quantity)'> 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity) AS quantity
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID)
    WHERE quantity > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
        SELECT sName, AVG(quantity) AS quantity
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  quantity
#[Out]# 0  Jumbo  4.797642
query4 = '''
        SELECT sName, AVG(p.quantity) AS quantity
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  quantity
#[Out]# 0  Jumbo  4.797642
query4 = '''
        SELECT sName, AVG(p.quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  AVG(p.quantity)
#[Out]# 0  Jumbo         4.797642
query4 = '''
        SELECT sName, AVG(p.quantity)
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID
        GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419
query4 = '''
        SELECT sName, AVG(quantity) AS quantity
        FROM store AS s, purchase AS p
        WHERE s.sID = p.sID
        GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  quantity
#[Out]# 0  Albert Hein  4.969697
#[Out]# 1         Coop  4.681818
#[Out]# 2         Dirk  5.268293
#[Out]# 3    Hoogvliet  5.280000
#[Out]# 4        Jumbo  3.888889
#[Out]# 5         Lidl  4.796875
#[Out]# 6       Sligro  4.674419
query4 = '''
    SELECT sName
    FROM(SELECT sName, AVG(quantity) AS quantity
         FROM store AS s, purchase AS p
         WHERE s.sID = p.sID
         GROUP BY sName)
    WHERE quantity > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1 > i2
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                 3.0  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date
#[Out]# 0                                3.25  2018-08-23
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date  pID
#[Out]# 0                                3.25  2018-08-23   12
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date - i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#   MAX(i1.unit_price - i2.unit_price)  date   pID
#[Out]# 0                               None  None  None
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date  pID
#[Out]# 0                                 2.0  2018-08-23   12
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID = i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#   MAX(i1.unit_price - i2.unit_price)  date   pID
#[Out]# 0                               None  None  None
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price), i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)        date  pID
#[Out]# 0                                 2.0  2018-08-23   12
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price) AS dif, i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    dif        date  pID
#[Out]# 0  2.0  2018-08-23   12
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price) AS dif
    FROM inventory AS i1, inventory AS i2
    WHERE i1.sID <> i2.sID AND i1.pID = i2.pID AND i1.date = '2018-08-23' AND i1.unit_price > i2.unit_price 
          AND i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#    dif
#[Out]# 0  2.0
query5 = '''
    SELECT pr.pName, s.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY pr.pName
    HAVING MAX(p.price/p.quantity) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName sName
#[Out]# 0  Cheese  Coop
query5 = '''
    SELECT pr.pName, s.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY pr.sName
    HAVING MAX(p.price/p.quantity) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY s.sName
    HAVING MAX(p.price/p.quantity) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName, sName]
#[Out]# Index: []
query5 = '''
    SELECT pr.pName, s.sName
    FROM purchase AS p, product AS pr, store AS s
    GROUP BY pr.pName
    HAVING MAX(p.price/p.quantity) AND p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName sName
#[Out]# 0  Cheese  Coop
query5 = '''
    SELECT MAX(p.price/p.quantity), pr.pName
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price/p.quantity)   pName
#[Out]# 0                       12  Cheese
query5 = '''
    SELECT MAX(p.price/p.quantity), pr.pName
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price/p.quantity)   pName
#[Out]# 0                       12  Cheese
query5 = '''
    SELECT p.price/p.quantity, pr.pName
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#      p.price/p.quantity             pName
#[Out]# 0              0.450000             Water
#[Out]# 1              2.325000            Apples
#[Out]# 2              0.533333              Rice
#[Out]# 3              0.625000           Bananas
#[Out]# 4              0.987500            Donuts
#[Out]# 5              0.687500             Pasta
#[Out]# 6              0.112500              Milk
#[Out]# 7              1.516667             Pizza
#[Out]# 8              2.450000             Fanta
#[Out]# 9              0.192857           Bananas
#[Out]# 10             0.183333            Onions
#[Out]# 11             0.925000              Eggs
#[Out]# 12             1.550000               Tea
#[Out]# 13             2.150000            Apples
#[Out]# 14             1.375000             Pasta
#[Out]# 15             0.241667           Bananas
#[Out]# 16             2.075000  Hot Dog Sausages
#[Out]# 17             1.005556             Pizza
#[Out]# 18             2.720000              Beef
#[Out]# 19             0.525000           Carrots
#[Out]# 20             0.338889              Eggs
#[Out]# 21             0.687500             Pasta
#[Out]# 22             0.783333            Apples
#[Out]# 23             1.375000           Lasanga
#[Out]# 24             0.122222           Carrots
#[Out]# 25             0.775000               Tea
#[Out]# 26             0.925000              Rice
#[Out]# 27             2.200000              Coca
#[Out]# 28             1.050000              Coca
#[Out]# 29             0.283333          Potatoes
#[Out]# ..                  ...               ...
#[Out]# 479            0.700000           Lasanga
#[Out]# 480            0.100000             Pizza
#[Out]# 481            0.850000         Mushrooms
#[Out]# 482            0.162500           Lasanga
#[Out]# 483            0.175000          Tomatoes
#[Out]# 484            0.925000       Cashew Nuts
#[Out]# 485            1.750000              Milk
#[Out]# 486            0.590000           Carrots
#[Out]# 487            0.550000              Coca
#[Out]# 488            0.214286             Bread
#[Out]# 489            0.170000           Bananas
#[Out]# 490            1.775000              Milk
#[Out]# 491            0.650000               Tea
#[Out]# 492            0.812500             Bread
#[Out]# 493            0.716667             Fanta
#[Out]# 494            1.016667              Milk
#[Out]# 495            0.675000            Coffee
#[Out]# 496            1.500000   Spiced Biscuits
#[Out]# 497            0.500000   Spiced Biscuits
#[Out]# 498            0.987500  Hot Dog Sausages
#[Out]# 499            0.583333       Cashew Nuts
#[Out]# 500            0.421429  Hot Dog Sausages
#[Out]# 501            0.400000              Milk
#[Out]# 502            0.650000         Cucumbers
#[Out]# 503            0.107143          Potatoes
#[Out]# 504            1.900000             Bread
#[Out]# 505            0.725000         Mushrooms
#[Out]# 506            0.570000              Coca
#[Out]# 507            1.575000           Bananas
#[Out]# 508            3.300000            Cheese
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    SELECT p.price/p.quantity AS price, pr.pName
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#          price            pName
#[Out]# 0    12.000000           Cheese
#[Out]# 1    11.550000           Cheese
#[Out]# 2    10.300000           Cheese
#[Out]# 3     9.700000           Cheese
#[Out]# 4     8.850000           Cheese
#[Out]# 5     8.700000          Lasanga
#[Out]# 6     8.550000           Cheese
#[Out]# 7     8.100000          Lasanga
#[Out]# 8     6.350000       Mixed Nuts
#[Out]# 9     6.325000             Beef
#[Out]# 10    6.100000             Beef
#[Out]# 11    5.600000             Beef
#[Out]# 12    5.375000             Beef
#[Out]# 13    4.925000          Lasanga
#[Out]# 14    4.800000       Mixed Nuts
#[Out]# 15    4.625000            Pizza
#[Out]# 16    4.450000           Apples
#[Out]# 17    4.125000          Lasanga
#[Out]# 18    4.100000             Beef
#[Out]# 19    3.900000      Cashew Nuts
#[Out]# 20    3.900000          Oranges
#[Out]# 21    3.883333             Beef
#[Out]# 22    3.825000          Lasanga
#[Out]# 23    3.700000      Cashew Nuts
#[Out]# 24    3.675000          Lasanga
#[Out]# 25    3.533333           Cheese
#[Out]# 26    3.400000          Oranges
#[Out]# 27    3.300000           Donuts
#[Out]# 28    3.300000           Cheese
#[Out]# 29    3.200000       Mixed Nuts
#[Out]# ..         ...              ...
#[Out]# 479   0.075000            Water
#[Out]# 480   0.071429            Fanta
#[Out]# 481   0.066667        Mushrooms
#[Out]# 482   0.066667        Mushrooms
#[Out]# 483   0.064286        Mushrooms
#[Out]# 484   0.064286            Water
#[Out]# 485   0.062500        Mushrooms
#[Out]# 486   0.061111        Mushrooms
#[Out]# 487   0.057143        Mushrooms
#[Out]# 488   0.055556        Mushrooms
#[Out]# 489   0.044444        Mushrooms
#[Out]# 490   0.000000            Bread
#[Out]# 491   0.000000             Coca
#[Out]# 492   0.000000         Tomatoes
#[Out]# 493   0.000000             Eggs
#[Out]# 494   0.000000             Coca
#[Out]# 495   0.000000         Potatoes
#[Out]# 496   0.000000             Milk
#[Out]# 497   0.000000          Carrots
#[Out]# 498   0.000000            Fanta
#[Out]# 499   0.000000        Cucumbers
#[Out]# 500   0.000000            Pasta
#[Out]# 501   0.000000       Mixed Nuts
#[Out]# 502   0.000000      Cashew Nuts
#[Out]# 503   0.000000  Spiced Biscuits
#[Out]# 504   0.000000           Coffee
#[Out]# 505   0.000000           Salmon
#[Out]# 506   0.000000         Potatoes
#[Out]# 507   0.000000          Bananas
#[Out]# 508   0.000000      Cashew Nuts
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    SELECT p.price/p.quantity AS price, pr.pName, p.quantity
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#          price            pName  quantity
#[Out]# 0    12.000000           Cheese         1
#[Out]# 1    11.550000           Cheese         1
#[Out]# 2    10.300000           Cheese         1
#[Out]# 3     9.700000           Cheese         1
#[Out]# 4     8.850000           Cheese         1
#[Out]# 5     8.700000          Lasanga         1
#[Out]# 6     8.550000           Cheese         1
#[Out]# 7     8.100000          Lasanga         1
#[Out]# 8     6.350000       Mixed Nuts         1
#[Out]# 9     6.325000             Beef         2
#[Out]# 10    6.100000             Beef         2
#[Out]# 11    5.600000             Beef         2
#[Out]# 12    5.375000             Beef         2
#[Out]# 13    4.925000          Lasanga         2
#[Out]# 14    4.800000       Mixed Nuts         1
#[Out]# 15    4.625000            Pizza         2
#[Out]# 16    4.450000           Apples         1
#[Out]# 17    4.125000          Lasanga         2
#[Out]# 18    4.100000             Beef         3
#[Out]# 19    3.900000      Cashew Nuts         1
#[Out]# 20    3.900000          Oranges         1
#[Out]# 21    3.883333             Beef         3
#[Out]# 22    3.825000          Lasanga         2
#[Out]# 23    3.700000      Cashew Nuts         1
#[Out]# 24    3.675000          Lasanga         2
#[Out]# 25    3.533333           Cheese         3
#[Out]# 26    3.400000          Oranges         1
#[Out]# 27    3.300000           Donuts         1
#[Out]# 28    3.300000           Cheese         1
#[Out]# 29    3.200000       Mixed Nuts         2
#[Out]# ..         ...              ...       ...
#[Out]# 479   0.075000            Water         6
#[Out]# 480   0.071429            Fanta         7
#[Out]# 481   0.066667        Mushrooms         9
#[Out]# 482   0.066667        Mushrooms         6
#[Out]# 483   0.064286        Mushrooms         7
#[Out]# 484   0.064286            Water         7
#[Out]# 485   0.062500        Mushrooms         8
#[Out]# 486   0.061111        Mushrooms         9
#[Out]# 487   0.057143        Mushrooms         7
#[Out]# 488   0.055556        Mushrooms         9
#[Out]# 489   0.044444        Mushrooms         9
#[Out]# 490   0.000000            Bread         5
#[Out]# 491   0.000000             Coca         8
#[Out]# 492   0.000000         Tomatoes        12
#[Out]# 493   0.000000             Eggs         5
#[Out]# 494   0.000000             Coca         9
#[Out]# 495   0.000000         Potatoes         6
#[Out]# 496   0.000000             Milk         6
#[Out]# 497   0.000000          Carrots         7
#[Out]# 498   0.000000            Fanta         5
#[Out]# 499   0.000000        Cucumbers         7
#[Out]# 500   0.000000            Pasta         9
#[Out]# 501   0.000000       Mixed Nuts         7
#[Out]# 502   0.000000      Cashew Nuts         9
#[Out]# 503   0.000000  Spiced Biscuits         8
#[Out]# 504   0.000000           Coffee         5
#[Out]# 505   0.000000           Salmon         5
#[Out]# 506   0.000000         Potatoes         7
#[Out]# 507   0.000000          Bananas         5
#[Out]# 508   0.000000      Cashew Nuts         4
#[Out]# 
#[Out]# [509 rows x 3 columns]
query1 = '''
    SELECT pID
    FROM product
    EXCEPT
    SELECT p1.pID
    FROM purchase AS p1, purchase AS p2, purchase AS p3
    WHERE p1.pID = p2.pID AND p1.pID = p3.pID AND p1.cID <> p2.cID AND p1.cID <> p3.cID AND p2.cID <> p3.cID 
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query5 = '''
    SELECT p.price, pr.pName, p.quantity
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#      price      pName  quantity
#[Out]# 0    13.80       Beef         6
#[Out]# 1    13.65       Beef        11
#[Out]# 2    13.60       Beef         5
#[Out]# 3    13.40       Beef         8
#[Out]# 4    13.25       Beef         9
#[Out]# 5    13.15       Beef         9
#[Out]# 6    12.80       Beef         9
#[Out]# 7    12.65       Beef         2
#[Out]# 8    12.55       Beef         4
#[Out]# 9    12.30       Beef         3
#[Out]# 10   12.20       Beef         2
#[Out]# 11   12.00     Cheese         1
#[Out]# 12   11.65       Beef         3
#[Out]# 13   11.55     Cheese         1
#[Out]# 14   11.45       Beef         8
#[Out]# 15   11.20       Beef         2
#[Out]# 16   10.75       Beef         2
#[Out]# 17   10.60     Cheese         3
#[Out]# 18   10.50     Cheese         7
#[Out]# 19   10.30     Cheese         1
#[Out]# 20   10.15       Beef         5
#[Out]# 21    9.85    Lasanga         2
#[Out]# 22    9.70    Lasanga         4
#[Out]# 23    9.70     Cheese         1
#[Out]# 24    9.65     Cheese         6
#[Out]# 25    9.60    Lasanga         9
#[Out]# 26    9.45    Lasanga         7
#[Out]# 27    9.25      Pizza         2
#[Out]# 28    9.25      Pizza         5
#[Out]# 29    9.10      Pizza         6
#[Out]# ..     ...        ...       ...
#[Out]# 479   0.60  Mushrooms         9
#[Out]# 480   0.60      Water         3
#[Out]# 481   0.60     Coffee         7
#[Out]# 482   0.55  Mushrooms         7
#[Out]# 483   0.55  Mushrooms         7
#[Out]# 484   0.55  Mushrooms         9
#[Out]# 485   0.55      Water         6
#[Out]# 486   0.55      Water         7
#[Out]# 487   0.55      Pizza         4
#[Out]# 488   0.50  Mushrooms         6
#[Out]# 489   0.50  Mushrooms         6
#[Out]# 490   0.50  Mushrooms         8
#[Out]# 491   0.50      Water         5
#[Out]# 492   0.50      Water         1
#[Out]# 493   0.50      Water         5
#[Out]# 494   0.50      Water         2
#[Out]# 495   0.50  Mushrooms         9
#[Out]# 496   0.50    Lasanga         5
#[Out]# 497   0.50      Fanta         7
#[Out]# 498   0.50      Pizza         5
#[Out]# 499   0.45      Water         1
#[Out]# 500   0.45      Water         6
#[Out]# 501   0.45  Mushrooms         3
#[Out]# 502   0.45  Mushrooms         7
#[Out]# 503   0.45      Water         3
#[Out]# 504   0.45      Water         7
#[Out]# 505   0.40      Water         4
#[Out]# 506   0.40  Mushrooms         9
#[Out]# 507   0.40  Mushrooms         6
#[Out]# 508   0.40  Mushrooms         7
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    SELECT MAX(p.price), pr.pName, p.quantity
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName  quantity
#[Out]# 0          13.8  Beef         6
query5 = '''
    SELECT *
    FROM store s, purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#        sID        sName            street       city  tID  cID  sID  pID  \
#[Out]# 0        0         Coop      Kalverstraat  Amsterdam  161   52   27   12   
#[Out]# 1        1    Hoogvliet  Rozemarijnstraat      Breda  161   52   27   12   
#[Out]# 2        2        Jumbo    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 3        3       Sligro    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 4        4    Hoogvliet       Molenstraat  Eindhoven  161   52   27   12   
#[Out]# 5        5       Sligro     Stationsplein      Breda  161   52   27   12   
#[Out]# 6        6         Coop    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 7        7       Sligro  Wilhelminastraat  Eindhoven  161   52   27   12   
#[Out]# 8        8  Albert Hein       Molenstraat  Eindhoven  161   52   27   12   
#[Out]# 9        9  Albert Hein         Koestraat    Tilburg  161   52   27   12   
#[Out]# 10      10        Jumbo        Bergselaan  Rotterdam  161   52   27   12   
#[Out]# 11      11  Albert Hein          Hofplein  Rotterdam  161   52   27   12   
#[Out]# 12      12         Lidl  Wilhelminastraat  Eindhoven  161   52   27   12   
#[Out]# 13      13         Coop         Koestraat    Tilburg  161   52   27   12   
#[Out]# 14      14         Coop     Keizersgracht  Amsterdam  161   52   27   12   
#[Out]# 15      15         Lidl     Prinsengracht  Amsterdam  161   52   27   12   
#[Out]# 16      16         Lidl     Ambachtstraat    Utrecht  161   52   27   12   
#[Out]# 17      17    Hoogvliet        Kerkstraat  Eindhoven  161   52   27   12   
#[Out]# 18      18       Sligro       Parallelweg    Tilburg  161   52   27   12   
#[Out]# 19      19         Coop       Karrestraat      Breda  161   52   27   12   
#[Out]# 20      20        Jumbo      Kasteeldreef    Tilburg  161   52   27   12   
#[Out]# 21      21         Coop      Kasteeldreef    Tilburg  161   52   27   12   
#[Out]# 22      22         Lidl     Prinsengracht  Amsterdam  161   52   27   12   
#[Out]# 23      23         Dirk     Stationsplein      Breda  161   52   27   12   
#[Out]# 24      24  Albert Hein     Stationsplein      Breda  161   52   27   12   
#[Out]# 25      25  Albert Hein     Stationsplein      Breda  161   52   27   12   
#[Out]# 26      26    Hoogvliet   Sint Annastraat      Breda  161   52   27   12   
#[Out]# 27      27       Sligro      Kalverstraat  Amsterdam  161   52   27   12   
#[Out]# 28      28    Hoogvliet         Koestraat    Tilburg  161   52   27   12   
#[Out]# 29      29       Sligro      Marnixstraat  Amsterdam  161   52   27   12   
#[Out]# ...    ...          ...               ...        ...  ...  ...  ...  ...   
#[Out]# 32546   34         Coop          Bierkaai  Amsterdam  433  169   32    5   
#[Out]# 32547   35         Lidl     Julianastraat    Utrecht  433  169   32    5   
#[Out]# 32548   36         Lidl     Julianastraat  Eindhoven  433  169   32    5   
#[Out]# 32549   37        Jumbo          Molenweg  Eindhoven  433  169   32    5   
#[Out]# 32550   38    Hoogvliet          Hofplein  Rotterdam  433  169   32    5   
#[Out]# 32551   39       Sligro       Dorpsstraat  Eindhoven  433  169   32    5   
#[Out]# 32552   40    Hoogvliet          Hofplein  Rotterdam  433  169   32    5   
#[Out]# 32553   41  Albert Hein        Bergselaan  Rotterdam  433  169   32    5   
#[Out]# 32554   42       Sligro      Kalverstraat  Amsterdam  433  169   32    5   
#[Out]# 32555   43         Coop    Gasthuisstraat    Utrecht  433  169   32    5   
#[Out]# 32556   44  Albert Hein     Ambachtstraat    Utrecht  433  169   32    5   
#[Out]# 32557   45         Coop      Kasteeldreef    Tilburg  433  169   32    5   
#[Out]# 32558   46         Lidl        Bergselaan  Rotterdam  433  169   32    5   
#[Out]# 32559   47         Coop     Julianastraat  Rotterdam  433  169   32    5   
#[Out]# 32560   48    Hoogvliet      Kasteeldreef    Tilburg  433  169   32    5   
#[Out]# 32561   49    Hoogvliet      Keizerstraat  Rotterdam  433  169   32    5   
#[Out]# 32562   50       Sligro     Stationsplein      Breda  433  169   32    5   
#[Out]# 32563   51         Coop       Parallelweg    Utrecht  433  169   32    5   
#[Out]# 32564   52         Lidl       Nieuwstraat  Eindhoven  433  169   32    5   
#[Out]# 32565   53         Coop        Hoogstraat    Utrecht  433  169   32    5   
#[Out]# 32566   54         Dirk     Julianastraat  Eindhoven  433  169   32    5   
#[Out]# 32567   55         Coop   Sint Annastraat      Breda  433  169   32    5   
#[Out]# 32568   56        Jumbo       Parallelweg  Eindhoven  433  169   32    5   
#[Out]# 32569   57         Dirk       Molenstraat  Eindhoven  433  169   32    5   
#[Out]# 32570   58         Dirk      Keizerstraat  Rotterdam  433  169   32    5   
#[Out]# 32571   59        Jumbo  Rozemarijnstraat      Breda  433  169   32    5   
#[Out]# 32572   60         Lidl      Pannekoekweg      Breda  433  169   32    5   
#[Out]# 32573   61         Lidl      Pannekoekweg      Breda  433  169   32    5   
#[Out]# 32574   62        Jumbo     Poffertjesweg  Eindhoven  433  169   32    5   
#[Out]# 32575   63        Jumbo     Stationstraat        Oss  433  169   32    5   
#[Out]# 
#[Out]#              date  quantity  price  pID      pName suffix  
#[Out]# 0      2018-08-25         6   13.8   12       Beef         
#[Out]# 1      2018-08-25         6   13.8   12       Beef         
#[Out]# 2      2018-08-25         6   13.8   12       Beef         
#[Out]# 3      2018-08-25         6   13.8   12       Beef         
#[Out]# 4      2018-08-25         6   13.8   12       Beef         
#[Out]# 5      2018-08-25         6   13.8   12       Beef         
#[Out]# 6      2018-08-25         6   13.8   12       Beef         
#[Out]# 7      2018-08-25         6   13.8   12       Beef         
#[Out]# 8      2018-08-25         6   13.8   12       Beef         
#[Out]# 9      2018-08-25         6   13.8   12       Beef         
#[Out]# 10     2018-08-25         6   13.8   12       Beef         
#[Out]# 11     2018-08-25         6   13.8   12       Beef         
#[Out]# 12     2018-08-25         6   13.8   12       Beef         
#[Out]# 13     2018-08-25         6   13.8   12       Beef         
#[Out]# 14     2018-08-25         6   13.8   12       Beef         
#[Out]# 15     2018-08-25         6   13.8   12       Beef         
#[Out]# 16     2018-08-25         6   13.8   12       Beef         
#[Out]# 17     2018-08-25         6   13.8   12       Beef         
#[Out]# 18     2018-08-25         6   13.8   12       Beef         
#[Out]# 19     2018-08-25         6   13.8   12       Beef         
#[Out]# 20     2018-08-25         6   13.8   12       Beef         
#[Out]# 21     2018-08-25         6   13.8   12       Beef         
#[Out]# 22     2018-08-25         6   13.8   12       Beef         
#[Out]# 23     2018-08-25         6   13.8   12       Beef         
#[Out]# 24     2018-08-25         6   13.8   12       Beef         
#[Out]# 25     2018-08-25         6   13.8   12       Beef         
#[Out]# 26     2018-08-25         6   13.8   12       Beef         
#[Out]# 27     2018-08-25         6   13.8   12       Beef         
#[Out]# 28     2018-08-25         6   13.8   12       Beef         
#[Out]# 29     2018-08-25         6   13.8   12       Beef         
#[Out]# ...           ...       ...    ...  ...        ...    ...  
#[Out]# 32546  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32547  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32548  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32549  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32550  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32551  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32552  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32553  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32554  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32555  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32556  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32557  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32558  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32559  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32560  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32561  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32562  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32563  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32564  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32565  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32566  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32567  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32568  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32569  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32570  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32571  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32572  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32573  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32574  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32575  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 
#[Out]# [32576 rows x 14 columns]
query5 = '''
    SELECT *
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  pID      pName suffix
#[Out]# 0    161   52   27   12  2018-08-25         6  13.80   12       Beef       
#[Out]# 1    289  109   29   12  2018-08-18        11  13.65   12       Beef       
#[Out]# 2     18    4   53   12  2018-08-25         5  13.60   12       Beef       
#[Out]# 3    226   82    5   12  2018-08-24         8  13.40   12       Beef       
#[Out]# 4    356  144   41   12  2018-08-23         9  13.25   12       Beef       
#[Out]# 5    399  162    9   12  2018-08-24         9  13.15   12       Beef       
#[Out]# 6    105   33   23   12  2018-08-27         9  12.80   12       Beef       
#[Out]# 7    244   91   27   12  2018-08-26         2  12.65   12       Beef       
#[Out]# 8    305  116   54   12  2018-08-24         4  12.55   12       Beef       
#[Out]# 9    385  159   17   12  2018-08-26         3  12.30   12       Beef       
#[Out]# 10   300  113   38   12  2018-08-21         2  12.20   12       Beef       
#[Out]# 11   223   82   44   18  2018-08-23         1  12.00   18     Cheese       
#[Out]# 12   327  124   23   12  2018-08-26         3  11.65   12       Beef       
#[Out]# 13    77   24   11   18  2018-08-20         1  11.55   18     Cheese       
#[Out]# 14    97   30   57   12  2018-08-18         8  11.45   12       Beef       
#[Out]# 15   277  103   13   12  2018-08-23         2  11.20   12       Beef       
#[Out]# 16    31    7   32   12  2018-08-25         2  10.75   12       Beef       
#[Out]# 17   156   51   13   18  2018-08-19         3  10.60   18     Cheese       
#[Out]# 18   199   71   42   18  2018-08-24         7  10.50   18     Cheese       
#[Out]# 19   118   39   14   18  2018-08-28         1  10.30   18     Cheese       
#[Out]# 20   318  123   19   12  2018-08-17         5  10.15   12       Beef       
#[Out]# 21   438  170    9   28  2018-08-16         2   9.85   28    Lasanga       
#[Out]# 22   197   70   54   28  2018-08-25         4   9.70   28    Lasanga       
#[Out]# 23   473  182    5   18  2018-08-28         1   9.70   18     Cheese       
#[Out]# 24   396  162   51   18  2018-08-22         6   9.65   18     Cheese       
#[Out]# 25   124   40   52   28  2018-08-16         9   9.60   28    Lasanga       
#[Out]# 26   111   35   34   28  2018-08-18         7   9.45   28    Lasanga       
#[Out]# 27    57   16   26   27  2018-08-19         2   9.25   27      Pizza       
#[Out]# 28   348  134    7   27  2018-08-26         5   9.25   27      Pizza       
#[Out]# 29     7    1   36   27  2018-08-21         6   9.10   27      Pizza       
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...    ...
#[Out]# 479   95   30    9    5  2018-08-15         9   0.60    5  Mushrooms       
#[Out]# 480  468  180   56   10  2018-08-27         3   0.60   10      Water       
#[Out]# 481  810  190   26   21  2018-08-22         7   0.60   21     Coffee       
#[Out]# 482   50   16   22    5  2018-08-25         7   0.55    5  Mushrooms       
#[Out]# 483   78   24   17    5  2018-08-20         7   0.55    5  Mushrooms       
#[Out]# 484  167   58   16    5  2018-08-27         9   0.55    5  Mushrooms       
#[Out]# 485  406  163    6   10  2018-08-22         6   0.55   10      Water       
#[Out]# 486  436  169   24   10  2018-08-27         7   0.55   10      Water       
#[Out]# 487  802  190   18   27  2018-08-21         4   0.55   27      Pizza       
#[Out]# 488   46   13    8    5  2018-08-27         6   0.50    5  Mushrooms       
#[Out]# 489  159   52    2    5  2018-08-25         6   0.50    5  Mushrooms       
#[Out]# 490  163   55   19    5  2018-08-17         8   0.50    5  Mushrooms       
#[Out]# 491  204   72   54   10  2018-08-22         5   0.50   10      Water       
#[Out]# 492  220   82    5   10  2018-08-21         1   0.50   10      Water       
#[Out]# 493  272  100    9   10  2018-08-22         5   0.50   10      Water       
#[Out]# 494  329  124   18   10  2018-08-26         2   0.50   10      Water       
#[Out]# 495  452  176    6    5  2018-08-26         9   0.50    5  Mushrooms       
#[Out]# 496  787  190    3   28  2018-08-23         5   0.50   28    Lasanga       
#[Out]# 497  804  190   20   20  2018-08-17         7   0.50   20      Fanta       
#[Out]# 498  819  190   35   27  2018-08-15         5   0.50   27      Pizza       
#[Out]# 499    0    0    3   10  2018-08-22         1   0.45   10      Water       
#[Out]# 500   74   22   27   10  2018-08-28         6   0.45   10      Water       
#[Out]# 501  213   77    1    5  2018-08-23         3   0.45    5  Mushrooms       
#[Out]# 502  341  129   24    5  2018-08-20         7   0.45    5  Mushrooms       
#[Out]# 503  412  165   45   10  2018-08-24         3   0.45   10      Water       
#[Out]# 504  465  179   45   10  2018-08-23         7   0.45   10      Water       
#[Out]# 505   43   13   28   10  2018-08-25         4   0.40   10      Water       
#[Out]# 506  202   72   25    5  2018-08-21         9   0.40    5  Mushrooms       
#[Out]# 507  405  163   30    5  2018-08-22         6   0.40    5  Mushrooms       
#[Out]# 508  433  169   32    5  2018-08-20         7   0.40    5  Mushrooms       
#[Out]# 
#[Out]# [509 rows x 10 columns]
query5 = '''
    SELECT sID, sName
    FROM store
    WHERE sID = 27
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID   sName
#[Out]# 0   27  Sligro
query5 = '''
    SELECT *
    FROM purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  pID      pName suffix
#[Out]# 0    161   52   27   12  2018-08-25         6  13.80   12       Beef       
#[Out]# 1    289  109   29   12  2018-08-18        11  13.65   12       Beef       
#[Out]# 2     18    4   53   12  2018-08-25         5  13.60   12       Beef       
#[Out]# 3    226   82    5   12  2018-08-24         8  13.40   12       Beef       
#[Out]# 4    356  144   41   12  2018-08-23         9  13.25   12       Beef       
#[Out]# 5    399  162    9   12  2018-08-24         9  13.15   12       Beef       
#[Out]# 6    105   33   23   12  2018-08-27         9  12.80   12       Beef       
#[Out]# 7    244   91   27   12  2018-08-26         2  12.65   12       Beef       
#[Out]# 8    305  116   54   12  2018-08-24         4  12.55   12       Beef       
#[Out]# 9    385  159   17   12  2018-08-26         3  12.30   12       Beef       
#[Out]# 10   300  113   38   12  2018-08-21         2  12.20   12       Beef       
#[Out]# 11   223   82   44   18  2018-08-23         1  12.00   18     Cheese       
#[Out]# 12   327  124   23   12  2018-08-26         3  11.65   12       Beef       
#[Out]# 13    77   24   11   18  2018-08-20         1  11.55   18     Cheese       
#[Out]# 14    97   30   57   12  2018-08-18         8  11.45   12       Beef       
#[Out]# 15   277  103   13   12  2018-08-23         2  11.20   12       Beef       
#[Out]# 16    31    7   32   12  2018-08-25         2  10.75   12       Beef       
#[Out]# 17   156   51   13   18  2018-08-19         3  10.60   18     Cheese       
#[Out]# 18   199   71   42   18  2018-08-24         7  10.50   18     Cheese       
#[Out]# 19   118   39   14   18  2018-08-28         1  10.30   18     Cheese       
#[Out]# 20   318  123   19   12  2018-08-17         5  10.15   12       Beef       
#[Out]# 21   438  170    9   28  2018-08-16         2   9.85   28    Lasanga       
#[Out]# 22   197   70   54   28  2018-08-25         4   9.70   28    Lasanga       
#[Out]# 23   473  182    5   18  2018-08-28         1   9.70   18     Cheese       
#[Out]# 24   396  162   51   18  2018-08-22         6   9.65   18     Cheese       
#[Out]# 25   124   40   52   28  2018-08-16         9   9.60   28    Lasanga       
#[Out]# 26   111   35   34   28  2018-08-18         7   9.45   28    Lasanga       
#[Out]# 27    57   16   26   27  2018-08-19         2   9.25   27      Pizza       
#[Out]# 28   348  134    7   27  2018-08-26         5   9.25   27      Pizza       
#[Out]# 29     7    1   36   27  2018-08-21         6   9.10   27      Pizza       
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...    ...
#[Out]# 479   95   30    9    5  2018-08-15         9   0.60    5  Mushrooms       
#[Out]# 480  468  180   56   10  2018-08-27         3   0.60   10      Water       
#[Out]# 481  810  190   26   21  2018-08-22         7   0.60   21     Coffee       
#[Out]# 482   50   16   22    5  2018-08-25         7   0.55    5  Mushrooms       
#[Out]# 483   78   24   17    5  2018-08-20         7   0.55    5  Mushrooms       
#[Out]# 484  167   58   16    5  2018-08-27         9   0.55    5  Mushrooms       
#[Out]# 485  406  163    6   10  2018-08-22         6   0.55   10      Water       
#[Out]# 486  436  169   24   10  2018-08-27         7   0.55   10      Water       
#[Out]# 487  802  190   18   27  2018-08-21         4   0.55   27      Pizza       
#[Out]# 488   46   13    8    5  2018-08-27         6   0.50    5  Mushrooms       
#[Out]# 489  159   52    2    5  2018-08-25         6   0.50    5  Mushrooms       
#[Out]# 490  163   55   19    5  2018-08-17         8   0.50    5  Mushrooms       
#[Out]# 491  204   72   54   10  2018-08-22         5   0.50   10      Water       
#[Out]# 492  220   82    5   10  2018-08-21         1   0.50   10      Water       
#[Out]# 493  272  100    9   10  2018-08-22         5   0.50   10      Water       
#[Out]# 494  329  124   18   10  2018-08-26         2   0.50   10      Water       
#[Out]# 495  452  176    6    5  2018-08-26         9   0.50    5  Mushrooms       
#[Out]# 496  787  190    3   28  2018-08-23         5   0.50   28    Lasanga       
#[Out]# 497  804  190   20   20  2018-08-17         7   0.50   20      Fanta       
#[Out]# 498  819  190   35   27  2018-08-15         5   0.50   27      Pizza       
#[Out]# 499    0    0    3   10  2018-08-22         1   0.45   10      Water       
#[Out]# 500   74   22   27   10  2018-08-28         6   0.45   10      Water       
#[Out]# 501  213   77    1    5  2018-08-23         3   0.45    5  Mushrooms       
#[Out]# 502  341  129   24    5  2018-08-20         7   0.45    5  Mushrooms       
#[Out]# 503  412  165   45   10  2018-08-24         3   0.45   10      Water       
#[Out]# 504  465  179   45   10  2018-08-23         7   0.45   10      Water       
#[Out]# 505   43   13   28   10  2018-08-25         4   0.40   10      Water       
#[Out]# 506  202   72   25    5  2018-08-21         9   0.40    5  Mushrooms       
#[Out]# 507  405  163   30    5  2018-08-22         6   0.40    5  Mushrooms       
#[Out]# 508  433  169   32    5  2018-08-20         7   0.40    5  Mushrooms       
#[Out]# 
#[Out]# [509 rows x 10 columns]
query5 = '''
    SELECT *
    FROM store AS s, purchase AS p, product as pr
    WHERE p.pID = pr.pID
    ORDER BY price desc
'''

pd.read_sql_query(query5, conn)
#[Out]#        sID        sName            street       city  tID  cID  sID  pID  \
#[Out]# 0        0         Coop      Kalverstraat  Amsterdam  161   52   27   12   
#[Out]# 1        1    Hoogvliet  Rozemarijnstraat      Breda  161   52   27   12   
#[Out]# 2        2        Jumbo    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 3        3       Sligro    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 4        4    Hoogvliet       Molenstraat  Eindhoven  161   52   27   12   
#[Out]# 5        5       Sligro     Stationsplein      Breda  161   52   27   12   
#[Out]# 6        6         Coop    Stadhoudersweg  Rotterdam  161   52   27   12   
#[Out]# 7        7       Sligro  Wilhelminastraat  Eindhoven  161   52   27   12   
#[Out]# 8        8  Albert Hein       Molenstraat  Eindhoven  161   52   27   12   
#[Out]# 9        9  Albert Hein         Koestraat    Tilburg  161   52   27   12   
#[Out]# 10      10        Jumbo        Bergselaan  Rotterdam  161   52   27   12   
#[Out]# 11      11  Albert Hein          Hofplein  Rotterdam  161   52   27   12   
#[Out]# 12      12         Lidl  Wilhelminastraat  Eindhoven  161   52   27   12   
#[Out]# 13      13         Coop         Koestraat    Tilburg  161   52   27   12   
#[Out]# 14      14         Coop     Keizersgracht  Amsterdam  161   52   27   12   
#[Out]# 15      15         Lidl     Prinsengracht  Amsterdam  161   52   27   12   
#[Out]# 16      16         Lidl     Ambachtstraat    Utrecht  161   52   27   12   
#[Out]# 17      17    Hoogvliet        Kerkstraat  Eindhoven  161   52   27   12   
#[Out]# 18      18       Sligro       Parallelweg    Tilburg  161   52   27   12   
#[Out]# 19      19         Coop       Karrestraat      Breda  161   52   27   12   
#[Out]# 20      20        Jumbo      Kasteeldreef    Tilburg  161   52   27   12   
#[Out]# 21      21         Coop      Kasteeldreef    Tilburg  161   52   27   12   
#[Out]# 22      22         Lidl     Prinsengracht  Amsterdam  161   52   27   12   
#[Out]# 23      23         Dirk     Stationsplein      Breda  161   52   27   12   
#[Out]# 24      24  Albert Hein     Stationsplein      Breda  161   52   27   12   
#[Out]# 25      25  Albert Hein     Stationsplein      Breda  161   52   27   12   
#[Out]# 26      26    Hoogvliet   Sint Annastraat      Breda  161   52   27   12   
#[Out]# 27      27       Sligro      Kalverstraat  Amsterdam  161   52   27   12   
#[Out]# 28      28    Hoogvliet         Koestraat    Tilburg  161   52   27   12   
#[Out]# 29      29       Sligro      Marnixstraat  Amsterdam  161   52   27   12   
#[Out]# ...    ...          ...               ...        ...  ...  ...  ...  ...   
#[Out]# 32546   34         Coop          Bierkaai  Amsterdam  433  169   32    5   
#[Out]# 32547   35         Lidl     Julianastraat    Utrecht  433  169   32    5   
#[Out]# 32548   36         Lidl     Julianastraat  Eindhoven  433  169   32    5   
#[Out]# 32549   37        Jumbo          Molenweg  Eindhoven  433  169   32    5   
#[Out]# 32550   38    Hoogvliet          Hofplein  Rotterdam  433  169   32    5   
#[Out]# 32551   39       Sligro       Dorpsstraat  Eindhoven  433  169   32    5   
#[Out]# 32552   40    Hoogvliet          Hofplein  Rotterdam  433  169   32    5   
#[Out]# 32553   41  Albert Hein        Bergselaan  Rotterdam  433  169   32    5   
#[Out]# 32554   42       Sligro      Kalverstraat  Amsterdam  433  169   32    5   
#[Out]# 32555   43         Coop    Gasthuisstraat    Utrecht  433  169   32    5   
#[Out]# 32556   44  Albert Hein     Ambachtstraat    Utrecht  433  169   32    5   
#[Out]# 32557   45         Coop      Kasteeldreef    Tilburg  433  169   32    5   
#[Out]# 32558   46         Lidl        Bergselaan  Rotterdam  433  169   32    5   
#[Out]# 32559   47         Coop     Julianastraat  Rotterdam  433  169   32    5   
#[Out]# 32560   48    Hoogvliet      Kasteeldreef    Tilburg  433  169   32    5   
#[Out]# 32561   49    Hoogvliet      Keizerstraat  Rotterdam  433  169   32    5   
#[Out]# 32562   50       Sligro     Stationsplein      Breda  433  169   32    5   
#[Out]# 32563   51         Coop       Parallelweg    Utrecht  433  169   32    5   
#[Out]# 32564   52         Lidl       Nieuwstraat  Eindhoven  433  169   32    5   
#[Out]# 32565   53         Coop        Hoogstraat    Utrecht  433  169   32    5   
#[Out]# 32566   54         Dirk     Julianastraat  Eindhoven  433  169   32    5   
#[Out]# 32567   55         Coop   Sint Annastraat      Breda  433  169   32    5   
#[Out]# 32568   56        Jumbo       Parallelweg  Eindhoven  433  169   32    5   
#[Out]# 32569   57         Dirk       Molenstraat  Eindhoven  433  169   32    5   
#[Out]# 32570   58         Dirk      Keizerstraat  Rotterdam  433  169   32    5   
#[Out]# 32571   59        Jumbo  Rozemarijnstraat      Breda  433  169   32    5   
#[Out]# 32572   60         Lidl      Pannekoekweg      Breda  433  169   32    5   
#[Out]# 32573   61         Lidl      Pannekoekweg      Breda  433  169   32    5   
#[Out]# 32574   62        Jumbo     Poffertjesweg  Eindhoven  433  169   32    5   
#[Out]# 32575   63        Jumbo     Stationstraat        Oss  433  169   32    5   
#[Out]# 
#[Out]#              date  quantity  price  pID      pName suffix  
#[Out]# 0      2018-08-25         6   13.8   12       Beef         
#[Out]# 1      2018-08-25         6   13.8   12       Beef         
#[Out]# 2      2018-08-25         6   13.8   12       Beef         
#[Out]# 3      2018-08-25         6   13.8   12       Beef         
#[Out]# 4      2018-08-25         6   13.8   12       Beef         
#[Out]# 5      2018-08-25         6   13.8   12       Beef         
#[Out]# 6      2018-08-25         6   13.8   12       Beef         
#[Out]# 7      2018-08-25         6   13.8   12       Beef         
#[Out]# 8      2018-08-25         6   13.8   12       Beef         
#[Out]# 9      2018-08-25         6   13.8   12       Beef         
#[Out]# 10     2018-08-25         6   13.8   12       Beef         
#[Out]# 11     2018-08-25         6   13.8   12       Beef         
#[Out]# 12     2018-08-25         6   13.8   12       Beef         
#[Out]# 13     2018-08-25         6   13.8   12       Beef         
#[Out]# 14     2018-08-25         6   13.8   12       Beef         
#[Out]# 15     2018-08-25         6   13.8   12       Beef         
#[Out]# 16     2018-08-25         6   13.8   12       Beef         
#[Out]# 17     2018-08-25         6   13.8   12       Beef         
#[Out]# 18     2018-08-25         6   13.8   12       Beef         
#[Out]# 19     2018-08-25         6   13.8   12       Beef         
#[Out]# 20     2018-08-25         6   13.8   12       Beef         
#[Out]# 21     2018-08-25         6   13.8   12       Beef         
#[Out]# 22     2018-08-25         6   13.8   12       Beef         
#[Out]# 23     2018-08-25         6   13.8   12       Beef         
#[Out]# 24     2018-08-25         6   13.8   12       Beef         
#[Out]# 25     2018-08-25         6   13.8   12       Beef         
#[Out]# 26     2018-08-25         6   13.8   12       Beef         
#[Out]# 27     2018-08-25         6   13.8   12       Beef         
#[Out]# 28     2018-08-25         6   13.8   12       Beef         
#[Out]# 29     2018-08-25         6   13.8   12       Beef         
#[Out]# ...           ...       ...    ...  ...        ...    ...  
#[Out]# 32546  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32547  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32548  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32549  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32550  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32551  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32552  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32553  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32554  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32555  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32556  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32557  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32558  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32559  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32560  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32561  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32562  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32563  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32564  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32565  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32566  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32567  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32568  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32569  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32570  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32571  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32572  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32573  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32574  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 32575  2018-08-20         7    0.4    5  Mushrooms         
#[Out]# 
#[Out]# [32576 rows x 14 columns]
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID), store AS s
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName
#[Out]# 0        13.8  Sligro
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName
#[Out]# 0        13.8  Sligro
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT MAX(price) AS m, *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName
#[Out]# 0        13.8  Sligro
query5 = '''
    SELECT sName
    FROM(SELECT MAX(price) AS m, *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#      sName
#[Out]# 0   Sligro
#[Out]# 1   Sligro
#[Out]# 2   Sligro
#[Out]# 3   Sligro
#[Out]# 4   Sligro
#[Out]# 5   Sligro
#[Out]# 6   Sligro
#[Out]# 7   Sligro
#[Out]# 8   Sligro
#[Out]# 9   Sligro
#[Out]# 10  Sligro
#[Out]# 11  Sligro
#[Out]# 12  Sligro
#[Out]# 13  Sligro
#[Out]# 14  Sligro
#[Out]# 15  Sligro
#[Out]# 16  Sligro
#[Out]# 17  Sligro
#[Out]# 18  Sligro
#[Out]# 19  Sligro
#[Out]# 20  Sligro
#[Out]# 21  Sligro
#[Out]# 22  Sligro
#[Out]# 23  Sligro
#[Out]# 24  Sligro
#[Out]# 25  Sligro
#[Out]# 26  Sligro
#[Out]# 27  Sligro
#[Out]# 28  Sligro
#[Out]# 29  Sligro
#[Out]# 30  Sligro
#[Out]# 31  Sligro
query5 = '''
    SELECT sName
    FROM(SELECT MAX(price) AS m, p.sID, p.pID
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID AND
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(price), sName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName
#[Out]# 0        13.8  Sligro
query5 = '''
    SELECT MAX(price), sName, pName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(price), sName, t.pName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName t.pName
#[Out]# 0        13.8  Sligro    Beef
query5 = '''
    
    SELECT MAX(price), sName, t.pName AS pName
    FROM(SELECT *
         FROM purchase AS p, product as pr
         WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)   sName pName
#[Out]# 0        13.8  Sligro  Beef
query5 = '''
    SELECT sName, pName
    FROM(SELECT MAX(price), sName, t.pName AS pName
         FROM(SELECT *
              FROM purchase AS p, product as pr
              WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
    SELECT pName, sName
    FROM(SELECT MAX(price), sName, t.pName AS pName
         FROM(SELECT *
              FROM purchase AS p, product as pr
              WHERE p.pID = pr.pID) AS t, store AS s, product AS p
    WHERE s.sID = t.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
