# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1ee5af60490>
query1 = '''
    SELECT DISTINCT pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT DISTINCT pID
    FROM product
    WHERE pID not in(
        SELECT P1.pID
        FROM purchase AS P1, purchase AS P2, purchase AS P3
        WHERE P1.pID = P2.pID AND P2.pID = P3.pID AND P1.cID <> P2.cID AND P1.cID <> P3.cID AND P2.cID <> P3.cID);
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT customer.cID, customer.cName
    FROM customer, purchase AS pur1, purchase AS pur2, product AS pro1, product AS pro2
    WHERE pur1.pID = pro1.pID AND pro1.pNAME = "Onions" AND pur2.pID = pro2.pID AND pro2.pName = "Coffee" 
         AND pur1.date = pur2.date AND pur1.cID = customer.cID;
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0    29    Ruben
#[Out]# 1    31  Olivier
#[Out]# 2    33     Sven
#[Out]# 3    33     Sven
#[Out]# 4    33     Sven
#[Out]# 5    52   Willem
#[Out]# 6    52   Willem
#[Out]# 7    52   Willem
#[Out]# 8    59     Joep
#[Out]# 9    59     Joep
#[Out]# 10   59     Joep
#[Out]# 11   85   Pieter
#[Out]# 12   85   Pieter
#[Out]# 13   85   Pieter
#[Out]# 14  124    Sofie
#[Out]# 15  124    Sofie
#[Out]# 16  124    Sofie
#[Out]# 17  129    Esmee
#[Out]# 18  169     Lily
#[Out]# 19  169     Lily
#[Out]# 20  169     Lily
#[Out]# 21  169     Lily
#[Out]# 22  172     Lana
#[Out]# 23  176    Amira
#[Out]# 24  176    Amira
#[Out]# 25  176    Amira
#[Out]# 26  177    Eline
#[Out]# 27  177    Eline
#[Out]# 28  177    Eline
#[Out]# 29  190   Kostas
#[Out]# 30  190   Kostas
#[Out]# 31  190   Kostas
query2 = '''
    SELECT DISTINCT customer.cID, customer.cName
    FROM customer, purchase AS pur1, purchase AS pur2, product AS pro1, product AS pro2
    WHERE pur1.pID = pro1.pID AND pro1.pNAME = "Onions" AND pur2.pID = pro2.pID AND pro2.pName = "Coffee" 
         AND pur1.date = pur2.date AND pur1.cID = customer.cID;
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0    29    Ruben
#[Out]# 1   129    Esmee
#[Out]# 2    33     Sven
#[Out]# 3    85   Pieter
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6   176    Amira
#[Out]# 7   177    Eline
#[Out]# 8   124    Sofie
#[Out]# 9   190   Kostas
#[Out]# 10  169     Lily
#[Out]# 11   31  Olivier
#[Out]# 12  172     Lana
query3 = '''
    SELECT cID
    FROM purchase
    GROUPBY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(DISTINCT sID) FROM store);
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID
    FROM purchase
    GROUPBY cID
    HAVING COUNT(DISTINCT purchase.sID) = (SELECT COUNT(DISTINCT store.sID) FROM store);
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID
    FROM purchase
    GROUP BY cID
    HAVING COUNT(DISTINCT purchase.sID) = (SELECT COUNT(DISTINCT store.sID) FROM store);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT store.sNAME
    FROM store, purchase
    WHERE store.sID = purchase.sID AND AVG(quantity) > 4
    EXCEPT
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT store.sNAME
    FROM store, purchase
    WHERE store.sID = purchase.sID AND AVG(quantity) > 4
    EXCEPT
    SELECT UNIQUE(sName)
    FROM store;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT store.sNAME
    FROM store, purchase
    WHERE store.sID = purchase.sID AND AVG(quantity) > 4
    EXCEPT
    SELECT sName
    FROM store
    WHERE UNIQUE(sName);
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT store.sNAME
    FROM store, purchase
    WHERE store.sID = purchase.sID AND AVG(quantity) > 4
    EXCEPT
    SELECT sName
    FROM store
    WHERE UNIQUE(SELECT sName FROM store);
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID AND AVG(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID AND AVG(p1.quantity) > 4
        AND s2.sID = p2.sID AND AVG(p2.quantity) > 4
        AND s1.sID <> s2.sID AND s1.sName = s2.sName;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID 
        AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0       Sligro
#[Out]# 1         Dirk
#[Out]# 2    Hoogvliet
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Coop
#[Out]# 6        Jumbo
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID 
        AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName AND AVG(quantity) > 4;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID 
        AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName AND AVG(p1.quantity) > 4;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID 
        AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName AND AVG(SELECT quantity FROM p1) > 4;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName 
        AND s1.sID in (SELECT sID
                       FROM purchase
                       WHERE avg(quantity) > 4);
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sNAME
    FROM store AS s1, store AS s2, purchase AS p1, purchase AS p2
    WHERE s1.sID = p1.sID AND s2.sID = p2.sID 
        AND s1.sID <> s2.sID AND s1.sName = s2.sName 
        AND s1.sID in (SELECT sID
                       FROM purchase
                       GROUP BY sID
                       HAVING avg(quantity) > 4);
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query5 = '''
    SELECT pName, sName
    FROM store, product, purchase
    WHERE store.sID = purchase.sID AND product.pID = purchase.pID
         AND product.price = (SELECT MAX(price) FROM purchase);
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM store, product, purchase
    WHERE store.sID = purchase.sID AND product.pID = purchase.pID
         AND purchase.price = (SELECT MAX(price) FROM purchase);
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT pName
    FROM product, purchase
    WHERE purchase.pID = product.pID AND price = (SELECT MAX(price) FROM purchase);
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName
#[Out]# 0  Beef
query6 = '''
    SELECT pName, price
    FROM product, purchase
    WHERE purchase.pID = product.pID AND price = (SELECT MAX(price) FROM purchase);
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName  price
#[Out]# 0  Beef   13.8
query6 = '''
    SELECT pName, price
    FROM product, purchase
    WHERE purchase.pID = product.pID AND price = 13.8;
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName  price
#[Out]# 0  Beef   13.8
query6 = '''
    SELECT pName, price
    FROM product, purchase
    WHERE purchase.pID = product.pID AND price = 13.9;
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName, price]
#[Out]# Index: []
query6 = '''
    SELECT pName, price
    FROM product, purchase
    WHERE purchase.pID = product.pID AND price = 14.0;
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName, price]
#[Out]# Index: []
query6 = '''
    SELECT MAX(i1.unit_price) - MIN(i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = i2.date AND i1.date = "2018-08-23"
         AND i1.sID <> i2.sID;
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price) - MIN(i2.unit_price)
#[Out]# 0                                    12.95
