# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x2090248c500>
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING COUNT(distinct cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT cID cName
    FROM customer c, purchase p, purchase p2, product pr, product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID cName
    FROM customer c purchase p purchase p2 product pr product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID, cName
    FROM customer c, purchase p, purchase p2, product pr, product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT customer.cID, customer.cName
    FROM customer c, purchase p, purchase p2, product pr, product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c, purchase p, purchase p2, product pr, product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee")
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
#[Out]# 5  190  Kostas
#[Out]# 6  190  Kostas
#[Out]# 7  190  Kostas
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c, purchase p, purchase p2, product pr, product pr2
    WHERE (c.cID = p.cID AND p.pID = pr.pID AND pr.pName = "Onions") AND (c.cID = p2.cID AND p2.pID = pr2.pID and pr2.pName = "Coffee") AND p.date = p2.date
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT p.cID
    FROM store s, purchase p
    GROUP BY p.cID
    HAVING COUNT(distinct p.sID) = COUNT(s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query4 = '''
    SELECT s.sName
    FROM store s, store s2, purchase p
    WHERE s.sID = p.pID AND s.sName = s2.sName AND s.sID != s2.sID
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT s.sName
    FROM store s, store s2, purchase p
    WHERE s.sID = p.sID AND s.sName = s2.sName AND s.sID != s2.sID
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, store s, purchase p
    WHERE pr.pID = p.pID AND p.sID = s.sID AND p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, store s, purchase p
    WHERE pr.pID = p.pID AND p.sID = s.sID AND p.price = (SELECT MAX(p.price) FROM purchase p)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT MAX(i.unit_price) - MIN(i2.unit_price)
    FROM inventory i, inventory i2
    WHERE i.sID != i2.sID AND i.date = i2.date AND i.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i.unit_price) - MIN(i2.unit_price)
#[Out]# 0                                   12.95
query3 = '''
    SELECT p.cID
    FROM purchase p
    GROUP BY p.cID
    HAVING COUNT(distinct p.sID) = (SELECT COUNT(s.sID) FROM store s)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
