# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# # This cell populates the database.
# # You can only populate each database once, so comment this cell out once it is finished.
# # If you want to create a new database instance or use another database, 
# # fill in another name in the cell above, 
# # change the source file below and run both cells.

# # Replace this line with the correct location of the SQL dump, 
# # and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
query1 = '''
select pID
from purchase
group by pID
having count(distinct cID) < 3
'''
pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
select cus.cID, cus.cName
from customer as cus, purchase as pur1, purchase as pur2, product as pro1, product as pro2
where cus.cID = pur1.cID and pur1.pID = pro1.pID and pro1.pName = 'Onions' and 
cus.cID = pur2.cID and pur2.pID = pro2.pID and pro2.pName = 'Coffee' and pur1.date = pur2.date
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
select customer.cID
from customer 
where cID not in ( 
    select distinct cID
    from (
        select cID, sID
        from customer, store
        except
        select cID, sID
        from purchase
        )
    )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
select sName
from (
    select sto.sName, avg(quantity) as average_quantity
    from purchase as pur, store as sto
    where pur.sID = sto.sID
    group by sName
    )
where average_quantity > 4
'''
pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
select pName, sName 
from (
    select product.pName, max(purchase.price) as highest_price_ever, store.sName
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID
    )
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
select max(largest_differences) as largest_difference
from (
    select max(unit_price) - min(unit_price) as largest_differences
    from inventory
    where date = '2018-08-23'
    group by pID
    )
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
