# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x22a75bdee30>
query1 = '''
    SELECT p.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    (SELECT distinct P.pID
    FROM prodcuct P) EXCEPT (
    SELECT PU1.pID
    FROM purchase PU1, purchase PU2, purchase PU3
    WHERE PU1.pID == PU2.pID
    AND PU2.pID == PU3.pID
    AND PU1.pID == PU3.pID
    AND PU1.cID != PU2.cID
    AND PU2.cID != PU3.cID
    AND PU1.cID != PU3.cID
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    (SELECT distinct P.pID
    FROM product P) EXCEPT (
    SELECT PU1.pID
    FROM purchase PU1, purchase PU2, purchase PU3
    WHERE PU1.pID == PU2.pID
    AND PU2.pID == PU3.pID
    AND PU1.pID == PU3.pID
    AND PU1.cID != PU2.cID
    AND PU2.cID != PU3.cID
    AND PU1.cID != PU3.cID
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT DISTINCT P.pID
    FROM product P
    EXCEPT
    SELECT PU1.pID
    FROM purchase PU1, purchase PU2, purchase PU3
    WHERE PU1.pID == PU2.pID
    AND PU2.pID == PU3.pID
    AND PU1.pID == PU3.pID
    AND PU1.cID != PU2.cID
    AND PU2.cID != PU3.cID
    AND PU1.cID != PU3.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT C.cID, C.cName
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT DISTINCT C.cID, C.cName
    FROM customer C, purchase PU1, product P1, purchase PU2, product P2
    WHERE C.cID = PU1.cID
    AND C.cID = PU2.cID
    AND PU1.date = PU2.date
    AND PU1.pID = P1.pID
    AND PU2.pID = p2.pID
    AND P1.pName = 'Onions'
    AND P2.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE C2.cID, S.sID NOT IN
            SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE C2.cID, S.sID NOT IN
            (SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE (C2.cID, S.sID) NOT IN
            (SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE (C2.cID, S.sID) NOT IN
            SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE C2.cID, S.sID NOT IN
            SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE (C2.cID, S.sID) NOT IN
            SELECT DISTINCT (PU.cID, PU.sID)
            FROM purchase PU
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE NOT EXISTS
            SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
            WHERE C2.cID = PU.cID AND S.sID = PU.sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE NOT EXISTS (
            SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
            WHERE C2.cID = PU.cID AND S.sID = PU.sID )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT C1.cID
    FROM customer C1
    EXCEPT
        SELECT C2.cID
        FROM customer C2, store S
        WHERE NOT EXISTS (SELECT DISTINCT PU.cID, PU.sID
            FROM purchase PU
            WHERE C2.cID = PU.cID AND S.sID = PU.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT S.sName, avg(PU.quantity)
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT S.sName, avg(PU.quantity)
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    GROUP BY S.sName
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(PU.quantity)
#[Out]# 0  Albert Hein          4.969697
#[Out]# 1         Coop          4.681818
#[Out]# 2         Dirk          5.268293
#[Out]# 3    Hoogvliet          5.280000
#[Out]# 4         Lidl          4.796875
#[Out]# 5       Sligro          4.674419
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName EXISTS (
    SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName IN (
    SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName IN (SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
            
    GROUP BY S.sName
    HAVING avg(PU.quantity)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName IN (SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    HAVING avg(PU.quantity)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName IN (SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
        
    GROUP BY S.sName
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT S.sName
    FROM store S, purchase PU
    WHERE S.sID = PU.sID
    AND S.sName IN (SELECT S1.sName
    FROM store S1, store S2
    WHERE S1.sName = S2.sName
    AND S1.sID != S2.sID)        
    GROUP BY S.sName
    HAVING avg(PU.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    WITH maxPrice(value) as (
        SELECT MAX(price)
        FROM purchase)
    SELECT DISTINCT P.pName, S.sName
    FROM product P, store S, purchase PU
    WHERE P.pID = PU.pID
    AND S.sID = PU.sID
    AND PU.price = maxPrice.value
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH maxprice(value) as (
        SELECT MAX(price)
        FROM purchase)
    SELECT DISTINCT P.pName, S.sName
    FROM product P, store S, purchase PU
    WHERE P.pID = PU.pID
    AND S.sID = PU.sID
    AND PU.price = maxprice.value
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT DISTINCT P.pName, S.sName
    FROM product P, store S, purchase PU
    WHERE P.pID = PU.pID
    AND S.sID = PU.sID
    AND PU.price = (SELECT MAX(price)
        FROM purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT MAX(price)
        FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)
#[Out]# 0        13.8
query5 = '''
    SELECT DISTINCT P.pName, S.sName
    FROM product P, store S, purchase PU
    WHERE P.pID = PU.pID
    AND S.sID = PU.sID
    AND PU.price = (SELECT MAX(price)
        FROM purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT MAX(I1.unit_price - I2.unit_price)
    FROM inventory I1, inventory I2
    WHERE I1.date = '2018-08-23'
    AND I2.date = I1.date
    AND I1.pID = I2.pID
    AND I1.sID != I2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(I1.unit_price - I2.unit_price)
#[Out]# 0                                 2.0
