# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pID
    FROM purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT customer.cID, cName
    FROM customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    WHERE customer.cID = p1.cID AND customer.cID = p2.cID
        AND p1.pID = pr1.pID AND p2.pID = pr2.pID
        AND p1.date = p2.date AND pr1.pName = "Onions" AND pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID
    FROM purchase, store
    group by cID
    having count(distinct purchase.sID) = count(distinct store.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  \
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda   
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam   
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda   
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda   
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam   
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven   
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven   
#[Out]# 
#[Out]#    avg(quantity)  
#[Out]# 0       4.797642  
#[Out]# 1       4.797642  
#[Out]# 2       4.797642  
#[Out]# 3       4.797642  
#[Out]# 4       4.797642  
#[Out]# 5       4.797642  
#[Out]# 6       4.797642  
query5 = '''
    SELECT pName, sName
    FROM purchase, product, store
    WHERE purchase.pID = product.pID AND
    purchase.sID = store.sID AND price in(
        SELECT max(price)
        FROM purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price) as biggest_difference
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    biggest_difference
#[Out]# 0                 2.0
query4 = '''
    SELECT s.sName
    FROM store as s, purchase as p
    WHERE p.sID = s.sID
    GROUP BY s.sID
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2        Sligro
#[Out]# 3     Hoogvliet
#[Out]# 4        Sligro
#[Out]# 5        Sligro
#[Out]# 6   Albert Hein
#[Out]# 7   Albert Hein
#[Out]# 8         Jumbo
#[Out]# 9   Albert Hein
#[Out]# 10         Lidl
#[Out]# 11         Lidl
#[Out]# 12    Hoogvliet
#[Out]# 13         Coop
#[Out]# 14        Jumbo
#[Out]# 15         Lidl
#[Out]# 16         Dirk
#[Out]# 17  Albert Hein
#[Out]# 18  Albert Hein
#[Out]# 19    Hoogvliet
#[Out]# 20       Sligro
#[Out]# 21    Hoogvliet
#[Out]# 22       Sligro
#[Out]# 23         Dirk
#[Out]# 24         Coop
#[Out]# 25         Dirk
#[Out]# 26         Coop
#[Out]# 27         Lidl
#[Out]# 28         Lidl
#[Out]# 29    Hoogvliet
#[Out]# 30       Sligro
#[Out]# 31    Hoogvliet
#[Out]# 32  Albert Hein
#[Out]# 33       Sligro
#[Out]# 34         Coop
#[Out]# 35  Albert Hein
#[Out]# 36         Lidl
#[Out]# 37         Coop
#[Out]# 38    Hoogvliet
#[Out]# 39         Coop
#[Out]# 40         Lidl
#[Out]# 41         Dirk
#[Out]# 42         Coop
#[Out]# 43         Dirk
#[Out]# 44         Dirk
#[Out]# 45         Lidl
#[Out]# 46         Lidl
query4 = '''
    SELECT distict s.sName
    FROM store as s, purchase as p
    WHERE p.sID = s.sID
    GROUP BY s.sID
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT distinct s.sName
    FROM store as s, purchase as p
    WHERE p.sID = s.sID
    GROUP BY s.sID
    HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6         Dirk

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1e8748e6d50>
query1 = '''
    SELECT pID
    FROM purchase
    WHERE SELECT count(cID) as cid_count
        cid_count < 3
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    SELECT count(cID) as cid_count
    WHERE cid_count < 3
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    SELECT count(cID) as cid_count
    WHERE cid_count < 3;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase(
    SELECT count(cID) as cid_count
    WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase(
        SELECT count(cID) as cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase(
        SELECT count(cID) as cid_count
        FROM purchase
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE(
        SELECT count(cID) as cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID in(
        SELECT count(cID) as cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
        SELECT count(cID) as cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
        SELECT count(cID) cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
        SELECT count(cID) as cid_count
        WHERE cid_count < 3);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
        SELECT count(cID)
        WHERE count(cID) <= 2);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
    SELECT count(cID) as cid_count
    WHERE cid_count <= 2);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    FROM purchase
    WHERE pID not in(
    SELECT COUNT(cID) as cid_count
    WHERE cid_count <= 2);
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID, count(cID)
    FROM purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(cID)
#[Out]# 0   18         509
query1 = '''
    SELECT pID, count(cID)
    FROM purchase
    group by pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  count(cID)
#[Out]# 0     0          25
#[Out]# 1     1          13
#[Out]# 2     2          10
#[Out]# 3     3          20
#[Out]# 4     4          16
#[Out]# 5     5          16
#[Out]# 6     6          15
#[Out]# 7     7          14
#[Out]# 8     8          13
#[Out]# 9     9          20
#[Out]# 10   10          16
#[Out]# 11   11          16
#[Out]# 12   12          16
#[Out]# 13   13          21
#[Out]# 14   14          18
#[Out]# 15   15          14
#[Out]# 16   16          20
#[Out]# 17   17          18
#[Out]# 18   18          10
#[Out]# 19   19          26
#[Out]# 20   20          18
#[Out]# 21   21          22
#[Out]# 22   22          21
#[Out]# 23   23          13
#[Out]# 24   24          20
#[Out]# 25   25          14
#[Out]# 26   26          20
#[Out]# 27   27          15
#[Out]# 28   28          25
#[Out]# 29   29           2
#[Out]# 30   30           2
query1 = '''
    SELECT pID
    FROM purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT customer.cID, cName
    FROM customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    WHERE customer.cID = p1.cID AND customer.cID = p2.cID
        AND p1.pID = pr1.pID AND p2.pID = pr2.pID
        AND p1.date = p2.date AND pr1.pName = "Onions" AND pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID
    FROM purchase, store
    group by cID
    having count(distinct purchase.sID) = count(distinct store.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT *
    FROM purchase, store
    WHERE purchase.sID = store.sID and sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID sName         street  \
#[Out]# 0     1    1   23   14  2018-08-20         2   4.65   23  Dirk  Stationsplein   
#[Out]# 1    14    3   30   26  2018-08-19         2   2.75   30  Dirk    Nieuwstraat   
#[Out]# 2    38   13   33    0  2018-08-17         5   5.35   33  Dirk    Nieuwstraat   
#[Out]# 3    41   13   33   17  2018-08-25         5   2.00   33  Dirk    Nieuwstraat   
#[Out]# 4    97   30   57   12  2018-08-18         8  11.45   57  Dirk    Molenstraat   
#[Out]# 5   101   33   57   19  2018-08-26         4   2.60   57  Dirk    Molenstraat   
#[Out]# 6   102   33   54   16  2018-08-26         1   2.05   54  Dirk  Julianastraat   
#[Out]# 7   105   33   23   12  2018-08-27         9  12.80   23  Dirk  Stationsplein   
#[Out]# 8   121   39   30   15  2018-08-29         2   1.40   30  Dirk    Nieuwstraat   
#[Out]# 9   128   41   33   24  2018-08-19        12   3.20   33  Dirk    Nieuwstraat   
#[Out]# 10  139   45   33    8  2018-08-24         3   4.80   33  Dirk    Nieuwstraat   
#[Out]# 11  171   59   58   27  2018-08-23        13   6.45   58  Dirk   Keizerstraat   
#[Out]# 12  180   60   30   28  2018-08-23         6   8.90   30  Dirk    Nieuwstraat   
#[Out]# 13  197   70   54   28  2018-08-25         4   9.70   54  Dirk  Julianastraat   
#[Out]# 14  204   72   54   10  2018-08-22         5   0.50   54  Dirk  Julianastraat   
#[Out]# 15  211   75   30   17  2018-08-19         9   2.30   30  Dirk    Nieuwstraat   
#[Out]# 16  232   86   23   17  2018-08-17         7   2.15   23  Dirk  Stationsplein   
#[Out]# 17  243   91   30    6  2018-08-26         7   0.90   30  Dirk    Nieuwstraat   
#[Out]# 18  250   92   54   27  2018-08-26         5   7.70   54  Dirk  Julianastraat   
#[Out]# 19  255   95   30   24  2018-08-22         6   3.75   30  Dirk    Nieuwstraat   
#[Out]# 20  264   97   54   21  2018-08-25         8   2.20   54  Dirk  Julianastraat   
#[Out]# 21  269  100   30   25  2018-08-21         3   3.45   30  Dirk    Nieuwstraat   
#[Out]# 22  282  108   54   14  2018-08-15         8   4.20   54  Dirk  Julianastraat   
#[Out]# 23  305  116   54   12  2018-08-24         4  12.55   54  Dirk  Julianastraat   
#[Out]# 24  314  122   30   26  2018-08-25         4   2.70   30  Dirk    Nieuwstraat   
#[Out]# 25  323  124   54    4  2018-08-26         4   1.10   54  Dirk  Julianastraat   
#[Out]# 26  327  124   23   12  2018-08-26         3  11.65   23  Dirk  Stationsplein   
#[Out]# 27  357  145   58    9  2018-08-22         9   1.70   58  Dirk   Keizerstraat   
#[Out]# 28  360  147   33   25  2018-08-25         7   4.40   33  Dirk    Nieuwstraat   
#[Out]# 29  366  149   54   19  2018-08-25         5   2.25   54  Dirk  Julianastraat   
#[Out]# 30  398  162   57    3  2018-08-23         7   1.25   57  Dirk    Molenstraat   
#[Out]# 31  405  163   30    5  2018-08-22         6   0.40   30  Dirk    Nieuwstraat   
#[Out]# 32  417  167   57    2  2018-08-19         2   2.30   57  Dirk    Molenstraat   
#[Out]# 33  431  169   54   22  2018-08-19         1   1.60   54  Dirk  Julianastraat   
#[Out]# 34  462  179   57   17  2018-08-24         2   2.40   57  Dirk    Molenstraat   
#[Out]# 35  807  190   23    3  2018-08-18         1   2.75   23  Dirk  Stationsplein   
#[Out]# 36  814  190   30   10  2018-08-18         4   4.35   30  Dirk    Nieuwstraat   
#[Out]# 37  817  190   33   19  2018-08-19         5   4.25   33  Dirk    Nieuwstraat   
#[Out]# 38  838  190   54    0  2018-08-25         6   3.50   54  Dirk  Julianastraat   
#[Out]# 39  841  190   57   15  2018-08-22         5   3.25   57  Dirk    Molenstraat   
#[Out]# 40  842  190   58    2  2018-08-19         7   0.75   58  Dirk   Keizerstraat   
#[Out]# 
#[Out]#          city  
#[Out]# 0       Breda  
#[Out]# 1   Eindhoven  
#[Out]# 2   Eindhoven  
#[Out]# 3   Eindhoven  
#[Out]# 4   Eindhoven  
#[Out]# 5   Eindhoven  
#[Out]# 6   Eindhoven  
#[Out]# 7       Breda  
#[Out]# 8   Eindhoven  
#[Out]# 9   Eindhoven  
#[Out]# 10  Eindhoven  
#[Out]# 11  Rotterdam  
#[Out]# 12  Eindhoven  
#[Out]# 13  Eindhoven  
#[Out]# 14  Eindhoven  
#[Out]# 15  Eindhoven  
#[Out]# 16      Breda  
#[Out]# 17  Eindhoven  
#[Out]# 18  Eindhoven  
#[Out]# 19  Eindhoven  
#[Out]# 20  Eindhoven  
#[Out]# 21  Eindhoven  
#[Out]# 22  Eindhoven  
#[Out]# 23  Eindhoven  
#[Out]# 24  Eindhoven  
#[Out]# 25  Eindhoven  
#[Out]# 26      Breda  
#[Out]# 27  Rotterdam  
#[Out]# 28  Eindhoven  
#[Out]# 29  Eindhoven  
#[Out]# 30  Eindhoven  
#[Out]# 31  Eindhoven  
#[Out]# 32  Eindhoven  
#[Out]# 33  Eindhoven  
#[Out]# 34  Eindhoven  
#[Out]# 35      Breda  
#[Out]# 36  Eindhoven  
#[Out]# 37  Eindhoven  
#[Out]# 38  Eindhoven  
#[Out]# 39  Eindhoven  
#[Out]# 40  Rotterdam  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID sName        street  \
#[Out]# 0  842  190   58    2  2018-08-19         7   0.75   58  Dirk  Keizerstraat   
#[Out]# 
#[Out]#         city  avg(quantity)  
#[Out]# 0  Rotterdam       5.268293  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and count(sID)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and count(sName)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID  sName         street  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   63  Jumbo  Stationstraat   
#[Out]# 
#[Out]#   city  avg(quantity)  
#[Out]# 0  Oss       4.797642  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID sName        street  \
#[Out]# 0  842  190   58    2  2018-08-19         7   0.75   58  Dirk  Keizerstraat   
#[Out]# 
#[Out]#         city  avg(quantity)  
#[Out]# 0  Rotterdam       5.268293  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    group by sName
    WHERE purchase.sID = store.sID and sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and sName = "Dirk"
    group by sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID sName        street  \
#[Out]# 0  842  190   58    2  2018-08-19         7   0.75   58  Dirk  Keizerstraat   
#[Out]# 
#[Out]#         city  avg(quantity)  
#[Out]# 0  Rotterdam       5.268293  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store
    WHERE purchase.sID = store.sID and sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID sName        street  \
#[Out]# 0  842  190   58    2  2018-08-19         7   0.75   58  Dirk  Keizerstraat   
#[Out]# 
#[Out]#         city  avg(quantity)  
#[Out]# 0  Rotterdam       5.268293  
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sName
        FROM store
        WHERE count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sName
        FROM store
        having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sName
        FROM store
        group by sNAme
        having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sName, street, city]
#[Out]# Index: []
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sName
        FROM store
        group by sName
        having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sName, street, city]
#[Out]# Index: []
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sName
        FROM store
        group by sID
        having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sName, street, city]
#[Out]# Index: []
query4 = '''
    SELECT *
    FROM store
    WHERE sID in(
        SELECT sID
        FROM store
        group by sName
        having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht
#[Out]# 1   49    Hoogvliet     Keizerstraat  Rotterdam
#[Out]# 2   50       Sligro    Stationsplein      Breda
#[Out]# 3   55         Coop  Sint Annastraat      Breda
#[Out]# 4   58         Dirk     Keizerstraat  Rotterdam
#[Out]# 5   61         Lidl     Pannekoekweg      Breda
#[Out]# 6   63        Jumbo    Stationstraat        Oss
query4 = '''
    SELECT *
    FROM store
    group by sName
    having count(sID) > 2)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#         tID  cID  sID  pID        date  quantity  price  sID      sName  \
#[Out]# 0         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 1         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 2         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 3         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 4         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 5         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 6         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 7         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 8         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 9         0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 10        0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 11        0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 12        0    0    3   10  2018-08-22         1   0.45    0       Coop   
#[Out]# 13        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 14        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 15        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 16        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 17        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 18        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 19        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 20        0    0    3   10  2018-08-22         1   0.45    1  Hoogvliet   
#[Out]# 21        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 22        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 23        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 24        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 25        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 26        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 27        0    0    3   10  2018-08-22         1   0.45    2      Jumbo   
#[Out]# 28        0    0    3   10  2018-08-22         1   0.45    3     Sligro   
#[Out]# 29        0    0    3   10  2018-08-22         1   0.45    3     Sligro   
#[Out]# ...     ...  ...  ...  ...         ...       ...    ...  ...        ...   
#[Out]# 283992  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283993  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283994  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283995  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283996  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283997  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283998  847  190   63   18  2018-08-21         1   3.30   60       Lidl   
#[Out]# 283999  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284000  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284001  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284002  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284003  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284004  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284005  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284006  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284007  847  190   63   18  2018-08-21         1   3.30   61       Lidl   
#[Out]# 284008  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284009  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284010  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284011  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284012  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284013  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284014  847  190   63   18  2018-08-21         1   3.30   62      Jumbo   
#[Out]# 284015  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284016  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284017  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284018  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284019  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284020  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 284021  847  190   63   18  2018-08-21         1   3.30   63      Jumbo   
#[Out]# 
#[Out]#                   street       city  sID      sName            street  \
#[Out]# 0           Kalverstraat  Amsterdam   34       Coop          Bierkaai   
#[Out]# 1           Kalverstraat  Amsterdam   43       Coop    Gasthuisstraat   
#[Out]# 2           Kalverstraat  Amsterdam   53       Coop        Hoogstraat   
#[Out]# 3           Kalverstraat  Amsterdam   47       Coop     Julianastraat   
#[Out]# 4           Kalverstraat  Amsterdam   19       Coop       Karrestraat   
#[Out]# 5           Kalverstraat  Amsterdam   21       Coop      Kasteeldreef   
#[Out]# 6           Kalverstraat  Amsterdam   45       Coop      Kasteeldreef   
#[Out]# 7           Kalverstraat  Amsterdam   14       Coop     Keizersgracht   
#[Out]# 8           Kalverstraat  Amsterdam   13       Coop         Koestraat   
#[Out]# 9           Kalverstraat  Amsterdam   31       Coop       Parallelweg   
#[Out]# 10          Kalverstraat  Amsterdam   51       Coop       Parallelweg   
#[Out]# 11          Kalverstraat  Amsterdam   55       Coop   Sint Annastraat   
#[Out]# 12          Kalverstraat  Amsterdam    6       Coop    Stadhoudersweg   
#[Out]# 13      Rozemarijnstraat      Breda   38  Hoogvliet          Hofplein   
#[Out]# 14      Rozemarijnstraat      Breda   40  Hoogvliet          Hofplein   
#[Out]# 15      Rozemarijnstraat      Breda   48  Hoogvliet      Kasteeldreef   
#[Out]# 16      Rozemarijnstraat      Breda   49  Hoogvliet      Keizerstraat   
#[Out]# 17      Rozemarijnstraat      Breda   17  Hoogvliet        Kerkstraat   
#[Out]# 18      Rozemarijnstraat      Breda   28  Hoogvliet         Koestraat   
#[Out]# 19      Rozemarijnstraat      Breda    4  Hoogvliet       Molenstraat   
#[Out]# 20      Rozemarijnstraat      Breda   26  Hoogvliet   Sint Annastraat   
#[Out]# 21        Stadhoudersweg  Rotterdam   10      Jumbo        Bergselaan   
#[Out]# 22        Stadhoudersweg  Rotterdam   20      Jumbo      Kasteeldreef   
#[Out]# 23        Stadhoudersweg  Rotterdam   37      Jumbo          Molenweg   
#[Out]# 24        Stadhoudersweg  Rotterdam   56      Jumbo       Parallelweg   
#[Out]# 25        Stadhoudersweg  Rotterdam   62      Jumbo     Poffertjesweg   
#[Out]# 26        Stadhoudersweg  Rotterdam   59      Jumbo  Rozemarijnstraat   
#[Out]# 27        Stadhoudersweg  Rotterdam   63      Jumbo     Stationstraat   
#[Out]# 28        Stadhoudersweg  Rotterdam   39     Sligro       Dorpsstraat   
#[Out]# 29        Stadhoudersweg  Rotterdam   27     Sligro      Kalverstraat   
#[Out]# ...                  ...        ...  ...        ...               ...   
#[Out]# 283992      Pannekoekweg      Breda   36       Lidl     Julianastraat   
#[Out]# 283993      Pannekoekweg      Breda   35       Lidl     Julianastraat   
#[Out]# 283994      Pannekoekweg      Breda   52       Lidl       Nieuwstraat   
#[Out]# 283995      Pannekoekweg      Breda   61       Lidl      Pannekoekweg   
#[Out]# 283996      Pannekoekweg      Breda   15       Lidl     Prinsengracht   
#[Out]# 283997      Pannekoekweg      Breda   22       Lidl     Prinsengracht   
#[Out]# 283998      Pannekoekweg      Breda   12       Lidl  Wilhelminastraat   
#[Out]# 283999      Pannekoekweg      Breda   16       Lidl     Ambachtstraat   
#[Out]# 284000      Pannekoekweg      Breda   46       Lidl        Bergselaan   
#[Out]# 284001      Pannekoekweg      Breda   36       Lidl     Julianastraat   
#[Out]# 284002      Pannekoekweg      Breda   35       Lidl     Julianastraat   
#[Out]# 284003      Pannekoekweg      Breda   52       Lidl       Nieuwstraat   
#[Out]# 284004      Pannekoekweg      Breda   60       Lidl      Pannekoekweg   
#[Out]# 284005      Pannekoekweg      Breda   15       Lidl     Prinsengracht   
#[Out]# 284006      Pannekoekweg      Breda   22       Lidl     Prinsengracht   
#[Out]# 284007      Pannekoekweg      Breda   12       Lidl  Wilhelminastraat   
#[Out]# 284008     Poffertjesweg  Eindhoven   10      Jumbo        Bergselaan   
#[Out]# 284009     Poffertjesweg  Eindhoven   20      Jumbo      Kasteeldreef   
#[Out]# 284010     Poffertjesweg  Eindhoven   37      Jumbo          Molenweg   
#[Out]# 284011     Poffertjesweg  Eindhoven   56      Jumbo       Parallelweg   
#[Out]# 284012     Poffertjesweg  Eindhoven   59      Jumbo  Rozemarijnstraat   
#[Out]# 284013     Poffertjesweg  Eindhoven    2      Jumbo    Stadhoudersweg   
#[Out]# 284014     Poffertjesweg  Eindhoven   63      Jumbo     Stationstraat   
#[Out]# 284015     Stationstraat        Oss   10      Jumbo        Bergselaan   
#[Out]# 284016     Stationstraat        Oss   20      Jumbo      Kasteeldreef   
#[Out]# 284017     Stationstraat        Oss   37      Jumbo          Molenweg   
#[Out]# 284018     Stationstraat        Oss   56      Jumbo       Parallelweg   
#[Out]# 284019     Stationstraat        Oss   62      Jumbo     Poffertjesweg   
#[Out]# 284020     Stationstraat        Oss   59      Jumbo  Rozemarijnstraat   
#[Out]# 284021     Stationstraat        Oss    2      Jumbo    Stadhoudersweg   
#[Out]# 
#[Out]#              city  
#[Out]# 0       Amsterdam  
#[Out]# 1         Utrecht  
#[Out]# 2         Utrecht  
#[Out]# 3       Rotterdam  
#[Out]# 4           Breda  
#[Out]# 5         Tilburg  
#[Out]# 6         Tilburg  
#[Out]# 7       Amsterdam  
#[Out]# 8         Tilburg  
#[Out]# 9         Utrecht  
#[Out]# 10        Utrecht  
#[Out]# 11          Breda  
#[Out]# 12      Rotterdam  
#[Out]# 13      Rotterdam  
#[Out]# 14      Rotterdam  
#[Out]# 15        Tilburg  
#[Out]# 16      Rotterdam  
#[Out]# 17      Eindhoven  
#[Out]# 18        Tilburg  
#[Out]# 19      Eindhoven  
#[Out]# 20          Breda  
#[Out]# 21      Rotterdam  
#[Out]# 22        Tilburg  
#[Out]# 23      Eindhoven  
#[Out]# 24      Eindhoven  
#[Out]# 25      Eindhoven  
#[Out]# 26          Breda  
#[Out]# 27            Oss  
#[Out]# 28      Eindhoven  
#[Out]# 29      Amsterdam  
#[Out]# ...           ...  
#[Out]# 283992  Eindhoven  
#[Out]# 283993    Utrecht  
#[Out]# 283994  Eindhoven  
#[Out]# 283995      Breda  
#[Out]# 283996  Amsterdam  
#[Out]# 283997  Amsterdam  
#[Out]# 283998  Eindhoven  
#[Out]# 283999    Utrecht  
#[Out]# 284000  Rotterdam  
#[Out]# 284001  Eindhoven  
#[Out]# 284002    Utrecht  
#[Out]# 284003  Eindhoven  
#[Out]# 284004      Breda  
#[Out]# 284005  Amsterdam  
#[Out]# 284006  Amsterdam  
#[Out]# 284007  Eindhoven  
#[Out]# 284008  Rotterdam  
#[Out]# 284009    Tilburg  
#[Out]# 284010  Eindhoven  
#[Out]# 284011  Eindhoven  
#[Out]# 284012      Breda  
#[Out]# 284013  Rotterdam  
#[Out]# 284014        Oss  
#[Out]# 284015  Rotterdam  
#[Out]# 284016    Tilburg  
#[Out]# 284017  Eindhoven  
#[Out]# 284018  Eindhoven  
#[Out]# 284019  Eindhoven  
#[Out]# 284020      Breda  
#[Out]# 284021  Rotterdam  
#[Out]# 
#[Out]# [284022 rows x 15 columns]
query4 = '''
    SELECT *
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda  
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam  
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda  
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda  
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam  
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven  
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven  
query4 = '''
    SELECT *
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda  
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam  
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda  
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda  
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam  
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven  
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  \
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda   
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam   
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda   
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda   
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam   
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven   
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven   
#[Out]# 
#[Out]#    avg(quantity)  
#[Out]# 0       4.797642  
#[Out]# 1       4.797642  
#[Out]# 2       4.797642  
#[Out]# 3       4.797642  
#[Out]# 4       4.797642  
#[Out]# 5       4.797642  
#[Out]# 6       4.797642  
query5 = '''
    SELECT distinct sID
    FROM store
    WHERE sName = "Coop"
'''

pd.read_sql_query(query5, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     6
#[Out]# 2    13
#[Out]# 3    14
#[Out]# 4    19
#[Out]# 5    21
#[Out]# 6    31
#[Out]# 7    34
#[Out]# 8    43
#[Out]# 9    45
#[Out]# 10   47
#[Out]# 11   51
#[Out]# 12   53
#[Out]# 13   55
query5 = '''
    SELECT count(distinct sID)
    FROM store
'''

pd.read_sql_query(query5, conn)
#[Out]#    count(distinct sID)
#[Out]# 0                   64
query5 = '''
    SELECT *
    FROM store
    group by sName
    having count(distinct sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID        sName           street       city
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht
#[Out]# 1   55         Coop  Sint Annastraat      Breda
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam
#[Out]# 4   63        Jumbo    Stationstraat        Oss
#[Out]# 5   61         Lidl     Pannekoekweg      Breda
#[Out]# 6   50       Sligro    Stationsplein      Breda
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 100
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, sID, sName, street, city, sID, sName, street, city, avg(quantity)]
#[Out]# Index: []
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  \
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda   
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam   
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda   
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda   
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam   
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven   
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven   
#[Out]# 
#[Out]#    avg(quantity)  
#[Out]# 0       4.797642  
#[Out]# 1       4.797642  
#[Out]# 2       4.797642  
#[Out]# 3       4.797642  
#[Out]# 4       4.797642  
#[Out]# 5       4.797642  
#[Out]# 6       4.797642  
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having s1.avg(quantity) > 1
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT *, avg(quantity)
    FROM purchase, store s1, store s2
    WHERE s1.sName = s2.sName AND s1.sID != s2.sID
    group by s1.sName
    having avg(quantity) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  sID        sName            street       city  \
#[Out]# 0    Ambachtstraat    Utrecht   25  Albert Hein     Stationsplein      Breda   
#[Out]# 1  Sint Annastraat      Breda    6         Coop    Stadhoudersweg  Rotterdam   
#[Out]# 2     Keizerstraat  Rotterdam   23         Dirk     Stationsplein      Breda   
#[Out]# 3     Keizerstraat  Rotterdam   26    Hoogvliet   Sint Annastraat      Breda   
#[Out]# 4    Stationstraat        Oss    2        Jumbo    Stadhoudersweg  Rotterdam   
#[Out]# 5     Pannekoekweg      Breda   12         Lidl  Wilhelminastraat  Eindhoven   
#[Out]# 6    Stationsplein      Breda    7       Sligro  Wilhelminastraat  Eindhoven   
#[Out]# 
#[Out]#    avg(quantity)  
#[Out]# 0       4.797642  
#[Out]# 1       4.797642  
#[Out]# 2       4.797642  
#[Out]# 3       4.797642  
#[Out]# 4       4.797642  
#[Out]# 5       4.797642  
#[Out]# 6       4.797642  
query5 = '''
    SELECT max(price)
    FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#    max(price)
#[Out]# 0        13.8
query5 = '''
    SELECT pName, price, max(price)
    FROM purchase
    WHERE price = 13.8
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, price, max(price)
    FROM purchase
    WHERE price = 13,8
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, price, max(price)
    FROM purchase
    WHERE price = 13.8
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, price, max(price)
    FROM purchase, product
    WHERE purchase.pID = product.pID and price = 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  price  max(price)
#[Out]# 0  Beef   13.8        13.8
query5 = '''
    SELECT pName, purchase.pId, price, max(price)
    FROM purchase, product
    WHERE purchase.pID = product.pID and price = 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  pID  price  max(price)
#[Out]# 0  Beef   12   13.8        13.8
query5 = '''
    SELECT pName, purchase.sId, price, max(price)
    FROM purchase, product
    WHERE purchase.pID = product.pID and price = 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID  price  max(price)
#[Out]# 0  Beef   27   13.8        13.8
query5 = '''
    SELECT pName, purchase.pId, price, max(price)
    FROM purchase, product
    WHERE purchase.pID = product.pID and price = 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  pID  price  max(price)
#[Out]# 0  Beef   12   13.8        13.8
query5 = '''
    SELECT pName, purchase.pId, price, max(price)
    FROM purchase, store
    WHERE purchase.sID = store.sID and pID = 12
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, pId, price, max(price)
    FROM purchase, store
    WHERE purchase.sID = store.sID and pID = 12
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, pID, price, max(price)
    FROM purchase, store
    WHERE purchase.sID = store.sID and pID = 12
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, price, max(price)
    FROM purchase, store
    WHERE purchase.sID = store.sID and pID = 12
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  price  max(price)
#[Out]# 0   12   13.8        13.8
query5 = '''
    SELECT sName, pID, price, max(price)
    FROM purchase, store
    WHERE purchase.sID = store.sID and pID = 12
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName  pID  price  max(price)
#[Out]# 0  Sligro   12   13.8        13.8
query5 = '''
    SELECT pName, sName
    FROM purchase, product, store
    WHERE purchase.pID = product.pID AND
    purchase.sID = store.sID AND price in(
    SELECT max(price)
    FROM purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT pName, sName
    FROM purchase, product, store
    WHERE purchase.pID = product.pID AND
    purchase.sID = store.sID AND price in(
        SELECT max(price)
        FROM purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT i1.unit_price
    FROM inventory as i1, inventory as i2
'''

pd.read_sql_query(query6, conn)
#[Out]#         unit_price
#[Out]# 0             0.60
#[Out]# 1             0.60
#[Out]# 2             0.60
#[Out]# 3             0.60
#[Out]# 4             0.60
#[Out]# 5             0.60
#[Out]# 6             0.60
#[Out]# 7             0.60
#[Out]# 8             0.60
#[Out]# 9             0.60
#[Out]# 10            0.60
#[Out]# 11            0.60
#[Out]# 12            0.60
#[Out]# 13            0.60
#[Out]# 14            0.60
#[Out]# 15            0.60
#[Out]# 16            0.60
#[Out]# 17            0.60
#[Out]# 18            0.60
#[Out]# 19            0.60
#[Out]# 20            0.60
#[Out]# 21            0.60
#[Out]# 22            0.60
#[Out]# 23            0.60
#[Out]# 24            0.60
#[Out]# 25            0.60
#[Out]# 26            0.60
#[Out]# 27            0.60
#[Out]# 28            0.60
#[Out]# 29            0.60
#[Out]# ...            ...
#[Out]# 687211        5.95
#[Out]# 687212        5.95
#[Out]# 687213        5.95
#[Out]# 687214        5.95
#[Out]# 687215        5.95
#[Out]# 687216        5.95
#[Out]# 687217        5.95
#[Out]# 687218        5.95
#[Out]# 687219        5.95
#[Out]# 687220        5.95
#[Out]# 687221        5.95
#[Out]# 687222        5.95
#[Out]# 687223        5.95
#[Out]# 687224        5.95
#[Out]# 687225        5.95
#[Out]# 687226        5.95
#[Out]# 687227        5.95
#[Out]# 687228        5.95
#[Out]# 687229        5.95
#[Out]# 687230        5.95
#[Out]# 687231        5.95
#[Out]# 687232        5.95
#[Out]# 687233        5.95
#[Out]# 687234        5.95
#[Out]# 687235        5.95
#[Out]# 687236        5.95
#[Out]# 687237        5.95
#[Out]# 687238        5.95
#[Out]# 687239        5.95
#[Out]# 687240        5.95
#[Out]# 
#[Out]# [687241 rows x 1 columns]
query6 = '''
    SELECT i1.pName, i1.unit_price
    FROM inventory as i1, inventory as i2
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT i1.pID, i1.unit_price
    FROM inventory as i1, inventory as i2
'''

pd.read_sql_query(query6, conn)
#[Out]#         pID  unit_price
#[Out]# 0        10        0.60
#[Out]# 1        10        0.60
#[Out]# 2        10        0.60
#[Out]# 3        10        0.60
#[Out]# 4        10        0.60
#[Out]# 5        10        0.60
#[Out]# 6        10        0.60
#[Out]# 7        10        0.60
#[Out]# 8        10        0.60
#[Out]# 9        10        0.60
#[Out]# 10       10        0.60
#[Out]# 11       10        0.60
#[Out]# 12       10        0.60
#[Out]# 13       10        0.60
#[Out]# 14       10        0.60
#[Out]# 15       10        0.60
#[Out]# 16       10        0.60
#[Out]# 17       10        0.60
#[Out]# 18       10        0.60
#[Out]# 19       10        0.60
#[Out]# 20       10        0.60
#[Out]# 21       10        0.60
#[Out]# 22       10        0.60
#[Out]# 23       10        0.60
#[Out]# 24       10        0.60
#[Out]# 25       10        0.60
#[Out]# 26       10        0.60
#[Out]# 27       10        0.60
#[Out]# 28       10        0.60
#[Out]# 29       10        0.60
#[Out]# ...     ...         ...
#[Out]# 687211    0        5.95
#[Out]# 687212    0        5.95
#[Out]# 687213    0        5.95
#[Out]# 687214    0        5.95
#[Out]# 687215    0        5.95
#[Out]# 687216    0        5.95
#[Out]# 687217    0        5.95
#[Out]# 687218    0        5.95
#[Out]# 687219    0        5.95
#[Out]# 687220    0        5.95
#[Out]# 687221    0        5.95
#[Out]# 687222    0        5.95
#[Out]# 687223    0        5.95
#[Out]# 687224    0        5.95
#[Out]# 687225    0        5.95
#[Out]# 687226    0        5.95
#[Out]# 687227    0        5.95
#[Out]# 687228    0        5.95
#[Out]# 687229    0        5.95
#[Out]# 687230    0        5.95
#[Out]# 687231    0        5.95
#[Out]# 687232    0        5.95
#[Out]# 687233    0        5.95
#[Out]# 687234    0        5.95
#[Out]# 687235    0        5.95
#[Out]# 687236    0        5.95
#[Out]# 687237    0        5.95
#[Out]# 687238    0        5.95
#[Out]# 687239    0        5.95
#[Out]# 687240    0        5.95
#[Out]# 
#[Out]# [687241 rows x 2 columns]
query6 = '''
    SELECT *
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7     35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8     35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9     35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26    35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27    41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    SELECT i1.unit_price
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price
#[Out]# 0          0.60
#[Out]# 1          0.60
#[Out]# 2          2.95
#[Out]# 3          2.95
#[Out]# 4          2.95
#[Out]# 5          2.95
#[Out]# 6          1.80
#[Out]# 7          4.15
#[Out]# 8          4.15
#[Out]# 9          4.15
#[Out]# 10         4.10
#[Out]# 11         4.10
#[Out]# 12         4.10
#[Out]# 13         2.45
#[Out]# 14         1.25
#[Out]# 15         1.25
#[Out]# 16         1.25
#[Out]# 17         0.55
#[Out]# 18         0.55
#[Out]# 19         5.80
#[Out]# 20         5.80
#[Out]# 21         5.80
#[Out]# 22         1.00
#[Out]# 23         1.00
#[Out]# 24         8.50
#[Out]# 25         8.50
#[Out]# 26         4.00
#[Out]# 27         4.60
#[Out]# 28         4.60
#[Out]# 29         4.60
#[Out]# ..          ...
#[Out]# 124        3.55
#[Out]# 125        1.20
#[Out]# 126        1.20
#[Out]# 127        4.80
#[Out]# 128        4.80
#[Out]# 129        4.80
#[Out]# 130       12.55
#[Out]# 131       12.55
#[Out]# 132       12.55
#[Out]# 133        1.30
#[Out]# 134        1.30
#[Out]# 135        1.30
#[Out]# 136        2.20
#[Out]# 137        2.20
#[Out]# 138        1.00
#[Out]# 139        1.00
#[Out]# 140        1.00
#[Out]# 141        7.75
#[Out]# 142        7.75
#[Out]# 143        5.55
#[Out]# 144       13.15
#[Out]# 145       13.15
#[Out]# 146       13.15
#[Out]# 147        3.55
#[Out]# 148        4.40
#[Out]# 149        4.40
#[Out]# 150        4.40
#[Out]# 151        4.20
#[Out]# 152        4.20
#[Out]# 153        4.20
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    SELECT min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    min(i1.unit_price)  max(i1.unit_price)
#[Out]# 0                0.45                13.4
query6 = '''
    SELECT i1.unit_price - i2.unit_price, min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    i1.unit_price - i2.unit_price  min(i1.unit_price)  max(i1.unit_price)
#[Out]# 0                           0.25                0.45                13.4
query6 = '''
    SELECT min(i1.unit_price) - max(i2.unit_price), min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    min(i1.unit_price) - max(i2.unit_price)  min(i1.unit_price)  \
#[Out]# 0                                   -12.95                0.45   
#[Out]# 
#[Out]#    max(i1.unit_price)  
#[Out]# 0                13.4  
query6 = '''
    SELECT max(i1.unit_price) - min(i2.unit_price), min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price) - min(i2.unit_price)  min(i1.unit_price)  \
#[Out]# 0                                    12.95                0.45   
#[Out]# 
#[Out]#    max(i1.unit_price)  
#[Out]# 0                13.4  
query6 = '''
    SELECT i1.pID, max(i1.unit_price) - min(i2.unit_price), min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  max(i1.unit_price) - min(i2.unit_price)  min(i1.unit_price)  \
#[Out]# 0   10                                    12.95                0.45   
#[Out]# 
#[Out]#    max(i1.unit_price)  
#[Out]# 0                13.4  
query6 = '''
    SELECT i1.pID, max(i1.unit_price - i2.unit_price), min(i1.unit_price), max(i1.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  max(i1.unit_price - i2.unit_price)  min(i1.unit_price)  \
#[Out]# 0   12                                 2.0                0.45   
#[Out]# 
#[Out]#    max(i1.unit_price)  
#[Out]# 0                13.4  
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price)
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price) as biggest_difference
    FROM inventory as i1, inventory as i2
    WHERE i1.pID = i2.pID AND i1.sID != i2.sID AND i1.date = i2.date 
        AND i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    biggest_difference
#[Out]# 0                 2.0

