# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT P4.pID
    FROM product P4
    WHERE P4.pID NOT IN (SELECT P3.pID
                        FROM purchase P1, purchase P2, purchase P3
                        WHERE P1.pID = P2.pID AND P2.pID = P3.pID AND P3.pID = P1.pID AND P1.cID <> P2.cID AND P2.cID <> P3.cID AND P3.cID <> P1.cID
    )
    GROUP BY pID
    
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
SELECT Onion.cID, C.cName
FROM
    (SELECT *
    FROM purchase PU
    INNER JOIN product PR ON PU.pID = PR.pID
    WHERE PR.pName = 'Onions'
    ORDER BY PU.date) Onion,
    (SELECT *
    FROM purchase PU
    INNER JOIN product PR ON PU.pID = PR.pID
    WHERE PR.pName = 'Coffee'
    ORDER BY PU.date) Coffee
INNER JOIN customer C ON Onion.cID = C.cID
WHERE Onion.cID= Coffee.cID AND Onion.date = Coffee.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    Onion.cID C.cName
#[Out]# 0        124   Sofie
#[Out]# 1        190  Kostas
query3 = '''
    SELECT cID
    FROM purchase P
    GROUP BY P.cID
    HAVING COUNT(DISTINCT P.sID) = (SELECT COUNT(DISTINCT sID) FROM store)
   
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
SELECT stores.sName, AVG(stores.quantity)
FROM (
    SELECT S.sName, S.sID, AVG(I.quantity) as avgQ, I.quantity as quantity
    FROM  store S
    INNER JOIN inventory I on S.sID = I.sID
    GROUP BY S.sID
    HAVING S.sID = I.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(stores.quantity)
#[Out]# 0  Albert Hein             18.625000
#[Out]# 1         Coop             13.928571
#[Out]# 2         Dirk             24.500000
#[Out]# 3    Hoogvliet             15.666667
#[Out]# 4        Jumbo             20.333333
#[Out]# 5         Lidl             78.111111
#[Out]# 6       Sligro             17.444444
query5 = '''

    SELECT PR.pName, S.sName
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    WHERE PU.price = Max.max
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
SELECT MAX(average)
FROM(
    SELECT MAX(quantity)- MIN(quantity) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID)
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(average)
#[Out]# 0            52
query6 = '''

    SELECT MAX(quantity)- MIN(quantity) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     average
#[Out]# 0        12
#[Out]# 1        52
#[Out]# 2        19
#[Out]# 3         0
#[Out]# 4         3
#[Out]# 5         0
#[Out]# 6         0
#[Out]# 7        20
#[Out]# 8        10
#[Out]# 9        46
#[Out]# 10       17
#[Out]# 11       41
#[Out]# 12       17
#[Out]# 13       16
#[Out]# 14       13
#[Out]# 15       11
#[Out]# 16       30
#[Out]# 17       28
#[Out]# 18       24
#[Out]# 19        9
#[Out]# 20       22
#[Out]# 21       17
#[Out]# 22       37
#[Out]# 23       28
query6 = '''

    SELECT MAX(quantity)- MIN(quantity) as average, *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     average  sID  pID        date  quantity  unit_price
#[Out]# 0        12   31    0  2018-08-23        25        4.60
#[Out]# 1        52   55    1  2018-08-23         1        4.80
#[Out]# 2        19   12    2  2018-08-23         3        1.70
#[Out]# 3         0    3    3  2018-08-23        17        1.35
#[Out]# 4         3   45    4  2018-08-23        50        1.00
#[Out]# 5         0    1    5  2018-08-23         2        0.45
#[Out]# 6         0   48    6  2018-08-23        21        1.15
#[Out]# 7        20   35    7  2018-08-23         7        2.20
#[Out]# 8        10   25    8  2018-08-23         6        5.55
#[Out]# 9        46   34   10  2018-08-23         8        0.45
#[Out]# 10       17   35   11  2018-08-23        15        1.20
#[Out]# 11       41   54   12  2018-08-23         5       12.55
#[Out]# 12       17   12   13  2018-08-23        15        3.55
#[Out]# 13       16   41   14  2018-08-23         3        3.35
#[Out]# 14       13   12   15  2018-08-23         1        1.25
#[Out]# 15       11   11   16  2018-08-23         3        1.90
#[Out]# 16       30   29   17  2018-08-23         4        1.95
#[Out]# 17       28   44   19  2018-08-23         4        2.65
#[Out]# 18       24   50   22  2018-08-23         5        1.95
#[Out]# 19        9   21   23  2018-08-23        20        2.10
#[Out]# 20       22   38   24  2018-08-23        10        3.55
#[Out]# 21       17   56   25  2018-08-23        19        4.35
#[Out]# 22       37   40   27  2018-08-23        17        6.90
#[Out]# 23       28   52   28  2018-08-23         8        7.35
query6 = '''

    SELECT MAX(quantity)- MIN(quantity) as average, *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     average  sID  pID        date  quantity  unit_price
#[Out]# 0        12   31    0  2018-08-23        25        4.60
#[Out]# 1        52   55    1  2018-08-23         1        4.80
#[Out]# 2        19   12    2  2018-08-23         3        1.70
#[Out]# 3         0    3    3  2018-08-23        17        1.35
#[Out]# 4         3   45    4  2018-08-23        50        1.00
#[Out]# 5         0    1    5  2018-08-23         2        0.45
#[Out]# 6         0   48    6  2018-08-23        21        1.15
#[Out]# 7        20   35    7  2018-08-23         7        2.20
#[Out]# 8        10   25    8  2018-08-23         6        5.55
#[Out]# 9        46   34   10  2018-08-23         8        0.45
#[Out]# 10       17   35   11  2018-08-23        15        1.20
#[Out]# 11       41   54   12  2018-08-23         5       12.55
#[Out]# 12       17   12   13  2018-08-23        15        3.55
#[Out]# 13       16   41   14  2018-08-23         3        3.35
#[Out]# 14       13   12   15  2018-08-23         1        1.25
#[Out]# 15       11   11   16  2018-08-23         3        1.90
#[Out]# 16       30   29   17  2018-08-23         4        1.95
#[Out]# 17       28   44   19  2018-08-23         4        2.65
#[Out]# 18       24   50   22  2018-08-23         5        1.95
#[Out]# 19        9   21   23  2018-08-23        20        2.10
#[Out]# 20       22   38   24  2018-08-23        10        3.55
#[Out]# 21       17   56   25  2018-08-23        19        4.35
#[Out]# 22       37   40   27  2018-08-23        17        6.90
#[Out]# 23       28   52   28  2018-08-23         8        7.35
query6 = '''

    SELECT MAX(quantity)- MIN(quantity) as average, *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    average  sID  pID        date  quantity  unit_price
#[Out]# 0       53   12   15  2018-08-23         1        1.25
query6 = '''

    SELECT  *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0     6    0  2018-08-23        37        4.35
#[Out]# 1    29    0  2018-08-23        28        5.15
#[Out]# 2    31    0  2018-08-23        25        4.60
#[Out]# 3     7    1  2018-08-23        18        5.80
#[Out]# 4    41    1  2018-08-23        53        4.60
#[Out]# 5    55    1  2018-08-23         1        4.80
#[Out]# 6    56    1  2018-08-23         1        4.40
#[Out]# 7    11    2  2018-08-23        22        2.10
#[Out]# 8    12    2  2018-08-23         3        1.70
#[Out]# 9     3    3  2018-08-23        17        1.35
#[Out]# 10   45    4  2018-08-23        50        1.00
#[Out]# 11   19    4  2018-08-23        53        1.20
#[Out]# 12    1    5  2018-08-23         2        0.45
#[Out]# 13   48    6  2018-08-23        21        1.15
#[Out]# 14   47    7  2018-08-23        27        1.85
#[Out]# 15   43    7  2018-08-23        20        1.95
#[Out]# 16   35    7  2018-08-23         7        2.20
#[Out]# 17   33    8  2018-08-23        16        4.80
#[Out]# 18   25    8  2018-08-23         6        5.55
#[Out]# 19   51   10  2018-08-23        31        0.60
#[Out]# 20   50   10  2018-08-23        54        0.55
#[Out]# 21   34   10  2018-08-23         8        0.45
#[Out]# 22    2   11  2018-08-23        21        1.00
#[Out]# 23   33   11  2018-08-23        32        1.05
#[Out]# 24   35   11  2018-08-23        15        1.20
#[Out]# 25   42   12  2018-08-23        46       11.40
#[Out]# 26    5   12  2018-08-23        11       13.40
#[Out]# 27   54   12  2018-08-23         5       12.55
#[Out]# 28    9   12  2018-08-23         5       13.15
#[Out]# 29   35   13  2018-08-23        28        4.15
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 37   13   15  2018-08-23        11        1.25
#[Out]# 38   12   15  2018-08-23         1        1.25
#[Out]# 39   11   15  2018-08-23        14        1.30
#[Out]# 40    6   15  2018-08-23         4        1.00
#[Out]# 41    6   16  2018-08-23        14        1.85
#[Out]# 42   11   16  2018-08-23         3        1.90
#[Out]# 43    5   16  2018-08-23         4        1.65
#[Out]# 44    5   17  2018-08-23        34        2.45
#[Out]# 45   29   17  2018-08-23         4        1.95
#[Out]# 46   57   19  2018-08-23        12        2.95
#[Out]# 47   33   19  2018-08-23        32        2.25
#[Out]# 48   17   19  2018-08-23        10        2.20
#[Out]# 49    3   19  2018-08-23        11        2.10
#[Out]# 50   44   19  2018-08-23         4        2.65
#[Out]# 51   30   22  2018-08-23        29        2.05
#[Out]# 52   50   22  2018-08-23         5        1.95
#[Out]# 53   51   22  2018-08-23        13        1.55
#[Out]# 54   16   22  2018-08-23        14        1.60
#[Out]# 55   38   23  2018-08-23        29        1.80
#[Out]# 56   21   23  2018-08-23        20        2.10
#[Out]# 57    5   24  2018-08-23        32        4.10
#[Out]# 58   38   24  2018-08-23        10        3.55
#[Out]# 59   35   25  2018-08-23        36        4.00
#[Out]# 60   56   25  2018-08-23        19        4.35
#[Out]# 61   28   27  2018-08-23        43        8.50
#[Out]# 62   35   27  2018-08-23        54        8.85
#[Out]# 63   40   27  2018-08-23        17        6.90
#[Out]# 64   32   28  2018-08-23        36        6.85
#[Out]# 65   52   28  2018-08-23         8        7.35
#[Out]# 66   37   28  2018-08-23        19        7.75
#[Out]# 
#[Out]# [67 rows x 5 columns]
query5 = '''

    SELECT PR.pName, S.sName
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    WHERE PU.price = Max.max
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
SELECT *
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    WHERE PU.price = Max.max
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price   max  pID pName suffix  \
#[Out]# 0  161   52   27   12  2018-08-25         6   13.8  13.8   12  Beef          
#[Out]# 
#[Out]#    sID   sName        street       city  
#[Out]# 0   27  Sligro  Kalverstraat  Amsterdam  
query5 = '''
SELECT *
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price   max  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45  13.8   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65  13.8   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60  13.8   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25  13.8    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95  13.8   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75  13.8   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90  13.8   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10  13.8   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45  13.8   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35  13.8    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10  13.8    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70  13.8   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55  13.8   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30  13.8   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75  13.8   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45  13.8    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15  13.8    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05  13.8   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60  13.8   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05  13.8    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05  13.8   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75  13.8   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70  13.8   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25  13.8   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10  13.8    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55  13.8   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85  13.8   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20  13.8   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10  13.8   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70  13.8    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...   ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  13.8   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  13.8   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  13.8    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  13.8   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  13.8    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  13.8    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  13.8   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  13.8    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  13.8   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  13.8   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  13.8    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  13.8   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  13.8   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  13.8   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  13.8   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  13.8   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  13.8   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  13.8   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  13.8   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  13.8    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  13.8    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  13.8    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  13.8   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  13.8   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  13.8    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  13.8   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  13.8    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  13.8   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  13.8    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  13.8   18   
#[Out]# 
#[Out]#                 pName suffix  sID        sName            street       city  
#[Out]# 0               Water           3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 1              Apples          23         Dirk     Stationsplein      Breda  
#[Out]# 2                Rice           3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 3             Bananas          17    Hoogvliet        Kerkstraat  Eindhoven  
#[Out]# 4              Donuts          32  Albert Hein        Hoogstraat    Utrecht  
#[Out]# 5               Pasta          16         Lidl     Ambachtstraat    Utrecht  
#[Out]# 6                Milk          46         Lidl        Bergselaan  Rotterdam  
#[Out]# 7               Pizza          36         Lidl     Julianastraat  Eindhoven  
#[Out]# 8               Fanta          12         Lidl  Wilhelminastraat  Eindhoven  
#[Out]# 9             Bananas          39       Sligro       Dorpsstraat  Eindhoven  
#[Out]# 10             Onions          13         Coop         Koestraat    Tilburg  
#[Out]# 11               Eggs          51         Coop       Parallelweg    Utrecht  
#[Out]# 12                Tea          47         Coop     Julianastraat  Rotterdam  
#[Out]# 13             Apples          44  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 14              Pasta          30         Dirk       Nieuwstraat  Eindhoven  
#[Out]# 15            Bananas          29       Sligro      Marnixstraat  Amsterdam  
#[Out]# 16   Hot Dog Sausages          17    Hoogvliet        Kerkstraat  Eindhoven  
#[Out]# 17              Pizza          10        Jumbo        Bergselaan  Rotterdam  
#[Out]# 18               Beef          53         Coop        Hoogstraat    Utrecht  
#[Out]# 19            Carrots          21         Coop      Kasteeldreef    Tilburg  
#[Out]# 20               Eggs           7       Sligro  Wilhelminastraat  Eindhoven  
#[Out]# 21              Pasta          44  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 22             Apples           4    Hoogvliet       Molenstraat  Eindhoven  
#[Out]# 23            Lasanga          36         Lidl     Julianastraat  Eindhoven  
#[Out]# 24            Carrots          55         Coop   Sint Annastraat      Breda  
#[Out]# 25                Tea          51         Coop       Parallelweg    Utrecht  
#[Out]# 26               Rice           6         Coop    Stadhoudersweg  Rotterdam  
#[Out]# 27               Coca          17    Hoogvliet        Kerkstraat  Eindhoven  
#[Out]# 28               Coca           3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 29           Potatoes          12         Lidl  Wilhelminastraat  Eindhoven  
#[Out]# ..                ...    ...  ...          ...               ...        ...  
#[Out]# 479           Lasanga          34         Coop          Bierkaai  Amsterdam  
#[Out]# 480             Pizza          35         Lidl     Julianastraat    Utrecht  
#[Out]# 481         Mushrooms          36         Lidl     Julianastraat  Eindhoven  
#[Out]# 482           Lasanga          37        Jumbo          Molenweg  Eindhoven  
#[Out]# 483          Tomatoes          38    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 484       Cashew Nuts          39       Sligro       Dorpsstraat  Eindhoven  
#[Out]# 485              Milk          40    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 486           Carrots          41  Albert Hein        Bergselaan  Rotterdam  
#[Out]# 487              Coca          42       Sligro      Kalverstraat  Amsterdam  
#[Out]# 488             Bread          43         Coop    Gasthuisstraat    Utrecht  
#[Out]# 489           Bananas          44  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 490              Milk          45         Coop      Kasteeldreef    Tilburg  
#[Out]# 491               Tea          46         Lidl        Bergselaan  Rotterdam  
#[Out]# 492             Bread          47         Coop     Julianastraat  Rotterdam  
#[Out]# 493             Fanta          48    Hoogvliet      Kasteeldreef    Tilburg  
#[Out]# 494              Milk          49    Hoogvliet      Keizerstraat  Rotterdam  
#[Out]# 495            Coffee          50       Sligro     Stationsplein      Breda  
#[Out]# 496   Spiced Biscuits          51         Coop       Parallelweg    Utrecht  
#[Out]# 497   Spiced Biscuits          52         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 498  Hot Dog Sausages          53         Coop        Hoogstraat    Utrecht  
#[Out]# 499       Cashew Nuts          54         Dirk     Julianastraat  Eindhoven  
#[Out]# 500  Hot Dog Sausages          55         Coop   Sint Annastraat      Breda  
#[Out]# 501              Milk          56        Jumbo       Parallelweg  Eindhoven  
#[Out]# 502         Cucumbers          57         Dirk       Molenstraat  Eindhoven  
#[Out]# 503          Potatoes          58         Dirk      Keizerstraat  Rotterdam  
#[Out]# 504             Bread          59        Jumbo  Rozemarijnstraat      Breda  
#[Out]# 505         Mushrooms          60         Lidl      Pannekoekweg      Breda  
#[Out]# 506              Coca          61         Lidl      Pannekoekweg      Breda  
#[Out]# 507           Bananas          62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 508            Cheese          63        Jumbo     Stationstraat        Oss  
#[Out]# 
#[Out]# [509 rows x 15 columns]
query5 = '''
SELECT *
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    ORDER BY pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price   max  pID        pName  \
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35  13.8    0  Cashew Nuts   
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70  13.8    0  Cashew Nuts   
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90  13.8    0  Cashew Nuts   
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40  13.8    0  Cashew Nuts   
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80  13.8    0  Cashew Nuts   
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95  13.8    0  Cashew Nuts   
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40  13.8    0  Cashew Nuts   
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40  13.8    0  Cashew Nuts   
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00  13.8    0  Cashew Nuts   
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85  13.8    0  Cashew Nuts   
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30  13.8    0  Cashew Nuts   
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40  13.8    0  Cashew Nuts   
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75  13.8    0  Cashew Nuts   
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90  13.8    0  Cashew Nuts   
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10  13.8    0  Cashew Nuts   
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20  13.8    0  Cashew Nuts   
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65  13.8    0  Cashew Nuts   
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00  13.8    0  Cashew Nuts   
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95  13.8    0  Cashew Nuts   
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35  13.8    0  Cashew Nuts   
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50  13.8    0  Cashew Nuts   
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00  13.8    0  Cashew Nuts   
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85  13.8    0  Cashew Nuts   
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70  13.8    0  Cashew Nuts   
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50  13.8    0  Cashew Nuts   
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95  13.8    1   Mixed Nuts   
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85  13.8    1   Mixed Nuts   
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05  13.8    1   Mixed Nuts   
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35  13.8    1   Mixed Nuts   
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35  13.8    1   Mixed Nuts   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...   ...  ...          ...   
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50  13.8   27        Pizza   
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25  13.8   28      Lasanga   
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05  13.8   28      Lasanga   
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45  13.8   28      Lasanga   
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05  13.8   28      Lasanga   
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60  13.8   28      Lasanga   
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90  13.8   28      Lasanga   
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70  13.8   28      Lasanga   
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25  13.8   28      Lasanga   
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35  13.8   28      Lasanga   
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60  13.8   28      Lasanga   
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25  13.8   28      Lasanga   
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65  13.8   28      Lasanga   
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95  13.8   28      Lasanga   
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25  13.8   28      Lasanga   
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25  13.8   28      Lasanga   
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35  13.8   28      Lasanga   
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75  13.8   28      Lasanga   
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20  13.8   28      Lasanga   
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70  13.8   28      Lasanga   
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70  13.8   28      Lasanga   
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85  13.8   28      Lasanga   
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10  13.8   28      Lasanga   
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50  13.8   28      Lasanga   
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80  13.8   28      Lasanga   
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65  13.8   28      Lasanga   
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00  13.8   29       Salmon   
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00  13.8   29       Salmon   
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00  13.8   30      Ketchup   
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00  13.8   30      Ketchup   
#[Out]# 
#[Out]#     suffix  sID        sName            street       city  
#[Out]# 0            33         Dirk       Nieuwstraat  Eindhoven  
#[Out]# 1            50       Sligro     Stationsplein      Breda  
#[Out]# 2            59        Jumbo  Rozemarijnstraat      Breda  
#[Out]# 3            21         Coop      Kasteeldreef    Tilburg  
#[Out]# 4            14         Coop     Keizersgracht  Amsterdam  
#[Out]# 5            36         Lidl     Julianastraat  Eindhoven  
#[Out]# 6            44  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 7            21         Coop      Kasteeldreef    Tilburg  
#[Out]# 8            42       Sligro      Kalverstraat  Amsterdam  
#[Out]# 9             3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 10            1    Hoogvliet  Rozemarijnstraat      Breda  
#[Out]# 11           49    Hoogvliet      Keizerstraat  Rotterdam  
#[Out]# 12            3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 13           26    Hoogvliet   Sint Annastraat      Breda  
#[Out]# 14           31         Coop       Parallelweg    Utrecht  
#[Out]# 15           49    Hoogvliet      Keizerstraat  Rotterdam  
#[Out]# 16           43         Coop    Gasthuisstraat    Utrecht  
#[Out]# 17            8  Albert Hein       Molenstraat  Eindhoven  
#[Out]# 18           52         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 19           35         Lidl     Julianastraat    Utrecht  
#[Out]# 20            0         Coop      Kalverstraat  Amsterdam  
#[Out]# 21           13         Coop         Koestraat    Tilburg  
#[Out]# 22           32  Albert Hein        Hoogstraat    Utrecht  
#[Out]# 23           39       Sligro       Dorpsstraat  Eindhoven  
#[Out]# 24           54         Dirk     Julianastraat  Eindhoven  
#[Out]# 25           26    Hoogvliet   Sint Annastraat      Breda  
#[Out]# 26           47         Coop     Julianastraat  Rotterdam  
#[Out]# 27           25  Albert Hein     Stationsplein      Breda  
#[Out]# 28           50       Sligro     Stationsplein      Breda  
#[Out]# 29            0         Coop      Kalverstraat  Amsterdam  
#[Out]# ..     ...  ...          ...               ...        ...  
#[Out]# 479          35         Lidl     Julianastraat    Utrecht  
#[Out]# 480          36         Lidl     Julianastraat  Eindhoven  
#[Out]# 481          25  Albert Hein     Stationsplein      Breda  
#[Out]# 482          34         Coop          Bierkaai  Amsterdam  
#[Out]# 483          21         Coop      Kasteeldreef    Tilburg  
#[Out]# 484          52         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 485          30         Dirk       Nieuwstraat  Eindhoven  
#[Out]# 486          54         Dirk     Julianastraat  Eindhoven  
#[Out]# 487          55         Coop   Sint Annastraat      Breda  
#[Out]# 488          52         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 489          20        Jumbo      Kasteeldreef    Tilburg  
#[Out]# 490          40    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 491          41  Albert Hein        Bergselaan  Rotterdam  
#[Out]# 492          38    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 493          34         Coop          Bierkaai  Amsterdam  
#[Out]# 494          14         Coop     Keizersgracht  Amsterdam  
#[Out]# 495          34         Coop          Bierkaai  Amsterdam  
#[Out]# 496          37        Jumbo          Molenweg  Eindhoven  
#[Out]# 497          36         Lidl     Julianastraat  Eindhoven  
#[Out]# 498          18       Sligro       Parallelweg    Tilburg  
#[Out]# 499          18       Sligro       Parallelweg    Tilburg  
#[Out]# 500           9  Albert Hein         Koestraat    Tilburg  
#[Out]# 501          27       Sligro      Kalverstraat  Amsterdam  
#[Out]# 502           3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 503          34         Coop          Bierkaai  Amsterdam  
#[Out]# 504          37        Jumbo          Molenweg  Eindhoven  
#[Out]# 505          62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 506          62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 507          62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 508          62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 
#[Out]# [509 rows x 15 columns]
query5 = '''
SELECT PU.pID, quantity, price
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    ORDER BY pID
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT PU.pID, quantity, price
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    ORDER BY PU.pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID  quantity  price
#[Out]# 0      0         5   5.35
#[Out]# 1      0         1   3.70
#[Out]# 2      0         1   3.90
#[Out]# 3      0         3   5.40
#[Out]# 4      0         3   4.80
#[Out]# 5      0         6   3.95
#[Out]# 6      0         8   5.40
#[Out]# 7      0         4   5.40
#[Out]# 8      0         3   5.00
#[Out]# 9      0         5   4.85
#[Out]# 10     0         5   5.30
#[Out]# 11     0         2   4.40
#[Out]# 12     0         9   3.75
#[Out]# 13     0         5   4.90
#[Out]# 14     0         6   5.10
#[Out]# 15     0         3   4.20
#[Out]# 16     0         3   4.65
#[Out]# 17     0         9   4.00
#[Out]# 18     0         7   3.95
#[Out]# 19     0         2   4.35
#[Out]# 20     0         2   3.50
#[Out]# 21     0         4   2.00
#[Out]# 22     0         4   3.85
#[Out]# 23     0         4   3.70
#[Out]# 24     0         6   3.50
#[Out]# 25     1         6   5.95
#[Out]# 26     1         5   5.85
#[Out]# 27     1         8   6.05
#[Out]# 28     1         5   5.35
#[Out]# 29     1         1   6.35
#[Out]# ..   ...       ...    ...
#[Out]# 479   27         5   0.50
#[Out]# 480   28         6   8.25
#[Out]# 481   28         3   8.05
#[Out]# 482   28         7   9.45
#[Out]# 483   28         3   7.05
#[Out]# 484   28         9   9.60
#[Out]# 485   28         6   8.90
#[Out]# 486   28         4   9.70
#[Out]# 487   28         8   7.25
#[Out]# 488   28         2   7.35
#[Out]# 489   28         6   8.60
#[Out]# 490   28         2   8.25
#[Out]# 491   28         2   7.65
#[Out]# 492   28         5   6.95
#[Out]# 493   28         3   8.25
#[Out]# 494   28         6   8.25
#[Out]# 495   28         7   8.35
#[Out]# 496   28         5   7.75
#[Out]# 497   28         4   7.20
#[Out]# 498   28         1   8.70
#[Out]# 499   28         8   7.70
#[Out]# 500   28         2   9.85
#[Out]# 501   28         1   8.10
#[Out]# 502   28         5   0.50
#[Out]# 503   28         4   2.80
#[Out]# 504   28         4   0.65
#[Out]# 505   29         1   1.00
#[Out]# 506   29         5   1.00
#[Out]# 507   30         1   1.00
#[Out]# 508   30         1   1.00
#[Out]# 
#[Out]# [509 rows x 3 columns]
query6 = '''

    SELECT  *
    FROM inventory I
    WHERE I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  pID        date  quantity  unit_price
#[Out]# 0   49    3  2018-08-21         0        1.25
#[Out]# 1    4    6  2018-08-24         0        1.10
#[Out]# 2   39    8  2018-08-18         0        5.70
#[Out]# 3   54   13  2018-08-21         0        3.45
#[Out]# 4    2   16  2018-08-23         0        2.00
#[Out]# 5    0   21  2018-08-15         0        2.20
#[Out]# 6    3   21  2018-08-22         0        2.25
#[Out]# 7    5   24  2018-08-26         0        3.25
query6 = '''

    SELECT  *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0     6    0  2018-08-23        37        4.35
#[Out]# 1    29    0  2018-08-23        28        5.15
#[Out]# 2    31    0  2018-08-23        25        4.60
#[Out]# 3     7    1  2018-08-23        18        5.80
#[Out]# 4    41    1  2018-08-23        53        4.60
#[Out]# 5    55    1  2018-08-23         1        4.80
#[Out]# 6    56    1  2018-08-23         1        4.40
#[Out]# 7    11    2  2018-08-23        22        2.10
#[Out]# 8    12    2  2018-08-23         3        1.70
#[Out]# 9     3    3  2018-08-23        17        1.35
#[Out]# 10   45    4  2018-08-23        50        1.00
#[Out]# 11   19    4  2018-08-23        53        1.20
#[Out]# 12    1    5  2018-08-23         2        0.45
#[Out]# 13   48    6  2018-08-23        21        1.15
#[Out]# 14   47    7  2018-08-23        27        1.85
#[Out]# 15   43    7  2018-08-23        20        1.95
#[Out]# 16   35    7  2018-08-23         7        2.20
#[Out]# 17   33    8  2018-08-23        16        4.80
#[Out]# 18   25    8  2018-08-23         6        5.55
#[Out]# 19   51   10  2018-08-23        31        0.60
#[Out]# 20   50   10  2018-08-23        54        0.55
#[Out]# 21   34   10  2018-08-23         8        0.45
#[Out]# 22    2   11  2018-08-23        21        1.00
#[Out]# 23   33   11  2018-08-23        32        1.05
#[Out]# 24   35   11  2018-08-23        15        1.20
#[Out]# 25   42   12  2018-08-23        46       11.40
#[Out]# 26    5   12  2018-08-23        11       13.40
#[Out]# 27   54   12  2018-08-23         5       12.55
#[Out]# 28    9   12  2018-08-23         5       13.15
#[Out]# 29   35   13  2018-08-23        28        4.15
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 37   13   15  2018-08-23        11        1.25
#[Out]# 38   12   15  2018-08-23         1        1.25
#[Out]# 39   11   15  2018-08-23        14        1.30
#[Out]# 40    6   15  2018-08-23         4        1.00
#[Out]# 41    6   16  2018-08-23        14        1.85
#[Out]# 42   11   16  2018-08-23         3        1.90
#[Out]# 43    5   16  2018-08-23         4        1.65
#[Out]# 44    5   17  2018-08-23        34        2.45
#[Out]# 45   29   17  2018-08-23         4        1.95
#[Out]# 46   57   19  2018-08-23        12        2.95
#[Out]# 47   33   19  2018-08-23        32        2.25
#[Out]# 48   17   19  2018-08-23        10        2.20
#[Out]# 49    3   19  2018-08-23        11        2.10
#[Out]# 50   44   19  2018-08-23         4        2.65
#[Out]# 51   30   22  2018-08-23        29        2.05
#[Out]# 52   50   22  2018-08-23         5        1.95
#[Out]# 53   51   22  2018-08-23        13        1.55
#[Out]# 54   16   22  2018-08-23        14        1.60
#[Out]# 55   38   23  2018-08-23        29        1.80
#[Out]# 56   21   23  2018-08-23        20        2.10
#[Out]# 57    5   24  2018-08-23        32        4.10
#[Out]# 58   38   24  2018-08-23        10        3.55
#[Out]# 59   35   25  2018-08-23        36        4.00
#[Out]# 60   56   25  2018-08-23        19        4.35
#[Out]# 61   28   27  2018-08-23        43        8.50
#[Out]# 62   35   27  2018-08-23        54        8.85
#[Out]# 63   40   27  2018-08-23        17        6.90
#[Out]# 64   32   28  2018-08-23        36        6.85
#[Out]# 65   52   28  2018-08-23         8        7.35
#[Out]# 66   37   28  2018-08-23        19        7.75
#[Out]# 
#[Out]# [67 rows x 5 columns]
query6 = '''

    SELECT  MAX(unit_price) - MIN(unit_price) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    average
#[Out]# 0    12.95
query6 = '''

    SELECT  MAX(unit_price) - MIN(unit_price) as average, *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    average  sID  pID        date  quantity  unit_price
#[Out]# 0    12.95   34   10  2018-08-23         8        0.45
query6 = '''

    SELECT   *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0

    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0     6    0  2018-08-23        37        4.35
#[Out]# 1    29    0  2018-08-23        28        5.15
#[Out]# 2    31    0  2018-08-23        25        4.60
#[Out]# 3     7    1  2018-08-23        18        5.80
#[Out]# 4    41    1  2018-08-23        53        4.60
#[Out]# 5    55    1  2018-08-23         1        4.80
#[Out]# 6    56    1  2018-08-23         1        4.40
#[Out]# 7    11    2  2018-08-23        22        2.10
#[Out]# 8    12    2  2018-08-23         3        1.70
#[Out]# 9     3    3  2018-08-23        17        1.35
#[Out]# 10   45    4  2018-08-23        50        1.00
#[Out]# 11   19    4  2018-08-23        53        1.20
#[Out]# 12    1    5  2018-08-23         2        0.45
#[Out]# 13   48    6  2018-08-23        21        1.15
#[Out]# 14   47    7  2018-08-23        27        1.85
#[Out]# 15   43    7  2018-08-23        20        1.95
#[Out]# 16   35    7  2018-08-23         7        2.20
#[Out]# 17   33    8  2018-08-23        16        4.80
#[Out]# 18   25    8  2018-08-23         6        5.55
#[Out]# 19   51   10  2018-08-23        31        0.60
#[Out]# 20   50   10  2018-08-23        54        0.55
#[Out]# 21   34   10  2018-08-23         8        0.45
#[Out]# 22    2   11  2018-08-23        21        1.00
#[Out]# 23   33   11  2018-08-23        32        1.05
#[Out]# 24   35   11  2018-08-23        15        1.20
#[Out]# 25   42   12  2018-08-23        46       11.40
#[Out]# 26    5   12  2018-08-23        11       13.40
#[Out]# 27   54   12  2018-08-23         5       12.55
#[Out]# 28    9   12  2018-08-23         5       13.15
#[Out]# 29   35   13  2018-08-23        28        4.15
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 37   13   15  2018-08-23        11        1.25
#[Out]# 38   12   15  2018-08-23         1        1.25
#[Out]# 39   11   15  2018-08-23        14        1.30
#[Out]# 40    6   15  2018-08-23         4        1.00
#[Out]# 41    6   16  2018-08-23        14        1.85
#[Out]# 42   11   16  2018-08-23         3        1.90
#[Out]# 43    5   16  2018-08-23         4        1.65
#[Out]# 44    5   17  2018-08-23        34        2.45
#[Out]# 45   29   17  2018-08-23         4        1.95
#[Out]# 46   57   19  2018-08-23        12        2.95
#[Out]# 47   33   19  2018-08-23        32        2.25
#[Out]# 48   17   19  2018-08-23        10        2.20
#[Out]# 49    3   19  2018-08-23        11        2.10
#[Out]# 50   44   19  2018-08-23         4        2.65
#[Out]# 51   30   22  2018-08-23        29        2.05
#[Out]# 52   50   22  2018-08-23         5        1.95
#[Out]# 53   51   22  2018-08-23        13        1.55
#[Out]# 54   16   22  2018-08-23        14        1.60
#[Out]# 55   38   23  2018-08-23        29        1.80
#[Out]# 56   21   23  2018-08-23        20        2.10
#[Out]# 57    5   24  2018-08-23        32        4.10
#[Out]# 58   38   24  2018-08-23        10        3.55
#[Out]# 59   35   25  2018-08-23        36        4.00
#[Out]# 60   56   25  2018-08-23        19        4.35
#[Out]# 61   28   27  2018-08-23        43        8.50
#[Out]# 62   35   27  2018-08-23        54        8.85
#[Out]# 63   40   27  2018-08-23        17        6.90
#[Out]# 64   32   28  2018-08-23        36        6.85
#[Out]# 65   52   28  2018-08-23         8        7.35
#[Out]# 66   37   28  2018-08-23        19        7.75
#[Out]# 
#[Out]# [67 rows x 5 columns]
query6 = '''

    SELECT   MAX(unit_price) - MIN(unit_price) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     average
#[Out]# 0      0.80
#[Out]# 1      1.40
#[Out]# 2      0.40
#[Out]# 3      0.00
#[Out]# 4      0.20
#[Out]# 5      0.00
#[Out]# 6      0.00
#[Out]# 7      0.35
#[Out]# 8      0.75
#[Out]# 9      0.15
#[Out]# 10     0.20
#[Out]# 11     2.00
#[Out]# 12     0.65
#[Out]# 13     0.90
#[Out]# 14     0.30
#[Out]# 15     0.25
#[Out]# 16     0.50
#[Out]# 17     0.85
#[Out]# 18     0.50
#[Out]# 19     0.30
#[Out]# 20     0.55
#[Out]# 21     0.35
#[Out]# 22     1.95
#[Out]# 23     0.90
query6 = '''

    SELECT   MAX(unit_price) - MIN(unit_price) as average,  MAX(unit_price), MIN(unit_price)
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     average  MAX(unit_price)  MIN(unit_price)
#[Out]# 0      0.80             5.15             4.35
#[Out]# 1      1.40             5.80             4.40
#[Out]# 2      0.40             2.10             1.70
#[Out]# 3      0.00             1.35             1.35
#[Out]# 4      0.20             1.20             1.00
#[Out]# 5      0.00             0.45             0.45
#[Out]# 6      0.00             1.15             1.15
#[Out]# 7      0.35             2.20             1.85
#[Out]# 8      0.75             5.55             4.80
#[Out]# 9      0.15             0.60             0.45
#[Out]# 10     0.20             1.20             1.00
#[Out]# 11     2.00            13.40            11.40
#[Out]# 12     0.65             4.20             3.55
#[Out]# 13     0.90             4.10             3.20
#[Out]# 14     0.30             1.30             1.00
#[Out]# 15     0.25             1.90             1.65
#[Out]# 16     0.50             2.45             1.95
#[Out]# 17     0.85             2.95             2.10
#[Out]# 18     0.50             2.05             1.55
#[Out]# 19     0.30             2.10             1.80
#[Out]# 20     0.55             4.10             3.55
#[Out]# 21     0.35             4.35             4.00
#[Out]# 22     1.95             8.85             6.90
#[Out]# 23     0.90             7.75             6.85
query6 = '''

    SELECT   pID, MAX(unit_price) - MIN(unit_price) as average,  MAX(unit_price), MIN(unit_price)
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  average  MAX(unit_price)  MIN(unit_price)
#[Out]# 0     0     0.80             5.15             4.35
#[Out]# 1     1     1.40             5.80             4.40
#[Out]# 2     2     0.40             2.10             1.70
#[Out]# 3     3     0.00             1.35             1.35
#[Out]# 4     4     0.20             1.20             1.00
#[Out]# 5     5     0.00             0.45             0.45
#[Out]# 6     6     0.00             1.15             1.15
#[Out]# 7     7     0.35             2.20             1.85
#[Out]# 8     8     0.75             5.55             4.80
#[Out]# 9    10     0.15             0.60             0.45
#[Out]# 10   11     0.20             1.20             1.00
#[Out]# 11   12     2.00            13.40            11.40
#[Out]# 12   13     0.65             4.20             3.55
#[Out]# 13   14     0.90             4.10             3.20
#[Out]# 14   15     0.30             1.30             1.00
#[Out]# 15   16     0.25             1.90             1.65
#[Out]# 16   17     0.50             2.45             1.95
#[Out]# 17   19     0.85             2.95             2.10
#[Out]# 18   22     0.50             2.05             1.55
#[Out]# 19   23     0.30             2.10             1.80
#[Out]# 20   24     0.55             4.10             3.55
#[Out]# 21   25     0.35             4.35             4.00
#[Out]# 22   27     1.95             8.85             6.90
#[Out]# 23   28     0.90             7.75             6.85
query6 = '''

    SELECT   pID, MAX(unit_price) - MIN(unit_price) as average,  MAX(unit_price), MIN(unit_price)
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  average  MAX(unit_price)  MIN(unit_price)
#[Out]# 0   10    12.95             13.4             0.45
query6 = '''

    SELECT   pID, MAX(unit_price) - MIN(unit_price) as average,  MAX(unit_price), MIN(unit_price)
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID
    ORDER BY I.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  average  MAX(unit_price)  MIN(unit_price)
#[Out]# 0     0     0.80             5.15             4.35
#[Out]# 1     1     1.40             5.80             4.40
#[Out]# 2     2     0.40             2.10             1.70
#[Out]# 3     3     0.00             1.35             1.35
#[Out]# 4     4     0.20             1.20             1.00
#[Out]# 5     5     0.00             0.45             0.45
#[Out]# 6     6     0.00             1.15             1.15
#[Out]# 7     7     0.35             2.20             1.85
#[Out]# 8     8     0.75             5.55             4.80
#[Out]# 9    10     0.15             0.60             0.45
#[Out]# 10   11     0.20             1.20             1.00
#[Out]# 11   12     2.00            13.40            11.40
#[Out]# 12   13     0.65             4.20             3.55
#[Out]# 13   14     0.90             4.10             3.20
#[Out]# 14   15     0.30             1.30             1.00
#[Out]# 15   16     0.25             1.90             1.65
#[Out]# 16   17     0.50             2.45             1.95
#[Out]# 17   19     0.85             2.95             2.10
#[Out]# 18   22     0.50             2.05             1.55
#[Out]# 19   23     0.30             2.10             1.80
#[Out]# 20   24     0.55             4.10             3.55
#[Out]# 21   25     0.35             4.35             4.00
#[Out]# 22   27     1.95             8.85             6.90
#[Out]# 23   28     0.90             7.75             6.85
query6 = '''
SELECT MAX(average)
FROM(
    SELECT MAX(unit_price) - MIN(unit_price) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID)
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(average)
#[Out]# 0           2.0
query6 = '''

    SELECT   *
    FROM inventory I
    WHERE I.date = '2018-08-23' AND pID = 12
'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  pID        date  quantity  unit_price
#[Out]# 0   42   12  2018-08-23        46       11.40
#[Out]# 1    5   12  2018-08-23        11       13.40
#[Out]# 2   54   12  2018-08-23         5       12.55
#[Out]# 3    9   12  2018-08-23         5       13.15
query6 = '''

    SELECT   *
    FROM inventory I
    WHERE I.date = '2018-08-23' 
    ORDER BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0     6    0  2018-08-23        37        4.35
#[Out]# 1    29    0  2018-08-23        28        5.15
#[Out]# 2    31    0  2018-08-23        25        4.60
#[Out]# 3     7    1  2018-08-23        18        5.80
#[Out]# 4    41    1  2018-08-23        53        4.60
#[Out]# 5    55    1  2018-08-23         1        4.80
#[Out]# 6    56    1  2018-08-23         1        4.40
#[Out]# 7    11    2  2018-08-23        22        2.10
#[Out]# 8    12    2  2018-08-23         3        1.70
#[Out]# 9     3    3  2018-08-23        17        1.35
#[Out]# 10   45    4  2018-08-23        50        1.00
#[Out]# 11   19    4  2018-08-23        53        1.20
#[Out]# 12    1    5  2018-08-23         2        0.45
#[Out]# 13   48    6  2018-08-23        21        1.15
#[Out]# 14   47    7  2018-08-23        27        1.85
#[Out]# 15   43    7  2018-08-23        20        1.95
#[Out]# 16   35    7  2018-08-23         7        2.20
#[Out]# 17   33    8  2018-08-23        16        4.80
#[Out]# 18   25    8  2018-08-23         6        5.55
#[Out]# 19   51   10  2018-08-23        31        0.60
#[Out]# 20   50   10  2018-08-23        54        0.55
#[Out]# 21   34   10  2018-08-23         8        0.45
#[Out]# 22    2   11  2018-08-23        21        1.00
#[Out]# 23   33   11  2018-08-23        32        1.05
#[Out]# 24   35   11  2018-08-23        15        1.20
#[Out]# 25   42   12  2018-08-23        46       11.40
#[Out]# 26    5   12  2018-08-23        11       13.40
#[Out]# 27   54   12  2018-08-23         5       12.55
#[Out]# 28    9   12  2018-08-23         5       13.15
#[Out]# 29   35   13  2018-08-23        28        4.15
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 38   12   15  2018-08-23         1        1.25
#[Out]# 39   11   15  2018-08-23        14        1.30
#[Out]# 40    6   15  2018-08-23         4        1.00
#[Out]# 41    2   16  2018-08-23         0        2.00
#[Out]# 42    6   16  2018-08-23        14        1.85
#[Out]# 43   11   16  2018-08-23         3        1.90
#[Out]# 44    5   16  2018-08-23         4        1.65
#[Out]# 45    5   17  2018-08-23        34        2.45
#[Out]# 46   29   17  2018-08-23         4        1.95
#[Out]# 47   57   19  2018-08-23        12        2.95
#[Out]# 48   33   19  2018-08-23        32        2.25
#[Out]# 49   17   19  2018-08-23        10        2.20
#[Out]# 50    3   19  2018-08-23        11        2.10
#[Out]# 51   44   19  2018-08-23         4        2.65
#[Out]# 52   30   22  2018-08-23        29        2.05
#[Out]# 53   50   22  2018-08-23         5        1.95
#[Out]# 54   51   22  2018-08-23        13        1.55
#[Out]# 55   16   22  2018-08-23        14        1.60
#[Out]# 56   38   23  2018-08-23        29        1.80
#[Out]# 57   21   23  2018-08-23        20        2.10
#[Out]# 58    5   24  2018-08-23        32        4.10
#[Out]# 59   38   24  2018-08-23        10        3.55
#[Out]# 60   35   25  2018-08-23        36        4.00
#[Out]# 61   56   25  2018-08-23        19        4.35
#[Out]# 62   28   27  2018-08-23        43        8.50
#[Out]# 63   35   27  2018-08-23        54        8.85
#[Out]# 64   40   27  2018-08-23        17        6.90
#[Out]# 65   32   28  2018-08-23        36        6.85
#[Out]# 66   52   28  2018-08-23         8        7.35
#[Out]# 67   37   28  2018-08-23        19        7.75
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''

    SELECT   sID, pID, unit_price
    FROM inventory I
    WHERE I.date = '2018-08-23' 
    ORDER BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID  unit_price
#[Out]# 0     6    0        4.35
#[Out]# 1    29    0        5.15
#[Out]# 2    31    0        4.60
#[Out]# 3     7    1        5.80
#[Out]# 4    41    1        4.60
#[Out]# 5    55    1        4.80
#[Out]# 6    56    1        4.40
#[Out]# 7    11    2        2.10
#[Out]# 8    12    2        1.70
#[Out]# 9     3    3        1.35
#[Out]# 10   45    4        1.00
#[Out]# 11   19    4        1.20
#[Out]# 12    1    5        0.45
#[Out]# 13   48    6        1.15
#[Out]# 14   47    7        1.85
#[Out]# 15   43    7        1.95
#[Out]# 16   35    7        2.20
#[Out]# 17   33    8        4.80
#[Out]# 18   25    8        5.55
#[Out]# 19   51   10        0.60
#[Out]# 20   50   10        0.55
#[Out]# 21   34   10        0.45
#[Out]# 22    2   11        1.00
#[Out]# 23   33   11        1.05
#[Out]# 24   35   11        1.20
#[Out]# 25   42   12       11.40
#[Out]# 26    5   12       13.40
#[Out]# 27   54   12       12.55
#[Out]# 28    9   12       13.15
#[Out]# 29   35   13        4.15
#[Out]# ..  ...  ...         ...
#[Out]# 38   12   15        1.25
#[Out]# 39   11   15        1.30
#[Out]# 40    6   15        1.00
#[Out]# 41    2   16        2.00
#[Out]# 42    6   16        1.85
#[Out]# 43   11   16        1.90
#[Out]# 44    5   16        1.65
#[Out]# 45    5   17        2.45
#[Out]# 46   29   17        1.95
#[Out]# 47   57   19        2.95
#[Out]# 48   33   19        2.25
#[Out]# 49   17   19        2.20
#[Out]# 50    3   19        2.10
#[Out]# 51   44   19        2.65
#[Out]# 52   30   22        2.05
#[Out]# 53   50   22        1.95
#[Out]# 54   51   22        1.55
#[Out]# 55   16   22        1.60
#[Out]# 56   38   23        1.80
#[Out]# 57   21   23        2.10
#[Out]# 58    5   24        4.10
#[Out]# 59   38   24        3.55
#[Out]# 60   35   25        4.00
#[Out]# 61   56   25        4.35
#[Out]# 62   28   27        8.50
#[Out]# 63   35   27        8.85
#[Out]# 64   40   27        6.90
#[Out]# 65   32   28        6.85
#[Out]# 66   52   28        7.35
#[Out]# 67   37   28        7.75
#[Out]# 
#[Out]# [68 rows x 3 columns]
query4 = '''
SELECT stores.sName, AVG(stores.quantity)
FROM (
    SELECT S.sName, S.sID, AVG(I.quantity) as avgQ, I.quantity as quantity
    FROM  store S
    INNER JOIN purchase P on S.sID = P.sID
    GROUP BY S.sID
    HAVING S.sID = I.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT stores.sName, AVG(stores.quantity)
FROM (
    SELECT S.sName, S.sID, AVG(P.quantity) as avgQ, P.quantity as quantity
    FROM  store S
    INNER JOIN purchase P on S.sID = P.sID
    GROUP BY S.sID
    HAVING S.sID = I.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT stores.sName, AVG(stores.quantity)
FROM (
    SELECT S.sName, S.sID, AVG(P.quantity) as avgQ, P.quantity as quantity
    FROM  store S
    INNER JOIN purchase P on S.sID = P.sID
    GROUP BY S.sID
    HAVING S.sID = P.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  AVG(stores.quantity)
#[Out]# 0  Albert Hein              4.750000
#[Out]# 1         Coop              4.642857
#[Out]# 2         Dirk              4.666667
#[Out]# 3    Hoogvliet              5.111111
#[Out]# 4         Lidl              4.400000
#[Out]# 5       Sligro              4.888889
query4 = '''
SELECT stores.sName
FROM (
    SELECT S.sName, S.sID, AVG(P.quantity) as avgQ, P.quantity as quantity
    FROM  store S
    INNER JOIN purchase P on S.sID = P.sID
    GROUP BY S.sID
    HAVING S.sID = P.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query6 = '''
SELECT MAX(average) as largest_difference
FROM(
    SELECT MAX(unit_price) - MIN(unit_price) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID)
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT P4.pID
    FROM product P4
    WHERE P4.pID NOT IN (SELECT P3.pID
                        FROM purchase P1, purchase P2, purchase P3
                        WHERE P1.pID = P2.pID AND P2.pID = P3.pID AND P3.pID = P1.pID AND P1.cID <> P2.cID AND P2.cID <> P3.cID AND P3.cID <> P1.cID
    )
    GROUP BY pID
    
    
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
SELECT Onion.cID, C.cName
FROM
    (SELECT *
    FROM purchase PU
    INNER JOIN product PR ON PU.pID = PR.pID
    WHERE PR.pName = 'Onions'
    ORDER BY PU.date) Onion,
    (SELECT *
    FROM purchase PU
    INNER JOIN product PR ON PU.pID = PR.pID
    WHERE PR.pName = 'Coffee'
    ORDER BY PU.date) Coffee
INNER JOIN customer C ON Onion.cID = C.cID
WHERE Onion.cID= Coffee.cID AND Onion.date = Coffee.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    Onion.cID C.cName
#[Out]# 0        124   Sofie
#[Out]# 1        190  Kostas
query3 = '''
    SELECT cID
    FROM purchase P
    GROUP BY P.cID
    HAVING COUNT(DISTINCT P.sID) = (SELECT COUNT(DISTINCT sID) FROM store)
   
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
SELECT stores.sName
FROM (
    SELECT S.sName, S.sID, AVG(P.quantity) as avgQ, P.quantity as quantity
    FROM  store S
    INNER JOIN purchase P on S.sID = P.sID
    GROUP BY S.sID
    HAVING S.sID = P.sID ) stores
GROUP BY stores.sName
HAVING stores.sName in (SELECT S1.sName
                FROM store S1, store S2
                WHERE S1.sName = S2.sName AND S1.sID <> S2.sID
                GROUP BY S1.sName)
AND AVG(stores.quantity) > 4
    
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''

    SELECT PR.pName, S.sName
    FROM purchase PU, (SELECT MAX(price) as max from purchase) as Max
    INNER JOIN product PR ON PU.pID = PR.pID
    INNER JOIN store S ON PU.sID = S.sID
    WHERE PU.price = Max.max
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
SELECT MAX(average) as largest_difference
FROM(
    SELECT MAX(unit_price) - MIN(unit_price) as average
    FROM inventory I
    WHERE I.date = '2018-08-23' AND NOT I.quantity = 0
    GROUP BY I.pID)
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
