# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query4 = '''
    SELECT sName
    FROM (
    SELECT s.sName, count(s.sID)
    FROM store s, purchase p
    WHERE p.sID = s.sID
    GROUP BY s.sName
    HAVING avg(p.quantity) > 4
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, purchase pur, store s
    WHERE pr.pID = pur.pID AND s.sID = pur.sID AND pur.price/pur.quantity IN (
    SELECT max(pur1.price/pur1.quantity)
    FROM purchase pur1)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName
#[Out]# 0  Cheese  Albert Hein
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, purchase pur, store s
    WHERE pr.pID = pur.pID AND s.sID = pur.sID (
    SELECT max(pur1.price/pur1.quantity)
    FROM purchase pur1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, purchase pur, store s
    WHERE pr.pID = pur.pID AND s.sID = pur.sID (
    SELECT max(pur1.price)
    FROM purchase pur1)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, purchase pur, store s
    WHERE pr.pID = pur.pID AND s.sID = pur.sID IN (
    SELECT max(pur1.price)
    FROM purchase pur1)
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName, sName]
#[Out]# Index: []
query5 = '''
    SELECT pr.pName, s.sName
    FROM product pr, purchase pur, store s
    WHERE pur.sID = s.sID AND pr.pID = pur.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    SELECT pr.pName, s.sName, pur.price
    FROM product pr, purchase pur, store s
    WHERE pur.sID = s.sID AND pr.pID = pur.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0               Water       Sligro   0.45
#[Out]# 1              Apples         Dirk   4.65
#[Out]# 2                Rice       Sligro   1.60
#[Out]# 3             Bananas    Hoogvliet   1.25
#[Out]# 4              Donuts  Albert Hein   3.95
#[Out]# 5               Pasta         Lidl   2.75
#[Out]# 6                Milk         Lidl   0.90
#[Out]# 7               Pizza         Lidl   9.10
#[Out]# 8               Fanta         Lidl   2.45
#[Out]# 9             Bananas       Sligro   1.35
#[Out]# 10             Onions         Coop   1.10
#[Out]# 11               Eggs         Coop   3.70
#[Out]# 12                Tea         Coop   1.55
#[Out]# 13             Apples  Albert Hein   4.30
#[Out]# 14              Pasta         Dirk   2.75
#[Out]# 15            Bananas       Sligro   1.45
#[Out]# 16   Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 17              Pizza        Jumbo   9.05
#[Out]# 18               Beef         Coop  13.60
#[Out]# 19            Carrots         Coop   1.05
#[Out]# 20               Eggs       Sligro   3.05
#[Out]# 21              Pasta  Albert Hein   2.75
#[Out]# 22             Apples    Hoogvliet   4.70
#[Out]# 23            Lasanga         Lidl   8.25
#[Out]# 24            Carrots         Coop   1.10
#[Out]# 25                Tea         Coop   1.55
#[Out]# 26               Rice         Coop   1.85
#[Out]# 27               Coca    Hoogvliet   2.20
#[Out]# 28               Coca       Sligro   2.10
#[Out]# 29           Potatoes         Lidl   1.70
#[Out]# ..                ...          ...    ...
#[Out]# 479           Lasanga         Coop   2.80
#[Out]# 480             Pizza         Lidl   0.50
#[Out]# 481         Mushrooms         Lidl   2.55
#[Out]# 482           Lasanga        Jumbo   0.65
#[Out]# 483          Tomatoes    Hoogvliet   0.70
#[Out]# 484       Cashew Nuts       Sligro   3.70
#[Out]# 485              Milk    Hoogvliet   3.50
#[Out]# 486           Carrots  Albert Hein   2.95
#[Out]# 487              Coca       Sligro   2.75
#[Out]# 488             Bread         Coop   1.50
#[Out]# 489           Bananas  Albert Hein   0.85
#[Out]# 490              Milk         Coop   3.55
#[Out]# 491               Tea         Lidl   2.60
#[Out]# 492             Bread         Coop   3.25
#[Out]# 493             Fanta    Hoogvliet   4.30
#[Out]# 494              Milk    Hoogvliet   3.05
#[Out]# 495            Coffee       Sligro   4.05
#[Out]# 496   Spiced Biscuits         Coop   1.50
#[Out]# 497   Spiced Biscuits         Lidl   2.50
#[Out]# 498  Hot Dog Sausages         Coop   3.95
#[Out]# 499       Cashew Nuts         Dirk   3.50
#[Out]# 500  Hot Dog Sausages         Coop   2.95
#[Out]# 501              Milk        Jumbo   1.60
#[Out]# 502         Cucumbers         Dirk   3.25
#[Out]# 503          Potatoes         Dirk   0.75
#[Out]# 504             Bread        Jumbo   3.80
#[Out]# 505         Mushrooms         Lidl   4.35
#[Out]# 506              Coca         Lidl   2.85
#[Out]# 507           Bananas        Jumbo   3.15
#[Out]# 508            Cheese        Jumbo   3.30
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    SELECT pr.pName, s.sName, max(pur.price)
    FROM product pr, purchase pur, store s
    WHERE pur.sID = s.sID AND pr.pID = pur.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  max(pur.price)
#[Out]# 0  Beef  Sligro            13.8
