# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'D:\SQLite\week 4\shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1c74445f8f0>
query1 = '''
    select * 
    from customer;
'''

pd.read_sql_query(query1, conn)
#[Out]#      cID     cName                street       city
#[Out]# 0      0      Noah             Koestraat    Utrecht
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam
#[Out]# 3      3      Finn         Stationsplein      Breda
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht
#[Out]# 6      6     Milan           Parallelweg    Utrecht
#[Out]# 7      7      Bram          Schoolstraat  Eindhoven
#[Out]# 8      8      Liam         Rijsbergseweg      Breda
#[Out]# 9      9    Thomas           Parallelweg  Amsterdam
#[Out]# 10    10       Sam           Langestraat    Tilburg
#[Out]# 11    11     Thijs             Koestraat    Tilburg
#[Out]# 12    12      Adam           Nieuwstraat  Eindhoven
#[Out]# 13    13     James       Sint Annastraat      Breda
#[Out]# 14    14       Max             Eikenlaan    Tilburg
#[Out]# 15    15      Noud          Koningshoeve    Tilburg
#[Out]# 16    16    Julian  Prins Bernhardstraat  Eindhoven
#[Out]# 17    17       Dex          Kasteeldreef    Tilburg
#[Out]# 18    18      Hugo          Kasteeldreef    Tilburg
#[Out]# 19    19      Lars         Rijsbergseweg      Breda
#[Out]# 20    20      Gijs            Heiligeweg  Amsterdam
#[Out]# 21    21  Benjamin           Stationsweg    Tilburg
#[Out]# 22    22      Mats           Molenstraat  Eindhoven
#[Out]# 23    23       Jan       Sint Annastraat      Breda
#[Out]# 24    24      Luca          Kasteeldreef    Tilburg
#[Out]# 25    25     Mason          Keizerstraat  Rotterdam
#[Out]# 26    26    Jayden          Schoolstraat  Eindhoven
#[Out]# 27    27       Tim             Koestraat    Utrecht
#[Out]# 28    28      Siem           Langestraat    Tilburg
#[Out]# 29    29     Ruben              Hofplein  Rotterdam
#[Out]# ..   ...       ...                   ...        ...
#[Out]# 160  160      Lara           Langestraat    Tilburg
#[Out]# 161  161     Floor             Eikenlaan    Tilburg
#[Out]# 162  162     Elena            Bergselaan  Rotterdam
#[Out]# 163  163      Cato          Kastanjelaan    Tilburg
#[Out]# 164  164       Evy      Rozemarijnstraat      Breda
#[Out]# 165  165     Hanna             Eikenlaan    Tilburg
#[Out]# 166  166   Rosalie           Stationsweg  Eindhoven
#[Out]# 167  167    Veerle        Ginnekenstraat      Breda
#[Out]# 168  168      Kiki          Keizerstraat  Rotterdam
#[Out]# 169  169      Lily        Gasthuisstraat    Utrecht
#[Out]# 170  170      Iris          Kastanjelaan  Eindhoven
#[Out]# 171  171     Tessa           Haringvliet  Rotterdam
#[Out]# 172  172      Lana             Eikenlaan    Tilburg
#[Out]# 173  173     Livia      Vierwindenstraat      Breda
#[Out]# 174  174      Romy           Parallelweg  Eindhoven
#[Out]# 175  175       Sam             Bredalaan  Eindhoven
#[Out]# 176  176     Amira           Parallelweg  Amsterdam
#[Out]# 177  177     Eline          Kalverstraat  Amsterdam
#[Out]# 178  178      Elif           Parallelweg    Utrecht
#[Out]# 179  179      Juul        Wilhelminapark    Tilburg
#[Out]# 180  180     Merel          Kalverstraat  Amsterdam
#[Out]# 181  181      Liva           Fredriklaan  Eindhoven
#[Out]# 182  182   Johanna         Beatrixstraat  Eindhoven
#[Out]# 183  183     Nikki         Julianastraat    Utrecht
#[Out]# 184  184     Wilko          Onbekendeweg  Eindhoven
#[Out]# 185  185      Nick                Verweg  Eindhoven
#[Out]# 186  186    Angela              Dichtweg  Eindhoven
#[Out]# 187  188      Pino            Maanstraat  Rotterdam
#[Out]# 188  189      Koen              Akkerweg        Oss
#[Out]# 189  190    Kostas              Eindeweg    Utrecht
#[Out]# 
#[Out]# [190 rows x 4 columns]
query1 = '''
    select pID
    from product
    except
        select p1.pID
            from purchase p1, purchase p2, purchase p3
            where p1.pID = p2.pID and
            p2.pID = p3.pID and
            p1.cID <> p2.cID and 
            p2.cID <> p3.cID and 
            p3.cID <> p1.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT cID, cName
    FROM purchase pur1, purchase pur2, product pr1, product pr2, customer c
    WHERE pur1.pID = pr1.pID
    pr1.pName = "Onions" AND
    pur2.pID = pr2.pID
    pr2.pName = "Coffee" AND
    pur1.cID = c.cID AND
    pur2.cID = c.cID AND
    pur1.date = pur2.date
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, cName
    FROM purchase pur1, purchase pur2, product pr1, product pr2, customer c
    WHERE pur1.pID = pr1.pID
    pr1.pName = "Onions" AND
    pur2.pID = pr2.pID
    pr2.pName = "Coffee" AND
    pur1.cID = c.cID AND
    pur2.cID = c.cID AND
    pur1.date = pur2.date
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase pur1, purchase pur2, product pr1, product pr2, customer c
    WHERE pur1.pID = pr1.pID
    pr1.pName = "Onions" AND
    pur2.pID = pr2.pID
    pr2.pName = "Coffee" AND
    pur1.cID = c.cID AND
    pur2.cID = c.cID AND
    pur1.date = pur2.date
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase pur1, purchase pur2, product pr1, product pr2, customer c
    WHERE pur1.pID = pr1.pID AND
    pr1.pName = "Onions" AND
    pur2.pID = pr2.pID AND
    pr2.pName = "Coffee" AND
    pur1.cID = c.cID AND
    pur2.cID = c.cID AND
    pur1.date = pur2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM
            WITH bad_customers(cID, sID) as SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(cID, sID) as 
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(cID, sID) as 
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(cID, sID) as 
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(p.cID, s.sID) as 
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(p.cID, s.sID) as 
            SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(p.cID, s.sID) as 
            (SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase)
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(p.cID, s.sID) as 
            (SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase)
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT p.cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
query3 = '''
    WITH bad_customers(cID, sID) as 
            (SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase)
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers
            
            
            
        
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    WITH bad_customers(cID, sID) as 
            (SELECT p.cID, s.sID
            FROM store s, purchase p
            EXCEPT
                SELECT cID, sID
                FROM purchase)
    
    SELECT p.CID
    FROM purchase p
    EXCEPT 
        SELECT cID 
        FROM bad_customers                
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    WITH store_chains(sID, sName) as 
        SELECT s1.sID
        FROM store s1, store s2
        WHERE s1.sID <> s2.sID AND
            s1.sName = s2.sName
            
    SELECT sName
    FROM store_chains
    EXCEPT
        SELECT sName
        FROM
            SELECT sName, avg(quantity)
            FROM purchase p, store s
            WHERE p.sID = s.sID
            GROUP BY sName
            HAVING avg(quantity) <= 3
        
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    WITH store_chains(sName) as 
        SELECT s1.sID
        FROM store s1, store s2
        WHERE s1.sID <> s2.sID AND
            s1.sName = s2.sName
            
    SELECT sName
    FROM store_chains
    EXCEPT
        SELECT sName
        FROM
            SELECT sName, avg(quantity)
            FROM purchase p, store s
            WHERE p.sID = s.sID
            GROUP BY sName
            HAVING avg(quantity) <= 3
        
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
   WITH store_chains(sName) as 
        (SELECT s1.sID
        FROM store s1, store s2
        WHERE s1.sID <> s2.sID AND
            s1.sName = s2.sName)
            
    SELECT sName
    FROM store_chains
    EXCEPT
        SELECT sName
        FROM
            (SELECT sName, avg(quantity)
            FROM purchase p, store s
            WHERE p.sID = s.sID
            GROUP BY sName
            HAVING avg(quantity) <= 3)
        
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sName
#[Out]# 0       0
#[Out]# 1       1
#[Out]# 2       2
#[Out]# 3       3
#[Out]# 4       4
#[Out]# 5       5
#[Out]# 6       6
#[Out]# 7       7
#[Out]# 8       8
#[Out]# 9       9
#[Out]# 10     10
#[Out]# 11     11
#[Out]# 12     12
#[Out]# 13     13
#[Out]# 14     14
#[Out]# 15     15
#[Out]# 16     16
#[Out]# 17     17
#[Out]# 18     18
#[Out]# 19     19
#[Out]# 20     20
#[Out]# 21     21
#[Out]# 22     22
#[Out]# 23     23
#[Out]# 24     24
#[Out]# 25     25
#[Out]# 26     26
#[Out]# 27     27
#[Out]# 28     28
#[Out]# 29     29
#[Out]# ..    ...
#[Out]# 34     34
#[Out]# 35     35
#[Out]# 36     36
#[Out]# 37     37
#[Out]# 38     38
#[Out]# 39     39
#[Out]# 40     40
#[Out]# 41     41
#[Out]# 42     42
#[Out]# 43     43
#[Out]# 44     44
#[Out]# 45     45
#[Out]# 46     46
#[Out]# 47     47
#[Out]# 48     48
#[Out]# 49     49
#[Out]# 50     50
#[Out]# 51     51
#[Out]# 52     52
#[Out]# 53     53
#[Out]# 54     54
#[Out]# 55     55
#[Out]# 56     56
#[Out]# 57     57
#[Out]# 58     58
#[Out]# 59     59
#[Out]# 60     60
#[Out]# 61     61
#[Out]# 62     62
#[Out]# 63     63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
   WITH store_chains(sName) as 
        (SELECT s1.sName
        FROM store s1, store s2
        WHERE s1.sID <> s2.sID AND
            s1.sName = s2.sName)
            
    SELECT sName
    FROM store_chains
    EXCEPT
        SELECT sName
        FROM
            (SELECT sName, avg(quantity)
            FROM purchase p, store s
            WHERE p.sID = s.sID
            GROUP BY sName
            HAVING avg(quantity) <= 3)
        
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
   WITH store_chains(sName) as 
        (SELECT s1.sName
        FROM store s1, store s2
        WHERE s1.sID <> s2.sID AND
            s1.sName = s2.sName)
            
    SELECT sName
    FROM store_chains
    EXCEPT
        SELECT sName
        FROM
            (SELECT sName, avg(quantity)
            FROM purchase p, store s
            WHERE p.sID = s.sID
            GROUP BY sName
            HAVING avg(quantity) <= 4)
        
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    WITH highest_prices(pName) as
        SELECT pName
        FROM purchase p
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.unit_price >= max(unit_price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID 
            
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.unit_price >= max(u) )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.unit_price >= max(unit_price) )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID  )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID  )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.unit_price >= (SELECT max(unit_price)
                                FROM purchase))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.unit_price >= (SELECT max(unit_price)
                                FROM purchase))
    SELECT pName
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH highest_prices(pName) as
        (SELECT pr.pName
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.price >= (SELECT max(price)
                                FROM purchase))
    SELECT pName
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName
#[Out]# 0  Beef
query5 = '''
    WITH highest_prices(pName, sID) as
        (SELECT pr.pName, pur.sID
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.price >= (SELECT max(price)
                                FROM purchase))
    SELECT pName, sID
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query6 = '''
    SELECT pNmame, sID
    FROM purchase pur, store s, product pr
    WHERE pur.sID = s.sID AND
        pur.price >= (SELECT max(price)
                        FROM purchase)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pNmame, sID
    FROM purchase pur, store s, product pr
    WHERE pur.sID = s.sID AND
        pur.price >= (SELECT max(price)
                        FROM purchase);
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pName, sID
    FROM purchase pur, store s, product pr
    WHERE pur.sID = s.sID AND
        pur.price >= (SELECT max(price)
                        FROM purchase);
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pName, s.sID
    FROM purchase pur, store s, product pr
    WHERE pur.sID = s.sID AND
        pur.price >= (SELECT max(price)
                        FROM purchase);
'''

pd.read_sql_query(query6, conn)
#[Out]#                pName  sID
#[Out]# 0        Cashew Nuts   27
#[Out]# 1         Mixed Nuts   27
#[Out]# 2           Potatoes   27
#[Out]# 3       Green Pepper   27
#[Out]# 4             Onions   27
#[Out]# 5          Mushrooms   27
#[Out]# 6            Carrots   27
#[Out]# 7           Tomatoes   27
#[Out]# 8   Hot Dog Sausages   27
#[Out]# 9            Bananas   27
#[Out]# 10             Water   27
#[Out]# 11              Milk   27
#[Out]# 12              Beef   27
#[Out]# 13              Eggs   27
#[Out]# 14            Apples   27
#[Out]# 15         Cucumbers   27
#[Out]# 16              Rice   27
#[Out]# 17             Bread   27
#[Out]# 18            Cheese   27
#[Out]# 19              Coca   27
#[Out]# 20             Fanta   27
#[Out]# 21            Coffee   27
#[Out]# 22               Tea   27
#[Out]# 23   Spiced Biscuits   27
#[Out]# 24           Oranges   27
#[Out]# 25            Donuts   27
#[Out]# 26             Pasta   27
#[Out]# 27             Pizza   27
#[Out]# 28           Lasanga   27
#[Out]# 29            Salmon   27
#[Out]# 30           Ketchup   27
#[Out]# 31   French baguette   27
query6 = '''
    SELECT pName, s.sID
    FROM purchase pur, store s, product pr
    WHERE pur.sID = s.sID AND
        pur.pID = pr.pID AND
        pur.price >= (SELECT max(price)
                        FROM purchase);
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query5 = '''
    SELECT pName, max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID AND
    GROUP BY pName
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID AND
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID 
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  max(price)
#[Out]# 0  Beef        13.8
query5 = '''
    SELECT  max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID 
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    max(price)
#[Out]# 0        13.8
query5 = '''
    SELECT  pName,max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID 
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  max(price)
#[Out]# 0  Beef        13.8
query5 = '''
    SELECT  pName, max(price)
    FROM purchase pur, product pr
    WHERE pur.pID = pr.pID 
    GROUP BY pName
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName  max(price)
#[Out]# 0             Apples        4.70
#[Out]# 1            Bananas        3.15
#[Out]# 2               Beef       13.80
#[Out]# 3              Bread        3.80
#[Out]# 4            Carrots        2.95
#[Out]# 5        Cashew Nuts        5.40
#[Out]# 6             Cheese       12.00
#[Out]# 7               Coca        4.25
#[Out]# 8             Coffee        4.25
#[Out]# 9          Cucumbers        3.80
#[Out]# 10            Donuts        4.70
#[Out]# 11              Eggs        4.20
#[Out]# 12             Fanta        4.30
#[Out]# 13      Green Pepper        2.75
#[Out]# 14  Hot Dog Sausages        5.70
#[Out]# 15           Ketchup        1.00
#[Out]# 16           Lasanga        9.85
#[Out]# 17              Milk        3.55
#[Out]# 18        Mixed Nuts        6.55
#[Out]# 19         Mushrooms        4.35
#[Out]# 20            Onions        2.40
#[Out]# 21           Oranges        4.20
#[Out]# 22             Pasta        3.55
#[Out]# 23             Pizza        9.25
#[Out]# 24          Potatoes        2.30
#[Out]# 25              Rice        2.10
#[Out]# 26            Salmon        1.00
#[Out]# 27   Spiced Biscuits        3.75
#[Out]# 28               Tea        3.20
#[Out]# 29          Tomatoes        2.35
#[Out]# 30             Water        4.35
query5 = '''
    WITH highest_prices(pName, sID) as
        (SELECT pr.pName, pur.sID
        FROM purchase pur, product pr
        WHERE pur.pID = pr.pID AND
            pur.price >= (SELECT max(price)
                                FROM purchase))
    SELECT pName, sID
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query6 = '''        
    
    WITH all_prices(i1.unit_price, i2.unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
    WITH largest_diff(MAX(i1.unit_price) - MIN(i2.unit_price))
    SELECT MAX(i1.unit_price) - MIN(i2.unit_price)
    FROM all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(i1.unit_price, i2.unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH largest_diff(MAX(i1.unit_price) - MIN(i2.unit_price))
        (SELECT MAX(i1.unit_price) - MIN(i2.unit_price)
        FROM all_prices)
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(i1.unit_price, i2.unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH largest_diff(MAX(i1.unit_price) - MIN(i2.unit_price))
        (SELECT MAX(i1.unit_price) - MIN(i2.unit_price)
        FROM all_prices)
        
'''

pd.read_sql_query(query6, conn)
query5 = '''
    WITH highest_prices(pName, sID) as
        (SELECT pr.pName, s.sName
        FROM purchase pur, product pr, store s
        WHERE pur.pID = pr.pID AND
            pur.sID = s.sID AND
            pur.price >= (SELECT max(price)
                                FROM purchase))
    SELECT pName, sID
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName     sID
#[Out]# 0  Beef  Sligro
query6 = '''        
    
    WITH all_prices(i1.unit_price, i2.unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH ABS(first_unit_price - second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH ABS(first_unit_price - second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH first_unit_price - second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH first_unit_price - second_unit_price
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.sID <> i2.sID AND)
            
    WITH first_unit_price-second_unit_price
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID AND)
            
    WITH ABS(first_unit_price-second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    WITH ABS(first_unit_price-second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    SELECT ABS(first_unit_price-second_unit_price)
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
#[Out]#      ABS(first_unit_price-second_unit_price)
#[Out]# 0                                       0.15
#[Out]# 1                                       0.05
#[Out]# 2                                       0.85
#[Out]# 3                                       0.75
#[Out]# 4                                       0.70
#[Out]# 5                                       0.30
#[Out]# 6                                       0.30
#[Out]# 7                                       0.05
#[Out]# 8                                       0.60
#[Out]# 9                                       0.05
#[Out]# 10                                      0.10
#[Out]# 11                                      0.55
#[Out]# 12                                      0.05
#[Out]# 13                                      0.50
#[Out]# 14                                      0.25
#[Out]# 15                                      0.05
#[Out]# 16                                      0.00
#[Out]# 17                                      0.10
#[Out]# 18                                      0.05
#[Out]# 19                                      1.20
#[Out]# 20                                      1.00
#[Out]# 21                                      1.40
#[Out]# 22                                      0.05
#[Out]# 23                                      0.20
#[Out]# 24                                      0.35
#[Out]# 25                                      1.60
#[Out]# 26                                      0.35
#[Out]# 27                                      1.20
#[Out]# 28                                      0.20
#[Out]# 29                                      0.20
#[Out]# ..                                       ...
#[Out]# 124                                     0.55
#[Out]# 125                                     0.20
#[Out]# 126                                     0.15
#[Out]# 127                                     1.00
#[Out]# 128                                     0.20
#[Out]# 129                                     0.40
#[Out]# 130                                     0.85
#[Out]# 131                                     0.60
#[Out]# 132                                     1.15
#[Out]# 133                                     0.30
#[Out]# 134                                     0.05
#[Out]# 135                                     0.05
#[Out]# 136                                     0.25
#[Out]# 137                                     0.35
#[Out]# 138                                     0.30
#[Out]# 139                                     0.25
#[Out]# 140                                     0.25
#[Out]# 141                                     0.90
#[Out]# 142                                     0.40
#[Out]# 143                                     0.75
#[Out]# 144                                     0.25
#[Out]# 145                                     1.75
#[Out]# 146                                     0.60
#[Out]# 147                                     0.55
#[Out]# 148                                     1.40
#[Out]# 149                                     0.20
#[Out]# 150                                     0.40
#[Out]# 151                                     0.65
#[Out]# 152                                     0.05
#[Out]# 153                                     0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    SELECT MAX(ABS(first_unit_price-second_unit_price))
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(ABS(first_unit_price-second_unit_price))
#[Out]# 0                                           2.0
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    SELECT MAX(ABS(first_unit_price - second_unit_price))
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(ABS(first_unit_price - second_unit_price))
#[Out]# 0                                             2.0
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    SELECT MAX(ABS(first_unit_price - second_unit_price)) as 
    "largest difference"
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest difference
#[Out]# 0                 2.0
query5 = '''
    WITH highest_prices(pName, sName) as
        (SELECT pr.pName, s.sName
        FROM purchase pur, product pr, store s
        WHERE pur.pID = pr.pID AND
            pur.sID = s.sID AND
            pur.price >= (SELECT max(price)
                                FROM purchase))
    SELECT pName, sName
    from highest_prices;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''        
    
    WITH all_prices(first_unit_price, second_unit_price) as
        (SELECT i1.unit_price, i2.unit_price
        FROM inventory i1, inventory i2
        WHERE i1.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i1.pID = i2.pID AND
            i1.sID <> i2.sID)
            
    SELECT MAX(ABS(first_unit_price - second_unit_price)) as 
    "largest difference"
    from all_prices
        
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest difference
#[Out]# 0                 2.0
