# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING count(distinct cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    WITH buyers_onions_coffee(id, name, date) AS (
    SELECT customer.cID, customer.cName, date
    FROM customer, purchase, product
    WHERE customer.cID = purchase.cID AND product.pID = purchase.pID AND pName = "Onions"
    intersect
    SELECT customer.cID, customer.cName, date
    FROM customer, purchase, product
    WHERE customer.cID = purchase.cID AND product.pID = purchase.pID AND pName = "Coffee")
    SELECT id, name
    FROM buyers_onions_coffee
'''

pd.read_sql_query(query2, conn)
#[Out]#     id    name
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    WITH number_of_stores(value) as (
    SELECT count(sID)
    FROM store)
    SELECT cID
    FROM purchase, number_of_stores 
    GROUP BY cID
    HAVING count(sID) = number_of_stores.value
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
   
    WITH chain(name) AS (
    SELECT sName 
    FROM store
    GROUP BY sName
    HAVING count(sNAME)>1)
    SELECT chain.name
    FROM purchase, chain, store
    WHERE purchase.sID = store.sID AND chain.name = store.sName 
    GROUP BY chain.name
    HAVING avg(purchase.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           name
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    WITH max_price(value) AS (
    SELECT max(price)
    FROM purchase)
    SELECT pName, sName
    FROM purchase, product, store, max_price
    WHERE purchase.pID = product.pID AND purchase.sID = store.sID AND purchase.price = max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price) AS largest_difference
    FROM inventory AS i1, inventory AS i2
    WHERE i1.pID = i2.pID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23' AND i1.sID != i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
