# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x19caf27d260>
query1 = '''
    SELECT p.pID
    FROM purchase p, customer c
    Group by
    HAVING count(pID) < 3 AND count(distinct cName) < 3;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT p.pID
    FROM purchase p, customer c
    Group by pID
    HAVING count(pID) < 3 AND count(distinct cName) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query1 = '''
    SELECT pID
    FROM purchase p, customer c
    Group by pID
    HAVING count(pID) < 3 AND count(distinct cName) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query1 = '''
    SELECT pID
    FROM purchase p, customer c
    Group by pID
    HAVING count(distinct cName) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query1 = '''
    SELECT pID
    FROM purchase p
    Group by pID
    HAVING count(distinct cID) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pID
    FROM purchase p
    Group by pID
    HAVING count(distinct cID) < 4;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pID
    FROM purchase p
    Group by pID
    HAVING count(distinct cID);
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    SELECT * 
    FROM purchase p
    Group by pID
    HAVING count(distinct cID);
'''

pd.read_sql_query(query1, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0   838  190   54    0  2018-08-25         6   3.50
#[Out]# 1   430  169   43    1  2018-08-18         9   6.55
#[Out]# 2   842  190   58    2  2018-08-19         7   0.75
#[Out]# 3   807  190   23    3  2018-08-18         1   2.75
#[Out]# 4   800  190   16    4  2018-08-26         1   2.40
#[Out]# 5   844  190   60    5  2018-08-27         6   4.35
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95
#[Out]# 7   822  190   38    7  2018-08-24         4   0.70
#[Out]# 8   839  190   55    8  2018-08-18         7   2.95
#[Out]# 9   846  190   62    9  2018-08-16         2   3.15
#[Out]# 10  814  190   30   10  2018-08-18         4   4.35
#[Out]# 11  840  190   56   11  2018-08-15         4   1.60
#[Out]# 12  399  162    9   12  2018-08-24         9  13.15
#[Out]# 13  811  190   27   13  2018-08-17         4   0.90
#[Out]# 14  460  179   25   14  2018-08-24         5   3.70
#[Out]# 15  841  190   57   15  2018-08-22         5   3.25
#[Out]# 16  464  179   35   16  2018-08-22         9   1.85
#[Out]# 17  843  190   59   17  2018-08-26         2   3.80
#[Out]# 18  847  190   63   18  2018-08-21         1   3.30
#[Out]# 19  845  190   61   19  2018-08-23         5   2.85
#[Out]# 20  832  190   48   20  2018-08-26         6   4.30
#[Out]# 21  834  190   50   21  2018-08-22         6   4.05
#[Out]# 22  830  190   46   22  2018-08-25         4   2.60
#[Out]# 23  836  190   52   23  2018-08-15         5   2.50
#[Out]# 24  459  178   39   24  2018-08-27         1   3.90
#[Out]# 25  806  190   22   25  2018-08-19         7   3.20
#[Out]# 26  808  190   24   26  2018-08-16         5   3.25
#[Out]# 27  819  190   35   27  2018-08-15         5   0.50
#[Out]# 28  821  190   37   28  2018-08-15         4   0.65
#[Out]# 29  779  186   62   29  2018-08-21         5   1.00
#[Out]# 30  781  188   62   30  2018-09-20         1   1.00
query1 = '''
    SELECT * 
    FROM purchase p
    
'''

pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query1 = '''
    SELECT * 
    FROM purchase p
    ORDER by pID asc;
'''

pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00
#[Out]# 
#[Out]# [509 rows x 7 columns]
query1 = '''
    SELECT pID
    FROM purchase p
    Group by pID
    HAVING count(distinct cID) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT *
    FROM purchase p, customer c
    Group by cName
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID      cName  \
#[Out]# 0    847  190   63   18  2018-08-21         1    3.3   62       Abel   
#[Out]# 1    847  190   63   18  2018-08-21         1    3.3   12       Adam   
#[Out]# 2    847  190   63   18  2018-08-21         1    3.3   55      Aiden   
#[Out]# 3    847  190   63   18  2018-08-21         1    3.3   76  Alexander   
#[Out]# 4    847  190   63   18  2018-08-21         1    3.3  153      Amber   
#[Out]# 5    847  190   63   18  2018-08-21         1    3.3  176      Amira   
#[Out]# 6    847  190   63   18  2018-08-21         1    3.3  131        Amy   
#[Out]# 7    847  190   63   18  2018-08-21         1    3.3  186     Angela   
#[Out]# 8    847  190   63   18  2018-08-21         1    3.3   99       Anna   
#[Out]# 9    847  190   63   18  2018-08-21         1    3.3  152       Anne   
#[Out]# 10   847  190   63   18  2018-08-21         1    3.3   21   Benjamin   
#[Out]# 11   847  190   63   18  2018-08-21         1    3.3  154     Benthe   
#[Out]# 12   847  190   63   18  2018-08-21         1    3.3  142         Bo   
#[Out]# 13   847  190   63   18  2018-08-21         1    3.3   36       Boaz   
#[Out]# 14   847  190   63   18  2018-08-21         1    3.3   68      Boris   
#[Out]# 15   847  190   63   18  2018-08-21         1    3.3    7       Bram   
#[Out]# 16   847  190   63   18  2018-08-21         1    3.3   49        Cas   
#[Out]# 17   847  190   63   18  2018-08-21         1    3.3   84     Casper   
#[Out]# 18   847  190   63   18  2018-08-21         1    3.3  163       Cato   
#[Out]# 19   847  190   63   18  2018-08-21         1    3.3    4       Daan   
#[Out]# 20   847  190   63   18  2018-08-21         1    3.3   72       Dani   
#[Out]# 21   847  190   63   18  2018-08-21         1    3.3   34      David   
#[Out]# 22   847  190   63   18  2018-08-21         1    3.3   71       Dean   
#[Out]# 23   847  190   63   18  2018-08-21         1    3.3   17        Dex   
#[Out]# 24   847  190   63   18  2018-08-21         1    3.3   82      Dylan   
#[Out]# 25   847  190   63   18  2018-08-21         1    3.3  162      Elena   
#[Out]# 26   847  190   63   18  2018-08-21         1    3.3  178       Elif   
#[Out]# 27   847  190   63   18  2018-08-21         1    3.3  122       Elin   
#[Out]# 28   847  190   63   18  2018-08-21         1    3.3  177      Eline   
#[Out]# 29   847  190   63   18  2018-08-21         1    3.3  139      Elise   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...   
#[Out]# 159  847  190   63   18  2018-08-21         1    3.3   63       Senn   
#[Out]# 160  847  190   63   18  2018-08-21         1    3.3   28       Siem   
#[Out]# 161  847  190   63   18  2018-08-21         1    3.3   81      Simon   
#[Out]# 162  847  190   63   18  2018-08-21         1    3.3  135      Sofia   
#[Out]# 163  847  190   63   18  2018-08-21         1    3.3  124      Sofie   
#[Out]# 164  847  190   63   18  2018-08-21         1    3.3  133     Sophia   
#[Out]# 165  847  190   63   18  2018-08-21         1    3.3   97     Sophie   
#[Out]# 166  847  190   63   18  2018-08-21         1    3.3   64       Stan   
#[Out]# 167  847  190   63   18  2018-08-21         1    3.3   86       Stef   
#[Out]# 168  847  190   63   18  2018-08-21         1    3.3   35      Stijn   
#[Out]# 169  847  190   63   18  2018-08-21         1    3.3   33       Sven   
#[Out]# 170  847  190   63   18  2018-08-21         1    3.3   96       Tess   
#[Out]# 171  847  190   63   18  2018-08-21         1    3.3  171      Tessa   
#[Out]# 172  847  190   63   18  2018-08-21         1    3.3   30       Teun   
#[Out]# 173  847  190   63   18  2018-08-21         1    3.3   91    Thijmen   
#[Out]# 174  847  190   63   18  2018-08-21         1    3.3   11      Thijs   
#[Out]# 175  847  190   63   18  2018-08-21         1    3.3    9     Thomas   
#[Out]# 176  847  190   63   18  2018-08-21         1    3.3   51       Ties   
#[Out]# 177  847  190   63   18  2018-08-21         1    3.3   42       Tijn   
#[Out]# 178  847  190   63   18  2018-08-21         1    3.3   27        Tim   
#[Out]# 179  847  190   63   18  2018-08-21         1    3.3   56     Tobias   
#[Out]# 180  847  190   63   18  2018-08-21         1    3.3   43        Tom   
#[Out]# 181  847  190   63   18  2018-08-21         1    3.3   48       Tygo   
#[Out]# 182  847  190   63   18  2018-08-21         1    3.3  167     Veerle   
#[Out]# 183  847  190   63   18  2018-08-21         1    3.3  140       Vera   
#[Out]# 184  847  190   63   18  2018-08-21         1    3.3   32      Vince   
#[Out]# 185  847  190   63   18  2018-08-21         1    3.3  184      Wilko   
#[Out]# 186  847  190   63   18  2018-08-21         1    3.3   52     Willem   
#[Out]# 187  847  190   63   18  2018-08-21         1    3.3   47       Xavi   
#[Out]# 188  847  190   63   18  2018-08-21         1    3.3  112       Yara   
#[Out]# 
#[Out]#                    street       city  
#[Out]# 0           Prinsengracht  Amsterdam  
#[Out]# 1             Nieuwstraat  Eindhoven  
#[Out]# 2              Hoogstraat    Utrecht  
#[Out]# 3            Keizerstraat  Rotterdam  
#[Out]# 4            Schoolstraat  Eindhoven  
#[Out]# 5             Parallelweg  Amsterdam  
#[Out]# 6             Parallelweg  Rotterdam  
#[Out]# 7                Dichtweg  Eindhoven  
#[Out]# 8             Karrestraat      Breda  
#[Out]# 9          Gasthuisstraat    Utrecht  
#[Out]# 10            Stationsweg    Tilburg  
#[Out]# 11             Hoogstraat    Utrecht  
#[Out]# 12         Wilhelminapark    Tilburg  
#[Out]# 13   Prins Bernhardstraat  Eindhoven  
#[Out]# 14          Maasboulebard  Rotterdam  
#[Out]# 15           Schoolstraat  Eindhoven  
#[Out]# 16        Sint Annastraat      Breda  
#[Out]# 17           Koningshoeve    Tilburg  
#[Out]# 18           Kastanjelaan    Tilburg  
#[Out]# 19           Kalverstraat  Amsterdam  
#[Out]# 20            Karrestraat      Breda  
#[Out]# 21            Parallelweg    Tilburg  
#[Out]# 22             Pompenburg  Rotterdam  
#[Out]# 23           Kasteeldreef    Tilburg  
#[Out]# 24               Molenweg  Eindhoven  
#[Out]# 25             Bergselaan  Rotterdam  
#[Out]# 26            Parallelweg    Utrecht  
#[Out]# 27            Langestraat    Tilburg  
#[Out]# 28           Kalverstraat  Amsterdam  
#[Out]# 29         Wilhelminapark    Tilburg  
#[Out]# ..                    ...        ...  
#[Out]# 159       Raamschoorseweg      Breda  
#[Out]# 160           Langestraat    Tilburg  
#[Out]# 161           Haringvliet  Rotterdam  
#[Out]# 162             Koestraat    Utrecht  
#[Out]# 163         Keizersgracht  Amsterdam  
#[Out]# 164       Raamschoorseweg      Breda  
#[Out]# 165        Stadhoudersweg  Rotterdam  
#[Out]# 166         Prinsengracht  Amsterdam  
#[Out]# 167           Dorpsstraat  Eindhoven  
#[Out]# 168         Julianastraat    Utrecht  
#[Out]# 169        Ginnekenstraat      Breda  
#[Out]# 170          Willemstraat  Eindhoven  
#[Out]# 171           Haringvliet  Rotterdam  
#[Out]# 172            Oosterkade  Rotterdam  
#[Out]# 173                 Markt  Eindhoven  
#[Out]# 174             Koestraat    Tilburg  
#[Out]# 175           Parallelweg  Amsterdam  
#[Out]# 176         Mauritsstraat  Eindhoven  
#[Out]# 177         Keizersgracht  Amsterdam  
#[Out]# 178             Koestraat    Utrecht  
#[Out]# 179             Eikenlaan    Tilburg  
#[Out]# 180        Stadhoudersweg  Rotterdam  
#[Out]# 181       Raamschoorseweg      Breda  
#[Out]# 182        Ginnekenstraat      Breda  
#[Out]# 183          Kasteeldreef    Tilburg  
#[Out]# 184          Kastanjelaan    Tilburg  
#[Out]# 185          Onbekendeweg  Eindhoven  
#[Out]# 186      Rozemarijnstraat      Breda  
#[Out]# 187         Julianastraat    Utrecht  
#[Out]# 188           Stationsweg    Tilburg  
#[Out]# 
#[Out]# [189 rows x 11 columns]
query2 = '''
    SELECT *
    FROM purchase p, customer c
    Group by cName
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID      cName  \
#[Out]# 0    847  190   63   18  2018-08-21         1    3.3   62       Abel   
#[Out]# 1    847  190   63   18  2018-08-21         1    3.3   12       Adam   
#[Out]# 2    847  190   63   18  2018-08-21         1    3.3   55      Aiden   
#[Out]# 3    847  190   63   18  2018-08-21         1    3.3   76  Alexander   
#[Out]# 4    847  190   63   18  2018-08-21         1    3.3  153      Amber   
#[Out]# 5    847  190   63   18  2018-08-21         1    3.3  176      Amira   
#[Out]# 6    847  190   63   18  2018-08-21         1    3.3  131        Amy   
#[Out]# 7    847  190   63   18  2018-08-21         1    3.3  186     Angela   
#[Out]# 8    847  190   63   18  2018-08-21         1    3.3   99       Anna   
#[Out]# 9    847  190   63   18  2018-08-21         1    3.3  152       Anne   
#[Out]# 10   847  190   63   18  2018-08-21         1    3.3   21   Benjamin   
#[Out]# 11   847  190   63   18  2018-08-21         1    3.3  154     Benthe   
#[Out]# 12   847  190   63   18  2018-08-21         1    3.3  142         Bo   
#[Out]# 13   847  190   63   18  2018-08-21         1    3.3   36       Boaz   
#[Out]# 14   847  190   63   18  2018-08-21         1    3.3   68      Boris   
#[Out]# 15   847  190   63   18  2018-08-21         1    3.3    7       Bram   
#[Out]# 16   847  190   63   18  2018-08-21         1    3.3   49        Cas   
#[Out]# 17   847  190   63   18  2018-08-21         1    3.3   84     Casper   
#[Out]# 18   847  190   63   18  2018-08-21         1    3.3  163       Cato   
#[Out]# 19   847  190   63   18  2018-08-21         1    3.3    4       Daan   
#[Out]# 20   847  190   63   18  2018-08-21         1    3.3   72       Dani   
#[Out]# 21   847  190   63   18  2018-08-21         1    3.3   34      David   
#[Out]# 22   847  190   63   18  2018-08-21         1    3.3   71       Dean   
#[Out]# 23   847  190   63   18  2018-08-21         1    3.3   17        Dex   
#[Out]# 24   847  190   63   18  2018-08-21         1    3.3   82      Dylan   
#[Out]# 25   847  190   63   18  2018-08-21         1    3.3  162      Elena   
#[Out]# 26   847  190   63   18  2018-08-21         1    3.3  178       Elif   
#[Out]# 27   847  190   63   18  2018-08-21         1    3.3  122       Elin   
#[Out]# 28   847  190   63   18  2018-08-21         1    3.3  177      Eline   
#[Out]# 29   847  190   63   18  2018-08-21         1    3.3  139      Elise   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...   
#[Out]# 159  847  190   63   18  2018-08-21         1    3.3   63       Senn   
#[Out]# 160  847  190   63   18  2018-08-21         1    3.3   28       Siem   
#[Out]# 161  847  190   63   18  2018-08-21         1    3.3   81      Simon   
#[Out]# 162  847  190   63   18  2018-08-21         1    3.3  135      Sofia   
#[Out]# 163  847  190   63   18  2018-08-21         1    3.3  124      Sofie   
#[Out]# 164  847  190   63   18  2018-08-21         1    3.3  133     Sophia   
#[Out]# 165  847  190   63   18  2018-08-21         1    3.3   97     Sophie   
#[Out]# 166  847  190   63   18  2018-08-21         1    3.3   64       Stan   
#[Out]# 167  847  190   63   18  2018-08-21         1    3.3   86       Stef   
#[Out]# 168  847  190   63   18  2018-08-21         1    3.3   35      Stijn   
#[Out]# 169  847  190   63   18  2018-08-21         1    3.3   33       Sven   
#[Out]# 170  847  190   63   18  2018-08-21         1    3.3   96       Tess   
#[Out]# 171  847  190   63   18  2018-08-21         1    3.3  171      Tessa   
#[Out]# 172  847  190   63   18  2018-08-21         1    3.3   30       Teun   
#[Out]# 173  847  190   63   18  2018-08-21         1    3.3   91    Thijmen   
#[Out]# 174  847  190   63   18  2018-08-21         1    3.3   11      Thijs   
#[Out]# 175  847  190   63   18  2018-08-21         1    3.3    9     Thomas   
#[Out]# 176  847  190   63   18  2018-08-21         1    3.3   51       Ties   
#[Out]# 177  847  190   63   18  2018-08-21         1    3.3   42       Tijn   
#[Out]# 178  847  190   63   18  2018-08-21         1    3.3   27        Tim   
#[Out]# 179  847  190   63   18  2018-08-21         1    3.3   56     Tobias   
#[Out]# 180  847  190   63   18  2018-08-21         1    3.3   43        Tom   
#[Out]# 181  847  190   63   18  2018-08-21         1    3.3   48       Tygo   
#[Out]# 182  847  190   63   18  2018-08-21         1    3.3  167     Veerle   
#[Out]# 183  847  190   63   18  2018-08-21         1    3.3  140       Vera   
#[Out]# 184  847  190   63   18  2018-08-21         1    3.3   32      Vince   
#[Out]# 185  847  190   63   18  2018-08-21         1    3.3  184      Wilko   
#[Out]# 186  847  190   63   18  2018-08-21         1    3.3   52     Willem   
#[Out]# 187  847  190   63   18  2018-08-21         1    3.3   47       Xavi   
#[Out]# 188  847  190   63   18  2018-08-21         1    3.3  112       Yara   
#[Out]# 
#[Out]#                    street       city  
#[Out]# 0           Prinsengracht  Amsterdam  
#[Out]# 1             Nieuwstraat  Eindhoven  
#[Out]# 2              Hoogstraat    Utrecht  
#[Out]# 3            Keizerstraat  Rotterdam  
#[Out]# 4            Schoolstraat  Eindhoven  
#[Out]# 5             Parallelweg  Amsterdam  
#[Out]# 6             Parallelweg  Rotterdam  
#[Out]# 7                Dichtweg  Eindhoven  
#[Out]# 8             Karrestraat      Breda  
#[Out]# 9          Gasthuisstraat    Utrecht  
#[Out]# 10            Stationsweg    Tilburg  
#[Out]# 11             Hoogstraat    Utrecht  
#[Out]# 12         Wilhelminapark    Tilburg  
#[Out]# 13   Prins Bernhardstraat  Eindhoven  
#[Out]# 14          Maasboulebard  Rotterdam  
#[Out]# 15           Schoolstraat  Eindhoven  
#[Out]# 16        Sint Annastraat      Breda  
#[Out]# 17           Koningshoeve    Tilburg  
#[Out]# 18           Kastanjelaan    Tilburg  
#[Out]# 19           Kalverstraat  Amsterdam  
#[Out]# 20            Karrestraat      Breda  
#[Out]# 21            Parallelweg    Tilburg  
#[Out]# 22             Pompenburg  Rotterdam  
#[Out]# 23           Kasteeldreef    Tilburg  
#[Out]# 24               Molenweg  Eindhoven  
#[Out]# 25             Bergselaan  Rotterdam  
#[Out]# 26            Parallelweg    Utrecht  
#[Out]# 27            Langestraat    Tilburg  
#[Out]# 28           Kalverstraat  Amsterdam  
#[Out]# 29         Wilhelminapark    Tilburg  
#[Out]# ..                    ...        ...  
#[Out]# 159       Raamschoorseweg      Breda  
#[Out]# 160           Langestraat    Tilburg  
#[Out]# 161           Haringvliet  Rotterdam  
#[Out]# 162             Koestraat    Utrecht  
#[Out]# 163         Keizersgracht  Amsterdam  
#[Out]# 164       Raamschoorseweg      Breda  
#[Out]# 165        Stadhoudersweg  Rotterdam  
#[Out]# 166         Prinsengracht  Amsterdam  
#[Out]# 167           Dorpsstraat  Eindhoven  
#[Out]# 168         Julianastraat    Utrecht  
#[Out]# 169        Ginnekenstraat      Breda  
#[Out]# 170          Willemstraat  Eindhoven  
#[Out]# 171           Haringvliet  Rotterdam  
#[Out]# 172            Oosterkade  Rotterdam  
#[Out]# 173                 Markt  Eindhoven  
#[Out]# 174             Koestraat    Tilburg  
#[Out]# 175           Parallelweg  Amsterdam  
#[Out]# 176         Mauritsstraat  Eindhoven  
#[Out]# 177         Keizersgracht  Amsterdam  
#[Out]# 178             Koestraat    Utrecht  
#[Out]# 179             Eikenlaan    Tilburg  
#[Out]# 180        Stadhoudersweg  Rotterdam  
#[Out]# 181       Raamschoorseweg      Breda  
#[Out]# 182        Ginnekenstraat      Breda  
#[Out]# 183          Kasteeldreef    Tilburg  
#[Out]# 184          Kastanjelaan    Tilburg  
#[Out]# 185          Onbekendeweg  Eindhoven  
#[Out]# 186      Rozemarijnstraat      Breda  
#[Out]# 187         Julianastraat    Utrecht  
#[Out]# 188           Stationsweg    Tilburg  
#[Out]# 
#[Out]# [189 rows x 11 columns]
query2 = '''
    SELECT *
    FROM purchase p, customer c
    Group by cName;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID      cName  \
#[Out]# 0    847  190   63   18  2018-08-21         1    3.3   62       Abel   
#[Out]# 1    847  190   63   18  2018-08-21         1    3.3   12       Adam   
#[Out]# 2    847  190   63   18  2018-08-21         1    3.3   55      Aiden   
#[Out]# 3    847  190   63   18  2018-08-21         1    3.3   76  Alexander   
#[Out]# 4    847  190   63   18  2018-08-21         1    3.3  153      Amber   
#[Out]# 5    847  190   63   18  2018-08-21         1    3.3  176      Amira   
#[Out]# 6    847  190   63   18  2018-08-21         1    3.3  131        Amy   
#[Out]# 7    847  190   63   18  2018-08-21         1    3.3  186     Angela   
#[Out]# 8    847  190   63   18  2018-08-21         1    3.3   99       Anna   
#[Out]# 9    847  190   63   18  2018-08-21         1    3.3  152       Anne   
#[Out]# 10   847  190   63   18  2018-08-21         1    3.3   21   Benjamin   
#[Out]# 11   847  190   63   18  2018-08-21         1    3.3  154     Benthe   
#[Out]# 12   847  190   63   18  2018-08-21         1    3.3  142         Bo   
#[Out]# 13   847  190   63   18  2018-08-21         1    3.3   36       Boaz   
#[Out]# 14   847  190   63   18  2018-08-21         1    3.3   68      Boris   
#[Out]# 15   847  190   63   18  2018-08-21         1    3.3    7       Bram   
#[Out]# 16   847  190   63   18  2018-08-21         1    3.3   49        Cas   
#[Out]# 17   847  190   63   18  2018-08-21         1    3.3   84     Casper   
#[Out]# 18   847  190   63   18  2018-08-21         1    3.3  163       Cato   
#[Out]# 19   847  190   63   18  2018-08-21         1    3.3    4       Daan   
#[Out]# 20   847  190   63   18  2018-08-21         1    3.3   72       Dani   
#[Out]# 21   847  190   63   18  2018-08-21         1    3.3   34      David   
#[Out]# 22   847  190   63   18  2018-08-21         1    3.3   71       Dean   
#[Out]# 23   847  190   63   18  2018-08-21         1    3.3   17        Dex   
#[Out]# 24   847  190   63   18  2018-08-21         1    3.3   82      Dylan   
#[Out]# 25   847  190   63   18  2018-08-21         1    3.3  162      Elena   
#[Out]# 26   847  190   63   18  2018-08-21         1    3.3  178       Elif   
#[Out]# 27   847  190   63   18  2018-08-21         1    3.3  122       Elin   
#[Out]# 28   847  190   63   18  2018-08-21         1    3.3  177      Eline   
#[Out]# 29   847  190   63   18  2018-08-21         1    3.3  139      Elise   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...   
#[Out]# 159  847  190   63   18  2018-08-21         1    3.3   63       Senn   
#[Out]# 160  847  190   63   18  2018-08-21         1    3.3   28       Siem   
#[Out]# 161  847  190   63   18  2018-08-21         1    3.3   81      Simon   
#[Out]# 162  847  190   63   18  2018-08-21         1    3.3  135      Sofia   
#[Out]# 163  847  190   63   18  2018-08-21         1    3.3  124      Sofie   
#[Out]# 164  847  190   63   18  2018-08-21         1    3.3  133     Sophia   
#[Out]# 165  847  190   63   18  2018-08-21         1    3.3   97     Sophie   
#[Out]# 166  847  190   63   18  2018-08-21         1    3.3   64       Stan   
#[Out]# 167  847  190   63   18  2018-08-21         1    3.3   86       Stef   
#[Out]# 168  847  190   63   18  2018-08-21         1    3.3   35      Stijn   
#[Out]# 169  847  190   63   18  2018-08-21         1    3.3   33       Sven   
#[Out]# 170  847  190   63   18  2018-08-21         1    3.3   96       Tess   
#[Out]# 171  847  190   63   18  2018-08-21         1    3.3  171      Tessa   
#[Out]# 172  847  190   63   18  2018-08-21         1    3.3   30       Teun   
#[Out]# 173  847  190   63   18  2018-08-21         1    3.3   91    Thijmen   
#[Out]# 174  847  190   63   18  2018-08-21         1    3.3   11      Thijs   
#[Out]# 175  847  190   63   18  2018-08-21         1    3.3    9     Thomas   
#[Out]# 176  847  190   63   18  2018-08-21         1    3.3   51       Ties   
#[Out]# 177  847  190   63   18  2018-08-21         1    3.3   42       Tijn   
#[Out]# 178  847  190   63   18  2018-08-21         1    3.3   27        Tim   
#[Out]# 179  847  190   63   18  2018-08-21         1    3.3   56     Tobias   
#[Out]# 180  847  190   63   18  2018-08-21         1    3.3   43        Tom   
#[Out]# 181  847  190   63   18  2018-08-21         1    3.3   48       Tygo   
#[Out]# 182  847  190   63   18  2018-08-21         1    3.3  167     Veerle   
#[Out]# 183  847  190   63   18  2018-08-21         1    3.3  140       Vera   
#[Out]# 184  847  190   63   18  2018-08-21         1    3.3   32      Vince   
#[Out]# 185  847  190   63   18  2018-08-21         1    3.3  184      Wilko   
#[Out]# 186  847  190   63   18  2018-08-21         1    3.3   52     Willem   
#[Out]# 187  847  190   63   18  2018-08-21         1    3.3   47       Xavi   
#[Out]# 188  847  190   63   18  2018-08-21         1    3.3  112       Yara   
#[Out]# 
#[Out]#                    street       city  
#[Out]# 0           Prinsengracht  Amsterdam  
#[Out]# 1             Nieuwstraat  Eindhoven  
#[Out]# 2              Hoogstraat    Utrecht  
#[Out]# 3            Keizerstraat  Rotterdam  
#[Out]# 4            Schoolstraat  Eindhoven  
#[Out]# 5             Parallelweg  Amsterdam  
#[Out]# 6             Parallelweg  Rotterdam  
#[Out]# 7                Dichtweg  Eindhoven  
#[Out]# 8             Karrestraat      Breda  
#[Out]# 9          Gasthuisstraat    Utrecht  
#[Out]# 10            Stationsweg    Tilburg  
#[Out]# 11             Hoogstraat    Utrecht  
#[Out]# 12         Wilhelminapark    Tilburg  
#[Out]# 13   Prins Bernhardstraat  Eindhoven  
#[Out]# 14          Maasboulebard  Rotterdam  
#[Out]# 15           Schoolstraat  Eindhoven  
#[Out]# 16        Sint Annastraat      Breda  
#[Out]# 17           Koningshoeve    Tilburg  
#[Out]# 18           Kastanjelaan    Tilburg  
#[Out]# 19           Kalverstraat  Amsterdam  
#[Out]# 20            Karrestraat      Breda  
#[Out]# 21            Parallelweg    Tilburg  
#[Out]# 22             Pompenburg  Rotterdam  
#[Out]# 23           Kasteeldreef    Tilburg  
#[Out]# 24               Molenweg  Eindhoven  
#[Out]# 25             Bergselaan  Rotterdam  
#[Out]# 26            Parallelweg    Utrecht  
#[Out]# 27            Langestraat    Tilburg  
#[Out]# 28           Kalverstraat  Amsterdam  
#[Out]# 29         Wilhelminapark    Tilburg  
#[Out]# ..                    ...        ...  
#[Out]# 159       Raamschoorseweg      Breda  
#[Out]# 160           Langestraat    Tilburg  
#[Out]# 161           Haringvliet  Rotterdam  
#[Out]# 162             Koestraat    Utrecht  
#[Out]# 163         Keizersgracht  Amsterdam  
#[Out]# 164       Raamschoorseweg      Breda  
#[Out]# 165        Stadhoudersweg  Rotterdam  
#[Out]# 166         Prinsengracht  Amsterdam  
#[Out]# 167           Dorpsstraat  Eindhoven  
#[Out]# 168         Julianastraat    Utrecht  
#[Out]# 169        Ginnekenstraat      Breda  
#[Out]# 170          Willemstraat  Eindhoven  
#[Out]# 171           Haringvliet  Rotterdam  
#[Out]# 172            Oosterkade  Rotterdam  
#[Out]# 173                 Markt  Eindhoven  
#[Out]# 174             Koestraat    Tilburg  
#[Out]# 175           Parallelweg  Amsterdam  
#[Out]# 176         Mauritsstraat  Eindhoven  
#[Out]# 177         Keizersgracht  Amsterdam  
#[Out]# 178             Koestraat    Utrecht  
#[Out]# 179             Eikenlaan    Tilburg  
#[Out]# 180        Stadhoudersweg  Rotterdam  
#[Out]# 181       Raamschoorseweg      Breda  
#[Out]# 182        Ginnekenstraat      Breda  
#[Out]# 183          Kasteeldreef    Tilburg  
#[Out]# 184          Kastanjelaan    Tilburg  
#[Out]# 185          Onbekendeweg  Eindhoven  
#[Out]# 186      Rozemarijnstraat      Breda  
#[Out]# 187         Julianastraat    Utrecht  
#[Out]# 188           Stationsweg    Tilburg  
#[Out]# 
#[Out]# [189 rows x 11 columns]
query2 = '''
    SELECT *
    FROM customer c
    Group by cName;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID      cName                street       city
#[Out]# 0     62       Abel         Prinsengracht  Amsterdam
#[Out]# 1     12       Adam           Nieuwstraat  Eindhoven
#[Out]# 2     55      Aiden            Hoogstraat    Utrecht
#[Out]# 3     76  Alexander          Keizerstraat  Rotterdam
#[Out]# 4    153      Amber          Schoolstraat  Eindhoven
#[Out]# 5    176      Amira           Parallelweg  Amsterdam
#[Out]# 6    131        Amy           Parallelweg  Rotterdam
#[Out]# 7    186     Angela              Dichtweg  Eindhoven
#[Out]# 8     99       Anna           Karrestraat      Breda
#[Out]# 9    152       Anne        Gasthuisstraat    Utrecht
#[Out]# 10    21   Benjamin           Stationsweg    Tilburg
#[Out]# 11   154     Benthe            Hoogstraat    Utrecht
#[Out]# 12   142         Bo        Wilhelminapark    Tilburg
#[Out]# 13    36       Boaz  Prins Bernhardstraat  Eindhoven
#[Out]# 14    68      Boris         Maasboulebard  Rotterdam
#[Out]# 15     7       Bram          Schoolstraat  Eindhoven
#[Out]# 16    49        Cas       Sint Annastraat      Breda
#[Out]# 17    84     Casper          Koningshoeve    Tilburg
#[Out]# 18   163       Cato          Kastanjelaan    Tilburg
#[Out]# 19     4       Daan          Kalverstraat  Amsterdam
#[Out]# 20    72       Dani           Karrestraat      Breda
#[Out]# 21    34      David           Parallelweg    Tilburg
#[Out]# 22    71       Dean            Pompenburg  Rotterdam
#[Out]# 23    17        Dex          Kasteeldreef    Tilburg
#[Out]# 24    82      Dylan              Molenweg  Eindhoven
#[Out]# 25   162      Elena            Bergselaan  Rotterdam
#[Out]# 26   178       Elif           Parallelweg    Utrecht
#[Out]# 27   122       Elin           Langestraat    Tilburg
#[Out]# 28   177      Eline          Kalverstraat  Amsterdam
#[Out]# 29   139      Elise        Wilhelminapark    Tilburg
#[Out]# ..   ...        ...                   ...        ...
#[Out]# 159   63       Senn       Raamschoorseweg      Breda
#[Out]# 160   28       Siem           Langestraat    Tilburg
#[Out]# 161   81      Simon           Haringvliet  Rotterdam
#[Out]# 162  135      Sofia             Koestraat    Utrecht
#[Out]# 163  124      Sofie         Keizersgracht  Amsterdam
#[Out]# 164  133     Sophia       Raamschoorseweg      Breda
#[Out]# 165   97     Sophie        Stadhoudersweg  Rotterdam
#[Out]# 166   64       Stan         Prinsengracht  Amsterdam
#[Out]# 167   86       Stef           Dorpsstraat  Eindhoven
#[Out]# 168   35      Stijn         Julianastraat    Utrecht
#[Out]# 169   33       Sven        Ginnekenstraat      Breda
#[Out]# 170   96       Tess          Willemstraat  Eindhoven
#[Out]# 171  171      Tessa           Haringvliet  Rotterdam
#[Out]# 172   30       Teun            Oosterkade  Rotterdam
#[Out]# 173   91    Thijmen                 Markt  Eindhoven
#[Out]# 174   11      Thijs             Koestraat    Tilburg
#[Out]# 175    9     Thomas           Parallelweg  Amsterdam
#[Out]# 176   51       Ties         Mauritsstraat  Eindhoven
#[Out]# 177   42       Tijn         Keizersgracht  Amsterdam
#[Out]# 178   27        Tim             Koestraat    Utrecht
#[Out]# 179   56     Tobias             Eikenlaan    Tilburg
#[Out]# 180   43        Tom        Stadhoudersweg  Rotterdam
#[Out]# 181   48       Tygo       Raamschoorseweg      Breda
#[Out]# 182  167     Veerle        Ginnekenstraat      Breda
#[Out]# 183  140       Vera          Kasteeldreef    Tilburg
#[Out]# 184   32      Vince          Kastanjelaan    Tilburg
#[Out]# 185  184      Wilko          Onbekendeweg  Eindhoven
#[Out]# 186   52     Willem      Rozemarijnstraat      Breda
#[Out]# 187   47       Xavi         Julianastraat    Utrecht
#[Out]# 188  112       Yara           Stationsweg    Tilburg
#[Out]# 
#[Out]# [189 rows x 4 columns]
query2 = '''
    SELECT *
    FROM purchase p, customer c
    Group by cName;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID      cName  \
#[Out]# 0    847  190   63   18  2018-08-21         1    3.3   62       Abel   
#[Out]# 1    847  190   63   18  2018-08-21         1    3.3   12       Adam   
#[Out]# 2    847  190   63   18  2018-08-21         1    3.3   55      Aiden   
#[Out]# 3    847  190   63   18  2018-08-21         1    3.3   76  Alexander   
#[Out]# 4    847  190   63   18  2018-08-21         1    3.3  153      Amber   
#[Out]# 5    847  190   63   18  2018-08-21         1    3.3  176      Amira   
#[Out]# 6    847  190   63   18  2018-08-21         1    3.3  131        Amy   
#[Out]# 7    847  190   63   18  2018-08-21         1    3.3  186     Angela   
#[Out]# 8    847  190   63   18  2018-08-21         1    3.3   99       Anna   
#[Out]# 9    847  190   63   18  2018-08-21         1    3.3  152       Anne   
#[Out]# 10   847  190   63   18  2018-08-21         1    3.3   21   Benjamin   
#[Out]# 11   847  190   63   18  2018-08-21         1    3.3  154     Benthe   
#[Out]# 12   847  190   63   18  2018-08-21         1    3.3  142         Bo   
#[Out]# 13   847  190   63   18  2018-08-21         1    3.3   36       Boaz   
#[Out]# 14   847  190   63   18  2018-08-21         1    3.3   68      Boris   
#[Out]# 15   847  190   63   18  2018-08-21         1    3.3    7       Bram   
#[Out]# 16   847  190   63   18  2018-08-21         1    3.3   49        Cas   
#[Out]# 17   847  190   63   18  2018-08-21         1    3.3   84     Casper   
#[Out]# 18   847  190   63   18  2018-08-21         1    3.3  163       Cato   
#[Out]# 19   847  190   63   18  2018-08-21         1    3.3    4       Daan   
#[Out]# 20   847  190   63   18  2018-08-21         1    3.3   72       Dani   
#[Out]# 21   847  190   63   18  2018-08-21         1    3.3   34      David   
#[Out]# 22   847  190   63   18  2018-08-21         1    3.3   71       Dean   
#[Out]# 23   847  190   63   18  2018-08-21         1    3.3   17        Dex   
#[Out]# 24   847  190   63   18  2018-08-21         1    3.3   82      Dylan   
#[Out]# 25   847  190   63   18  2018-08-21         1    3.3  162      Elena   
#[Out]# 26   847  190   63   18  2018-08-21         1    3.3  178       Elif   
#[Out]# 27   847  190   63   18  2018-08-21         1    3.3  122       Elin   
#[Out]# 28   847  190   63   18  2018-08-21         1    3.3  177      Eline   
#[Out]# 29   847  190   63   18  2018-08-21         1    3.3  139      Elise   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...        ...   
#[Out]# 159  847  190   63   18  2018-08-21         1    3.3   63       Senn   
#[Out]# 160  847  190   63   18  2018-08-21         1    3.3   28       Siem   
#[Out]# 161  847  190   63   18  2018-08-21         1    3.3   81      Simon   
#[Out]# 162  847  190   63   18  2018-08-21         1    3.3  135      Sofia   
#[Out]# 163  847  190   63   18  2018-08-21         1    3.3  124      Sofie   
#[Out]# 164  847  190   63   18  2018-08-21         1    3.3  133     Sophia   
#[Out]# 165  847  190   63   18  2018-08-21         1    3.3   97     Sophie   
#[Out]# 166  847  190   63   18  2018-08-21         1    3.3   64       Stan   
#[Out]# 167  847  190   63   18  2018-08-21         1    3.3   86       Stef   
#[Out]# 168  847  190   63   18  2018-08-21         1    3.3   35      Stijn   
#[Out]# 169  847  190   63   18  2018-08-21         1    3.3   33       Sven   
#[Out]# 170  847  190   63   18  2018-08-21         1    3.3   96       Tess   
#[Out]# 171  847  190   63   18  2018-08-21         1    3.3  171      Tessa   
#[Out]# 172  847  190   63   18  2018-08-21         1    3.3   30       Teun   
#[Out]# 173  847  190   63   18  2018-08-21         1    3.3   91    Thijmen   
#[Out]# 174  847  190   63   18  2018-08-21         1    3.3   11      Thijs   
#[Out]# 175  847  190   63   18  2018-08-21         1    3.3    9     Thomas   
#[Out]# 176  847  190   63   18  2018-08-21         1    3.3   51       Ties   
#[Out]# 177  847  190   63   18  2018-08-21         1    3.3   42       Tijn   
#[Out]# 178  847  190   63   18  2018-08-21         1    3.3   27        Tim   
#[Out]# 179  847  190   63   18  2018-08-21         1    3.3   56     Tobias   
#[Out]# 180  847  190   63   18  2018-08-21         1    3.3   43        Tom   
#[Out]# 181  847  190   63   18  2018-08-21         1    3.3   48       Tygo   
#[Out]# 182  847  190   63   18  2018-08-21         1    3.3  167     Veerle   
#[Out]# 183  847  190   63   18  2018-08-21         1    3.3  140       Vera   
#[Out]# 184  847  190   63   18  2018-08-21         1    3.3   32      Vince   
#[Out]# 185  847  190   63   18  2018-08-21         1    3.3  184      Wilko   
#[Out]# 186  847  190   63   18  2018-08-21         1    3.3   52     Willem   
#[Out]# 187  847  190   63   18  2018-08-21         1    3.3   47       Xavi   
#[Out]# 188  847  190   63   18  2018-08-21         1    3.3  112       Yara   
#[Out]# 
#[Out]#                    street       city  
#[Out]# 0           Prinsengracht  Amsterdam  
#[Out]# 1             Nieuwstraat  Eindhoven  
#[Out]# 2              Hoogstraat    Utrecht  
#[Out]# 3            Keizerstraat  Rotterdam  
#[Out]# 4            Schoolstraat  Eindhoven  
#[Out]# 5             Parallelweg  Amsterdam  
#[Out]# 6             Parallelweg  Rotterdam  
#[Out]# 7                Dichtweg  Eindhoven  
#[Out]# 8             Karrestraat      Breda  
#[Out]# 9          Gasthuisstraat    Utrecht  
#[Out]# 10            Stationsweg    Tilburg  
#[Out]# 11             Hoogstraat    Utrecht  
#[Out]# 12         Wilhelminapark    Tilburg  
#[Out]# 13   Prins Bernhardstraat  Eindhoven  
#[Out]# 14          Maasboulebard  Rotterdam  
#[Out]# 15           Schoolstraat  Eindhoven  
#[Out]# 16        Sint Annastraat      Breda  
#[Out]# 17           Koningshoeve    Tilburg  
#[Out]# 18           Kastanjelaan    Tilburg  
#[Out]# 19           Kalverstraat  Amsterdam  
#[Out]# 20            Karrestraat      Breda  
#[Out]# 21            Parallelweg    Tilburg  
#[Out]# 22             Pompenburg  Rotterdam  
#[Out]# 23           Kasteeldreef    Tilburg  
#[Out]# 24               Molenweg  Eindhoven  
#[Out]# 25             Bergselaan  Rotterdam  
#[Out]# 26            Parallelweg    Utrecht  
#[Out]# 27            Langestraat    Tilburg  
#[Out]# 28           Kalverstraat  Amsterdam  
#[Out]# 29         Wilhelminapark    Tilburg  
#[Out]# ..                    ...        ...  
#[Out]# 159       Raamschoorseweg      Breda  
#[Out]# 160           Langestraat    Tilburg  
#[Out]# 161           Haringvliet  Rotterdam  
#[Out]# 162             Koestraat    Utrecht  
#[Out]# 163         Keizersgracht  Amsterdam  
#[Out]# 164       Raamschoorseweg      Breda  
#[Out]# 165        Stadhoudersweg  Rotterdam  
#[Out]# 166         Prinsengracht  Amsterdam  
#[Out]# 167           Dorpsstraat  Eindhoven  
#[Out]# 168         Julianastraat    Utrecht  
#[Out]# 169        Ginnekenstraat      Breda  
#[Out]# 170          Willemstraat  Eindhoven  
#[Out]# 171           Haringvliet  Rotterdam  
#[Out]# 172            Oosterkade  Rotterdam  
#[Out]# 173                 Markt  Eindhoven  
#[Out]# 174             Koestraat    Tilburg  
#[Out]# 175           Parallelweg  Amsterdam  
#[Out]# 176         Mauritsstraat  Eindhoven  
#[Out]# 177         Keizersgracht  Amsterdam  
#[Out]# 178             Koestraat    Utrecht  
#[Out]# 179             Eikenlaan    Tilburg  
#[Out]# 180        Stadhoudersweg  Rotterdam  
#[Out]# 181       Raamschoorseweg      Breda  
#[Out]# 182        Ginnekenstraat      Breda  
#[Out]# 183          Kasteeldreef    Tilburg  
#[Out]# 184          Kastanjelaan    Tilburg  
#[Out]# 185          Onbekendeweg  Eindhoven  
#[Out]# 186      Rozemarijnstraat      Breda  
#[Out]# 187         Julianastraat    Utrecht  
#[Out]# 188           Stationsweg    Tilburg  
#[Out]# 
#[Out]# [189 rows x 11 columns]
query2 = '''
    (SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID)
    UNION
    (SELECT c2.cID, c2.cName
    FROM purchase p, customer c2
    WHERE p.pName = 'Coffee' AND c2.cID = p.cID);
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    (SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID)
    UNION
    (SELECT c2.cID, c2.cName
    FROM purchase p, customer c2
    WHERE p.pName = 'Coffee' AND c2.cID = p.cID)
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    (SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID)
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    (SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID)
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    (SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID);
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c1.cID, c1.cName
    FROM purchase p, customer c1
    WHERE p.pName = 'Onions' AND c1.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c1.cID, c1.cName
    FROM purchase p, customer ca
    WHERE p.pName = 'Onions' AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c1.cID, c1.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c1.cID, c1.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECTca.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cName
    FROM purchase p, customer ca
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM customer ca, purchase p
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM customer ca, purchase p
    WHERE p.pName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM customer ca, purchase p
    WHERE p.cName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM customer ca, purchase p
    WHERE p.cName = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT ca.cID, ca.cName
    FROM customer ca, purchase p
    WHERE p.pID = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT cID, cName
    FROM customer ca, purchase p
    WHERE p.pID = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT *
    FROM customer ca, purchase p
    WHERE p.pID = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
query2 = '''
    SELECT ca
    FROM customer ca, purchase p
    WHERE p.pID = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cName
    FROM customer ca, purchase p
    WHERE p.pID = "Onions" AND ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cName]
#[Out]# Index: []
query2 = '''
    SELECT cName
    FROM customer ca, purchase p
    WHERE ca.cID = p.cID;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#       cName
#[Out]# 0      Noah
#[Out]# 1       Sem
#[Out]# 2       Sem
#[Out]# 3       Sem
#[Out]# 4       Sem
#[Out]# 5       Sem
#[Out]# 6       Sem
#[Out]# 7       Sem
#[Out]# 8     Lucas
#[Out]# 9     Lucas
#[Out]# 10    Lucas
#[Out]# 11    Lucas
#[Out]# 12    Lucas
#[Out]# 13     Finn
#[Out]# 14     Finn
#[Out]# 15     Finn
#[Out]# 16     Daan
#[Out]# 17     Daan
#[Out]# 18     Daan
#[Out]# 19     Daan
#[Out]# 20     Daan
#[Out]# 21     Daan
#[Out]# 22     Levi
#[Out]# 23     Levi
#[Out]# 24     Levi
#[Out]# 25     Levi
#[Out]# 26     Levi
#[Out]# 27     Levi
#[Out]# 28     Bram
#[Out]# 29     Bram
#[Out]# ..      ...
#[Out]# 479  Kostas
#[Out]# 480  Kostas
#[Out]# 481  Kostas
#[Out]# 482  Kostas
#[Out]# 483  Kostas
#[Out]# 484  Kostas
#[Out]# 485  Kostas
#[Out]# 486  Kostas
#[Out]# 487  Kostas
#[Out]# 488  Kostas
#[Out]# 489  Kostas
#[Out]# 490  Kostas
#[Out]# 491  Kostas
#[Out]# 492  Kostas
#[Out]# 493  Kostas
#[Out]# 494  Kostas
#[Out]# 495  Kostas
#[Out]# 496  Kostas
#[Out]# 497  Kostas
#[Out]# 498  Kostas
#[Out]# 499  Kostas
#[Out]# 500  Kostas
#[Out]# 501  Kostas
#[Out]# 502  Kostas
#[Out]# 503  Kostas
#[Out]# 504  Kostas
#[Out]# 505  Kostas
#[Out]# 506  Kostas
#[Out]# 507  Kostas
#[Out]# 508  Kostas
#[Out]# 
#[Out]# [509 rows x 1 columns]
query2 = '''
    SELECT cName
    FROM customer ca, purchase p
    WHERE p.pID = 'Onions' AND ca.cID = p.cID
   
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cName]
#[Out]# Index: []
query3 = '''
    SELECT *
    FROM purchase;
'''

pd.read_sql_query(query3, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query2 = '''
    SELECT cName
    FROM customer ca, purchase p, product pr
    WHERE pr.pName = 'Onions' AND ca.cID = p.cID AND pr.pID = p.pID
   
    
'''

pd.read_sql_query(query2, conn)
#[Out]#       cName
#[Out]# 0     Lucas
#[Out]# 1     Ruben
#[Out]# 2   Olivier
#[Out]# 3      Sven
#[Out]# 4    Willem
#[Out]# 5      Joep
#[Out]# 6    Pieter
#[Out]# 7     Sofie
#[Out]# 8     Esmee
#[Out]# 9     Elena
#[Out]# 10    Hanna
#[Out]# 11     Lily
#[Out]# 12     Lana
#[Out]# 13    Amira
#[Out]# 14    Eline
#[Out]# 15   Kostas
query2 = '''
    SELECT *
    FROM customer ca, purchase p, product pr
    WHERE pr.pName = 'Onions' AND ca.cID = p.cID AND pr.pID = p.pID
   
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0     2    Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 1    29    Ruben          Hofplein  Rotterdam   94   29   29    4  2018-08-24   
#[Out]# 2    31  Olivier     Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 3    33     Sven    Ginnekenstraat      Breda  108   33   29    4  2018-08-18   
#[Out]# 4    52   Willem  Rozemarijnstraat      Breda  160   52    3    4  2018-08-25   
#[Out]# 5    59     Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 6    85   Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 7   124    Sofie     Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 8   129    Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 9   162    Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 10  165    Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 11  169     Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 12  172     Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 13  176    Amira       Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 14  177    Eline      Kalverstraat  Amsterdam  457  177   51    4  2018-08-22   
#[Out]# 15  190   Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#     quantity  price  pID   pName suffix  
#[Out]# 0          6   1.10    4  Onions         
#[Out]# 1          3   0.95    4  Onions         
#[Out]# 2          9   0.90    4  Onions         
#[Out]# 3          2   1.15    4  Onions         
#[Out]# 4          3   0.90    4  Onions         
#[Out]# 5          5   1.05    4  Onions         
#[Out]# 6          1   0.85    4  Onions         
#[Out]# 7          4   1.10    4  Onions         
#[Out]# 8          7   1.10    4  Onions         
#[Out]# 9          5   1.05    4  Onions         
#[Out]# 10         8   0.95    4  Onions         
#[Out]# 11         3   1.10    4  Onions         
#[Out]# 12         4   0.90    4  Onions         
#[Out]# 13         7   0.90    4  Onions         
#[Out]# 14         6   1.10    4  Onions         
#[Out]# 15         1   2.40    4  Onions         
query2 = '''
    SELECT *
    FROM customer ca, purchase p, product pr
    WHERE pr.pName = 'Onions' AND ca.cID = p.cID AND pr.pID = p.pID
    Group by date;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0    2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 1   85  Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 2  169    Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 3  162   Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 4  177   Eline      Kalverstraat  Amsterdam  457  177   51    4  2018-08-22   
#[Out]# 5  165   Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 6  129   Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 7   59    Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 8  190  Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 9  172    Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         6   1.10    4  Onions         
#[Out]# 1         1   0.85    4  Onions         
#[Out]# 2         3   1.10    4  Onions         
#[Out]# 3         5   1.05    4  Onions         
#[Out]# 4         6   1.10    4  Onions         
#[Out]# 5         8   0.95    4  Onions         
#[Out]# 6         7   1.10    4  Onions         
#[Out]# 7         5   1.05    4  Onions         
#[Out]# 8         1   2.40    4  Onions         
#[Out]# 9         4   0.90    4  Onions         
query2 = '''
    SELECT cName
    FROM customer ca, purchase p, product pr
    WHERE pr.pName = 'Onions' AND ca.cID = p.cID AND pr.pID = p.pID
    Group by date;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cName
#[Out]# 0   Lucas
#[Out]# 1  Pieter
#[Out]# 2    Lily
#[Out]# 3   Elena
#[Out]# 4   Eline
#[Out]# 5   Hanna
#[Out]# 6   Esmee
#[Out]# 7    Joep
#[Out]# 8  Kostas
#[Out]# 9    Lana
query2 = '''
    SELECT *
    FROM customer ca, purchase p, product pr
    WHERE pr.pName = 'Onions' AND ca.cID = p.cID AND pr.pID = p.pID
    Group by date;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0    2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 1   85  Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 2  169    Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 3  162   Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 4  177   Eline      Kalverstraat  Amsterdam  457  177   51    4  2018-08-22   
#[Out]# 5  165   Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 6  129   Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 7   59    Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 8  190  Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 9  172    Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         6   1.10    4  Onions         
#[Out]# 1         1   0.85    4  Onions         
#[Out]# 2         3   1.10    4  Onions         
#[Out]# 3         5   1.05    4  Onions         
#[Out]# 4         6   1.10    4  Onions         
#[Out]# 5         8   0.95    4  Onions         
#[Out]# 6         7   1.10    4  Onions         
#[Out]# 7         5   1.05    4  Onions         
#[Out]# 8         1   2.40    4  Onions         
#[Out]# 9         4   0.90    4  Onions         
query2 = '''
    SELECT cName
    FROM customer c, purchase p, product pr
    WHERE pr.pName = 'Onions' AND c.cID = p.cID AND pr.pID = p.pID
    UNION 
    SELECT cName
    FROM customer c, purchase p1, product pr1
    WHERE pr1.pName = 'Coffee' AND c.cID = p1.cID AND pr1.pID = p1.pID
    
'''

pd.read_sql_query(query2, conn)
#[Out]#       cName
#[Out]# 0     Amira
#[Out]# 1      Anne
#[Out]# 2     Dylan
#[Out]# 3     Elena
#[Out]# 4      Elin
#[Out]# 5     Eline
#[Out]# 6     Esmee
#[Out]# 7     Hanna
#[Out]# 8     Jelte
#[Out]# 9      Joep
#[Out]# 10   Julian
#[Out]# 11   Kostas
#[Out]# 12     Lana
#[Out]# 13   Lauren
#[Out]# 14     Lily
#[Out]# 15     Liva
#[Out]# 16    Lucas
#[Out]# 17     Noor
#[Out]# 18  Olivier
#[Out]# 19   Pieter
#[Out]# 20    Ruben
#[Out]# 21     Saar
#[Out]# 22      Sam
#[Out]# 23    Sofie
#[Out]# 24   Sophie
#[Out]# 25     Stef
#[Out]# 26     Sven
#[Out]# 27    Tessa
#[Out]# 28     Tijn
#[Out]# 29   Willem
query2 = '''
    SELECT cName
    FROM customer c, purchase p, product pr
    WHERE pr.pName = 'Onions' AND c.cID = p.cID AND pr.pID = p.pID
    UNION 
    SELECT cName
    FROM customer c, purchase p1, product pr1
    WHERE pr1.pName = 'Coffee' AND c.cID = p1.cID AND pr1.pID = p1.pID;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#       cName
#[Out]# 0     Amira
#[Out]# 1      Anne
#[Out]# 2     Dylan
#[Out]# 3     Elena
#[Out]# 4      Elin
#[Out]# 5     Eline
#[Out]# 6     Esmee
#[Out]# 7     Hanna
#[Out]# 8     Jelte
#[Out]# 9      Joep
#[Out]# 10   Julian
#[Out]# 11   Kostas
#[Out]# 12     Lana
#[Out]# 13   Lauren
#[Out]# 14     Lily
#[Out]# 15     Liva
#[Out]# 16    Lucas
#[Out]# 17     Noor
#[Out]# 18  Olivier
#[Out]# 19   Pieter
#[Out]# 20    Ruben
#[Out]# 21     Saar
#[Out]# 22      Sam
#[Out]# 23    Sofie
#[Out]# 24   Sophie
#[Out]# 25     Stef
#[Out]# 26     Sven
#[Out]# 27    Tessa
#[Out]# 28     Tijn
#[Out]# 29   Willem
query3 = '''
    select cName
    From customer
    
'''

pd.read_sql_query(query3, conn)
#[Out]#         cName
#[Out]# 0        Noah
#[Out]# 1         Sem
#[Out]# 2       Lucas
#[Out]# 3        Finn
#[Out]# 4        Daan
#[Out]# 5        Levi
#[Out]# 6       Milan
#[Out]# 7        Bram
#[Out]# 8        Liam
#[Out]# 9      Thomas
#[Out]# 10        Sam
#[Out]# 11      Thijs
#[Out]# 12       Adam
#[Out]# 13      James
#[Out]# 14        Max
#[Out]# 15       Noud
#[Out]# 16     Julian
#[Out]# 17        Dex
#[Out]# 18       Hugo
#[Out]# 19       Lars
#[Out]# 20       Gijs
#[Out]# 21   Benjamin
#[Out]# 22       Mats
#[Out]# 23        Jan
#[Out]# 24       Luca
#[Out]# 25      Mason
#[Out]# 26     Jayden
#[Out]# 27        Tim
#[Out]# 28       Siem
#[Out]# 29      Ruben
#[Out]# ..        ...
#[Out]# 160      Lara
#[Out]# 161     Floor
#[Out]# 162     Elena
#[Out]# 163      Cato
#[Out]# 164       Evy
#[Out]# 165     Hanna
#[Out]# 166   Rosalie
#[Out]# 167    Veerle
#[Out]# 168      Kiki
#[Out]# 169      Lily
#[Out]# 170      Iris
#[Out]# 171     Tessa
#[Out]# 172      Lana
#[Out]# 173     Livia
#[Out]# 174      Romy
#[Out]# 175       Sam
#[Out]# 176     Amira
#[Out]# 177     Eline
#[Out]# 178      Elif
#[Out]# 179      Juul
#[Out]# 180     Merel
#[Out]# 181      Liva
#[Out]# 182   Johanna
#[Out]# 183     Nikki
#[Out]# 184     Wilko
#[Out]# 185      Nick
#[Out]# 186    Angela
#[Out]# 187      Pino
#[Out]# 188      Koen
#[Out]# 189    Kostas
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    
    SELECT *
    FROM customer c, purchase p, product pr
    WHERE pr.pName = 'Onions' AND c.cID = p.cID AND pr.pID = p.pID
    UNION 
    SELECT *
    FROM customer c, purchase p1, product pr1
    WHERE pr1.pName = 'Coffee' AND c.cID = p1.cID AND pr1.pID = p1.pID;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
query2 = '''
    
    SELECT *
    FROM customer c, purchase p, product pr
    WHERE pr.pName = 'Onions' AND c.cID = p.cID AND pr.pID = p.pID
    INTERSECT 
    SELECT *
    FROM customer c, purchase p1, product pr1
    WHERE pr1.pName = 'Coffee' AND c.cID = p1.cID AND pr1.pID = p1.pID;
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
query2 = '''
    
    SELECT cName
    FROM customer c, purchase p, product pr
    WHERE pr.pName = 'Onions' AND c.cID = p.cID AND pr.pID = p.pID
    INTERSECT 
    SELECT cName
    FROM customer c, purchase p1, product pr1
    WHERE pr1.pName = 'Coffee' AND c.cID = p1.cID AND pr1.pID = p1.pID;
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cName
#[Out]# 0   Amira
#[Out]# 1    Joep
#[Out]# 2  Kostas
#[Out]# 3    Lily
#[Out]# 4   Sofie
query2 = '''
    
    SELECT cName
    FROM customer c, purchase p, product p2, product p3, purchase p1 
    WHERE p2.pName = 'Onions' AND p3.pName = 'Coffee' AND c.cID = p.cID AND c.cID = p1.cID AND p.cID = p1.cID AND p.pID = p2.pID 
    AND p1.pID = p3.pID AND p.date = p1.date;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cName
#[Out]# 0   Sofie
#[Out]# 1  Kostas
query2 = '''
    
    SELECT cName, cID
    FROM customer c, purchase p, product p2, product p3, purchase p1 
    WHERE p2.pName = 'Onions' AND p3.pName = 'Coffee' AND c.cID = p.cID AND c.cID = p1.cID AND p.cID = p1.cID AND p.pID = p2.pID 
    AND p1.pID = p3.pID AND p.date = p1.date;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    
    SELECT distinct cName, cID
    FROM customer c, purchase p, product p2, product p3, purchase p1 
    WHERE p2.pName = 'Onions' AND p3.pName = 'Coffee' AND c.cID = p.cID AND c.cID = p1.cID AND p.cID = p1.cID AND p.pID = p2.pID 
    AND p1.pID = p3.pID AND p.date = p1.date;
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    
    SELECT distinct c.cID, c.cName 
    FROM customer c, purchase p, product p2, product p3, purchase p1 
    WHERE p2.pName = 'Onions' AND p3.pName = 'Coffee' AND c.cID = p.cID AND c.cID = p1.cID AND p.cID = p1.cID AND p.pID = p2.pID 
    AND p1.pID = p3.pID AND p.date = p1.date;
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT count(s.sID), p.cID
    FROM purchase p, store s
    WHERE s.sID = p.sID 
    Group by p.cID
    Having count(p.sID) = count(s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#      count(s.sID)  cID
#[Out]# 0               1    0
#[Out]# 1               7    1
#[Out]# 2               5    2
#[Out]# 3               3    3
#[Out]# 4               6    4
#[Out]# 5               6    5
#[Out]# 6               6    7
#[Out]# 7               2    8
#[Out]# 8               1   10
#[Out]# 9               1   11
#[Out]# 10              9   13
#[Out]# 11              1   15
#[Out]# 12             10   16
#[Out]# 13              2   17
#[Out]# 14              3   18
#[Out]# 15              4   19
#[Out]# 16              3   20
#[Out]# 17              3   21
#[Out]# 18              2   22
#[Out]# 19              9   24
#[Out]# 20              1   25
#[Out]# 21              1   26
#[Out]# 22              6   27
#[Out]# 23              1   28
#[Out]# 24              2   29
#[Out]# 25              3   30
#[Out]# 26              2   31
#[Out]# 27              9   33
#[Out]# 28              1   34
#[Out]# 29              2   35
#[Out]# ..            ...  ...
#[Out]# 102             3  147
#[Out]# 103             2  149
#[Out]# 104             2  151
#[Out]# 105             3  152
#[Out]# 106             3  157
#[Out]# 107             2  159
#[Out]# 108            11  161
#[Out]# 109             8  162
#[Out]# 110             4  163
#[Out]# 111             6  165
#[Out]# 112            10  167
#[Out]# 113             1  168
#[Out]# 114            11  169
#[Out]# 115             3  170
#[Out]# 116             2  171
#[Out]# 117             2  172
#[Out]# 118             2  175
#[Out]# 119             6  176
#[Out]# 120             5  177
#[Out]# 121             2  178
#[Out]# 122             6  179
#[Out]# 123             3  180
#[Out]# 124             3  181
#[Out]# 125             4  182
#[Out]# 126             1  184
#[Out]# 127             1  185
#[Out]# 128             1  186
#[Out]# 129             2  188
#[Out]# 130             2  189
#[Out]# 131            64  190
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
    SELECT count(s.sID), p.cID
    FROM purchase p, store s
    WHERE s.sID = p.sID 
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#      count(s.sID)  cID
#[Out]# 0               1    0
#[Out]# 1               7    1
#[Out]# 2               5    2
#[Out]# 3               3    3
#[Out]# 4               6    4
#[Out]# 5               6    5
#[Out]# 6               6    7
#[Out]# 7               2    8
#[Out]# 8               1   10
#[Out]# 9               1   11
#[Out]# 10              1   15
#[Out]# 11             10   16
#[Out]# 12              2   17
#[Out]# 13              3   18
#[Out]# 14              4   19
#[Out]# 15              3   20
#[Out]# 16              3   21
#[Out]# 17              2   22
#[Out]# 18              9   24
#[Out]# 19              1   25
#[Out]# 20              1   26
#[Out]# 21              1   28
#[Out]# 22              2   29
#[Out]# 23              3   30
#[Out]# 24              2   31
#[Out]# 25              9   33
#[Out]# 26              1   34
#[Out]# 27              2   35
#[Out]# 28              2   37
#[Out]# 29              2   38
#[Out]# ..            ...  ...
#[Out]# 86              1  136
#[Out]# 87              1  137
#[Out]# 88              3  139
#[Out]# 89              2  144
#[Out]# 90              1  145
#[Out]# 91              3  147
#[Out]# 92              2  149
#[Out]# 93              2  151
#[Out]# 94              3  152
#[Out]# 95              2  159
#[Out]# 96              8  162
#[Out]# 97              4  163
#[Out]# 98              6  165
#[Out]# 99             10  167
#[Out]# 100             1  168
#[Out]# 101            11  169
#[Out]# 102             3  170
#[Out]# 103             2  171
#[Out]# 104             2  172
#[Out]# 105             2  175
#[Out]# 106             6  176
#[Out]# 107             5  177
#[Out]# 108             2  178
#[Out]# 109             6  179
#[Out]# 110             3  181
#[Out]# 111             1  184
#[Out]# 112             1  185
#[Out]# 113             1  186
#[Out]# 114             2  189
#[Out]# 115            64  190
#[Out]# 
#[Out]# [116 rows x 2 columns]
query3 = '''
    SELECT count(distinct p.sID), p.cID
    FROM purchase p, store s
    WHERE s.sID = p.sID 
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#      count(distinct p.sID)  cID
#[Out]# 0                        1    0
#[Out]# 1                        7    1
#[Out]# 2                        5    2
#[Out]# 3                        3    3
#[Out]# 4                        6    4
#[Out]# 5                        6    5
#[Out]# 6                        6    7
#[Out]# 7                        2    8
#[Out]# 8                        1   10
#[Out]# 9                        1   11
#[Out]# 10                       1   15
#[Out]# 11                      10   16
#[Out]# 12                       2   17
#[Out]# 13                       3   18
#[Out]# 14                       4   19
#[Out]# 15                       3   20
#[Out]# 16                       3   21
#[Out]# 17                       2   22
#[Out]# 18                       9   24
#[Out]# 19                       1   25
#[Out]# 20                       1   26
#[Out]# 21                       1   28
#[Out]# 22                       2   29
#[Out]# 23                       3   30
#[Out]# 24                       2   31
#[Out]# 25                       9   33
#[Out]# 26                       1   34
#[Out]# 27                       2   35
#[Out]# 28                       2   37
#[Out]# 29                       2   38
#[Out]# ..                     ...  ...
#[Out]# 86                       1  136
#[Out]# 87                       1  137
#[Out]# 88                       3  139
#[Out]# 89                       2  144
#[Out]# 90                       1  145
#[Out]# 91                       3  147
#[Out]# 92                       2  149
#[Out]# 93                       2  151
#[Out]# 94                       3  152
#[Out]# 95                       2  159
#[Out]# 96                       8  162
#[Out]# 97                       4  163
#[Out]# 98                       6  165
#[Out]# 99                      10  167
#[Out]# 100                      1  168
#[Out]# 101                     11  169
#[Out]# 102                      3  170
#[Out]# 103                      2  171
#[Out]# 104                      2  172
#[Out]# 105                      2  175
#[Out]# 106                      6  176
#[Out]# 107                      5  177
#[Out]# 108                      2  178
#[Out]# 109                      6  179
#[Out]# 110                      3  181
#[Out]# 111                      1  184
#[Out]# 112                      1  185
#[Out]# 113                      1  186
#[Out]# 114                      2  189
#[Out]# 115                     64  190
#[Out]# 
#[Out]# [116 rows x 2 columns]
query3 = '''
    SELECT count(distinct p.sID), p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [count(distinct p.sID), cID]
#[Out]# Index: []
query3 = '''
    SELECT count(distinct p.sID), p.cID
    FROM purchase p, store s
    Group by p.cID
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      count(distinct p.sID)  cID
#[Out]# 0                        1    0
#[Out]# 1                        7    1
#[Out]# 2                        5    2
#[Out]# 3                        3    3
#[Out]# 4                        6    4
#[Out]# 5                        6    5
#[Out]# 6                        6    7
#[Out]# 7                        2    8
#[Out]# 8                        1   10
#[Out]# 9                        1   11
#[Out]# 10                       7   13
#[Out]# 11                       1   15
#[Out]# 12                      10   16
#[Out]# 13                       2   17
#[Out]# 14                       3   18
#[Out]# 15                       4   19
#[Out]# 16                       3   20
#[Out]# 17                       3   21
#[Out]# 18                       2   22
#[Out]# 19                       9   24
#[Out]# 20                       1   25
#[Out]# 21                       1   26
#[Out]# 22                       5   27
#[Out]# 23                       1   28
#[Out]# 24                       2   29
#[Out]# 25                       3   30
#[Out]# 26                       2   31
#[Out]# 27                       9   33
#[Out]# 28                       1   34
#[Out]# 29                       2   35
#[Out]# ..                     ...  ...
#[Out]# 102                      3  147
#[Out]# 103                      2  149
#[Out]# 104                      2  151
#[Out]# 105                      3  152
#[Out]# 106                      2  157
#[Out]# 107                      2  159
#[Out]# 108                      9  161
#[Out]# 109                      8  162
#[Out]# 110                      4  163
#[Out]# 111                      6  165
#[Out]# 112                     10  167
#[Out]# 113                      1  168
#[Out]# 114                     11  169
#[Out]# 115                      3  170
#[Out]# 116                      2  171
#[Out]# 117                      2  172
#[Out]# 118                      2  175
#[Out]# 119                      6  176
#[Out]# 120                      5  177
#[Out]# 121                      2  178
#[Out]# 122                      6  179
#[Out]# 123                      2  180
#[Out]# 124                      3  181
#[Out]# 125                      3  182
#[Out]# 126                      1  184
#[Out]# 127                      1  185
#[Out]# 128                      1  186
#[Out]# 129                      1  188
#[Out]# 130                      2  189
#[Out]# 131                     64  190
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
    SELECT count(distinct p.sID), p.cID, count(s.sID)
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [count(distinct p.sID), cID, count(s.sID)]
#[Out]# Index: []
query3 = '''
    SELECT count(distinct p.sID), p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [count(distinct p.sID), cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT *
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = count(s.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, sID, sName, street, city]
#[Out]# Index: []
query3 = '''
    SELECT *
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct p.sID) = 64;
'''

pd.read_sql_query(query3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID  sName         street  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   63  Jumbo  Stationstraat   
#[Out]# 
#[Out]#   city  
#[Out]# 0  Oss  
query3 = '''
    SELECT *
    FROM purchase p, store s
    Group by p.cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, sID, sName, street, city]
#[Out]# Index: []
query3 = '''
    SELECT cID
    FROM purchase p, store s
    Group by p.cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID
    FROM purchase p, store s
    Group by cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID
    FROM purchase p, store s
    Group by cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query4 = '''
     SELECT s.sName
    FROM store s, purchase p
    WHERE s.sID = p.sID
    Group by s.sName 
    having AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT pr.pName, s.sName
      FROM store s, purchase p, product pr
      WHERE s.sID = p.sID
      AND p.pID = pr.pID      
      Group by s.sName
      Having MAX(p.price) >= 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
        SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2
    WHERE i1.sID != i2.sID
    AND i1.pID = i2.pID
    AND i1.date = "2018-08-23" AND i2.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
        SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2
    WHERE i1.sID <> i2.sID
    AND i1.pID = i2.pID
    AND i1.date = "2018-08-23" AND i2.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
        SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2
    WHERE i1.sID <> i2.sID
    AND i1.pID = i2.pID
    AND i1.date = "2018-08-23" AND i2.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
        SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory i1, inventory i2
    WHERE i1.sID <> i2.sID
    AND i1.pID = i2.pID
    AND i1.date = "2018-08-23" AND i2.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query3 = '''
    SELECT cID
    FROM purchase p, store s
    Group by cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID
    FROM purchase p, store s
    Group by cID
    Having 64 = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT c.cID
    FROM purchase p, store s
    Group by cID
    Having 64 = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by cID
    Having 64 = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having 64 = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT p.cID
    FROM purchase p, store s
    Group by p.cID
    Having count(distinct s.sID) = count(distinct p.sID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
     SELECT p.cID, p.sID
    FROM purchase p
    GROUP BY p.cID
    HAVING COUNT(DISTINCT p.sID) = 64
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  sID
#[Out]# 0  190   63
