# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x7f82d4f002d0>
query1 = '''
select distinct cID, pID, count(*)
from purchase
group by pID
'''

pd.read_sql_query(query1, conn)
#[Out]#     cID  pID  count(*)
#[Out]# 0   190    0        25
#[Out]# 1   169    1        13
#[Out]# 2   190    2        10
#[Out]# 3   190    3        20
#[Out]# 4   190    4        16
#[Out]# 5   190    5        16
#[Out]# 6   190    6        15
#[Out]# 7   190    7        14
#[Out]# 8   190    8        13
#[Out]# 9   190    9        20
#[Out]# 10  190   10        16
#[Out]# 11  190   11        16
#[Out]# 12  162   12        16
#[Out]# 13  190   13        21
#[Out]# 14  179   14        18
#[Out]# 15  190   15        14
#[Out]# 16  179   16        20
#[Out]# 17  190   17        18
#[Out]# 18  190   18        10
#[Out]# 19  190   19        26
#[Out]# 20  190   20        18
#[Out]# 21  190   21        22
#[Out]# 22  190   22        21
#[Out]# 23  190   23        13
#[Out]# 24  178   24        20
#[Out]# 25  190   25        14
#[Out]# 26  190   26        20
#[Out]# 27  190   27        15
#[Out]# 28  190   28        25
#[Out]# 29  186   29         2
#[Out]# 30  188   30         2
query1 = '''
select distinct cID, pID, count(*)
from purchase
group by pID
having count(*) < 3
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID  pID  count(*)
#[Out]# 0  186   29         2
#[Out]# 1  188   30         2
query1 = '''
select pID from (
    select distinct cID, pID, count(*)
    from purchase
    group by pID
    having count(*) < 3
) a
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
select distinct coffee.cID, cName
from 
(select cID, date
from purchase, product
where pName = "Onions") onions,
(select cID, date
from purchase, product
where pName = "Coffee") coffee,
customer c
where coffee.date == onions.date and coffee.cID == onions.cID and coffee.cID == c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    25     Mason
#[Out]# 21    26    Jayden
#[Out]# 22    27       Tim
#[Out]# 23    28      Siem
#[Out]# 24    29     Ruben
#[Out]# 25    30      Teun
#[Out]# 26    31   Olivier
#[Out]# 27    33      Sven
#[Out]# 28    34     David
#[Out]# 29    35     Stijn
#[Out]# ..   ...       ...
#[Out]# 102  147    Isabel
#[Out]# 103  149     Lizzy
#[Out]# 104  151      Jill
#[Out]# 105  152      Anne
#[Out]# 106  157      Puck
#[Out]# 107  159     Fenne
#[Out]# 108  161     Floor
#[Out]# 109  162     Elena
#[Out]# 110  163      Cato
#[Out]# 111  165     Hanna
#[Out]# 112  167    Veerle
#[Out]# 113  168      Kiki
#[Out]# 114  169      Lily
#[Out]# 115  170      Iris
#[Out]# 116  171     Tessa
#[Out]# 117  172      Lana
#[Out]# 118  175       Sam
#[Out]# 119  176     Amira
#[Out]# 120  177     Eline
#[Out]# 121  178      Elif
#[Out]# 122  179      Juul
#[Out]# 123  180     Merel
#[Out]# 124  181      Liva
#[Out]# 125  182   Johanna
#[Out]# 126  184     Wilko
#[Out]# 127  185      Nick
#[Out]# 128  186    Angela
#[Out]# 129  188      Pino
#[Out]# 130  189      Koen
#[Out]# 131  190    Kostas
#[Out]# 
#[Out]# [132 rows x 2 columns]
query2 = '''
select distinct c.cID, cName
from 
(select cID, date
from purchase, product
where pName = "Onions") onions,
(select cID, date
from purchase, product
where pName = "Coffee") coffee,
customer c
where coffee.date == onions.date and coffee.cID == onions.cID and coffee.cID == c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    25     Mason
#[Out]# 21    26    Jayden
#[Out]# 22    27       Tim
#[Out]# 23    28      Siem
#[Out]# 24    29     Ruben
#[Out]# 25    30      Teun
#[Out]# 26    31   Olivier
#[Out]# 27    33      Sven
#[Out]# 28    34     David
#[Out]# 29    35     Stijn
#[Out]# ..   ...       ...
#[Out]# 102  147    Isabel
#[Out]# 103  149     Lizzy
#[Out]# 104  151      Jill
#[Out]# 105  152      Anne
#[Out]# 106  157      Puck
#[Out]# 107  159     Fenne
#[Out]# 108  161     Floor
#[Out]# 109  162     Elena
#[Out]# 110  163      Cato
#[Out]# 111  165     Hanna
#[Out]# 112  167    Veerle
#[Out]# 113  168      Kiki
#[Out]# 114  169      Lily
#[Out]# 115  170      Iris
#[Out]# 116  171     Tessa
#[Out]# 117  172      Lana
#[Out]# 118  175       Sam
#[Out]# 119  176     Amira
#[Out]# 120  177     Eline
#[Out]# 121  178      Elif
#[Out]# 122  179      Juul
#[Out]# 123  180     Merel
#[Out]# 124  181      Liva
#[Out]# 125  182   Johanna
#[Out]# 126  184     Wilko
#[Out]# 127  185      Nick
#[Out]# 128  186    Angela
#[Out]# 129  188      Pino
#[Out]# 130  189      Koen
#[Out]# 131  190    Kostas
#[Out]# 
#[Out]# [132 rows x 2 columns]
query2 = '''
select distinct c.cID, cName
from 
(select cID, date
from purchase, product
where pName = "Onions") onions,
(select cID, date
from purchase, product
where pName = "Coffee") coffee,
customer c
where coffee.date = onions.date and coffee.cID = onions.cID and coffee.cID = c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    25     Mason
#[Out]# 21    26    Jayden
#[Out]# 22    27       Tim
#[Out]# 23    28      Siem
#[Out]# 24    29     Ruben
#[Out]# 25    30      Teun
#[Out]# 26    31   Olivier
#[Out]# 27    33      Sven
#[Out]# 28    34     David
#[Out]# 29    35     Stijn
#[Out]# ..   ...       ...
#[Out]# 102  147    Isabel
#[Out]# 103  149     Lizzy
#[Out]# 104  151      Jill
#[Out]# 105  152      Anne
#[Out]# 106  157      Puck
#[Out]# 107  159     Fenne
#[Out]# 108  161     Floor
#[Out]# 109  162     Elena
#[Out]# 110  163      Cato
#[Out]# 111  165     Hanna
#[Out]# 112  167    Veerle
#[Out]# 113  168      Kiki
#[Out]# 114  169      Lily
#[Out]# 115  170      Iris
#[Out]# 116  171     Tessa
#[Out]# 117  172      Lana
#[Out]# 118  175       Sam
#[Out]# 119  176     Amira
#[Out]# 120  177     Eline
#[Out]# 121  178      Elif
#[Out]# 122  179      Juul
#[Out]# 123  180     Merel
#[Out]# 124  181      Liva
#[Out]# 125  182   Johanna
#[Out]# 126  184     Wilko
#[Out]# 127  185      Nick
#[Out]# 128  186    Angela
#[Out]# 129  188      Pino
#[Out]# 130  189      Koen
#[Out]# 131  190    Kostas
#[Out]# 
#[Out]# [132 rows x 2 columns]
query2 = '''
select distinct coffee.cID, cName
from 
(select cID, date
from purchase, product
where pName = "Onions" and purchase.pID = product.pID) onions,
(select cID, date
from purchase, product
where pName = "Coffee" and purchase.pID = product.pID) coffee,
customer c
where coffee.date == onions.date and coffee.cID == onions.cID and coffee.cID == c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
select cID, cName
from purchase, customer
'''

pd.read_sql_query(query3, conn)
query3 = '''
select c.cID, cName
from purchase p, customer c
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID   cName
#[Out]# 0        0    Noah
#[Out]# 1        0    Noah
#[Out]# 2        0    Noah
#[Out]# 3        0    Noah
#[Out]# 4        0    Noah
#[Out]# 5        0    Noah
#[Out]# 6        0    Noah
#[Out]# 7        0    Noah
#[Out]# 8        0    Noah
#[Out]# 9        0    Noah
#[Out]# 10       0    Noah
#[Out]# 11       0    Noah
#[Out]# 12       0    Noah
#[Out]# 13       0    Noah
#[Out]# 14       0    Noah
#[Out]# 15       0    Noah
#[Out]# 16       0    Noah
#[Out]# 17       0    Noah
#[Out]# 18       0    Noah
#[Out]# 19       0    Noah
#[Out]# 20       0    Noah
#[Out]# 21       0    Noah
#[Out]# 22       0    Noah
#[Out]# 23       0    Noah
#[Out]# 24       0    Noah
#[Out]# 25       0    Noah
#[Out]# 26       0    Noah
#[Out]# 27       0    Noah
#[Out]# 28       0    Noah
#[Out]# 29       0    Noah
#[Out]# ...    ...     ...
#[Out]# 96680  190  Kostas
#[Out]# 96681  190  Kostas
#[Out]# 96682  190  Kostas
#[Out]# 96683  190  Kostas
#[Out]# 96684  190  Kostas
#[Out]# 96685  190  Kostas
#[Out]# 96686  190  Kostas
#[Out]# 96687  190  Kostas
#[Out]# 96688  190  Kostas
#[Out]# 96689  190  Kostas
#[Out]# 96690  190  Kostas
#[Out]# 96691  190  Kostas
#[Out]# 96692  190  Kostas
#[Out]# 96693  190  Kostas
#[Out]# 96694  190  Kostas
#[Out]# 96695  190  Kostas
#[Out]# 96696  190  Kostas
#[Out]# 96697  190  Kostas
#[Out]# 96698  190  Kostas
#[Out]# 96699  190  Kostas
#[Out]# 96700  190  Kostas
#[Out]# 96701  190  Kostas
#[Out]# 96702  190  Kostas
#[Out]# 96703  190  Kostas
#[Out]# 96704  190  Kostas
#[Out]# 96705  190  Kostas
#[Out]# 96706  190  Kostas
#[Out]# 96707  190  Kostas
#[Out]# 96708  190  Kostas
#[Out]# 96709  190  Kostas
#[Out]# 
#[Out]# [96710 rows x 2 columns]
query3 = '''
select cID
from purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sID
    having count(*) < 3
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query1 = '''
select pID from (
    select distinct cID, pID, count(*)
    from purchase
    group by pID
    having count(*) < 3
)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sID
    having count(*) > 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sID
    having count(*) < 0
)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sID
    having count(*) < 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sID
    having count(*) < 3
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sName
    having count(*) > 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
select distinct sName, sID from (
    select distinct sName, sID, count(*)
    from store
    group by sName
    having count(*) > 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID
#[Out]# 0  Albert Hein   44
#[Out]# 1         Coop   55
#[Out]# 2         Dirk   58
#[Out]# 3    Hoogvliet   49
#[Out]# 4        Jumbo   63
#[Out]# 5         Lidl   61
#[Out]# 6       Sligro   50
query4 = '''
select sName, sID from (
    select distinct sName, sID, count(*)
    from store
    group by sName
    having count(*) > 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID
#[Out]# 0  Albert Hein   44
#[Out]# 1         Coop   55
#[Out]# 2         Dirk   58
#[Out]# 3    Hoogvliet   49
#[Out]# 4        Jumbo   63
#[Out]# 5         Lidl   61
#[Out]# 6       Sligro   50
query4 = '''
select distinct sName from (
    select distinct sName, sID, count(*)
    from store
    group by sName
    having count(*) > 1
)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
select sName from store group by sName having count(sName) > 1 --All chain stores
intersect
select sName from purchase, store where purchase.sID == store.sID group by store.sName having avg(quantity) > 4 --Filtred for avg
)
'''

pd.read_sql_query(query4, conn)
query4 = '''
select sName from store group by sName having count(sName) > 1 --All chain stores
intersect
select sName from purchase, store where purchase.sID == store.sID group by store.sName having avg(quantity) > 4 --Filtred for avg
)
'''

pd.read_sql_query(query4, conn)
query4 = '''
select sName from store group by sName having count(sName) > 1 --All chain stores
intersect
select sName from purchase, store where purchase.sID == store.sID group by store.sName having avg(quantity) > 4 --Filtred for avg
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query3 = '''
select cID from purchase group by cID having count(sID) = (select count(distinct sID) from purchase)
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
select cID from purchase group by cID having count(sID) = (select count(distinct sID) from purchase)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query5 = '''
select pName, sName from (
select pr.pName, s.sName, max(p.price) from purchase p, product pr, store s where p.pID = pr.pID and s.sID = p.sID
)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
select max(a.unit_price - b.unit_price) from inventory a, inventory b where a.date = b.date and b.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(a.unit_price - b.unit_price)
#[Out]# 0                             12.95
query6 = '''
select max(a.unit_price - b.unit_price) from inventory a, inventory b where a.date = b.date and b.date = "2018-08-23"
and a.sID <> b.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(a.unit_price - b.unit_price)
#[Out]# 0                             12.95
query6 = '''
select max(a.unit_price - b.unit_price) from inventory a, inventory b where a.date = b.date and b.date = "2018-08-23"
and a.sID <> b.sID and a.pID = b.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(a.unit_price - b.unit_price)
#[Out]# 0                               2.0
query1 = '''
select pID
from purchase
group by pID
having count(cID) < 3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
select distinct coffee.cID, cName
from 
(select cID, date
from purchase, product
where pName = "Onions" and purchase.pID = product.pID) onions,
(select cID, date
from purchase, product
where pName = "Coffee" and purchase.pID = product.pID) coffee,
customer c
where coffee.date == onions.date and coffee.cID == onions.cID and coffee.cID == c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query4 = '''
select sName from store group by sName having count(sName) > 1 --All chain stores
intersect
select sName from purchase, store where purchase.sID ==== store.sID group by store.sName having avg(quantity) > 4 --Filtred for avg
'''

pd.read_sql_query(query4, conn)
query4 = '''
select sName from store group by sName having count(sName) > 1 --All chain stores
intersect
select sName from purchase, store where purchase.sID = store.sID group by store.sName having avg(quantity) > 4 --Filtred for avg
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
