# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT p.pID
    FROM purchase p
    EXCEPT 
    SELECT p1.pID 
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID AND p1.cID <> p3.cID AND p1.pID = p2.pID AND p2.pID = p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase p1, purchase p2, customer c, product pr1, product pr2
    WHERE p1.cID = c.CID AND p1.cID = p2.cID AND p1.date = p2.date AND pr1.pName = "Onions" AND pr2.pName = "Coffee" AND p1.pID = pr1.pID AND p2.pID = pr2.pID
 '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT p1.cID 
    FROM purchase p1
    WHERE NOT EXISTS (
    
    SELECT s.sID 
    FROM store s
    
    EXCEPT
    
    SELECT p2.sID
    FROM purchase p2
    WHERE p2.cID = p1.cID);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT s1.sName
    From  store s1, store s2, purchase p
    WHERE s1.sID = p.sID AND s1.sName = s2.sName AND s1.sID <> s2.sID

    GROUP BY s1.sName
    HAVING avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
   
    
    SELECT DISTINCT sName, pName
    FROM (
    SELECT sID, pID, max(price)
    FROM purchase) n, store s, product p
    WHERE n.sID = s.sID AND n.pID = p.pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query6 = '''
    SELECT max(difference) AS Difference
    FROM (SELECT i1.sID, i1.pID, i1.date, i1.quantity, (max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0
practicequery1a = '''
    
    SELECT cID, count(sID)
    FROM purchase
    group by cID
    order by count(sID)

'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      cID  count(sID)
#[Out]# 0      0           1
#[Out]# 1     10           1
#[Out]# 2     11           1
#[Out]# 3     15           1
#[Out]# 4     25           1
#[Out]# 5     26           1
#[Out]# 6     28           1
#[Out]# 7     34           1
#[Out]# 8     47           1
#[Out]# 9     63           1
#[Out]# 10    69           1
#[Out]# 11    76           1
#[Out]# 12    77           1
#[Out]# 13    80           1
#[Out]# 14    88           1
#[Out]# 15    90           1
#[Out]# 16    99           1
#[Out]# 17   103           1
#[Out]# 18   104           1
#[Out]# 19   111           1
#[Out]# 20   128           1
#[Out]# 21   131           1
#[Out]# 22   135           1
#[Out]# 23   136           1
#[Out]# 24   137           1
#[Out]# 25   145           1
#[Out]# 26   168           1
#[Out]# 27   184           1
#[Out]# 28   185           1
#[Out]# 29   186           1
#[Out]# ..   ...         ...
#[Out]# 102  113           5
#[Out]# 103  122           5
#[Out]# 104  177           5
#[Out]# 105    4           6
#[Out]# 106    5           6
#[Out]# 107    7           6
#[Out]# 108   27           6
#[Out]# 109   39           6
#[Out]# 110   91           6
#[Out]# 111  108           6
#[Out]# 112  109           6
#[Out]# 113  123           6
#[Out]# 114  165           6
#[Out]# 115  176           6
#[Out]# 116  179           6
#[Out]# 117    1           7
#[Out]# 118   86           7
#[Out]# 119  100           7
#[Out]# 120  162           8
#[Out]# 121   13           9
#[Out]# 122   24           9
#[Out]# 123   33           9
#[Out]# 124   59           9
#[Out]# 125   16          10
#[Out]# 126  167          10
#[Out]# 127   82          11
#[Out]# 128  124          11
#[Out]# 129  161          11
#[Out]# 130  169          11
#[Out]# 131  190          64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query6 = '''
    SELECT max(difference) AS Difference
    FROM ( (max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT max(difference) AS Difference
    FROM ((max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT max(difference) AS Difference
    FROM ((max(i1.unit_price) - min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT max(difference) AS Difference
    FROM (max(i1.unit_price) - min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT max(difference) AS Difference
    FROM (SELECT (max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0
query6 = '''
    SELECT max(difference) AS Difference
    FROM (SELECT (max(i1.unit_price)- min(i1.unit_price)) AS difference
    FROM inventory i1
    WHERE i1.date = "2018-08-23" and i1.date = "2018-08-23" AND i1.pID = i1.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i1.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
#[Out]#   Difference
#[Out]# 0       None
query6 = '''
    SELECT max(difference) AS Difference
    FROM (SELECT i1.sID, i1.pID, i1.date, i1.quantity, (max(i1.unit_price)- min(i2.unit_price)) AS difference
    FROM inventory i1, inventory i2
    WHERE i1.date = "2018-08-23" and i2.date = "2018-08-23" AND i1.pID = i2.pID
    GROUP BY i1.sID, i1.pID
    HAVING (max(i1.unit_price)- min(i2.unit_price)))
    

'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0
