# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought = 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p2.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") );
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
        ORDER BY avgQuantity
    );
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Lidl
#[Out]# 2         Coop
#[Out]# 3         Dirk
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(distinct cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query6 = '''
    SELECT difference
    FROM (
        SELECT pID,(max(unit_price) - min(unit_price)) as difference
        FROM inventory
        WHERE date = "2018-08-23"
        GROUP BY pID
        ORDER BY difference DESC
        LIMIT 1
    );
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query4 = '''
    SELECT s.sName as storeName, avg(quantity) avgQuantity
FROM purchase p, store s
WHERE s.sID IN (
    SELECT sID
    FROM (
        SELECT sID, sName, count(*) as storeCount 
        FROM store 
        GROUP BY sName 
        HAVING storeCount > 1 
    )
)
AND p.sID = s.sID
GROUP BY storeName
ORDER BY avgQuantity
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName  avgQuantity
#[Out]# 0        Jumbo     3.000000
#[Out]# 1    Hoogvliet     3.333333
#[Out]# 2       Sligro     4.000000
#[Out]# 3  Albert Hein     4.300000
#[Out]# 4         Lidl     5.000000
#[Out]# 5         Coop     5.454545
#[Out]# 6         Dirk     9.666667
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, cID, count(*) as timesBought
        FROM purchase 
        GROUP BY 1,2         
    )
    WHERE timesBought = 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0    2
#[Out]# 1    7
#[Out]# 2    8
#[Out]# 3   15
#[Out]# 4   22
#[Out]# 5   26
#[Out]# 6   30
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, cID, count(*) as timesBought
        FROM purchase 
        GROUP BY 1,2         
    )
    WHERE timesBought < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#      pId
#[Out]# 0      0
#[Out]# 1      0
#[Out]# 2      0
#[Out]# 3      0
#[Out]# 4      0
#[Out]# 5      0
#[Out]# 6      0
#[Out]# 7      0
#[Out]# 8      0
#[Out]# 9      0
#[Out]# 10     0
#[Out]# 11     0
#[Out]# 12     0
#[Out]# 13     0
#[Out]# 14     0
#[Out]# 15     0
#[Out]# 16     0
#[Out]# 17     0
#[Out]# 18     0
#[Out]# 19     0
#[Out]# 20     0
#[Out]# 21     1
#[Out]# 22     1
#[Out]# 23     1
#[Out]# 24     1
#[Out]# 25     1
#[Out]# 26     1
#[Out]# 27     1
#[Out]# 28     1
#[Out]# 29     1
#[Out]# ..   ...
#[Out]# 426   27
#[Out]# 427   27
#[Out]# 428   27
#[Out]# 429   27
#[Out]# 430   27
#[Out]# 431   28
#[Out]# 432   28
#[Out]# 433   28
#[Out]# 434   28
#[Out]# 435   28
#[Out]# 436   28
#[Out]# 437   28
#[Out]# 438   28
#[Out]# 439   28
#[Out]# 440   28
#[Out]# 441   28
#[Out]# 442   28
#[Out]# 443   28
#[Out]# 444   28
#[Out]# 445   28
#[Out]# 446   28
#[Out]# 447   28
#[Out]# 448   28
#[Out]# 449   28
#[Out]# 450   28
#[Out]# 451   28
#[Out]# 452   28
#[Out]# 453   29
#[Out]# 454   29
#[Out]# 455   30
#[Out]# 
#[Out]# [456 rows x 1 columns]
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
        ORDER BY avgQuantity
    );
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Lidl
#[Out]# 2         Coop
#[Out]# 3         Dirk
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avg(quantity) > 4
        ORDER BY avgQuantity
    );
'''

pd.read_sql_query(query4, conn)
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought = 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(DISTINCT cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    SELECT pID FROM product EXCEPT SELECT p1.pID FROM purchase AS p1, purchase AS p2, purchase AS p3 WHERE p1.pID = p2.pID AND p1.pID = p3.pID AND p1.cID != p2.cID AND p1.cID != p3.cID AND p2.cID != p3.cID;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
SELECT pID 
FROM product 
EXCEPT 
SELECT p1.pID 
FROM purchase AS p1, purchase AS p2, purchase AS p3 
WHERE p1.pID = p2.pID 
AND p1.pID = p3.pID 
AND p1.cID != p2.cID 
AND p1.cID != p3.cID 
AND p2.cID != p3.cID;
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
SELECT pID 
FROM product 
EXCEPT 
SELECT p1.pID 
FROM purchase AS p1, purchase AS p2, purchase AS p3 
WHERE p1.pID = p2.pID 
AND p1.pID = p3.pID 
AND p1.cID != p2.cID 
AND p1.cID != p3.cID 
AND p2.cID != p3.cID;
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p2.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") );
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID
    FROM (
        SELECT COUNT(DISTINCT sID) as storesCount, cID
        FROM purchase
        GROUP BY cID
    )
    WHERE storesCount = (
        SELECT count(*)
        FROM store
    );
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
        ORDER BY avgQuantity
    );
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Lidl
#[Out]# 2         Coop
#[Out]# 3         Dirk
query5 = '''
    SELECT DISTINCT ms.sName as storeName, mpr.pName as productName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price = (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    );
'''

pd.read_sql_query(query5, conn)
#[Out]#   storeName productName
#[Out]# 0    Sligro        Beef
query6 = '''
    SELECT difference
    FROM (
        SELECT pID,(max(unit_price) - min(unit_price)) as difference
        FROM inventory
        WHERE date = "2018-08-23"
        GROUP BY pID
        ORDER BY difference DESC
        LIMIT 1
    );
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query6 = '''
    SELECT difference
    FROM (
        SELECT pID,(max(unit_price) - min(unit_price)) as difference
        FROM inventory
        WHERE date = "2018-08-23"
        AND quantity > 0
        GROUP BY pID
        ORDER BY difference DESC
        LIMIT 1
    );
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0


# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor object at 0x00000259875F6110>
query1 = '''
    SELECT * from customer
'''

pd.read_sql_query(query1, conn)
#[Out]#      cID     cName                street       city
#[Out]# 0      0      Noah             Koestraat    Utrecht
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam
#[Out]# 3      3      Finn         Stationsplein      Breda
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht
#[Out]# 6      6     Milan           Parallelweg    Utrecht
#[Out]# 7      7      Bram          Schoolstraat  Eindhoven
#[Out]# 8      8      Liam         Rijsbergseweg      Breda
#[Out]# 9      9    Thomas           Parallelweg  Amsterdam
#[Out]# 10    10       Sam           Langestraat    Tilburg
#[Out]# 11    11     Thijs             Koestraat    Tilburg
#[Out]# 12    12      Adam           Nieuwstraat  Eindhoven
#[Out]# 13    13     James       Sint Annastraat      Breda
#[Out]# 14    14       Max             Eikenlaan    Tilburg
#[Out]# 15    15      Noud          Koningshoeve    Tilburg
#[Out]# 16    16    Julian  Prins Bernhardstraat  Eindhoven
#[Out]# 17    17       Dex          Kasteeldreef    Tilburg
#[Out]# 18    18      Hugo          Kasteeldreef    Tilburg
#[Out]# 19    19      Lars         Rijsbergseweg      Breda
#[Out]# 20    20      Gijs            Heiligeweg  Amsterdam
#[Out]# 21    21  Benjamin           Stationsweg    Tilburg
#[Out]# 22    22      Mats           Molenstraat  Eindhoven
#[Out]# 23    23       Jan       Sint Annastraat      Breda
#[Out]# 24    24      Luca          Kasteeldreef    Tilburg
#[Out]# 25    25     Mason          Keizerstraat  Rotterdam
#[Out]# 26    26    Jayden          Schoolstraat  Eindhoven
#[Out]# 27    27       Tim             Koestraat    Utrecht
#[Out]# 28    28      Siem           Langestraat    Tilburg
#[Out]# 29    29     Ruben              Hofplein  Rotterdam
#[Out]# ..   ...       ...                   ...        ...
#[Out]# 160  160      Lara           Langestraat    Tilburg
#[Out]# 161  161     Floor             Eikenlaan    Tilburg
#[Out]# 162  162     Elena            Bergselaan  Rotterdam
#[Out]# 163  163      Cato          Kastanjelaan    Tilburg
#[Out]# 164  164       Evy      Rozemarijnstraat      Breda
#[Out]# 165  165     Hanna             Eikenlaan    Tilburg
#[Out]# 166  166   Rosalie           Stationsweg  Eindhoven
#[Out]# 167  167    Veerle        Ginnekenstraat      Breda
#[Out]# 168  168      Kiki          Keizerstraat  Rotterdam
#[Out]# 169  169      Lily        Gasthuisstraat    Utrecht
#[Out]# 170  170      Iris          Kastanjelaan  Eindhoven
#[Out]# 171  171     Tessa           Haringvliet  Rotterdam
#[Out]# 172  172      Lana             Eikenlaan    Tilburg
#[Out]# 173  173     Livia      Vierwindenstraat      Breda
#[Out]# 174  174      Romy           Parallelweg  Eindhoven
#[Out]# 175  175       Sam             Bredalaan  Eindhoven
#[Out]# 176  176     Amira           Parallelweg  Amsterdam
#[Out]# 177  177     Eline          Kalverstraat  Amsterdam
#[Out]# 178  178      Elif           Parallelweg    Utrecht
#[Out]# 179  179      Juul        Wilhelminapark    Tilburg
#[Out]# 180  180     Merel          Kalverstraat  Amsterdam
#[Out]# 181  181      Liva           Fredriklaan  Eindhoven
#[Out]# 182  182   Johanna         Beatrixstraat  Eindhoven
#[Out]# 183  183     Nikki         Julianastraat    Utrecht
#[Out]# 184  184     Wilko          Onbekendeweg  Eindhoven
#[Out]# 185  185      Nick                Verweg  Eindhoven
#[Out]# 186  186    Angela              Dichtweg  Eindhoven
#[Out]# 187  188      Pino            Maanstraat  Rotterdam
#[Out]# 188  189      Koen              Akkerweg        Oss
#[Out]# 189  190    Kostas              Eindeweg    Utrecht
#[Out]# 
#[Out]# [190 rows x 4 columns]
query1 = '''
    SELECT * from customer LIMIT 1
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID cName     street     city
#[Out]# 0    0  Noah  Koestraat  Utrecht
query1 = '''
    It's my first time using Jupiter so I'm just trying out how it works :)
'''

pd.read_sql_query(query1, conn)
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
   SELECT pID, count(cID)
   FROM purchase
   GROUP BY cID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID  count(cID)
#[Out]# 0     10           1
#[Out]# 1     27           7
#[Out]# 2     22           5
#[Out]# 3      9           3
#[Out]# 4     26           6
#[Out]# 5     19           6
#[Out]# 6     20           6
#[Out]# 7      8           2
#[Out]# 8     24           1
#[Out]# 9     14           1
#[Out]# 10     5           9
#[Out]# 11    11           1
#[Out]# 12    27          10
#[Out]# 13     7           2
#[Out]# 14     8           3
#[Out]# 15     3           4
#[Out]# 16    27           3
#[Out]# 17    27           3
#[Out]# 18    10           2
#[Out]# 19    13           9
#[Out]# 20    26           1
#[Out]# 21    23           1
#[Out]# 22    22           6
#[Out]# 23    11           1
#[Out]# 24     4           2
#[Out]# 25    12           3
#[Out]# 26    24           2
#[Out]# 27     4           9
#[Out]# 28    26           1
#[Out]# 29    28           2
#[Out]# ..   ...         ...
#[Out]# 102   25           3
#[Out]# 103   19           2
#[Out]# 104   23           2
#[Out]# 105   19           3
#[Out]# 106    3           3
#[Out]# 107   12           2
#[Out]# 108   28          11
#[Out]# 109   16           8
#[Out]# 110   10           4
#[Out]# 111    9           6
#[Out]# 112   17          10
#[Out]# 113    1           1
#[Out]# 114   14          11
#[Out]# 115   22           3
#[Out]# 116   21           2
#[Out]# 117   16           2
#[Out]# 118   21           2
#[Out]# 119    5           6
#[Out]# 120    4           5
#[Out]# 121   24           2
#[Out]# 122   10           6
#[Out]# 123   10           3
#[Out]# 124   21           3
#[Out]# 125   13           4
#[Out]# 126    0           1
#[Out]# 127   29           1
#[Out]# 128   29           1
#[Out]# 129   30           2
#[Out]# 130   19           2
#[Out]# 131   18          64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query1 = '''
   SELECT pID, cID
   FROM purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
query1 = '''
   SELECT pID, cID
   FROM purchase
   ORDER BY pID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
query1 = '''
   SELECT pID, count(cID) as timesBought
   FROM purchase
   WHERE timesBought = 2
   GROUP BY cID
'''

pd.read_sql_query(query1, conn)
query1 = '''
   SELECT pID, count(cID) as timesBought
   FROM purchase   
   GROUP BY cID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID  timesBought
#[Out]# 0     10            1
#[Out]# 1     27            7
#[Out]# 2     22            5
#[Out]# 3      9            3
#[Out]# 4     26            6
#[Out]# 5     19            6
#[Out]# 6     20            6
#[Out]# 7      8            2
#[Out]# 8     24            1
#[Out]# 9     14            1
#[Out]# 10     5            9
#[Out]# 11    11            1
#[Out]# 12    27           10
#[Out]# 13     7            2
#[Out]# 14     8            3
#[Out]# 15     3            4
#[Out]# 16    27            3
#[Out]# 17    27            3
#[Out]# 18    10            2
#[Out]# 19    13            9
#[Out]# 20    26            1
#[Out]# 21    23            1
#[Out]# 22    22            6
#[Out]# 23    11            1
#[Out]# 24     4            2
#[Out]# 25    12            3
#[Out]# 26    24            2
#[Out]# 27     4            9
#[Out]# 28    26            1
#[Out]# 29    28            2
#[Out]# ..   ...          ...
#[Out]# 102   25            3
#[Out]# 103   19            2
#[Out]# 104   23            2
#[Out]# 105   19            3
#[Out]# 106    3            3
#[Out]# 107   12            2
#[Out]# 108   28           11
#[Out]# 109   16            8
#[Out]# 110   10            4
#[Out]# 111    9            6
#[Out]# 112   17           10
#[Out]# 113    1            1
#[Out]# 114   14           11
#[Out]# 115   22            3
#[Out]# 116   21            2
#[Out]# 117   16            2
#[Out]# 118   21            2
#[Out]# 119    5            6
#[Out]# 120    4            5
#[Out]# 121   24            2
#[Out]# 122   10            6
#[Out]# 123   10            3
#[Out]# 124   21            3
#[Out]# 125   13            4
#[Out]# 126    0            1
#[Out]# 127   29            1
#[Out]# 128   29            1
#[Out]# 129   30            2
#[Out]# 130   19            2
#[Out]# 131   18           64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought = 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
    AND pr.pName in ("Onions","Coffee")
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT cID, cName
    FROM customer as c, purchase as p, product as pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p, product as pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 493  190  Kostas
#[Out]# 494  190  Kostas
#[Out]# 495  190  Kostas
#[Out]# 496  190  Kostas
#[Out]# 497  190  Kostas
#[Out]# 498  190  Kostas
#[Out]# 499  190  Kostas
#[Out]# 500  190  Kostas
#[Out]# 501  190  Kostas
#[Out]# 502  190  Kostas
#[Out]# 503  190  Kostas
#[Out]# 504  190  Kostas
#[Out]# 505  190  Kostas
#[Out]# 506  190  Kostas
#[Out]# 507  190  Kostas
#[Out]# 508  190  Kostas
#[Out]# 
#[Out]# [509 rows x 2 columns]
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p1, purchase as p2, product as pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
    AND p1.date = p2.date
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM customer as c, purchase as p1, purchase as p2, product as pr
    WHERE c.cID = p.cID
    AND p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
query2 = '''
    FROM purchase as p1, purchase p2, customer c, product pr
    WHERE p1.date = p2.date
    AND p1.cID = p2.CId
    AND p1.cID = c.cID
    AND p1.pID = pr.pID
    AND p2.pID = pr.pID
    AND pr.pName in ("Coffee", "Onions") 
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c, product pr
    WHERE p1.date = p2.date
    AND p1.cID = p2.CId
    AND p1.cID = c.cID
    AND p1.pID = pr.pID
    AND p2.pID = pr.pID
    AND pr.pName in ("Coffee", "Onions") 
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    16   Julian
#[Out]# 2    29    Ruben
#[Out]# 3    31  Olivier
#[Out]# 4    33     Sven
#[Out]# 5    42     Tijn
#[Out]# 6    52   Willem
#[Out]# 7    59     Joep
#[Out]# 8    59     Joep
#[Out]# 9    82    Dylan
#[Out]# 10   85   Pieter
#[Out]# 11   86     Stef
#[Out]# 12   92    Jelte
#[Out]# 13   97   Sophie
#[Out]# 14  108     Noor
#[Out]# 15  110     Saar
#[Out]# 16  111   Lauren
#[Out]# 17  122     Elin
#[Out]# 18  124    Sofie
#[Out]# 19  124    Sofie
#[Out]# 20  129    Esmee
#[Out]# 21  152     Anne
#[Out]# 22  162    Elena
#[Out]# 23  165    Hanna
#[Out]# 24  169     Lily
#[Out]# 25  169     Lily
#[Out]# 26  171    Tessa
#[Out]# 27  172     Lana
#[Out]# 28  175      Sam
#[Out]# 29  176    Amira
#[Out]# 30  176    Amira
#[Out]# 31  177    Eline
#[Out]# 32  181     Liva
#[Out]# 33  190   Kostas
#[Out]# 34  190   Kostas
#[Out]# 35  190   Kostas
#[Out]# 36  190   Kostas
#[Out]# 37  190   Kostas
#[Out]# 38  190   Kostas
#[Out]# 39  190   Kostas
query2 = '''
    SELECT DISTINCT c.cID, DISTINCT c.cName
    FROM purchase as p1, purchase p2, customer c, product pr
    WHERE p1.date = p2.date
    AND p1.cID = p2.CId
    AND p1.cID = c.cID
    AND p1.pID = pr.pID
    AND p2.pID = pr.pID
    AND pr.pName in ("Coffee", "Onions") 
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c, product pr
    WHERE p1.date = p2.date
    AND p1.cID = p2.CId
    AND p1.cID = c.cID
    AND p1.pID = pr.pID
    AND p2.pID = pr.pID
    AND pr.pName in ("Coffee", "Onions") 
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    16   Julian
#[Out]# 2    29    Ruben
#[Out]# 3    31  Olivier
#[Out]# 4    33     Sven
#[Out]# 5    42     Tijn
#[Out]# 6    52   Willem
#[Out]# 7    59     Joep
#[Out]# 8    82    Dylan
#[Out]# 9    85   Pieter
#[Out]# 10   86     Stef
#[Out]# 11   92    Jelte
#[Out]# 12   97   Sophie
#[Out]# 13  108     Noor
#[Out]# 14  110     Saar
#[Out]# 15  111   Lauren
#[Out]# 16  122     Elin
#[Out]# 17  124    Sofie
#[Out]# 18  129    Esmee
#[Out]# 19  152     Anne
#[Out]# 20  162    Elena
#[Out]# 21  165    Hanna
#[Out]# 22  169     Lily
#[Out]# 23  171    Tessa
#[Out]# 24  172     Lana
#[Out]# 25  175      Sam
#[Out]# 26  176    Amira
#[Out]# 27  177    Eline
#[Out]# 28  181     Liva
#[Out]# 29  190   Kostas
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c, product pr
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    25     Mason
#[Out]# 21    26    Jayden
#[Out]# 22    27       Tim
#[Out]# 23    28      Siem
#[Out]# 24    29     Ruben
#[Out]# 25    30      Teun
#[Out]# 26    31   Olivier
#[Out]# 27    33      Sven
#[Out]# 28    34     David
#[Out]# 29    35     Stijn
#[Out]# ..   ...       ...
#[Out]# 102  147    Isabel
#[Out]# 103  149     Lizzy
#[Out]# 104  151      Jill
#[Out]# 105  152      Anne
#[Out]# 106  157      Puck
#[Out]# 107  159     Fenne
#[Out]# 108  161     Floor
#[Out]# 109  162     Elena
#[Out]# 110  163      Cato
#[Out]# 111  165     Hanna
#[Out]# 112  167    Veerle
#[Out]# 113  168      Kiki
#[Out]# 114  169      Lily
#[Out]# 115  170      Iris
#[Out]# 116  171     Tessa
#[Out]# 117  172      Lana
#[Out]# 118  175       Sam
#[Out]# 119  176     Amira
#[Out]# 120  177     Eline
#[Out]# 121  178      Elif
#[Out]# 122  179      Juul
#[Out]# 123  180     Merel
#[Out]# 124  181      Liva
#[Out]# 125  182   Johanna
#[Out]# 126  184     Wilko
#[Out]# 127  185      Nick
#[Out]# 128  186    Angela
#[Out]# 129  188      Pino
#[Out]# 130  189      Koen
#[Out]# 131  190    Kostas
#[Out]# 
#[Out]# [132 rows x 2 columns]
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 pr1.pName in ("Coffee", "Onions") )
    AND p1.pID IN (SELECT pr2.pID from product pr2 pr2.pName in ("Coffee", "Onions") )
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p1.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") )
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0     2   Lucas
#[Out]# 1    16  Julian
#[Out]# 2    29   Ruben
#[Out]# 3    52  Willem
#[Out]# 4    82   Dylan
#[Out]# 5    86    Stef
#[Out]# 6    92   Jelte
#[Out]# 7    97  Sophie
#[Out]# 8   108    Noor
#[Out]# 9   122    Elin
#[Out]# 10  124   Sofie
#[Out]# 11  152    Anne
#[Out]# 12  165   Hanna
#[Out]# 13  169    Lily
#[Out]# 14  171   Tessa
#[Out]# 15  176   Amira
#[Out]# 16  177   Eline
#[Out]# 17  190  Kostas
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p2.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p2.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID, distinct sID
    FROM purchase
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID
    FROM (
        SELECT COUNT(DISTINCT sID) as storesCount, cID
        FROM purchase
        GROUP BY cID
    )
    WHERE storesCount = (
        SELECT count(*)
        FROM store
    )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT sName, count(DISTINCT sID)
    FROM store 
    GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  count(DISTINCT sID)
#[Out]# 0  Albert Hein                    8
#[Out]# 1         Coop                   14
#[Out]# 2         Dirk                    6
#[Out]# 3    Hoogvliet                    9
#[Out]# 4        Jumbo                    8
#[Out]# 5         Lidl                   10
#[Out]# 6       Sligro                    9
query4 = '''
    SELECT sID
    FROM (
        SELECT sID, sName, count(*) as storeCount 
        FROM store 
        GROUP BY sName 
        HAVING storeCount > 1 
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID
#[Out]# 0   44
#[Out]# 1   55
#[Out]# 2   58
#[Out]# 3   49
#[Out]# 4   63
#[Out]# 5   61
#[Out]# 6   50
query4 = '''
    SELECT s.sName as storeName, avg(quantity) avgQuantity
    FROM purchase p, store s
    WHERE s.sID IN (
        SELECT sID
        FROM (
            SELECT sID, sName, count(*) as storeCount 
            FROM store 
            GROUP BY sName 
            HAVING storeCount > 1 
        )
    )
    AND p.sID = s.sID
    GROUP BY storeName
    HAVING avgQuantity > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName  avgQuantity
#[Out]# 0  Albert Hein     4.300000
#[Out]# 1         Coop     5.454545
#[Out]# 2         Dirk     9.666667
#[Out]# 3         Lidl     5.000000
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                -- Find all chains
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
        ORDER BY avgQuantity
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Lidl
#[Out]# 2         Coop
#[Out]# 3         Dirk
query5 = '''
    SELECT productName
    FROM (
        SELECT p.pName as productName, max(p.price) as maxPrice
        FROM purchase p
        GROUP BY maxPrice
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT productName
    FROM (
        SELECT p.pName as productName, max(p.price) as maxPrice
        FROM purchase p
        GROUP BY productName
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT productName
    FROM (
        SELECT p.pName as productName, max(p.price) as maxPrice
        FROM purchase p, product pr
        WHERE pr.pID = p.pID
        GROUP BY productName
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT productName
    FROM (
        SELECT pr.pName as productName, max(p.price) as maxPrice
        FROM purchase p, product pr
        WHERE pr.pID = p.pID
        GROUP BY productName
    )
'''

pd.read_sql_query(query5, conn)
#[Out]#          productName
#[Out]# 0             Apples
#[Out]# 1            Bananas
#[Out]# 2               Beef
#[Out]# 3              Bread
#[Out]# 4            Carrots
#[Out]# 5        Cashew Nuts
#[Out]# 6             Cheese
#[Out]# 7               Coca
#[Out]# 8             Coffee
#[Out]# 9          Cucumbers
#[Out]# 10            Donuts
#[Out]# 11              Eggs
#[Out]# 12             Fanta
#[Out]# 13      Green Pepper
#[Out]# 14  Hot Dog Sausages
#[Out]# 15           Ketchup
#[Out]# 16           Lasanga
#[Out]# 17              Milk
#[Out]# 18        Mixed Nuts
#[Out]# 19         Mushrooms
#[Out]# 20            Onions
#[Out]# 21           Oranges
#[Out]# 22             Pasta
#[Out]# 23             Pizza
#[Out]# 24          Potatoes
#[Out]# 25              Rice
#[Out]# 26            Salmon
#[Out]# 27   Spiced Biscuits
#[Out]# 28               Tea
#[Out]# 29          Tomatoes
#[Out]# 30             Water
query5 = '''
    SELECT productName, max(maxPrice)
    FROM (
        SELECT pr.pName as productName, max(p.price) as maxPrice
        FROM purchase p, product pr
        WHERE pr.pID = p.pID
        GROUP BY productName
    )
'''

pd.read_sql_query(query5, conn)
#[Out]#   productName  max(maxPrice)
#[Out]# 0        Beef           13.8
query5 = '''
    SELECT pName
    FROM purchase
    WHERE price = (
        SELECT productName, max(maxPrice)
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pm.pName
    FROM purchase pm
    WHERE price = (
        SELECT productName, max(maxPrice)
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pm.pName
    FROM purchase pm, (
        SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice
    ) as maxPrices
    WHERE pm.price >= maxPrices.allMaxPrice
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT prm.pName
    FROM purchase pm, product prm (
        SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice
    ) as maxPrices
    WHERE pm.price >= maxPrices.allMaxPrice
    AND prm.pID = pm.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT prm.pName
    FROM purchase pm, product prm, (
        SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice
    ) as maxPrices
    WHERE pm.price >= maxPrices.allMaxPrice
    AND prm.pID = pm.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#           pName
#[Out]# 0        Apples
#[Out]# 1        Apples
#[Out]# 2        Apples
#[Out]# 3        Apples
#[Out]# 4        Apples
#[Out]# 5        Apples
#[Out]# 6        Apples
#[Out]# 7        Apples
#[Out]# 8        Apples
#[Out]# 9        Apples
#[Out]# 10       Apples
#[Out]# 11       Apples
#[Out]# 12       Apples
#[Out]# 13       Apples
#[Out]# 14       Apples
#[Out]# 15       Apples
#[Out]# 16       Apples
#[Out]# 17       Apples
#[Out]# 18       Apples
#[Out]# 19       Apples
#[Out]# 20       Apples
#[Out]# 21       Apples
#[Out]# 22         Rice
#[Out]# 23         Rice
#[Out]# 24      Bananas
#[Out]# 25      Bananas
#[Out]# 26       Donuts
#[Out]# 27       Donuts
#[Out]# 28       Donuts
#[Out]# 29       Donuts
#[Out]# ...         ...
#[Out]# 4818  Mushrooms
#[Out]# 4819  Mushrooms
#[Out]# 4820  Mushrooms
#[Out]# 4821  Mushrooms
#[Out]# 4822       Coca
#[Out]# 4823       Coca
#[Out]# 4824       Coca
#[Out]# 4825       Coca
#[Out]# 4826       Coca
#[Out]# 4827       Coca
#[Out]# 4828       Coca
#[Out]# 4829    Bananas
#[Out]# 4830    Bananas
#[Out]# 4831    Bananas
#[Out]# 4832    Bananas
#[Out]# 4833    Bananas
#[Out]# 4834    Bananas
#[Out]# 4835    Bananas
#[Out]# 4836    Bananas
#[Out]# 4837    Bananas
#[Out]# 4838     Cheese
#[Out]# 4839     Cheese
#[Out]# 4840     Cheese
#[Out]# 4841     Cheese
#[Out]# 4842     Cheese
#[Out]# 4843     Cheese
#[Out]# 4844     Cheese
#[Out]# 4845     Cheese
#[Out]# 4846     Cheese
#[Out]# 4847     Cheese
#[Out]# 
#[Out]# [4848 rows x 1 columns]
query5 = '''
    SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
'''

pd.read_sql_query(query5, conn)
#[Out]#          productName  allMaxPrice
#[Out]# 0             Apples         4.70
#[Out]# 1            Bananas         3.15
#[Out]# 2               Beef        13.80
#[Out]# 3              Bread         3.80
#[Out]# 4            Carrots         2.95
#[Out]# 5        Cashew Nuts         5.40
#[Out]# 6             Cheese        12.00
#[Out]# 7               Coca         4.25
#[Out]# 8             Coffee         4.25
#[Out]# 9          Cucumbers         3.80
#[Out]# 10            Donuts         4.70
#[Out]# 11              Eggs         4.20
#[Out]# 12             Fanta         4.30
#[Out]# 13      Green Pepper         2.75
#[Out]# 14  Hot Dog Sausages         5.70
#[Out]# 15           Ketchup         1.00
#[Out]# 16           Lasanga         9.85
#[Out]# 17              Milk         3.55
#[Out]# 18        Mixed Nuts         6.55
#[Out]# 19         Mushrooms         4.35
#[Out]# 20            Onions         2.40
#[Out]# 21           Oranges         4.20
#[Out]# 22             Pasta         3.55
#[Out]# 23             Pizza         9.25
#[Out]# 24          Potatoes         2.30
#[Out]# 25              Rice         2.10
#[Out]# 26            Salmon         1.00
#[Out]# 27   Spiced Biscuits         3.75
#[Out]# 28               Tea         3.20
#[Out]# 29          Tomatoes         2.35
#[Out]# 30             Water         4.35
query5 = '''
    SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice DESC
'''

pd.read_sql_query(query5, conn)
#[Out]#          productName  allMaxPrice
#[Out]# 0               Beef        13.80
#[Out]# 1             Cheese        12.00
#[Out]# 2            Lasanga         9.85
#[Out]# 3              Pizza         9.25
#[Out]# 4         Mixed Nuts         6.55
#[Out]# 5   Hot Dog Sausages         5.70
#[Out]# 6        Cashew Nuts         5.40
#[Out]# 7             Apples         4.70
#[Out]# 8             Donuts         4.70
#[Out]# 9          Mushrooms         4.35
#[Out]# 10             Water         4.35
#[Out]# 11             Fanta         4.30
#[Out]# 12              Coca         4.25
#[Out]# 13            Coffee         4.25
#[Out]# 14              Eggs         4.20
#[Out]# 15           Oranges         4.20
#[Out]# 16             Bread         3.80
#[Out]# 17         Cucumbers         3.80
#[Out]# 18   Spiced Biscuits         3.75
#[Out]# 19              Milk         3.55
#[Out]# 20             Pasta         3.55
#[Out]# 21               Tea         3.20
#[Out]# 22           Bananas         3.15
#[Out]# 23           Carrots         2.95
#[Out]# 24      Green Pepper         2.75
#[Out]# 25            Onions         2.40
#[Out]# 26          Tomatoes         2.35
#[Out]# 27          Potatoes         2.30
#[Out]# 28              Rice         2.10
#[Out]# 29           Ketchup         1.00
#[Out]# 30            Salmon         1.00
query5 = '''
    SELECT productName, max(maxPrice) as allMaxPrice
    FROM (
        SELECT pr.pName as productName, max(p.price) as maxPrice
        FROM purchase p, product pr
        WHERE pr.pID = p.pID
        GROUP BY productName
    )
    GROUP BY productName
    ORDER BY allMaxPrice DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   productName  allMaxPrice
#[Out]# 0        Beef         13.8
query5 = '''
    SELECT mpr.pName, ms.sName
    FROM purchase mp, product mpr, store ms
    WHERE mp.price >= (
        SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice DESC
        LIMIT 1
    )
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT mpr.pName, ms.sName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price >= (
        SELECT productName, max(maxPrice) as allMaxPrice
        FROM (
            SELECT pr.pName as productName, max(p.price) as maxPrice
            FROM purchase p, product pr
            WHERE pr.pID = p.pID
            GROUP BY productName
        )
        GROUP BY productName
        ORDER BY allMaxPrice DESC
        LIMIT 1
    ) 
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT mpr.pName, ms.sName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price >= (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT DISTINCT mpr.pName,DISTINCT ms.sName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price >= (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT DISTINCT ms.sName, mpr.pName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price >= (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
    SELECT DISTINCT ms.sName as storeName, mpr.pName as productName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price >= (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
#[Out]#   storeName productName
#[Out]# 0    Sligro        Beef
query5 = '''
    SELECT DISTINCT ms.sName as storeName, mpr.pName as productName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price = (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
#[Out]#   storeName productName
#[Out]# 0    Sligro        Beef
query6 = '''
    SELECT (max(unit_price) - min(unit_price)) as difference
    FROM inventory
    WHERE date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0       12.95
query6 = '''
    SELECT pID,(max(unit_price) - min(unit_price)) as difference
    FROM inventory
    WHERE date = "2018-08-23"
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  difference
#[Out]# 0     0        0.80
#[Out]# 1     1        1.40
#[Out]# 2     2        0.40
#[Out]# 3     3        0.00
#[Out]# 4     4        0.20
#[Out]# 5     5        0.00
#[Out]# 6     6        0.00
#[Out]# 7     7        0.35
#[Out]# 8     8        0.75
#[Out]# 9    10        0.15
#[Out]# 10   11        0.20
#[Out]# 11   12        2.00
#[Out]# 12   13        0.65
#[Out]# 13   14        0.90
#[Out]# 14   15        0.30
#[Out]# 15   16        0.35
#[Out]# 16   17        0.50
#[Out]# 17   19        0.85
#[Out]# 18   22        0.50
#[Out]# 19   23        0.30
#[Out]# 20   24        0.55
#[Out]# 21   25        0.35
#[Out]# 22   27        1.95
#[Out]# 23   28        0.90
query6 = '''
    SELECT pID,(max(unit_price) - min(unit_price)) as difference
    FROM inventory
    WHERE date = "2018-08-23"
    GROUP BY pID
    ORDER BY difference DESC
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  difference
#[Out]# 0   12         2.0
query6 = '''
    SELECT difference
    FROM (
        SELECT pID,(max(unit_price) - min(unit_price)) as difference
        FROM inventory
        WHERE date = "2018-08-23"
        GROUP BY pID
        ORDER BY difference DESC
        LIMIT 1
    )
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query6 = '''
    SELECT difference
    FROM (
        SELECT pID,(max(unit_price) - min(unit_price)) as difference
        FROM inventory
        WHERE date = "2018-08-23"
        GROUP BY pID
        ORDER BY difference DESC
        LIMIT 1
    )
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query5 = '''
    SELECT DISTINCT ms.sName as storeName, mpr.pName as productName
    FROM purchase mp, product mpr, store ms
    WHERE mp.sID = ms.sID
    AND mp.pID = mpr.pID
    AND mp.price = (
        SELECT allMaxPrice
        FROM (
            SELECT productName, max(maxPrice) as allMaxPrice
            FROM (
                SELECT pr.pName as productName, max(p.price) as maxPrice
                FROM purchase p, product pr
                WHERE pr.pID = p.pID
                GROUP BY productName
            )
            GROUP BY productName
            ORDER BY allMaxPrice DESC
            LIMIT 1
        )
    ) 
'''

pd.read_sql_query(query5, conn)
#[Out]#   storeName productName
#[Out]# 0    Sligro        Beef
query4 = '''
    SELECT storeName
    FROM (
        SELECT s.sName as storeName, avg(quantity) avgQuantity
        FROM purchase p, store s
        WHERE s.sID IN (
            SELECT sID
            FROM (
                SELECT sID, sName, count(*) as storeCount 
                FROM store 
                GROUP BY sName 
                HAVING storeCount > 1 
            )
        )
        AND p.sID = s.sID
        GROUP BY storeName
        HAVING avgQuantity > 4
        ORDER BY avgQuantity
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#      storeName
#[Out]# 0  Albert Hein
#[Out]# 1         Lidl
#[Out]# 2         Coop
#[Out]# 3         Dirk
query3 = '''
    SELECT cID
    FROM (
        SELECT COUNT(DISTINCT sID) as storesCount, cID
        FROM purchase
        GROUP BY cID
    )
    WHERE storesCount = (
        SELECT count(*)
        FROM store
    )
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM purchase as p1, purchase p2, customer c
    WHERE p1.date = p2.date
    AND p1.cID = c.cID
    AND p1.cID = p2.CID
    AND p1.pID != p2.pID
    AND p1.pID IN (SELECT pr1.pID from product pr1 WHERE pr1.pName in ("Coffee", "Onions") )
    AND p2.pID IN (SELECT pr2.pID from product pr2 WHERE pr2.pName in ("Coffee", "Onions") )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query1 = '''
    SELECT pId
    FROM (
        SELECT pID, count(cID) as timesBought
        FROM purchase 
        GROUP BY pID         
    )
    WHERE timesBought = 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pId
#[Out]# 0   29
#[Out]# 1   30
