# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query1 = '''
    select pID, count(distinct cID)
    from purchase
    group by pID
    having count(distinct cID)<3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(distinct cID)
#[Out]# 0   15                    1
#[Out]# 1   17                    1
#[Out]# 2   18                    1
#[Out]# 3   21                    1
#[Out]# 4   25                    1
#[Out]# 5   28                    2
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query1 = '''
    select pID, count(distinct cID)
    from purchase
    group by pID
    having count(distinct cID)<3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(distinct cID)
#[Out]# 0   15                    1
#[Out]# 1   17                    1
#[Out]# 2   18                    1
#[Out]# 3   21                    1
#[Out]# 4   25                    1
#[Out]# 5   28                    2
query1 = '''
    selectcount(*) from purchase;'''

pd.read_sql_query(query1, conn)
query1 = '''
    select count(*) from purchase;'''

pd.read_sql_query(query1, conn)
#[Out]#    count(*)
#[Out]# 0       107
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID, count(distinct cID)
    from purchase
    group by pID
    having count(distinct cID)<3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(distinct cID)
#[Out]# 0   15                    1
#[Out]# 1   17                    1
#[Out]# 2   18                    1
#[Out]# 3   21                    1
#[Out]# 4   25                    1
#[Out]# 5   28                    2
query2 = '''
    SELECT
    FROM purchase p1, purchase p2, product r1, product r2
    WHERE p1.cID=p2.cID AND p1.date=p2.date AND r1.pName='Onions' 
    AND r2.pName='Coffee' AND p1.pID=r1.pID AND p2.pID=r2.pID;
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT p1.cID
    FROM purchase p1, purchase p2, product r1, product r2
    WHERE p1.cID=p2.cID AND p1.date=p2.date AND r1.pName='Onions' 
    AND r2.pName='Coffee' AND p1.pID=r1.pID AND p2.pID=r2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query2 = '''
    (SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID)
    INTERSECT
    (SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Onions' AND pr2.pID=pu2.pID);
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    ;
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0    2  2018-08-17
#[Out]# 1   29  2018-08-24
#[Out]# 2   31  2018-08-27
query2 = '''
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Onions' AND pr2.pID=pu2.pID
    ;
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0    2  2018-08-17
#[Out]# 1   29  2018-08-24
#[Out]# 2   31  2018-08-27
query2 = '''
    (SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Onions' AND pr2.pID=pu2.pID)
    ;
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Onions' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0    2  2018-08-17
#[Out]# 1   29  2018-08-24
#[Out]# 2   31  2018-08-27
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query2 = '''
    
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0   16  2018-08-24
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID        date
#[Out]# 0    2  2018-08-17
#[Out]# 1   29  2018-08-24
#[Out]# 2   31  2018-08-27
query2 = '''
    SELECT pu1.cID, pu1.date
    FROM purchase pu1, product pr1
    WHERE pr1.pName='Onions' AND pr1.pID=pu1.pID
    INTERSECT
    SELECT pu2.cID, pu2.date
    FROM purchase pu2, product pr2
    WHERE pr2.pName='Coffee' AND pr2.pID=pu2.pID;
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, date]
#[Out]# Index: []
query3 = '''
    select cID, count(distinct sID)
    from purchase
    group by cID
    having max(count(distinct cID));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    with cust_total(cID, value) as (
    select cID, count(distinct sID)
    from purchase
    group by cID
    
    select cID
    from cust_total
    where cust_total.value is max;
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    with cust_total(cID, value) as (
    select cID, count(distinct sID)
    from purchase
    group by cID
    
    select cID
    from cust_total
    where cust_total.value = max(cust_total.value);
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    
    select cID, count(distinct sID)
    from purchase
    group by cID
    having count(distinct sID)=max(count(distinct sID));
    
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    
    select cID, count(distinct sID)
    from purchase
    group by cID
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  count(distinct sID)
#[Out]# 0     0                    1
#[Out]# 1     1                    7
#[Out]# 2     2                    5
#[Out]# 3     3                    3
#[Out]# 4     4                    6
#[Out]# 5     5                    6
#[Out]# 6     7                    6
#[Out]# 7     8                    2
#[Out]# 8    10                    1
#[Out]# 9    11                    1
#[Out]# 10   13                    7
#[Out]# 11   15                    1
#[Out]# 12   16                   10
#[Out]# 13   17                    2
#[Out]# 14   18                    3
#[Out]# 15   19                    4
#[Out]# 16   20                    3
#[Out]# 17   21                    3
#[Out]# 18   22                    2
#[Out]# 19   24                    9
#[Out]# 20   25                    1
#[Out]# 21   26                    1
#[Out]# 22   27                    5
#[Out]# 23   28                    1
#[Out]# 24   29                    2
#[Out]# 25   30                    3
#[Out]# 26   31                    2
#[Out]# 27   33                    7
query3 = '''
    
    
    
    
    select count(distinct sID)
    from store
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    count(distinct sID)
#[Out]# 0                   60
query3 = '''
    
    
    
    
    select count(*)
    from store
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    count(*)
#[Out]# 0        60
query3 = '''
    
    
    select cID, count(distinct sID) as b
    from purchase
    group by cID
    
    
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID   b
#[Out]# 0     0   1
#[Out]# 1     1   7
#[Out]# 2     2   5
#[Out]# 3     3   3
#[Out]# 4     4   6
#[Out]# 5     5   6
#[Out]# 6     7   6
#[Out]# 7     8   2
#[Out]# 8    10   1
#[Out]# 9    11   1
#[Out]# 10   13   7
#[Out]# 11   15   1
#[Out]# 12   16  10
#[Out]# 13   17   2
#[Out]# 14   18   3
#[Out]# 15   19   4
#[Out]# 16   20   3
#[Out]# 17   21   3
#[Out]# 18   22   2
#[Out]# 19   24   9
#[Out]# 20   25   1
#[Out]# 21   26   1
#[Out]# 22   27   5
#[Out]# 23   28   1
#[Out]# 24   29   2
#[Out]# 25   30   3
#[Out]# 26   31   2
#[Out]# 27   33   7
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    
    
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID   b
#[Out]# 0     0   1
#[Out]# 1     1   7
#[Out]# 2     2   5
#[Out]# 3     3   3
#[Out]# 4     4   6
#[Out]# 5     5   6
#[Out]# 6     7   6
#[Out]# 7     8   2
#[Out]# 8    10   1
#[Out]# 9    11   1
#[Out]# 10   13   7
#[Out]# 11   15   1
#[Out]# 12   16  10
#[Out]# 13   17   2
#[Out]# 14   18   3
#[Out]# 15   19   4
#[Out]# 16   20   3
#[Out]# 17   21   3
#[Out]# 18   22   2
#[Out]# 19   24   9
#[Out]# 20   25   1
#[Out]# 21   26   1
#[Out]# 22   27   5
#[Out]# 23   28   1
#[Out]# 24   29   2
#[Out]# 25   30   3
#[Out]# 26   31   2
#[Out]# 27   33   7
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = c in (
    select count(distinct sID) as c 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = c IN (
    select count(distinct sID) as c 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = 
    select count(distinct sID) as c 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = (
    select count(distinct sID) as c 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, b]
#[Out]# Index: []
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = (
    select count(distinct sID) 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, b]
#[Out]# Index: []
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = 5 (
    select count(distinct sID) 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = (
    select count(distinct sID) 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, b]
#[Out]# Index: []
query3 = '''
    
    select cID
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = (
    select count(distinct sID) 
    from store)
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    
    
    select count(distinct sID) 
    from store
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    count(distinct sID)
#[Out]# 0                   60
query3 = '''
    
    select cID, b
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = 10
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID   b
#[Out]# 0   16  10
query3 = '''
    
    select cID
    from (
    select cID, count(distinct sID) as b
    from purchase
    group by cID)
    where b = 10
    
    ;
    
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0   16
query4 = '''
    select sID
    from store s, purchase p
    where avg(quantity) >4 and s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from store s, purchase p
    where avg(s.quantity)>4 and s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from store s, purchase p
    where s.quantity>4 and s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from store s, purchase p
    where p.quantity>4 and s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from store s, purchase p
    where p.quantity>4 AND s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase p
    where p.quantity>4 AND s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase p
    where p.quantity>4 AND s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select p.sID
    from purchase p
    where p.quantity>4 AND s.sID=p.pID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select all
    from purchase
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID
#[Out]# 0      3
#[Out]# 1     23
#[Out]# 2      3
#[Out]# 3     17
#[Out]# 4     32
#[Out]# 5     16
#[Out]# 6     46
#[Out]# 7     36
#[Out]# 8     12
#[Out]# 9     39
#[Out]# 10    13
#[Out]# 11    51
#[Out]# 12    47
#[Out]# 13    44
#[Out]# 14    30
#[Out]# 15    29
#[Out]# 16    17
#[Out]# 17    10
#[Out]# 18    53
#[Out]# 19    21
#[Out]# 20     7
#[Out]# 21    44
#[Out]# 22     4
#[Out]# 23    36
#[Out]# 24    55
#[Out]# 25    51
#[Out]# 26     6
#[Out]# 27    17
#[Out]# 28     3
#[Out]# 29    12
#[Out]# ..   ...
#[Out]# 77    11
#[Out]# 78    17
#[Out]# 79    45
#[Out]# 80    49
#[Out]# 81    14
#[Out]# 82    36
#[Out]# 83    59
#[Out]# 84    12
#[Out]# 85    21
#[Out]# 86     8
#[Out]# 87    59
#[Out]# 88    47
#[Out]# 89    42
#[Out]# 90    34
#[Out]# 91    34
#[Out]# 92    43
#[Out]# 93    43
#[Out]# 94    29
#[Out]# 95     9
#[Out]# 96     7
#[Out]# 97    57
#[Out]# 98    42
#[Out]# 99    39
#[Out]# 100   39
#[Out]# 101   57
#[Out]# 102   54
#[Out]# 103   17
#[Out]# 104   36
#[Out]# 105   23
#[Out]# 106   34
#[Out]# 
#[Out]# [107 rows x 1 columns]
query4 = '''
    select 
    from purchase
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select all
    
    from purchase
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select quantity
    from purchase
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#      quantity
#[Out]# 0           1
#[Out]# 1           2
#[Out]# 2           3
#[Out]# 3           2
#[Out]# 4           4
#[Out]# 5           4
#[Out]# 6           8
#[Out]# 7           6
#[Out]# 8           1
#[Out]# 9           7
#[Out]# 10          6
#[Out]# 11          4
#[Out]# 12          1
#[Out]# 13          2
#[Out]# 14          2
#[Out]# 15          6
#[Out]# 16          2
#[Out]# 17          9
#[Out]# 18          5
#[Out]# 19          2
#[Out]# 20          9
#[Out]# 21          4
#[Out]# 22          6
#[Out]# 23          6
#[Out]# 24          9
#[Out]# 25          2
#[Out]# 26          2
#[Out]# 27          1
#[Out]# 28          2
#[Out]# 29          6
#[Out]# ..        ...
#[Out]# 77          1
#[Out]# 78          7
#[Out]# 79          1
#[Out]# 80          4
#[Out]# 81          3
#[Out]# 82          3
#[Out]# 83          5
#[Out]# 84          9
#[Out]# 85          6
#[Out]# 86          1
#[Out]# 87          4
#[Out]# 88          6
#[Out]# 89          8
#[Out]# 90          9
#[Out]# 91          7
#[Out]# 92          2
#[Out]# 93          8
#[Out]# 94          3
#[Out]# 95          9
#[Out]# 96          4
#[Out]# 97          8
#[Out]# 98          9
#[Out]# 99          4
#[Out]# 100         6
#[Out]# 101         4
#[Out]# 102         1
#[Out]# 103         9
#[Out]# 104         6
#[Out]# 105         9
#[Out]# 106         3
#[Out]# 
#[Out]# [107 rows x 1 columns]
query4 = '''
    select p.sID
    from purchase p
    where p.quantity>4;
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase
    where quantity>4;
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase
    where quantity=4;
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase
    where quantity= 4;
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID
    from purchase
    where quantity <> 4;
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID, quantity
    from purchase
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID  quantity
#[Out]# 0      3         1
#[Out]# 1     23         2
#[Out]# 2      3         3
#[Out]# 3     17         2
#[Out]# 4     32         4
#[Out]# 5     16         4
#[Out]# 6     46         8
#[Out]# 7     36         6
#[Out]# 8     12         1
#[Out]# 9     39         7
#[Out]# 10    13         6
#[Out]# 11    51         4
#[Out]# 12    47         1
#[Out]# 13    44         2
#[Out]# 14    30         2
#[Out]# 15    29         6
#[Out]# 16    17         2
#[Out]# 17    10         9
#[Out]# 18    53         5
#[Out]# 19    21         2
#[Out]# 20     7         9
#[Out]# 21    44         4
#[Out]# 22     4         6
#[Out]# 23    36         6
#[Out]# 24    55         9
#[Out]# 25    51         2
#[Out]# 26     6         2
#[Out]# 27    17         1
#[Out]# 28     3         2
#[Out]# 29    12         6
#[Out]# ..   ...       ...
#[Out]# 77    11         1
#[Out]# 78    17         7
#[Out]# 79    45         1
#[Out]# 80    49         4
#[Out]# 81    14         3
#[Out]# 82    36         3
#[Out]# 83    59         5
#[Out]# 84    12         9
#[Out]# 85    21         6
#[Out]# 86     8         1
#[Out]# 87    59         4
#[Out]# 88    47         6
#[Out]# 89    42         8
#[Out]# 90    34         9
#[Out]# 91    34         7
#[Out]# 92    43         2
#[Out]# 93    43         8
#[Out]# 94    29         3
#[Out]# 95     9         9
#[Out]# 96     7         4
#[Out]# 97    57         8
#[Out]# 98    42         9
#[Out]# 99    39         4
#[Out]# 100   39         6
#[Out]# 101   57         4
#[Out]# 102   54         1
#[Out]# 103   17         9
#[Out]# 104   36         6
#[Out]# 105   23         9
#[Out]# 106   34         3
#[Out]# 
#[Out]# [107 rows x 2 columns]
query4 = '''
    select sID, quantity
    from purchase p
    where quantity>4
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0    46         8
#[Out]# 1    36         6
#[Out]# 2    39         7
#[Out]# 3    13         6
#[Out]# 4    29         6
#[Out]# 5    10         9
#[Out]# 6    53         5
#[Out]# 7     7         9
#[Out]# 8     4         6
#[Out]# 9    36         6
#[Out]# 10   55         9
#[Out]# 11   12         6
#[Out]# 12   42         6
#[Out]# 13   43         7
#[Out]# 14   51         5
#[Out]# 15   34         5
#[Out]# 16    0         8
#[Out]# 17   33         5
#[Out]# 18    4         6
#[Out]# 19   33         5
#[Out]# 20   50         5
#[Out]# 21    8         6
#[Out]# 22   25         5
#[Out]# 23   22         7
#[Out]# 24   25         5
#[Out]# 25   31         7
#[Out]# 26   27         8
#[Out]# 27   55         8
#[Out]# 28   51         9
#[Out]# 29   44        10
#[Out]# 30    2         6
#[Out]# 31   29        12
#[Out]# 32   40         9
#[Out]# 33   47         9
#[Out]# 34   27         6
#[Out]# 35    0         9
#[Out]# 36   17         7
#[Out]# 37   59         5
#[Out]# 38   12         9
#[Out]# 39   21         6
#[Out]# 40   47         6
#[Out]# 41   42         8
#[Out]# 42   34         9
#[Out]# 43   34         7
#[Out]# 44   43         8
#[Out]# 45    9         9
#[Out]# 46   57         8
#[Out]# 47   42         9
#[Out]# 48   39         6
#[Out]# 49   17         9
#[Out]# 50   36         6
#[Out]# 51   23         9
query4 = '''
    select p.sID
    from purchase p
    where avg(quantity)>4
    
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select p.sID, avg(quantity)
    from purchase 
    
    
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sID, avg(quantity)
    from purchase 
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  avg(quantity)
#[Out]# 0   34       4.766355
query4 = '''
    select distinct sID, avg(quantity)
    from purchase 
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  avg(quantity)
#[Out]# 0   34       4.766355
query4 = '''
    select sID, quantity
    from purchase 
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID  quantity
#[Out]# 0      3         1
#[Out]# 1     23         2
#[Out]# 2      3         3
#[Out]# 3     17         2
#[Out]# 4     32         4
#[Out]# 5     16         4
#[Out]# 6     46         8
#[Out]# 7     36         6
#[Out]# 8     12         1
#[Out]# 9     39         7
#[Out]# 10    13         6
#[Out]# 11    51         4
#[Out]# 12    47         1
#[Out]# 13    44         2
#[Out]# 14    30         2
#[Out]# 15    29         6
#[Out]# 16    17         2
#[Out]# 17    10         9
#[Out]# 18    53         5
#[Out]# 19    21         2
#[Out]# 20     7         9
#[Out]# 21    44         4
#[Out]# 22     4         6
#[Out]# 23    36         6
#[Out]# 24    55         9
#[Out]# 25    51         2
#[Out]# 26     6         2
#[Out]# 27    17         1
#[Out]# 28     3         2
#[Out]# 29    12         6
#[Out]# ..   ...       ...
#[Out]# 77    11         1
#[Out]# 78    17         7
#[Out]# 79    45         1
#[Out]# 80    49         4
#[Out]# 81    14         3
#[Out]# 82    36         3
#[Out]# 83    59         5
#[Out]# 84    12         9
#[Out]# 85    21         6
#[Out]# 86     8         1
#[Out]# 87    59         4
#[Out]# 88    47         6
#[Out]# 89    42         8
#[Out]# 90    34         9
#[Out]# 91    34         7
#[Out]# 92    43         2
#[Out]# 93    43         8
#[Out]# 94    29         3
#[Out]# 95     9         9
#[Out]# 96     7         4
#[Out]# 97    57         8
#[Out]# 98    42         9
#[Out]# 99    39         4
#[Out]# 100   39         6
#[Out]# 101   57         4
#[Out]# 102   54         1
#[Out]# 103   17         9
#[Out]# 104   36         6
#[Out]# 105   23         9
#[Out]# 106   34         3
#[Out]# 
#[Out]# [107 rows x 2 columns]
query4 = '''
    select sID, avg(quantity)
    from purchase 
    group by sID
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  avg(quantity)
#[Out]# 0     0       8.500000
#[Out]# 1     1       3.000000
#[Out]# 2     2       3.333333
#[Out]# 3     3       1.750000
#[Out]# 4     4       4.333333
#[Out]# 5     6       3.000000
#[Out]# 6     7       6.500000
#[Out]# 7     8       3.500000
#[Out]# 8     9       9.000000
#[Out]# 9    10       9.000000
#[Out]# 10   11       2.500000
#[Out]# 11   12       5.333333
#[Out]# 12   13       4.500000
#[Out]# 13   14       3.000000
#[Out]# 14   15       4.000000
#[Out]# 15   16       4.000000
#[Out]# 16   17       4.200000
#[Out]# 17   21       3.666667
#[Out]# 18   22       4.000000
#[Out]# 19   23       5.500000
#[Out]# 20   25       4.333333
#[Out]# 21   26       2.500000
#[Out]# 22   27       7.000000
#[Out]# 23   28       4.000000
#[Out]# 24   29       6.250000
#[Out]# 25   30       2.000000
#[Out]# 26   31       7.000000
#[Out]# 27   32       3.000000
#[Out]# 28   33       5.000000
#[Out]# 29   34       6.000000
#[Out]# 30   36       4.166667
#[Out]# 31   38       4.000000
#[Out]# 32   39       5.666667
#[Out]# 33   40       9.000000
#[Out]# 34   42       7.666667
#[Out]# 35   43       5.666667
#[Out]# 36   44       5.333333
#[Out]# 37   45       1.000000
#[Out]# 38   46       8.000000
#[Out]# 39   47       5.333333
#[Out]# 40   49       4.000000
#[Out]# 41   50       3.000000
#[Out]# 42   51       5.000000
#[Out]# 43   53       5.000000
#[Out]# 44   54       1.000000
#[Out]# 45   55       8.500000
#[Out]# 46   57       6.000000
#[Out]# 47   59       3.333333
query4 = '''
    select sName, avg(quantity)
    from purchase p, store s
    where p.sID=s.sID
    group by sName
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.307692
#[Out]# 1         Coop       5.200000
#[Out]# 2         Dirk       4.500000
#[Out]# 3    Hoogvliet       4.200000
#[Out]# 4        Jumbo       4.142857
#[Out]# 5         Lidl       4.642857
#[Out]# 6       Sligro       5.250000
query4 = '''

select sName
from(
    select sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID
    group by sName)
    where a>4;
    
    
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''


    select sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID
    group by sName
    
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName         a
#[Out]# 0  Albert Hein  4.307692
#[Out]# 1         Coop  5.200000
#[Out]# 2         Dirk  4.500000
#[Out]# 3    Hoogvliet  4.200000
#[Out]# 4        Jumbo  4.142857
#[Out]# 5         Lidl  4.642857
#[Out]# 6       Sligro  5.250000
query4 = '''


    select sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID
    group by sName
    having a>4
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName         a
#[Out]# 0  Albert Hein  4.307692
#[Out]# 1         Coop  5.200000
#[Out]# 2         Dirk  4.500000
#[Out]# 3    Hoogvliet  4.200000
#[Out]# 4        Jumbo  4.142857
#[Out]# 5         Lidl  4.642857
#[Out]# 6       Sligro  5.250000
query4 = '''


    select sName 
    from purchase p, store s
    where p.sID=s.sID AND avg(quantity) as a
    group by sName
    having a>4
    
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''


    select s.sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID AND 
    group by sName
    having a>4
    
    ;
'''

pd.read_sql_query(query4, conn)
query4 = '''


    select s.sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID 
    group by sName
    having a>4
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName         a
#[Out]# 0  Albert Hein  4.307692
#[Out]# 1         Coop  5.200000
#[Out]# 2         Dirk  4.500000
#[Out]# 3    Hoogvliet  4.200000
#[Out]# 4        Jumbo  4.142857
#[Out]# 5         Lidl  4.642857
#[Out]# 6       Sligro  5.250000
query4 = '''

select sName from (
    select s.sName, avg(quantity) as a
    from purchase p, store s
    where p.sID=s.sID 
    group by sName
    having a>4)
    
    ;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query5 = '''
    select pID, max(price)
    from purchase
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  max(price)
#[Out]# 0   12        13.6
query5 = '''
    select pID, price
    from purchase
    where price>5;
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID  price
#[Out]# 0    27   9.10
#[Out]# 1    27   9.05
#[Out]# 2    12  13.60
#[Out]# 3    28   8.25
#[Out]# 4    12  10.75
#[Out]# 5     8   5.30
#[Out]# 6     0   5.35
#[Out]# 7     8   5.40
#[Out]# 8    27   9.25
#[Out]# 9     0   5.40
#[Out]# 10   27   7.10
#[Out]# 11   27   7.05
#[Out]# 12   28   8.05
#[Out]# 13   18  11.55
#[Out]# 14   12  11.45
#[Out]# 15   12  12.80
query5 = '''
    select pID, max(price)
    from purchase
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  max(price)
#[Out]# 0   12        13.6
query5 = '''
    select pr.pName, max(price)
    from purchase pu, product pr
    where pu.pID=pr.pID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  max(price)
#[Out]# 0  Beef        13.6
query5 = '''
    select pr.pName, s.sID, max(price)
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID  max(price)
#[Out]# 0  Beef   53        13.6
query5 = '''
    select pr.pName, s.sName, max(price)
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName sName  max(price)
#[Out]# 0  Beef  Coop        13.6
query5 = '''
    select pr.pName, s.sName
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 77             Cheese  Albert Hein
#[Out]# 78          Mushrooms    Hoogvliet
#[Out]# 79              Water         Coop
#[Out]# 80           Tomatoes    Hoogvliet
#[Out]# 81        Cashew Nuts         Coop
#[Out]# 82            Carrots         Lidl
#[Out]# 83               Eggs        Jumbo
#[Out]# 84              Pasta         Lidl
#[Out]# 85    Spiced Biscuits         Coop
#[Out]# 86            Carrots  Albert Hein
#[Out]# 87             Apples        Jumbo
#[Out]# 88           Potatoes         Coop
#[Out]# 89       Green Pepper       Sligro
#[Out]# 90               Eggs         Coop
#[Out]# 91                Tea         Coop
#[Out]# 92               Milk         Coop
#[Out]# 93           Tomatoes         Coop
#[Out]# 94             Onions       Sligro
#[Out]# 95          Mushrooms  Albert Hein
#[Out]# 96               Rice       Sligro
#[Out]# 97               Beef         Dirk
#[Out]# 98             Onions       Sligro
#[Out]# 99            Oranges       Sligro
#[Out]# 100           Carrots       Sligro
#[Out]# 101              Coca         Dirk
#[Out]# 102              Rice         Dirk
#[Out]# 103           Bananas    Hoogvliet
#[Out]# 104       Cashew Nuts         Lidl
#[Out]# 105              Beef         Dirk
#[Out]# 106          Potatoes         Coop
#[Out]# 
#[Out]# [107 rows x 2 columns]
query5 = '''
    select pr.pName, s.sName, price
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0               Water       Sligro   0.45
#[Out]# 1              Apples         Dirk   4.65
#[Out]# 2                Rice       Sligro   1.60
#[Out]# 3             Bananas    Hoogvliet   1.25
#[Out]# 4              Donuts  Albert Hein   3.95
#[Out]# 5               Pasta         Lidl   2.75
#[Out]# 6                Milk         Lidl   0.90
#[Out]# 7               Pizza         Lidl   9.10
#[Out]# 8               Fanta         Lidl   2.45
#[Out]# 9             Bananas       Sligro   1.35
#[Out]# 10             Onions         Coop   1.10
#[Out]# 11               Eggs         Coop   3.70
#[Out]# 12                Tea         Coop   1.55
#[Out]# 13             Apples  Albert Hein   4.30
#[Out]# 14              Pasta         Dirk   2.75
#[Out]# 15            Bananas       Sligro   1.45
#[Out]# 16   Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 17              Pizza        Jumbo   9.05
#[Out]# 18               Beef         Coop  13.60
#[Out]# 19            Carrots         Coop   1.05
#[Out]# 20               Eggs       Sligro   3.05
#[Out]# 21              Pasta  Albert Hein   2.75
#[Out]# 22             Apples    Hoogvliet   4.70
#[Out]# 23            Lasanga         Lidl   8.25
#[Out]# 24            Carrots         Coop   1.10
#[Out]# 25                Tea         Coop   1.55
#[Out]# 26               Rice         Coop   1.85
#[Out]# 27               Coca    Hoogvliet   2.20
#[Out]# 28               Coca       Sligro   2.10
#[Out]# 29           Potatoes         Lidl   1.70
#[Out]# ..                ...          ...    ...
#[Out]# 77             Cheese  Albert Hein  11.55
#[Out]# 78          Mushrooms    Hoogvliet   0.55
#[Out]# 79              Water         Coop   0.60
#[Out]# 80           Tomatoes    Hoogvliet   2.05
#[Out]# 81        Cashew Nuts         Coop   4.80
#[Out]# 82            Carrots         Lidl   1.15
#[Out]# 83               Eggs        Jumbo   4.00
#[Out]# 84              Pasta         Lidl   2.55
#[Out]# 85    Spiced Biscuits         Coop   2.10
#[Out]# 86            Carrots  Albert Hein   0.95
#[Out]# 87             Apples        Jumbo   3.50
#[Out]# 88           Potatoes         Coop   1.65
#[Out]# 89       Green Pepper       Sligro   1.20
#[Out]# 90               Eggs         Coop   3.55
#[Out]# 91                Tea         Coop   1.60
#[Out]# 92               Milk         Coop   1.10
#[Out]# 93           Tomatoes         Coop   1.95
#[Out]# 94             Onions       Sligro   0.95
#[Out]# 95          Mushrooms  Albert Hein   0.60
#[Out]# 96               Rice       Sligro   1.90
#[Out]# 97               Beef         Dirk  11.45
#[Out]# 98             Onions       Sligro   0.90
#[Out]# 99            Oranges       Sligro   3.90
#[Out]# 100           Carrots       Sligro   1.05
#[Out]# 101              Coca         Dirk   2.60
#[Out]# 102              Rice         Dirk   2.05
#[Out]# 103           Bananas    Hoogvliet   1.30
#[Out]# 104       Cashew Nuts         Lidl   3.95
#[Out]# 105              Beef         Dirk  12.80
#[Out]# 106          Potatoes         Coop   2.30
#[Out]# 
#[Out]# [107 rows x 3 columns]
query5 = '''
    select pr.pName, s.sName, max(price)
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName sName  max(price)
#[Out]# 0  Beef  Coop        13.6
query5 = '''
    select pr.pName, s.sName
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID and pu.price=max(price)
    ;
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pr.pName, s.sName, max(price)
    from purchase pu, product pr, store s
    where pu.pID=pr.pID and s.sID=pu.sID
    ;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName sName  max(price)
#[Out]# 0  Beef  Coop        13.6
query6 = '''
    select max(unit-price), min(unit-price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23’

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(unit-price), min(unit-price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select pID, max(unit-price), min(unit-price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.pID
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
#[Out]#       pID
#[Out]# 0      11
#[Out]# 1      11
#[Out]# 2      11
#[Out]# 3      11
#[Out]# 4      11
#[Out]# 5      11
#[Out]# 6      11
#[Out]# 7      11
#[Out]# 8      11
#[Out]# 9      11
#[Out]# 10     11
#[Out]# 11     11
#[Out]# 12     11
#[Out]# 13     11
#[Out]# 14     11
#[Out]# 15     11
#[Out]# 16     11
#[Out]# 17     11
#[Out]# 18     11
#[Out]# 19     11
#[Out]# 20     11
#[Out]# 21     11
#[Out]# 22     11
#[Out]# 23     11
#[Out]# 24     11
#[Out]# 25     11
#[Out]# 26     11
#[Out]# 27     11
#[Out]# 28     11
#[Out]# 29     11
#[Out]# ...   ...
#[Out]# 1651   19
#[Out]# 1652   19
#[Out]# 1653   19
#[Out]# 1654   19
#[Out]# 1655   19
#[Out]# 1656   19
#[Out]# 1657   19
#[Out]# 1658   19
#[Out]# 1659   19
#[Out]# 1660   19
#[Out]# 1661   19
#[Out]# 1662   19
#[Out]# 1663   19
#[Out]# 1664   19
#[Out]# 1665   19
#[Out]# 1666   19
#[Out]# 1667   19
#[Out]# 1668   19
#[Out]# 1669   19
#[Out]# 1670   19
#[Out]# 1671   19
#[Out]# 1672   19
#[Out]# 1673   19
#[Out]# 1674   19
#[Out]# 1675   19
#[Out]# 1676   19
#[Out]# 1677   19
#[Out]# 1678   19
#[Out]# 1679   19
#[Out]# 1680   19
#[Out]# 
#[Out]# [1681 rows x 1 columns]
query6 = '''
    select i.pID, max(unit-price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.pID, i.max(unit-price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.unit-price
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.price
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.pID
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
#[Out]#       pID
#[Out]# 0      11
#[Out]# 1      11
#[Out]# 2      11
#[Out]# 3      11
#[Out]# 4      11
#[Out]# 5      11
#[Out]# 6      11
#[Out]# 7      11
#[Out]# 8      11
#[Out]# 9      11
#[Out]# 10     11
#[Out]# 11     11
#[Out]# 12     11
#[Out]# 13     11
#[Out]# 14     11
#[Out]# 15     11
#[Out]# 16     11
#[Out]# 17     11
#[Out]# 18     11
#[Out]# 19     11
#[Out]# 20     11
#[Out]# 21     11
#[Out]# 22     11
#[Out]# 23     11
#[Out]# 24     11
#[Out]# 25     11
#[Out]# 26     11
#[Out]# 27     11
#[Out]# 28     11
#[Out]# 29     11
#[Out]# ...   ...
#[Out]# 1651   19
#[Out]# 1652   19
#[Out]# 1653   19
#[Out]# 1654   19
#[Out]# 1655   19
#[Out]# 1656   19
#[Out]# 1657   19
#[Out]# 1658   19
#[Out]# 1659   19
#[Out]# 1660   19
#[Out]# 1661   19
#[Out]# 1662   19
#[Out]# 1663   19
#[Out]# 1664   19
#[Out]# 1665   19
#[Out]# 1666   19
#[Out]# 1667   19
#[Out]# 1668   19
#[Out]# 1669   19
#[Out]# 1670   19
#[Out]# 1671   19
#[Out]# 1672   19
#[Out]# 1673   19
#[Out]# 1674   19
#[Out]# 1675   19
#[Out]# 1676   19
#[Out]# 1677   19
#[Out]# 1678   19
#[Out]# 1679   19
#[Out]# 1680   19
#[Out]# 
#[Out]# [1681 rows x 1 columns]
query6 = '''
    select i.unit-price
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unit-price
    from inventory ;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unit-price
    from inventory ;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unit-price
    from inventory ;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unitprice
    from inventory ;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unit_price
    from inventory ;

'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price
#[Out]# 0          0.60
#[Out]# 1         14.80
#[Out]# 2          1.15
#[Out]# 3          7.30
#[Out]# 4          2.05
#[Out]# 5          5.70
#[Out]# 6          0.60
#[Out]# 7          1.90
#[Out]# 8          3.05
#[Out]# 9          5.05
#[Out]# 10         2.20
#[Out]# 11         0.55
#[Out]# 12         6.20
#[Out]# 13         2.50
#[Out]# 14         1.60
#[Out]# 15         0.55
#[Out]# 16         2.20
#[Out]# 17         4.50
#[Out]# 18         4.70
#[Out]# 19         2.15
#[Out]# 20         2.85
#[Out]# 21         9.00
#[Out]# 22         4.60
#[Out]# 23         1.30
#[Out]# 24         4.25
#[Out]# 25         2.90
#[Out]# 26        12.55
#[Out]# 27        11.85
#[Out]# 28         3.20
#[Out]# 29         5.55
#[Out]# ..          ...
#[Out]# 469        1.40
#[Out]# 470       11.55
#[Out]# 471        0.55
#[Out]# 472        0.60
#[Out]# 473        2.05
#[Out]# 474        4.80
#[Out]# 475        1.15
#[Out]# 476        4.00
#[Out]# 477        2.10
#[Out]# 478        0.95
#[Out]# 479        3.50
#[Out]# 480        1.65
#[Out]# 481        1.20
#[Out]# 482        3.55
#[Out]# 483        1.60
#[Out]# 484        1.10
#[Out]# 485        1.95
#[Out]# 486        0.95
#[Out]# 487        1.90
#[Out]# 488       11.45
#[Out]# 489        0.90
#[Out]# 490        3.90
#[Out]# 491        1.05
#[Out]# 492        2.60
#[Out]# 493        2.05
#[Out]# 494        1.30
#[Out]# 495        3.95
#[Out]# 496       12.80
#[Out]# 497        2.30
#[Out]# 498        5.95
#[Out]# 
#[Out]# [499 rows x 1 columns]
query6 = '''
    select i.unit_price
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0           0.60
#[Out]# 1           0.60
#[Out]# 2           0.60
#[Out]# 3           0.60
#[Out]# 4           0.60
#[Out]# 5           0.60
#[Out]# 6           0.60
#[Out]# 7           0.60
#[Out]# 8           0.60
#[Out]# 9           0.60
#[Out]# 10          0.60
#[Out]# 11          0.60
#[Out]# 12          0.60
#[Out]# 13          0.60
#[Out]# 14          0.60
#[Out]# 15          0.60
#[Out]# 16          0.60
#[Out]# 17          0.60
#[Out]# 18          0.60
#[Out]# 19          0.60
#[Out]# 20          0.60
#[Out]# 21          0.60
#[Out]# 22          0.60
#[Out]# 23          0.60
#[Out]# 24          0.60
#[Out]# 25          0.60
#[Out]# 26          0.60
#[Out]# 27          0.60
#[Out]# 28          0.60
#[Out]# 29          0.60
#[Out]# ...          ...
#[Out]# 1651        1.95
#[Out]# 1652        1.95
#[Out]# 1653        1.95
#[Out]# 1654        1.95
#[Out]# 1655        1.95
#[Out]# 1656        1.95
#[Out]# 1657        1.95
#[Out]# 1658        1.95
#[Out]# 1659        1.95
#[Out]# 1660        1.95
#[Out]# 1661        1.95
#[Out]# 1662        1.95
#[Out]# 1663        1.95
#[Out]# 1664        1.95
#[Out]# 1665        1.95
#[Out]# 1666        1.95
#[Out]# 1667        1.95
#[Out]# 1668        1.95
#[Out]# 1669        1.95
#[Out]# 1670        1.95
#[Out]# 1671        1.95
#[Out]# 1672        1.95
#[Out]# 1673        1.95
#[Out]# 1674        1.95
#[Out]# 1675        1.95
#[Out]# 1676        1.95
#[Out]# 1677        1.95
#[Out]# 1678        1.95
#[Out]# 1679        1.95
#[Out]# 1680        1.95
#[Out]# 
#[Out]# [1681 rows x 1 columns]
query6 = '''
    select i.unit_price
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0           0.60
#[Out]# 1           0.60
#[Out]# 2           0.60
#[Out]# 3           0.60
#[Out]# 4           0.60
#[Out]# 5           0.60
#[Out]# 6           0.60
#[Out]# 7           0.60
#[Out]# 8           0.60
#[Out]# 9           0.60
#[Out]# 10          0.60
#[Out]# 11          0.60
#[Out]# 12          0.60
#[Out]# 13          0.60
#[Out]# 14          0.60
#[Out]# 15          0.60
#[Out]# 16          0.60
#[Out]# 17          0.60
#[Out]# 18          0.60
#[Out]# 19          0.60
#[Out]# 20          0.60
#[Out]# 21          0.60
#[Out]# 22          0.60
#[Out]# 23          0.60
#[Out]# 24          0.60
#[Out]# 25          0.60
#[Out]# 26          0.60
#[Out]# 27          0.60
#[Out]# 28          0.60
#[Out]# 29          0.60
#[Out]# ...          ...
#[Out]# 1584        1.95
#[Out]# 1585        1.95
#[Out]# 1586        1.95
#[Out]# 1587        1.95
#[Out]# 1588        1.95
#[Out]# 1589        1.95
#[Out]# 1590        1.95
#[Out]# 1591        1.95
#[Out]# 1592        1.95
#[Out]# 1593        1.95
#[Out]# 1594        1.95
#[Out]# 1595        1.95
#[Out]# 1596        1.95
#[Out]# 1597        1.95
#[Out]# 1598        1.95
#[Out]# 1599        1.95
#[Out]# 1600        1.95
#[Out]# 1601        1.95
#[Out]# 1602        1.95
#[Out]# 1603        1.95
#[Out]# 1604        1.95
#[Out]# 1605        1.95
#[Out]# 1606        1.95
#[Out]# 1607        1.95
#[Out]# 1608        1.95
#[Out]# 1609        1.95
#[Out]# 1610        1.95
#[Out]# 1611        1.95
#[Out]# 1612        1.95
#[Out]# 1613        1.95
#[Out]# 
#[Out]# [1614 rows x 1 columns]
query6 = '''
    select i.max(unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select MAX(unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i.MAX(unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select MAX(.unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select MAX(i.unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i.unit_price)
#[Out]# 0               11.4
query6 = '''
    select MAX(i.unit_price), max(ii.unit_price)
    from inventory i,inventory ii
    where i.date=ii.date and i.date='2018-08-23' and i.sID<>ii.sID;

'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i.unit_price)  max(ii.unit_price)
#[Out]# 0               11.4                11.4
query6 = '''
    select MAX(i.unit_price)
    from inventory i,
    where i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
query6 = '''
    select MAX(i.unit_price)
    from inventory i
    where i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i.unit_price)
#[Out]# 0               11.4
query6 = '''
    select i.sID, MAX(i.unit_price)
    from inventory i
    where i.date='2018-08-23';

'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  MAX(i.unit_price)
#[Out]# 0   42               11.4
query6 = '''
    select i.sID, MAX(i.unit_price) as max
    from inventory i
    where i.date='2018-08-23';

    select ii.sID, MIN(ii.unit_price) as min
    from inventory ii
    where ii.date='2018-08-23';
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max - 1
    from(
    select i.sID, MAX(i.unit_price) as max
    from inventory i
    where i.date='2018-08-23');

    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max - 1
#[Out]# 0     10.4
query6 = '''
    select a
    from(
    select i.sID, MAX(i.unit_price) as max
    from inventory i
    where i.date='2018-08-23')
    where a = (max -1) ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max
    from(
    select i.sID, MAX(i.unit_price) as max
    from inventory i
    where i.date='2018-08-23')
    where max = (max -1) ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [max]
#[Out]# Index: []
query6 = '''
    select max
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23')
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#     max
#[Out]# 0  11.4
query6 = '''
    select max - min
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23')
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max - min
#[Out]# 0      10.95
query6 = '''
    select max - min
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23')
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max - min
#[Out]# 0      10.95
query6 = '''
    
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23')
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    
    select i.sID, MAX(i.unit_price) as max, i.sID, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23')
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23') -1
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23') 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#     max
#[Out]# 0  11.4
query6 = '''
    select max -1 
    from(
    select i.sID, MAX(i.unit_price) as max, MIN(i.unit_price) as min
    from inventory i
    where i.date='2018-08-23') 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max -1
#[Out]# 0    10.4
query6 = '''
    
    select i.unit_price-ii.unit_price
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.sID<>ii.sID) 
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    
    select i.unit_price
    
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.sID<>ii.sID) 
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    
    select i.sID
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.date=ii.date and i.sID<>ii.sID) 
    ;

    
'''

pd.read_sql_query(query6, conn)
query6 = '''
    
    select i.sID
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.date=ii.date and i.sID<>ii.sID 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#       sID
#[Out]# 0       2
#[Out]# 1       2
#[Out]# 2       2
#[Out]# 3       2
#[Out]# 4       2
#[Out]# 5       2
#[Out]# 6       2
#[Out]# 7       2
#[Out]# 8       2
#[Out]# 9       2
#[Out]# 10      2
#[Out]# 11      2
#[Out]# 12      2
#[Out]# 13      2
#[Out]# 14      2
#[Out]# 15      2
#[Out]# 16      2
#[Out]# 17      2
#[Out]# 18      2
#[Out]# 19      2
#[Out]# 20      2
#[Out]# 21      2
#[Out]# 22      2
#[Out]# 23      2
#[Out]# 24      2
#[Out]# 25      2
#[Out]# 26      2
#[Out]# 27      2
#[Out]# 28      2
#[Out]# 29      2
#[Out]# ...   ...
#[Out]# 1584   57
#[Out]# 1585   57
#[Out]# 1586   57
#[Out]# 1587   57
#[Out]# 1588   57
#[Out]# 1589   57
#[Out]# 1590   57
#[Out]# 1591   57
#[Out]# 1592   57
#[Out]# 1593   57
#[Out]# 1594   57
#[Out]# 1595   57
#[Out]# 1596   57
#[Out]# 1597   57
#[Out]# 1598   57
#[Out]# 1599   57
#[Out]# 1600   57
#[Out]# 1601   57
#[Out]# 1602   57
#[Out]# 1603   57
#[Out]# 1604   57
#[Out]# 1605   57
#[Out]# 1606   57
#[Out]# 1607   57
#[Out]# 1608   57
#[Out]# 1609   57
#[Out]# 1610   57
#[Out]# 1611   57
#[Out]# 1612   57
#[Out]# 1613   57
#[Out]# 
#[Out]# [1614 rows x 1 columns]
query6 = '''
    
    select i.unit_price
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.date=ii.date and i.sID<>ii.sID 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0           0.60
#[Out]# 1           0.60
#[Out]# 2           0.60
#[Out]# 3           0.60
#[Out]# 4           0.60
#[Out]# 5           0.60
#[Out]# 6           0.60
#[Out]# 7           0.60
#[Out]# 8           0.60
#[Out]# 9           0.60
#[Out]# 10          0.60
#[Out]# 11          0.60
#[Out]# 12          0.60
#[Out]# 13          0.60
#[Out]# 14          0.60
#[Out]# 15          0.60
#[Out]# 16          0.60
#[Out]# 17          0.60
#[Out]# 18          0.60
#[Out]# 19          0.60
#[Out]# 20          0.60
#[Out]# 21          0.60
#[Out]# 22          0.60
#[Out]# 23          0.60
#[Out]# 24          0.60
#[Out]# 25          0.60
#[Out]# 26          0.60
#[Out]# 27          0.60
#[Out]# 28          0.60
#[Out]# 29          0.60
#[Out]# ...          ...
#[Out]# 1584        1.95
#[Out]# 1585        1.95
#[Out]# 1586        1.95
#[Out]# 1587        1.95
#[Out]# 1588        1.95
#[Out]# 1589        1.95
#[Out]# 1590        1.95
#[Out]# 1591        1.95
#[Out]# 1592        1.95
#[Out]# 1593        1.95
#[Out]# 1594        1.95
#[Out]# 1595        1.95
#[Out]# 1596        1.95
#[Out]# 1597        1.95
#[Out]# 1598        1.95
#[Out]# 1599        1.95
#[Out]# 1600        1.95
#[Out]# 1601        1.95
#[Out]# 1602        1.95
#[Out]# 1603        1.95
#[Out]# 1604        1.95
#[Out]# 1605        1.95
#[Out]# 1606        1.95
#[Out]# 1607        1.95
#[Out]# 1608        1.95
#[Out]# 1609        1.95
#[Out]# 1610        1.95
#[Out]# 1611        1.95
#[Out]# 1612        1.95
#[Out]# 1613        1.95
#[Out]# 
#[Out]# [1614 rows x 1 columns]
query6 = '''
    
    select i.unit_price-ii.unit_price
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.date=ii.date and i.sID<>ii.sID 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#       i.unit_price-ii.unit_price
#[Out]# 0                          -0.40
#[Out]# 1                          -1.40
#[Out]# 2                          -1.50
#[Out]# 3                          -1.85
#[Out]# 4                          -3.50
#[Out]# 5                          -1.25
#[Out]# 6                          -3.75
#[Out]# 7                          -5.20
#[Out]# 8                          -1.30
#[Out]# 9                          -1.50
#[Out]# 10                         -1.10
#[Out]# 11                         -0.65
#[Out]# 12                         -1.60
#[Out]# 13                         -0.60
#[Out]# 14                         -1.50
#[Out]# 15                         -7.90
#[Out]# 16                         -1.35
#[Out]# 17                         -4.55
#[Out]# 18                         -1.45
#[Out]# 19                         -4.00
#[Out]# 20                         -6.25
#[Out]# 21                         -0.45
#[Out]# 22                         -1.65
#[Out]# 23                          0.15
#[Out]# 24                         -3.40
#[Out]# 25                         -3.55
#[Out]# 26                         -8.25
#[Out]# 27                         -1.20
#[Out]# 28                         -2.75
#[Out]# 29                         -4.00
#[Out]# ...                          ...
#[Out]# 1584                        0.25
#[Out]# 1585                        0.70
#[Out]# 1586                       -0.25
#[Out]# 1587                        0.75
#[Out]# 1588                       -0.15
#[Out]# 1589                       -6.55
#[Out]# 1590                        0.00
#[Out]# 1591                       -3.20
#[Out]# 1592                       -0.10
#[Out]# 1593                       -2.65
#[Out]# 1594                       -4.90
#[Out]# 1595                        0.90
#[Out]# 1596                       -0.30
#[Out]# 1597                        1.50
#[Out]# 1598                       -2.05
#[Out]# 1599                       -2.20
#[Out]# 1600                       -6.90
#[Out]# 1601                        0.15
#[Out]# 1602                       -1.40
#[Out]# 1603                       -2.65
#[Out]# 1604                       -9.45
#[Out]# 1605                        0.95
#[Out]# 1606                       -2.15
#[Out]# 1607                        0.10
#[Out]# 1608                        1.40
#[Out]# 1609                        0.00
#[Out]# 1610                        1.35
#[Out]# 1611                        0.40
#[Out]# 1612                       -2.40
#[Out]# 1613                       -1.00
#[Out]# 
#[Out]# [1614 rows x 1 columns]
query6 = '''
    
    select min(i.unit_price-ii.unit_price)
    from inventory i, inventory ii
    where i.date='2018-08-23' and i.date=ii.date and i.sID<>ii.sID 
    ;

    
'''

pd.read_sql_query(query6, conn)
#[Out]#    min(i.unit_price-ii.unit_price)
#[Out]# 0                           -10.95

