# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''SELECT distinct(pID) from purchase where purchase.pID 
                      NOT IN (SELECT distinct(P1.pID) from purchase as P1,purchase as P2, purchase as P3
                              where P1.pID = P2.pID and P3.pID = P2.pID and P1.cID <> P2.cID and 
                                                 P2.cID <> P3.cID and P3.cID <> P1.cID)'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT cID, cName from customer 
            where cID IN (SELECT distinct(P1.cID) from purchase P1, purchase P2, product pr
                 where P1.pID = P2.pID and P1.pID = pr.pID and pr.pName = 'Coffee' and (P1.cID,P1.date) IN
                       (SELECT distinct(P1.cID),P1.date from purchase P1, purchase P2, product pr
                              where P1.pID = P2.pID and P1.pID = pr.pID and pr.pName = 'Onions'))'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
        SELECT cID FROM purchase GROUP BY cID having count(cID) in (select count(sID) from store)'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT S.sName FROM purchase P inner join store S on S.sID = P.sID WHERE S.sID IN 
               (SELECT S1.sID FROM store S1, store S2 WHERE S1.sID <> S2.sID and S1.sName = S2.sName) 
                                    GROUP BY S.sName HAVING avg(P.quantity)>4'''

'''SELECT distinct(store.sName) FROM store WHERE store.sID IN (                 purchase.sID, avg(quantity)'''
pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT product.pName from product,store where (store.sID,product.pID) IN 
           (SELECT sID,pID from purchase where price = (SELECT max(price) from purchase))'''

'''product.pID,store.sID,store.sName'''
pd.read_sql_query(query5, conn)
#[Out]#   pName
#[Out]# 0  Beef
query5 = '''
    SELECT product.pName,store.sName from product,store where (store.sID,product.pID) IN 
           (SELECT sID,pID from purchase where price = (SELECT max(price) from purchase))'''

'''product.pID,store.sID,store.sName'''
pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT max(S1.unit_price-S2.unit_price)
    FROM (SELECT * from inventory where date = '2018-08-23') as S1, (SELECT * from inventory where date = '2018-08-23') as S2
    WHERE S1.sID <> S2.sID and S1.pID = S2.pID'''

'''S1.sID,S1.pID,S1.unit_price,S2.unit_price'''
pd.read_sql_query(query6, conn)
#[Out]#    max(S1.unit_price-S2.unit_price)
#[Out]# 0                               2.0
practicequery1a = '''select customer.cID,customer.cName from customer where customer.cID 
                                           IN (select distinct(purchase.cID) from purchase,shoppinglist 
                                                where ((purchase.cID IN (shoppinglist.cID)) and purchase.cID
                                                      NOT IN (select purchase.cID from shoppinglist,purchase 
                                                                 where (shoppinglist.date = purchase.date 
                                                                        and shoppinglist.cID = purchase.cID 
                                                                        and shoppinglist.date = purchase.date))))'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#    cID  cName
#[Out]# 0   25  Mason
#[Out]# 1   58  Jurre
#[Out]# 2   80   Niek
#[Out]# 3   88  Joris
#[Out]# 4   99   Anna
#[Out]# 5  103  Lotte
#[Out]# 6  131    Amy
#[Out]# 7  136  Femke
