# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x10fc69260>
query1 = '''
    select p1.pID
    from purchase as p1, purchase as p2
    where p1.pID=p2.pID and p1.cID<>p2.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#       pID
#[Out]# 0      10
#[Out]# 1      10
#[Out]# 2      10
#[Out]# 3      10
#[Out]# 4      10
#[Out]# 5      10
#[Out]# 6      10
#[Out]# 7      10
#[Out]# 8      10
#[Out]# 9      10
#[Out]# 10     10
#[Out]# 11     10
#[Out]# 12     10
#[Out]# 13     10
#[Out]# 14     10
#[Out]# 15     14
#[Out]# 16     14
#[Out]# 17     14
#[Out]# 18     14
#[Out]# 19     14
#[Out]# 20     14
#[Out]# 21     14
#[Out]# 22     14
#[Out]# 23     14
#[Out]# 24     14
#[Out]# 25     14
#[Out]# 26     14
#[Out]# 27     14
#[Out]# 28     14
#[Out]# 29     14
#[Out]# ...   ...
#[Out]# 8594   19
#[Out]# 8595   19
#[Out]# 8596   19
#[Out]# 8597   19
#[Out]# 8598    9
#[Out]# 8599    9
#[Out]# 8600    9
#[Out]# 8601    9
#[Out]# 8602    9
#[Out]# 8603    9
#[Out]# 8604    9
#[Out]# 8605    9
#[Out]# 8606    9
#[Out]# 8607    9
#[Out]# 8608    9
#[Out]# 8609    9
#[Out]# 8610    9
#[Out]# 8611    9
#[Out]# 8612    9
#[Out]# 8613    9
#[Out]# 8614    9
#[Out]# 8615   18
#[Out]# 8616   18
#[Out]# 8617   18
#[Out]# 8618   18
#[Out]# 8619   18
#[Out]# 8620   18
#[Out]# 8621   18
#[Out]# 8622   18
#[Out]# 8623   18
#[Out]# 
#[Out]# [8624 rows x 1 columns]
query1 = '''
    select p1.pID
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p1.pID
    having count(distinct p2.cID)<3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select p1.pID
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p2.pID
    having count(distinct p2.cID)<3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select p1.pID count(distinct p2.cID)
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p1.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select p1.pID
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p1.pID
    having count(distinct p2.cID)<3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where c.city=s.city and (c.cID, s.sID) not in(select cID, sID
                                                                   from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  189
#[Out]# 1  190
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where (c.cID, s.sID) not in(select cID, sID
                                                 from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where (c.cID, s.sID) not in(select cID, sID
                                                 from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    select c.cID, c.cName
    from customer as c, product as p1, purchase as p2
    where c.cID=p2.cID and p1.pID=p2.pID and p1.pName='Onions' and p2.date= (select p4.date
                                                                            from product as p3, purchase as p4
                                                                            where c.cID=p4.cID and p3.pID=p4.pID and p3.pName='Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer as c, product as p1, purchase as p2
    where c.cID=p2.cID and p1.pID=p2.pID and p1.pName='Onions' and p2.date= (select p4.date
                                                                            from customer as c, product as p3, purchase as p4
                                                                            where c.cID=p4.cID and p3.pID=p4.pID and p3.pName='Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID  cName
#[Out]# 0   29  Ruben
#[Out]# 1  129  Esmee
query2 = '''
    select c.cID, c.cName
    from customer as c, product as p1, purchase as p2
    where c.cID=p2.cID and p1.pID=p2.pID and p1.pName='Onions' and p2.date= 
    (select p4.date
    from product as p3, purchase as p4
    where c.cID=p4.cID and p3.pID=p4.pID and p3.pName='Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where (c.cID, s.sID) not in(select cID, sID
                                                 from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where (c.cID, s.sID) not in(select cID, sID
                                                 from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    select c.cID, c.cName
    from customer as c, product as p1, purchase as p2
    where c.cID=p2.cID and p1.pID=p2.pID and p1.pName='Onions' and p2.date= 
    (select p4.date
    from product as p3, purchase as p4
    where c.cID=p4.cID and p3.pID=p4.pID and p3.pName='Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query1 = '''
    select p1.pID
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p1.pID
    having count(distinct p2.cID)<3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query4 = '''
    select s1.sName
    from store as s1, store as s2
    where s1.sName=s2.sName and s1.sID<>s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1         Coop
#[Out]# 2         Coop
#[Out]# 3         Coop
#[Out]# 4         Coop
#[Out]# 5         Coop
#[Out]# 6         Coop
#[Out]# 7         Coop
#[Out]# 8         Coop
#[Out]# 9         Coop
#[Out]# 10        Coop
#[Out]# 11        Coop
#[Out]# 12        Coop
#[Out]# 13   Hoogvliet
#[Out]# 14   Hoogvliet
#[Out]# 15   Hoogvliet
#[Out]# 16   Hoogvliet
#[Out]# 17   Hoogvliet
#[Out]# 18   Hoogvliet
#[Out]# 19   Hoogvliet
#[Out]# 20   Hoogvliet
#[Out]# 21       Jumbo
#[Out]# 22       Jumbo
#[Out]# 23       Jumbo
#[Out]# 24       Jumbo
#[Out]# 25       Jumbo
#[Out]# 26       Jumbo
#[Out]# 27       Jumbo
#[Out]# 28      Sligro
#[Out]# 29      Sligro
#[Out]# ..         ...
#[Out]# 528       Lidl
#[Out]# 529       Lidl
#[Out]# 530       Lidl
#[Out]# 531       Lidl
#[Out]# 532       Lidl
#[Out]# 533       Lidl
#[Out]# 534       Lidl
#[Out]# 535       Lidl
#[Out]# 536       Lidl
#[Out]# 537       Lidl
#[Out]# 538       Lidl
#[Out]# 539       Lidl
#[Out]# 540       Lidl
#[Out]# 541       Lidl
#[Out]# 542       Lidl
#[Out]# 543       Lidl
#[Out]# 544      Jumbo
#[Out]# 545      Jumbo
#[Out]# 546      Jumbo
#[Out]# 547      Jumbo
#[Out]# 548      Jumbo
#[Out]# 549      Jumbo
#[Out]# 550      Jumbo
#[Out]# 551      Jumbo
#[Out]# 552      Jumbo
#[Out]# 553      Jumbo
#[Out]# 554      Jumbo
#[Out]# 555      Jumbo
#[Out]# 556      Jumbo
#[Out]# 557      Jumbo
#[Out]# 
#[Out]# [558 rows x 1 columns]
query4 = '''
    select s1.sName
    from store as s1, store as s2
    where s1.sName=s2.sName and s1.sID<>s2.sID and s1.street<>s2.street
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1         Coop
#[Out]# 2         Coop
#[Out]# 3         Coop
#[Out]# 4         Coop
#[Out]# 5         Coop
#[Out]# 6         Coop
#[Out]# 7         Coop
#[Out]# 8         Coop
#[Out]# 9         Coop
#[Out]# 10        Coop
#[Out]# 11        Coop
#[Out]# 12        Coop
#[Out]# 13   Hoogvliet
#[Out]# 14   Hoogvliet
#[Out]# 15   Hoogvliet
#[Out]# 16   Hoogvliet
#[Out]# 17   Hoogvliet
#[Out]# 18   Hoogvliet
#[Out]# 19   Hoogvliet
#[Out]# 20   Hoogvliet
#[Out]# 21       Jumbo
#[Out]# 22       Jumbo
#[Out]# 23       Jumbo
#[Out]# 24       Jumbo
#[Out]# 25       Jumbo
#[Out]# 26       Jumbo
#[Out]# 27       Jumbo
#[Out]# 28      Sligro
#[Out]# 29      Sligro
#[Out]# ..         ...
#[Out]# 508       Lidl
#[Out]# 509       Lidl
#[Out]# 510       Lidl
#[Out]# 511       Lidl
#[Out]# 512       Lidl
#[Out]# 513       Lidl
#[Out]# 514       Lidl
#[Out]# 515       Lidl
#[Out]# 516       Lidl
#[Out]# 517       Lidl
#[Out]# 518       Lidl
#[Out]# 519       Lidl
#[Out]# 520       Lidl
#[Out]# 521       Lidl
#[Out]# 522       Lidl
#[Out]# 523       Lidl
#[Out]# 524      Jumbo
#[Out]# 525      Jumbo
#[Out]# 526      Jumbo
#[Out]# 527      Jumbo
#[Out]# 528      Jumbo
#[Out]# 529      Jumbo
#[Out]# 530      Jumbo
#[Out]# 531      Jumbo
#[Out]# 532      Jumbo
#[Out]# 533      Jumbo
#[Out]# 534      Jumbo
#[Out]# 535      Jumbo
#[Out]# 536      Jumbo
#[Out]# 537      Jumbo
#[Out]# 
#[Out]# [538 rows x 1 columns]
query5 = '''
    select p.pName, s.sName, max(pr.price)
    from product as p, store as s, purchase as pr
    where p.pID=pr.pID, s.sID=pr.sID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select p.pName, s.sName, max(pr.price)
    from product as p, store as s, purchase as pr
    where p.pID=pr.pID and s.sID=pr.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  max(pr.price)
#[Out]# 0  Beef  Sligro           13.8
query5 = '''
    with max_price(value) as (select max(pr.price)
                              from purchase as pr)
    select p.pName, s.sName
    from product as p, store as s, purchase as pr, max_price
    where p.pID=pr.pID and s.sID=pr.sID and pr.price=max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    with maxp(pID, sID, value) as (select i.pID, i.sID, max(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'),
         minp(pID, sID, value) as (select i.pID, i.sID, min(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23') 
    select (maxp.value-minp.value)
    from maxp, minp
    where maxp.pID=minp.pID and maxp.sID<>minp.sID
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [(maxp.value-minp.value)]
#[Out]# Index: []
query6 = '''
    with maxp(pID, sID, value) as (select i.pID, i.sID, max(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'),
         minp(pID, sID, value) as (select i.pID, i.sID, min(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23') 
    select max(maxp.value-minp.value)
    from maxp, minp
    where maxp.pID=minp.pID and maxp.sID<>minp.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#   max(maxp.value-minp.value)
#[Out]# 0                       None
query6 = '''
    with maxp(pID, sID, value) as (select i.pID, i.sID, max(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID),
         minp(pID, sID, value) as (select i.pID, i.sID, min(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID) 
    select max(maxp.value-minp.value)
    from maxp, minp
    where maxp.pID=minp.pID and maxp.sID<>minp.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(maxp.value-minp.value)
#[Out]# 0                         2.0
query6 = '''
    with maxp(pID, sID, value) as (select i.pID, i.sID, max(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID, i.sID),
         minp(pID, sID, value) as (select i.pID, i.sID, min(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID, i.sID) 
    select max(maxp.value-minp.value)
    from maxp, minp
    where maxp.pID=minp.pID and maxp.sID<>minp.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(maxp.value-minp.value)
#[Out]# 0                         2.0
query4 = '''
    select store-chains_name
    from (select s1.sName, avg(p.quantity)
          from store as s1, store as s2, purchase as p
          where s1.sName=s2.sName and s1.sID<>s2.sID and s1.sID=p.sID
          group by s1.name)
          as store-chains_avg(store-chains_name, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select store-chains_name, avg_quantity
    from (select s1.sName, avg(p.quantity)
          from store as s1, store as s2, purchase as p
          where s1.sName=s2.sName and s1.sID<>s2.sID and s1.sID=p.sID
          group by s1.name)
          as store-chains_avg(store-chains_name, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select store-chains_name, avg_quantity
    from (select s1.sName, avg(p.quantity)
          from store as s1, purchase as p
          where s1.sID=p.sID
          group by s1.name)
          as store-chains_avg(store-chains_name, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select store-chains_name, avg_quantity
    from (select s1.sName, avg(p.quantity)
          from store as s1, purchase as p
          where s1.sID=p.sID
          group by s1.name)
          as store-chains_avg(store-chains_name, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query5 = '''
    with max_price(value) as (select max(pr.price)
                              from purchase as pr)
    select p.pName, s.sName
    from product as p, store as s, purchase as pr, max_price
    where p.pID=pr.pID and s.sID=pr.sID and pr.price=max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query4 = '''
    select store-chains_name, avg_quantity
    from (select s1.sName, avg(p.quantity)
          from store as s1, purchase as p
          where s1.sID=p.sID
          group by s1.sName)
          as store-chains_avg(store-chains_name, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s1.sName, avg_quantity
    from (select s1.sName, avg(p.quantity)
          from store as s1, purchase as p
          where s1.sID=p.sID
          group by s1.sName)
          as store-chains_avg(s1.sName, avg_quantity)
    where avg_quantity>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in( with store_avg(sName, quantity) as (select s.sName, avg(p.quantity)
                                                         from purchase as p, store as s
                                                         where p.sID=s.sID
                                                         group by s.sName)
                    select sa.sName
                    from store_avg as sa
                    where sa.quantity>4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in( with store_qua(sName, quantity) as (select s.sName, avg(p.quantity)
                                                         from purchase as p, store as s
                                                         where p.sID=s.sID
                                                         group by s.sName)
                    select sa.sName
                    from store_qua as sa
                    where sa.quantity>4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in( with store_qua(sName, quantity) as (select s.sName, avg(p.quantity)
                                                         from purchase as p, store as s
                                                         where p.sID=s.sID
                                                         group by s.sName)
                    select sa.sName
                    from store_qua as sa
                    where sa.quantity>4)
    and s.sName in (with store_chain(sName, number) as (select s.sName, count(distinct s.sID)
                                                         from store as s
                                                         group by s.sName)
                    select sc.sName
                    from store_chain as sc
                    where sc.number>1)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in (with store_chain(sName, number) as (select s.sName, count(distinct s.sID)
                                                         from store as s
                                                         group by s.sName)
                    select sc.sName
                    from store_chain as sc
                    where sc.number>1)
      and s.sName in( with store_qua(sName, quantity) as (select s.sName, avg(p.quantity)
                                                         from purchase as p, store as s
                                                         where p.sID=s.sID
                                                         group by s.sName)
                    select sa.sName
                    from store_qua as sa
                    where sa.quantity>4)
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in (with store_chains(sName, number) as (select s.sName, count(distinct s.sID)
                                                         from store as s
                                                         group by s.sName)
                    select sc.sName
                    from store_chains as sc
                    where sc.number>1)
      and s.sName in( with store_chains_qua(sName, quantity) as (select s.sName, avg(p.quantity)
                                                                 from purchase as p, store as s
                                                                 where p.sID=s.sID
                                                                 group by s.sName)
                    select sa.sName
                    from store_chains_qua as sa
                    where sa.quantity>4)
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in (with store_chains(sName, number) as (select s.sName, count(distinct s.sID)
                                                         from store as s
                                                         group by s.sName)
                    select sc.sName
                    from store_chains as sc
                    where sc.number>1)
      and s.sName in( with store_chains_qua(sName, quantity) as (select s.sName, avg(p.quantity)
                                                                 from purchase as p, store as s
                                                                 where p.sID=s.sID
                                                                 group by s.sName)
                    select sa.sName
                    from store_chains_qua as sa
                    where sa.quantity>4)
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query4 = '''
    select distinct s.sName
    from store as s
    where s.sName in (with store_chains(sName, number) as 
                          (select s.sName, count(distinct s.sID)
                           from store as s
                           group by s.sName)
                  select sc.sName
                  from store_chains as sc
                  where sc.number>1)
    and s.sName in( with store_chains_qua(sName, quantity) as 
                          (select s.sName, avg(p.quantity)
                           from purchase as p, store as s
                           where p.sID=s.sID
                           group by s.sName)
                 select sa.sName
                 from store_chains_qua as sa
                 where sa.quantity>4)
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4         Lidl
#[Out]# 5         Dirk
query6 = '''
    with maxp(pID, sID, value) as (select i.pID, i.sID, max(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID, i.sID),
         minp(pID, sID, value) as (select i.pID, i.sID, min(i.unit_price)
                                   from inventory as i
                                   where i.date='2018-08-23'
                                   group by i.pID, i.sID) 
    select max(maxp.value-minp.value)
    from maxp, minp
    where maxp.pID=minp.pID and maxp.sID<>minp.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(maxp.value-minp.value)
#[Out]# 0                         2.0
query5 = '''
    with max_price(value) as (select max(pr.price)
                              from purchase as pr)
    select p.pName, s.sName
    from product as p, store as s, purchase as pr, max_price
    where p.pID=pr.pID and s.sID=pr.sID and pr.price=max_price.value
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query3 = '''
    select cID
    from customer
    where cID not in(select cID
                     from customer as c, store as s
                     where (c.cID, s.sID) not in(select cID, sID
                                                 from purchase))
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    select c.cID, c.cName
    from customer as c, product as p1, purchase as p2
    where c.cID=p2.cID and p1.pID=p2.pID and p1.pName='Onions' and p2.date= 
    (select p4.date
    from product as p3, purchase as p4
    where c.cID=p4.cID and p3.pID=p4.pID and p3.pName='Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query1 = '''
    select p1.pID
    from product as p1, purchase as p2
    where p1.pID=p2.pID 
    group by p1.pID
    having count(distinct p2.cID)<3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
