# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x109cd89d0>
query1 = '''
    select pID
    from product, purchase
    where product.pID = purchase.pID
    group by pID;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select product.pID
    from product, purchase
    where product.pID = purchase.pID
    group by product.pID;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select product.pID, count(distinct purchase.cID)
    from product, purchase
    where product.pID = purchase.pID
    group by product.pID;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  count(distinct purchase.cID)
#[Out]# 0     0                            22
#[Out]# 1     1                            13
#[Out]# 2     2                             9
#[Out]# 3     3                            20
#[Out]# 4     4                            16
#[Out]# 5     5                            14
#[Out]# 6     6                            15
#[Out]# 7     7                            13
#[Out]# 8     8                            12
#[Out]# 9     9                            18
#[Out]# 10   10                            14
#[Out]# 11   11                            13
#[Out]# 12   12                            16
#[Out]# 13   13                            21
#[Out]# 14   14                            18
#[Out]# 15   15                            13
#[Out]# 16   16                            20
#[Out]# 17   17                            13
#[Out]# 18   18                            10
#[Out]# 19   19                            20
#[Out]# 20   20                            16
#[Out]# 21   21                            19
#[Out]# 22   22                            20
#[Out]# 23   23                            11
#[Out]# 24   24                            20
#[Out]# 25   25                            14
#[Out]# 26   26                            19
#[Out]# 27   27                            13
#[Out]# 28   28                            23
#[Out]# 29   29                             2
#[Out]# 30   30                             1
query1 = '''
    select product.pID, count(distinct purchase.cID)
    from product, purchase
    where product.pID = purchase.pID
        and count(distinct purchase.cID)<=2
    group by product.pID;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select product.pID, count(distinct purchase.cID)
    from product, purchase
    where product.pID = purchase.pID
    group by product.pID
    having count(distinct purchase.cID)<=2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(distinct purchase.cID)
#[Out]# 0   29                             2
#[Out]# 1   30                             1
query2 = '''
    select customer.cID, customer.cName
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pID = "Onions" or product.pID="Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select customer.cID, customer.cName
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions" or product.pName="Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#        cID   cName
#[Out]# 0        0    Noah
#[Out]# 1        0    Noah
#[Out]# 2        0    Noah
#[Out]# 3        0    Noah
#[Out]# 4        0    Noah
#[Out]# 5        0    Noah
#[Out]# 6        0    Noah
#[Out]# 7        0    Noah
#[Out]# 8        0    Noah
#[Out]# 9        0    Noah
#[Out]# 10       0    Noah
#[Out]# 11       0    Noah
#[Out]# 12       0    Noah
#[Out]# 13       0    Noah
#[Out]# 14       0    Noah
#[Out]# 15       0    Noah
#[Out]# 16       0    Noah
#[Out]# 17       0    Noah
#[Out]# 18       0    Noah
#[Out]# 19       0    Noah
#[Out]# 20       0    Noah
#[Out]# 21       0    Noah
#[Out]# 22       0    Noah
#[Out]# 23       0    Noah
#[Out]# 24       0    Noah
#[Out]# 25       0    Noah
#[Out]# 26       0    Noah
#[Out]# 27       0    Noah
#[Out]# 28       0    Noah
#[Out]# 29       0    Noah
#[Out]# ...    ...     ...
#[Out]# 96696  190  Kostas
#[Out]# 96697  190  Kostas
#[Out]# 96698  190  Kostas
#[Out]# 96699  190  Kostas
#[Out]# 96700  190  Kostas
#[Out]# 96701  190  Kostas
#[Out]# 96702  190  Kostas
#[Out]# 96703  190  Kostas
#[Out]# 96704  190  Kostas
#[Out]# 96705  190  Kostas
#[Out]# 96706  190  Kostas
#[Out]# 96707  190  Kostas
#[Out]# 96708  190  Kostas
#[Out]# 96709  190  Kostas
#[Out]# 96710  190  Kostas
#[Out]# 96711  190  Kostas
#[Out]# 96712  190  Kostas
#[Out]# 96713  190  Kostas
#[Out]# 96714  190  Kostas
#[Out]# 96715  190  Kostas
#[Out]# 96716  190  Kostas
#[Out]# 96717  190  Kostas
#[Out]# 96718  190  Kostas
#[Out]# 96719  190  Kostas
#[Out]# 96720  190  Kostas
#[Out]# 96721  190  Kostas
#[Out]# 96722  190  Kostas
#[Out]# 96723  190  Kostas
#[Out]# 96724  190  Kostas
#[Out]# 96725  190  Kostas
#[Out]# 
#[Out]# [96726 rows x 2 columns]
query2 = '''
    select customer.cID, customer.cName
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions" or product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]#        cID   cName
#[Out]# 0        0    Noah
#[Out]# 1        0    Noah
#[Out]# 2        0    Noah
#[Out]# 3        0    Noah
#[Out]# 4        0    Noah
#[Out]# 5        0    Noah
#[Out]# 6        0    Noah
#[Out]# 7        0    Noah
#[Out]# 8        0    Noah
#[Out]# 9        0    Noah
#[Out]# 10       0    Noah
#[Out]# 11       0    Noah
#[Out]# 12       0    Noah
#[Out]# 13       0    Noah
#[Out]# 14       0    Noah
#[Out]# 15       0    Noah
#[Out]# 16       0    Noah
#[Out]# 17       0    Noah
#[Out]# 18       0    Noah
#[Out]# 19       0    Noah
#[Out]# 20       0    Noah
#[Out]# 21       0    Noah
#[Out]# 22       0    Noah
#[Out]# 23       0    Noah
#[Out]# 24       0    Noah
#[Out]# 25       0    Noah
#[Out]# 26       0    Noah
#[Out]# 27       0    Noah
#[Out]# 28       0    Noah
#[Out]# 29       0    Noah
#[Out]# ...    ...     ...
#[Out]# 96696  190  Kostas
#[Out]# 96697  190  Kostas
#[Out]# 96698  190  Kostas
#[Out]# 96699  190  Kostas
#[Out]# 96700  190  Kostas
#[Out]# 96701  190  Kostas
#[Out]# 96702  190  Kostas
#[Out]# 96703  190  Kostas
#[Out]# 96704  190  Kostas
#[Out]# 96705  190  Kostas
#[Out]# 96706  190  Kostas
#[Out]# 96707  190  Kostas
#[Out]# 96708  190  Kostas
#[Out]# 96709  190  Kostas
#[Out]# 96710  190  Kostas
#[Out]# 96711  190  Kostas
#[Out]# 96712  190  Kostas
#[Out]# 96713  190  Kostas
#[Out]# 96714  190  Kostas
#[Out]# 96715  190  Kostas
#[Out]# 96716  190  Kostas
#[Out]# 96717  190  Kostas
#[Out]# 96718  190  Kostas
#[Out]# 96719  190  Kostas
#[Out]# 96720  190  Kostas
#[Out]# 96721  190  Kostas
#[Out]# 96722  190  Kostas
#[Out]# 96723  190  Kostas
#[Out]# 96724  190  Kostas
#[Out]# 96725  190  Kostas
#[Out]# 
#[Out]# [96726 rows x 2 columns]
query2 = '''
    select customer.cID, customer.cName, product.pName
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
    group by customer.cID
    having product.pName = "Onions" or product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName   pName
#[Out]# 0   29   Ruben  Onions
#[Out]# 1   33    Sven  Onions
#[Out]# 2   42    Tijn  Coffee
#[Out]# 3  110    Saar  Coffee
#[Out]# 4  111  Lauren  Coffee
#[Out]# 5  171   Tessa  Coffee
#[Out]# 6  175     Sam  Coffee
#[Out]# 7  177   Eline  Onions
#[Out]# 8  181    Liva  Coffee
query2 = '''
    select customer.cID, customer.cName, product.pName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
    group by customer.cID
    having product.pName = "Onions" or product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName   pName        date
#[Out]# 0   29   Ruben  Onions  2018-08-24
#[Out]# 1   33    Sven  Onions  2018-08-18
#[Out]# 2   42    Tijn  Coffee  2018-08-18
#[Out]# 3  110    Saar  Coffee  2018-08-18
#[Out]# 4  111  Lauren  Coffee  2018-08-22
#[Out]# 5  171   Tessa  Coffee  2018-08-20
#[Out]# 6  175     Sam  Coffee  2018-08-20
#[Out]# 7  177   Eline  Onions  2018-08-22
#[Out]# 8  181    Liva  Coffee  2018-08-27
query2 = '''
    select customer.cID, customer.cName, product.pName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
    group by customer.cID
    having product.pName = "Onions" and product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pName, date]
#[Out]# Index: []
query2 = '''
    select customer.cID, customer.cName, product.pName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
    group by customer.cID
    having product.pName = "Onions" or product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName   pName        date
#[Out]# 0   29   Ruben  Onions  2018-08-24
#[Out]# 1   33    Sven  Onions  2018-08-18
#[Out]# 2   42    Tijn  Coffee  2018-08-18
#[Out]# 3  110    Saar  Coffee  2018-08-18
#[Out]# 4  111  Lauren  Coffee  2018-08-22
#[Out]# 5  171   Tessa  Coffee  2018-08-20
#[Out]# 6  175     Sam  Coffee  2018-08-20
#[Out]# 7  177   Eline  Onions  2018-08-22
#[Out]# 8  181    Liva  Coffee  2018-08-27
query2 = '''
    select customer.cID, customer.cName, product.pName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
    group by customer.cID, purchase.date
    having product.pName = "Onions" or product.pName="Coffee";
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName   pName        date
#[Out]# 0    16   Julian  Coffee  2018-08-24
#[Out]# 1    29    Ruben  Onions  2018-08-24
#[Out]# 2    31  Olivier  Onions  2018-08-27
#[Out]# 3    33     Sven  Onions  2018-08-18
#[Out]# 4    42     Tijn  Coffee  2018-08-18
#[Out]# 5    59     Joep  Coffee  2018-08-15
#[Out]# 6    59     Joep  Onions  2018-08-25
#[Out]# 7    85   Pieter  Onions  2018-08-18
#[Out]# 8   110     Saar  Coffee  2018-08-18
#[Out]# 9   111   Lauren  Coffee  2018-08-22
#[Out]# 10  129    Esmee  Onions  2018-08-24
#[Out]# 11  162    Elena  Onions  2018-08-21
#[Out]# 12  169     Lily  Coffee  2018-08-16
#[Out]# 13  169     Lily  Onions  2018-08-20
#[Out]# 14  171    Tessa  Coffee  2018-08-20
#[Out]# 15  172     Lana  Onions  2018-08-27
#[Out]# 16  175      Sam  Coffee  2018-08-20
#[Out]# 17  176    Amira  Onions  2018-08-22
#[Out]# 18  177    Eline  Onions  2018-08-22
#[Out]# 19  181     Liva  Coffee  2018-08-27
query2 = '''
    select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    29    Ruben  2018-08-24
#[Out]# 2    31  Olivier  2018-08-27
#[Out]# 3    33     Sven  2018-08-18
#[Out]# 4    52   Willem  2018-08-25
#[Out]# 5    59     Joep  2018-08-25
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7   124    Sofie  2018-08-26
#[Out]# 8   129    Esmee  2018-08-24
#[Out]# 9   162    Elena  2018-08-21
#[Out]# 10  165    Hanna  2018-08-23
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  172     Lana  2018-08-27
#[Out]# 13  176    Amira  2018-08-22
#[Out]# 14  177    Eline  2018-08-22
#[Out]# 15  190   Kostas  2018-08-26
query2 = '''
    (select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions")
        intersect
   ( select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee");
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    (select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions")
        intersect
   (select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee");
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions"

intersect

   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, date]
#[Out]# Index: []
query2 = '''


   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, date]
#[Out]# Index: []
query3 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query3, conn)
query2 = '''


   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, date]
#[Out]# Index: []
query2 = '''


   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    29    Ruben  2018-08-24
#[Out]# 2    31  Olivier  2018-08-27
#[Out]# 3    33     Sven  2018-08-18
#[Out]# 4    52   Willem  2018-08-25
#[Out]# 5    59     Joep  2018-08-25
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7   124    Sofie  2018-08-26
#[Out]# 8   129    Esmee  2018-08-24
#[Out]# 9   162    Elena  2018-08-21
#[Out]# 10  165    Hanna  2018-08-23
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  172     Lana  2018-08-27
#[Out]# 13  176    Amira  2018-08-22
#[Out]# 14  177    Eline  2018-08-22
#[Out]# 15  190   Kostas  2018-08-26
query2 = '''


   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Koffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, date]
#[Out]# Index: []
query2 = '''


   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Coffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName        date
#[Out]# 0    16  Julian  2018-08-24
#[Out]# 1    42    Tijn  2018-08-18
#[Out]# 2    59    Joep  2018-08-15
#[Out]# 3    82   Dylan  2018-08-19
#[Out]# 4    86    Stef  2018-08-18
#[Out]# 5    92   Jelte  2018-08-25
#[Out]# 6    97  Sophie  2018-08-25
#[Out]# 7   108    Noor  2018-08-15
#[Out]# 8   110    Saar  2018-08-18
#[Out]# 9   111  Lauren  2018-08-22
#[Out]# 10  122    Elin  2018-08-25
#[Out]# 11  124   Sofie  2018-08-26
#[Out]# 12  152    Anne  2018-08-20
#[Out]# 13  169    Lily  2018-08-16
#[Out]# 14  171   Tessa  2018-08-20
#[Out]# 15  175     Sam  2018-08-20
#[Out]# 16  176   Amira  2018-08-26
#[Out]# 17  181    Liva  2018-08-27
#[Out]# 18  190  Kostas  2018-08-26
#[Out]# 19  190  Kostas  2018-08-20
#[Out]# 20  190  Kostas  2018-08-22
#[Out]# 21  190  Kostas  2018-08-22
query2 = '''

    select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Onions"

intersect
   select customer.cID, customer.cName, purchase.date
    from customer, purchase, product
    where customer.cID = purchase.cID
        and product.pID = purchase.pID
        and product.pName = "Coffee";
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName        date
#[Out]# 0  124   Sofie  2018-08-26
#[Out]# 1  190  Kostas  2018-08-26
query3 = '''
    select purchase.cID, count(distinct purchase.sID)
    from product, purchase
    where product.pID = purchase.pID
    group by product.cID;
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase
    where customer.cID = purchase.cID
    group by customer.cID;
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count(distinct purchase.sID)
#[Out]# 0      0                             1
#[Out]# 1      1                             7
#[Out]# 2      2                             5
#[Out]# 3      3                             3
#[Out]# 4      4                             6
#[Out]# 5      5                             6
#[Out]# 6      7                             6
#[Out]# 7      8                             2
#[Out]# 8     10                             1
#[Out]# 9     11                             1
#[Out]# 10    13                             7
#[Out]# 11    15                             1
#[Out]# 12    16                            10
#[Out]# 13    17                             2
#[Out]# 14    18                             3
#[Out]# 15    19                             4
#[Out]# 16    20                             3
#[Out]# 17    21                             3
#[Out]# 18    22                             2
#[Out]# 19    24                             9
#[Out]# 20    25                             1
#[Out]# 21    26                             1
#[Out]# 22    27                             5
#[Out]# 23    28                             1
#[Out]# 24    29                             2
#[Out]# 25    30                             3
#[Out]# 26    31                             2
#[Out]# 27    33                             9
#[Out]# 28    34                             1
#[Out]# 29    35                             2
#[Out]# ..   ...                           ...
#[Out]# 102  147                             3
#[Out]# 103  149                             2
#[Out]# 104  151                             2
#[Out]# 105  152                             3
#[Out]# 106  157                             2
#[Out]# 107  159                             2
#[Out]# 108  161                             9
#[Out]# 109  162                             8
#[Out]# 110  163                             4
#[Out]# 111  165                             6
#[Out]# 112  167                            10
#[Out]# 113  168                             1
#[Out]# 114  169                            11
#[Out]# 115  170                             3
#[Out]# 116  171                             2
#[Out]# 117  172                             2
#[Out]# 118  175                             2
#[Out]# 119  176                             6
#[Out]# 120  177                             5
#[Out]# 121  178                             2
#[Out]# 122  179                             6
#[Out]# 123  180                             2
#[Out]# 124  181                             3
#[Out]# 125  182                             3
#[Out]# 126  184                             1
#[Out]# 127  185                             1
#[Out]# 128  186                             1
#[Out]# 129  188                             1
#[Out]# 130  189                             2
#[Out]# 131  190                            64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = (select count(distinct store.sID)
                                           from store
                                           )
'''

pd.read_sql_query(query3, conn)
query3 = '''
   select count(distinct store.sID)
   from store
                                           
'''

pd.read_sql_query(query3, conn)
#[Out]#    count(distinct store.sID)
#[Out]# 0                         64
query3 = '''
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = select count(distinct store.sID)
                                           from store
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store )
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store )
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store )
    ;
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store);
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store)
                                           
'''

pd.read_sql_query(query3, conn)
query3 = '''
    with tot_store (value) as 
    (select count(distinct store.sID)
     from store);
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
    (select count(distinct store.sID)
     from store);
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
    select count(distinct store.sID)
     from store;
                                           
'''

pd.read_sql_query(query3, conn)
#[Out]#    count(distinct store.sID)
#[Out]# 0                         64
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
     with tot_store (value) as 
     select count(distinct store.sID)
     from store;
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
     with tot_store (value) as 
     (select count(distinct store.sID)
     from store),
     select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
     with tot_store (value) as 
     (select count(distinct store.sID)
     from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
     with tot_store(value) as 
     (select count(distinct store.sID)
     from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
    with tot_store(value) as 
    (select count(distinct store.sID)
    from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
""""select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value"""
query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID)
    from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID)
    from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID)
    from store)
    ;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID)
    from store);
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID) from store);
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID) from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''

    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = 64;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''

    select customer.cID, count(distinct purchase.sID)
    from customer, purchase
    where customer.cID = purchase.cID
    group by customer.cID;
    having count(distinct purchase.sID) = 64;
                                           
'''

pd.read_sql_query(query3, conn)

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID) from store)
    select customer.cID, count(distinct purchase.sID)
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(distinct purchase.sID)
#[Out]# 0  190                            64

query3 = '''
with tot_store(value) as 
    (select count(distinct store.sID) from store)
    select customer.cID
    from customer, purchase, tot_store
    where customer.cID = purchase.cID
    group by customer.cID
    having count(distinct purchase.sID) = tot_store.value;
                                           
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select store.sID, store.sName
    from store
    where count(distinct store.sID)>=2
    group by store.sName;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select store.sID, store.sName
    from store
    group by store.sName
    having count(distinct store.sID)>=2;
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName
#[Out]# 0   44  Albert Hein
#[Out]# 1   55         Coop
#[Out]# 2   58         Dirk
#[Out]# 3   49    Hoogvliet
#[Out]# 4   63        Jumbo
#[Out]# 5   61         Lidl
#[Out]# 6   50       Sligro
query4 = '''
    with chain(name) as
    (select store.sName
    from store
    group by store.sName
    having count(distinct store.sID)>=2)
    select store.sName
    from store, chain, purchase
    where store.sName = chain.name
        and store.sID=purchase.sID
    group by chain.name
    having avg(purchase.quantity)>4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    with chain(name) as
    (select store.sName
    from store
    group by store.sName
    having count(distinct store.sID)>=2)
    select store.sName
    from store, chain, purchase
    where store.sName = chain.name
        and store.sID=purchase.sID
    group by chain.name
    having avg(purchase.quantity)>100;
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    with chain(name) as
    (select store.sName
    from store
    group by store.sName
    having count(distinct store.sID)>=2)
    select store.sName
    from store, chain, purchase
    where store.sName = chain.name
        and store.sID=purchase.sID
    group by chain.name
    having avg(purchase.quantity)>1;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    with chain(name) as
    (select store.sName
    from store
    group by store.sName
    having count(distinct store.sID)>=2)
    select store.sName
    from store, chain, purchase
    where store.sName = chain.name
        and store.sID=purchase.sID
    group by chain.name
    having avg(purchase.quantity)>4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select max(purchase.price)
    from purchase;
'''

pd.read_sql_query(query5, conn)
#[Out]#    max(purchase.price)
#[Out]# 0                 13.8
query5 = '''
    select product.pName max(purchase.price)
    from purchase, product
    where purchase.pID = product.pID;
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select product.pName, max(purchase.price)
    from purchase, product
    where purchase.pID = product.pID;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  max(purchase.price)
#[Out]# 0  Beef                 13.8
query5 = '''
    select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName  max(purchase.price)
#[Out]# 0  Sligro  Beef                 13.8
query5 = '''
    select store.sName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName  max(purchase.price)
#[Out]# 0  Sligro                 13.8
query5 = '''
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;
'''

pd.read_sql_query(query5, conn)
#[Out]#            sName             pName
#[Out]# 0         Sligro             Water
#[Out]# 1           Dirk            Apples
#[Out]# 2         Sligro              Rice
#[Out]# 3      Hoogvliet           Bananas
#[Out]# 4    Albert Hein            Donuts
#[Out]# 5           Lidl             Pasta
#[Out]# 6           Lidl              Milk
#[Out]# 7           Lidl             Pizza
#[Out]# 8           Lidl             Fanta
#[Out]# 9         Sligro           Bananas
#[Out]# 10          Coop            Onions
#[Out]# 11          Coop              Eggs
#[Out]# 12          Coop               Tea
#[Out]# 13   Albert Hein            Apples
#[Out]# 14          Dirk             Pasta
#[Out]# 15        Sligro           Bananas
#[Out]# 16     Hoogvliet  Hot Dog Sausages
#[Out]# 17         Jumbo             Pizza
#[Out]# 18          Coop              Beef
#[Out]# 19          Coop           Carrots
#[Out]# 20        Sligro              Eggs
#[Out]# 21   Albert Hein             Pasta
#[Out]# 22     Hoogvliet            Apples
#[Out]# 23          Lidl           Lasanga
#[Out]# 24          Coop           Carrots
#[Out]# 25          Coop               Tea
#[Out]# 26          Coop              Rice
#[Out]# 27     Hoogvliet              Coca
#[Out]# 28        Sligro              Coca
#[Out]# 29          Lidl          Potatoes
#[Out]# ..           ...               ...
#[Out]# 479         Coop           Lasanga
#[Out]# 480         Lidl             Pizza
#[Out]# 481         Lidl         Mushrooms
#[Out]# 482        Jumbo           Lasanga
#[Out]# 483    Hoogvliet          Tomatoes
#[Out]# 484       Sligro       Cashew Nuts
#[Out]# 485    Hoogvliet              Milk
#[Out]# 486  Albert Hein           Carrots
#[Out]# 487       Sligro              Coca
#[Out]# 488         Coop             Bread
#[Out]# 489  Albert Hein           Bananas
#[Out]# 490         Coop              Milk
#[Out]# 491         Lidl               Tea
#[Out]# 492         Coop             Bread
#[Out]# 493    Hoogvliet             Fanta
#[Out]# 494    Hoogvliet              Milk
#[Out]# 495       Sligro            Coffee
#[Out]# 496         Coop   Spiced Biscuits
#[Out]# 497         Lidl   Spiced Biscuits
#[Out]# 498         Coop  Hot Dog Sausages
#[Out]# 499         Dirk       Cashew Nuts
#[Out]# 500         Coop  Hot Dog Sausages
#[Out]# 501        Jumbo              Milk
#[Out]# 502         Dirk         Cucumbers
#[Out]# 503         Dirk          Potatoes
#[Out]# 504        Jumbo             Bread
#[Out]# 505         Lidl         Mushrooms
#[Out]# 506         Lidl              Coca
#[Out]# 507        Jumbo           Bananas
#[Out]# 508        Jumbo            Cheese
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName  max(purchase.price)
#[Out]# 0  Sligro  Beef                 13.8
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = max(purchase.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#          sName    pName
#[Out]# 0  Albert Hein     Beef
#[Out]# 1         Coop     Beef
#[Out]# 2         Dirk     Beef
#[Out]# 3    Hoogvliet     Beef
#[Out]# 4        Jumbo    Pizza
#[Out]# 5         Lidl  Lasanga
#[Out]# 6       Sligro     Beef
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = 13.8
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, pName]
#[Out]# Index: []
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = 13.8;
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, pName]
#[Out]# Index: []
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
        and purchase.price = max(purchase.price)
    group by store.sName 
'''

pd.read_sql_query(query5, conn)
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    with most_exp(value) as 
    (select max(purchase.price) from purchase)
    select store.sName, product.pName
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = most_exp.value
'''

pd.read_sql_query(query5, conn)
"""select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID;"""
query5 = '''
    with most_exp(value) as 
    (select max(purchase.price) from purchase)
    select store.sName, product.pName
    from purchase, product, store, most_exp
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = most_exp.value
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, pName]
#[Out]# Index: []
"""with most_exp(value) as 
    (select max(purchase.price) from purchase)
    select store.sName, product.pName
    from purchase, product, store, most_exp
    where purchase.pID = product.pID
        and store.sID = purchase.sID
    group by store.sName
    having purchase.price = most_exp.value;"""
query5 = '''
    select store.sName, product.pName, max(purchase.price)
    from purchase, product, store
    where purchase.pID = product.pID
        and store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName  max(purchase.price)
#[Out]# 0  Sligro  Beef                 13.8
query6 = '''
    select max(unit_price)-min(unit_price)
    from inventory as i
    where i.date ="2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(unit_price)-min(unit_price)
#[Out]# 0                            12.95
query6 = '''
    select max(i_1.unit_price - i_2.unit_price)
    from inventory as i_1, inventory as i_2
    where i_1.date = i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#   max(i_1.unit_price - i_2.unit_price)
#[Out]# 0                                 None
query6 = '''
    select i_1.unit_price - i_2.unit_price
    from inventory as i_1, inventory as i_2
    where i_1.date = i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [i_1.unit_price - i_2.unit_price]
#[Out]# Index: []
query6 = '''
    select i_1.unit_price - i_2.unit_price
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#      i_1.unit_price - i_2.unit_price
#[Out]# 0                               0.15
#[Out]# 1                               0.05
#[Out]# 2                               0.00
#[Out]# 3                               0.85
#[Out]# 4                               0.75
#[Out]# 5                               0.70
#[Out]# 6                               0.30
#[Out]# 7                               0.00
#[Out]# 8                               0.00
#[Out]# 9                              -0.30
#[Out]# 10                              0.60
#[Out]# 11                              0.05
#[Out]# 12                              0.00
#[Out]# 13                             -0.05
#[Out]# 14                              0.55
#[Out]# 15                              0.00
#[Out]# 16                             -0.05
#[Out]# 17                             -0.10
#[Out]# 18                              0.50
#[Out]# 19                              0.00
#[Out]# 20                              0.25
#[Out]# 21                              0.00
#[Out]# 22                              0.00
#[Out]# 23                             -0.05
#[Out]# 24                              0.10
#[Out]# 25                              0.00
#[Out]# 26                             -0.05
#[Out]# 27                              1.40
#[Out]# 28                              1.20
#[Out]# 29                              1.00
#[Out]# ..                               ...
#[Out]# 192                             0.05
#[Out]# 193                             0.05
#[Out]# 194                             0.00
#[Out]# 195                             0.35
#[Out]# 196                             0.25
#[Out]# 197                             0.00
#[Out]# 198                             0.00
#[Out]# 199                            -0.25
#[Out]# 200                            -0.25
#[Out]# 201                            -0.30
#[Out]# 202                             0.90
#[Out]# 203                             0.40
#[Out]# 204                             0.00
#[Out]# 205                             0.75
#[Out]# 206                             0.00
#[Out]# 207                             1.75
#[Out]# 208                             0.60
#[Out]# 209                             0.00
#[Out]# 210                            -0.25
#[Out]# 211                             0.00
#[Out]# 212                            -0.55
#[Out]# 213                             0.00
#[Out]# 214                            -0.20
#[Out]# 215                            -0.40
#[Out]# 216                            -1.40
#[Out]# 217                             0.00
#[Out]# 218                             0.65
#[Out]# 219                             0.10
#[Out]# 220                             0.05
#[Out]# 221                             0.00
#[Out]# 
#[Out]# [222 rows x 1 columns]
query6 = '''
    select i_1.unit_price - i_2.unit_price, i_1.pID
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#      i_1.unit_price - i_2.unit_price  pID
#[Out]# 0                               0.15   10
#[Out]# 1                               0.05   10
#[Out]# 2                               0.00   10
#[Out]# 3                               0.85   19
#[Out]# 4                               0.75   19
#[Out]# 5                               0.70   19
#[Out]# 6                               0.30   19
#[Out]# 7                               0.00   19
#[Out]# 8                               0.00   23
#[Out]# 9                              -0.30   23
#[Out]# 10                              0.60   13
#[Out]# 11                              0.05   13
#[Out]# 12                              0.00   13
#[Out]# 13                             -0.05   13
#[Out]# 14                              0.55   13
#[Out]# 15                              0.00   13
#[Out]# 16                             -0.05   13
#[Out]# 17                             -0.10   13
#[Out]# 18                              0.50   17
#[Out]# 19                              0.00   17
#[Out]# 20                              0.25   15
#[Out]# 21                              0.00   15
#[Out]# 22                              0.00   15
#[Out]# 23                             -0.05   15
#[Out]# 24                              0.10   10
#[Out]# 25                              0.00   10
#[Out]# 26                             -0.05   10
#[Out]# 27                              1.40    1
#[Out]# 28                              1.20    1
#[Out]# 29                              1.00    1
#[Out]# ..                               ...  ...
#[Out]# 192                             0.05   15
#[Out]# 193                             0.05   15
#[Out]# 194                             0.00   15
#[Out]# 195                             0.35    7
#[Out]# 196                             0.25    7
#[Out]# 197                             0.00    7
#[Out]# 198                             0.00   15
#[Out]# 199                            -0.25   15
#[Out]# 200                            -0.25   15
#[Out]# 201                            -0.30   15
#[Out]# 202                             0.90   28
#[Out]# 203                             0.40   28
#[Out]# 204                             0.00   28
#[Out]# 205                             0.75    8
#[Out]# 206                             0.00    8
#[Out]# 207                             1.75   12
#[Out]# 208                             0.60   12
#[Out]# 209                             0.00   12
#[Out]# 210                            -0.25   12
#[Out]# 211                             0.00   24
#[Out]# 212                            -0.55   24
#[Out]# 213                             0.00    1
#[Out]# 214                            -0.20    1
#[Out]# 215                            -0.40    1
#[Out]# 216                            -1.40    1
#[Out]# 217                             0.00    6
#[Out]# 218                             0.65   13
#[Out]# 219                             0.10   13
#[Out]# 220                             0.05   13
#[Out]# 221                             0.00   13
#[Out]# 
#[Out]# [222 rows x 2 columns]
query6 = '''
    select max(i_1.unit_price - i_2.unit_price)
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i_1.unit_price - i_2.unit_price)
#[Out]# 0                                   2.0
query6 = '''
    select max(i_1.unit_price - i_2.unit_price), i_1.pID, i_2.pID
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i_1.unit_price - i_2.unit_price)  pID  pID
#[Out]# 0                                   2.0   12   12
query6 = '''
    select max(i_1.unit_price - i_2.unit_price), i_1.pID, i_2.pID
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID
        and i_1.sID != i_2.sID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i_1.unit_price - i_2.unit_price)  pID  pID
#[Out]# 0                                   2.0   12   12
query6 = '''
    select max(i_1.unit_price - i_2.unit_price)
    from inventory as i_1, inventory as i_2
    where i_1.date = "2018-08-23"
        and i_2.date = "2018-08-23"
        and i_1.pID = i_2.pID
        and i_1.sID != i_2.sID;
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i_1.unit_price - i_2.unit_price)
#[Out]# 0                                   2.0
