# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor object at 0x0000023346A64D50>
query1 = '''
    select pID, count(cID)as custCount from purchase group by cID having count(cID)< 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID  custCount
#[Out]# 0    10          1
#[Out]# 1     8          2
#[Out]# 2    24          1
#[Out]# 3    14          1
#[Out]# 4    11          1
#[Out]# 5     7          2
#[Out]# 6    10          2
#[Out]# 7    26          1
#[Out]# 8    23          1
#[Out]# 9    11          1
#[Out]# 10    4          2
#[Out]# 11   24          2
#[Out]# 12   26          1
#[Out]# 13   28          2
#[Out]# 14   13          2
#[Out]# 15   22          2
#[Out]# 16    3          2
#[Out]# 17   21          2
#[Out]# 18   23          2
#[Out]# 19   16          1
#[Out]# 20    5          2
#[Out]# 21    9          2
#[Out]# 22   27          1
#[Out]# 23   16          2
#[Out]# 24    1          1
#[Out]# 25   28          2
#[Out]# 26   25          1
#[Out]# 27    5          1
#[Out]# 28   13          2
#[Out]# 29    8          1
#[Out]# ..  ...        ...
#[Out]# 34   25          2
#[Out]# 35   26          1
#[Out]# 36   12          1
#[Out]# 37   22          1
#[Out]# 38   21          1
#[Out]# 39   15          2
#[Out]# 40    8          2
#[Out]# 41   22          2
#[Out]# 42   28          2
#[Out]# 43    6          1
#[Out]# 44    1          1
#[Out]# 45   22          2
#[Out]# 46    6          1
#[Out]# 47   28          1
#[Out]# 48   20          1
#[Out]# 49   12          2
#[Out]# 50    9          1
#[Out]# 51   19          2
#[Out]# 52   23          2
#[Out]# 53   12          2
#[Out]# 54    1          1
#[Out]# 55   21          2
#[Out]# 56   16          2
#[Out]# 57   21          2
#[Out]# 58   24          2
#[Out]# 59    0          1
#[Out]# 60   29          1
#[Out]# 61   29          1
#[Out]# 62   30          2
#[Out]# 63   19          2
#[Out]# 
#[Out]# [64 rows x 2 columns]
query1 = '''
    select pID, count(distinct cID) as custCount from purchase group by pid having count(distinct cId)  < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  custCount
#[Out]# 0   29          2
#[Out]# 1   30          1
query2 = '''
    select c.cID, c.cname, count(p.pID), date from purchase pu inner join product p on p.pid = pu.pid and p.pname in ('Onions','Coffee') inner join customer c on c.cid = pu.cid group by c.cid, date having count(p.pid) > 1;

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName  count(p.pID)        date
#[Out]# 0  124   Sofie             2  2018-08-26
#[Out]# 1  190  Kostas             2  2018-08-22
#[Out]# 2  190  Kostas             2  2018-08-26
query3 = '''
    select cid,count(sid) from purchase group by cid having count(sid) = (select count(*) from store);

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(sid)
#[Out]# 0  190          64
query2 = '''
  select distinct c.cID, c.cname from purchase pu inner join product p on p.pid = pu.pid and p.pname in ('Onions','Coffee') inner join customer c on c.cid = pu.cid group by c.cid, date having count(p.pid) > 1

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query4 = '''
    select s.sname from purchase pu inner join store s on s.sid = pu.sid group by s.sname having avg(quantity) > 4 and count(s.sID) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pName, sName from (select max(price), pu.sid, p.pid, p.pname as pName, s.sname as sName from purchase pu inner join product p on p.pid=pu.pid inner join store s on s.sid = pu.sid)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select max(diff) from (select max(unit_price)-min(unit_price) as diff from inventory where date = '2018-08-23' group by pid)
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(diff)
#[Out]# 0        2.0
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query1 = '''
    select pID, count(distinct cID) as custCount from purchase group by pid having count(distinct cId)  < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  custCount
#[Out]# 0   29          2
#[Out]# 1   30          1
query1 = '''
    select pID from purchase group by pid having count(distinct cId) < 3
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query3 = '''
    select cid from purchase group by cid having count(sid) = (select count(*) from store);

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
