# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''SELECT pID, count(cID) AS counter
              FROM purchase
              GROUP BY pID
              HAVING count(cID) <= 2;'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  counter
#[Out]# 0   29        2
#[Out]# 1   30        2
query2 = '''
    SELECT DISTINCT c1.cID, c1.cName
      FROM customer c1, purchase pu1, purchase pu2
         WHERE c1.cID = pu1.cID AND 
               c1.cID = pu2.cID AND 
               pu1.date = pu2.date AND
               pu1.pID IN (
                             SELECT p1.pID
                               FROM product p1
                                  WHERE p1.pName = 'Onions'
                         )
                AND 
               pu2.pID IN (
                             SELECT p2.pID
                               FROM product p2
                                  WHERE p2.pName = 'Coffee'
                         );
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT c1.cID
      FROM customer c1, purchase pu1, store s1
         WHERE pu1.cID = c1.cID AND
               pu1.sID = s1.sID AND 
               c1.cID = (
                            SELECT c.cID
                              FROM customer c,
                               store s
                        );
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0    0
query4 = '''
    SELECT s1.sName
  FROM store s1,
       purchase pu1,
       product p1
 WHERE pu1.piD = p1.pID AND 
       pu1.sID = s1.sID
 GROUP BY s1.sName
HAVING avg(pu1.quantity) > 4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
