# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT DISTINCT p1.pID FROM purchase p1, purchase p2 WHERE p1.pID LIKE p2.pID AND p1.cID NOT LIKE p2.cID
'''

pd.read_sql_query(query, conn)
query1 = '''
    SELECT DISTINCT p1.pID FROM purchase p1, purchase p2 WHERE p1.pID LIKE p2.pID AND p1.cID NOT LIKE p2.cID
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
query3 = '''
    SELECT cID FROM (SELECT cID, COUNT(DISTINCT sID) n FROM purchase p GROUP BY cID) WHERE n = (Select Count(*) from store);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT cID 
    FROM 
        (SELECT cID, COUNT(DISTINCT sID) n FROM purchase p GROUP BY cID) 
    WHERE n = (Select Count(*) from store);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query2 = '''
    SELECT DISTINCT p1.cID FROM purchase p1, purchase p2 
    WHERE p1.cID LIKE p2.cID AND p1.date LIKE p2.date
    AND p1.pID IN (SELECT DISTINCT pID FROM product p WHERE p.pName LIKE "%Onions%")
    AND p2.pID IN (SELECT DISTINCT pID FROM product p WHERE p.pName LIKE "%Coffee%")
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query4 = '''
    SELECT DISTINCT sName FROM store s, purchase p WHERE s.sID LIKE p.sID GROUP BY sName HAVING AVG(quantity) > 4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT sID, pID 
    FROM purchase 
    WHERE price IN (SELECT MAX(price) from purchase);
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID
#[Out]# 0   27   12
query5 = '''
    (SELECT MAX(price) from purchase)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(price) from purchase;
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)
#[Out]# 0        13.8
query5 = '''
    SELECT sID, pID 
    FROM purchase 
    WHERE price IN (SELECT MAX(price) from purchase);
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID
#[Out]# 0   27   12
query6 = '''
    SELECT p1.unit_price - p2.unit_price difference from inventory p1, inventory p2 
    WHERE p1.date LIKE "2018-08-23" AND p2.date LIKE "2018-08-23"
    AND p1.pID LIKE p2.pID
    AND p1.sID NOT LIKE p2.sID
    AND p1.unit_price > p2.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#     difference
#[Out]# 0         0.05
#[Out]# 1         0.15
#[Out]# 2         0.70
#[Out]# 3         0.75
#[Out]# 4         0.85
#[Out]# 5         0.30
#[Out]# 6         0.05
#[Out]# 7         0.60
#[Out]# 8         0.55
#[Out]# 9         0.50
#[Out]# 10        0.25
#[Out]# 11        0.10
#[Out]# 12        1.20
#[Out]# 13        1.00
#[Out]# 14        1.40
#[Out]# 15        1.60
#[Out]# 16        0.20
#[Out]# 17        0.35
#[Out]# 18        0.20
#[Out]# 19        0.40
#[Out]# 20        0.05
#[Out]# 21        0.35
#[Out]# 22        1.95
#[Out]# 23        0.15
#[Out]# 24        0.05
#[Out]# 25        0.15
#[Out]# 26        0.10
#[Out]# 27        0.50
#[Out]# 28        0.45
#[Out]# 29        0.40
#[Out]# ..         ...
#[Out]# 46        0.90
#[Out]# 47        0.05
#[Out]# 48        0.50
#[Out]# 49        0.65
#[Out]# 50        0.40
#[Out]# 51        0.45
#[Out]# 52        0.55
#[Out]# 53        0.25
#[Out]# 54        0.50
#[Out]# 55        2.00
#[Out]# 56        0.85
#[Out]# 57        0.25
#[Out]# 58        0.20
#[Out]# 59        0.15
#[Out]# 60        0.20
#[Out]# 61        0.40
#[Out]# 62        1.15
#[Out]# 63        0.05
#[Out]# 64        0.05
#[Out]# 65        0.30
#[Out]# 66        0.35
#[Out]# 67        0.25
#[Out]# 68        0.90
#[Out]# 69        0.40
#[Out]# 70        0.75
#[Out]# 71        1.75
#[Out]# 72        0.60
#[Out]# 73        0.05
#[Out]# 74        0.10
#[Out]# 75        0.65
#[Out]# 
#[Out]# [76 rows x 1 columns]
query6 = '''
    SELECT MAX(p1.unit_price - p2.unit_price) difference from inventory p1, inventory p2 
    WHERE p1.date LIKE "2018-08-23" AND p2.date LIKE "2018-08-23"
    AND p1.pID LIKE p2.pID
    AND p1.sID NOT LIKE p2.sID
    AND p1.unit_price > p2.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query6 = '''
    SELECT MAX(p1.unit_price - p2.unit_price) difference from inventory p1, inventory p2 
    WHERE p1.date LIKE "2018-08-23" AND p2.date LIKE "2018-08-23"
    AND p1.pID LIKE p2.pID
    AND p1.sID NOT LIKE p2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
