# IPython log file

query1 = '''
    SELECT DISTINCT inventory.pID
    FROM inventory
    WHERE inventory.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID
    AND p1.cID <> p3.cID AND p1.pID = p2.pID AND
    p2.pID = p3.pID AND p1.pID = p3.pID
    );
'''

pd.read_sql_query(query1, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query1 = '''
    SELECT DISTINCT inventory.pID
    FROM inventory
    WHERE inventory.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID
    AND p1.cID <> p3.cID AND p1.pID = p2.pID AND
    p2.pID = p3.pID AND p1.pID = p3.pID
    );
'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query1 = '''
    SELECT DISTINCT pr.pID
    FROM product pr
    WHERE pr.pID NOT IN (
    SELECT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID
    AND p1.cID <> p3.cID AND p1.pID = p2.pID AND
    p2.pID = p3.pID AND p1.pID = p3.pID
    );
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price) AS largest_difference_in_price
FROM inventory i1, inventory i2
WHERE i1.pID = i2.pID AND i1.sID <> i2.sID AND i1.date = "2018-08-23" AND i2.date = "2018-08-23" AND i1.unit_price >= i2.unit_price;'''

pd.read_sql_query(query6, conn)
#[Out]#    largest_difference_in_price
#[Out]# 0                          2.0

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr1.pName = "Coffee" AND p1.date = p.date);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    )
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE ((p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    ))
    );
'''

pd.read_sql_query(query3, conn)
query3 = ''''''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    )
    );
''''''

pd.read_sql_query(query3, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID NOT IN (SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN(SELECT p2.cID, p2.sIDFROM purchase p2));"

pd.read_sql_query(query3, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID NOT IN (SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN ( SELECT p2.cID, p2.sID FROM purchase p2));"

pd.read_sql_query(query3, conn)
query4 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query4, conn)
query5 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query5, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID EXCEPT SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN ( SELECT p2.cID, p2.sID FROM purchase p2));"

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    );'''

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    );'''

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT cID
    FROM(
    SELECT p1.cID, s.sID
    FROM purchase p1, store s
    EXCEPT
    SELECT p2.cID, p2.sID
    FROM purchase p2);'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT cID
    FROM(
    SELECT p1.cID, s.sID
    FROM purchase p1, store s
    EXCEPT
    SELECT p2.cID, p2.sID
    FROM purchase p2);'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT
    FROM
    GROUP BY(SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName)
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM purchase
    WHERE AVG(quantity) > 4
    GROUP BY(SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName)
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID AND AVG(quantity) > 4
    GROUP BY(SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName)
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID
    HAVING AVG(quantity) > 4
    GROUP BY(SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName)
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID
    HAVING AVG(quantity) > 4 AND sName IN (SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName)
    GROUP BY sName
    
'''

pd.read_sql_query(query4, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4 AND sName IN (SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName);
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4;
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT sName
    FROM store, purchase
    WHERE store.sID = purchase.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4 AND sName IN (SELECT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName);
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT pName, sName
    FROM(SELECT pName, sName, max(price)
    FROM purchase, product, store
    WHERE purchase.pID = product.pID AND store.sID = purchase.sID);
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT max(i1.unit_price - i2.unit_price)
FROM inventory i1, inventory i2
WHERE i1.pID = i2.pID AND i1.sID <> i2.sID AND i1.date = "2018-08-23" AND i2.date = "2018-08-23" AND i1.unit_price >= i2.unit_price;
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0

# IPython log file

query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr1.pName = "Coffee" AND p1.date = p.date);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2)
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    )
    );
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE ((p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    ))
    );
'''

pd.read_sql_query(query3, conn)
query3 = ''''''
    SELECT DISTINCT p.cID
    FROM purchase p
    WHERE p.cID NOT IN 
    (
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN
    (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    )
    );
''''''

pd.read_sql_query(query3, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID NOT IN (SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN(SELECT p2.cID, p2.sIDFROM purchase p2));"

pd.read_sql_query(query3, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID NOT IN (SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN ( SELECT p2.cID, p2.sID FROM purchase p2));"

pd.read_sql_query(query3, conn)
query4 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query4, conn)
query5 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query5, conn)
query3 = "SELECT DISTINCT p.cID FROM purchase p WHERE p.cID EXCEPT SELECT p1.cID FROM purchase p1, store s WHERE (p1.cID, s.sID) NOT IN ( SELECT p2.cID, p2.sID FROM purchase p2));"

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    );'''

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT p1.cID
    FROM purchase p1, store s
    WHERE (p1.cID, s.sID) NOT IN (
    SELECT p2.cID, p2.sID
    FROM purchase p2
    );'''

pd.read_sql_query(query3, conn)
query3 = '''SELECT DISTINCT p.cID
    FROM purchase p
    EXCEPT
    SELECT cID
    FROM(
    SELECT p1.cID, s.sID
    FROM purchase p1, store s
    EXCEPT
    SELECT p2.cID, p2.sID
    FROM purchase p2);'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x2cc9a6fe030>
query1 = '''
    SELECT pID
    from purchase p, customer c
    WHERE c.cID = p.cID AND c.cID NOT IN (
    SELECT p1.cID
    FROM purhcase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID AND p1.cID <> p3.cID AND p1.pID = p2.pID AND p2.pID = p3.pID AND p1.pID = p3.pID
    )
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT pID
    from purchase p, customer c
    WHERE c.cID = p.cID AND c.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID AND p1.cID <> p3.cID AND p1.pID = p2.pID AND p2.pID = p3.pID AND p1.pID = p3.pID
    )
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   29
#[Out]# 2   30
#[Out]# 3   30
query1 = '''
    SELECT DISTINCT pID
    from purchase p, customer c
    WHERE c.cID = p.cID AND c.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID AND p1.cID <> p3.cID AND p1.pID = p2.pID AND p2.pID = p3.pID AND p1.pID = p3.pID
    )
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr.pName = "Coffee" AND p1.date = p.date)
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr.pName = "Coffee" AND p1.date = p.date)
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr1.pName = "Coffee" AND p1.date = p.date)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID
    FROM customers
    WHERE cID NOT IN(
    SELECT
    FROM)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID
    FROM purchase
    WHERE cID NOT IN(
    SELECT cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN(
    SELECT p1.cID, p1.sID
    FROM purchase p1))
'''

pd.read_sql_query(query3, conn)
query1 = '''
    SELECT DISTINCT pID
    from purchase p, customer c
    WHERE c.cID = p.cID AND c.cID NOT IN (
    SELECT p1.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE p1.cID <> p2.cID AND p2.cID <> p3.cID
    AND p1.cID <> p3.cID AND p1.pID = p2.pID AND
    p2.pID = p3.pID AND p1.pID = p3.pID
    );
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr1.pName = "Coffee" AND p1.date = p.date);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT purchase.cID
    FROM purchase
    WHERE cID NOT IN(
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN(
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN(
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN(
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)
query2 = '''
    SELECT DISTINCT c.cID, cName
    FROM customer c, purchase p, product pr
    WHERE c.cID = p.cID AND pr.pID = p.pID AND pr.pName = "Onions" AND c.cID IN (
    SELECT c1.cID
    FROM customer c1, purchase p1, product pr1
    WHERE c1.cID = p1.cID AND pr1.pID = p1.pID AND pr1.pName = "Coffee" AND p1.date = p.date);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT DISTINCT purchase.cID
    FROM purchase
    WHERE purchase.cID NOT IN (
    SELECT p.cID
    FROM purchase p, store s
    WHERE (p.cID, s.sID) NOT IN (
    SELECT p1.cID, p1.sID
    FROM purchase p1));
'''

pd.read_sql_query(query3, conn)

