# IPython log file

query6 = '''
SELECT DISTINCT pID, ABS(i1.unit_price - i2.unit_price) as price_diff
FROM store s1, store s2
 INNER JOIN inventory i1 ON i1.sID = s1.sID
 INNER JOIN inventory i2 ON i2.sID = s2.sID
WHERE i1.pID = i2.pID AND s1.sID != s2.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
ORDER BY price_diff DESC LIMIT 1;
'''

pd.read_sql_query(query6, conn)
query1 = '''
SELECT pId
FROM product, purchase
WHERE product.pID = purchase.pID
GROUP BY product.pID
HAVING COUNT(purchase.cID) <= 2;
'''

pd.read_sql_query(query1, conn)
query1 = '''
SELECT pId
FROM product, purchase
WHERE product.pID = purchase.pID
GROUP BY product.pID
HAVING COUNT(purchase.cID) <= 2;
'''

pd.read_sql_query(query1, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x110ad5b90>
query1 = '''
SELECT pId
FROM product, purchase
WHERE product.pID = purchase.pID
GROUP BY product.pID
HAVING COUNT(purchase.cID) <= 2;
'''

pd.read_sql_query(query1, conn)
query1 = '''
SELECT product.pId
FROM product, purchase
WHERE product.pID = purchase.pID
GROUP BY product.pID
HAVING COUNT(purchase.cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
SELECT c.cID, c.cName
FROM customer c
 INNER JOIN purchase p1 ON p1.cID = c.cID
 INNER JOIN purchase p2 ON p2.cID = c.cID
WHERE p1.pID = 21 AND p2.pID = 4 AND p1.date = p2.date; 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
SELECT c.cID
FROM purchase p
 INNER JOIN customer c ON c.cID = p.cID
 INNER JOIN store s ON s.sID = p.sID
GROUP BY c.cID
HAVING COUNT(DISTINCT s.sID) = (SELECT COUNT(*) FROM store);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
SELECT s.sName
FROM store s
 INNER JOIN purchase p ON s.sID = p.sID
GROUP BY s.sName
HAVING AVG(p.quantity) > 4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
SELECT p.pName, s.sName
FROM store s
 INNER JOIN purchase b ON b.sID = s.sID
 INNER JOIN product p ON p.pID = b.sID
WHERE b.price = (SELECT MAX(price) FROM purchase);
'''

pd.read_sql_query(query5, conn)
#[Out]#    pName   sName
#[Out]# 0  Pizza  Sligro
query6 = '''
SELECT DISTINCT pID, ABS(i1.unit_price - i2.unit_price) as price_diff
FROM store s1, store s2
 INNER JOIN inventory i1 ON i1.sID = s1.sID
 INNER JOIN inventory i2 ON i2.sID = s2.sID
WHERE i1.pID = i2.pID AND s1.sID != s2.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
ORDER BY price_diff DESC LIMIT 1;
'''

pd.read_sql_query(query6, conn)
query6 = '''
SELECT DISTINCT i1.pID, ABS(i1.unit_price - i2.unit_price) as price_diff
FROM store s1, store s2
 INNER JOIN inventory i1 ON i1.sID = s1.sID
 INNER JOIN inventory i2 ON i2.sID = s2.sID
WHERE i1.pID = i2.pID AND s1.sID != s2.sID AND i1.date = '2018-08-23' AND i2.date = '2018-08-23'
ORDER BY price_diff DESC LIMIT 1;
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  price_diff
#[Out]# 0   12         2.0
