# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x8ea2500>
query1 = '''
    SELECT pID
    FROM customer c, product p, purchase pu
    WHERE p.pID = pu.pID AND c.cID = pu.cID    
    GROUP BY p.pID
    HAVING count(distinct c.cID) < 3;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT p.pID
    FROM customer c, product p, purchase pu
    WHERE p.pID = pu.pID AND c.cID = pu.cID    
    GROUP BY p.pID
    HAVING count(distinct c.cID) < 3;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c, product p1, purchase pu1
    WHERE p1.pID = pu1.pID AND c.cID = pu1.cID AND p1.pName = 'Onions' AND pu1.date =
        (SELECT pu2.date
        FROM product p2, purchase pu2
        WHERE p2.pID = pu2.pID AND c.cID = pu2.cID AND p2.pName = 'Coffee');
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT c.cID
    FROM customer c, store s, purchase pu
    WHERE c.cID = pu.cID AND s.sID = pu.sID
    GROUP BY c.cID
    HAVING count(DISTINCT s.sID) = 
        (SELECT count(DISTINCT sID)
        FROM store);
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT DISTINCT s1.sName
    FROM store s1, store s2
    WHERE s1.sID <> s2.sID AND s1.sName = s2.sName AND 
        (SELECT avg(quantity)
        FROM purchase) > 4;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query5 = '''
    WITH max_price (value) AS 
        (SELECT MAX (price)
        FROM purchase)
    SELECT s.sName, p.pName
    FROM store s, product p, purchase pu
    WHERE s.sID = pu.sID AND pu.price = max_price.value;
'''

pd.read_sql_query(query5, conn)
query5 = '''
    WITH max_price (value) AS 
        (SELECT MAX (price)
        FROM purchase)
    SELECT s.sName, p.pName
    FROM store s, product p, purchase pu, max_price
    WHERE s.sID = pu.sID AND pu.price = max_price.value;
'''

pd.read_sql_query(query5, conn)
#[Out]#      sName             pName
#[Out]# 0   Sligro       Cashew Nuts
#[Out]# 1   Sligro        Mixed Nuts
#[Out]# 2   Sligro          Potatoes
#[Out]# 3   Sligro      Green Pepper
#[Out]# 4   Sligro            Onions
#[Out]# 5   Sligro         Mushrooms
#[Out]# 6   Sligro           Carrots
#[Out]# 7   Sligro          Tomatoes
#[Out]# 8   Sligro  Hot Dog Sausages
#[Out]# 9   Sligro           Bananas
#[Out]# 10  Sligro             Water
#[Out]# 11  Sligro              Milk
#[Out]# 12  Sligro              Beef
#[Out]# 13  Sligro              Eggs
#[Out]# 14  Sligro            Apples
#[Out]# 15  Sligro         Cucumbers
#[Out]# 16  Sligro              Rice
#[Out]# 17  Sligro             Bread
#[Out]# 18  Sligro            Cheese
#[Out]# 19  Sligro              Coca
#[Out]# 20  Sligro             Fanta
#[Out]# 21  Sligro            Coffee
#[Out]# 22  Sligro               Tea
#[Out]# 23  Sligro   Spiced Biscuits
#[Out]# 24  Sligro           Oranges
#[Out]# 25  Sligro            Donuts
#[Out]# 26  Sligro             Pasta
#[Out]# 27  Sligro             Pizza
#[Out]# 28  Sligro           Lasanga
#[Out]# 29  Sligro            Salmon
#[Out]# 30  Sligro           Ketchup
#[Out]# 31  Sligro   French baguette
query5 = '''
    WITH max_price (value) AS 
        (SELECT MAX (price)
        FROM purchase)
    SELECT s.sName, p.pName
    FROM store s, product p, purchase pu, max_price
    WHERE s.sID = pu.sID AND p.pID = pu.pID AND pu.price = max_price.value;
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query6 = '''
    WITH i1 (sID, pID, date, unit_price) AS
        (SELECT sID, pID, date, unit_price
        FROM inventory
        WHERE date = '2018-08-23' AND quantity > 0)
    SELECT MAX (i1.unit_price - i2.unit_price)
    FROM inventory i2, i1
    WHERE i2.sID <> i1.sID AND i2.pID = i1.pID AND i2.date = i1.date AND i2.quantity > 0;

'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX (i1.unit_price - i2.unit_price)
#[Out]# 0                                  2.0
