# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x7cc66ed5e0>
query1 = '''
select p.pID 
from purchase p
 
EXCEPT

select p1.pID from purchase p1, purchase p2, purchase p3 
where p1.pID = p2.pID and p2.pID = p3.pID and p1.pID = p3.pID and p1.cID <> p2.cID and p2.cID <> p3.cID and p1.cID <> p3.cID;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select c.cID, c.cName
from customer c, customer c1, purchase p, purchase p1, purchase p2, purchase p3, product pr, product pr1
where p.pID = pr.pID and p1.pID = pr1.pID and p2.pID = pr.pID and p3.pID = pr1.pID and pr.pName = "Onions" and pr1.pName = "Coffee"
and c.cID <> c1.cID and p.date = p1.date and p2.date = p3.date and c.cID = p.cID and c.cID = p1.cID and c1.cID = p2.cID and c1.cID = p3.cID;
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select distinct p1.cID, count (distinct p1.sID)
from purchase p1, purchase p2
where p1.cID = p2.cID and p1.sID <> p2.sID;
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count (distinct p1.sID)
#[Out]# 0  190                       64
query4 = '''
    select s1.sName, avg(p1.quantity)
from store s1, store s2, purchase p1, purchase p2
where s1.sID <> s2.sID and s1.sName = s2.sName and s1.sID = p1.sID and s2.sID = p2.sID
group by s1.sName
having avg(p1.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(p1.quantity)
#[Out]# 0  Albert Hein          4.968418
#[Out]# 1         Coop          4.676405
#[Out]# 2         Dirk          5.330871
#[Out]# 3    Hoogvliet          5.274908
#[Out]# 4         Lidl          4.805713
#[Out]# 5       Sligro          4.670444
query5 = '''
    select pName, s.sName, max(unit_price)
from product pr, store s, purchase p, inventory i
where p.pID = pr.pID and s.sID = p.sID and s.sID = i.sID and pr.pID = i.pID and p.date=i.date;
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  max(unit_price)
#[Out]# 0  Beef  Sligro             13.8
query6 = '''
    with difference(maxDifference, pID) as (
select (max(i1.unit_price) - min(i2.unit_price)) , i1.pID
from inventory i1, inventory i2
where i1.sID <> i2.sID and i1.pID = i2.pID and i1.date = i2.date and i1.quantity > 0 and i2. quantity > 0 and i1.date='2018-08-23'
group by i1.pID)
select distinct i.pID, maxDifference
from inventory i, difference
where i.pID = difference.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  maxDifference
#[Out]# 0    10           0.15
#[Out]# 1    12           2.00
#[Out]# 2    27           1.95
#[Out]# 3     2           0.40
#[Out]# 4     8           0.75
#[Out]# 5    13           0.65
#[Out]# 6    23           0.30
#[Out]# 7     1           1.40
#[Out]# 8    19           0.85
#[Out]# 9     7           0.35
#[Out]# 10   14           0.90
#[Out]# 11   24           0.55
#[Out]# 12   25           0.35
#[Out]# 13   15           0.30
#[Out]# 14    4           0.20
#[Out]# 15   22           0.50
#[Out]# 16   11           0.20
#[Out]# 17   17           0.50
#[Out]# 18    0           0.80
#[Out]# 19   16           0.25
#[Out]# 20   28           0.90
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1b = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1b, conn)
practicequery1c = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1c, conn)
