# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x7f61ec62c1f0>
query1 = '''
    select product.pID from product
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
#[Out]# 31   31
query1 = '''
    select  p.pID from product as p where p.pID not in(
  select product.pID from product, purchase as p1, purchase as p2, purchase as p3 where
  p1.pID = p2.pID and p2.pID = p3.pID and p1.tID != p2.tID and p2.tID != p3.tID and p1.tID != p3.tID and
  p1.cID!=p2.cID and p2.cID != p3.cID and p1.cID != p3.cID
  and product.pID = p1.pID)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
  select c1.cID, c1.cName from customer as c1, product as p3, product as p4, purchase as p1, purchase as p2 where
      p1.date = p2.date and p1.cID = p2.cID and
      p3.pName = 'Onions' and p3.pID = p1.pID and p1.cID = c1.cID and
      p4.pName = 'Coffee' and p4.pID = p2.pID and p2.cID = c1.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query4 = '''
    select s1.sName from store as s1, store as s2, purchase where
  s1.sName = s2.sName and s1.sID != s2.sID and s1.sID = purchase.sID group by s1.sName having AVG(purchase.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select product.pName, store.sName from product, store, inventory where
         store.sID = inventory.sID and product.pID = inventory.pID group by product.pID having max(inventory.unit_price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts    Hoogvliet
#[Out]# 2           Potatoes  Albert Hein
#[Out]# 3       Green Pepper    Hoogvliet
#[Out]# 4             Onions         Coop
#[Out]# 5          Mushrooms  Albert Hein
#[Out]# 6            Carrots         Coop
#[Out]# 7           Tomatoes    Hoogvliet
#[Out]# 8   Hot Dog Sausages         Dirk
#[Out]# 9            Bananas         Lidl
#[Out]# 10             Water         Coop
#[Out]# 11              Milk  Albert Hein
#[Out]# 12              Beef  Albert Hein
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples  Albert Hein
#[Out]# 15         Cucumbers         Dirk
#[Out]# 16              Rice    Hoogvliet
#[Out]# 17             Bread  Albert Hein
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca       Sligro
#[Out]# 20             Fanta       Sligro
#[Out]# 21            Coffee         Coop
#[Out]# 22               Tea        Jumbo
#[Out]# 23   Spiced Biscuits  Albert Hein
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza         Dirk
#[Out]# 28           Lasanga  Albert Hein
