import os
import fileinput
import re
import json

dirs = ['logs_week4']
analysis = "ppid─question─query\n"

def processData(data, ppid):
	findQuery(data, ppid)


def findQuery(data, ppid):
	global analysis

	# Find the pattern queryx = '''select etc'''
	iterator = findPattern("\n(\w+)\s*=\s*'''(.*?)'''", data)
	for i in iterator:
		outline = ''
		
		queryName = i.group(1)
		queryContent = ' '.join(i.group(2).split())

		outline += "{}─".format(ppid)
		outline += "{}─".format(queryName)
		outline += "{}\n".format(queryContent)

		analysis += outline


# Create a dictionary 
# These are the amount of attempts per query.
def findPattern(pattern, data):
	return re.finditer(pattern, data, flags=re.S|re.I|re.DOTALL)

# Write JSON object to file.
def write(data):
	with open('output.csv', 'w') as outfile:
		outfile.write(data)

for d in dirs:
	files = [o for o in os.listdir(d)]
	for file in files:
		with open(os.path.join(d, file), 'r', encoding='utf8', errors='ignore') as f:
			data = f.read()
			ppid = file[:-3]

			print(ppid)
			processData(data, ppid)

# Write to file
write(analysis)


	