CREATE TABLE customer ( 
    cID Integer,
    cName Text,
    street Text,
    city Text,
    PRIMARY KEY (cID));

CREATE TABLE store ( 
    sID Integer,
    sName Text,
    street Text,
    city Text,
    PRIMARY KEY (sID));
    
CREATE TABLE product ( 
    pID Integer,
    pName Text,
    suffix Text,
    PRIMARY KEY (pID));
    
CREATE TABLE shoppinglist ( 
    cID Integer,
    pID Integer,
    quantity Integer,
    date Date,
    PRIMARY KEY (cID, pID, date),
    FOREIGN KEY (cID) REFERENCES customer(cID),
    FOREIGN KEY (pID) REFERENCES product(pID));
    
CREATE TABLE purchase (
    tID Integer,
    cID Integer,
    sID Integer,
    pID Integer,
    date Date,
    quantity Integer,
    price Decimal(10, 2),
    PRIMARY KEY (tID, pID),
    FOREIGN KEY (cID) REFERENCES customer(cID),
    FOREIGN KEY (sID) REFERENCES store(sID),
    FOREIGN KEY (pID) REFERENCES product(pID));
    
CREATE TABLE inventory ( 
    sID Integer,
    pID Integer,
    date Date,
    quantity Integer,
    unit_price Decimal(10, 2),
    PRIMARY KEY (sID, pID, date),
    FOREIGN KEY (sID) REFERENCES store(sID),
    FOREIGN KEY (pID) REFERENCES product(pID));    
	
	

INSERT INTO customer VALUES (0,"Noah","Koestraat","Utrecht");
INSERT INTO customer VALUES (1,"Sem","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (2,"Lucas","Oude Leliestraat","Amsterdam");
INSERT INTO customer VALUES (3,"Finn","Stationsplein","Breda");
INSERT INTO customer VALUES (4,"Daan","Kalverstraat","Amsterdam");
INSERT INTO customer VALUES (5,"Levi","Gasthuisstraat","Utrecht");
INSERT INTO customer VALUES (6,"Milan","Parallelweg","Utrecht");
INSERT INTO customer VALUES (7,"Bram","Schoolstraat","Eindhoven");
INSERT INTO customer VALUES (8,"Liam","Rijsbergseweg","Breda");
INSERT INTO customer VALUES (9,"Thomas","Parallelweg","Amsterdam");
INSERT INTO customer VALUES (10,"Sam","Langestraat","Tilburg");
INSERT INTO customer VALUES (11,"Thijs","Koestraat","Tilburg");
INSERT INTO customer VALUES (12,"Adam","Nieuwstraat","Eindhoven");
INSERT INTO customer VALUES (13,"James","Sint Annastraat","Breda");
INSERT INTO customer VALUES (14,"Max","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (15,"Noud","Koningshoeve","Tilburg");
INSERT INTO customer VALUES (16,"Julian","Prins Bernhardstraat","Eindhoven");
INSERT INTO customer VALUES (17,"Dex","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (18,"Hugo","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (19,"Lars","Rijsbergseweg","Breda");
INSERT INTO customer VALUES (20,"Gijs","Heiligeweg","Amsterdam");
INSERT INTO customer VALUES (21,"Benjamin","Stationsweg","Tilburg");
INSERT INTO customer VALUES (22,"Mats","Molenstraat","Eindhoven");
INSERT INTO customer VALUES (23,"Jan","Sint Annastraat","Breda");
INSERT INTO customer VALUES (24,"Luca","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (25,"Mason","Keizerstraat","Rotterdam");
INSERT INTO customer VALUES (26,"Jayden","Schoolstraat","Eindhoven");
INSERT INTO customer VALUES (27,"Tim","Koestraat","Utrecht");
INSERT INTO customer VALUES (28,"Siem","Langestraat","Tilburg");
INSERT INTO customer VALUES (29,"Ruben","Hofplein","Rotterdam");
INSERT INTO customer VALUES (30,"Teun","Oosterkade","Rotterdam");
INSERT INTO customer VALUES (31,"Olivier","Julianastraat","Rotterdam");
INSERT INTO customer VALUES (32,"Vince","Kastanjelaan","Tilburg");
INSERT INTO customer VALUES (33,"Sven","Ginnekenstraat","Breda");
INSERT INTO customer VALUES (34,"David","Parallelweg","Tilburg");
INSERT INTO customer VALUES (35,"Stijn","Julianastraat","Utrecht");
INSERT INTO customer VALUES (36,"Boaz","Prins Bernhardstraat","Eindhoven");
INSERT INTO customer VALUES (37,"Guus","Koestraat","Tilburg");
INSERT INTO customer VALUES (38,"Floris","Stationsweg","Eindhoven");
INSERT INTO customer VALUES (39,"Jack","Prins Bernhardstraat","Eindhoven");
INSERT INTO customer VALUES (40,"Jens","Bergselaan","Rotterdam");
INSERT INTO customer VALUES (41,"Quinn","Koestraat","Utrecht");
INSERT INTO customer VALUES (42,"Tijn","Keizersgracht","Amsterdam");
INSERT INTO customer VALUES (43,"Tom","Stadhoudersweg","Rotterdam");
INSERT INTO customer VALUES (44,"Jason","Keizerstraat","Rotterdam");
INSERT INTO customer VALUES (45,"Ryan","Parallelweg","Utrecht");
INSERT INTO customer VALUES (46,"Fedde","Kastanjelaan","Eindhoven");
INSERT INTO customer VALUES (47,"Xavi","Julianastraat","Utrecht");
INSERT INTO customer VALUES (48,"Tygo","Raamschoorseweg","Breda");
INSERT INTO customer VALUES (49,"Cas","Sint Annastraat","Breda");
INSERT INTO customer VALUES (50,"Pim","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (51,"Ties","Mauritsstraat","Eindhoven");
INSERT INTO customer VALUES (52,"Willem","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (53,"Job","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (54,"Jax","Koestraat","Utrecht");
INSERT INTO customer VALUES (55,"Aiden","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (56,"Tobias","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (57,"Nathan","Parallelweg","Amsterdam");
INSERT INTO customer VALUES (58,"Jurre","Bergselaan","Rotterdam");
INSERT INTO customer VALUES (59,"Joep","Amstel","Amsterdam");
INSERT INTO customer VALUES (60,"Mohammed","Ambachtstraat","Utrecht");
INSERT INTO customer VALUES (61,"Morris","Stationsweg","Tilburg");
INSERT INTO customer VALUES (62,"Abel","Prinsengracht","Amsterdam");
INSERT INTO customer VALUES (63,"Senn","Raamschoorseweg","Breda");
INSERT INTO customer VALUES (64,"Stan","Prinsengracht","Amsterdam");
INSERT INTO customer VALUES (65,"Pepijn","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (66,"Mohamed","Oude Leliestraat","Amsterdam");
INSERT INTO customer VALUES (67,"Rayan","Bergselaan","Rotterdam");
INSERT INTO customer VALUES (68,"Boris","Maasboulebard","Rotterdam");
INSERT INTO customer VALUES (69,"Roan","Parallelweg","Utrecht");
INSERT INTO customer VALUES (70,"Kai","Heiligeweg","Amsterdam");
INSERT INTO customer VALUES (71,"Dean","Pompenburg","Rotterdam");
INSERT INTO customer VALUES (72,"Dani","Karrestraat","Breda");
INSERT INTO customer VALUES (73,"Owen","Keizerstraat","Rotterdam");
INSERT INTO customer VALUES (74,"Samuel","Vierwindenstraat","Breda");
INSERT INTO customer VALUES (75,"Jace","Rijsbergseweg","Breda");
INSERT INTO customer VALUES (76,"Alexander","Keizerstraat","Rotterdam");
INSERT INTO customer VALUES (77,"Hidde","Ambachtstraat","Utrecht");
INSERT INTO customer VALUES (78,"Mick","Dorpsstraat","Eindhoven");
INSERT INTO customer VALUES (79,"Joshua","Stationsplein","Breda");
INSERT INTO customer VALUES (80,"Niek","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (81,"Simon","Haringvliet","Rotterdam");
INSERT INTO customer VALUES (82,"Dylan","Molenweg","Eindhoven");
INSERT INTO customer VALUES (83,"Melle","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (84,"Casper","Koningshoeve","Tilburg");
INSERT INTO customer VALUES (85,"Pieter","Koestraat","Utrecht");
INSERT INTO customer VALUES (86,"Stef","Dorpsstraat","Eindhoven");
INSERT INTO customer VALUES (87,"Jelle","Parallelweg","Utrecht");
INSERT INTO customer VALUES (88,"Joris","Kastanjelaan","Eindhoven");
INSERT INTO customer VALUES (89,"Johannes","Rijsbergseweg","Breda");
INSERT INTO customer VALUES (90,"Lenn","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (91,"Thijmen","Markt","Eindhoven");
INSERT INTO customer VALUES (92,"Jelte","Bergselaan","Rotterdam");
INSERT INTO customer VALUES (93,"Oscar","Koestraat","Utrecht");
INSERT INTO customer VALUES (94,"Jip","Bierkaai","Amsterdam");
INSERT INTO customer VALUES (95,"Emma","Fazantlaan","Eindhoven");
INSERT INTO customer VALUES (96,"Tess","Willemstraat","Eindhoven");
INSERT INTO customer VALUES (97,"Sophie","Stadhoudersweg","Rotterdam");
INSERT INTO customer VALUES (98,"Julia","Julianastraat","Utrecht");
INSERT INTO customer VALUES (99,"Anna","Karrestraat","Breda");
INSERT INTO customer VALUES (100,"Sara","Stationsweg","Tilburg");
INSERT INTO customer VALUES (101,"Eva","Koestraat","Utrecht");
INSERT INTO customer VALUES (102,"Evi","Julianastraat","Utrecht");
INSERT INTO customer VALUES (103,"Lotte","Kalverstraat","Amsterdam");
INSERT INTO customer VALUES (104,"Liv","Pompenburg","Rotterdam");
INSERT INTO customer VALUES (105,"Nora","Wilhelminapark","Tilburg");
INSERT INTO customer VALUES (106,"Fleur","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (107,"Olivia","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (108,"Noor","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (109,"Lynn","Stationsplein","Breda");
INSERT INTO customer VALUES (110,"Saar","Amstel","Amsterdam");
INSERT INTO customer VALUES (111,"Lauren","Hofplein","Rotterdam");
INSERT INTO customer VALUES (112,"Yara","Stationsweg","Tilburg");
INSERT INTO customer VALUES (113,"Fenna","Koestraat","Tilburg");
INSERT INTO customer VALUES (114,"Maud","Kastanjelaan","Tilburg");
INSERT INTO customer VALUES (115,"Nova","Bierkaai","Amsterdam");
INSERT INTO customer VALUES (116,"Lieke","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (117,"Roos","Damstraat","Utrecht");
INSERT INTO customer VALUES (118,"Lisa","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (119,"Nina","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (120,"Sarah","Bredalaan","Eindhoven");
INSERT INTO customer VALUES (121,"Isa","Oude Leliestraat","Amsterdam");
INSERT INTO customer VALUES (122,"Elin","Langestraat","Tilburg");
INSERT INTO customer VALUES (123,"Milou","Stadhoudersweg","Rotterdam");
INSERT INTO customer VALUES (124,"Sofie","Keizersgracht","Amsterdam");
INSERT INTO customer VALUES (125,"Noa","Hoogstraat","Eindhoven");
INSERT INTO customer VALUES (126,"Lina","Kalverstraat","Amsterdam");
INSERT INTO customer VALUES (127,"Emily","Amstel","Amsterdam");
INSERT INTO customer VALUES (128,"Jasmijn","Wilhelminapark","Tilburg");
INSERT INTO customer VALUES (129,"Esmee","Parallelweg","Utrecht");
INSERT INTO customer VALUES (130,"Sanne","Rijsbergseweg","Breda");
INSERT INTO customer VALUES (131,"Amy","Parallelweg","Rotterdam");
INSERT INTO customer VALUES (132,"Hannah","Oosterkade","Rotterdam");
INSERT INTO customer VALUES (133,"Sophia","Raamschoorseweg","Breda");
INSERT INTO customer VALUES (134,"Ella","Amstel","Amsterdam");
INSERT INTO customer VALUES (135,"Sofia","Koestraat","Utrecht");
INSERT INTO customer VALUES (136,"Femke","Oosterkade","Rotterdam");
INSERT INTO customer VALUES (137,"Lena","Koestraat","Utrecht");
INSERT INTO customer VALUES (138,"Maria","Stationsplein","Breda");
INSERT INTO customer VALUES (139,"Elise","Wilhelminapark","Tilburg");
INSERT INTO customer VALUES (140,"Vera","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (141,"Mia","Koningshoeve","Tilburg");
INSERT INTO customer VALUES (142,"Bo","Wilhelminapark","Tilburg");
INSERT INTO customer VALUES (143,"Naomi","Bredalaan","Eindhoven");
INSERT INTO customer VALUES (144,"Ivy","Pompenburg","Rotterdam");
INSERT INTO customer VALUES (145,"Fien","Kasteeldreef","Tilburg");
INSERT INTO customer VALUES (146,"Norah","Oosterkade","Rotterdam");
INSERT INTO customer VALUES (147,"Isabel","Damstraat","Utrecht");
INSERT INTO customer VALUES (148,"Isabella","Bosdijk","Eindhoven");
INSERT INTO customer VALUES (149,"Lizzy","Molenstraat","Eindhoven");
INSERT INTO customer VALUES (150,"Julie","Prinsengracht","Amsterdam");
INSERT INTO customer VALUES (151,"Jill","Hofplein","Rotterdam");
INSERT INTO customer VALUES (152,"Anne","Gasthuisstraat","Utrecht");
INSERT INTO customer VALUES (153,"Amber","Schoolstraat","Eindhoven");
INSERT INTO customer VALUES (154,"Benthe","Hoogstraat","Utrecht");
INSERT INTO customer VALUES (155,"Linde","Emmastraat","Eindhoven");
INSERT INTO customer VALUES (156,"Luna","Ambachtstraat","Utrecht");
INSERT INTO customer VALUES (157,"Puck","Keizersgracht","Amsterdam");
INSERT INTO customer VALUES (158,"Rosa","Marnixstraat","Amsterdam");
INSERT INTO customer VALUES (159,"Fenne","Gasthuisstraat","Utrecht");
INSERT INTO customer VALUES (160,"Lara","Langestraat","Tilburg");
INSERT INTO customer VALUES (161,"Floor","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (162,"Elena","Bergselaan","Rotterdam");
INSERT INTO customer VALUES (163,"Cato","Kastanjelaan","Tilburg");
INSERT INTO customer VALUES (164,"Evy","Rozemarijnstraat","Breda");
INSERT INTO customer VALUES (165,"Hanna","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (166,"Rosalie","Stationsweg","Eindhoven");
INSERT INTO customer VALUES (167,"Veerle","Ginnekenstraat","Breda");
INSERT INTO customer VALUES (168,"Kiki","Keizerstraat","Rotterdam");
INSERT INTO customer VALUES (169,"Lily","Gasthuisstraat","Utrecht");
INSERT INTO customer VALUES (170,"Iris","Kastanjelaan","Eindhoven");
INSERT INTO customer VALUES (171,"Tessa","Haringvliet","Rotterdam");
INSERT INTO customer VALUES (172,"Lana","Eikenlaan","Tilburg");
INSERT INTO customer VALUES (173,"Livia","Vierwindenstraat","Breda");
INSERT INTO customer VALUES (174,"Romy","Parallelweg","Eindhoven");
INSERT INTO customer VALUES (175,"Sam","Bredalaan","Eindhoven");
INSERT INTO customer VALUES (176,"Amira","Parallelweg","Amsterdam");
INSERT INTO customer VALUES (177,"Eline","Kalverstraat","Amsterdam");
INSERT INTO customer VALUES (178,"Elif","Parallelweg","Utrecht");
INSERT INTO customer VALUES (179,"Juul","Wilhelminapark","Tilburg");
INSERT INTO customer VALUES (180,"Merel","Kalverstraat","Amsterdam");
INSERT INTO customer VALUES (181,"Liva","Fredriklaan","Eindhoven");
INSERT INTO customer VALUES (182,"Johanna","Beatrixstraat","Eindhoven");
INSERT INTO customer VALUES (183,"Nikki","Julianastraat","Utrecht");
INSERT INTO product VALUES (0,"Cashew Nuts","");
INSERT INTO product VALUES (1,"Mixed Nuts","");
INSERT INTO product VALUES (2,"Potatoes","");
INSERT INTO product VALUES (3,"Green Pepper","");
INSERT INTO product VALUES (4,"Onions","");
INSERT INTO product VALUES (5,"Mushrooms","");
INSERT INTO product VALUES (6,"Carrots","");
INSERT INTO product VALUES (7,"Tomatoes","");
INSERT INTO product VALUES (8,"Hot Dog Sausages","");
INSERT INTO product VALUES (9,"Bananas","");
INSERT INTO product VALUES (10,"Water","");
INSERT INTO product VALUES (11,"Milk","");
INSERT INTO product VALUES (12,"Beef","");
INSERT INTO product VALUES (13,"Eggs","");
INSERT INTO product VALUES (14,"Apples","");
INSERT INTO product VALUES (15,"Cucumbers","");
INSERT INTO product VALUES (16,"Rice","");
INSERT INTO product VALUES (17,"Bread","");
INSERT INTO product VALUES (18,"Cheese","");
INSERT INTO product VALUES (19,"Coca","");
INSERT INTO product VALUES (20,"Fanta","");
INSERT INTO product VALUES (21,"Coffee","");
INSERT INTO product VALUES (22,"Tea","");
INSERT INTO product VALUES (23,"Spiced Biscuits","");
INSERT INTO product VALUES (24,"Oranges","");
INSERT INTO product VALUES (25,"Donuts","");
INSERT INTO product VALUES (26,"Pasta","");
INSERT INTO product VALUES (27,"Pizza","");
INSERT INTO product VALUES (28,"Lasanga","");
INSERT INTO store VALUES (0,"Coop","Kalverstraat","Amsterdam");
INSERT INTO store VALUES (1,"Hoogvliet","Rozemarijnstraat","Breda");
INSERT INTO store VALUES (2,"Jumbo","Stadhoudersweg","Rotterdam");
INSERT INTO store VALUES (3,"Sligro","Stadhoudersweg","Rotterdam");
INSERT INTO store VALUES (4,"Hoogvliet","Molenstraat","Eindhoven");
INSERT INTO store VALUES (5,"Sligro","Stationsplein","Breda");
INSERT INTO store VALUES (6,"Coop","Stadhoudersweg","Rotterdam");
INSERT INTO store VALUES (7,"Sligro","Wilhelminastraat","Eindhoven");
INSERT INTO store VALUES (8,"Albert Hein","Molenstraat","Eindhoven");
INSERT INTO store VALUES (9,"Albert Hein","Koestraat","Tilburg");
INSERT INTO store VALUES (10,"Jumbo","Bergselaan","Rotterdam");
INSERT INTO store VALUES (11,"Albert Hein","Hofplein","Rotterdam");
INSERT INTO store VALUES (12,"Lidl","Wilhelminastraat","Eindhoven");
INSERT INTO store VALUES (13,"Coop","Koestraat","Tilburg");
INSERT INTO store VALUES (14,"Coop","Keizersgracht","Amsterdam");
INSERT INTO store VALUES (15,"Lidl","Prinsengracht","Amsterdam");
INSERT INTO store VALUES (16,"Lidl","Ambachtstraat","Utrecht");
INSERT INTO store VALUES (17,"Hoogvliet","Kerkstraat","Eindhoven");
INSERT INTO store VALUES (18,"Sligro","Parallelweg","Tilburg");
INSERT INTO store VALUES (19,"Coop","Karrestraat","Breda");
INSERT INTO store VALUES (20,"Jumbo","Kasteeldreef","Tilburg");
INSERT INTO store VALUES (21,"Coop","Kasteeldreef","Tilburg");
INSERT INTO store VALUES (22,"Lidl","Prinsengracht","Amsterdam");
INSERT INTO store VALUES (23,"Dirk","Stationsplein","Breda");
INSERT INTO store VALUES (24,"Albert Hein","Stationsplein","Breda");
INSERT INTO store VALUES (25,"Albert Hein","Stationsplein","Breda");
INSERT INTO store VALUES (26,"Hoogvliet","Sint Annastraat","Breda");
INSERT INTO store VALUES (27,"Sligro","Kalverstraat","Amsterdam");
INSERT INTO store VALUES (28,"Hoogvliet","Koestraat","Tilburg");
INSERT INTO store VALUES (29,"Sligro","Marnixstraat","Amsterdam");
INSERT INTO store VALUES (30,"Dirk","Nieuwstraat","Eindhoven");
INSERT INTO store VALUES (31,"Coop","Parallelweg","Utrecht");
INSERT INTO store VALUES (32,"Albert Hein","Hoogstraat","Utrecht");
INSERT INTO store VALUES (33,"Dirk","Nieuwstraat","Eindhoven");
INSERT INTO store VALUES (34,"Coop","Bierkaai","Amsterdam");
INSERT INTO store VALUES (35,"Lidl","Julianastraat","Utrecht");
INSERT INTO store VALUES (36,"Lidl","Julianastraat","Eindhoven");
INSERT INTO store VALUES (37,"Jumbo","Molenweg","Eindhoven");
INSERT INTO store VALUES (38,"Hoogvliet","Hofplein","Rotterdam");
INSERT INTO store VALUES (39,"Sligro","Dorpsstraat","Eindhoven");
INSERT INTO store VALUES (40,"Hoogvliet","Hofplein","Rotterdam");
INSERT INTO store VALUES (41,"Albert Hein","Bergselaan","Rotterdam");
INSERT INTO store VALUES (42,"Sligro","Kalverstraat","Amsterdam");
INSERT INTO store VALUES (43,"Coop","Gasthuisstraat","Utrecht");
INSERT INTO store VALUES (44,"Albert Hein","Ambachtstraat","Utrecht");
INSERT INTO store VALUES (45,"Coop","Kasteeldreef","Tilburg");
INSERT INTO store VALUES (46,"Lidl","Bergselaan","Rotterdam");
INSERT INTO store VALUES (47,"Coop","Julianastraat","Rotterdam");
INSERT INTO store VALUES (48,"Hoogvliet","Kasteeldreef","Tilburg");
INSERT INTO store VALUES (49,"Hoogvliet","Keizerstraat","Rotterdam");
INSERT INTO store VALUES (50,"Sligro","Stationsplein","Breda");
INSERT INTO store VALUES (51,"Coop","Parallelweg","Utrecht");
INSERT INTO store VALUES (52,"Lidl","Nieuwstraat","Eindhoven");
INSERT INTO store VALUES (53,"Coop","Hoogstraat","Utrecht");
INSERT INTO store VALUES (54,"Dirk","Julianastraat","Eindhoven");
INSERT INTO store VALUES (55,"Coop","Sint Annastraat","Breda");
INSERT INTO store VALUES (56,"Jumbo","Parallelweg","Eindhoven");
INSERT INTO store VALUES (57,"Dirk","Molenstraat","Eindhoven");
INSERT INTO store VALUES (58,"Dirk","Keizerstraat","Rotterdam");
INSERT INTO store VALUES (59,"Jumbo","Rozemarijnstraat","Breda");
INSERT INTO inventory VALUES (55,10,'2018-08-26',17,0.6);
INSERT INTO inventory VALUES (25,12,'2018-08-24',30,14.8);
INSERT INTO inventory VALUES (15,6,'2018-08-26',13,1.15);
INSERT INTO inventory VALUES (6,27,'2018-08-19',51,7.3);
INSERT INTO inventory VALUES (57,2,'2018-08-22',24,2.05);
INSERT INTO inventory VALUES (33,8,'2018-08-19',46,5.7);
INSERT INTO inventory VALUES (51,10,'2018-08-23',31,0.6);
INSERT INTO inventory VALUES (50,21,'2018-08-22',32,1.9);
INSERT INTO inventory VALUES (0,13,'2018-08-25',13,3.05);
INSERT INTO inventory VALUES (36,8,'2018-08-27',11,5.05);
INSERT INTO inventory VALUES (36,23,'2018-08-18',35,2.2);
INSERT INTO inventory VALUES (54,10,'2018-08-24',16,0.55);
INSERT INTO inventory VALUES (59,1,'2018-08-26',36,6.2);
INSERT INTO inventory VALUES (9,19,'2018-08-22',28,2.5);
INSERT INTO inventory VALUES (33,7,'2018-08-26',5,1.6);
INSERT INTO inventory VALUES (35,10,'2018-08-21',51,0.55);
INSERT INTO inventory VALUES (0,21,'2018-08-15',0,2.2);
INSERT INTO inventory VALUES (31,14,'2018-08-17',10,4.5);
INSERT INTO inventory VALUES (19,14,'2018-08-20',42,4.7);
INSERT INTO inventory VALUES (33,20,'2018-08-21',51,2.15);
INSERT INTO inventory VALUES (17,24,'2018-08-16',44,2.85);
INSERT INTO inventory VALUES (4,27,'2018-08-18',27,9);
INSERT INTO inventory VALUES (3,25,'2018-08-27',24,4.6);
INSERT INTO inventory VALUES (22,15,'2018-08-20',4,1.3);
INSERT INTO inventory VALUES (52,14,'2018-08-18',44,4.25);
INSERT INTO inventory VALUES (24,26,'2018-08-25',18,2.9);
INSERT INTO inventory VALUES (7,12,'2018-08-20',13,12.55);
INSERT INTO inventory VALUES (32,18,'2018-08-21',41,11.85);
INSERT INTO inventory VALUES (48,24,'2018-08-19',10,3.2);
INSERT INTO inventory VALUES (54,8,'2018-08-17',3,5.55);
INSERT INTO inventory VALUES (28,10,'2018-08-16',15,0.4);
INSERT INTO inventory VALUES (21,4,'2018-08-19',22,0.95);
INSERT INTO inventory VALUES (36,8,'2018-08-17',42,5.4);
INSERT INTO inventory VALUES (32,2,'2018-08-15',22,2.35);
INSERT INTO inventory VALUES (37,1,'2018-08-24',2,5.25);
INSERT INTO inventory VALUES (53,6,'2018-08-16',3,1.2);
INSERT INTO inventory VALUES (6,3,'2018-08-16',18,1.55);
INSERT INTO inventory VALUES (3,20,'2018-08-18',54,2.75);
INSERT INTO inventory VALUES (3,6,'2018-08-19',1,1.1);
INSERT INTO inventory VALUES (35,8,'2018-08-16',39,5.05);
INSERT INTO inventory VALUES (40,22,'2018-08-26',40,1.65);
INSERT INTO inventory VALUES (4,3,'2018-08-21',9,1.7);
INSERT INTO inventory VALUES (38,3,'2018-08-17',28,1.55);
INSERT INTO inventory VALUES (8,10,'2018-08-27',26,0.5);
INSERT INTO inventory VALUES (37,11,'2018-08-21',19,1.1);
INSERT INTO inventory VALUES (19,7,'2018-08-19',25,1.9);
INSERT INTO inventory VALUES (38,10,'2018-08-27',33,0.5);
INSERT INTO inventory VALUES (27,13,'2018-08-25',2,4);
INSERT INTO inventory VALUES (8,11,'2018-08-24',7,0.95);
INSERT INTO inventory VALUES (28,4,'2018-08-16',39,0.9);
INSERT INTO inventory VALUES (35,27,'2018-08-20',8,7.35);
INSERT INTO inventory VALUES (16,8,'2018-08-20',42,5.55);
INSERT INTO inventory VALUES (16,3,'2018-08-24',5,1.7);
INSERT INTO inventory VALUES (57,19,'2018-08-23',12,2.95);
INSERT INTO inventory VALUES (16,27,'2018-08-25',11,9.2);
INSERT INTO inventory VALUES (43,17,'2018-08-24',28,2.15);
INSERT INTO inventory VALUES (42,0,'2018-08-26',18,4.65);
INSERT INTO inventory VALUES (32,13,'2018-08-21',18,4.05);
INSERT INTO inventory VALUES (42,10,'2018-08-21',3,0.55);
INSERT INTO inventory VALUES (33,22,'2018-08-15',29,1.9);
INSERT INTO inventory VALUES (18,18,'2018-08-27',19,9.9);
INSERT INTO inventory VALUES (50,18,'2018-08-18',24,11.35);
INSERT INTO inventory VALUES (0,23,'2018-08-21',9,2.4);
INSERT INTO inventory VALUES (6,7,'2018-08-22',42,1.9);
INSERT INTO inventory VALUES (37,23,'2018-08-26',54,2.5);
INSERT INTO inventory VALUES (40,4,'2018-08-17',23,0.85);
INSERT INTO inventory VALUES (38,23,'2018-08-23',29,1.8);
INSERT INTO inventory VALUES (16,9,'2018-08-17',29,1.65);
INSERT INTO inventory VALUES (59,8,'2018-08-20',10,5.45);
INSERT INTO inventory VALUES (42,19,'2018-08-19',6,2.95);
INSERT INTO inventory VALUES (42,7,'2018-08-21',4,1.65);
INSERT INTO inventory VALUES (35,13,'2018-08-23',28,4.15);
INSERT INTO inventory VALUES (15,20,'2018-08-17',7,1.9);
INSERT INTO inventory VALUES (48,1,'2018-08-25',9,6.55);
INSERT INTO inventory VALUES (45,13,'2018-08-23',32,4.1);
INSERT INTO inventory VALUES (23,2,'2018-08-20',28,1.8);
INSERT INTO inventory VALUES (51,17,'2018-08-21',49,2.5);
INSERT INTO inventory VALUES (0,4,'2018-08-22',37,1.1);
INSERT INTO inventory VALUES (9,25,'2018-08-17',40,4.25);
INSERT INTO inventory VALUES (44,17,'2018-08-25',23,2);
INSERT INTO inventory VALUES (5,17,'2018-08-23',34,2.45);
INSERT INTO inventory VALUES (13,15,'2018-08-23',11,1.25);
INSERT INTO inventory VALUES (22,27,'2018-08-17',52,7.4);
INSERT INTO inventory VALUES (50,25,'2018-08-17',24,4.65);
INSERT INTO inventory VALUES (0,3,'2018-08-18',27,1.6);
INSERT INTO inventory VALUES (41,22,'2018-08-26',4,1.95);
INSERT INTO inventory VALUES (50,10,'2018-08-23',54,0.55);
INSERT INTO inventory VALUES (35,13,'2018-08-25',13,3.1);
INSERT INTO inventory VALUES (52,27,'2018-08-22',25,9.3);
INSERT INTO inventory VALUES (0,2,'2018-08-20',11,2.2);
INSERT INTO inventory VALUES (31,1,'2018-08-18',30,5.6);
INSERT INTO inventory VALUES (9,26,'2018-08-22',34,2.8);
INSERT INTO inventory VALUES (5,8,'2018-08-15',22,4.05);
INSERT INTO inventory VALUES (50,12,'2018-08-24',38,13.1);
INSERT INTO inventory VALUES (5,12,'2018-08-19',6,10.4);
INSERT INTO inventory VALUES (8,16,'2018-08-18',53,2.05);
INSERT INTO inventory VALUES (34,10,'2018-08-22',31,0.4);
INSERT INTO inventory VALUES (7,1,'2018-08-23',18,5.8);
INSERT INTO inventory VALUES (2,11,'2018-08-23',21,1);
INSERT INTO inventory VALUES (11,24,'2018-08-17',17,3.3);
INSERT INTO inventory VALUES (4,16,'2018-08-15',52,2.1);
INSERT INTO inventory VALUES (13,22,'2018-08-17',43,1.65);
INSERT INTO inventory VALUES (41,18,'2018-08-19',15,11.75);
INSERT INTO inventory VALUES (24,24,'2018-08-17',20,3.1);
INSERT INTO inventory VALUES (26,22,'2018-08-18',53,2);
INSERT INTO inventory VALUES (16,23,'2018-08-16',46,1.85);
INSERT INTO inventory VALUES (8,4,'2018-08-16',50,0.85);
INSERT INTO inventory VALUES (36,3,'2018-08-19',24,1.4);
INSERT INTO inventory VALUES (28,27,'2018-08-23',43,8.5);
INSERT INTO inventory VALUES (53,4,'2018-08-17',15,0.9);
INSERT INTO inventory VALUES (56,16,'2018-08-24',37,2);
INSERT INTO inventory VALUES (25,28,'2018-08-18',11,7.45);
INSERT INTO inventory VALUES (53,16,'2018-08-15',20,1.8);
INSERT INTO inventory VALUES (46,1,'2018-08-24',16,4.6);
INSERT INTO inventory VALUES (44,9,'2018-08-25',23,1.6);
INSERT INTO inventory VALUES (13,7,'2018-08-27',47,2.35);
INSERT INTO inventory VALUES (0,27,'2018-08-24',22,6.65);
INSERT INTO inventory VALUES (44,23,'2018-08-22',1,2.4);
INSERT INTO inventory VALUES (58,16,'2018-08-20',53,2);
INSERT INTO inventory VALUES (54,13,'2018-08-21',0,3.45);
INSERT INTO inventory VALUES (30,8,'2018-08-20',32,5.3);
INSERT INTO inventory VALUES (24,14,'2018-08-21',19,3.2);
INSERT INTO inventory VALUES (8,23,'2018-08-26',46,1.8);
INSERT INTO inventory VALUES (2,1,'2018-08-25',2,5.35);
INSERT INTO inventory VALUES (51,11,'2018-08-21',13,0.8);
INSERT INTO inventory VALUES (19,27,'2018-08-16',7,7.9);
INSERT INTO inventory VALUES (28,27,'2018-08-27',8,9.1);
INSERT INTO inventory VALUES (22,11,'2018-08-17',13,0.85);
INSERT INTO inventory VALUES (3,22,'2018-08-17',17,2);
INSERT INTO inventory VALUES (3,18,'2018-08-18',49,9.95);
INSERT INTO inventory VALUES (57,17,'2018-08-17',34,2.25);
INSERT INTO inventory VALUES (10,0,'2018-08-16',18,5.3);
INSERT INTO inventory VALUES (42,5,'2018-08-22',1,0.55);
INSERT INTO inventory VALUES (28,26,'2018-08-18',36,2.95);
INSERT INTO inventory VALUES (27,18,'2018-08-19',13,8.55);
INSERT INTO inventory VALUES (44,13,'2018-08-15',9,3.6);
INSERT INTO inventory VALUES (19,13,'2018-08-19',20,3.65);
INSERT INTO inventory VALUES (13,20,'2018-08-17',52,2.2);
INSERT INTO inventory VALUES (8,24,'2018-08-21',25,3.7);
INSERT INTO inventory VALUES (39,13,'2018-08-18',51,3.3);
INSERT INTO inventory VALUES (35,25,'2018-08-23',36,4);
INSERT INTO inventory VALUES (41,1,'2018-08-23',53,4.6);
INSERT INTO inventory VALUES (41,14,'2018-08-27',12,4);
INSERT INTO inventory VALUES (55,26,'2018-08-20',34,3.45);
INSERT INTO inventory VALUES (32,21,'2018-08-22',6,1.6);
INSERT INTO inventory VALUES (54,21,'2018-08-20',45,2);
INSERT INTO inventory VALUES (52,14,'2018-08-17',24,3.65);
INSERT INTO inventory VALUES (41,4,'2018-08-15',18,1.15);
INSERT INTO inventory VALUES (56,25,'2018-08-23',19,4.35);
INSERT INTO inventory VALUES (59,22,'2018-08-24',30,2.15);
INSERT INTO inventory VALUES (35,24,'2018-08-19',54,3.35);
INSERT INTO inventory VALUES (2,28,'2018-08-25',49,7.75);
INSERT INTO inventory VALUES (4,5,'2018-08-15',48,0.45);
INSERT INTO inventory VALUES (39,16,'2018-08-15',17,1.75);
INSERT INTO inventory VALUES (23,15,'2018-08-20',26,1.4);
INSERT INTO inventory VALUES (4,17,'2018-08-26',8,1.85);
INSERT INTO inventory VALUES (29,20,'2018-08-19',6,2.6);
INSERT INTO inventory VALUES (54,21,'2018-08-17',46,1.65);
INSERT INTO inventory VALUES (10,19,'2018-08-19',35,2.7);
INSERT INTO inventory VALUES (53,12,'2018-08-16',3,13.85);
INSERT INTO inventory VALUES (9,7,'2018-08-19',28,2.3);
INSERT INTO inventory VALUES (26,4,'2018-08-20',44,0.9);
INSERT INTO inventory VALUES (59,17,'2018-08-18',12,2.15);
INSERT INTO inventory VALUES (58,27,'2018-08-16',54,9.45);
INSERT INTO inventory VALUES (5,11,'2018-08-18',40,0.8);
INSERT INTO inventory VALUES (0,7,'2018-08-16',45,1.8);
INSERT INTO inventory VALUES (59,2,'2018-08-18',52,1.65);
INSERT INTO inventory VALUES (1,10,'2018-08-17',29,0.45);
INSERT INTO inventory VALUES (47,16,'2018-08-20',25,1.45);
INSERT INTO inventory VALUES (45,10,'2018-08-26',54,0.5);
INSERT INTO inventory VALUES (1,2,'2018-08-20',2,1.75);
INSERT INTO inventory VALUES (53,5,'2018-08-17',17,0.55);
INSERT INTO inventory VALUES (6,22,'2018-08-17',45,1.55);
INSERT INTO inventory VALUES (41,21,'2018-08-21',52,2.05);
INSERT INTO inventory VALUES (26,13,'2018-08-27',7,3.5);
INSERT INTO inventory VALUES (45,21,'2018-08-21',46,2);
INSERT INTO inventory VALUES (45,4,'2018-08-23',50,1);
INSERT INTO inventory VALUES (23,10,'2018-08-22',52,0.55);
INSERT INTO inventory VALUES (26,27,'2018-08-25',25,6.75);
INSERT INTO inventory VALUES (39,19,'2018-08-25',15,2.7);
INSERT INTO inventory VALUES (35,28,'2018-08-24',32,7.75);
INSERT INTO inventory VALUES (19,4,'2018-08-23',53,1.2);
INSERT INTO inventory VALUES (29,17,'2018-08-23',4,1.95);
INSERT INTO inventory VALUES (33,24,'2018-08-27',37,3.15);
INSERT INTO inventory VALUES (40,5,'2018-08-24',52,0.4);
INSERT INTO inventory VALUES (11,2,'2018-08-23',22,2.1);
INSERT INTO inventory VALUES (12,5,'2018-08-27',17,0.4);
INSERT INTO inventory VALUES (8,12,'2018-08-15',45,13.1);
INSERT INTO inventory VALUES (51,20,'2018-08-16',18,2.3);
INSERT INTO inventory VALUES (15,1,'2018-08-19',35,6.35);
INSERT INTO inventory VALUES (42,1,'2018-08-26',44,5.55);
INSERT INTO inventory VALUES (0,2,'2018-08-21',43,2.15);
INSERT INTO inventory VALUES (44,23,'2018-08-19',27,2.6);
INSERT INTO inventory VALUES (58,11,'2018-08-24',16,1.15);
INSERT INTO inventory VALUES (22,8,'2018-08-21',8,4.7);
INSERT INTO inventory VALUES (52,15,'2018-08-20',5,1.25);
INSERT INTO inventory VALUES (58,22,'2018-08-25',3,1.55);
INSERT INTO inventory VALUES (16,25,'2018-08-27',42,3.55);
INSERT INTO inventory VALUES (22,0,'2018-08-21',16,4.5);
INSERT INTO inventory VALUES (19,24,'2018-08-26',27,2.95);
INSERT INTO inventory VALUES (16,16,'2018-08-24',24,1.75);
INSERT INTO inventory VALUES (50,1,'2018-08-26',31,5.6);
INSERT INTO inventory VALUES (22,16,'2018-08-17',41,1.7);
INSERT INTO inventory VALUES (55,3,'2018-08-21',45,1.45);
INSERT INTO inventory VALUES (3,21,'2018-08-22',0,2.25);
INSERT INTO inventory VALUES (54,18,'2018-08-18',32,8.9);
INSERT INTO inventory VALUES (51,7,'2018-08-22',13,1.85);
INSERT INTO inventory VALUES (57,5,'2018-08-15',48,0.5);
INSERT INTO inventory VALUES (1,28,'2018-08-18',45,8.4);
INSERT INTO inventory VALUES (27,1,'2018-08-15',39,5.2);
INSERT INTO inventory VALUES (41,16,'2018-08-24',51,1.95);
INSERT INTO inventory VALUES (57,26,'2018-08-17',12,3.5);
INSERT INTO inventory VALUES (56,10,'2018-08-22',53,0.5);
INSERT INTO inventory VALUES (7,27,'2018-08-22',10,8.5);
INSERT INTO inventory VALUES (4,16,'2018-08-18',30,1.55);
INSERT INTO inventory VALUES (32,28,'2018-08-23',36,6.85);
INSERT INTO inventory VALUES (38,19,'2018-08-19',35,2.6);
INSERT INTO inventory VALUES (41,5,'2018-08-24',15,0.45);
INSERT INTO inventory VALUES (47,28,'2018-08-16',2,7.65);
INSERT INTO inventory VALUES (58,11,'2018-08-21',44,0.85);
INSERT INTO inventory VALUES (7,4,'2018-08-27',35,0.85);
INSERT INTO inventory VALUES (8,12,'2018-08-17',14,14.9);
INSERT INTO inventory VALUES (6,0,'2018-08-23',37,4.35);
INSERT INTO inventory VALUES (2,25,'2018-08-18',38,3.25);
INSERT INTO inventory VALUES (39,28,'2018-08-21',37,8.85);
INSERT INTO inventory VALUES (56,17,'2018-08-18',5,2.1);
INSERT INTO inventory VALUES (40,15,'2018-08-24',17,1.1);
INSERT INTO inventory VALUES (43,2,'2018-08-20',16,2.1);
INSERT INTO inventory VALUES (13,3,'2018-08-20',11,1.3);
INSERT INTO inventory VALUES (38,9,'2018-08-17',13,1.3);
INSERT INTO inventory VALUES (15,2,'2018-08-16',51,2.35);
INSERT INTO inventory VALUES (27,20,'2018-08-20',52,2.4);
INSERT INTO inventory VALUES (33,11,'2018-08-18',41,0.95);
INSERT INTO inventory VALUES (56,3,'2018-08-16',9,1.55);
INSERT INTO inventory VALUES (31,0,'2018-08-15',7,5.25);
INSERT INTO inventory VALUES (37,28,'2018-08-24',11,9.3);
INSERT INTO inventory VALUES (35,24,'2018-08-24',18,3.55);
INSERT INTO inventory VALUES (17,14,'2018-08-22',3,4.3);
INSERT INTO inventory VALUES (26,21,'2018-08-18',20,2.3);
INSERT INTO inventory VALUES (26,20,'2018-08-27',38,2.25);
INSERT INTO inventory VALUES (52,14,'2018-08-20',40,4.2);
INSERT INTO inventory VALUES (17,1,'2018-08-16',15,5.2);
INSERT INTO inventory VALUES (31,14,'2018-08-26',52,3.25);
INSERT INTO inventory VALUES (41,0,'2018-08-15',35,4.55);
INSERT INTO inventory VALUES (49,20,'2018-08-25',13,2.4);
INSERT INTO inventory VALUES (10,21,'2018-08-21',37,2.25);
INSERT INTO inventory VALUES (42,27,'2018-08-22',12,8.05);
INSERT INTO inventory VALUES (50,24,'2018-08-22',45,3.65);
INSERT INTO inventory VALUES (14,11,'2018-08-17',45,0.85);
INSERT INTO inventory VALUES (0,14,'2018-08-24',1,4.1);
INSERT INTO inventory VALUES (30,5,'2018-08-20',4,0.45);
INSERT INTO inventory VALUES (6,7,'2018-08-27',33,1.8);
INSERT INTO inventory VALUES (49,24,'2018-08-25',40,3.8);
INSERT INTO inventory VALUES (18,1,'2018-08-16',32,5.05);
INSERT INTO inventory VALUES (9,22,'2018-08-18',51,1.45);
INSERT INTO inventory VALUES (59,27,'2018-08-25',27,7.6);
INSERT INTO inventory VALUES (18,2,'2018-08-25',37,2);
INSERT INTO inventory VALUES (36,16,'2018-08-18',48,2.05);
INSERT INTO inventory VALUES (46,2,'2018-08-22',19,1.8);
INSERT INTO inventory VALUES (43,0,'2018-08-25',13,4.4);
INSERT INTO inventory VALUES (44,28,'2018-08-27',32,6.9);
INSERT INTO inventory VALUES (10,1,'2018-08-18',47,5.7);
INSERT INTO inventory VALUES (19,20,'2018-08-19',1,1.95);
INSERT INTO inventory VALUES (50,26,'2018-08-19',43,3.1);
INSERT INTO inventory VALUES (7,19,'2018-08-20',31,2.15);
INSERT INTO inventory VALUES (29,2,'2018-08-20',50,2);
INSERT INTO inventory VALUES (30,0,'2018-08-19',30,5.25);
INSERT INTO inventory VALUES (33,11,'2018-08-23',32,1.05);
INSERT INTO inventory VALUES (24,0,'2018-08-17',53,3.8);
INSERT INTO inventory VALUES (59,28,'2018-08-25',16,9.55);
INSERT INTO inventory VALUES (35,27,'2018-08-23',54,8.85);
INSERT INTO inventory VALUES (34,10,'2018-08-23',8,0.45);
INSERT INTO inventory VALUES (25,25,'2018-08-26',23,3.6);
INSERT INTO inventory VALUES (33,27,'2018-08-25',41,8.15);
INSERT INTO inventory VALUES (17,14,'2018-08-15',47,4.4);
INSERT INTO inventory VALUES (6,17,'2018-08-18',47,1.75);
INSERT INTO inventory VALUES (41,17,'2018-08-19',38,2.45);
INSERT INTO inventory VALUES (49,3,'2018-08-21',0,1.25);
INSERT INTO inventory VALUES (43,26,'2018-08-15',12,3.4);
INSERT INTO inventory VALUES (22,25,'2018-08-27',32,4.6);
INSERT INTO inventory VALUES (42,12,'2018-08-19',41,13.65);
INSERT INTO inventory VALUES (30,15,'2018-08-16',17,1.3);
INSERT INTO inventory VALUES (50,3,'2018-08-19',1,1.3);
INSERT INTO inventory VALUES (18,4,'2018-08-26',27,0.95);
INSERT INTO inventory VALUES (10,16,'2018-08-17',12,2.1);
INSERT INTO inventory VALUES (6,11,'2018-08-16',9,0.8);
INSERT INTO inventory VALUES (8,2,'2018-08-24',9,1.7);
INSERT INTO inventory VALUES (9,5,'2018-08-15',1,0.6);
INSERT INTO inventory VALUES (27,9,'2018-08-25',25,1.2);
INSERT INTO inventory VALUES (14,20,'2018-08-17',15,2.5);
INSERT INTO inventory VALUES (8,11,'2018-08-15',37,1.2);
INSERT INTO inventory VALUES (10,21,'2018-08-15',18,1.75);
INSERT INTO inventory VALUES (56,9,'2018-08-16',5,1.7);
INSERT INTO inventory VALUES (1,5,'2018-08-21',49,0.5);
INSERT INTO inventory VALUES (7,26,'2018-08-24',16,2.85);
INSERT INTO inventory VALUES (18,26,'2018-08-19',54,3.2);
INSERT INTO inventory VALUES (12,26,'2018-08-27',51,2.55);
INSERT INTO inventory VALUES (14,21,'2018-08-17',9,2.1);
INSERT INTO inventory VALUES (13,14,'2018-08-18',12,3.65);
INSERT INTO inventory VALUES (47,0,'2018-08-24',13,4.8);
INSERT INTO inventory VALUES (20,15,'2018-08-15',2,1.3);
INSERT INTO inventory VALUES (17,5,'2018-08-18',33,0.45);
INSERT INTO inventory VALUES (1,3,'2018-08-20',15,1.55);
INSERT INTO inventory VALUES (42,12,'2018-08-23',46,11.4);
INSERT INTO inventory VALUES (58,12,'2018-08-20',51,13.1);
INSERT INTO inventory VALUES (9,14,'2018-08-16',15,4.75);
INSERT INTO inventory VALUES (14,1,'2018-08-26',25,6.25);
INSERT INTO inventory VALUES (55,15,'2018-08-21',36,1.4);
INSERT INTO inventory VALUES (37,9,'2018-08-22',26,1.45);
INSERT INTO inventory VALUES (24,2,'2018-08-21',52,1.65);
INSERT INTO inventory VALUES (41,14,'2018-08-23',3,3.35);
INSERT INTO inventory VALUES (53,8,'2018-08-20',46,4.2);
INSERT INTO inventory VALUES (39,8,'2018-08-18',0,5.7);
INSERT INTO inventory VALUES (17,7,'2018-08-16',53,2.4);
INSERT INTO inventory VALUES (9,28,'2018-08-19',25,10.05);
INSERT INTO inventory VALUES (25,20,'2018-08-15',27,2.75);
INSERT INTO inventory VALUES (9,27,'2018-08-20',4,6.9);
INSERT INTO inventory VALUES (7,6,'2018-08-15',26,0.9);
INSERT INTO inventory VALUES (53,10,'2018-08-24',32,0.45);
INSERT INTO inventory VALUES (57,13,'2018-08-16',48,3.6);
INSERT INTO inventory VALUES (32,12,'2018-08-16',10,10.75);
INSERT INTO inventory VALUES (3,11,'2018-08-24',40,0.8);
INSERT INTO inventory VALUES (35,27,'2018-08-16',31,7.85);
INSERT INTO inventory VALUES (8,20,'2018-08-26',35,2.65);
INSERT INTO inventory VALUES (1,7,'2018-08-24',17,2.15);
INSERT INTO inventory VALUES (42,1,'2018-08-18',40,4.5);
INSERT INTO inventory VALUES (49,27,'2018-08-21',7,8.95);
INSERT INTO inventory VALUES (40,20,'2018-08-26',13,2.7);
INSERT INTO inventory VALUES (33,19,'2018-08-23',32,2.25);
INSERT INTO inventory VALUES (10,9,'2018-08-21',45,1.75);
INSERT INTO inventory VALUES (30,22,'2018-08-23',29,2.05);
INSERT INTO inventory VALUES (4,3,'2018-08-22',21,1.6);
INSERT INTO inventory VALUES (28,8,'2018-08-16',7,4.15);
INSERT INTO inventory VALUES (6,22,'2018-08-26',21,2);
INSERT INTO inventory VALUES (32,16,'2018-08-17',44,1.8);
INSERT INTO inventory VALUES (50,22,'2018-08-23',5,1.95);
INSERT INTO inventory VALUES (22,12,'2018-08-15',44,11.15);
INSERT INTO inventory VALUES (24,28,'2018-08-25',8,8.2);
INSERT INTO inventory VALUES (1,27,'2018-08-17',48,8.35);
INSERT INTO inventory VALUES (47,4,'2018-08-15',3,1);
INSERT INTO inventory VALUES (26,25,'2018-08-15',20,3.95);
INSERT INTO inventory VALUES (57,1,'2018-08-22',40,5.85);
INSERT INTO inventory VALUES (43,4,'2018-08-18',14,0.8);
INSERT INTO inventory VALUES (45,3,'2018-08-27',25,1.2);
INSERT INTO inventory VALUES (32,1,'2018-08-27',19,6);
INSERT INTO inventory VALUES (6,13,'2018-08-24',52,3.05);
INSERT INTO inventory VALUES (27,15,'2018-08-15',22,1.15);
INSERT INTO inventory VALUES (35,9,'2018-08-21',51,1.35);
INSERT INTO inventory VALUES (38,10,'2018-08-25',9,0.6);
INSERT INTO inventory VALUES (29,0,'2018-08-23',28,5.15);
INSERT INTO inventory VALUES (15,5,'2018-08-19',30,0.5);
INSERT INTO inventory VALUES (6,25,'2018-08-20',25,3.95);
INSERT INTO inventory VALUES (52,6,'2018-08-17',6,0.95);
INSERT INTO inventory VALUES (47,7,'2018-08-23',27,1.85);
INSERT INTO inventory VALUES (0,20,'2018-08-16',37,2.2);
INSERT INTO inventory VALUES (31,9,'2018-08-19',51,1.35);
INSERT INTO inventory VALUES (40,15,'2018-08-18',10,1.1);
INSERT INTO inventory VALUES (37,3,'2018-08-15',22,1.5);
INSERT INTO inventory VALUES (6,21,'2018-08-25',28,1.9);
INSERT INTO inventory VALUES (4,12,'2018-08-24',38,10.2);
INSERT INTO inventory VALUES (6,4,'2018-08-19',48,1.2);
INSERT INTO inventory VALUES (23,26,'2018-08-18',20,3.4);
INSERT INTO inventory VALUES (57,8,'2018-08-21',19,4.05);
INSERT INTO inventory VALUES (30,0,'2018-08-21',21,4.9);
INSERT INTO inventory VALUES (57,15,'2018-08-24',41,1.2);
INSERT INTO inventory VALUES (33,3,'2018-08-15',11,1.55);
INSERT INTO inventory VALUES (4,6,'2018-08-24',0,1.1);
INSERT INTO inventory VALUES (57,12,'2018-08-22',39,10.6);
INSERT INTO inventory VALUES (18,22,'2018-08-20',11,1.6);
INSERT INTO inventory VALUES (12,13,'2018-08-18',33,3);
INSERT INTO inventory VALUES (2,16,'2018-08-23',0,2);
INSERT INTO inventory VALUES (22,5,'2018-08-18',42,0.55);
INSERT INTO inventory VALUES (6,9,'2018-08-27',1,1.55);
INSERT INTO inventory VALUES (2,21,'2018-08-24',35,2.1);
INSERT INTO inventory VALUES (16,13,'2018-08-22',7,3.4);
INSERT INTO inventory VALUES (54,26,'2018-08-19',2,3.2);
INSERT INTO inventory VALUES (27,10,'2018-08-16',16,0.55);
INSERT INTO inventory VALUES (31,0,'2018-08-23',25,4.6);
INSERT INTO inventory VALUES (5,24,'2018-08-26',0,3.25);
INSERT INTO inventory VALUES (17,1,'2018-08-17',8,4.55);
INSERT INTO inventory VALUES (28,22,'2018-08-17',16,2);
INSERT INTO inventory VALUES (29,27,'2018-08-18',11,7.75);
INSERT INTO inventory VALUES (5,24,'2018-08-23',32,4.1);
INSERT INTO inventory VALUES (48,3,'2018-08-25',23,1.45);
INSERT INTO inventory VALUES (40,17,'2018-08-17',47,1.95);
INSERT INTO inventory VALUES (23,27,'2018-08-22',21,9);
INSERT INTO inventory VALUES (44,2,'2018-08-21',45,1.8);
INSERT INTO inventory VALUES (0,9,'2018-08-25',5,1.25);
INSERT INTO inventory VALUES (25,22,'2018-08-19',32,2.1);
INSERT INTO inventory VALUES (34,20,'2018-08-15',5,2);
INSERT INTO inventory VALUES (19,15,'2018-08-16',6,1.15);
INSERT INTO inventory VALUES (13,13,'2018-08-16',17,3.3);
INSERT INTO inventory VALUES (44,18,'2018-08-21',46,9.65);
INSERT INTO inventory VALUES (21,13,'2018-08-20',21,3.45);
INSERT INTO inventory VALUES (56,7,'2018-08-15',5,2.4);
INSERT INTO inventory VALUES (46,15,'2018-08-22',52,1.05);
INSERT INTO inventory VALUES (18,5,'2018-08-18',5,0.6);
INSERT INTO inventory VALUES (3,10, date('2018-08-21'),13,0.45);
INSERT INTO purchase VALUES (0,0,3,10, date('2018-08-22'),1,0.45);
INSERT INTO shoppinglist VALUES (1,14,2, date('2018-08-20'));
INSERT INTO inventory VALUES (23,14, date('2018-08-20'),8,4.65);
INSERT INTO purchase VALUES (1,1,23,14, date('2018-08-20'),2,4.65);
INSERT INTO shoppinglist VALUES (1,16,3, date('2018-08-20'));
INSERT INTO inventory VALUES (3,16, date('2018-08-20'),7,1.6);
INSERT INTO purchase VALUES (2,1,3,16, date('2018-08-20'),3,1.6);
INSERT INTO shoppinglist VALUES (1,9,2, date('2018-08-20'));
INSERT INTO inventory VALUES (17,9, date('2018-08-20'),1,1.25);
INSERT INTO purchase VALUES (3,1,17,9, date('2018-08-20'),2,1.25);
INSERT INTO shoppinglist VALUES (1,25,4, date('2018-08-20'));
INSERT INTO inventory VALUES (32,25, date('2018-08-20'),7,3.95);
INSERT INTO purchase VALUES (4,1,32,25, date('2018-08-20'),4,3.95);
INSERT INTO shoppinglist VALUES (1,21,6, date('2018-08-20'));
INSERT INTO shoppinglist VALUES (1,26,4, date('2018-08-20'));
INSERT INTO inventory VALUES (16,26, date('2018-08-20'),16,2.75);
INSERT INTO purchase VALUES (5,1,16,26, date('2018-08-20'),4,2.75);
INSERT INTO shoppinglist VALUES (1,11,8, date('2018-08-20'));
INSERT INTO inventory VALUES (46,11, date('2018-08-20'),21,0.9);
INSERT INTO purchase VALUES (6,1,46,11, date('2018-08-21'),8,0.9);
INSERT INTO shoppinglist VALUES (1,27,6, date('2018-08-21'));
INSERT INTO inventory VALUES (36,27, date('2018-08-21'),20,9.1);
INSERT INTO purchase VALUES (7,1,36,27, date('2018-08-21'),6,9.1);
INSERT INTO shoppinglist VALUES (2,20,4, date('2018-08-16'));
INSERT INTO inventory VALUES (12,20, date('2018-08-16'),5,2.45);
INSERT INTO purchase VALUES (8,2,12,20, date('2018-08-16'),1,2.45);
INSERT INTO shoppinglist VALUES (2,9,7, date('2018-08-16'));
INSERT INTO inventory VALUES (39,9, date('2018-08-16'),18,1.35);
INSERT INTO purchase VALUES (9,2,39,9, date('2018-08-17'),7,1.35);
INSERT INTO shoppinglist VALUES (2,4,6, date('2018-08-17'));
INSERT INTO inventory VALUES (13,4, date('2018-08-17'),5,1.1);
INSERT INTO purchase VALUES (10,2,13,4, date('2018-08-17'),6,1.1);
INSERT INTO shoppinglist VALUES (2,13,4, date('2018-08-17'));
INSERT INTO inventory VALUES (51,13, date('2018-08-17'),6,3.7);
INSERT INTO purchase VALUES (11,2,51,13, date('2018-08-17'),4,3.7);
INSERT INTO shoppinglist VALUES (2,22,1, date('2018-08-17'));
INSERT INTO inventory VALUES (47,22, date('2018-08-17'),13,1.55);
INSERT INTO purchase VALUES (12,2,47,22, date('2018-08-17'),1,1.55);
INSERT INTO shoppinglist VALUES (3,14,2, date('2018-08-18'));
INSERT INTO inventory VALUES (44,14, date('2018-08-18'),1,4.3);
INSERT INTO purchase VALUES (13,3,44,14, date('2018-08-18'),2,4.3);
INSERT INTO shoppinglist VALUES (3,26,2, date('2018-08-18'));
INSERT INTO inventory VALUES (30,26, date('2018-08-18'),1,2.75);
INSERT INTO purchase VALUES (14,3,30,26, date('2018-08-19'),2,2.75);
INSERT INTO shoppinglist VALUES (3,9,6, date('2018-08-19'));
INSERT INTO inventory VALUES (29,9, date('2018-08-19'),20,1.45);
INSERT INTO purchase VALUES (15,3,29,9, date('2018-08-19'),6,1.45);
INSERT INTO inventory VALUES (17,8, date('2018-08-24'),11,4.15);
INSERT INTO purchase VALUES (16,4,17,8, date('2018-08-24'),2,4.15);
INSERT INTO purchase VALUES (17,4,10,27, date('2018-08-24'),9,9.05);
INSERT INTO inventory VALUES (53,12, date('2018-08-24'),3,13.6);
INSERT INTO purchase VALUES (18,4,53,12, date('2018-08-25'),5,13.6);
INSERT INTO inventory VALUES (21,6, date('2018-08-24'),8,1.05);
INSERT INTO purchase VALUES (19,4,21,6, date('2018-08-24'),2,1.05);
INSERT INTO inventory VALUES (7,13, date('2018-08-24'),18,3.05);
INSERT INTO purchase VALUES (20,4,7,13, date('2018-08-25'),9,3.05);
INSERT INTO inventory VALUES (44,26, date('2018-08-25'),1,2.75);
INSERT INTO purchase VALUES (21,4,44,26, date('2018-08-25'),4,2.75);
INSERT INTO shoppinglist VALUES (5,14,6, date('2018-08-17'));
INSERT INTO inventory VALUES (4,14, date('2018-08-17'),11,4.7);
INSERT INTO purchase VALUES (22,5,4,14, date('2018-08-17'),6,4.7);
INSERT INTO shoppinglist VALUES (5,28,6, date('2018-08-22'));
INSERT INTO inventory VALUES (36,28, date('2018-08-22'),15,8.25);
INSERT INTO purchase VALUES (23,5,36,28, date('2018-08-22'),6,8.25);
INSERT INTO shoppinglist VALUES (5,6,9, date('2018-08-22'));
INSERT INTO inventory VALUES (55,6, date('2018-08-22'),13,1.1);
INSERT INTO purchase VALUES (24,5,55,6, date('2018-08-23'),9,1.1);
INSERT INTO shoppinglist VALUES (5,22,2, date('2018-08-23'));
INSERT INTO inventory VALUES (51,22, date('2018-08-23'),13,1.55);
INSERT INTO purchase VALUES (25,5,51,22, date('2018-08-23'),2,1.55);
INSERT INTO shoppinglist VALUES (5,16,2, date('2018-08-23'));
INSERT INTO inventory VALUES (6,16, date('2018-08-23'),14,1.85);
INSERT INTO purchase VALUES (26,5,6,16, date('2018-08-23'),2,1.85);
INSERT INTO shoppinglist VALUES (5,19,1, date('2018-08-23'));
INSERT INTO inventory VALUES (17,19, date('2018-08-23'),10,2.2);
INSERT INTO purchase VALUES (27,5,17,19, date('2018-08-23'),1,2.2);
INSERT INTO shoppinglist VALUES (7,19,2, date('2018-08-23'));
INSERT INTO inventory VALUES (3,19, date('2018-08-23'),11,2.1);
INSERT INTO purchase VALUES (28,7,3,19, date('2018-08-23'),2,2.1);
INSERT INTO shoppinglist VALUES (7,2,6, date('2018-08-23'));
INSERT INTO inventory VALUES (12,2, date('2018-08-23'),3,1.7);
INSERT INTO purchase VALUES (29,7,12,2, date('2018-08-23'),6,1.7);
INSERT INTO shoppinglist VALUES (7,16,4, date('2018-08-23'));
INSERT INTO inventory VALUES (11,16, date('2018-08-23'),3,1.9);
INSERT INTO purchase VALUES (30,7,11,16, date('2018-08-24'),4,1.9);
INSERT INTO shoppinglist VALUES (7,12,2, date('2018-08-24'));
INSERT INTO inventory VALUES (32,12, date('2018-08-24'),15,10.75);
INSERT INTO purchase VALUES (31,7,32,12, date('2018-08-25'),2,10.75);
INSERT INTO shoppinglist VALUES (7,6,4, date('2018-08-25'));
INSERT INTO inventory VALUES (38,6, date('2018-08-25'),16,1.05);
INSERT INTO purchase VALUES (32,7,38,6, date('2018-08-26'),4,1.05);
INSERT INTO shoppinglist VALUES (7,20,6, date('2018-08-26'));
INSERT INTO inventory VALUES (42,20, date('2018-08-26'),13,2.05);
INSERT INTO purchase VALUES (33,7,42,20, date('2018-08-26'),6,2.05);
INSERT INTO shoppinglist VALUES (8,10,9, date('2018-08-16'));
INSERT INTO shoppinglist VALUES (8,6,7, date('2018-08-16'));
INSERT INTO inventory VALUES (43,6, date('2018-08-16'),9,0.95);
INSERT INTO purchase VALUES (34,8,43,6, date('2018-08-16'),7,0.95);
INSERT INTO shoppinglist VALUES (8,3,7, date('2018-08-16'));
INSERT INTO shoppinglist VALUES (8,8,5, date('2018-08-15'));
INSERT INTO inventory VALUES (51,8, date('2018-08-15'),19,5.3);
INSERT INTO purchase VALUES (35,8,51,8, date('2018-08-16'),5,5.3);
INSERT INTO shoppinglist VALUES (10,24,5, date('2018-08-27'));
INSERT INTO inventory VALUES (34,24, date('2018-08-27'),2,3.2);
INSERT INTO purchase VALUES (36,10,34,24, date('2018-08-27'),5,3.2);
INSERT INTO shoppinglist VALUES (11,14,8, date('2018-08-25'));
INSERT INTO inventory VALUES (0,14, date('2018-08-25'),14,4.1);
INSERT INTO purchase VALUES (37,11,0,14, date('2018-08-25'),8,4.1);
INSERT INTO shoppinglist VALUES (13,0,4, date('2018-08-17'));
INSERT INTO inventory VALUES (33,0, date('2018-08-17'),12,5.35);
INSERT INTO purchase VALUES (38,13,33,0, date('2018-08-17'),5,5.35);
INSERT INTO shoppinglist VALUES (13,4,2, date('2018-08-17'));
INSERT INTO shoppinglist VALUES (13,18,9, date('2018-08-17'));
INSERT INTO shoppinglist VALUES (13,23,6, date('2018-08-17'));
INSERT INTO inventory VALUES (4,23, date('2018-08-17'),5,2.55);
INSERT INTO purchase VALUES (39,13,4,23, date('2018-08-17'),6,2.55);
INSERT INTO shoppinglist VALUES (13,8,3, date('2018-08-17'));
INSERT INTO purchase VALUES (40,13,36,8, date('2018-08-17'),3,5.4);
INSERT INTO shoppinglist VALUES (13,17,5, date('2018-08-25'));
INSERT INTO inventory VALUES (33,17, date('2018-08-25'),14,2);
INSERT INTO purchase VALUES (41,13,33,17, date('2018-08-25'),5,2);
INSERT INTO shoppinglist VALUES (13,19,5, date('2018-08-25'));
INSERT INTO inventory VALUES (50,19, date('2018-08-25'),17,2.4);
INSERT INTO purchase VALUES (42,13,50,19, date('2018-08-25'),5,2.4);
INSERT INTO shoppinglist VALUES (13,10,4, date('2018-08-25'));
INSERT INTO inventory VALUES (28,10, date('2018-08-25'),7,0.4);
INSERT INTO purchase VALUES (43,13,28,10, date('2018-08-25'),4,0.4);
INSERT INTO shoppinglist VALUES (13,3,1, date('2018-08-25'));
INSERT INTO inventory VALUES (4,3, date('2018-08-25'),14,1.7);
INSERT INTO purchase VALUES (44,13,4,3, date('2018-08-25'),1,1.7);
INSERT INTO shoppinglist VALUES (13,21,5, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (13,27,5, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (13,9,3, date('2018-08-25'));
INSERT INTO inventory VALUES (26,9, date('2018-08-25'),9,1.65);
INSERT INTO purchase VALUES (45,13,26,9, date('2018-08-26'),3,1.65);
INSERT INTO shoppinglist VALUES (13,5,6, date('2018-08-26'));
INSERT INTO inventory VALUES (8,5, date('2018-08-26'),8,0.5);
INSERT INTO purchase VALUES (46,13,8,5, date('2018-08-27'),6,0.5);
INSERT INTO shoppinglist VALUES (13,26,6, date('2018-08-27'));
INSERT INTO shoppinglist VALUES (15,11,5, date('2018-08-27'));
INSERT INTO inventory VALUES (25,11, date('2018-08-27'),1,0.9);
INSERT INTO purchase VALUES (47,15,25,11, date('2018-08-27'),5,0.9);
INSERT INTO inventory VALUES (50,0, date('2018-08-24'),3,3.7);
INSERT INTO purchase VALUES (48,16,50,0, date('2018-08-24'),1,3.7);
INSERT INTO inventory VALUES (14,21, date('2018-08-24'),1,2.35);
INSERT INTO purchase VALUES (49,16,14,21, date('2018-08-24'),3,2.35);
INSERT INTO inventory VALUES (22,5, date('2018-08-24'),12,0.55);
INSERT INTO purchase VALUES (50,16,22,5, date('2018-08-25'),7,0.55);
INSERT INTO inventory VALUES (25,22, date('2018-08-25'),3,1.9);
INSERT INTO purchase VALUES (51,16,25,22, date('2018-08-25'),5,1.9);
INSERT INTO inventory VALUES (31,23, date('2018-08-25'),21,2.5);
INSERT INTO purchase VALUES (52,16,31,23, date('2018-08-25'),7,2.5);
INSERT INTO inventory VALUES (27,19, date('2018-08-25'),18,3);
INSERT INTO purchase VALUES (53,16,27,19, date('2018-08-26'),8,3);
INSERT INTO inventory VALUES (55,16, date('2018-08-26'),14,1.85);
INSERT INTO purchase VALUES (54,16,55,16, date('2018-08-27'),8,1.85);
INSERT INTO inventory VALUES (36,13, date('2018-08-18'),9,2.9);
INSERT INTO purchase VALUES (55,16,36,13, date('2018-08-18'),1,2.9);
INSERT INTO purchase VALUES (56,16,13,7, date('2018-08-19'),3,1.8);
INSERT INTO inventory VALUES (26,27, date('2018-08-19'),12,9.25);
INSERT INTO purchase VALUES (57,16,26,27, date('2018-08-19'),2,9.25);
INSERT INTO shoppinglist VALUES (17,14,9, date('2018-08-19'));
INSERT INTO inventory VALUES (51,14, date('2018-08-19'),21,3.8);
INSERT INTO purchase VALUES (58,17,51,14, date('2018-08-19'),9,3.8);
INSERT INTO shoppinglist VALUES (17,10,1, date('2018-08-19'));
INSERT INTO shoppinglist VALUES (17,7,7, date('2018-08-19'));
INSERT INTO inventory VALUES (44,7, date('2018-08-19'),8,1.65);
INSERT INTO purchase VALUES (59,17,44,7, date('2018-08-19'),10,1.65);
INSERT INTO shoppinglist VALUES (18,20,4, date('2018-08-15'));
INSERT INTO inventory VALUES (29,20, date('2018-08-15'),15,2.7);
INSERT INTO purchase VALUES (60,18,29,20, date('2018-08-16'),4,2.7);
INSERT INTO shoppinglist VALUES (18,9,6, date('2018-08-16'));
INSERT INTO inventory VALUES (2,9, date('2018-08-16'),7,1.7);
INSERT INTO purchase VALUES (61,18,2,9, date('2018-08-16'),6,1.7);
INSERT INTO shoppinglist VALUES (18,8,4, date('2018-08-18'));
INSERT INTO inventory VALUES (6,8, date('2018-08-18'),14,4.45);
INSERT INTO purchase VALUES (62,18,6,8, date('2018-08-18'),4,4.45);
INSERT INTO shoppinglist VALUES (18,22,9, date('2018-08-18'));
INSERT INTO shoppinglist VALUES (19,0,1, date('2018-08-17'));
INSERT INTO inventory VALUES (59,0, date('2018-08-17'),1,3.9);
INSERT INTO purchase VALUES (63,19,59,0, date('2018-08-17'),1,3.9);
INSERT INTO shoppinglist VALUES (19,20,1, date('2018-08-17'));
INSERT INTO purchase VALUES (64,19,3,20, date('2018-08-18'),1,2.05);
INSERT INTO shoppinglist VALUES (19,15,1, date('2018-08-18'));
INSERT INTO inventory VALUES (2,15, date('2018-08-18'),10,1.05);
INSERT INTO purchase VALUES (65,19,2,15, date('2018-08-18'),1,1.05);
INSERT INTO shoppinglist VALUES (19,3,4, date('2018-08-18'));
INSERT INTO inventory VALUES (15,3, date('2018-08-18'),15,1.6);
INSERT INTO purchase VALUES (66,19,15,3, date('2018-08-18'),4,1.6);
INSERT INTO shoppinglist VALUES (20,7,9, date('2018-08-17'));
INSERT INTO inventory VALUES (29,7, date('2018-08-17'),14,2);
INSERT INTO purchase VALUES (67,20,29,7, date('2018-08-17'),12,2);
INSERT INTO shoppinglist VALUES (20,0,3, date('2018-08-17'));
INSERT INTO inventory VALUES (21,0, date('2018-08-17'),3,5.4);
INSERT INTO purchase VALUES (68,20,21,0, date('2018-08-18'),3,5.4);
INSERT INTO shoppinglist VALUES (20,27,9, date('2018-08-18'));
INSERT INTO inventory VALUES (40,27, date('2018-08-18'),17,7.1);
INSERT INTO purchase VALUES (69,20,40,27, date('2018-08-18'),9,7.1);
INSERT INTO shoppinglist VALUES (21,26,3, date('2018-08-15'));
INSERT INTO inventory VALUES (1,26, date('2018-08-15'),4,3.45);
INSERT INTO purchase VALUES (70,21,1,26, date('2018-08-15'),3,3.45);
INSERT INTO shoppinglist VALUES (21,23,3, date('2018-08-15'));
INSERT INTO inventory VALUES (2,23, date('2018-08-15'),15,2.4);
INSERT INTO purchase VALUES (71,21,2,23, date('2018-08-16'),3,2.4);
INSERT INTO shoppinglist VALUES (21,27,9, date('2018-08-20'));
INSERT INTO inventory VALUES (47,27, date('2018-08-20'),17,7.05);
INSERT INTO purchase VALUES (72,21,47,27, date('2018-08-21'),9,7.05);
INSERT INTO shoppinglist VALUES (22,14,9, date('2018-08-27'));
INSERT INTO shoppinglist VALUES (22,28,3, date('2018-08-27'));
INSERT INTO inventory VALUES (25,28, date('2018-08-27'),6,8.05);
INSERT INTO purchase VALUES (73,22,25,28, date('2018-08-27'),3,8.05);
INSERT INTO shoppinglist VALUES (22,10,6, date('2018-08-27'));
INSERT INTO inventory VALUES (27,10, date('2018-08-27'),19,0.45);
INSERT INTO purchase VALUES (74,22,27,10, date('2018-08-28'),6,0.45);
INSERT INTO shoppinglist VALUES (24,24,1, date('2018-08-19'));
INSERT INTO inventory VALUES (22,24, date('2018-08-19'),14,3.15);
INSERT INTO purchase VALUES (75,24,22,24, date('2018-08-19'),1,3.15);
INSERT INTO shoppinglist VALUES (24,16,9, date('2018-08-19'));
INSERT INTO inventory VALUES (0,16, date('2018-08-19'),4,1.4);
INSERT INTO purchase VALUES (76,24,0,16, date('2018-08-19'),9,1.4);
INSERT INTO shoppinglist VALUES (24,18,1, date('2018-08-19'));
INSERT INTO inventory VALUES (11,18, date('2018-08-19'),1,11.55);
INSERT INTO purchase VALUES (77,24,11,18, date('2018-08-20'),1,11.55);
INSERT INTO shoppinglist VALUES (24,5,7, date('2018-08-20'));
INSERT INTO inventory VALUES (17,5, date('2018-08-20'),2,0.55);
INSERT INTO purchase VALUES (78,24,17,5, date('2018-08-20'),7,0.55);
INSERT INTO shoppinglist VALUES (24,10,1, date('2018-08-20'));
INSERT INTO inventory VALUES (45,10, date('2018-08-20'),6,0.6);
INSERT INTO purchase VALUES (79,24,45,10, date('2018-08-20'),1,0.6);
INSERT INTO shoppinglist VALUES (24,7,4, date('2018-08-20'));
INSERT INTO inventory VALUES (49,7, date('2018-08-20'),1,2.05);
INSERT INTO purchase VALUES (80,24,49,7, date('2018-08-20'),4,2.05);
INSERT INTO shoppinglist VALUES (24,0,3, date('2018-08-20'));
INSERT INTO inventory VALUES (14,0, date('2018-08-20'),9,4.8);
INSERT INTO purchase VALUES (81,24,14,0, date('2018-08-20'),3,4.8);
INSERT INTO shoppinglist VALUES (24,6,3, date('2018-08-20'));
INSERT INTO inventory VALUES (36,6, date('2018-08-20'),14,1.15);
INSERT INTO purchase VALUES (82,24,36,6, date('2018-08-20'),3,1.15);
INSERT INTO shoppinglist VALUES (24,13,5, date('2018-08-20'));
INSERT INTO inventory VALUES (59,13, date('2018-08-20'),1,4);
INSERT INTO purchase VALUES (83,24,59,13, date('2018-08-21'),5,4);
INSERT INTO shoppinglist VALUES (25,26,9, date('2018-08-27'));
INSERT INTO purchase VALUES (84,25,12,26, date('2018-08-28'),9,2.55);
INSERT INTO shoppinglist VALUES (26,23,6, date('2018-08-23'));
INSERT INTO inventory VALUES (21,23, date('2018-08-23'),20,2.1);
INSERT INTO purchase VALUES (85,26,21,23, date('2018-08-23'),6,2.1);
INSERT INTO shoppinglist VALUES (27,6,1, date('2018-08-25'));
INSERT INTO inventory VALUES (8,6, date('2018-08-25'),2,0.95);
INSERT INTO purchase VALUES (86,27,8,6, date('2018-08-26'),1,0.95);
INSERT INTO shoppinglist VALUES (27,14,4, date('2018-08-26'));
INSERT INTO inventory VALUES (59,14, date('2018-08-26'),10,3.5);
INSERT INTO purchase VALUES (87,27,59,14, date('2018-08-26'),4,3.5);
INSERT INTO shoppinglist VALUES (27,2,6, date('2018-08-26'));
INSERT INTO inventory VALUES (47,2, date('2018-08-26'),14,1.65);
INSERT INTO purchase VALUES (88,27,47,2, date('2018-08-27'),6,1.65);
INSERT INTO shoppinglist VALUES (27,3,8, date('2018-08-16'));
INSERT INTO inventory VALUES (42,3, date('2018-08-16'),13,1.2);
INSERT INTO purchase VALUES (89,27,42,3, date('2018-08-16'),8,1.2);
INSERT INTO shoppinglist VALUES (27,13,9, date('2018-08-16'));
INSERT INTO inventory VALUES (34,13, date('2018-08-16'),10,3.55);
INSERT INTO purchase VALUES (90,27,34,13, date('2018-08-17'),9,3.55);
INSERT INTO shoppinglist VALUES (27,22,4, date('2018-08-17'));
INSERT INTO inventory VALUES (34,22, date('2018-08-17'),1,1.6);
INSERT INTO purchase VALUES (91,27,34,22, date('2018-08-18'),7,1.6);
INSERT INTO shoppinglist VALUES (28,11,2, date('2018-08-27'));
INSERT INTO inventory VALUES (43,11, date('2018-08-27'),13,1.1);
INSERT INTO purchase VALUES (92,28,43,11, date('2018-08-27'),2,1.1);
INSERT INTO shoppinglist VALUES (28,16,8, date('2018-08-27'));
INSERT INTO shoppinglist VALUES (29,7,8, date('2018-08-23'));
INSERT INTO inventory VALUES (43,7, date('2018-08-23'),20,1.95);
INSERT INTO purchase VALUES (93,29,43,7, date('2018-08-24'),8,1.95);
INSERT INTO shoppinglist VALUES (29,21,7, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (29,4,3, date('2018-08-24'));
INSERT INTO inventory VALUES (29,4, date('2018-08-24'),1,0.95);
INSERT INTO purchase VALUES (94,29,29,4, date('2018-08-24'),3,0.95);
INSERT INTO shoppinglist VALUES (30,5,9, date('2018-08-15'));
INSERT INTO purchase VALUES (95,30,9,5, date('2018-08-15'),9,0.6);
INSERT INTO shoppinglist VALUES (30,16,4, date('2018-08-18'));
INSERT INTO inventory VALUES (7,16, date('2018-08-18'),1,1.9);
INSERT INTO purchase VALUES (96,30,7,16, date('2018-08-18'),4,1.9);
INSERT INTO shoppinglist VALUES (30,27,2, date('2018-08-18'));
INSERT INTO shoppinglist VALUES (30,12,8, date('2018-08-18'));
INSERT INTO inventory VALUES (57,12, date('2018-08-18'),16,11.45);
INSERT INTO purchase VALUES (97,30,57,12, date('2018-08-18'),8,11.45);
INSERT INTO shoppinglist VALUES (31,4,9, date('2018-08-27'));
INSERT INTO inventory VALUES (42,4, date('2018-08-27'),11,0.9);
INSERT INTO purchase VALUES (98,31,42,4, date('2018-08-27'),9,0.9);
INSERT INTO shoppinglist VALUES (31,24,4, date('2018-08-27'));
INSERT INTO inventory VALUES (39,24, date('2018-08-27'),1,3.9);
INSERT INTO purchase VALUES (99,31,39,24, date('2018-08-28'),4,3.9);
INSERT INTO shoppinglist VALUES (33,6,6, date('2018-08-26'));
INSERT INTO inventory VALUES (39,6, date('2018-08-26'),20,1.05);
INSERT INTO purchase VALUES (100,33,39,6, date('2018-08-26'),6,1.05);
INSERT INTO shoppinglist VALUES (33,19,4, date('2018-08-26'));
INSERT INTO inventory VALUES (57,19, date('2018-08-26'),9,2.6);
INSERT INTO purchase VALUES (101,33,57,19, date('2018-08-26'),4,2.6);
INSERT INTO shoppinglist VALUES (33,16,1, date('2018-08-26'));
INSERT INTO inventory VALUES (54,16, date('2018-08-26'),6,2.05);
INSERT INTO purchase VALUES (102,33,54,16, date('2018-08-26'),1,2.05);
INSERT INTO shoppinglist VALUES (33,9,9, date('2018-08-26'));
INSERT INTO inventory VALUES (17,9, date('2018-08-26'),19,1.3);
INSERT INTO purchase VALUES (103,33,17,9, date('2018-08-26'),9,1.3);
INSERT INTO shoppinglist VALUES (33,0,6, date('2018-08-26'));
INSERT INTO inventory VALUES (36,0, date('2018-08-26'),13,3.95);
INSERT INTO purchase VALUES (104,33,36,0, date('2018-08-27'),6,3.95);
INSERT INTO shoppinglist VALUES (33,12,9, date('2018-08-27'));
INSERT INTO inventory VALUES (23,12, date('2018-08-27'),17,12.8);
INSERT INTO purchase VALUES (105,33,23,12, date('2018-08-27'),9,12.8);
INSERT INTO shoppinglist VALUES (33,2,3, date('2018-08-16'));
INSERT INTO inventory VALUES (34,2, date('2018-08-16'),6,2.3);
INSERT INTO purchase VALUES (106,33,34,2, date('2018-08-16'),3,2.3);
INSERT INTO shoppinglist VALUES (33,1,6, date('2018-08-16'));
INSERT INTO inventory VALUES (26,1, date('2018-08-16'),9,5.95);
INSERT INTO purchase VALUES (107,33,26,1, date('2018-08-17'),6,5.95);
INSERT INTO shoppinglist VALUES (33,4,2, date('2018-08-17'));
INSERT INTO inventory VALUES (29,4, date('2018-08-17'),15,1.15);
INSERT INTO purchase VALUES (108,33,29,4, date('2018-08-18'),2,1.15);
INSERT INTO shoppinglist VALUES (34,18,7, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (34,26,8, date('2018-08-26'));
INSERT INTO inventory VALUES (26,26, date('2018-08-26'),18,3.45);
INSERT INTO purchase VALUES (109,34,26,26, date('2018-08-26'),8,3.45);
INSERT INTO shoppinglist VALUES (35,24,3, date('2018-08-17'));
INSERT INTO purchase VALUES (110,35,25,24, date('2018-08-18'),3,2.8);
INSERT INTO shoppinglist VALUES (35,28,7, date('2018-08-18'));
INSERT INTO inventory VALUES (34,28, date('2018-08-18'),13,9.45);
INSERT INTO purchase VALUES (111,35,34,28, date('2018-08-18'),7,9.45);
INSERT INTO shoppinglist VALUES (36,11,6, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (36,4,7, date('2018-08-21'));
INSERT INTO inventory VALUES (34,4, date('2018-08-21'),10,1.2);
INSERT INTO shoppinglist VALUES (36,0,7, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (37,19,6, date('2018-08-15'));
INSERT INTO inventory VALUES (46,19, date('2018-08-15'),14,2);
INSERT INTO purchase VALUES (114,37,46,19, date('2018-08-15'),9,2);
INSERT INTO shoppinglist VALUES (37,13,4, date('2018-08-15'));
INSERT INTO inventory VALUES (10,13, date('2018-08-15'),5,2.9);
INSERT INTO purchase VALUES (115,37,10,13, date('2018-08-15'),4,2.9);
INSERT INTO shoppinglist VALUES (38,25,5, date('2018-08-17'));
INSERT INTO inventory VALUES (37,25, date('2018-08-17'),3,4.7);
INSERT INTO purchase VALUES (116,38,37,25, date('2018-08-18'),5,4.7);
INSERT INTO shoppinglist VALUES (38,18,9, date('2018-08-18'));
INSERT INTO shoppinglist VALUES (38,22,7, date('2018-08-18'));
INSERT INTO inventory VALUES (8,22, date('2018-08-18'),17,2.05);
INSERT INTO purchase VALUES (117,38,8,22, date('2018-08-19'),7,2.05);
INSERT INTO shoppinglist VALUES (38,12,2, date('2018-08-15'));
INSERT INTO shoppinglist VALUES (39,18,2, date('2018-08-27'));
INSERT INTO purchase VALUES (118,39,14,18, date('2018-08-28'),1,10.3);
INSERT INTO shoppinglist VALUES (39,19,6, date('2018-08-28'));
INSERT INTO inventory VALUES (4,19, date('2018-08-28'),3,2.5);
INSERT INTO purchase VALUES (119,39,4,19, date('2018-08-28'),6,2.5);
INSERT INTO shoppinglist VALUES (39,23,2, date('2018-08-28'));
INSERT INTO inventory VALUES (53,23, date('2018-08-28'),9,1.85);
INSERT INTO purchase VALUES (120,39,53,23, date('2018-08-29'),2,1.85);
INSERT INTO shoppinglist VALUES (39,15,2, date('2018-08-29'));
INSERT INTO inventory VALUES (30,15, date('2018-08-29'),5,1.4);
INSERT INTO purchase VALUES (121,39,30,15, date('2018-08-29'),2,1.4);
INSERT INTO shoppinglist VALUES (39,22,2, date('2018-08-29'));
INSERT INTO inventory VALUES (11,22, date('2018-08-29'),6,1.6);
INSERT INTO purchase VALUES (122,39,11,22, date('2018-08-29'),1,1.6);
INSERT INTO shoppinglist VALUES (39,28,3, date('2018-08-29'));
INSERT INTO inventory VALUES (21,28, date('2018-08-29'),17,7.05);
INSERT INTO purchase VALUES (123,39,21,28, date('2018-08-29'),3,7.05);
INSERT INTO shoppinglist VALUES (40,28,9, date('2018-08-16'));
INSERT INTO inventory VALUES (52,28, date('2018-08-16'),11,9.6);
INSERT INTO purchase VALUES (124,40,52,28, date('2018-08-16'),9,9.6);
INSERT INTO shoppinglist VALUES (40,16,2, date('2018-08-16'));
INSERT INTO inventory VALUES (40,16, date('2018-08-16'),8,1.9);
INSERT INTO purchase VALUES (125,40,40,16, date('2018-08-16'),2,1.9);
INSERT INTO shoppinglist VALUES (40,19,5, date('2018-08-16'));
INSERT INTO inventory VALUES (56,19, date('2018-08-16'),1,2.25);
INSERT INTO purchase VALUES (126,40,56,19, date('2018-08-17'),5,2.25);
INSERT INTO shoppinglist VALUES (40,14,6, date('2018-08-23'));
INSERT INTO inventory VALUES (40,14, date('2018-08-23'),3,4.1);
INSERT INTO purchase VALUES (127,40,40,14, date('2018-08-23'),6,4.1);
INSERT INTO shoppinglist VALUES (41,24,9, date('2018-08-19'));
INSERT INTO inventory VALUES (33,24, date('2018-08-19'),9,3.2);
INSERT INTO purchase VALUES (128,41,33,24, date('2018-08-19'),12,3.2);
INSERT INTO shoppinglist VALUES (41,3,3, date('2018-08-23'));
INSERT INTO inventory VALUES (3,3, date('2018-08-23'),17,1.35);
INSERT INTO purchase VALUES (129,41,3,3, date('2018-08-23'),3,1.35);
INSERT INTO shoppinglist VALUES (42,6,4, date('2018-08-15'));
INSERT INTO inventory VALUES (46,6, date('2018-08-15'),4,1.2);
INSERT INTO purchase VALUES (130,42,46,6, date('2018-08-15'),4,1.2);
INSERT INTO shoppinglist VALUES (42,21,6, date('2018-08-18'));
INSERT INTO inventory VALUES (45,21, date('2018-08-18'),8,1.9);
INSERT INTO purchase VALUES (131,42,45,21, date('2018-08-18'),6,1.9);
INSERT INTO shoppinglist VALUES (43,13,3, date('2018-08-16'));
INSERT INTO inventory VALUES (40,13, date('2018-08-16'),6,2.9);
INSERT INTO purchase VALUES (132,43,40,13, date('2018-08-17'),3,2.9);
INSERT INTO shoppinglist VALUES (43,16,6, date('2018-08-17'));
INSERT INTO shoppinglist VALUES (43,6,7, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (43,19,1, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (43,22,4, date('2018-08-23'));
INSERT INTO inventory VALUES (16,22, date('2018-08-23'),14,1.6);
INSERT INTO purchase VALUES (133,43,16,22, date('2018-08-23'),4,1.6);
INSERT INTO shoppinglist VALUES (43,14,8, date('2018-08-23'));
INSERT INTO inventory VALUES (50,14, date('2018-08-23'),19,3.85);
INSERT INTO purchase VALUES (134,43,50,14, date('2018-08-23'),7,3.85);
INSERT INTO shoppinglist VALUES (43,27,4, date('2018-08-23'));
INSERT INTO inventory VALUES (40,27, date('2018-08-23'),17,6.9);
INSERT INTO purchase VALUES (135,43,40,27, date('2018-08-24'),4,6.9);
INSERT INTO inventory VALUES (42,25, date('2018-08-25'),10,4.7);
INSERT INTO purchase VALUES (136,44,42,25, date('2018-08-25'),4,4.7);
INSERT INTO purchase VALUES (137,44,5,24, date('2018-08-26'),6,3.6);
INSERT INTO inventory VALUES (32,19, date('2018-08-26'),5,2.85);
INSERT INTO purchase VALUES (138,44,32,19, date('2018-08-26'),3,2.85);
INSERT INTO shoppinglist VALUES (45,22,4, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (45,8,3, date('2018-08-23'));
INSERT INTO inventory VALUES (33,8, date('2018-08-23'),16,4.8);
INSERT INTO purchase VALUES (139,45,33,8, date('2018-08-24'),3,4.8);
INSERT INTO shoppinglist VALUES (45,23,7, date('2018-08-16'));
INSERT INTO inventory VALUES (38,23, date('2018-08-16'),21,1.8);
INSERT INTO purchase VALUES (140,45,38,23, date('2018-08-16'),7,1.8);
INSERT INTO shoppinglist VALUES (46,15,7, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (46,14,9, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (46,3,7, date('2018-08-26'));
INSERT INTO inventory VALUES (4,3, date('2018-08-26'),5,1.8);
INSERT INTO shoppinglist VALUES (46,12,9, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (46,8,3, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (46,6,5, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (46,21,7, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (47,16,7, date('2018-08-17'));
INSERT INTO inventory VALUES (20,16, date('2018-08-17'),21,2.1);
INSERT INTO purchase VALUES (148,47,20,16, date('2018-08-17'),7,2.1);
INSERT INTO shoppinglist VALUES (50,8,2, date('2018-08-27'));
INSERT INTO shoppinglist VALUES (50,17,8, date('2018-08-27'));
INSERT INTO inventory VALUES (26,17, date('2018-08-27'),19,1.9);
INSERT INTO shoppinglist VALUES (50,10,3, date('2018-08-27'));
INSERT INTO inventory VALUES (43,10, date('2018-08-27'),12,0.5);
INSERT INTO shoppinglist VALUES (50,25,8, date('2018-08-18'));
INSERT INTO inventory VALUES (17,25, date('2018-08-18'),3,4.65);
INSERT INTO shoppinglist VALUES (50,26,3, date('2018-08-18'));
INSERT INTO inventory VALUES (59,26, date('2018-08-18'),4,3);
INSERT INTO shoppinglist VALUES (51,17,7, date('2018-08-18'));
INSERT INTO inventory VALUES (12,17, date('2018-08-18'),20,2.3);
INSERT INTO purchase VALUES (154,51,12,17, date('2018-08-19'),7,2.3);
INSERT INTO shoppinglist VALUES (51,13,3, date('2018-08-19'));
INSERT INTO inventory VALUES (4,13, date('2018-08-19'),15,2.85);
INSERT INTO purchase VALUES (155,51,4,13, date('2018-08-19'),3,2.85);
INSERT INTO shoppinglist VALUES (51,18,3, date('2018-08-19'));
INSERT INTO purchase VALUES (156,51,13,18, date('2018-08-19'),3,10.6);
INSERT INTO shoppinglist VALUES (51,8,3, date('2018-08-25'));
INSERT INTO inventory VALUES (18,8, date('2018-08-25'),12,4.25);
INSERT INTO purchase VALUES (157,51,18,8, date('2018-08-26'),3,4.25);
INSERT INTO shoppinglist VALUES (51,3,5, date('2018-08-26'));
INSERT INTO purchase VALUES (158,51,13,3, date('2018-08-26'),5,1.3);
INSERT INTO shoppinglist VALUES (51,10,8, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (52,5,4, date('2018-08-24'));
INSERT INTO inventory VALUES (2,5, date('2018-08-24'),7,0.5);
INSERT INTO purchase VALUES (159,52,2,5, date('2018-08-25'),6,0.5);
INSERT INTO shoppinglist VALUES (52,4,4, date('2018-08-25'));
INSERT INTO inventory VALUES (3,4, date('2018-08-25'),8,0.9);
INSERT INTO purchase VALUES (160,52,3,4, date('2018-08-25'),3,0.9);
INSERT INTO shoppinglist VALUES (52,12,6, date('2018-08-25'));
INSERT INTO inventory VALUES (27,12, date('2018-08-25'),5,13.8);
INSERT INTO purchase VALUES (161,52,27,12, date('2018-08-25'),6,13.8);
INSERT INTO shoppinglist VALUES (55,9,1, date('2018-08-16'));
INSERT INTO shoppinglist VALUES (55,24,3, date('2018-08-16'));
INSERT INTO inventory VALUES (45,24, date('2018-08-16'),1,3.45);
INSERT INTO purchase VALUES (162,55,45,24, date('2018-08-16'),3,3.45);
INSERT INTO shoppinglist VALUES (55,5,8, date('2018-08-16'));
INSERT INTO inventory VALUES (19,5, date('2018-08-16'),16,0.5);
INSERT INTO purchase VALUES (163,55,19,5, date('2018-08-17'),8,0.5);
INSERT INTO shoppinglist VALUES (57,8,2, date('2018-08-18'));
INSERT INTO purchase VALUES (164,57,6,8, date('2018-08-18'),2,4.45);
INSERT INTO shoppinglist VALUES (57,22,6, date('2018-08-18'));
INSERT INTO inventory VALUES (29,22, date('2018-08-18'),8,1.5);
INSERT INTO purchase VALUES (165,57,29,22, date('2018-08-19'),6,1.5);
INSERT INTO shoppinglist VALUES (57,11,7, date('2018-08-16'));
INSERT INTO inventory VALUES (22,11, date('2018-08-16'),14,0.8);
INSERT INTO purchase VALUES (166,57,22,11, date('2018-08-16'),7,0.8);
INSERT INTO shoppinglist VALUES (58,5,9, date('2018-08-26'));
INSERT INTO purchase VALUES (167,58,16,5, date('2018-08-27'),9,0.55);
INSERT INTO shoppinglist VALUES (58,9,9, date('2018-08-20'));
INSERT INTO inventory VALUES (42,9, date('2018-08-20'),15,1.3);
INSERT INTO purchase VALUES (168,58,42,9, date('2018-08-21'),9,1.3);
INSERT INTO shoppinglist VALUES (59,22,1, date('2018-08-22'));
INSERT INTO inventory VALUES (46,22, date('2018-08-22'),10,1.7);
INSERT INTO purchase VALUES (169,59,46,22, date('2018-08-23'),1,1.7);
INSERT INTO shoppinglist VALUES (59,13,7, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (59,19,6, date('2018-08-23'));
INSERT INTO inventory VALUES (44,19, date('2018-08-23'),4,2.65);
INSERT INTO purchase VALUES (170,59,44,19, date('2018-08-23'),6,2.65);
INSERT INTO shoppinglist VALUES (59,27,9, date('2018-08-23'));
INSERT INTO purchase VALUES (171,59,58,27, date('2018-08-23'),13,6.45);
INSERT INTO shoppinglist VALUES (59,15,1, date('2018-08-23'));
INSERT INTO inventory VALUES (12,15, date('2018-08-23'),1,1.25);
INSERT INTO purchase VALUES (172,59,12,15, date('2018-08-23'),1,1.25);
INSERT INTO shoppinglist VALUES (59,14,9, date('2018-08-23'));
INSERT INTO inventory VALUES (11,14, date('2018-08-23'),12,3.2);
INSERT INTO purchase VALUES (173,59,11,14, date('2018-08-24'),9,3.2);
INSERT INTO shoppinglist VALUES (59,4,5, date('2018-08-24'));
INSERT INTO inventory VALUES (47,4, date('2018-08-24'),13,1.05);
INSERT INTO purchase VALUES (174,59,47,4, date('2018-08-25'),5,1.05);
INSERT INTO shoppinglist VALUES (59,1,5, date('2018-08-25'));
INSERT INTO inventory VALUES (47,1, date('2018-08-25'),7,5.85);
INSERT INTO purchase VALUES (175,59,47,1, date('2018-08-26'),5,5.85);
INSERT INTO shoppinglist VALUES (59,21,6, date('2018-08-15'));
INSERT INTO inventory VALUES (59,21, date('2018-08-15'),5,2.2);
INSERT INTO purchase VALUES (176,59,59,21, date('2018-08-15'),6,2.2);
INSERT INTO shoppinglist VALUES (59,9,1, date('2018-08-15'));
INSERT INTO inventory VALUES (42,9, date('2018-08-15'),10,1.75);
INSERT INTO purchase VALUES (177,59,42,9, date('2018-08-16'),3,1.75);
INSERT INTO inventory VALUES (36,24, date('2018-08-22'),4,4.1);
INSERT INTO purchase VALUES (178,60,36,24, date('2018-08-22'),3,4.1);
INSERT INTO inventory VALUES (27,22, date('2018-08-22'),3,1.6);
INSERT INTO purchase VALUES (179,60,27,22, date('2018-08-22'),6,1.6);
INSERT INTO inventory VALUES (30,28, date('2018-08-22'),6,8.9);
INSERT INTO purchase VALUES (180,60,30,28, date('2018-08-23'),6,8.9);
INSERT INTO shoppinglist VALUES (62,5,9, date('2018-08-15'));
INSERT INTO inventory VALUES (36,5, date('2018-08-15'),23,0.55);
INSERT INTO shoppinglist VALUES (63,27,8, date('2018-08-17'));
INSERT INTO inventory VALUES (20,27, date('2018-08-17'),17,6.85);
INSERT INTO purchase VALUES (182,63,20,27, date('2018-08-17'),8,6.85);
INSERT INTO shoppinglist VALUES (64,9,7, date('2018-08-22'));
INSERT INTO purchase VALUES (183,64,29,9, date('2018-08-23'),11,1.25);
INSERT INTO shoppinglist VALUES (64,16,5, date('2018-08-23'));
INSERT INTO inventory VALUES (5,16, date('2018-08-23'),4,1.65);
INSERT INTO purchase VALUES (184,64,5,16, date('2018-08-24'),5,1.65);
INSERT INTO shoppinglist VALUES (66,9,8, date('2018-08-16'));
INSERT INTO inventory VALUES (11,9, date('2018-08-16'),14,1.6);
INSERT INTO purchase VALUES (185,66,11,9, date('2018-08-16'),9,1.6);
INSERT INTO shoppinglist VALUES (66,24,5, date('2018-08-16'));
INSERT INTO inventory VALUES (10,24, date('2018-08-16'),15,3.65);
INSERT INTO purchase VALUES (186,66,10,24, date('2018-08-16'),5,3.65);
INSERT INTO shoppinglist VALUES (66,0,5, date('2018-08-16'));
INSERT INTO inventory VALUES (44,0, date('2018-08-16'),11,5.4);
INSERT INTO purchase VALUES (187,66,44,0, date('2018-08-17'),8,5.4);
INSERT INTO shoppinglist VALUES (67,3,1, date('2018-08-27'));
INSERT INTO inventory VALUES (44,3, date('2018-08-27'),7,1.4);
INSERT INTO purchase VALUES (188,67,44,3, date('2018-08-27'),1,1.4);
INSERT INTO shoppinglist VALUES (67,13,4, date('2018-08-27'));
INSERT INTO inventory VALUES (9,13, date('2018-08-27'),3,3.85);
INSERT INTO purchase VALUES (189,67,9,13, date('2018-08-27'),4,3.85);
INSERT INTO shoppinglist VALUES (67,11,4, date('2018-08-27'));
INSERT INTO purchase VALUES (190,67,43,11, date('2018-08-27'),4,1.1);
INSERT INTO shoppinglist VALUES (68,11,6, date('2018-08-20'));
INSERT INTO inventory VALUES (49,11, date('2018-08-20'),20,1.15);
INSERT INTO purchase VALUES (191,68,49,11, date('2018-08-21'),6,1.15);
INSERT INTO shoppinglist VALUES (68,19,2, date('2018-08-24'));
INSERT INTO inventory VALUES (49,19, date('2018-08-24'),8,2.95);
INSERT INTO purchase VALUES (192,68,49,19, date('2018-08-25'),2,2.95);
INSERT INTO shoppinglist VALUES (68,20,3, date('2018-08-25'));
INSERT INTO inventory VALUES (29,20, date('2018-08-25'),9,2.3);
INSERT INTO purchase VALUES (193,68,29,20, date('2018-08-26'),3,2.3);
INSERT INTO shoppinglist VALUES (68,7,3, date('2018-08-26'));
INSERT INTO inventory VALUES (20,7, date('2018-08-26'),16,1.65);
INSERT INTO purchase VALUES (194,68,20,7, date('2018-08-27'),3,1.65);
INSERT INTO inventory VALUES (25,1, date('2018-08-27'),17,6.05);
INSERT INTO purchase VALUES (195,69,25,1, date('2018-08-28'),8,6.05);
INSERT INTO shoppinglist VALUES (70,20,7, date('2018-08-25'));
INSERT INTO inventory VALUES (1,20, date('2018-08-25'),3,2.05);
INSERT INTO purchase VALUES (196,70,1,20, date('2018-08-25'),7,2.05);
INSERT INTO shoppinglist VALUES (70,28,4, date('2018-08-25'));
INSERT INTO inventory VALUES (54,28, date('2018-08-25'),13,9.7);
INSERT INTO purchase VALUES (197,70,54,28, date('2018-08-25'),4,9.7);
INSERT INTO shoppinglist VALUES (71,14,3, date('2018-08-24'));
INSERT INTO inventory VALUES (39,14, date('2018-08-24'),10,4.5);
INSERT INTO purchase VALUES (198,71,39,14, date('2018-08-24'),3,4.5);
INSERT INTO shoppinglist VALUES (71,18,7, date('2018-08-24'));
INSERT INTO inventory VALUES (42,18, date('2018-08-24'),19,10.5);
INSERT INTO purchase VALUES (199,71,42,18, date('2018-08-24'),7,10.5);
INSERT INTO shoppinglist VALUES (71,28,8, date('2018-08-24'));
INSERT INTO inventory VALUES (55,28, date('2018-08-24'),15,7.25);
INSERT INTO purchase VALUES (200,71,55,28, date('2018-08-24'),8,7.25);
INSERT INTO shoppinglist VALUES (72,20,5, date('2018-08-20'));
INSERT INTO inventory VALUES (7,20, date('2018-08-20'),2,2.1);
INSERT INTO purchase VALUES (201,72,7,20, date('2018-08-20'),5,2.1);
INSERT INTO shoppinglist VALUES (72,5,9, date('2018-08-20'));
INSERT INTO inventory VALUES (25,5, date('2018-08-20'),5,0.4);
INSERT INTO purchase VALUES (202,72,25,5, date('2018-08-21'),9,0.4);
INSERT INTO shoppinglist VALUES (72,16,7, date('2018-08-22'));
INSERT INTO inventory VALUES (10,16, date('2018-08-22'),2,1.5);
INSERT INTO purchase VALUES (203,72,10,16, date('2018-08-22'),7,1.5);
INSERT INTO shoppinglist VALUES (72,10,5, date('2018-08-22'));
INSERT INTO inventory VALUES (54,10, date('2018-08-22'),4,0.5);
INSERT INTO purchase VALUES (204,72,54,10, date('2018-08-22'),5,0.5);
INSERT INTO shoppinglist VALUES (73,19,3, date('2018-08-17'));
INSERT INTO inventory VALUES (12,19, date('2018-08-17'),1,2.35);
INSERT INTO shoppinglist VALUES (74,23,5, date('2018-08-19'));
INSERT INTO shoppinglist VALUES (74,20,4, date('2018-08-16'));
INSERT INTO shoppinglist VALUES (74,15,7, date('2018-08-16'));
INSERT INTO inventory VALUES (56,15, date('2018-08-16'),16,1.1);
INSERT INTO inventory VALUES (7,14, date('2018-08-19'),7,4.25);
INSERT INTO purchase VALUES (209,75,7,14, date('2018-08-19'),6,4.25);
INSERT INTO inventory VALUES (19,24, date('2018-08-19'),16,4.05);
INSERT INTO purchase VALUES (210,75,19,24, date('2018-08-19'),7,4.05);
INSERT INTO inventory VALUES (30,17, date('2018-08-19'),22,2.3);
INSERT INTO purchase VALUES (211,75,30,17, date('2018-08-19'),9,2.3);
INSERT INTO shoppinglist VALUES (76,25,1, date('2018-08-26'));
INSERT INTO inventory VALUES (21,25, date('2018-08-26'),6,3.3);
INSERT INTO purchase VALUES (212,76,21,25, date('2018-08-26'),1,3.3);
INSERT INTO shoppinglist VALUES (77,5,3, date('2018-08-23'));
INSERT INTO inventory VALUES (1,5, date('2018-08-23'),2,0.45);
INSERT INTO purchase VALUES (213,77,1,5, date('2018-08-23'),3,0.45);
INSERT INTO purchase VALUES (214,78,21,0, date('2018-08-17'),4,5.4);
INSERT INTO inventory VALUES (56,13, date('2018-08-17'),2,4.15);
INSERT INTO purchase VALUES (215,78,56,13, date('2018-08-18'),5,4.15);
INSERT INTO shoppinglist VALUES (80,8,9, date('2018-08-15'));
INSERT INTO inventory VALUES (8,8, date('2018-08-15'),9,5.55);
INSERT INTO purchase VALUES (216,80,8,8, date('2018-08-16'),9,5.55);
INSERT INTO shoppinglist VALUES (82,15,4, date('2018-08-19'));
INSERT INTO shoppinglist VALUES (82,21,2, date('2018-08-19'));
INSERT INTO inventory VALUES (12,21, date('2018-08-19'),3,2.05);
INSERT INTO purchase VALUES (217,82,12,21, date('2018-08-19'),2,2.05);
INSERT INTO shoppinglist VALUES (82,9,6, date('2018-08-19'));
INSERT INTO purchase VALUES (218,82,52,9, date('2018-08-19'),6,1.65);
INSERT INTO shoppinglist VALUES (82,13,4, date('2018-08-19'));
INSERT INTO purchase VALUES (219,82,13,13, date('2018-08-20'),4,4);
INSERT INTO shoppinglist VALUES (82,10,1, date('2018-08-20'));
INSERT INTO inventory VALUES (5,10, date('2018-08-20'),11,0.5);
INSERT INTO purchase VALUES (220,82,5,10, date('2018-08-21'),1,0.5);
INSERT INTO shoppinglist VALUES (82,17,2, date('2018-08-21'));
INSERT INTO inventory VALUES (34,17, date('2018-08-21'),7,1.75);
INSERT INTO purchase VALUES (221,82,34,17, date('2018-08-21'),2,1.75);
INSERT INTO shoppinglist VALUES (82,14,3, date('2018-08-21'));
INSERT INTO inventory VALUES (28,14, date('2018-08-21'),1,3.95);
INSERT INTO purchase VALUES (222,82,28,14, date('2018-08-22'),3,3.95);
INSERT INTO shoppinglist VALUES (82,18,1, date('2018-08-22'));
INSERT INTO inventory VALUES (44,18, date('2018-08-22'),14,12);
INSERT INTO purchase VALUES (223,82,44,18, date('2018-08-23'),1,12);
INSERT INTO shoppinglist VALUES (82,28,2, date('2018-08-23'));
INSERT INTO inventory VALUES (52,28, date('2018-08-23'),8,7.35);
INSERT INTO purchase VALUES (224,82,52,28, date('2018-08-23'),2,7.35);
INSERT INTO shoppinglist VALUES (82,16,2, date('2018-08-22'));
INSERT INTO inventory VALUES (15,16, date('2018-08-22'),8,1.95);
INSERT INTO purchase VALUES (225,82,15,16, date('2018-08-23'),2,1.95);
INSERT INTO shoppinglist VALUES (82,12,8, date('2018-08-23'));
INSERT INTO inventory VALUES (5,12, date('2018-08-23'),11,13.4);
INSERT INTO purchase VALUES (226,82,5,12, date('2018-08-24'),8,13.4);
INSERT INTO shoppinglist VALUES (82,0,3, date('2018-08-24'));
INSERT INTO inventory VALUES (42,0, date('2018-08-24'),12,5);
INSERT INTO purchase VALUES (227,82,42,0, date('2018-08-25'),3,5);
INSERT INTO shoppinglist VALUES (83,26,5, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (84,25,2, date('2018-08-20'));
INSERT INTO inventory VALUES (18,25, date('2018-08-20'),1,4.3);
INSERT INTO purchase VALUES (228,84,18,25, date('2018-08-21'),2,4.3);
INSERT INTO shoppinglist VALUES (84,19,9, date('2018-08-21'));
INSERT INTO inventory VALUES (18,19, date('2018-08-21'),6,2.4);
INSERT INTO purchase VALUES (228,84,18,19, date('2018-08-21'),6,2.4);
INSERT INTO shoppinglist VALUES (85,4,1, date('2018-08-18'));
INSERT INTO inventory VALUES (19,4, date('2018-08-18'),15,0.85);
INSERT INTO purchase VALUES (229,85,19,4, date('2018-08-18'),1,0.85);
INSERT INTO shoppinglist VALUES (85,2,1, date('2018-08-18'));
INSERT INTO inventory VALUES (37,2, date('2018-08-18'),1,2.25);
INSERT INTO purchase VALUES (230,85,37,2, date('2018-08-19'),2,2.25);
INSERT INTO shoppinglist VALUES (86,22,1, date('2018-08-16'));
INSERT INTO shoppinglist VALUES (86,26,3, date('2018-08-16'));
INSERT INTO inventory VALUES (7,26, date('2018-08-16'),10,2.8);
INSERT INTO purchase VALUES (231,86,7,26, date('2018-08-17'),3,2.8);
INSERT INTO shoppinglist VALUES (86,17,7, date('2018-08-17'));
INSERT INTO inventory VALUES (23,17, date('2018-08-17'),4,2.15);
INSERT INTO purchase VALUES (232,86,23,17, date('2018-08-17'),7,2.15);
INSERT INTO shoppinglist VALUES (86,16,1, date('2018-08-17'));
INSERT INTO inventory VALUES (40,16, date('2018-08-17'),1,1.55);
INSERT INTO purchase VALUES (233,86,40,16, date('2018-08-17'),1,1.55);
INSERT INTO shoppinglist VALUES (86,28,6, date('2018-08-17'));
INSERT INTO purchase VALUES (234,86,20,28, date('2018-08-17'),6,8.6);
INSERT INTO shoppinglist VALUES (86,21,2, date('2018-08-17'));
INSERT INTO inventory VALUES (46,21, date('2018-08-17'),1,2.3);
INSERT INTO purchase VALUES (235,86,46,21, date('2018-08-18'),2,2.3);
INSERT INTO shoppinglist VALUES (86,3,1, date('2018-08-18'));
INSERT INTO inventory VALUES (8,3, date('2018-08-18'),8,1.4);
INSERT INTO purchase VALUES (236,86,8,3, date('2018-08-18'),1,1.4);
INSERT INTO shoppinglist VALUES (86,19,7, date('2018-08-18'));
INSERT INTO inventory VALUES (28,19, date('2018-08-18'),17,2.8);
INSERT INTO purchase VALUES (237,86,28,19, date('2018-08-19'),7,2.8);
INSERT INTO shoppinglist VALUES (87,0,4, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (87,15,3, date('2018-08-24'));
INSERT INTO inventory VALUES (23,15, date('2018-08-24'),3,1.05);
INSERT INTO shoppinglist VALUES (88,14,1, date('2018-08-24'));
INSERT INTO inventory VALUES (14,14, date('2018-08-24'),1,4.45);
INSERT INTO purchase VALUES (240,88,14,14, date('2018-08-25'),1,4.45);
INSERT INTO shoppinglist VALUES (90,9,3, date('2018-08-19'));
INSERT INTO inventory VALUES (7,9, date('2018-08-19'),14,1.4);
INSERT INTO purchase VALUES (241,90,7,9, date('2018-08-19'),3,1.4);
INSERT INTO shoppinglist VALUES (91,13,9, date('2018-08-25'));
INSERT INTO inventory VALUES (46,13, date('2018-08-25'),10,3.5);
INSERT INTO purchase VALUES (242,91,46,13, date('2018-08-25'),9,3.5);
INSERT INTO shoppinglist VALUES (91,6,7, date('2018-08-25'));
INSERT INTO inventory VALUES (30,6, date('2018-08-25'),16,0.9);
INSERT INTO purchase VALUES (243,91,30,6, date('2018-08-26'),7,0.9);
INSERT INTO shoppinglist VALUES (91,21,7, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (91,12,2, date('2018-08-26'));
INSERT INTO inventory VALUES (27,12, date('2018-08-26'),2,12.65);
INSERT INTO purchase VALUES (244,91,27,12, date('2018-08-26'),2,12.65);
INSERT INTO shoppinglist VALUES (91,24,1, date('2018-08-26'));
INSERT INTO inventory VALUES (9,24, date('2018-08-26'),1,3.4);
INSERT INTO purchase VALUES (245,91,9,24, date('2018-08-27'),1,3.4);
INSERT INTO shoppinglist VALUES (91,2,6, date('2018-08-27'));
INSERT INTO inventory VALUES (47,2, date('2018-08-27'),5,2);
INSERT INTO purchase VALUES (246,91,47,2, date('2018-08-27'),6,2);
INSERT INTO shoppinglist VALUES (91,15,4, date('2018-08-27'));
INSERT INTO inventory VALUES (0,15, date('2018-08-27'),13,1.2);
INSERT INTO purchase VALUES (247,91,0,15, date('2018-08-27'),4,1.2);
INSERT INTO shoppinglist VALUES (92,21,6, date('2018-08-24'));
INSERT INTO inventory VALUES (55,21, date('2018-08-24'),9,2.05);
INSERT INTO purchase VALUES (248,92,55,21, date('2018-08-25'),6,2.05);
INSERT INTO shoppinglist VALUES (92,8,4, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (92,26,5, date('2018-08-25'));
INSERT INTO inventory VALUES (35,26, date('2018-08-25'),9,2.45);
INSERT INTO purchase VALUES (249,92,35,26, date('2018-08-25'),5,2.45);
INSERT INTO shoppinglist VALUES (92,27,5, date('2018-08-25'));
INSERT INTO inventory VALUES (54,27, date('2018-08-25'),14,7.7);
INSERT INTO purchase VALUES (250,92,54,27, date('2018-08-26'),5,7.7);
INSERT INTO shoppinglist VALUES (92,14,6, date('2018-08-26'));
INSERT INTO inventory VALUES (3,14, date('2018-08-26'),10,4.5);
INSERT INTO purchase VALUES (251,92,3,14, date('2018-08-27'),6,4.5);
INSERT INTO shoppinglist VALUES (92,1,5, date('2018-08-27'));
INSERT INTO inventory VALUES (50,1, date('2018-08-27'),17,5.35);
INSERT INTO purchase VALUES (252,92,50,1, date('2018-08-27'),5,5.35);
INSERT INTO shoppinglist VALUES (94,20,3, date('2018-08-16'));
INSERT INTO inventory VALUES (29,20, date('2018-08-16'),10,2.1);
INSERT INTO purchase VALUES (253,94,29,20, date('2018-08-17'),3,2.1);
INSERT INTO shoppinglist VALUES (94,25,5, date('2018-08-17'));
INSERT INTO inventory VALUES (21,25, date('2018-08-17'),4,4.3);
INSERT INTO purchase VALUES (254,94,21,25, date('2018-08-17'),5,4.3);
INSERT INTO shoppinglist VALUES (94,13,9, date('2018-08-17'));
INSERT INTO shoppinglist VALUES (95,24,6, date('2018-08-22'));
INSERT INTO inventory VALUES (30,24, date('2018-08-22'),12,3.75);
INSERT INTO purchase VALUES (255,95,30,24, date('2018-08-22'),6,3.75);
INSERT INTO shoppinglist VALUES (95,20,7, date('2018-08-22'));
INSERT INTO inventory VALUES (38,20, date('2018-08-22'),4,2.4);
INSERT INTO purchase VALUES (256,95,38,20, date('2018-08-23'),7,2.4);
INSERT INTO shoppinglist VALUES (95,13,4, date('2018-08-23'));
INSERT INTO inventory VALUES (12,13, date('2018-08-23'),15,3.55);
INSERT INTO purchase VALUES (257,95,12,13, date('2018-08-24'),4,3.55);
INSERT INTO shoppinglist VALUES (95,25,5, date('2018-08-24'));
INSERT INTO inventory VALUES (38,25, date('2018-08-24'),4,3.95);
INSERT INTO purchase VALUES (258,95,38,25, date('2018-08-24'),5,3.95);
INSERT INTO shoppinglist VALUES (95,0,5, date('2018-08-24'));
INSERT INTO inventory VALUES (3,0, date('2018-08-24'),18,4.85);
INSERT INTO purchase VALUES (259,95,3,0, date('2018-08-24'),5,4.85);
INSERT INTO shoppinglist VALUES (96,3,1, date('2018-08-16'));
INSERT INTO inventory VALUES (13,3, date('2018-08-16'),7,1.3);
INSERT INTO purchase VALUES (260,96,13,3, date('2018-08-16'),1,1.3);
INSERT INTO shoppinglist VALUES (96,24,5, date('2018-08-21'));
INSERT INTO inventory VALUES (11,24, date('2018-08-21'),3,3.2);
INSERT INTO purchase VALUES (261,96,11,24, date('2018-08-21'),3,3.2);
INSERT INTO shoppinglist VALUES (96,13,9, date('2018-08-21'));
INSERT INTO inventory VALUES (28,13, date('2018-08-21'),19,3.25);
INSERT INTO purchase VALUES (262,96,28,13, date('2018-08-22'),9,3.25);
INSERT INTO shoppinglist VALUES (97,15,3, date('2018-08-24'));
INSERT INTO inventory VALUES (47,15, date('2018-08-24'),1,1.1);
INSERT INTO purchase VALUES (263,97,47,15, date('2018-08-25'),3,1.1);
INSERT INTO shoppinglist VALUES (97,21,8, date('2018-08-25'));
INSERT INTO inventory VALUES (54,21, date('2018-08-25'),22,2.2);
INSERT INTO purchase VALUES (264,97,54,21, date('2018-08-25'),8,2.2);
INSERT INTO shoppinglist VALUES (97,22,4, date('2018-08-25'));
INSERT INTO purchase VALUES (265,97,18,22, date('2018-08-25'),4,2.05);
INSERT INTO shoppinglist VALUES (97,2,9, date('2018-08-25'));
INSERT INTO inventory VALUES (26,2, date('2018-08-25'),23,1.95);
INSERT INTO purchase VALUES (266,97,26,2, date('2018-08-25'),13,1.95);
INSERT INTO shoppinglist VALUES (99,26,9, date('2018-08-18'));
INSERT INTO inventory VALUES (43,26, date('2018-08-18'),13,2.95);
INSERT INTO purchase VALUES (267,99,43,26, date('2018-08-19'),9,2.95);
INSERT INTO shoppinglist VALUES (100,15,2, date('2018-08-19'));
INSERT INTO inventory VALUES (50,15, date('2018-08-19'),5,1.3);
INSERT INTO purchase VALUES (268,100,50,15, date('2018-08-20'),2,1.3);
INSERT INTO shoppinglist VALUES (100,25,3, date('2018-08-20'));
INSERT INTO inventory VALUES (30,25, date('2018-08-20'),3,3.45);
INSERT INTO purchase VALUES (269,100,30,25, date('2018-08-21'),3,3.45);
INSERT INTO shoppinglist VALUES (100,3,4, date('2018-08-21'));
INSERT INTO inventory VALUES (5,3, date('2018-08-21'),1,1.4);
INSERT INTO purchase VALUES (270,100,5,3, date('2018-08-21'),4,1.4);
INSERT INTO shoppinglist VALUES (100,28,4, date('2018-08-21'));
INSERT INTO inventory VALUES (40,28, date('2018-08-21'),9,8.25);
INSERT INTO purchase VALUES (271,100,40,28, date('2018-08-22'),2,8.25);
INSERT INTO shoppinglist VALUES (100,10,5, date('2018-08-22'));
INSERT INTO inventory VALUES (9,10, date('2018-08-22'),3,0.5);
INSERT INTO purchase VALUES (272,100,9,10, date('2018-08-22'),5,0.5);
INSERT INTO shoppinglist VALUES (100,8,6, date('2018-08-18'));
INSERT INTO inventory VALUES (8,8, date('2018-08-18'),19,5.7);
INSERT INTO purchase VALUES (273,100,8,8, date('2018-08-19'),2,5.7);
INSERT INTO shoppinglist VALUES (100,23,8, date('2018-08-19'));
INSERT INTO inventory VALUES (47,23, date('2018-08-19'),6,2.55);
INSERT INTO purchase VALUES (274,100,47,23, date('2018-08-20'),8,2.55);
INSERT INTO shoppinglist VALUES (101,22,8, date('2018-08-25'));
INSERT INTO inventory VALUES (13,22, date('2018-08-25'),18,2.15);
INSERT INTO shoppinglist VALUES (101,16,6, date('2018-08-16'));
INSERT INTO inventory VALUES (48,16, date('2018-08-16'),15,1.55);
INSERT INTO shoppinglist VALUES (102,17,1, date('2018-08-15'));
INSERT INTO shoppinglist VALUES (102,24,4, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (103,12,2, date('2018-08-22'));
INSERT INTO inventory VALUES (13,12, date('2018-08-22'),14,11.2);
INSERT INTO purchase VALUES (277,103,13,12, date('2018-08-23'),2,11.2);
INSERT INTO shoppinglist VALUES (104,22,2, date('2018-08-22'));
INSERT INTO inventory VALUES (2,22, date('2018-08-22'),7,2);
INSERT INTO purchase VALUES (278,104,2,22, date('2018-08-22'),2,2);
INSERT INTO shoppinglist VALUES (108,21,6, date('2018-08-15'));
INSERT INTO inventory VALUES (3,21, date('2018-08-15'),12,1.7);
INSERT INTO purchase VALUES (279,108,3,21, date('2018-08-15'),6,1.7);
INSERT INTO shoppinglist VALUES (108,28,2, date('2018-08-15'));
INSERT INTO inventory VALUES (41,28, date('2018-08-15'),14,7.65);
INSERT INTO purchase VALUES (280,108,41,28, date('2018-08-15'),2,7.65);
INSERT INTO shoppinglist VALUES (108,1,5, date('2018-08-15'));
INSERT INTO inventory VALUES (0,1, date('2018-08-15'),10,6.35);
INSERT INTO purchase VALUES (281,108,0,1, date('2018-08-15'),1,6.35);
INSERT INTO shoppinglist VALUES (108,14,8, date('2018-08-15'));
INSERT INTO inventory VALUES (54,14, date('2018-08-15'),14,4.2);
INSERT INTO purchase VALUES (282,108,54,14, date('2018-08-15'),8,4.2);
INSERT INTO shoppinglist VALUES (108,20,5, date('2018-08-15'));
INSERT INTO shoppinglist VALUES (108,24,3, date('2018-08-15'));
INSERT INTO inventory VALUES (18,24, date('2018-08-15'),12,4.05);
INSERT INTO purchase VALUES (283,108,18,24, date('2018-08-15'),3,4.05);
INSERT INTO shoppinglist VALUES (108,6,1, date('2018-08-22'));
INSERT INTO shoppinglist VALUES (108,22,1, date('2018-08-22'));
INSERT INTO inventory VALUES (36,22, date('2018-08-22'),11,2);
INSERT INTO purchase VALUES (284,108,36,22, date('2018-08-22'),1,2);
INSERT INTO shoppinglist VALUES (109,9,5, date('2018-08-20'));
INSERT INTO inventory VALUES (38,9, date('2018-08-20'),1,1.5);
INSERT INTO purchase VALUES (285,109,38,9, date('2018-08-20'),5,1.5);
INSERT INTO shoppinglist VALUES (109,23,3, date('2018-08-20'));
INSERT INTO shoppinglist VALUES (109,6,4, date('2018-08-20'));
INSERT INTO inventory VALUES (44,6, date('2018-08-20'),1,1.05);
INSERT INTO purchase VALUES (286,109,44,6, date('2018-08-20'),4,1.05);
INSERT INTO shoppinglist VALUES (109,26,2, date('2018-08-20'));
INSERT INTO inventory VALUES (56,26, date('2018-08-20'),14,3.25);
INSERT INTO purchase VALUES (287,109,56,26, date('2018-08-21'),2,3.25);
INSERT INTO shoppinglist VALUES (109,1,5, date('2018-08-21'));
INSERT INTO purchase VALUES (288,109,4,1, date('2018-08-22'),5,5.7);
INSERT INTO shoppinglist VALUES (109,13,8, date('2018-08-22'));
INSERT INTO inventory VALUES (4,13, date('2018-08-22'),11,4.2);
INSERT INTO purchase VALUES (288,109,4,13, date('2018-08-22'),8,4.2);
INSERT INTO shoppinglist VALUES (109,11,1, date('2018-08-22'));
INSERT INTO shoppinglist VALUES (109,12,8, date('2018-08-18'));
INSERT INTO inventory VALUES (29,12, date('2018-08-18'),4,13.65);
INSERT INTO purchase VALUES (289,109,29,12, date('2018-08-18'),11,13.65);
INSERT INTO shoppinglist VALUES (110,20,6, date('2018-08-27'));
INSERT INTO inventory VALUES (45,20, date('2018-08-27'),11,2.3);
INSERT INTO purchase VALUES (290,110,45,20, date('2018-08-27'),6,2.3);
INSERT INTO shoppinglist VALUES (110,24,1, date('2018-08-27'));
INSERT INTO inventory VALUES (28,24, date('2018-08-27'),1,2.85);
INSERT INTO purchase VALUES (291,110,28,24, date('2018-08-27'),1,2.85);
INSERT INTO shoppinglist VALUES (110,21,2, date('2018-08-17'));
INSERT INTO inventory VALUES (55,21, date('2018-08-17'),10,1.95);
INSERT INTO purchase VALUES (292,110,55,21, date('2018-08-18'),2,1.95);
INSERT INTO shoppinglist VALUES (111,21,8, date('2018-08-22'));
INSERT INTO inventory VALUES (17,21, date('2018-08-22'),21,2.3);
INSERT INTO purchase VALUES (293,111,17,21, date('2018-08-22'),8,2.3);
INSERT INTO shoppinglist VALUES (112,11,1, date('2018-08-23'));
INSERT INTO inventory VALUES (35,11, date('2018-08-23'),15,1.2);
INSERT INTO purchase VALUES (294,112,35,11, date('2018-08-23'),1,1.2);
INSERT INTO shoppinglist VALUES (112,1,1, date('2018-08-23'));
INSERT INTO inventory VALUES (55,1, date('2018-08-23'),1,4.8);
INSERT INTO purchase VALUES (295,112,55,1, date('2018-08-24'),1,4.8);
INSERT INTO shoppinglist VALUES (112,3,4, date('2018-08-24'));
INSERT INTO inventory VALUES (20,3, date('2018-08-24'),10,1.4);
INSERT INTO purchase VALUES (296,112,20,3, date('2018-08-25'),4,1.4);
INSERT INTO shoppinglist VALUES (113,0,5, date('2018-08-26'));
INSERT INTO inventory VALUES (1,0, date('2018-08-26'),19,5.3);
INSERT INTO purchase VALUES (297,113,1,0, date('2018-08-26'),5,5.3);
INSERT INTO shoppinglist VALUES (113,22,2, date('2018-08-26'));
INSERT INTO inventory VALUES (11,22, date('2018-08-26'),10,1.7);
INSERT INTO purchase VALUES (298,113,11,22, date('2018-08-26'),2,1.7);
INSERT INTO shoppinglist VALUES (113,25,4, date('2018-08-26'));
INSERT INTO inventory VALUES (41,25, date('2018-08-26'),9,3.3);
INSERT INTO purchase VALUES (299,113,41,25, date('2018-08-26'),4,3.3);
INSERT INTO shoppinglist VALUES (113,12,2, date('2018-08-21'));
INSERT INTO inventory VALUES (38,12, date('2018-08-21'),10,12.2);
INSERT INTO purchase VALUES (300,113,38,12, date('2018-08-21'),2,12.2);
INSERT INTO shoppinglist VALUES (113,13,4, date('2018-08-21'));
INSERT INTO inventory VALUES (53,13, date('2018-08-21'),3,3.35);
INSERT INTO purchase VALUES (301,113,53,13, date('2018-08-21'),4,3.35);
INSERT INTO shoppinglist VALUES (115,6,9, date('2018-08-17'));
INSERT INTO inventory VALUES (25,6, date('2018-08-17'),23,1.05);
INSERT INTO shoppinglist VALUES (115,21,9, date('2018-08-18'));
INSERT INTO shoppinglist VALUES (115,3,1, date('2018-08-19'));
INSERT INTO shoppinglist VALUES (116,19,7, date('2018-08-24'));
INSERT INTO inventory VALUES (31,19, date('2018-08-24'),2,2.6);
INSERT INTO purchase VALUES (304,116,31,19, date('2018-08-25'),7,2.6);
INSERT INTO shoppinglist VALUES (116,12,6, date('2018-08-23'));
INSERT INTO inventory VALUES (54,12, date('2018-08-23'),5,12.55);
INSERT INTO purchase VALUES (305,116,54,12, date('2018-08-24'),4,12.55);
INSERT INTO shoppinglist VALUES (116,20,6, date('2018-08-24'));
INSERT INTO inventory VALUES (29,20, date('2018-08-24'),11,2.05);
INSERT INTO purchase VALUES (306,116,29,20, date('2018-08-25'),6,2.05);
INSERT INTO shoppinglist VALUES (117,11,1, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (118,28,5, date('2018-08-20'));
INSERT INTO inventory VALUES (38,28, date('2018-08-20'),3,6.95);
INSERT INTO purchase VALUES (307,118,38,28, date('2018-08-20'),5,6.95);
INSERT INTO shoppinglist VALUES (118,2,5, date('2018-08-20'));
INSERT INTO shoppinglist VALUES (118,4,6, date('2018-08-20'));
INSERT INTO shoppinglist VALUES (118,15,1, date('2018-08-21'));
INSERT INTO inventory VALUES (43,15, date('2018-08-21'),4,1);
INSERT INTO purchase VALUES (308,118,43,15, date('2018-08-22'),1,1);
INSERT INTO shoppinglist VALUES (119,15,2, date('2018-08-23'));
INSERT INTO inventory VALUES (11,15, date('2018-08-23'),14,1.3);
INSERT INTO purchase VALUES (309,119,11,15, date('2018-08-24'),2,1.3);
INSERT INTO shoppinglist VALUES (119,8,8, date('2018-08-24'));
INSERT INTO inventory VALUES (25,8, date('2018-08-24'),20,5.2);
INSERT INTO purchase VALUES (310,119,25,8, date('2018-08-24'),8,5.2);
INSERT INTO shoppinglist VALUES (119,14,8, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (121,25,9, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (122,21,6, date('2018-08-25'));
INSERT INTO inventory VALUES (8,21, date('2018-08-25'),2,1.7);
INSERT INTO purchase VALUES (312,122,8,21, date('2018-08-25'),6,1.7);
INSERT INTO shoppinglist VALUES (122,3,1, date('2018-08-25'));
INSERT INTO inventory VALUES (17,3, date('2018-08-25'),2,1.5);
INSERT INTO purchase VALUES (313,122,17,3, date('2018-08-25'),1,1.5);
INSERT INTO shoppinglist VALUES (122,26,4, date('2018-08-25'));
INSERT INTO inventory VALUES (30,26, date('2018-08-25'),12,2.7);
INSERT INTO purchase VALUES (314,122,30,26, date('2018-08-25'),4,2.7);
INSERT INTO shoppinglist VALUES (122,20,5, date('2018-08-22'));
INSERT INTO inventory VALUES (53,20, date('2018-08-22'),4,2.25);
INSERT INTO purchase VALUES (315,122,53,20, date('2018-08-22'),5,2.25);
INSERT INTO shoppinglist VALUES (122,7,4, date('2018-08-22'));
INSERT INTO inventory VALUES (56,7, date('2018-08-22'),3,2.35);
INSERT INTO purchase VALUES (316,122,56,7, date('2018-08-22'),4,2.35);
INSERT INTO shoppinglist VALUES (123,16,8, date('2018-08-17'));
INSERT INTO inventory VALUES (0,16, date('2018-08-17'),13,1.5);
INSERT INTO purchase VALUES (317,123,0,16, date('2018-08-17'),8,1.5);
INSERT INTO shoppinglist VALUES (123,12,5, date('2018-08-17'));
INSERT INTO inventory VALUES (19,12, date('2018-08-17'),19,10.15);
INSERT INTO purchase VALUES (318,123,19,12, date('2018-08-17'),5,10.15);
INSERT INTO shoppinglist VALUES (123,18,2, date('2018-08-17'));
INSERT INTO inventory VALUES (36,18, date('2018-08-17'),9,8.55);
INSERT INTO purchase VALUES (319,123,36,18, date('2018-08-17'),1,8.55);
INSERT INTO shoppinglist VALUES (123,28,3, date('2018-08-24'));
INSERT INTO inventory VALUES (34,28, date('2018-08-24'),1,8.25);
INSERT INTO purchase VALUES (320,123,34,28, date('2018-08-24'),3,8.25);
INSERT INTO shoppinglist VALUES (123,0,2, date('2018-08-24'));
INSERT INTO inventory VALUES (49,0, date('2018-08-24'),12,4.4);
INSERT INTO purchase VALUES (321,123,49,0, date('2018-08-25'),2,4.4);
INSERT INTO shoppinglist VALUES (123,17,8, date('2018-08-25'));
INSERT INTO inventory VALUES (9,17, date('2018-08-25'),12,2.6);
INSERT INTO purchase VALUES (322,123,9,17, date('2018-08-26'),8,2.6);
INSERT INTO shoppinglist VALUES (124,24,4, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (124,4,1, date('2018-08-26'));
INSERT INTO inventory VALUES (54,4, date('2018-08-26'),7,1.1);
INSERT INTO purchase VALUES (323,124,54,4, date('2018-08-26'),4,1.1);
INSERT INTO shoppinglist VALUES (124,26,9, date('2018-08-26'));
INSERT INTO inventory VALUES (17,26, date('2018-08-26'),7,2.75);
INSERT INTO purchase VALUES (324,124,17,26, date('2018-08-26'),9,2.75);
INSERT INTO shoppinglist VALUES (124,28,6, date('2018-08-26'));
INSERT INTO inventory VALUES (14,28, date('2018-08-26'),2,8.25);
INSERT INTO purchase VALUES (325,124,14,28, date('2018-08-26'),6,8.25);
INSERT INTO shoppinglist VALUES (124,16,1, date('2018-08-26'));
INSERT INTO purchase VALUES (326,124,16,16, date('2018-08-26'),1,1.4);
INSERT INTO shoppinglist VALUES (124,12,3, date('2018-08-26'));
INSERT INTO inventory VALUES (23,12, date('2018-08-26'),17,11.65);
INSERT INTO purchase VALUES (327,124,23,12, date('2018-08-26'),3,11.65);
INSERT INTO shoppinglist VALUES (124,21,6, date('2018-08-26'));
INSERT INTO inventory VALUES (9,21, date('2018-08-26'),19,2.15);
INSERT INTO purchase VALUES (328,124,9,21, date('2018-08-26'),6,2.15);
INSERT INTO shoppinglist VALUES (124,10,2, date('2018-08-26'));
INSERT INTO inventory VALUES (18,10, date('2018-08-26'),16,0.5);
INSERT INTO purchase VALUES (329,124,18,10, date('2018-08-26'),2,0.5);
INSERT INTO shoppinglist VALUES (124,11,6, date('2018-08-26'));
INSERT INTO inventory VALUES (1,11, date('2018-08-26'),5,1);
INSERT INTO purchase VALUES (330,124,1,11, date('2018-08-26'),6,1);
INSERT INTO shoppinglist VALUES (124,9,1, date('2018-08-23'));
INSERT INTO purchase VALUES (331,124,21,9, date('2018-08-23'),1,1.65);
INSERT INTO shoppinglist VALUES (124,7,7, date('2018-08-23'));
INSERT INTO inventory VALUES (35,7, date('2018-08-23'),7,2.2);
INSERT INTO purchase VALUES (332,124,35,7, date('2018-08-23'),7,2.2);
INSERT INTO shoppinglist VALUES (124,15,1, date('2018-08-23'));
INSERT INTO inventory VALUES (6,15, date('2018-08-23'),4,1);
INSERT INTO purchase VALUES (333,124,6,15, date('2018-08-23'),1,1);
INSERT INTO inventory VALUES (56,15, date('2018-08-21'),5,1);
INSERT INTO purchase VALUES (334,126,56,15, date('2018-08-22'),1,1);
INSERT INTO inventory VALUES (7,22, date('2018-08-22'),14,1.5);
INSERT INTO purchase VALUES (335,126,7,22, date('2018-08-23'),1,1.5);
INSERT INTO shoppinglist VALUES (127,0,9, date('2018-08-25'));
INSERT INTO inventory VALUES (3,0, date('2018-08-25'),5,3.75);
INSERT INTO purchase VALUES (336,127,3,0, date('2018-08-25'),9,3.75);
INSERT INTO shoppinglist VALUES (127,28,7, date('2018-08-25'));
INSERT INTO inventory VALUES (34,28, date('2018-08-25'),13,8.35);
INSERT INTO purchase VALUES (337,127,34,28, date('2018-08-26'),7,8.35);
INSERT INTO shoppinglist VALUES (128,6,5, date('2018-08-25'));
INSERT INTO inventory VALUES (24,6, date('2018-08-25'),1,0.95);
INSERT INTO purchase VALUES (338,128,24,6, date('2018-08-25'),5,0.95);
INSERT INTO inventory VALUES (43,4, date('2018-08-24'),2,1.1);
INSERT INTO purchase VALUES (339,129,43,4, date('2018-08-24'),7,1.1);
INSERT INTO inventory VALUES (17,20, date('2018-08-19'),5,2.4);
INSERT INTO purchase VALUES (340,129,17,20, date('2018-08-20'),7,2.4);
INSERT INTO inventory VALUES (24,5, date('2018-08-20'),13,0.45);
INSERT INTO purchase VALUES (341,129,24,5, date('2018-08-20'),7,0.45);
INSERT INTO inventory VALUES (55,15, date('2018-08-20'),17,1.4);
INSERT INTO purchase VALUES (342,129,55,15, date('2018-08-20'),7,1.4);
INSERT INTO shoppinglist VALUES (131,1,2, date('2018-08-17'));
INSERT INTO inventory VALUES (51,1, date('2018-08-17'),5,6.4);
INSERT INTO purchase VALUES (343,131,51,1, date('2018-08-18'),2,6.4);
INSERT INTO shoppinglist VALUES (133,7,5, date('2018-08-19'));
INSERT INTO inventory VALUES (6,7, date('2018-08-19'),8,2.35);
INSERT INTO purchase VALUES (344,133,6,7, date('2018-08-19'),5,2.35);
INSERT INTO shoppinglist VALUES (133,22,5, date('2018-08-19'));
INSERT INTO inventory VALUES (11,22, date('2018-08-19'),6,1.85);
INSERT INTO purchase VALUES (345,133,11,22, date('2018-08-19'),5,1.85);
INSERT INTO shoppinglist VALUES (134,24,8, date('2018-08-25'));
INSERT INTO inventory VALUES (31,24, date('2018-08-25'),18,4.2);
INSERT INTO purchase VALUES (346,134,31,24, date('2018-08-25'),8,4.2);
INSERT INTO shoppinglist VALUES (134,3,6, date('2018-08-25'));
INSERT INTO inventory VALUES (43,3, date('2018-08-25'),16,1.7);
INSERT INTO purchase VALUES (347,134,43,3, date('2018-08-25'),6,1.7);
INSERT INTO shoppinglist VALUES (134,27,5, date('2018-08-25'));
INSERT INTO inventory VALUES (7,27, date('2018-08-25'),7,9.25);
INSERT INTO purchase VALUES (348,134,7,27, date('2018-08-26'),5,9.25);
INSERT INTO inventory VALUES (34,6, date('2018-08-19'),17,1);
INSERT INTO purchase VALUES (349,135,34,6, date('2018-08-19'),7,1);
INSERT INTO shoppinglist VALUES (136,28,5, date('2018-08-23'));
INSERT INTO inventory VALUES (37,28, date('2018-08-23'),19,7.75);
INSERT INTO purchase VALUES (350,136,37,28, date('2018-08-24'),5,7.75);
INSERT INTO shoppinglist VALUES (137,20,6, date('2018-08-17'));
INSERT INTO inventory VALUES (29,20, date('2018-08-17'),16,2.35);
INSERT INTO purchase VALUES (351,137,29,20, date('2018-08-17'),6,2.35);
INSERT INTO shoppinglist VALUES (137,19,9, date('2018-08-17'));
INSERT INTO shoppinglist VALUES (138,0,5, date('2018-08-18'));
INSERT INTO shoppinglist VALUES (138,8,6, date('2018-08-18'));
INSERT INTO inventory VALUES (13,23, date('2018-08-17'),6,2.5);
INSERT INTO purchase VALUES (352,139,13,23, date('2018-08-18'),7,2.5);
INSERT INTO inventory VALUES (34,17, date('2018-08-18'),9,2.55);
INSERT INTO purchase VALUES (353,139,34,17, date('2018-08-18'),3,2.55);
INSERT INTO inventory VALUES (26,0, date('2018-08-18'),9,4.9);
INSERT INTO purchase VALUES (354,139,26,0, date('2018-08-19'),5,4.9);
INSERT INTO shoppinglist VALUES (144,0,6, date('2018-08-21'));
INSERT INTO inventory VALUES (31,0, date('2018-08-21'),12,5.1);
INSERT INTO purchase VALUES (355,144,31,0, date('2018-08-22'),6,5.1);
INSERT INTO shoppinglist VALUES (144,12,9, date('2018-08-22'));
INSERT INTO inventory VALUES (41,12, date('2018-08-22'),14,13.25);
INSERT INTO purchase VALUES (356,144,41,12, date('2018-08-23'),9,13.25);
INSERT INTO shoppinglist VALUES (145,9,9, date('2018-08-22'));
INSERT INTO purchase VALUES (357,145,58,9, date('2018-08-22'),9,1.7);
INSERT INTO shoppinglist VALUES (145,2,1, date('2018-08-22'));
INSERT INTO shoppinglist VALUES (147,8,9, date('2018-08-23'));
INSERT INTO inventory VALUES (25,8, date('2018-08-23'),6,5.55);
INSERT INTO purchase VALUES (358,147,25,8, date('2018-08-24'),9,5.55);
INSERT INTO shoppinglist VALUES (147,11,5, date('2018-08-24'));
INSERT INTO inventory VALUES (21,11, date('2018-08-24'),10,0.95);
INSERT INTO purchase VALUES (359,147,21,11, date('2018-08-24'),5,0.95);
INSERT INTO shoppinglist VALUES (147,25,7, date('2018-08-24'));
INSERT INTO inventory VALUES (33,25, date('2018-08-24'),9,4.4);
INSERT INTO purchase VALUES (360,147,33,25, date('2018-08-25'),7,4.4);
INSERT INTO shoppinglist VALUES (148,8,3, date('2018-08-20'));
INSERT INTO shoppinglist VALUES (148,14,9, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (148,5,7, date('2018-08-21'));
INSERT INTO inventory VALUES (21,5, date('2018-08-21'),16,0.5);
INSERT INTO shoppinglist VALUES (148,28,3, date('2018-08-15'));
INSERT INTO inventory VALUES (27,28, date('2018-08-15'),14,7.55);
INSERT INTO shoppinglist VALUES (148,12,7, date('2018-08-15'));
INSERT INTO inventory VALUES (0,12, date('2018-08-15'),9,14.05);
INSERT INTO shoppinglist VALUES (149,5,3, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (149,17,8, date('2018-08-24'));
INSERT INTO inventory VALUES (4,17, date('2018-08-24'),21,1.8);
INSERT INTO purchase VALUES (365,149,4,17, date('2018-08-25'),8,1.8);
INSERT INTO shoppinglist VALUES (149,19,5, date('2018-08-25'));
INSERT INTO purchase VALUES (366,149,54,19, date('2018-08-25'),5,2.25);
INSERT INTO shoppinglist VALUES (150,9,6, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (151,9,3, date('2018-08-17'));
INSERT INTO inventory VALUES (6,9, date('2018-08-17'),9,1.3);
INSERT INTO purchase VALUES (367,151,6,9, date('2018-08-17'),3,1.3);
INSERT INTO shoppinglist VALUES (151,23,5, date('2018-08-17'));
INSERT INTO inventory VALUES (14,23, date('2018-08-17'),17,2.1);
INSERT INTO purchase VALUES (368,151,14,23, date('2018-08-17'),5,2.1);
INSERT INTO shoppinglist VALUES (152,21,1, date('2018-08-20'));
INSERT INTO inventory VALUES (14,21, date('2018-08-20'),6,1.85);
INSERT INTO purchase VALUES (369,152,14,21, date('2018-08-20'),1,1.85);
INSERT INTO shoppinglist VALUES (152,20,5, date('2018-08-20'));
INSERT INTO inventory VALUES (42,20, date('2018-08-20'),1,2);
INSERT INTO purchase VALUES (370,152,42,20, date('2018-08-20'),5,2);
INSERT INTO shoppinglist VALUES (152,19,4, date('2018-08-20'));
INSERT INTO inventory VALUES (43,19, date('2018-08-20'),5,2.2);
INSERT INTO purchase VALUES (371,152,43,19, date('2018-08-21'),4,2.2);
INSERT INTO inventory VALUES (21,17, date('2018-08-16'),6,1.75);
INSERT INTO shoppinglist VALUES (154,12,7, date('2018-08-19'));
INSERT INTO inventory VALUES (12,12, date('2018-08-19'),19,14.05);
INSERT INTO shoppinglist VALUES (154,22,1, date('2018-08-16'));
INSERT INTO inventory VALUES (21,22, date('2018-08-16'),13,1.55);
INSERT INTO shoppinglist VALUES (154,14,5, date('2018-08-16'));
INSERT INTO inventory VALUES (26,14, date('2018-08-16'),1,4.5);
INSERT INTO shoppinglist VALUES (157,16,6, date('2018-08-27'));
INSERT INTO inventory VALUES (36,16, date('2018-08-27'),18,2.05);
INSERT INTO purchase VALUES (379,157,36,16, date('2018-08-27'),6,2.05);
INSERT INTO shoppinglist VALUES (157,0,3, date('2018-08-27'));
INSERT INTO inventory VALUES (49,0, date('2018-08-27'),10,4.2);
INSERT INTO purchase VALUES (380,157,49,0, date('2018-08-27'),3,4.2);
INSERT INTO shoppinglist VALUES (157,3,7, date('2018-08-27'));
INSERT INTO inventory VALUES (36,3, date('2018-08-27'),10,1.8);
INSERT INTO purchase VALUES (381,157,36,3, date('2018-08-28'),7,1.8);
INSERT INTO shoppinglist VALUES (158,1,3, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (158,16,2, date('2018-08-21'));
INSERT INTO inventory VALUES (41,16, date('2018-08-21'),1,1.4);
INSERT INTO shoppinglist VALUES (159,26,8, date('2018-08-25'));
INSERT INTO inventory VALUES (46,26, date('2018-08-25'),10,3.45);
INSERT INTO purchase VALUES (384,159,46,26, date('2018-08-26'),8,3.45);
INSERT INTO shoppinglist VALUES (159,12,3, date('2018-08-26'));
INSERT INTO inventory VALUES (17,12, date('2018-08-26'),11,12.3);
INSERT INTO purchase VALUES (385,159,17,12, date('2018-08-26'),3,12.3);
INSERT INTO shoppinglist VALUES (159,23,3, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (161,19,9, date('2018-08-25'));
INSERT INTO inventory VALUES (15,19, date('2018-08-25'),22,2.15);
INSERT INTO purchase VALUES (386,161,15,19, date('2018-08-26'),9,2.15);
INSERT INTO shoppinglist VALUES (161,22,1, date('2018-08-26'));
INSERT INTO inventory VALUES (51,22, date('2018-08-26'),12,1.9);
INSERT INTO purchase VALUES (387,161,51,22, date('2018-08-26'),1,1.9);
INSERT INTO shoppinglist VALUES (161,24,5, date('2018-08-26'));
INSERT INTO inventory VALUES (51,24, date('2018-08-26'),17,2.95);
INSERT INTO purchase VALUES (387,161,51,24, date('2018-08-26'),5,2.95);
INSERT INTO shoppinglist VALUES (161,27,8, date('2018-08-26'));
INSERT INTO inventory VALUES (1,27, date('2018-08-26'),17,6.95);
INSERT INTO purchase VALUES (388,161,1,27, date('2018-08-26'),5,6.95);
INSERT INTO shoppinglist VALUES (161,1,2, date('2018-08-26'));
INSERT INTO inventory VALUES (55,1, date('2018-08-26'),16,6.15);
INSERT INTO purchase VALUES (389,161,55,1, date('2018-08-26'),2,6.15);
INSERT INTO shoppinglist VALUES (161,16,1, date('2018-08-26'));
INSERT INTO inventory VALUES (3,16, date('2018-08-26'),15,1.9);
INSERT INTO purchase VALUES (390,161,3,16, date('2018-08-26'),1,1.9);
INSERT INTO shoppinglist VALUES (161,7,1, date('2018-08-26'));
INSERT INTO inventory VALUES (18,7, date('2018-08-26'),5,1.85);
INSERT INTO purchase VALUES (391,161,18,7, date('2018-08-26'),1,1.85);
INSERT INTO shoppinglist VALUES (161,14,8, date('2018-08-26'));
INSERT INTO purchase VALUES (392,161,31,14, date('2018-08-26'),8,3.25);
INSERT INTO shoppinglist VALUES (161,13,8, date('2018-08-26'));
INSERT INTO inventory VALUES (36,13, date('2018-08-26'),21,3.05);
INSERT INTO purchase VALUES (393,161,36,13, date('2018-08-26'),8,3.05);
INSERT INTO shoppinglist VALUES (161,17,3, date('2018-08-26'));
INSERT INTO inventory VALUES (47,17, date('2018-08-26'),6,1.75);
INSERT INTO purchase VALUES (394,161,47,17, date('2018-08-26'),3,1.75);
INSERT INTO shoppinglist VALUES (161,28,4, date('2018-08-26'));
INSERT INTO inventory VALUES (36,28, date('2018-08-26'),7,7.2);
INSERT INTO purchase VALUES (393,161,36,28, date('2018-08-26'),4,7.2);
INSERT INTO shoppinglist VALUES (162,4,5, date('2018-08-21'));
INSERT INTO purchase VALUES (395,162,19,4, date('2018-08-21'),5,1.05);
INSERT INTO shoppinglist VALUES (162,14,3, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (162,18,6, date('2018-08-21'));
INSERT INTO inventory VALUES (51,18, date('2018-08-21'),16,9.65);
INSERT INTO purchase VALUES (396,162,51,18, date('2018-08-22'),6,9.65);
INSERT INTO shoppinglist VALUES (162,28,1, date('2018-08-22'));
INSERT INTO inventory VALUES (18,28, date('2018-08-22'),9,8.7);
INSERT INTO purchase VALUES (397,162,18,28, date('2018-08-22'),1,8.7);
INSERT INTO shoppinglist VALUES (162,3,7, date('2018-08-22'));
INSERT INTO inventory VALUES (57,3, date('2018-08-22'),20,1.25);
INSERT INTO purchase VALUES (398,162,57,3, date('2018-08-23'),7,1.25);
INSERT INTO shoppinglist VALUES (162,12,9, date('2018-08-23'));
INSERT INTO inventory VALUES (9,12, date('2018-08-23'),5,13.15);
INSERT INTO purchase VALUES (399,162,9,12, date('2018-08-24'),9,13.15);
INSERT INTO shoppinglist VALUES (162,25,4, date('2018-08-24'));
INSERT INTO inventory VALUES (55,25, date('2018-08-24'),16,4.2);
INSERT INTO purchase VALUES (400,162,55,25, date('2018-08-25'),4,4.2);
INSERT INTO shoppinglist VALUES (162,2,2, date('2018-08-25'));
INSERT INTO inventory VALUES (0,2, date('2018-08-25'),4,1.7);
INSERT INTO purchase VALUES (401,162,0,2, date('2018-08-26'),2,1.7);
INSERT INTO shoppinglist VALUES (162,16,2, date('2018-08-16'));
INSERT INTO inventory VALUES (41,16, date('2018-08-16'),1,1.65);
INSERT INTO purchase VALUES (402,162,41,16, date('2018-08-16'),2,1.65);
INSERT INTO shoppinglist VALUES (163,0,5, date('2018-08-27'));
INSERT INTO purchase VALUES (403,163,43,0, date('2018-08-27'),3,4.65);
INSERT INTO shoppinglist VALUES (163,26,3, date('2018-08-27'));
INSERT INTO inventory VALUES (52,26, date('2018-08-27'),5,3.55);
INSERT INTO purchase VALUES (404,163,52,26, date('2018-08-27'),3,3.55);
INSERT INTO shoppinglist VALUES (163,5,6, date('2018-08-22'));
INSERT INTO inventory VALUES (30,5, date('2018-08-22'),5,0.4);
INSERT INTO purchase VALUES (405,163,30,5, date('2018-08-22'),6,0.4);
INSERT INTO shoppinglist VALUES (163,10,6, date('2018-08-22'));
INSERT INTO inventory VALUES (6,10, date('2018-08-22'),20,0.55);
INSERT INTO purchase VALUES (406,163,6,10, date('2018-08-22'),6,0.55);
INSERT INTO shoppinglist VALUES (164,20,4, date('2018-08-27'));
INSERT INTO inventory VALUES (38,20, date('2018-08-27'),7,2.2);
INSERT INTO shoppinglist VALUES (165,4,8, date('2018-08-22'));
INSERT INTO inventory VALUES (26,4, date('2018-08-22'),6,0.95);
INSERT INTO purchase VALUES (408,165,26,4, date('2018-08-23'),8,0.95);
INSERT INTO shoppinglist VALUES (165,24,9, date('2018-08-23'));
INSERT INTO inventory VALUES (38,24, date('2018-08-23'),10,3.55);
INSERT INTO purchase VALUES (409,165,38,24, date('2018-08-23'),6,3.55);
INSERT INTO shoppinglist VALUES (165,25,4, date('2018-08-23'));
INSERT INTO shoppinglist VALUES (165,1,3, date('2018-08-23'));
INSERT INTO inventory VALUES (56,1, date('2018-08-23'),1,4.4);
INSERT INTO purchase VALUES (410,165,56,1, date('2018-08-23'),3,4.4);
INSERT INTO shoppinglist VALUES (165,6,9, date('2018-08-23'));
INSERT INTO inventory VALUES (48,6, date('2018-08-23'),21,1.15);
INSERT INTO purchase VALUES (411,165,48,6, date('2018-08-24'),9,1.15);
INSERT INTO shoppinglist VALUES (165,14,1, date('2018-08-24'));
INSERT INTO shoppinglist VALUES (165,10,3, date('2018-08-24'));
INSERT INTO inventory VALUES (45,10, date('2018-08-24'),11,0.45);
INSERT INTO purchase VALUES (412,165,45,10, date('2018-08-24'),3,0.45);
INSERT INTO shoppinglist VALUES (165,9,6, date('2018-08-24'));
INSERT INTO inventory VALUES (46,9, date('2018-08-24'),1,1.8);
INSERT INTO purchase VALUES (413,165,46,9, date('2018-08-25'),6,1.8);
INSERT INTO shoppinglist VALUES (166,10,9, date('2018-08-26'));
INSERT INTO shoppinglist VALUES (166,25,6, date('2018-08-27'));
INSERT INTO shoppinglist VALUES (167,15,7, date('2018-08-18'));
INSERT INTO inventory VALUES (39,15, date('2018-08-18'),10,1);
INSERT INTO purchase VALUES (416,167,39,15, date('2018-08-18'),7,1);
INSERT INTO shoppinglist VALUES (167,2,2, date('2018-08-18'));
INSERT INTO inventory VALUES (57,2, date('2018-08-18'),2,2.3);
INSERT INTO purchase VALUES (417,167,57,2, date('2018-08-19'),2,2.3);
INSERT INTO shoppinglist VALUES (167,19,1, date('2018-08-19'));
INSERT INTO inventory VALUES (18,19, date('2018-08-19'),4,2.25);
INSERT INTO purchase VALUES (418,167,18,19, date('2018-08-20'),1,2.25);
INSERT INTO shoppinglist VALUES (167,26,9, date('2018-08-20'));
INSERT INTO inventory VALUES (40,26, date('2018-08-20'),10,3);
INSERT INTO purchase VALUES (419,167,40,26, date('2018-08-20'),9,3);
INSERT INTO shoppinglist VALUES (167,7,2, date('2018-08-20'));
INSERT INTO inventory VALUES (56,7, date('2018-08-20'),1,2.1);
INSERT INTO purchase VALUES (420,167,56,7, date('2018-08-20'),1,2.1);
INSERT INTO shoppinglist VALUES (167,11,7, date('2018-08-20'));
INSERT INTO inventory VALUES (3,11, date('2018-08-20'),16,1.15);
INSERT INTO purchase VALUES (421,167,3,11, date('2018-08-20'),8,1.15);
INSERT INTO shoppinglist VALUES (167,1,4, date('2018-08-20'));
INSERT INTO inventory VALUES (41,1, date('2018-08-20'),17,5);
INSERT INTO purchase VALUES (422,167,41,1, date('2018-08-21'),7,5);
INSERT INTO shoppinglist VALUES (167,0,8, date('2018-08-21'));
INSERT INTO inventory VALUES (8,0, date('2018-08-21'),16,4);
INSERT INTO purchase VALUES (423,167,8,0, date('2018-08-21'),9,4);
INSERT INTO shoppinglist VALUES (167,3,2, date('2018-08-15'));
INSERT INTO purchase VALUES (424,167,50,3, date('2018-08-15'),2,1.7);
INSERT INTO shoppinglist VALUES (167,17,9, date('2018-08-15'));
INSERT INTO inventory VALUES (17,17, date('2018-08-15'),7,2.05);
INSERT INTO purchase VALUES (425,167,17,17, date('2018-08-15'),9,2.05);
INSERT INTO shoppinglist VALUES (168,1,6, date('2018-08-16'));
INSERT INTO inventory VALUES (28,1, date('2018-08-16'),3,5.65);
INSERT INTO purchase VALUES (426,168,28,1, date('2018-08-16'),6,5.65);
INSERT INTO shoppinglist VALUES (169,21,2, date('2018-08-15'));
INSERT INTO inventory VALUES (35,21, date('2018-08-15'),14,1.9);
INSERT INTO purchase VALUES (427,169,35,21, date('2018-08-16'),2,1.9);
INSERT INTO shoppinglist VALUES (169,28,8, date('2018-08-16'));
INSERT INTO inventory VALUES (18,28, date('2018-08-16'),7,7.7);
INSERT INTO purchase VALUES (428,169,18,28, date('2018-08-17'),8,7.7);
INSERT INTO shoppinglist VALUES (169,3,5, date('2018-08-17'));
INSERT INTO inventory VALUES (46,3, date('2018-08-17'),18,1.75);
INSERT INTO purchase VALUES (429,169,46,3, date('2018-08-17'),5,1.75);
INSERT INTO shoppinglist VALUES (169,1,9, date('2018-08-17'));
INSERT INTO inventory VALUES (43,1, date('2018-08-17'),9,6.55);
INSERT INTO purchase VALUES (430,169,43,1, date('2018-08-18'),9,6.55);
INSERT INTO shoppinglist VALUES (169,22,1, date('2018-08-18'));
INSERT INTO inventory VALUES (54,22, date('2018-08-18'),6,1.6);
INSERT INTO purchase VALUES (431,169,54,22, date('2018-08-19'),1,1.6);
INSERT INTO shoppinglist VALUES (169,23,8, date('2018-08-19'));
INSERT INTO inventory VALUES (8,23, date('2018-08-19'),22,2);
INSERT INTO purchase VALUES (432,169,8,23, date('2018-08-19'),8,2);
INSERT INTO shoppinglist VALUES (169,5,7, date('2018-08-19'));
INSERT INTO inventory VALUES (32,5, date('2018-08-19'),20,0.4);
INSERT INTO purchase VALUES (433,169,32,5, date('2018-08-20'),7,0.4);
INSERT INTO shoppinglist VALUES (169,4,3, date('2018-08-20'));
INSERT INTO inventory VALUES (1,4, date('2018-08-20'),4,1.1);
INSERT INTO purchase VALUES (434,169,1,4, date('2018-08-20'),3,1.1);
INSERT INTO shoppinglist VALUES (169,13,6, date('2018-08-25'));
INSERT INTO inventory VALUES (55,13, date('2018-08-25'),1,3.85);
INSERT INTO purchase VALUES (435,169,55,13, date('2018-08-26'),6,3.85);
INSERT INTO shoppinglist VALUES (169,10,7, date('2018-08-26'));
INSERT INTO inventory VALUES (24,10, date('2018-08-26'),19,0.55);
INSERT INTO purchase VALUES (436,169,24,10, date('2018-08-27'),7,0.55);
INSERT INTO shoppinglist VALUES (169,14,7, date('2018-08-27'));
INSERT INTO inventory VALUES (52,14, date('2018-08-27'),7,4.65);
INSERT INTO purchase VALUES (437,169,52,14, date('2018-08-28'),7,4.65);
INSERT INTO shoppinglist VALUES (170,28,2, date('2018-08-16'));
INSERT INTO inventory VALUES (9,28, date('2018-08-16'),11,9.85);
INSERT INTO purchase VALUES (438,170,9,28, date('2018-08-16'),2,9.85);
INSERT INTO shoppinglist VALUES (170,0,7, date('2018-08-16'));
INSERT INTO inventory VALUES (52,0, date('2018-08-16'),18,3.95);
INSERT INTO purchase VALUES (439,170,52,0, date('2018-08-16'),7,3.95);
INSERT INTO shoppinglist VALUES (170,22,5, date('2018-08-16'));
INSERT INTO inventory VALUES (40,22, date('2018-08-16'),18,2.05);
INSERT INTO purchase VALUES (440,170,40,22, date('2018-08-16'),5,2.05);
INSERT INTO shoppinglist VALUES (171,3,1, date('2018-08-20'));
INSERT INTO purchase VALUES (441,171,56,3, date('2018-08-20'),1,1.5);
INSERT INTO shoppinglist VALUES (171,21,2, date('2018-08-20'));
INSERT INTO inventory VALUES (44,21, date('2018-08-20'),13,2.35);
INSERT INTO purchase VALUES (442,171,44,21, date('2018-08-20'),2,2.35);
INSERT INTO shoppinglist VALUES (172,4,4, date('2018-08-27'));
INSERT INTO inventory VALUES (59,4, date('2018-08-27'),15,0.9);
INSERT INTO purchase VALUES (443,172,59,4, date('2018-08-27'),4,0.9);
INSERT INTO shoppinglist VALUES (172,16,4, date('2018-08-24'));
INSERT INTO inventory VALUES (0,16, date('2018-08-24'),7,1.85);
INSERT INTO purchase VALUES (444,172,0,16, date('2018-08-24'),4,1.85);
INSERT INTO shoppinglist VALUES (175,28,2, date('2018-08-19'));
INSERT INTO inventory VALUES (27,28, date('2018-08-19'),14,8.1);
INSERT INTO purchase VALUES (445,175,27,28, date('2018-08-19'),1,8.1);
INSERT INTO shoppinglist VALUES (175,21,2, date('2018-08-19'));
INSERT INTO inventory VALUES (16,21, date('2018-08-19'),6,2.25);
INSERT INTO purchase VALUES (446,175,16,21, date('2018-08-20'),2,2.25);
INSERT INTO shoppinglist VALUES (176,4,7, date('2018-08-22'));
INSERT INTO inventory VALUES (52,4, date('2018-08-22'),6,0.9);
INSERT INTO purchase VALUES (447,176,52,4, date('2018-08-22'),7,0.9);
INSERT INTO shoppinglist VALUES (176,24,9, date('2018-08-25'));
INSERT INTO inventory VALUES (12,24, date('2018-08-25'),19,3.85);
INSERT INTO purchase VALUES (448,176,12,24, date('2018-08-25'),9,3.85);
INSERT INTO shoppinglist VALUES (176,13,7, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (176,0,2, date('2018-08-25'));
INSERT INTO inventory VALUES (35,0, date('2018-08-25'),1,4.35);
INSERT INTO purchase VALUES (449,176,35,0, date('2018-08-25'),2,4.35);
INSERT INTO shoppinglist VALUES (176,14,2, date('2018-08-25'));
INSERT INTO shoppinglist VALUES (176,11,6, date('2018-08-25'));
INSERT INTO inventory VALUES (19,11, date('2018-08-25'),9,0.9);
INSERT INTO purchase VALUES (450,176,19,11, date('2018-08-25'),6,0.9);
INSERT INTO shoppinglist VALUES (176,21,8, date('2018-08-25'));
INSERT INTO inventory VALUES (4,21, date('2018-08-25'),9,2.15);
INSERT INTO purchase VALUES (451,176,4,21, date('2018-08-26'),8,2.15);
INSERT INTO shoppinglist VALUES (176,5,9, date('2018-08-26'));
INSERT INTO inventory VALUES (6,5, date('2018-08-26'),6,0.5);
INSERT INTO purchase VALUES (452,176,6,5, date('2018-08-26'),9,0.5);
INSERT INTO inventory VALUES (47,18, date('2018-08-20'),12,8.85);
INSERT INTO purchase VALUES (453,177,47,18, date('2018-08-20'),1,8.85);
INSERT INTO inventory VALUES (38,17, date('2018-08-20'),10,2.3);
INSERT INTO purchase VALUES (454,177,38,17, date('2018-08-21'),9,2.3);
INSERT INTO inventory VALUES (11,3, date('2018-08-21'),15,1.3);
INSERT INTO purchase VALUES (455,177,11,3, date('2018-08-21'),6,1.3);
INSERT INTO inventory VALUES (34,26, date('2018-08-21'),14,3.4);
INSERT INTO purchase VALUES (456,177,34,26, date('2018-08-22'),4,3.4);
INSERT INTO purchase VALUES (457,177,51,4, date('2018-08-22'),6,1.1);
INSERT INTO shoppinglist VALUES (178,25,9, date('2018-08-27'));
INSERT INTO inventory VALUES (34,25, date('2018-08-27'),17,3.6);
INSERT INTO purchase VALUES (458,178,34,25, date('2018-08-27'),9,3.6);
INSERT INTO shoppinglist VALUES (178,24,1, date('2018-08-27'));
INSERT INTO purchase VALUES (459,178,39,24, date('2018-08-27'),1,3.9);
INSERT INTO shoppinglist VALUES (179,14,5, date('2018-08-24'));
INSERT INTO inventory VALUES (25,14, date('2018-08-24'),3,3.7);
INSERT INTO purchase VALUES (460,179,25,14, date('2018-08-24'),5,3.7);
INSERT INTO shoppinglist VALUES (179,11,3, date('2018-08-24'));
INSERT INTO inventory VALUES (24,11, date('2018-08-24'),1,0.85);
INSERT INTO purchase VALUES (461,179,24,11, date('2018-08-24'),3,0.85);
INSERT INTO shoppinglist VALUES (179,17,2, date('2018-08-24'));
INSERT INTO inventory VALUES (57,17, date('2018-08-24'),4,2.4);
INSERT INTO purchase VALUES (462,179,57,17, date('2018-08-24'),2,2.4);
INSERT INTO shoppinglist VALUES (179,27,8, date('2018-08-22'));
INSERT INTO inventory VALUES (43,27, date('2018-08-22'),15,9);
INSERT INTO purchase VALUES (463,179,43,27, date('2018-08-22'),8,9);
INSERT INTO shoppinglist VALUES (179,16,9, date('2018-08-22'));
INSERT INTO inventory VALUES (35,16, date('2018-08-22'),8,1.85);
INSERT INTO purchase VALUES (464,179,35,16, date('2018-08-22'),9,1.85);
INSERT INTO shoppinglist VALUES (179,10,7, date('2018-08-22'));
INSERT INTO inventory VALUES (45,10, date('2018-08-22'),21,0.45);
INSERT INTO purchase VALUES (465,179,45,10, date('2018-08-23'),7,0.45);
INSERT INTO shoppinglist VALUES (180,26,3, date('2018-08-26'));
INSERT INTO inventory VALUES (34,26, date('2018-08-26'),9,3.1);
INSERT INTO purchase VALUES (466,180,34,26, date('2018-08-26'),3,3.1);
INSERT INTO shoppinglist VALUES (180,13,8, date('2018-08-26'));
INSERT INTO inventory VALUES (34,13, date('2018-08-26'),3,4.05);
INSERT INTO purchase VALUES (467,180,34,13, date('2018-08-27'),8,4.05);
INSERT INTO shoppinglist VALUES (180,10,3, date('2018-08-27'));
INSERT INTO inventory VALUES (56,10, date('2018-08-27'),1,0.6);
INSERT INTO purchase VALUES (468,180,56,10, date('2018-08-27'),3,0.6);
INSERT INTO shoppinglist VALUES (181,26,4, date('2018-08-24'));
INSERT INTO inventory VALUES (6,26, date('2018-08-24'),13,2.7);
INSERT INTO purchase VALUES (469,181,6,26, date('2018-08-24'),4,2.7);
INSERT INTO shoppinglist VALUES (181,6,3, date('2018-08-24'));
INSERT INTO inventory VALUES (45,6, date('2018-08-24'),9,0.9);
INSERT INTO purchase VALUES (470,181,45,6, date('2018-08-24'),3,0.9);
INSERT INTO shoppinglist VALUES (181,21,5, date('2018-08-27'));
INSERT INTO inventory VALUES (27,21, date('2018-08-27'),1,2);
INSERT INTO purchase VALUES (471,181,27,21, date('2018-08-27'),5,2);
INSERT INTO shoppinglist VALUES (181,5,3, date('2018-08-27'));
INSERT INTO inventory VALUES (17,25, date('2018-08-27'),14,3.9);
INSERT INTO purchase VALUES (472,182,17,25, date('2018-08-28'),8,3.9);
INSERT INTO inventory VALUES (5,18, date('2018-08-28'),1,9.7);
INSERT INTO purchase VALUES (473,182,5,18, date('2018-08-28'),1,9.7);
INSERT INTO inventory VALUES (5,3, date('2018-08-28'),13,1.3);
INSERT INTO purchase VALUES (473,182,5,3, date('2018-08-28'),7,1.3);
INSERT INTO inventory VALUES (4,13, date('2018-08-23'),23,4.2);
INSERT INTO purchase VALUES (474,182,4,13, date('2018-08-23'),9,4.2);
INSERT INTO shoppinglist VALUES (183,5,7, date('2018-08-19'));
INSERT INTO shoppinglist VALUES (183,10,2, date('2018-08-20'));
INSERT INTO inventory VALUES (27,10, date('2018-08-20'),7,0.55);
INSERT INTO shoppinglist VALUES (183,12,9, date('2018-08-21'));
INSERT INTO shoppinglist VALUES (183,18,8, date('2018-08-21'));
INSERT INTO inventory VALUES (45,18, date('2018-08-21'),5,9.2);
INSERT INTO shoppinglist VALUES (183,6,3, date('2018-08-22'));
INSERT INTO inventory VALUES (57,6, date('2018-08-22'),9,1.15);
INSERT INTO shoppinglist VALUES (183,14,7, date('2018-08-22'));
INSERT INTO shoppinglist VALUES (183,25,4, date('2018-08-22'));
INSERT INTO store VALUES (60,"Lidl","Pannekoekweg","Breda");
INSERT INTO store VALUES (61,"Lidl","Pannekoekweg","Breda");
INSERT INTO inventory VALUES (60,19,date('2018-07-10'), 525, 1.75);
INSERT INTO customer VALUES (184,"Wilko", "Onbekendeweg", "Eindhoven");
INSERT INTO purchase VALUES (777, 184,0,0,date('2018-08-20'), 2, 3.5);
INSERT INTO inventory VALUES (0,0, date('2018-07-18'), 15, 5.95);
INSERT INTO customer VALUES (185,"Nick", "Verweg", "Eindhoven");
INSERT INTO customer VALUES (186,"Angela", "Dichtweg", "Eindhoven");
INSERT INTO store VALUES (62,"Jumbo","Poffertjesweg","Eindhoven");
INSERT INTO product VALUES (29, "Salmon","");
INSERT INTO purchase VALUES (778, 185,62,29,date('2018-08-20'), 1, 1.0);
INSERT INTO purchase VALUES (779, 186,62,29,date('2018-08-21'), 5, 1.0);
INSERT INTO product VALUES (30, "Ketchup","");
INSERT INTO customer VALUES (188,"Pino", "Maanstraat", "Rotterdam");
INSERT INTO purchase VALUES (780, 188,62,30,date('2018-08-20'), 1, 1.0);
INSERT INTO purchase VALUES (781, 188,62,30,date('2018-09-20'), 1, 1.0);
INSERT INTO product VALUES (31, "French baguette", "");
INSERT INTO customer VALUES (189,"Koen", "Akkerweg", "Oss");
INSERT INTO store VALUES (63,"Jumbo","Stationstraat","Oss");
INSERT INTO purchase VALUES (782, 189,63,7,date('2018-08-25'), 5, 1.25);
INSERT INTO purchase VALUES (783, 189,20,19,date('2018-08-26'), 3, 2.5);
INSERT INTO customer VALUES (190,"Kostas", "Eindeweg", "Utrecht");
INSERT INTO purchase VALUES (784,190,0,27,date('2018-08-19'), 5,4.45);
INSERT INTO purchase VALUES (785,190,1,19,date('2018-08-24'), 6,2.55);
INSERT INTO purchase VALUES (786,190,2,19,date('2018-08-19'), 4,1.4);
INSERT INTO purchase VALUES (787,190,3,28,date('2018-08-23'), 5,0.5);
INSERT INTO purchase VALUES (788,190,4,7,date('2018-08-26'), 7,1.3);
INSERT INTO purchase VALUES (789,190,5,2,date('2018-08-23'), 7,2);
INSERT INTO purchase VALUES (790,190,6,10,date('2018-08-15'), 2,4.15);
INSERT INTO purchase VALUES (791,190,7,22,date('2018-08-20'), 4,3.2);
INSERT INTO purchase VALUES (792,190,8,20,date('2018-08-16'), 7,3.25);
INSERT INTO purchase VALUES (793,190,9,21,date('2018-08-26'), 5,4.25);
INSERT INTO purchase VALUES (794,190,10,19,date('2018-08-22'), 7,0.9);
INSERT INTO purchase VALUES (795,190,11,9,date('2018-08-22'), 5,3);
INSERT INTO purchase VALUES (796,190,12,26,date('2018-08-17'), 6,2.75);
INSERT INTO purchase VALUES (797,190,13,0,date('2018-08-26'), 4,2);
INSERT INTO purchase VALUES (798,190,14,15,date('2018-08-17'), 5,3.8);
INSERT INTO purchase VALUES (799,190,15,21,date('2018-08-20'), 2,3.1);
INSERT INTO purchase VALUES (800,190,16,4,date('2018-08-26'), 1,2.4);
INSERT INTO purchase VALUES (801,190,17,10,date('2018-08-23'), 6,0.95);
INSERT INTO purchase VALUES (802,190,18,27,date('2018-08-21'), 4,0.55);
INSERT INTO purchase VALUES (803,190,19,23,date('2018-08-15'), 7,3.75);
INSERT INTO purchase VALUES (804,190,20,20,date('2018-08-17'), 7,0.5);
INSERT INTO purchase VALUES (805,190,21,17,date('2018-08-16'), 6,3.15);
INSERT INTO purchase VALUES (806,190,22,25,date('2018-08-19'), 7,3.2);
INSERT INTO purchase VALUES (807,190,23,3,date('2018-08-18'), 1,2.75);
INSERT INTO purchase VALUES (808,190,24,26,date('2018-08-16'), 5,3.25);
INSERT INTO purchase VALUES (809,190,25,5,date('2018-08-20'), 2,1.75);
INSERT INTO purchase VALUES (810,190,26,21,date('2018-08-22'), 7,0.6);
INSERT INTO purchase VALUES (811,190,27,13,date('2018-08-17'), 4,0.9);
INSERT INTO purchase VALUES (812,190,28,19,date('2018-08-23'), 5,1.75);
INSERT INTO purchase VALUES (813,190,29,17,date('2018-08-27'), 5,1.2);
INSERT INTO purchase VALUES (814,190,30,10,date('2018-08-18'), 4,4.35);
INSERT INTO purchase VALUES (815,190,31,17,date('2018-08-19'), 7,1.2);
INSERT INTO purchase VALUES (816,190,32,0,date('2018-08-26'), 4,3.85);
INSERT INTO purchase VALUES (817,190,33,19,date('2018-08-19'), 5,4.25);
INSERT INTO purchase VALUES (818,190,34,28,date('2018-08-20'), 4,2.8);
INSERT INTO purchase VALUES (819,190,35,27,date('2018-08-15'), 5,0.5);
INSERT INTO purchase VALUES (820,190,36,5,date('2018-08-23'), 3,2.55);
INSERT INTO purchase VALUES (821,190,37,28,date('2018-08-15'), 4,0.65);
INSERT INTO purchase VALUES (822,190,38,7,date('2018-08-24'), 4,0.7);
INSERT INTO purchase VALUES (823,190,39,0,date('2018-08-25'), 4,3.7);
INSERT INTO purchase VALUES (824,190,40,11,date('2018-08-15'), 2,3.5);
INSERT INTO purchase VALUES (825,190,41,6,date('2018-08-15'), 5,2.95);
INSERT INTO purchase VALUES (826,190,42,19,date('2018-08-22'), 5,2.75);
INSERT INTO purchase VALUES (827,190,43,17,date('2018-08-17'), 7,1.5);
INSERT INTO purchase VALUES (828,190,44,9,date('2018-08-18'), 5,0.85);
INSERT INTO purchase VALUES (829,190,45,11,date('2018-08-19'), 2,3.55);
INSERT INTO purchase VALUES (830,190,46,22,date('2018-08-25'), 4,2.6);
INSERT INTO purchase VALUES (831,190,47,17,date('2018-08-17'), 4,3.25);
INSERT INTO purchase VALUES (832,190,48,20,date('2018-08-26'), 6,4.3);
INSERT INTO purchase VALUES (833,190,49,11,date('2018-08-17'), 3,3.05);
INSERT INTO purchase VALUES (834,190,50,21,date('2018-08-22'), 6,4.05);
INSERT INTO purchase VALUES (835,190,51,23,date('2018-08-19'), 1,1.5);
INSERT INTO purchase VALUES (836,190,52,23,date('2018-08-15'), 5,2.5);
INSERT INTO purchase VALUES (837,190,53,8,date('2018-08-18'), 4,3.95);
INSERT INTO purchase VALUES (838,190,54,0,date('2018-08-25'), 6,3.5);
INSERT INTO purchase VALUES (839,190,55,8,date('2018-08-18'), 7,2.95);
INSERT INTO purchase VALUES (840,190,56,11,date('2018-08-15'), 4,1.6);
INSERT INTO purchase VALUES (841,190,57,15,date('2018-08-22'), 5,3.25);
INSERT INTO purchase VALUES (842,190,58,2,date('2018-08-19'), 7,0.75);
INSERT INTO purchase VALUES (843,190,59,17,date('2018-08-26'), 2,3.8);
INSERT INTO purchase VALUES (844,190,60,5,date('2018-08-27'), 6,4.35);
INSERT INTO purchase VALUES (845,190,61,19,date('2018-08-23'), 5,2.85);
INSERT INTO purchase VALUES (846,190,62,9,date('2018-08-16'), 2,3.15);
INSERT INTO purchase VALUES (847,190,63,18,date('2018-08-21'), 1,3.3);
