# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions')
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions')
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    with allcIDsID as (
        select cID,sID from customer as c, store as s),
        purcIDsID as (
        select cID,sID from purchase),
        notEveryS as (
        select * from allcIDsID
        except 
        select * from purcIDsID)
    select cID from customer
    except 
    select cID from notEveryS
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
practicequery1f = '''
    with plist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
        , allItems as(
        select * from inventory as i
        where not exists (
            (select p.pid from plist as p)
            except
            (select i2.pID from inventory as i2
            where i2.pID=p.pID)
        ))
        , notenough as (
        select i.sID from inventory as i, plist as p
        where p.quantity<i.quantity and i.pID=p.pID)        
    select sID,sName from store
    where sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with plist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
        , allItems as(
        select * from inventory as i
        where not exists (
            (select p.pid from plist as p)
            except
            (select i2.pID from inventory as i2
            where i2.pID=p.pID)
        ))
        , notenough as (
        select i.sID from inventory as i, plist as p
        where p.quantity<i.quantity and i.pID=p.pID)
        , result as (
        select sID in allitems
        where sID not in notenough
        )
    select sID,sName from store
    where sID in result
'''

pd.read_sql_query(practicequery1f, conn)

# IPython log file

practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions')
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    with allcIDsID as (
        select cID,sID from customer as c, store as s),
        purcIDsID as (
        select cID,sID from purchase),
        notEveryS as (
        select * from allcIDsID
        except 
        select * from purcIDsID)
    select cID from customer
    except 
    select cID from notEveryS
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select sName
    from sNameQuantity
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    select *
        from shoppinglist
        where cID='123456' and date='2016-11-30')
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    select *
        from shoppinglist
        where cID='123456' and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-30-11'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-30-11'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []
practicequery1f = '''
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pID, quantity, date]
#[Out]# Index: []

# IPython log file

# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select inventory div paullist)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select inventory(*) div paullist(*))
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select inventory(*) div paullist(pID))
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select sID from inventory as i
        where not exists (
            select select pl.pID from paullist as pl)
            except (select i.pID from inventory as i2
                where i.sID=i2.sID))
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select sID from inventory as i
        where not exists (
            select select pl.pID from paullist as pl)
            except (select i.pID from inventory as i2
                where i.sID=i2.sID))
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select sID from inventory as i
        where not exists (
            select pl.pID from paullist as pl)
            except (select i.pID from inventory as i2
                where i.sID=i2.sID))
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 where i.sID=i2.sID))
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 where i.sID=i2.sID))
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 where i.sID=i2.sID)))
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
        
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
        
    select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID))
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
        
    select sID,sName from store
    where city='Eindhoven' 
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select pID,quantity
        from shoppinglist
        where cID='123456'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select pID,quantity
        from shoppinglist
        where cID=123456),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
        
        
    select sID,sName from store
    where city='Eindhoven' 
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#     sID        sName
#[Out]# 0     4    Hoogvliet
#[Out]# 1     7       Sligro
#[Out]# 2     8  Albert Hein
#[Out]# 3    12         Lidl
#[Out]# 4    17    Hoogvliet
#[Out]# 5    30         Dirk
#[Out]# 6    33         Dirk
#[Out]# 7    36         Lidl
#[Out]# 8    37        Jumbo
#[Out]# 9    39       Sligro
#[Out]# 10   52         Lidl
#[Out]# 11   54         Dirk
#[Out]# 12   56        Jumbo
#[Out]# 13   57         Dirk
#[Out]# 14   62        Jumbo
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select * from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
            
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
    from shoppinglist as s
    where s.cID=123456 and s.date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30')
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30' )
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select *
    from shoppinglist
    where cID=123456 and date='2016-11-30'
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID,sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select * from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select * from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as(
        select * from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select * from shoppinglist),
        
        haveitems as(
        select * from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with 
        paullist as (
        select *
        from shoppinglist
        where cID=123456 and date='2016-11-30'),
        
        haveitems as (
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as (
    select * from shoppinglist)
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as (
    select * from shoppinglist)
    select * from paullist
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#      cID  pID  quantity        date
#[Out]# 0      1   14         2  2018-08-20
#[Out]# 1      1   16         3  2018-08-20
#[Out]# 2      1    9         2  2018-08-20
#[Out]# 3      1   25         4  2018-08-20
#[Out]# 4      1   21         6  2018-08-20
#[Out]# 5      1   26         4  2018-08-20
#[Out]# 6      1   11         8  2018-08-20
#[Out]# 7      1   27         6  2018-08-21
#[Out]# 8      2   20         4  2018-08-16
#[Out]# 9      2    9         7  2018-08-16
#[Out]# 10     2    4         6  2018-08-17
#[Out]# 11     2   13         4  2018-08-17
#[Out]# 12     2   22         1  2018-08-17
#[Out]# 13     3   14         2  2018-08-18
#[Out]# 14     3   26         2  2018-08-18
#[Out]# 15     3    9         6  2018-08-19
#[Out]# 16     5   14         6  2018-08-17
#[Out]# 17     5   28         6  2018-08-22
#[Out]# 18     5    6         9  2018-08-22
#[Out]# 19     5   22         2  2018-08-23
#[Out]# 20     5   16         2  2018-08-23
#[Out]# 21     5   19         1  2018-08-23
#[Out]# 22     7   19         2  2018-08-23
#[Out]# 23     7    2         6  2018-08-23
#[Out]# 24     7   16         4  2018-08-23
#[Out]# 25     7   12         2  2018-08-24
#[Out]# 26     7    6         4  2018-08-25
#[Out]# 27     7   20         6  2018-08-26
#[Out]# 28     8   10         9  2018-08-16
#[Out]# 29     8    6         7  2018-08-16
#[Out]# ..   ...  ...       ...         ...
#[Out]# 462  176    4         7  2018-08-22
#[Out]# 463  176   24         9  2018-08-25
#[Out]# 464  176   13         7  2018-08-25
#[Out]# 465  176    0         2  2018-08-25
#[Out]# 466  176   14         2  2018-08-25
#[Out]# 467  176   11         6  2018-08-25
#[Out]# 468  176   21         8  2018-08-25
#[Out]# 469  176    5         9  2018-08-26
#[Out]# 470  178   25         9  2018-08-27
#[Out]# 471  178   24         1  2018-08-27
#[Out]# 472  179   14         5  2018-08-24
#[Out]# 473  179   11         3  2018-08-24
#[Out]# 474  179   17         2  2018-08-24
#[Out]# 475  179   27         8  2018-08-22
#[Out]# 476  179   16         9  2018-08-22
#[Out]# 477  179   10         7  2018-08-22
#[Out]# 478  180   26         3  2018-08-26
#[Out]# 479  180   13         8  2018-08-26
#[Out]# 480  180   10         3  2018-08-27
#[Out]# 481  181   26         4  2018-08-24
#[Out]# 482  181    6         3  2018-08-24
#[Out]# 483  181   21         5  2018-08-27
#[Out]# 484  181    5         3  2018-08-27
#[Out]# 485  183    5         7  2018-08-19
#[Out]# 486  183   10         2  2018-08-20
#[Out]# 487  183   12         9  2018-08-21
#[Out]# 488  183   18         8  2018-08-21
#[Out]# 489  183    6         3  2018-08-22
#[Out]# 490  183   14         7  2018-08-22
#[Out]# 491  183   25         4  2018-08-22
#[Out]# 
#[Out]# [492 rows x 4 columns]
practicequery1f = '''
    with paullist as (
    select * from shoppinglist
    where cID=123456)
    select * from paullist
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as (
    select * from shoppinglist
    where cID='123456')
    select * from paullist
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with 
        paullist as (
        select *
        from shoppinglist
        where and date='2016-11-30'),
        
        haveitems as (
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with 
        paullist as (
        select *
        from shoppinglist
        where date='2016-11-30'),
        
        haveitems as (
        select sID from inventory as i
        where not exists (
            (select pl.pID from paullist as pl)
            except 
            (select i.pID from inventory as i2 
                where i.sID=i2.sID)))
            
    select sID, sName from store
    where city='Eindhoven' and sID in haveitems
'''

pd.read_sql_query(practicequery1f, conn)

# IPython log file

practicequery1d = '''
    with kpIDs as (
        select pID from product
        where pName='Kelloggs Rice Crispies'),
        kinventories as (
        select sID, quantity from inventory
        where pID in kpIDs)
    select s.sID,s.sName from store as s, kinventories as k
    where s.sID=k.sID and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
practicequery1d = '''
    with kpIDs as (
        select pID from product
        where pName='Kelloggs Rice Crispies'),
        kinventories as (
        select sID, quantity from inventory
        where pID in kpIDs)
    select s.sID,s.sName from store as s, kinventories as k
    where s.sID=k.sID and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kpIDs as (
        select pID from product
        where pName='Kelloggs Rice Crispies'),
        kinventories as (
        select sID, quantity from inventory
        where pID in kpIDs)
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kpIDs as (
        select pID from product
        where pName='Kelloggs Rice Crispies'),
        kinventories as (
        select sID, quantity from inventory
        where pID in (select pID from kpIDs))
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select sID, quantity 
        from inventory as i, product as p
        where p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.sID=p.sID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1c = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID 
        and c.cID=p.cID and p.date=s.date),
        boughtNotList as(select cID from purchase
        where cID not in boughtOnList)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtNotList
'''

pd.read_sql_query(practicequery1c, conn)
#[Out]#     cID     cName
#[Out]# 0     1       Sem
#[Out]# 1     2     Lucas
#[Out]# 2     3      Finn
#[Out]# 3     5      Levi
#[Out]# 4     7      Bram
#[Out]# 5     8      Liam
#[Out]# 6    10       Sam
#[Out]# 7    11     Thijs
#[Out]# 8    13     James
#[Out]# 9    15      Noud
#[Out]# 10   17       Dex
#[Out]# 11   18      Hugo
#[Out]# 12   19      Lars
#[Out]# 13   20      Gijs
#[Out]# 14   21  Benjamin
#[Out]# 15   22      Mats
#[Out]# 16   24      Luca
#[Out]# 17   26    Jayden
#[Out]# 18   27       Tim
#[Out]# 19   28      Siem
#[Out]# 20   29     Ruben
#[Out]# 21   30      Teun
#[Out]# 22   31   Olivier
#[Out]# 23   33      Sven
#[Out]# 24   34     David
#[Out]# 25   35     Stijn
#[Out]# 26   37      Guus
#[Out]# 27   39      Jack
#[Out]# 28   40      Jens
#[Out]# 29   41     Quinn
#[Out]# ..  ...       ...
#[Out]# 69  123     Milou
#[Out]# 70  124     Sofie
#[Out]# 71  127     Emily
#[Out]# 72  128   Jasmijn
#[Out]# 73  133    Sophia
#[Out]# 74  134      Ella
#[Out]# 75  137      Lena
#[Out]# 76  145      Fien
#[Out]# 77  147    Isabel
#[Out]# 78  149     Lizzy
#[Out]# 79  151      Jill
#[Out]# 80  152      Anne
#[Out]# 81  157      Puck
#[Out]# 82  159     Fenne
#[Out]# 83  161     Floor
#[Out]# 84  162     Elena
#[Out]# 85  163      Cato
#[Out]# 86  165     Hanna
#[Out]# 87  167    Veerle
#[Out]# 88  168      Kiki
#[Out]# 89  169      Lily
#[Out]# 90  170      Iris
#[Out]# 91  171     Tessa
#[Out]# 92  172      Lana
#[Out]# 93  175       Sam
#[Out]# 94  176     Amira
#[Out]# 95  178      Elif
#[Out]# 96  179      Juul
#[Out]# 97  180     Merel
#[Out]# 98  181      Liva
#[Out]# 
#[Out]# [99 rows x 2 columns]
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select *
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select * 
    from store as s, kinventories as k
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select * 
    from kinventories as k
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select *
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select * 
    from kinventories as k
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
    and k.quantity=(select max(quantity) from kinventories)
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
'''

pd.read_sql_query(practicequery1d, conn)
query3 = '''
    with allcIDsID as (
        select cID,sID from customer as c, store as s),
        purcIDsID as (
        select cID,sID from purchase),
        notEveryS as (
        select * from allcIDsID
        except 
        select * from purcIDsID)
    select cID from customer
    except 
    select cID from notEveryS
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s, kinventories as k
    where s.sID=k.sID 
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s
    where s.sID=k.sID 
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select s.sID,s.sName 
    from store as s
    where s.sID=s.sID 
'''

pd.read_sql_query(practicequery1d, conn)
#[Out]#     sID        sName
#[Out]# 0     0         Coop
#[Out]# 1     1    Hoogvliet
#[Out]# 2     2        Jumbo
#[Out]# 3     3       Sligro
#[Out]# 4     4    Hoogvliet
#[Out]# 5     5       Sligro
#[Out]# 6     6         Coop
#[Out]# 7     7       Sligro
#[Out]# 8     8  Albert Hein
#[Out]# 9     9  Albert Hein
#[Out]# 10   10        Jumbo
#[Out]# 11   11  Albert Hein
#[Out]# 12   12         Lidl
#[Out]# 13   13         Coop
#[Out]# 14   14         Coop
#[Out]# 15   15         Lidl
#[Out]# 16   16         Lidl
#[Out]# 17   17    Hoogvliet
#[Out]# 18   18       Sligro
#[Out]# 19   19         Coop
#[Out]# 20   20        Jumbo
#[Out]# 21   21         Coop
#[Out]# 22   22         Lidl
#[Out]# 23   23         Dirk
#[Out]# 24   24  Albert Hein
#[Out]# 25   25  Albert Hein
#[Out]# 26   26    Hoogvliet
#[Out]# 27   27       Sligro
#[Out]# 28   28    Hoogvliet
#[Out]# 29   29       Sligro
#[Out]# ..  ...          ...
#[Out]# 34   34         Coop
#[Out]# 35   35         Lidl
#[Out]# 36   36         Lidl
#[Out]# 37   37        Jumbo
#[Out]# 38   38    Hoogvliet
#[Out]# 39   39       Sligro
#[Out]# 40   40    Hoogvliet
#[Out]# 41   41  Albert Hein
#[Out]# 42   42       Sligro
#[Out]# 43   43         Coop
#[Out]# 44   44  Albert Hein
#[Out]# 45   45         Coop
#[Out]# 46   46         Lidl
#[Out]# 47   47         Coop
#[Out]# 48   48    Hoogvliet
#[Out]# 49   49    Hoogvliet
#[Out]# 50   50       Sligro
#[Out]# 51   51         Coop
#[Out]# 52   52         Lidl
#[Out]# 53   53         Coop
#[Out]# 54   54         Dirk
#[Out]# 55   55         Coop
#[Out]# 56   56        Jumbo
#[Out]# 57   57         Dirk
#[Out]# 58   58         Dirk
#[Out]# 59   59        Jumbo
#[Out]# 60   60         Lidl
#[Out]# 61   61         Lidl
#[Out]# 62   62        Jumbo
#[Out]# 63   63        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
practicequery1d = '''
    with kinventories as (
        select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies')
    select i.sID, i.quantity 
        from inventory as i, product as p
        where i.pID=p.pID and p.pName='Kelloggs Rice Crispies'
'''

pd.read_sql_query(practicequery1d, conn)
practicequery1f = '''
    with paullist as(
        select pID,quantity
        from shoppinglist
        where cID='123456')
    select sID,sName from store
    where city='Eindhoven'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#     sID        sName
#[Out]# 0     4    Hoogvliet
#[Out]# 1     7       Sligro
#[Out]# 2     8  Albert Hein
#[Out]# 3    12         Lidl
#[Out]# 4    17    Hoogvliet
#[Out]# 5    30         Dirk
#[Out]# 6    33         Dirk
#[Out]# 7    36         Lidl
#[Out]# 8    37        Jumbo
#[Out]# 9    39       Sligro
#[Out]# 10   52         Lidl
#[Out]# 11   54         Dirk
#[Out]# 12   56        Jumbo
#[Out]# 13   57         Dirk
#[Out]# 14   62        Jumbo
practicequery1f = '''
    with paullist as(
        select pID,quantity
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory
        natural join paullist)
    select sID,sName from store
    where city='Eindhoven'
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#     sID        sName
#[Out]# 0     4    Hoogvliet
#[Out]# 1     7       Sligro
#[Out]# 2     8  Albert Hein
#[Out]# 3    12         Lidl
#[Out]# 4    17    Hoogvliet
#[Out]# 5    30         Dirk
#[Out]# 6    33         Dirk
#[Out]# 7    36         Lidl
#[Out]# 8    37        Jumbo
#[Out]# 9    39       Sligro
#[Out]# 10   52         Lidl
#[Out]# 11   54         Dirk
#[Out]# 12   56        Jumbo
#[Out]# 13   57         Dirk
#[Out]# 14   62        Jumbo
practicequery1f = '''
    with paullist as(
        select pID,quantity
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#     sID        sName
#[Out]# 0     4    Hoogvliet
#[Out]# 1     7       Sligro
#[Out]# 2     8  Albert Hein
#[Out]# 3    12         Lidl
#[Out]# 4    17    Hoogvliet
#[Out]# 5    30         Dirk
#[Out]# 6    33         Dirk
#[Out]# 7    36         Lidl
#[Out]# 8    37        Jumbo
#[Out]# 9    39       Sligro
#[Out]# 10   52         Lidl
#[Out]# 11   54         Dirk
#[Out]# 12   56        Jumbo
#[Out]# 13   57         Dirk
#[Out]# 14   62        Jumbo
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity)
    select sID,sName from store
    where city='Eindhoven' 
'''

pd.read_sql_query(practicequery1f, conn)
#[Out]#     sID        sName
#[Out]# 0     4    Hoogvliet
#[Out]# 1     7       Sligro
#[Out]# 2     8  Albert Hein
#[Out]# 3    12         Lidl
#[Out]# 4    17    Hoogvliet
#[Out]# 5    30         Dirk
#[Out]# 6    33         Dirk
#[Out]# 7    36         Lidl
#[Out]# 8    37        Jumbo
#[Out]# 9    39       Sligro
#[Out]# 10   52         Lidl
#[Out]# 11   54         Dirk
#[Out]# 12   56        Jumbo
#[Out]# 13   57         Dirk
#[Out]# 14   62        Jumbo
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        inventory div shoppinglist)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select * from inventory div shoppinglist)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select * from inventory div select * from shoppinglist)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)
practicequery1f = '''
    with paullist as(
        select *
        from shoppinglist
        where cID='123456'),
        notenough as(
        select sID from inventory as i, paullist as pl
        where i.pID=pl.pID and i.date=pl.date and i.quantity<pl.quantity),
        haveitems as(
        select * from inventory div select * from paullist)
    select sID,sName from store
    where city='Eindhoven' and sID not in notenough
'''

pd.read_sql_query(practicequery1f, conn)

# IPython log file

# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x7f422805ce30>
query1 = '''
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
query1 = 
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID


pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
    and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
    and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID from purchase
    -
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
    and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select p1.pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
    and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions'
        )
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions'
        )
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
#[Out]# 5  190  Kostas
#[Out]# 6  190  Kostas
#[Out]# 7  190  Kostas
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions'
        )
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions'
        )
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
#[Out]# 5  190  Kostas
#[Out]# 6  190  Kostas
#[Out]# 7  190  Kostas
query2 = '''
    with coffeeIDs as (
        select pID from product
        where pName='Coffee'),
        onionsIDs as (
        select pID from product
        where pName='Onions'
        )
    select c.cID,c.cName 
    from customer as c, purchase as p1, purchase as p2, coffeeIDs, onionsIDs
    where c.cID=p1.cID and c.cID=p2.cID 
        and p1.pID=coffeeIDs.pID and p2.pID=onionsIDs.pID
        and p1.date=p2.date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    with allcIDsID as (
        select cID,sID from customer as c, store as s),
        purcIDsID as (
        select cID,sID from purchase),
        neverPur as (
        select cID from allcIDsID
        except 
        select cID from purcIDsID)
    select cID from customer
    except 
    select cID from neverPur
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    with allcIDsID as (
        select cID,sID from customer as c, store as s),
        purcIDsID as (
        select cID,sID from purchase),
        neverPur as (
        select * from allcIDsID
        except 
        select * from purcIDsID)
    select cID from customer
    except 
    select cID from neverPur
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        )
    select sName from store, purchase as p
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        )
    select sName from store, purchase as p
    group by quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
#[Out]# 1  Jumbo
#[Out]# 2  Jumbo
#[Out]# 3  Jumbo
#[Out]# 4  Jumbo
#[Out]# 5  Jumbo
#[Out]# 6  Jumbo
#[Out]# 7  Jumbo
#[Out]# 8  Jumbo
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        )
    select sName, avg(quantity) from store, purchase as p
    group by quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo            5.0
#[Out]# 1  Jumbo            6.0
#[Out]# 2  Jumbo            7.0
#[Out]# 3  Jumbo            8.0
#[Out]# 4  Jumbo            9.0
#[Out]# 5  Jumbo           10.0
#[Out]# 6  Jumbo           11.0
#[Out]# 7  Jumbo           12.0
#[Out]# 8  Jumbo           13.0
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        )
    select s1.sName, avg(quantity) from store as s1, store as s2, purchase as p
    where s1.sName=s2.sName and s1.sID<>s2.sID
    group by quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo            5.0
#[Out]# 1  Jumbo            6.0
#[Out]# 2  Jumbo            7.0
#[Out]# 3  Jumbo            8.0
#[Out]# 4  Jumbo            9.0
#[Out]# 5  Jumbo           10.0
#[Out]# 6  Jumbo           11.0
#[Out]# 7  Jumbo           12.0
#[Out]# 8  Jumbo           13.0
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    group by quantity
    having avg(quantity)>4)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    group by quantity
    having avg(quantity)>4)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    group by quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo            5.0
#[Out]# 1  Jumbo            6.0
#[Out]# 2  Jumbo            7.0
#[Out]# 3  Jumbo            8.0
#[Out]# 4  Jumbo            9.0
#[Out]# 5  Jumbo           10.0
#[Out]# 6  Jumbo           11.0
#[Out]# 7  Jumbo           12.0
#[Out]# 8  Jumbo           13.0
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p

    group by sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(quantity)
#[Out]# 0   Albert Hein            5.0
#[Out]# 1   Albert Hein            6.0
#[Out]# 2   Albert Hein            7.0
#[Out]# 3   Albert Hein            8.0
#[Out]# 4   Albert Hein            9.0
#[Out]# 5   Albert Hein           10.0
#[Out]# 6   Albert Hein           11.0
#[Out]# 7   Albert Hein           12.0
#[Out]# 8   Albert Hein           13.0
#[Out]# 9          Coop            5.0
#[Out]# 10         Coop            6.0
#[Out]# 11         Coop            7.0
#[Out]# 12         Coop            8.0
#[Out]# 13         Coop            9.0
#[Out]# 14         Coop           10.0
#[Out]# 15         Coop           11.0
#[Out]# 16         Coop           12.0
#[Out]# 17         Coop           13.0
#[Out]# 18         Dirk            5.0
#[Out]# 19         Dirk            6.0
#[Out]# 20         Dirk            7.0
#[Out]# 21         Dirk            8.0
#[Out]# 22         Dirk            9.0
#[Out]# 23         Dirk           10.0
#[Out]# 24         Dirk           11.0
#[Out]# 25         Dirk           12.0
#[Out]# 26         Dirk           13.0
#[Out]# 27    Hoogvliet            5.0
#[Out]# 28    Hoogvliet            6.0
#[Out]# 29    Hoogvliet            7.0
#[Out]# ..          ...            ...
#[Out]# 33    Hoogvliet           11.0
#[Out]# 34    Hoogvliet           12.0
#[Out]# 35    Hoogvliet           13.0
#[Out]# 36        Jumbo            5.0
#[Out]# 37        Jumbo            6.0
#[Out]# 38        Jumbo            7.0
#[Out]# 39        Jumbo            8.0
#[Out]# 40        Jumbo            9.0
#[Out]# 41        Jumbo           10.0
#[Out]# 42        Jumbo           11.0
#[Out]# 43        Jumbo           12.0
#[Out]# 44        Jumbo           13.0
#[Out]# 45         Lidl            5.0
#[Out]# 46         Lidl            6.0
#[Out]# 47         Lidl            7.0
#[Out]# 48         Lidl            8.0
#[Out]# 49         Lidl            9.0
#[Out]# 50         Lidl           10.0
#[Out]# 51         Lidl           11.0
#[Out]# 52         Lidl           12.0
#[Out]# 53         Lidl           13.0
#[Out]# 54       Sligro            5.0
#[Out]# 55       Sligro            6.0
#[Out]# 56       Sligro            7.0
#[Out]# 57       Sligro            8.0
#[Out]# 58       Sligro            9.0
#[Out]# 59       Sligro           10.0
#[Out]# 60       Sligro           11.0
#[Out]# 61       Sligro           12.0
#[Out]# 62       Sligro           13.0
#[Out]# 
#[Out]# [63 rows x 2 columns]
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(quantity)
#[Out]# 0   Albert Hein            5.0
#[Out]# 1   Albert Hein            6.0
#[Out]# 2   Albert Hein            7.0
#[Out]# 3   Albert Hein            8.0
#[Out]# 4   Albert Hein            9.0
#[Out]# 5   Albert Hein           10.0
#[Out]# 6          Coop            5.0
#[Out]# 7          Coop            6.0
#[Out]# 8          Coop            7.0
#[Out]# 9          Coop            8.0
#[Out]# 10         Coop            9.0
#[Out]# 11         Dirk            5.0
#[Out]# 12         Dirk            6.0
#[Out]# 13         Dirk            7.0
#[Out]# 14         Dirk            8.0
#[Out]# 15         Dirk            9.0
#[Out]# 16         Dirk           12.0
#[Out]# 17         Dirk           13.0
#[Out]# 18    Hoogvliet            5.0
#[Out]# 19    Hoogvliet            6.0
#[Out]# 20    Hoogvliet            7.0
#[Out]# 21    Hoogvliet            8.0
#[Out]# 22    Hoogvliet            9.0
#[Out]# 23    Hoogvliet           13.0
#[Out]# 24        Jumbo            5.0
#[Out]# 25        Jumbo            6.0
#[Out]# 26        Jumbo            7.0
#[Out]# 27        Jumbo            8.0
#[Out]# 28        Jumbo            9.0
#[Out]# 29         Lidl            5.0
#[Out]# 30         Lidl            6.0
#[Out]# 31         Lidl            7.0
#[Out]# 32         Lidl            8.0
#[Out]# 33         Lidl            9.0
#[Out]# 34       Sligro            5.0
#[Out]# 35       Sligro            6.0
#[Out]# 36       Sligro            7.0
#[Out]# 37       Sligro            8.0
#[Out]# 38       Sligro            9.0
#[Out]# 39       Sligro           11.0
#[Out]# 40       Sligro           12.0
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc.sName=s.sName and s.sID=p.sID
    group by sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc=s.sName and s.sID=p.sID
    group by sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc.sName=s.sName and s.sID=p.sID
    group by sc.sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc.sName=s.sName and s.sID=p.sID
    group by quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sc.sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc.sName=s.sName and s.sID=p.sID
    group by sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sc.sName, avg(quantity) 
    from storeChains as sc, purchase as p, store as s
    where sc.sName=s.sName and s.sID=p.sID
    group by sc.sName, quantity
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(quantity)
#[Out]# 0   Albert Hein            5.0
#[Out]# 1   Albert Hein            6.0
#[Out]# 2   Albert Hein            7.0
#[Out]# 3   Albert Hein            8.0
#[Out]# 4   Albert Hein            9.0
#[Out]# 5   Albert Hein           10.0
#[Out]# 6          Coop            5.0
#[Out]# 7          Coop            6.0
#[Out]# 8          Coop            7.0
#[Out]# 9          Coop            8.0
#[Out]# 10         Coop            9.0
#[Out]# 11         Dirk            5.0
#[Out]# 12         Dirk            6.0
#[Out]# 13         Dirk            7.0
#[Out]# 14         Dirk            8.0
#[Out]# 15         Dirk            9.0
#[Out]# 16         Dirk           12.0
#[Out]# 17         Dirk           13.0
#[Out]# 18    Hoogvliet            5.0
#[Out]# 19    Hoogvliet            6.0
#[Out]# 20    Hoogvliet            7.0
#[Out]# 21    Hoogvliet            8.0
#[Out]# 22    Hoogvliet            9.0
#[Out]# 23    Hoogvliet           13.0
#[Out]# 24        Jumbo            5.0
#[Out]# 25        Jumbo            6.0
#[Out]# 26        Jumbo            7.0
#[Out]# 27        Jumbo            8.0
#[Out]# 28        Jumbo            9.0
#[Out]# 29         Lidl            5.0
#[Out]# 30         Lidl            6.0
#[Out]# 31         Lidl            7.0
#[Out]# 32         Lidl            8.0
#[Out]# 33         Lidl            9.0
#[Out]# 34       Sligro            5.0
#[Out]# 35       Sligro            6.0
#[Out]# 36       Sligro            7.0
#[Out]# 37       Sligro            8.0
#[Out]# 38       Sligro            9.0
#[Out]# 39       Sligro           11.0
#[Out]# 40       Sligro           12.0
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName)
    select sc.sName, avg(quantity) 
    from avgSC
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName)
    select * 
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName)
    select * 
    from avgSC
    where avgSC > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName
        having avg(quantity)>4)
    select * 
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),        
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName
        having avg(quantity)>4)
    select * 
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity) 
        from storeChains as sc, purchase as p
        where sc.sID = p.sID
        group by sc.sName
        having avg(quantity)>4)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>0
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price)
    select pName from highProd, purchase as p
    where highProd.pID=p.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price)
    select pName from highProd, product as p
    where highProd.pID=p.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price)
    select p.pName from highProd, product as p
    where highProd.pID=p.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price)
    select * from highProd
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price amd p1.pID<>p2.pID)
    select * from highProd
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price and p1.pID<>p2.pID)
    select * from highProd
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query5 = '''
        select pID from purchase
        except
        select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price and p1.pID<>p2.pID
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query5 = '''
    with highProd as (
        select pID from purchase
        where pID not in
        (select p1.pID from purchase as p1, purchase as p2
        where p1.price < p2.price and p1.pID<>p2.pID))
    select * from highProd
'''

pd.read_sql_query(query5, conn)
query5 = '''
    with highProd as (
        select pID from purchase
        where price = (select max(price) from purchase))
    select * from highProd
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID
#[Out]# 0   12
query5 = '''
    with highProd as (
        select * from purchase
        where price = (select max(price) from purchase))
    select p.pName, s.sName from highProd as hp, product as p, store as s
    where hp.pID=p.pID and hp.sID=s.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
   
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.797642
#[Out]# 1         Coop       4.797642
#[Out]# 2         Dirk       4.797642
#[Out]# 3    Hoogvliet       4.797642
#[Out]# 4        Jumbo       4.797642
#[Out]# 5         Lidl       4.797642
#[Out]# 6       Sligro       4.797642
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo        4.77466
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sID
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sID, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sID
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sc.sID, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sID
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sc.sID, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sID
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  avg(quantity)
#[Out]# 0     0       4.777778
#[Out]# 1     1       4.750000
#[Out]# 2     3       4.076923
#[Out]# 3     4       6.090909
#[Out]# 4     5       4.875000
#[Out]# 5     7       4.444444
#[Out]# 6     8       5.600000
#[Out]# 7     9       5.444444
#[Out]# 8    10       6.400000
#[Out]# 9    11       4.272727
#[Out]# 10   12       5.000000
#[Out]# 11   15       4.250000
#[Out]# 12   17       5.538462
#[Out]# 13   19       5.571429
#[Out]# 14   20       5.428571
#[Out]# 15   22       5.500000
#[Out]# 16   23       4.400000
#[Out]# 17   24       5.400000
#[Out]# 18   25       5.700000
#[Out]# 19   26       6.500000
#[Out]# 20   27       4.750000
#[Out]# 21   28       5.000000
#[Out]# 22   29       6.000000
#[Out]# 23   30       4.900000
#[Out]# 24   31       7.166667
#[Out]# 25   33       6.166667
#[Out]# 26   34       5.400000
#[Out]# 27   35       4.428571
#[Out]# 28   36       4.142857
#[Out]# 29   38       5.400000
#[Out]# 30   39       4.571429
#[Out]# 31   40       4.300000
#[Out]# 32   41       4.833333
#[Out]# 33   42       5.900000
#[Out]# 34   43       5.769231
#[Out]# 35   44       4.300000
#[Out]# 36   46       5.600000
#[Out]# 37   47       4.636364
#[Out]# 38   48       7.500000
#[Out]# 39   51       4.100000
#[Out]# 40   52       5.750000
#[Out]# 41   54       4.636364
#[Out]# 42   55       5.454545
#[Out]# 43   57       4.666667
#[Out]# 44   58       9.666667
#[Out]# 45   60       6.000000
#[Out]# 46   61       5.000000
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, quantity
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  quantity
#[Out]# 0  Albert Hein         5
#[Out]# 1         Coop         7
#[Out]# 2         Dirk         7
#[Out]# 3    Hoogvliet         3
#[Out]# 4         Lidl         5
#[Out]# 5       Sligro         6
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sName
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID

    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID)
    select sName, avg(quantity) 
    from storeChains as sc, purchase as p
    where sc.sID = p.sID
    group by sc.sID
    having avg(quantity)>4
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(quantity)
#[Out]# 0          Coop       4.777778
#[Out]# 1     Hoogvliet       4.750000
#[Out]# 2        Sligro       4.076923
#[Out]# 3     Hoogvliet       6.090909
#[Out]# 4        Sligro       4.875000
#[Out]# 5        Sligro       4.444444
#[Out]# 6   Albert Hein       5.600000
#[Out]# 7   Albert Hein       5.444444
#[Out]# 8         Jumbo       6.400000
#[Out]# 9   Albert Hein       4.272727
#[Out]# 10         Lidl       5.000000
#[Out]# 11         Lidl       4.250000
#[Out]# 12    Hoogvliet       5.538462
#[Out]# 13         Coop       5.571429
#[Out]# 14        Jumbo       5.428571
#[Out]# 15         Lidl       5.500000
#[Out]# 16         Dirk       4.400000
#[Out]# 17  Albert Hein       5.400000
#[Out]# 18  Albert Hein       5.700000
#[Out]# 19    Hoogvliet       6.500000
#[Out]# 20       Sligro       4.750000
#[Out]# 21    Hoogvliet       5.000000
#[Out]# 22       Sligro       6.000000
#[Out]# 23         Dirk       4.900000
#[Out]# 24         Coop       7.166667
#[Out]# 25         Dirk       6.166667
#[Out]# 26         Coop       5.400000
#[Out]# 27         Lidl       4.428571
#[Out]# 28         Lidl       4.142857
#[Out]# 29    Hoogvliet       5.400000
#[Out]# 30       Sligro       4.571429
#[Out]# 31    Hoogvliet       4.300000
#[Out]# 32  Albert Hein       4.833333
#[Out]# 33       Sligro       5.900000
#[Out]# 34         Coop       5.769231
#[Out]# 35  Albert Hein       4.300000
#[Out]# 36         Lidl       5.600000
#[Out]# 37         Coop       4.636364
#[Out]# 38    Hoogvliet       7.500000
#[Out]# 39         Coop       4.100000
#[Out]# 40         Lidl       5.750000
#[Out]# 41         Dirk       4.636364
#[Out]# 42         Coop       5.454545
#[Out]# 43         Dirk       4.666667
#[Out]# 44         Dirk       9.666667
#[Out]# 45         Lidl       6.000000
#[Out]# 46         Lidl       5.000000
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity)
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo        4.77466
query4 = '''
    with storeChains as (
        select s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity)
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from storeChains
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID
#[Out]# 0         Coop    0
#[Out]# 1         Coop    0
#[Out]# 2         Coop    0
#[Out]# 3         Coop    0
#[Out]# 4         Coop    0
#[Out]# 5         Coop    0
#[Out]# 6         Coop    0
#[Out]# 7         Coop    0
#[Out]# 8         Coop    0
#[Out]# 9         Coop    0
#[Out]# 10        Coop    0
#[Out]# 11        Coop    0
#[Out]# 12        Coop    0
#[Out]# 13   Hoogvliet    1
#[Out]# 14   Hoogvliet    1
#[Out]# 15   Hoogvliet    1
#[Out]# 16   Hoogvliet    1
#[Out]# 17   Hoogvliet    1
#[Out]# 18   Hoogvliet    1
#[Out]# 19   Hoogvliet    1
#[Out]# 20   Hoogvliet    1
#[Out]# 21       Jumbo    2
#[Out]# 22       Jumbo    2
#[Out]# 23       Jumbo    2
#[Out]# 24       Jumbo    2
#[Out]# 25       Jumbo    2
#[Out]# 26       Jumbo    2
#[Out]# 27       Jumbo    2
#[Out]# 28      Sligro    3
#[Out]# 29      Sligro    3
#[Out]# ..         ...  ...
#[Out]# 528       Lidl   60
#[Out]# 529       Lidl   60
#[Out]# 530       Lidl   60
#[Out]# 531       Lidl   60
#[Out]# 532       Lidl   60
#[Out]# 533       Lidl   60
#[Out]# 534       Lidl   60
#[Out]# 535       Lidl   61
#[Out]# 536       Lidl   61
#[Out]# 537       Lidl   61
#[Out]# 538       Lidl   61
#[Out]# 539       Lidl   61
#[Out]# 540       Lidl   61
#[Out]# 541       Lidl   61
#[Out]# 542       Lidl   61
#[Out]# 543       Lidl   61
#[Out]# 544      Jumbo   62
#[Out]# 545      Jumbo   62
#[Out]# 546      Jumbo   62
#[Out]# 547      Jumbo   62
#[Out]# 548      Jumbo   62
#[Out]# 549      Jumbo   62
#[Out]# 550      Jumbo   62
#[Out]# 551      Jumbo   63
#[Out]# 552      Jumbo   63
#[Out]# 553      Jumbo   63
#[Out]# 554      Jumbo   63
#[Out]# 555      Jumbo   63
#[Out]# 556      Jumbo   63
#[Out]# 557      Jumbo   63
#[Out]# 
#[Out]# [558 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity)
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from storeChains
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, avg(quantity)
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo       4.797642
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  quantity
#[Out]# 0         Sligro         1
#[Out]# 1           Dirk         2
#[Out]# 2         Sligro         3
#[Out]# 3      Hoogvliet         2
#[Out]# 4    Albert Hein         4
#[Out]# 5           Lidl         4
#[Out]# 6           Lidl         8
#[Out]# 7           Lidl         6
#[Out]# 8           Lidl         1
#[Out]# 9         Sligro         7
#[Out]# 10          Coop         6
#[Out]# 11          Coop         4
#[Out]# 12          Coop         1
#[Out]# 13   Albert Hein         2
#[Out]# 14          Dirk         2
#[Out]# 15        Sligro         6
#[Out]# 16     Hoogvliet         2
#[Out]# 17         Jumbo         9
#[Out]# 18          Coop         5
#[Out]# 19          Coop         2
#[Out]# 20        Sligro         9
#[Out]# 21   Albert Hein         4
#[Out]# 22     Hoogvliet         6
#[Out]# 23          Lidl         6
#[Out]# 24          Coop         9
#[Out]# 25          Coop         2
#[Out]# 26          Coop         2
#[Out]# 27     Hoogvliet         1
#[Out]# 28        Sligro         2
#[Out]# 29          Lidl         6
#[Out]# ..           ...       ...
#[Out]# 479         Coop         4
#[Out]# 480         Lidl         5
#[Out]# 481         Lidl         3
#[Out]# 482        Jumbo         4
#[Out]# 483    Hoogvliet         4
#[Out]# 484       Sligro         4
#[Out]# 485    Hoogvliet         2
#[Out]# 486  Albert Hein         5
#[Out]# 487       Sligro         5
#[Out]# 488         Coop         7
#[Out]# 489  Albert Hein         5
#[Out]# 490         Coop         2
#[Out]# 491         Lidl         4
#[Out]# 492         Coop         4
#[Out]# 493    Hoogvliet         6
#[Out]# 494    Hoogvliet         3
#[Out]# 495       Sligro         6
#[Out]# 496         Coop         1
#[Out]# 497         Lidl         5
#[Out]# 498         Coop         4
#[Out]# 499         Dirk         6
#[Out]# 500         Coop         7
#[Out]# 501        Jumbo         4
#[Out]# 502         Dirk         5
#[Out]# 503         Dirk         7
#[Out]# 504        Jumbo         2
#[Out]# 505         Lidl         6
#[Out]# 506         Lidl         5
#[Out]# 507        Jumbo         2
#[Out]# 508        Jumbo         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from storeChains
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  quantity
#[Out]# 0         Sligro         1
#[Out]# 1           Dirk         2
#[Out]# 2         Sligro         3
#[Out]# 3      Hoogvliet         2
#[Out]# 4    Albert Hein         4
#[Out]# 5           Lidl         4
#[Out]# 6           Lidl         8
#[Out]# 7           Lidl         6
#[Out]# 8           Lidl         1
#[Out]# 9         Sligro         7
#[Out]# 10          Coop         6
#[Out]# 11          Coop         4
#[Out]# 12          Coop         1
#[Out]# 13   Albert Hein         2
#[Out]# 14          Dirk         2
#[Out]# 15        Sligro         6
#[Out]# 16     Hoogvliet         2
#[Out]# 17         Jumbo         9
#[Out]# 18          Coop         5
#[Out]# 19          Coop         2
#[Out]# 20        Sligro         9
#[Out]# 21   Albert Hein         4
#[Out]# 22     Hoogvliet         6
#[Out]# 23          Lidl         6
#[Out]# 24          Coop         9
#[Out]# 25          Coop         2
#[Out]# 26          Coop         2
#[Out]# 27     Hoogvliet         1
#[Out]# 28        Sligro         2
#[Out]# 29          Lidl         6
#[Out]# ..           ...       ...
#[Out]# 479         Coop         4
#[Out]# 480         Lidl         5
#[Out]# 481         Lidl         3
#[Out]# 482        Jumbo         4
#[Out]# 483    Hoogvliet         4
#[Out]# 484       Sligro         4
#[Out]# 485    Hoogvliet         2
#[Out]# 486  Albert Hein         5
#[Out]# 487       Sligro         5
#[Out]# 488         Coop         7
#[Out]# 489  Albert Hein         5
#[Out]# 490         Coop         2
#[Out]# 491         Lidl         4
#[Out]# 492         Coop         4
#[Out]# 493    Hoogvliet         6
#[Out]# 494    Hoogvliet         3
#[Out]# 495       Sligro         6
#[Out]# 496         Coop         1
#[Out]# 497         Lidl         5
#[Out]# 498         Coop         4
#[Out]# 499         Dirk         6
#[Out]# 500         Coop         7
#[Out]# 501        Jumbo         4
#[Out]# 502         Dirk         5
#[Out]# 503         Dirk         7
#[Out]# 504        Jumbo         2
#[Out]# 505         Lidl         6
#[Out]# 506         Lidl         5
#[Out]# 507        Jumbo         2
#[Out]# 508        Jumbo         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID
        group by sName)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  quantity
#[Out]# 0  Albert Hein         5
#[Out]# 1         Coop         7
#[Out]# 2         Dirk         7
#[Out]# 3    Hoogvliet         3
#[Out]# 4        Jumbo         1
#[Out]# 5         Lidl         5
#[Out]# 6       Sligro         6
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID
        group by quantity)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  quantity
#[Out]# 0         Jumbo         1
#[Out]# 1         Jumbo         2
#[Out]# 2     Hoogvliet         3
#[Out]# 3         Jumbo         4
#[Out]# 4          Lidl         5
#[Out]# 5          Lidl         6
#[Out]# 6          Dirk         7
#[Out]# 7     Hoogvliet         8
#[Out]# 8     Hoogvliet         9
#[Out]# 9   Albert Hein        10
#[Out]# 10       Sligro        11
#[Out]# 11         Dirk        12
#[Out]# 12    Hoogvliet        13
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  quantity
#[Out]# 0         Sligro         1
#[Out]# 1           Dirk         2
#[Out]# 2         Sligro         3
#[Out]# 3      Hoogvliet         2
#[Out]# 4    Albert Hein         4
#[Out]# 5           Lidl         4
#[Out]# 6           Lidl         8
#[Out]# 7           Lidl         6
#[Out]# 8           Lidl         1
#[Out]# 9         Sligro         7
#[Out]# 10          Coop         6
#[Out]# 11          Coop         4
#[Out]# 12          Coop         1
#[Out]# 13   Albert Hein         2
#[Out]# 14          Dirk         2
#[Out]# 15        Sligro         6
#[Out]# 16     Hoogvliet         2
#[Out]# 17         Jumbo         9
#[Out]# 18          Coop         5
#[Out]# 19          Coop         2
#[Out]# 20        Sligro         9
#[Out]# 21   Albert Hein         4
#[Out]# 22     Hoogvliet         6
#[Out]# 23          Lidl         6
#[Out]# 24          Coop         9
#[Out]# 25          Coop         2
#[Out]# 26          Coop         2
#[Out]# 27     Hoogvliet         1
#[Out]# 28        Sligro         2
#[Out]# 29          Lidl         6
#[Out]# ..           ...       ...
#[Out]# 479         Coop         4
#[Out]# 480         Lidl         5
#[Out]# 481         Lidl         3
#[Out]# 482        Jumbo         4
#[Out]# 483    Hoogvliet         4
#[Out]# 484       Sligro         4
#[Out]# 485    Hoogvliet         2
#[Out]# 486  Albert Hein         5
#[Out]# 487       Sligro         5
#[Out]# 488         Coop         7
#[Out]# 489  Albert Hein         5
#[Out]# 490         Coop         2
#[Out]# 491         Lidl         4
#[Out]# 492         Coop         4
#[Out]# 493    Hoogvliet         6
#[Out]# 494    Hoogvliet         3
#[Out]# 495       Sligro         6
#[Out]# 496         Coop         1
#[Out]# 497         Lidl         5
#[Out]# 498         Coop         4
#[Out]# 499         Dirk         6
#[Out]# 500         Coop         7
#[Out]# 501        Jumbo         4
#[Out]# 502         Dirk         5
#[Out]# 503         Dirk         7
#[Out]# 504        Jumbo         2
#[Out]# 505         Lidl         6
#[Out]# 506         Lidl         5
#[Out]# 507        Jumbo         2
#[Out]# 508        Jumbo         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from purchase
'''

pd.read_sql_query(query4, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        avgSC as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select *
    from avgSC
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  quantity
#[Out]# 0         Sligro         1
#[Out]# 1           Dirk         2
#[Out]# 2         Sligro         3
#[Out]# 3      Hoogvliet         2
#[Out]# 4    Albert Hein         4
#[Out]# 5           Lidl         4
#[Out]# 6           Lidl         8
#[Out]# 7           Lidl         6
#[Out]# 8           Lidl         1
#[Out]# 9         Sligro         7
#[Out]# 10          Coop         6
#[Out]# 11          Coop         4
#[Out]# 12          Coop         1
#[Out]# 13   Albert Hein         2
#[Out]# 14          Dirk         2
#[Out]# 15        Sligro         6
#[Out]# 16     Hoogvliet         2
#[Out]# 17         Jumbo         9
#[Out]# 18          Coop         5
#[Out]# 19          Coop         2
#[Out]# 20        Sligro         9
#[Out]# 21   Albert Hein         4
#[Out]# 22     Hoogvliet         6
#[Out]# 23          Lidl         6
#[Out]# 24          Coop         9
#[Out]# 25          Coop         2
#[Out]# 26          Coop         2
#[Out]# 27     Hoogvliet         1
#[Out]# 28        Sligro         2
#[Out]# 29          Lidl         6
#[Out]# ..           ...       ...
#[Out]# 479         Coop         4
#[Out]# 480         Lidl         5
#[Out]# 481         Lidl         3
#[Out]# 482        Jumbo         4
#[Out]# 483    Hoogvliet         4
#[Out]# 484       Sligro         4
#[Out]# 485    Hoogvliet         2
#[Out]# 486  Albert Hein         5
#[Out]# 487       Sligro         5
#[Out]# 488         Coop         7
#[Out]# 489  Albert Hein         5
#[Out]# 490         Coop         2
#[Out]# 491         Lidl         4
#[Out]# 492         Coop         4
#[Out]# 493    Hoogvliet         6
#[Out]# 494    Hoogvliet         3
#[Out]# 495       Sligro         6
#[Out]# 496         Coop         1
#[Out]# 497         Lidl         5
#[Out]# 498         Coop         4
#[Out]# 499         Dirk         6
#[Out]# 500         Coop         7
#[Out]# 501        Jumbo         4
#[Out]# 502         Dirk         5
#[Out]# 503         Dirk         7
#[Out]# 504        Jumbo         2
#[Out]# 505         Lidl         6
#[Out]# 506         Lidl         5
#[Out]# 507        Jumbo         2
#[Out]# 508        Jumbo         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select avg(quantity)
    from sNameQuantity
'''

pd.read_sql_query(query4, conn)
#[Out]#    avg(quantity)
#[Out]# 0       4.797642
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select sName,avg(quantity)
    from sNameQuantity
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo       4.797642
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select sName,avg(quantity)
    from sNameQuantity
    group by sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select sName,avg(quantity)
    from sNameQuantity
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    with storeChains as (
        select distinct s1.sName,s1.sID from store as s1, store as s2
        where s1.sName=s2.sName and s1.sID<>s2.sID),
        sNameQuantity as (
        select sName, quantity
        from storeChains as sc, purchase as p
        where sc.sID=p.sID)
    select sName
    from sNameQuantity
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query6 = '''
    with curInv as (
        select * from inventory
        where date=‘2018-08-23’)
    select * from curInv
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23')
    select * from curInv
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0    51   10  2018-08-23        31        0.60
#[Out]# 1    57   19  2018-08-23        12        2.95
#[Out]# 2    38   23  2018-08-23        29        1.80
#[Out]# 3    35   13  2018-08-23        28        4.15
#[Out]# 4    45   13  2018-08-23        32        4.10
#[Out]# 5     5   17  2018-08-23        34        2.45
#[Out]# 6    13   15  2018-08-23        11        1.25
#[Out]# 7    50   10  2018-08-23        54        0.55
#[Out]# 8     7    1  2018-08-23        18        5.80
#[Out]# 9     2   11  2018-08-23        21        1.00
#[Out]# 10   28   27  2018-08-23        43        8.50
#[Out]# 11   35   25  2018-08-23        36        4.00
#[Out]# 12   41    1  2018-08-23        53        4.60
#[Out]# 13   56   25  2018-08-23        19        4.35
#[Out]# 14   45    4  2018-08-23        50        1.00
#[Out]# 15   19    4  2018-08-23        53        1.20
#[Out]# 16   29   17  2018-08-23         4        1.95
#[Out]# 17   11    2  2018-08-23        22        2.10
#[Out]# 18   32   28  2018-08-23        36        6.85
#[Out]# 19    6    0  2018-08-23        37        4.35
#[Out]# 20   33   11  2018-08-23        32        1.05
#[Out]# 21   35   27  2018-08-23        54        8.85
#[Out]# 22   34   10  2018-08-23         8        0.45
#[Out]# 23   42   12  2018-08-23        46       11.40
#[Out]# 24   41   14  2018-08-23         3        3.35
#[Out]# 25   33   19  2018-08-23        32        2.25
#[Out]# 26   30   22  2018-08-23        29        2.05
#[Out]# 27   50   22  2018-08-23         5        1.95
#[Out]# 28   29    0  2018-08-23        28        5.15
#[Out]# 29   47    7  2018-08-23        27        1.85
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 38   11   16  2018-08-23         3        1.90
#[Out]# 39   21   23  2018-08-23        20        2.10
#[Out]# 40   43    7  2018-08-23        20        1.95
#[Out]# 41   40   14  2018-08-23         3        4.10
#[Out]# 42    3    3  2018-08-23        17        1.35
#[Out]# 43   16   22  2018-08-23        14        1.60
#[Out]# 44   50   14  2018-08-23        19        3.85
#[Out]# 45   40   27  2018-08-23        17        6.90
#[Out]# 46   33    8  2018-08-23        16        4.80
#[Out]# 47   44   19  2018-08-23         4        2.65
#[Out]# 48   12   15  2018-08-23         1        1.25
#[Out]# 49   11   14  2018-08-23        12        3.20
#[Out]# 50    5   16  2018-08-23         4        1.65
#[Out]# 51    1    5  2018-08-23         2        0.45
#[Out]# 52   52   28  2018-08-23         8        7.35
#[Out]# 53    5   12  2018-08-23        11       13.40
#[Out]# 54   12   13  2018-08-23        15        3.55
#[Out]# 55   35   11  2018-08-23        15        1.20
#[Out]# 56   55    1  2018-08-23         1        4.80
#[Out]# 57   54   12  2018-08-23         5       12.55
#[Out]# 58   11   15  2018-08-23        14        1.30
#[Out]# 59   35    7  2018-08-23         7        2.20
#[Out]# 60    6   15  2018-08-23         4        1.00
#[Out]# 61   37   28  2018-08-23        19        7.75
#[Out]# 62   25    8  2018-08-23         6        5.55
#[Out]# 63    9   12  2018-08-23         5       13.15
#[Out]# 64   38   24  2018-08-23        10        3.55
#[Out]# 65   56    1  2018-08-23         1        4.40
#[Out]# 66   48    6  2018-08-23        21        1.15
#[Out]# 67    4   13  2018-08-23        23        4.20
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23')
    select * from curInv as i1, curInv as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7     35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8     35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9     35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26    35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27    41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price,i2.unit_price from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price  unit_price:1
#[Out]# 0          0.60          0.45
#[Out]# 1          0.60          0.55
#[Out]# 2          2.95          2.10
#[Out]# 3          2.95          2.20
#[Out]# 4          2.95          2.25
#[Out]# 5          2.95          2.65
#[Out]# 6          1.80          2.10
#[Out]# 7          4.15          4.20
#[Out]# 8          4.15          3.55
#[Out]# 9          4.15          4.10
#[Out]# 10         4.10          4.20
#[Out]# 11         4.10          3.55
#[Out]# 12         4.10          4.15
#[Out]# 13         2.45          1.95
#[Out]# 14         1.25          1.00
#[Out]# 15         1.25          1.30
#[Out]# 16         1.25          1.25
#[Out]# 17         0.55          0.45
#[Out]# 18         0.55          0.60
#[Out]# 19         5.80          4.60
#[Out]# 20         5.80          4.80
#[Out]# 21         5.80          4.40
#[Out]# 22         1.00          1.05
#[Out]# 23         1.00          1.20
#[Out]# 24         8.50          8.85
#[Out]# 25         8.50          6.90
#[Out]# 26         4.00          4.35
#[Out]# 27         4.60          5.80
#[Out]# 28         4.60          4.80
#[Out]# 29         4.60          4.40
#[Out]# ..          ...           ...
#[Out]# 124        3.55          4.10
#[Out]# 125        1.20          1.00
#[Out]# 126        1.20          1.05
#[Out]# 127        4.80          5.80
#[Out]# 128        4.80          4.60
#[Out]# 129        4.80          4.40
#[Out]# 130       12.55         13.40
#[Out]# 131       12.55         13.15
#[Out]# 132       12.55         11.40
#[Out]# 133        1.30          1.00
#[Out]# 134        1.30          1.25
#[Out]# 135        1.30          1.25
#[Out]# 136        2.20          1.95
#[Out]# 137        2.20          1.85
#[Out]# 138        1.00          1.30
#[Out]# 139        1.00          1.25
#[Out]# 140        1.00          1.25
#[Out]# 141        7.75          6.85
#[Out]# 142        7.75          7.35
#[Out]# 143        5.55          4.80
#[Out]# 144       13.15         13.40
#[Out]# 145       13.15         11.40
#[Out]# 146       13.15         12.55
#[Out]# 147        3.55          4.10
#[Out]# 148        4.40          5.80
#[Out]# 149        4.40          4.60
#[Out]# 150        4.40          4.80
#[Out]# 151        4.20          3.55
#[Out]# 152        4.20          4.15
#[Out]# 153        4.20          4.10
#[Out]# 
#[Out]# [154 rows x 2 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price as price1,i2.unit_price as price2 
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price,i2.unit_price
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price as price1,i2.unit_price as price2 
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#      price1  price2
#[Out]# 0      0.60    0.45
#[Out]# 1      0.60    0.55
#[Out]# 2      2.95    2.10
#[Out]# 3      2.95    2.20
#[Out]# 4      2.95    2.25
#[Out]# 5      2.95    2.65
#[Out]# 6      1.80    2.10
#[Out]# 7      4.15    4.20
#[Out]# 8      4.15    3.55
#[Out]# 9      4.15    4.10
#[Out]# 10     4.10    4.20
#[Out]# 11     4.10    3.55
#[Out]# 12     4.10    4.15
#[Out]# 13     2.45    1.95
#[Out]# 14     1.25    1.00
#[Out]# 15     1.25    1.30
#[Out]# 16     1.25    1.25
#[Out]# 17     0.55    0.45
#[Out]# 18     0.55    0.60
#[Out]# 19     5.80    4.60
#[Out]# 20     5.80    4.80
#[Out]# 21     5.80    4.40
#[Out]# 22     1.00    1.05
#[Out]# 23     1.00    1.20
#[Out]# 24     8.50    8.85
#[Out]# 25     8.50    6.90
#[Out]# 26     4.00    4.35
#[Out]# 27     4.60    5.80
#[Out]# 28     4.60    4.80
#[Out]# 29     4.60    4.40
#[Out]# ..      ...     ...
#[Out]# 124    3.55    4.10
#[Out]# 125    1.20    1.00
#[Out]# 126    1.20    1.05
#[Out]# 127    4.80    5.80
#[Out]# 128    4.80    4.60
#[Out]# 129    4.80    4.40
#[Out]# 130   12.55   13.40
#[Out]# 131   12.55   13.15
#[Out]# 132   12.55   11.40
#[Out]# 133    1.30    1.00
#[Out]# 134    1.30    1.25
#[Out]# 135    1.30    1.25
#[Out]# 136    2.20    1.95
#[Out]# 137    2.20    1.85
#[Out]# 138    1.00    1.30
#[Out]# 139    1.00    1.25
#[Out]# 140    1.00    1.25
#[Out]# 141    7.75    6.85
#[Out]# 142    7.75    7.35
#[Out]# 143    5.55    4.80
#[Out]# 144   13.15   13.40
#[Out]# 145   13.15   11.40
#[Out]# 146   13.15   12.55
#[Out]# 147    3.55    4.10
#[Out]# 148    4.40    5.80
#[Out]# 149    4.40    4.60
#[Out]# 150    4.40    4.80
#[Out]# 151    4.20    3.55
#[Out]# 152    4.20    4.15
#[Out]# 153    4.20    4.10
#[Out]# 
#[Out]# [154 rows x 2 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price as price1,i2.unit_price as price2 
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select price1-price2
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#      price1-price2
#[Out]# 0             0.15
#[Out]# 1             0.05
#[Out]# 2             0.85
#[Out]# 3             0.75
#[Out]# 4             0.70
#[Out]# 5             0.30
#[Out]# 6            -0.30
#[Out]# 7            -0.05
#[Out]# 8             0.60
#[Out]# 9             0.05
#[Out]# 10           -0.10
#[Out]# 11            0.55
#[Out]# 12           -0.05
#[Out]# 13            0.50
#[Out]# 14            0.25
#[Out]# 15           -0.05
#[Out]# 16            0.00
#[Out]# 17            0.10
#[Out]# 18           -0.05
#[Out]# 19            1.20
#[Out]# 20            1.00
#[Out]# 21            1.40
#[Out]# 22           -0.05
#[Out]# 23           -0.20
#[Out]# 24           -0.35
#[Out]# 25            1.60
#[Out]# 26           -0.35
#[Out]# 27           -1.20
#[Out]# 28           -0.20
#[Out]# 29            0.20
#[Out]# ..             ...
#[Out]# 124          -0.55
#[Out]# 125           0.20
#[Out]# 126           0.15
#[Out]# 127          -1.00
#[Out]# 128           0.20
#[Out]# 129           0.40
#[Out]# 130          -0.85
#[Out]# 131          -0.60
#[Out]# 132           1.15
#[Out]# 133           0.30
#[Out]# 134           0.05
#[Out]# 135           0.05
#[Out]# 136           0.25
#[Out]# 137           0.35
#[Out]# 138          -0.30
#[Out]# 139          -0.25
#[Out]# 140          -0.25
#[Out]# 141           0.90
#[Out]# 142           0.40
#[Out]# 143           0.75
#[Out]# 144          -0.25
#[Out]# 145           1.75
#[Out]# 146           0.60
#[Out]# 147          -0.55
#[Out]# 148          -1.40
#[Out]# 149          -0.20
#[Out]# 150          -0.40
#[Out]# 151           0.65
#[Out]# 152           0.05
#[Out]# 153           0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price - i2.unit_price
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select price1-price2
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#      i1.unit_price-i2.unit_price
#[Out]# 0                           0.15
#[Out]# 1                           0.05
#[Out]# 2                           0.85
#[Out]# 3                           0.75
#[Out]# 4                           0.70
#[Out]# 5                           0.30
#[Out]# 6                          -0.30
#[Out]# 7                          -0.05
#[Out]# 8                           0.60
#[Out]# 9                           0.05
#[Out]# 10                         -0.10
#[Out]# 11                          0.55
#[Out]# 12                         -0.05
#[Out]# 13                          0.50
#[Out]# 14                          0.25
#[Out]# 15                         -0.05
#[Out]# 16                          0.00
#[Out]# 17                          0.10
#[Out]# 18                         -0.05
#[Out]# 19                          1.20
#[Out]# 20                          1.00
#[Out]# 21                          1.40
#[Out]# 22                         -0.05
#[Out]# 23                         -0.20
#[Out]# 24                         -0.35
#[Out]# 25                          1.60
#[Out]# 26                         -0.35
#[Out]# 27                         -1.20
#[Out]# 28                         -0.20
#[Out]# 29                          0.20
#[Out]# ..                           ...
#[Out]# 124                        -0.55
#[Out]# 125                         0.20
#[Out]# 126                         0.15
#[Out]# 127                        -1.00
#[Out]# 128                         0.20
#[Out]# 129                         0.40
#[Out]# 130                        -0.85
#[Out]# 131                        -0.60
#[Out]# 132                         1.15
#[Out]# 133                         0.30
#[Out]# 134                         0.05
#[Out]# 135                         0.05
#[Out]# 136                         0.25
#[Out]# 137                         0.35
#[Out]# 138                        -0.30
#[Out]# 139                        -0.25
#[Out]# 140                        -0.25
#[Out]# 141                         0.90
#[Out]# 142                         0.40
#[Out]# 143                         0.75
#[Out]# 144                        -0.25
#[Out]# 145                         1.75
#[Out]# 146                         0.60
#[Out]# 147                        -0.55
#[Out]# 148                        -1.40
#[Out]# 149                        -0.20
#[Out]# 150                        -0.40
#[Out]# 151                         0.65
#[Out]# 152                         0.05
#[Out]# 153                         0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where *> ALL (select * from difPriceTuples - *)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where *> ALL (select * from difPriceTuples)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price as price_dif
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where price_dif> ALL (select price_dif from difPriceTuples - price_dif)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price as price_dif
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
    where price_dif> ALL (select price_dif from difPriceTuples)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select i1.unit_price-i2.unit_price as price_dif
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select max(price_dif)
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(price_dif)
#[Out]# 0             2.0
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select max(i1.unit_price-i2.unit_price)
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select *
    from difPriceTuples
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price-i2.unit_price)
#[Out]# 0                               2.0
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23'),
        difPriceTuples as (
        select max(i1.unit_price-i2.unit_price)
        from curInv as i1, curInv as i2
        where i1.sID<>i2.sID and i1.pID=i2.pID)
    select max(i1.unit_price-i2.unit_price)
    from curInv as i1, curInv as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23')
    select max(i1.unit_price-i2.unit_price)
    from curInv as i1, curInv as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price-i2.unit_price)
#[Out]# 0                               2.0
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23')
    select max(i1.unit_price-i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID and date='2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    with curInv as (
        select * from inventory
        where date='2018-08-23')
    select max(i1.unit_price-i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID 
        and i1.date='2018-08-23' and i2.date='2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price-i2.unit_price)
#[Out]# 0                               2.0
query6 = '''
    select max(i2.unit_price-i1.unit_price)
    from inventory as i1, inventory as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID 
        and i1.date='2018-08-23' and i2.date='2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i2.unit_price-i1.unit_price)
#[Out]# 0                               2.0
query6 = '''
    select max(i1.unit_price-i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.sID<>i2.sID and i1.pID=i2.pID 
        and i1.date='2018-08-23' and i2.date='2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price-i2.unit_price)
#[Out]# 0                               2.0
practicequery1a = '''
    select cID,cName
    from customer as c, shoppinglist as s, purchase as p
    where p.pID<>s.pID and c.cID=s.cID and c.cID=p.cID
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    select c.cID,cName
    from customer as c, shoppinglist as s, purchase as p
    where p.pID<>s.pID and c.cID=s.cID and c.cID=p.cID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#       cID  cName
#[Out]# 0       1    Sem
#[Out]# 1       1    Sem
#[Out]# 2       1    Sem
#[Out]# 3       1    Sem
#[Out]# 4       1    Sem
#[Out]# 5       1    Sem
#[Out]# 6       1    Sem
#[Out]# 7       1    Sem
#[Out]# 8       1    Sem
#[Out]# 9       1    Sem
#[Out]# 10      1    Sem
#[Out]# 11      1    Sem
#[Out]# 12      1    Sem
#[Out]# 13      1    Sem
#[Out]# 14      1    Sem
#[Out]# 15      1    Sem
#[Out]# 16      1    Sem
#[Out]# 17      1    Sem
#[Out]# 18      1    Sem
#[Out]# 19      1    Sem
#[Out]# 20      1    Sem
#[Out]# 21      1    Sem
#[Out]# 22      1    Sem
#[Out]# 23      1    Sem
#[Out]# 24      1    Sem
#[Out]# 25      1    Sem
#[Out]# 26      1    Sem
#[Out]# 27      1    Sem
#[Out]# 28      1    Sem
#[Out]# 29      1    Sem
#[Out]# ...   ...    ...
#[Out]# 1907  179   Juul
#[Out]# 1908  179   Juul
#[Out]# 1909  179   Juul
#[Out]# 1910  179   Juul
#[Out]# 1911  179   Juul
#[Out]# 1912  179   Juul
#[Out]# 1913  179   Juul
#[Out]# 1914  179   Juul
#[Out]# 1915  179   Juul
#[Out]# 1916  179   Juul
#[Out]# 1917  179   Juul
#[Out]# 1918  179   Juul
#[Out]# 1919  179   Juul
#[Out]# 1920  179   Juul
#[Out]# 1921  179   Juul
#[Out]# 1922  180  Merel
#[Out]# 1923  180  Merel
#[Out]# 1924  180  Merel
#[Out]# 1925  180  Merel
#[Out]# 1926  180  Merel
#[Out]# 1927  180  Merel
#[Out]# 1928  181   Liva
#[Out]# 1929  181   Liva
#[Out]# 1930  181   Liva
#[Out]# 1931  181   Liva
#[Out]# 1932  181   Liva
#[Out]# 1933  181   Liva
#[Out]# 1934  181   Liva
#[Out]# 1935  181   Liva
#[Out]# 1936  181   Liva
#[Out]# 
#[Out]# [1937 rows x 2 columns]
practicequery1a = '''
    select distinct c.cID,cName
    from customer as c, shoppinglist as s, purchase as p
    where p.pID<>s.pID and c.cID=s.cID and c.cID=p.cID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#     cID     cName
#[Out]# 0     1       Sem
#[Out]# 1     2     Lucas
#[Out]# 2     3      Finn
#[Out]# 3     5      Levi
#[Out]# 4     7      Bram
#[Out]# 5     8      Liam
#[Out]# 6    13     James
#[Out]# 7    17       Dex
#[Out]# 8    18      Hugo
#[Out]# 9    19      Lars
#[Out]# 10   20      Gijs
#[Out]# 11   21  Benjamin
#[Out]# 12   22      Mats
#[Out]# 13   24      Luca
#[Out]# 14   27       Tim
#[Out]# 15   28      Siem
#[Out]# 16   29     Ruben
#[Out]# 17   30      Teun
#[Out]# 18   31   Olivier
#[Out]# 19   33      Sven
#[Out]# 20   34     David
#[Out]# 21   35     Stijn
#[Out]# 22   37      Guus
#[Out]# 23   38    Floris
#[Out]# 24   39      Jack
#[Out]# 25   40      Jens
#[Out]# 26   41     Quinn
#[Out]# 27   42      Tijn
#[Out]# 28   43       Tom
#[Out]# 29   45      Ryan
#[Out]# ..  ...       ...
#[Out]# 62  122      Elin
#[Out]# 63  123     Milou
#[Out]# 64  124     Sofie
#[Out]# 65  127     Emily
#[Out]# 66  133    Sophia
#[Out]# 67  134      Ella
#[Out]# 68  137      Lena
#[Out]# 69  144       Ivy
#[Out]# 70  145      Fien
#[Out]# 71  147    Isabel
#[Out]# 72  149     Lizzy
#[Out]# 73  151      Jill
#[Out]# 74  152      Anne
#[Out]# 75  157      Puck
#[Out]# 76  159     Fenne
#[Out]# 77  161     Floor
#[Out]# 78  162     Elena
#[Out]# 79  163      Cato
#[Out]# 80  165     Hanna
#[Out]# 81  167    Veerle
#[Out]# 82  169      Lily
#[Out]# 83  170      Iris
#[Out]# 84  171     Tessa
#[Out]# 85  172      Lana
#[Out]# 86  175       Sam
#[Out]# 87  176     Amira
#[Out]# 88  178      Elif
#[Out]# 89  179      Juul
#[Out]# 90  180     Merel
#[Out]# 91  181      Liva
#[Out]# 
#[Out]# [92 rows x 2 columns]
practicequery1a = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID and c.cID=p.cID)
    select cID, cName
    from purchase
    where cID not in boughtOnList
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID and c.cID=p.cID)
    select p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and cID not in boughtOnList
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID and c.cID=p.cID)
    select p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtOnList
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      4      Daan
#[Out]# 2      4      Daan
#[Out]# 3      4      Daan
#[Out]# 4      4      Daan
#[Out]# 5      4      Daan
#[Out]# 6      4      Daan
#[Out]# 7     16    Julian
#[Out]# 8     16    Julian
#[Out]# 9     16    Julian
#[Out]# 10    16    Julian
#[Out]# 11    16    Julian
#[Out]# 12    16    Julian
#[Out]# 13    16    Julian
#[Out]# 14    16    Julian
#[Out]# 15    16    Julian
#[Out]# 16    16    Julian
#[Out]# 17    44     Jason
#[Out]# 18    44     Jason
#[Out]# 19    44     Jason
#[Out]# 20    60  Mohammed
#[Out]# 21    60  Mohammed
#[Out]# 22    60  Mohammed
#[Out]# 23    69      Roan
#[Out]# 24    75      Jace
#[Out]# 25    75      Jace
#[Out]# 26    75      Jace
#[Out]# 27    78      Mick
#[Out]# 28    78      Mick
#[Out]# 29   126      Lina
#[Out]# ..   ...       ...
#[Out]# 89   190    Kostas
#[Out]# 90   190    Kostas
#[Out]# 91   190    Kostas
#[Out]# 92   190    Kostas
#[Out]# 93   190    Kostas
#[Out]# 94   190    Kostas
#[Out]# 95   190    Kostas
#[Out]# 96   190    Kostas
#[Out]# 97   190    Kostas
#[Out]# 98   190    Kostas
#[Out]# 99   190    Kostas
#[Out]# 100  190    Kostas
#[Out]# 101  190    Kostas
#[Out]# 102  190    Kostas
#[Out]# 103  190    Kostas
#[Out]# 104  190    Kostas
#[Out]# 105  190    Kostas
#[Out]# 106  190    Kostas
#[Out]# 107  190    Kostas
#[Out]# 108  190    Kostas
#[Out]# 109  190    Kostas
#[Out]# 110  190    Kostas
#[Out]# 111  190    Kostas
#[Out]# 112  190    Kostas
#[Out]# 113  190    Kostas
#[Out]# 114  190    Kostas
#[Out]# 115  190    Kostas
#[Out]# 116  190    Kostas
#[Out]# 117  190    Kostas
#[Out]# 118  190    Kostas
#[Out]# 
#[Out]# [119 rows x 2 columns]
practicequery1a = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID and c.cID=p.cID)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtOnList
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#     cID     cName
#[Out]# 0     0      Noah
#[Out]# 1     4      Daan
#[Out]# 2    16    Julian
#[Out]# 3    44     Jason
#[Out]# 4    60  Mohammed
#[Out]# 5    69      Roan
#[Out]# 6    75      Jace
#[Out]# 7    78      Mick
#[Out]# 8   126      Lina
#[Out]# 9   129     Esmee
#[Out]# 10  135     Sofia
#[Out]# 11  139     Elise
#[Out]# 12  177     Eline
#[Out]# 13  182   Johanna
#[Out]# 14  184     Wilko
#[Out]# 15  185      Nick
#[Out]# 16  186    Angela
#[Out]# 17  188      Pino
#[Out]# 18  189      Koen
#[Out]# 19  190    Kostas
practicequery1b = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID 
        and c.cID=p.cID and p.date=s.date)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtOnList
'''

pd.read_sql_query(practicequery1b, conn)
#[Out]#     cID     cName
#[Out]# 0     0      Noah
#[Out]# 1     4      Daan
#[Out]# 2    16    Julian
#[Out]# 3    25     Mason
#[Out]# 4    38    Floris
#[Out]# 5    44     Jason
#[Out]# 6    58     Jurre
#[Out]# 7    60  Mohammed
#[Out]# 8    64      Stan
#[Out]# 9    68     Boris
#[Out]# 10   69      Roan
#[Out]# 11   75      Jace
#[Out]# 12   78      Mick
#[Out]# 13   80      Niek
#[Out]# 14   88     Joris
#[Out]# 15   99      Anna
#[Out]# 16  103     Lotte
#[Out]# 17  116     Lieke
#[Out]# 18  126      Lina
#[Out]# 19  129     Esmee
#[Out]# 20  131       Amy
#[Out]# 21  135     Sofia
#[Out]# 22  136     Femke
#[Out]# 23  139     Elise
#[Out]# 24  144       Ivy
#[Out]# 25  177     Eline
#[Out]# 26  182   Johanna
#[Out]# 27  184     Wilko
#[Out]# 28  185      Nick
#[Out]# 29  186    Angela
#[Out]# 30  188      Pino
#[Out]# 31  189      Koen
#[Out]# 32  190    Kostas
practicequery1c = '''
    with notBoughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID<>s.pID and c.cID=s.cID 
        and c.cID=p.cID and p.date=s.date)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in notBoughtOnList
'''

pd.read_sql_query(practicequery1c, conn)
#[Out]#     cID      cName
#[Out]# 0     0       Noah
#[Out]# 1     4       Daan
#[Out]# 2    10        Sam
#[Out]# 3    11      Thijs
#[Out]# 4    15       Noud
#[Out]# 5    16     Julian
#[Out]# 6    25      Mason
#[Out]# 7    26     Jayden
#[Out]# 8    41      Quinn
#[Out]# 9    42       Tijn
#[Out]# 10   44      Jason
#[Out]# 11   45       Ryan
#[Out]# 12   47       Xavi
#[Out]# 13   58      Jurre
#[Out]# 14   60   Mohammed
#[Out]# 15   63       Senn
#[Out]# 16   69       Roan
#[Out]# 17   75       Jace
#[Out]# 18   76  Alexander
#[Out]# 19   77      Hidde
#[Out]# 20   78       Mick
#[Out]# 21   80       Niek
#[Out]# 22   88      Joris
#[Out]# 23   90       Lenn
#[Out]# 24   99       Anna
#[Out]# 25  103      Lotte
#[Out]# 26  104        Liv
#[Out]# 27  111     Lauren
#[Out]# 28  126       Lina
#[Out]# 29  128    Jasmijn
#[Out]# 30  129      Esmee
#[Out]# 31  131        Amy
#[Out]# 32  135      Sofia
#[Out]# 33  136      Femke
#[Out]# 34  139      Elise
#[Out]# 35  168       Kiki
#[Out]# 36  172       Lana
#[Out]# 37  177      Eline
#[Out]# 38  182    Johanna
#[Out]# 39  184      Wilko
#[Out]# 40  185       Nick
#[Out]# 41  186     Angela
#[Out]# 42  188       Pino
#[Out]# 43  189       Koen
#[Out]# 44  190     Kostas
practicequery1c = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID and c.cID=p.cID and p.date=s.date),
        boughtNotList as(select p.cID from purchase
        where cID not in boughtOnList)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtNotList
'''

pd.read_sql_query(practicequery1c, conn)
practicequery1c = '''
    with boughtOnList as (
        select c.cID
        from customer as c, shoppinglist as s, purchase as p
        where p.pID=s.pID and c.cID=s.cID 
        and c.cID=p.cID and p.date=s.date),
        boughtNotList as(select cID from purchase
        where cID not in boughtOnList)
    select distinct p.cID, cName
    from purchase as p, customer as c 
    where p.cID=c.cID and p.cID not in boughtNotList
'''

pd.read_sql_query(practicequery1c, conn)
#[Out]#     cID     cName
#[Out]# 0     1       Sem
#[Out]# 1     2     Lucas
#[Out]# 2     3      Finn
#[Out]# 3     5      Levi
#[Out]# 4     7      Bram
#[Out]# 5     8      Liam
#[Out]# 6    10       Sam
#[Out]# 7    11     Thijs
#[Out]# 8    13     James
#[Out]# 9    15      Noud
#[Out]# 10   17       Dex
#[Out]# 11   18      Hugo
#[Out]# 12   19      Lars
#[Out]# 13   20      Gijs
#[Out]# 14   21  Benjamin
#[Out]# 15   22      Mats
#[Out]# 16   24      Luca
#[Out]# 17   26    Jayden
#[Out]# 18   27       Tim
#[Out]# 19   28      Siem
#[Out]# 20   29     Ruben
#[Out]# 21   30      Teun
#[Out]# 22   31   Olivier
#[Out]# 23   33      Sven
#[Out]# 24   34     David
#[Out]# 25   35     Stijn
#[Out]# 26   37      Guus
#[Out]# 27   39      Jack
#[Out]# 28   40      Jens
#[Out]# 29   41     Quinn
#[Out]# ..  ...       ...
#[Out]# 69  123     Milou
#[Out]# 70  124     Sofie
#[Out]# 71  127     Emily
#[Out]# 72  128   Jasmijn
#[Out]# 73  133    Sophia
#[Out]# 74  134      Ella
#[Out]# 75  137      Lena
#[Out]# 76  145      Fien
#[Out]# 77  147    Isabel
#[Out]# 78  149     Lizzy
#[Out]# 79  151      Jill
#[Out]# 80  152      Anne
#[Out]# 81  157      Puck
#[Out]# 82  159     Fenne
#[Out]# 83  161     Floor
#[Out]# 84  162     Elena
#[Out]# 85  163      Cato
#[Out]# 86  165     Hanna
#[Out]# 87  167    Veerle
#[Out]# 88  168      Kiki
#[Out]# 89  169      Lily
#[Out]# 90  170      Iris
#[Out]# 91  171     Tessa
#[Out]# 92  172      Lana
#[Out]# 93  175       Sam
#[Out]# 94  176     Amira
#[Out]# 95  178      Elif
#[Out]# 96  179      Juul
#[Out]# 97  180     Merel
#[Out]# 98  181      Liva
#[Out]# 
#[Out]# [99 rows x 2 columns]

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
get_ipython().magic(u'logstop')
get_ipython().magic(u'logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor object at 0x7fd8985c6880>
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
get_ipython().magic(u'logstop')
get_ipython().magic(u'logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
'''

pd.read_sql_query(query1, conn)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID from purchase
'''

pd.read_sql_query(query1, conn)
query1 = '''
select pID from purchase
'''

pd.read_sql_query(query1, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor object at 0x7fd8985c6a40>
query1 = '''
select pID from purchase
'''

pd.read_sql_query(query1, conn)
query1 = '''
select pID from purchase
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID from purchase
    except
    select pID 
    from purchase as p1, purchase as p2, purchase as p3
    where p1.cID<>p2.cID and p2.cID<>p3.cID and p3.cID<>p1.cID 
        and p1.pID=p2.pID and p2.pID=p3.pID

'''

pd.read_sql_query(query1, conn)
get_ipython().magic(u'logstop')
get_ipython().magic(u'logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic(u'logstop')
get_ipython().magic(u'logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic(u'logstop')
get_ipython().magic(u'logstart -o')
import sqlite3
import pandas as pd

