# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
print('Already executed, so this has been done.')
# Inspecting the data gives that this should return at least 29 and 30....
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''
# AAAAAAAAAAAAAAAAA FINALLY

pd.read_sql_query(testingQuery, conn)
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT cID) < 3)
'''
pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName  pID  pID
#[Out]# 0     2    Lucas    2    2  Onions    4    4
#[Out]# 1    16   Julian   16   16  Coffee   21   21
#[Out]# 2    29    Ruben   29   29  Onions    4    4
#[Out]# 3    31  Olivier   31   31  Onions    4    4
#[Out]# 4    33     Sven   33   33  Onions    4    4
#[Out]# 5    42     Tijn   42   42  Coffee   21   21
#[Out]# 6    52   Willem   52   52  Onions    4    4
#[Out]# 7    59     Joep   59   59  Onions    4    4
#[Out]# 8    59     Joep   59   59  Coffee   21   21
#[Out]# 9    82    Dylan   82   82  Coffee   21   21
#[Out]# 10   85   Pieter   85   85  Onions    4    4
#[Out]# 11   86     Stef   86   86  Coffee   21   21
#[Out]# 12   92    Jelte   92   92  Coffee   21   21
#[Out]# 13   97   Sophie   97   97  Coffee   21   21
#[Out]# 14  108     Noor  108  108  Coffee   21   21
#[Out]# 15  110     Saar  110  110  Coffee   21   21
#[Out]# 16  111   Lauren  111  111  Coffee   21   21
#[Out]# 17  122     Elin  122  122  Coffee   21   21
#[Out]# 18  124    Sofie  124  124  Onions    4    4
#[Out]# 19  124    Sofie  124  124  Coffee   21   21
#[Out]# 20  129    Esmee  129  129  Onions    4    4
#[Out]# 21  152     Anne  152  152  Coffee   21   21
#[Out]# 22  162    Elena  162  162  Onions    4    4
#[Out]# 23  165    Hanna  165  165  Onions    4    4
#[Out]# 24  169     Lily  169  169  Coffee   21   21
#[Out]# 25  169     Lily  169  169  Onions    4    4
#[Out]# 26  171    Tessa  171  171  Coffee   21   21
#[Out]# 27  172     Lana  172  172  Onions    4    4
#[Out]# 28  175      Sam  175  175  Coffee   21   21
#[Out]# 29  176    Amira  176  176  Onions    4    4
#[Out]# 30  176    Amira  176  176  Coffee   21   21
#[Out]# 31  177    Eline  177  177  Onions    4    4
#[Out]# 32  181     Liva  181  181  Coffee   21   21
#[Out]# 33  190   Kostas  190  190  Coffee   21   21
#[Out]# 34  190   Kostas  190  190  Onions    4    4
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    (
        p1.pID == 4 AND p2.pID == 22
        OR
        p1.pID == 22 AND p2.pID == 4
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    (
        p1.pID == 4 AND p2.pID == 22
        OR
        p1.pID == 22 AND p2.pID == 4
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID  cName  cID  cID  pID  pID
#[Out]# 0    2  Lucas    2    2    4   22
#[Out]# 1    2  Lucas    2    2   22    4
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName
FROM
    customer c
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName
FROM
    customer c
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#          date
#[Out]# 0  2018-08-17
#[Out]# 1  2018-08-24
#[Out]# 2  2018-08-27
#[Out]# 3  2018-08-18
#[Out]# 4  2018-08-25
#[Out]# 5  2018-08-26
#[Out]# 6  2018-08-21
#[Out]# 7  2018-08-23
#[Out]# 8  2018-08-20
#[Out]# 9  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
(
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
)
UNION
(
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
UNION
SELECT DISTINCT
    date
FROM purchase p
INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'

'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#           date
#[Out]# 0   2018-08-15
#[Out]# 1   2018-08-16
#[Out]# 2   2018-08-17
#[Out]# 3   2018-08-18
#[Out]# 4   2018-08-19
#[Out]# 5   2018-08-20
#[Out]# 6   2018-08-21
#[Out]# 7   2018-08-22
#[Out]# 8   2018-08-23
#[Out]# 9   2018-08-24
#[Out]# 10  2018-08-25
#[Out]# 11  2018-08-26
#[Out]# 12  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    [
    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    ]
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'

'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#           date
#[Out]# 0   2018-08-15
#[Out]# 1   2018-08-16
#[Out]# 2   2018-08-17
#[Out]# 3   2018-08-18
#[Out]# 4   2018-08-19
#[Out]# 5   2018-08-20
#[Out]# 6   2018-08-21
#[Out]# 7   2018-08-22
#[Out]# 8   2018-08-23
#[Out]# 9   2018-08-24
#[Out]# 10  2018-08-25
#[Out]# 11  2018-08-26
#[Out]# 12  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''



    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT
        date
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#           date
#[Out]# 0   2018-08-15
#[Out]# 1   2018-08-16
#[Out]# 2   2018-08-17
#[Out]# 3   2018-08-18
#[Out]# 4   2018-08-19
#[Out]# 5   2018-08-20
#[Out]# 6   2018-08-21
#[Out]# 7   2018-08-22
#[Out]# 8   2018-08-23
#[Out]# 9   2018-08-24
#[Out]# 10  2018-08-25
#[Out]# 11  2018-08-26
#[Out]# 12  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''



    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#           date
#[Out]# 0   2018-08-15
#[Out]# 1   2018-08-16
#[Out]# 2   2018-08-17
#[Out]# 3   2018-08-18
#[Out]# 4   2018-08-19
#[Out]# 5   2018-08-20
#[Out]# 6   2018-08-21
#[Out]# 7   2018-08-22
#[Out]# 8   2018-08-23
#[Out]# 9   2018-08-24
#[Out]# 10  2018-08-25
#[Out]# 11  2018-08-26
#[Out]# 12  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 463  190  Kostas
#[Out]# 464  190  Kostas
#[Out]# 465  190  Kostas
#[Out]# 466  190  Kostas
#[Out]# 467  190  Kostas
#[Out]# 468  190  Kostas
#[Out]# 469  190  Kostas
#[Out]# 470  190  Kostas
#[Out]# 471  190  Kostas
#[Out]# 472  190  Kostas
#[Out]# 473  190  Kostas
#[Out]# 474  190  Kostas
#[Out]# 475  190  Kostas
#[Out]# 476  190  Kostas
#[Out]# 477  190  Kostas
#[Out]# 478  190  Kostas
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 
#[Out]# [493 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    26    Jayden
#[Out]# 21    27       Tim
#[Out]# 22    28      Siem
#[Out]# 23    29     Ruben
#[Out]# 24    30      Teun
#[Out]# 25    31   Olivier
#[Out]# 26    33      Sven
#[Out]# 27    34     David
#[Out]# 28    35     Stijn
#[Out]# 29    37      Guus
#[Out]# ..   ...       ...
#[Out]# 99   147    Isabel
#[Out]# 100  149     Lizzy
#[Out]# 101  151      Jill
#[Out]# 102  152      Anne
#[Out]# 103  157      Puck
#[Out]# 104  159     Fenne
#[Out]# 105  161     Floor
#[Out]# 106  162     Elena
#[Out]# 107  163      Cato
#[Out]# 108  165     Hanna
#[Out]# 109  167    Veerle
#[Out]# 110  168      Kiki
#[Out]# 111  169      Lily
#[Out]# 112  170      Iris
#[Out]# 113  171     Tessa
#[Out]# 114  172      Lana
#[Out]# 115  175       Sam
#[Out]# 116  176     Amira
#[Out]# 117  177     Eline
#[Out]# 118  178      Elif
#[Out]# 119  179      Juul
#[Out]# 120  180     Merel
#[Out]# 121  181      Liva
#[Out]# 122  182   Johanna
#[Out]# 123  184     Wilko
#[Out]# 124  185      Nick
#[Out]# 125  186    Angela
#[Out]# 126  188      Pino
#[Out]# 127  189      Koen
#[Out]# 128  190    Kostas
#[Out]# 
#[Out]# [129 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName  pID
#[Out]# 0      0    Noah   10
#[Out]# 1      1     Sem   14
#[Out]# 2      1     Sem   16
#[Out]# 3      1     Sem    9
#[Out]# 4      1     Sem   25
#[Out]# 5      1     Sem   26
#[Out]# 6      1     Sem   11
#[Out]# 7      1     Sem   27
#[Out]# 8      2   Lucas   20
#[Out]# 9      2   Lucas    9
#[Out]# 10     2   Lucas    4
#[Out]# 11     2   Lucas   13
#[Out]# 12     2   Lucas   22
#[Out]# 13     3    Finn   14
#[Out]# 14     3    Finn   26
#[Out]# 15     3    Finn    9
#[Out]# 16     4    Daan    8
#[Out]# 17     4    Daan   27
#[Out]# 18     4    Daan   12
#[Out]# 19     4    Daan    6
#[Out]# 20     4    Daan   13
#[Out]# 21     4    Daan   26
#[Out]# 22     5    Levi   14
#[Out]# 23     5    Levi   28
#[Out]# 24     5    Levi    6
#[Out]# 25     5    Levi   22
#[Out]# 26     5    Levi   16
#[Out]# 27     5    Levi   19
#[Out]# 28     7    Bram   19
#[Out]# 29     7    Bram    2
#[Out]# ..   ...     ...  ...
#[Out]# 423  184   Wilko    0
#[Out]# 424  185    Nick   29
#[Out]# 425  186  Angela   29
#[Out]# 426  188    Pino   30
#[Out]# 427  189    Koen    7
#[Out]# 428  189    Koen   19
#[Out]# 429  190  Kostas   27
#[Out]# 430  190  Kostas   19
#[Out]# 431  190  Kostas   28
#[Out]# 432  190  Kostas    7
#[Out]# 433  190  Kostas    2
#[Out]# 434  190  Kostas   10
#[Out]# 435  190  Kostas   22
#[Out]# 436  190  Kostas   20
#[Out]# 437  190  Kostas   21
#[Out]# 438  190  Kostas    9
#[Out]# 439  190  Kostas   26
#[Out]# 440  190  Kostas    0
#[Out]# 441  190  Kostas   15
#[Out]# 442  190  Kostas    4
#[Out]# 443  190  Kostas   23
#[Out]# 444  190  Kostas   17
#[Out]# 445  190  Kostas   25
#[Out]# 446  190  Kostas    3
#[Out]# 447  190  Kostas    5
#[Out]# 448  190  Kostas   13
#[Out]# 449  190  Kostas   11
#[Out]# 450  190  Kostas    6
#[Out]# 451  190  Kostas    8
#[Out]# 452  190  Kostas   18
#[Out]# 
#[Out]# [453 rows x 3 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName  pID        date
#[Out]# 0      0    Noah   10  2018-08-22
#[Out]# 1      1     Sem   14  2018-08-20
#[Out]# 2      1     Sem   16  2018-08-20
#[Out]# 3      1     Sem    9  2018-08-20
#[Out]# 4      1     Sem   25  2018-08-20
#[Out]# 5      1     Sem   26  2018-08-20
#[Out]# 6      1     Sem   11  2018-08-21
#[Out]# 7      1     Sem   27  2018-08-21
#[Out]# 8      2   Lucas   20  2018-08-16
#[Out]# 9      2   Lucas    9  2018-08-17
#[Out]# 10     2   Lucas    4  2018-08-17
#[Out]# 11     2   Lucas   13  2018-08-17
#[Out]# 12     2   Lucas   22  2018-08-17
#[Out]# 13     3    Finn   14  2018-08-18
#[Out]# 14     3    Finn   26  2018-08-19
#[Out]# 15     3    Finn    9  2018-08-19
#[Out]# 16     4    Daan    8  2018-08-24
#[Out]# 17     4    Daan   27  2018-08-24
#[Out]# 18     4    Daan   12  2018-08-25
#[Out]# 19     4    Daan    6  2018-08-24
#[Out]# 20     4    Daan   13  2018-08-25
#[Out]# 21     4    Daan   26  2018-08-25
#[Out]# 22     5    Levi   14  2018-08-17
#[Out]# 23     5    Levi   28  2018-08-22
#[Out]# 24     5    Levi    6  2018-08-23
#[Out]# 25     5    Levi   22  2018-08-23
#[Out]# 26     5    Levi   16  2018-08-23
#[Out]# 27     5    Levi   19  2018-08-23
#[Out]# 28     7    Bram   19  2018-08-23
#[Out]# 29     7    Bram    2  2018-08-23
#[Out]# ..   ...     ...  ...         ...
#[Out]# 453  190  Kostas   26  2018-08-16
#[Out]# 454  190  Kostas    5  2018-08-20
#[Out]# 455  190  Kostas   21  2018-08-22
#[Out]# 456  190  Kostas   13  2018-08-17
#[Out]# 457  190  Kostas   19  2018-08-23
#[Out]# 458  190  Kostas   17  2018-08-27
#[Out]# 459  190  Kostas   10  2018-08-18
#[Out]# 460  190  Kostas   17  2018-08-19
#[Out]# 461  190  Kostas   28  2018-08-20
#[Out]# 462  190  Kostas   27  2018-08-15
#[Out]# 463  190  Kostas    5  2018-08-23
#[Out]# 464  190  Kostas   28  2018-08-15
#[Out]# 465  190  Kostas    7  2018-08-24
#[Out]# 466  190  Kostas    0  2018-08-25
#[Out]# 467  190  Kostas   11  2018-08-15
#[Out]# 468  190  Kostas    6  2018-08-15
#[Out]# 469  190  Kostas   17  2018-08-17
#[Out]# 470  190  Kostas    9  2018-08-18
#[Out]# 471  190  Kostas   11  2018-08-19
#[Out]# 472  190  Kostas   22  2018-08-25
#[Out]# 473  190  Kostas   20  2018-08-26
#[Out]# 474  190  Kostas   11  2018-08-17
#[Out]# 475  190  Kostas   23  2018-08-19
#[Out]# 476  190  Kostas    8  2018-08-18
#[Out]# 477  190  Kostas   15  2018-08-22
#[Out]# 478  190  Kostas    2  2018-08-19
#[Out]# 479  190  Kostas   17  2018-08-26
#[Out]# 480  190  Kostas    5  2018-08-27
#[Out]# 481  190  Kostas    9  2018-08-16
#[Out]# 482  190  Kostas   18  2018-08-21
#[Out]# 
#[Out]# [483 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
WHERE pID IN (4, 21)
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pID IN (4, 21)
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily   21  2018-08-16
#[Out]# 25  169     Lily    4  2018-08-20
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas    4  2018-08-26
#[Out]# 36  190   Kostas   21  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE date IN
    (
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pID IN (4, 21)
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  pID
#[Out]# 0     2    Lucas    4
#[Out]# 1    16   Julian   21
#[Out]# 2    29    Ruben    4
#[Out]# 3    31  Olivier    4
#[Out]# 4    33     Sven    4
#[Out]# 5    42     Tijn   21
#[Out]# 6    52   Willem    4
#[Out]# 7    59     Joep    4
#[Out]# 8    59     Joep   21
#[Out]# 9    82    Dylan   21
#[Out]# 10   85   Pieter    4
#[Out]# 11   86     Stef   21
#[Out]# 12   92    Jelte   21
#[Out]# 13   97   Sophie   21
#[Out]# 14  108     Noor   21
#[Out]# 15  110     Saar   21
#[Out]# 16  111   Lauren   21
#[Out]# 17  122     Elin   21
#[Out]# 18  124    Sofie    4
#[Out]# 19  124    Sofie   21
#[Out]# 20  129    Esmee    4
#[Out]# 21  152     Anne   21
#[Out]# 22  162    Elena    4
#[Out]# 23  165    Hanna    4
#[Out]# 24  169     Lily   21
#[Out]# 25  169     Lily    4
#[Out]# 26  171    Tessa   21
#[Out]# 27  172     Lana    4
#[Out]# 28  175      Sam   21
#[Out]# 29  176    Amira    4
#[Out]# 30  176    Amira   21
#[Out]# 31  177    Eline    4
#[Out]# 32  181     Liva   21
#[Out]# 33  190   Kostas   21
#[Out]# 34  190   Kostas    4
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID    cName  pID
#[Out]# 0      2    Lucas   20
#[Out]# 1      2    Lucas    9
#[Out]# 2      2    Lucas    4
#[Out]# 3      2    Lucas   13
#[Out]# 4      2    Lucas   22
#[Out]# 5     16   Julian    0
#[Out]# 6     16   Julian   21
#[Out]# 7     16   Julian    5
#[Out]# 8     16   Julian   22
#[Out]# 9     16   Julian   23
#[Out]# 10    16   Julian   19
#[Out]# 11    16   Julian   16
#[Out]# 12    16   Julian   13
#[Out]# 13    16   Julian    7
#[Out]# 14    16   Julian   27
#[Out]# 15    29    Ruben    7
#[Out]# 16    29    Ruben    4
#[Out]# 17    31  Olivier    4
#[Out]# 18    31  Olivier   24
#[Out]# 19    33     Sven    6
#[Out]# 20    33     Sven   19
#[Out]# 21    33     Sven   16
#[Out]# 22    33     Sven    9
#[Out]# 23    33     Sven    0
#[Out]# 24    33     Sven   12
#[Out]# 25    33     Sven    2
#[Out]# 26    33     Sven    1
#[Out]# 27    33     Sven    4
#[Out]# 28    42     Tijn    6
#[Out]# 29    42     Tijn   21
#[Out]# ..   ...      ...  ...
#[Out]# 143  177    Eline    3
#[Out]# 144  177    Eline   26
#[Out]# 145  177    Eline    4
#[Out]# 146  181     Liva   26
#[Out]# 147  181     Liva    6
#[Out]# 148  181     Liva   21
#[Out]# 149  190   Kostas   27
#[Out]# 150  190   Kostas   19
#[Out]# 151  190   Kostas   28
#[Out]# 152  190   Kostas    7
#[Out]# 153  190   Kostas    2
#[Out]# 154  190   Kostas   10
#[Out]# 155  190   Kostas   22
#[Out]# 156  190   Kostas   20
#[Out]# 157  190   Kostas   21
#[Out]# 158  190   Kostas    9
#[Out]# 159  190   Kostas   26
#[Out]# 160  190   Kostas    0
#[Out]# 161  190   Kostas   15
#[Out]# 162  190   Kostas    4
#[Out]# 163  190   Kostas   23
#[Out]# 164  190   Kostas   17
#[Out]# 165  190   Kostas   25
#[Out]# 166  190   Kostas    3
#[Out]# 167  190   Kostas    5
#[Out]# 168  190   Kostas   13
#[Out]# 169  190   Kostas   11
#[Out]# 170  190   Kostas    6
#[Out]# 171  190   Kostas    8
#[Out]# 172  190   Kostas   18
#[Out]# 
#[Out]# [173 rows x 3 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, pID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName,p. pID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID    cName  pID             pName
#[Out]# 0      2    Lucas   20             Fanta
#[Out]# 1      2    Lucas    9           Bananas
#[Out]# 2      2    Lucas    4            Onions
#[Out]# 3      2    Lucas   13              Eggs
#[Out]# 4      2    Lucas   22               Tea
#[Out]# 5     16   Julian    0       Cashew Nuts
#[Out]# 6     16   Julian   21            Coffee
#[Out]# 7     16   Julian    5         Mushrooms
#[Out]# 8     16   Julian   22               Tea
#[Out]# 9     16   Julian   23   Spiced Biscuits
#[Out]# 10    16   Julian   19              Coca
#[Out]# 11    16   Julian   16              Rice
#[Out]# 12    16   Julian   13              Eggs
#[Out]# 13    16   Julian    7          Tomatoes
#[Out]# 14    16   Julian   27             Pizza
#[Out]# 15    29    Ruben    7          Tomatoes
#[Out]# 16    29    Ruben    4            Onions
#[Out]# 17    31  Olivier    4            Onions
#[Out]# 18    31  Olivier   24           Oranges
#[Out]# 19    33     Sven    6           Carrots
#[Out]# 20    33     Sven   19              Coca
#[Out]# 21    33     Sven   16              Rice
#[Out]# 22    33     Sven    9           Bananas
#[Out]# 23    33     Sven    0       Cashew Nuts
#[Out]# 24    33     Sven   12              Beef
#[Out]# 25    33     Sven    2          Potatoes
#[Out]# 26    33     Sven    1        Mixed Nuts
#[Out]# 27    33     Sven    4            Onions
#[Out]# 28    42     Tijn    6           Carrots
#[Out]# 29    42     Tijn   21            Coffee
#[Out]# ..   ...      ...  ...               ...
#[Out]# 143  177    Eline    3      Green Pepper
#[Out]# 144  177    Eline   26             Pasta
#[Out]# 145  177    Eline    4            Onions
#[Out]# 146  181     Liva   26             Pasta
#[Out]# 147  181     Liva    6           Carrots
#[Out]# 148  181     Liva   21            Coffee
#[Out]# 149  190   Kostas   27             Pizza
#[Out]# 150  190   Kostas   19              Coca
#[Out]# 151  190   Kostas   28           Lasanga
#[Out]# 152  190   Kostas    7          Tomatoes
#[Out]# 153  190   Kostas    2          Potatoes
#[Out]# 154  190   Kostas   10             Water
#[Out]# 155  190   Kostas   22               Tea
#[Out]# 156  190   Kostas   20             Fanta
#[Out]# 157  190   Kostas   21            Coffee
#[Out]# 158  190   Kostas    9           Bananas
#[Out]# 159  190   Kostas   26             Pasta
#[Out]# 160  190   Kostas    0       Cashew Nuts
#[Out]# 161  190   Kostas   15         Cucumbers
#[Out]# 162  190   Kostas    4            Onions
#[Out]# 163  190   Kostas   23   Spiced Biscuits
#[Out]# 164  190   Kostas   17             Bread
#[Out]# 165  190   Kostas   25            Donuts
#[Out]# 166  190   Kostas    3      Green Pepper
#[Out]# 167  190   Kostas    5         Mushrooms
#[Out]# 168  190   Kostas   13              Eggs
#[Out]# 169  190   Kostas   11              Milk
#[Out]# 170  190   Kostas    6           Carrots
#[Out]# 171  190   Kostas    8  Hot Dog Sausages
#[Out]# 172  190   Kostas   18            Cheese
#[Out]# 
#[Out]# [173 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, p.pID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID    cName  pID             pName
#[Out]# 0      2    Lucas   20             Fanta
#[Out]# 1      2    Lucas    9           Bananas
#[Out]# 2      2    Lucas    4            Onions
#[Out]# 3      2    Lucas   13              Eggs
#[Out]# 4      2    Lucas   22               Tea
#[Out]# 5     16   Julian    0       Cashew Nuts
#[Out]# 6     16   Julian   21            Coffee
#[Out]# 7     16   Julian    5         Mushrooms
#[Out]# 8     16   Julian   22               Tea
#[Out]# 9     16   Julian   23   Spiced Biscuits
#[Out]# 10    16   Julian   19              Coca
#[Out]# 11    16   Julian   16              Rice
#[Out]# 12    16   Julian   13              Eggs
#[Out]# 13    16   Julian    7          Tomatoes
#[Out]# 14    16   Julian   27             Pizza
#[Out]# 15    29    Ruben    7          Tomatoes
#[Out]# 16    29    Ruben    4            Onions
#[Out]# 17    31  Olivier    4            Onions
#[Out]# 18    31  Olivier   24           Oranges
#[Out]# 19    33     Sven    6           Carrots
#[Out]# 20    33     Sven   19              Coca
#[Out]# 21    33     Sven   16              Rice
#[Out]# 22    33     Sven    9           Bananas
#[Out]# 23    33     Sven    0       Cashew Nuts
#[Out]# 24    33     Sven   12              Beef
#[Out]# 25    33     Sven    2          Potatoes
#[Out]# 26    33     Sven    1        Mixed Nuts
#[Out]# 27    33     Sven    4            Onions
#[Out]# 28    42     Tijn    6           Carrots
#[Out]# 29    42     Tijn   21            Coffee
#[Out]# ..   ...      ...  ...               ...
#[Out]# 143  177    Eline    3      Green Pepper
#[Out]# 144  177    Eline   26             Pasta
#[Out]# 145  177    Eline    4            Onions
#[Out]# 146  181     Liva   26             Pasta
#[Out]# 147  181     Liva    6           Carrots
#[Out]# 148  181     Liva   21            Coffee
#[Out]# 149  190   Kostas   27             Pizza
#[Out]# 150  190   Kostas   19              Coca
#[Out]# 151  190   Kostas   28           Lasanga
#[Out]# 152  190   Kostas    7          Tomatoes
#[Out]# 153  190   Kostas    2          Potatoes
#[Out]# 154  190   Kostas   10             Water
#[Out]# 155  190   Kostas   22               Tea
#[Out]# 156  190   Kostas   20             Fanta
#[Out]# 157  190   Kostas   21            Coffee
#[Out]# 158  190   Kostas    9           Bananas
#[Out]# 159  190   Kostas   26             Pasta
#[Out]# 160  190   Kostas    0       Cashew Nuts
#[Out]# 161  190   Kostas   15         Cucumbers
#[Out]# 162  190   Kostas    4            Onions
#[Out]# 163  190   Kostas   23   Spiced Biscuits
#[Out]# 164  190   Kostas   17             Bread
#[Out]# 165  190   Kostas   25            Donuts
#[Out]# 166  190   Kostas    3      Green Pepper
#[Out]# 167  190   Kostas    5         Mushrooms
#[Out]# 168  190   Kostas   13              Eggs
#[Out]# 169  190   Kostas   11              Milk
#[Out]# 170  190   Kostas    6           Carrots
#[Out]# 171  190   Kostas    8  Hot Dog Sausages
#[Out]# 172  190   Kostas   18            Cheese
#[Out]# 
#[Out]# [173 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, p.pID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
WHERE pName IN ('Onions')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, p.pID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pName IN ('Onions')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  pID   pName
#[Out]# 0     2    Lucas    4  Onions
#[Out]# 1    29    Ruben    4  Onions
#[Out]# 2    31  Olivier    4  Onions
#[Out]# 3    33     Sven    4  Onions
#[Out]# 4    52   Willem    4  Onions
#[Out]# 5    59     Joep    4  Onions
#[Out]# 6    85   Pieter    4  Onions
#[Out]# 7   124    Sofie    4  Onions
#[Out]# 8   129    Esmee    4  Onions
#[Out]# 9   162    Elena    4  Onions
#[Out]# 10  165    Hanna    4  Onions
#[Out]# 11  169     Lily    4  Onions
#[Out]# 12  172     Lana    4  Onions
#[Out]# 13  176    Amira    4  Onions
#[Out]# 14  177    Eline    4  Onions
#[Out]# 15  190   Kostas    4  Onions
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
UNION
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pName IN ('Onions')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID
#[Out]# 0     2
#[Out]# 1    29
#[Out]# 2    31
#[Out]# 3    33
#[Out]# 4    52
#[Out]# 5    59
#[Out]# 6    85
#[Out]# 7   124
#[Out]# 8   129
#[Out]# 9   162
#[Out]# 10  165
#[Out]# 11  169
#[Out]# 12  172
#[Out]# 13  176
#[Out]# 14  177
#[Out]# 15  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pName IN ('Onions')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, p.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, prod.pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID             pName
#[Out]# 0    59               Tea
#[Out]# 1    59              Coca
#[Out]# 2    59             Pizza
#[Out]# 3    59         Cucumbers
#[Out]# 4    59            Apples
#[Out]# 5    59            Onions
#[Out]# 6    59        Mixed Nuts
#[Out]# 7    59            Coffee
#[Out]# 8    59           Bananas
#[Out]# 9   124            Onions
#[Out]# 10  124             Pasta
#[Out]# 11  124           Lasanga
#[Out]# 12  124              Rice
#[Out]# 13  124              Beef
#[Out]# 14  124            Coffee
#[Out]# 15  124             Water
#[Out]# 16  124              Milk
#[Out]# 17  124           Bananas
#[Out]# 18  124          Tomatoes
#[Out]# 19  124         Cucumbers
#[Out]# 20  169            Coffee
#[Out]# 21  169           Lasanga
#[Out]# 22  169      Green Pepper
#[Out]# 23  169        Mixed Nuts
#[Out]# 24  169               Tea
#[Out]# 25  169   Spiced Biscuits
#[Out]# 26  169         Mushrooms
#[Out]# 27  169            Onions
#[Out]# 28  169              Eggs
#[Out]# 29  169             Water
#[Out]# ..  ...               ...
#[Out]# 31  176            Onions
#[Out]# 32  176           Oranges
#[Out]# 33  176       Cashew Nuts
#[Out]# 34  176              Milk
#[Out]# 35  176            Coffee
#[Out]# 36  176         Mushrooms
#[Out]# 37  190             Pizza
#[Out]# 38  190              Coca
#[Out]# 39  190           Lasanga
#[Out]# 40  190          Tomatoes
#[Out]# 41  190          Potatoes
#[Out]# 42  190             Water
#[Out]# 43  190               Tea
#[Out]# 44  190             Fanta
#[Out]# 45  190            Coffee
#[Out]# 46  190           Bananas
#[Out]# 47  190             Pasta
#[Out]# 48  190       Cashew Nuts
#[Out]# 49  190         Cucumbers
#[Out]# 50  190            Onions
#[Out]# 51  190   Spiced Biscuits
#[Out]# 52  190             Bread
#[Out]# 53  190            Donuts
#[Out]# 54  190      Green Pepper
#[Out]# 55  190         Mushrooms
#[Out]# 56  190              Eggs
#[Out]# 57  190              Milk
#[Out]# 58  190           Carrots
#[Out]# 59  190  Hot Dog Sausages
#[Out]# 60  190            Cheese
#[Out]# 
#[Out]# [61 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, 
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0     59    Joep          Amstel  Amsterdam  169   59   46   22  2018-08-23   
#[Out]# 1     59    Joep          Amstel  Amsterdam  170   59   44   19  2018-08-23   
#[Out]# 2     59    Joep          Amstel  Amsterdam  171   59   58   27  2018-08-23   
#[Out]# 3     59    Joep          Amstel  Amsterdam  172   59   12   15  2018-08-23   
#[Out]# 4     59    Joep          Amstel  Amsterdam  173   59   11   14  2018-08-24   
#[Out]# 5     59    Joep          Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 6     59    Joep          Amstel  Amsterdam  175   59   47    1  2018-08-26   
#[Out]# 7     59    Joep          Amstel  Amsterdam  176   59   59   21  2018-08-15   
#[Out]# 8     59    Joep          Amstel  Amsterdam  177   59   42    9  2018-08-16   
#[Out]# 9    124   Sofie   Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 10   124   Sofie   Keizersgracht  Amsterdam  324  124   17   26  2018-08-26   
#[Out]# 11   124   Sofie   Keizersgracht  Amsterdam  325  124   14   28  2018-08-26   
#[Out]# 12   124   Sofie   Keizersgracht  Amsterdam  326  124   16   16  2018-08-26   
#[Out]# 13   124   Sofie   Keizersgracht  Amsterdam  327  124   23   12  2018-08-26   
#[Out]# 14   124   Sofie   Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 15   124   Sofie   Keizersgracht  Amsterdam  329  124   18   10  2018-08-26   
#[Out]# 16   124   Sofie   Keizersgracht  Amsterdam  330  124    1   11  2018-08-26   
#[Out]# 17   124   Sofie   Keizersgracht  Amsterdam  331  124   21    9  2018-08-23   
#[Out]# 18   124   Sofie   Keizersgracht  Amsterdam  332  124   35    7  2018-08-23   
#[Out]# 19   124   Sofie   Keizersgracht  Amsterdam  333  124    6   15  2018-08-23   
#[Out]# 20   169    Lily  Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 21   169    Lily  Gasthuisstraat    Utrecht  428  169   18   28  2018-08-17   
#[Out]# 22   169    Lily  Gasthuisstraat    Utrecht  429  169   46    3  2018-08-17   
#[Out]# 23   169    Lily  Gasthuisstraat    Utrecht  430  169   43    1  2018-08-18   
#[Out]# 24   169    Lily  Gasthuisstraat    Utrecht  431  169   54   22  2018-08-19   
#[Out]# 25   169    Lily  Gasthuisstraat    Utrecht  432  169    8   23  2018-08-19   
#[Out]# 26   169    Lily  Gasthuisstraat    Utrecht  433  169   32    5  2018-08-20   
#[Out]# 27   169    Lily  Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 28   169    Lily  Gasthuisstraat    Utrecht  435  169   55   13  2018-08-26   
#[Out]# 29   169    Lily  Gasthuisstraat    Utrecht  436  169   24   10  2018-08-27   
#[Out]# ..   ...     ...             ...        ...  ...  ...  ...  ...         ...   
#[Out]# 71   190  Kostas        Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 72   190  Kostas        Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 73   190  Kostas        Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 74   190  Kostas        Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 75   190  Kostas        Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 76   190  Kostas        Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 77   190  Kostas        Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 78   190  Kostas        Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 79   190  Kostas        Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 80   190  Kostas        Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 81   190  Kostas        Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 82   190  Kostas        Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 83   190  Kostas        Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 84   190  Kostas        Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 85   190  Kostas        Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 86   190  Kostas        Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 87   190  Kostas        Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 88   190  Kostas        Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 89   190  Kostas        Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 90   190  Kostas        Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 91   190  Kostas        Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 92   190  Kostas        Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 93   190  Kostas        Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 94   190  Kostas        Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 95   190  Kostas        Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 96   190  Kostas        Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 97   190  Kostas        Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 98   190  Kostas        Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 99   190  Kostas        Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 100  190  Kostas        Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   1.70   22               Tea         
#[Out]# 1           6   2.65   19              Coca         
#[Out]# 2          13   6.45   27             Pizza         
#[Out]# 3           1   1.25   15         Cucumbers         
#[Out]# 4           9   3.20   14            Apples         
#[Out]# 5           5   1.05    4            Onions         
#[Out]# 6           5   5.85    1        Mixed Nuts         
#[Out]# 7           6   2.20   21            Coffee         
#[Out]# 8           3   1.75    9           Bananas         
#[Out]# 9           4   1.10    4            Onions         
#[Out]# 10          9   2.75   26             Pasta         
#[Out]# 11          6   8.25   28           Lasanga         
#[Out]# 12          1   1.40   16              Rice         
#[Out]# 13          3  11.65   12              Beef         
#[Out]# 14          6   2.15   21            Coffee         
#[Out]# 15          2   0.50   10             Water         
#[Out]# 16          6   1.00   11              Milk         
#[Out]# 17          1   1.65    9           Bananas         
#[Out]# 18          7   2.20    7          Tomatoes         
#[Out]# 19          1   1.00   15         Cucumbers         
#[Out]# 20          2   1.90   21            Coffee         
#[Out]# 21          8   7.70   28           Lasanga         
#[Out]# 22          5   1.75    3      Green Pepper         
#[Out]# 23          9   6.55    1        Mixed Nuts         
#[Out]# 24          1   1.60   22               Tea         
#[Out]# 25          8   2.00   23   Spiced Biscuits         
#[Out]# 26          7   0.40    5         Mushrooms         
#[Out]# 27          3   1.10    4            Onions         
#[Out]# 28          6   3.85   13              Eggs         
#[Out]# 29          7   0.55   10             Water         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 71          4   2.80   28           Lasanga         
#[Out]# 72          5   0.50   27             Pizza         
#[Out]# 73          3   2.55    5         Mushrooms         
#[Out]# 74          4   0.65   28           Lasanga         
#[Out]# 75          4   0.70    7          Tomatoes         
#[Out]# 76          4   3.70    0       Cashew Nuts         
#[Out]# 77          2   3.50   11              Milk         
#[Out]# 78          5   2.95    6           Carrots         
#[Out]# 79          5   2.75   19              Coca         
#[Out]# 80          7   1.50   17             Bread         
#[Out]# 81          5   0.85    9           Bananas         
#[Out]# 82          2   3.55   11              Milk         
#[Out]# 83          4   2.60   22               Tea         
#[Out]# 84          4   3.25   17             Bread         
#[Out]# 85          6   4.30   20             Fanta         
#[Out]# 86          3   3.05   11              Milk         
#[Out]# 87          6   4.05   21            Coffee         
#[Out]# 88          1   1.50   23   Spiced Biscuits         
#[Out]# 89          5   2.50   23   Spiced Biscuits         
#[Out]# 90          4   3.95    8  Hot Dog Sausages         
#[Out]# 91          6   3.50    0       Cashew Nuts         
#[Out]# 92          7   2.95    8  Hot Dog Sausages         
#[Out]# 93          4   1.60   11              Milk         
#[Out]# 94          5   3.25   15         Cucumbers         
#[Out]# 95          7   0.75    2          Potatoes         
#[Out]# 96          2   3.80   17             Bread         
#[Out]# 97          6   4.35    5         Mushrooms         
#[Out]# 98          5   2.85   19              Coca         
#[Out]# 99          2   3.15    9           Bananas         
#[Out]# 100         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [101 rows x 14 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND pName IS 'Onions'
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0   59    Joep          Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 1  124   Sofie   Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 2  169    Lily  Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 3  176   Amira     Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 4  190  Kostas        Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         5   1.05    4  Onions         
#[Out]# 1         4   1.10    4  Onions         
#[Out]# 2         3   1.10    4  Onions         
#[Out]# 3         7   0.90    4  Onions         
#[Out]# 4         1   2.40    4  Onions         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND 
p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0    59    Joep          Amstel  Amsterdam  173   59   11   14  2018-08-24   
#[Out]# 1    59    Joep          Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 2    59    Joep          Amstel  Amsterdam  175   59   47    1  2018-08-26   
#[Out]# 3   124   Sofie   Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 4   124   Sofie   Keizersgracht  Amsterdam  324  124   17   26  2018-08-26   
#[Out]# 5   124   Sofie   Keizersgracht  Amsterdam  325  124   14   28  2018-08-26   
#[Out]# 6   124   Sofie   Keizersgracht  Amsterdam  326  124   16   16  2018-08-26   
#[Out]# 7   124   Sofie   Keizersgracht  Amsterdam  327  124   23   12  2018-08-26   
#[Out]# 8   124   Sofie   Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 9   124   Sofie   Keizersgracht  Amsterdam  329  124   18   10  2018-08-26   
#[Out]# 10  124   Sofie   Keizersgracht  Amsterdam  330  124    1   11  2018-08-26   
#[Out]# 11  169    Lily  Gasthuisstraat    Utrecht  430  169   43    1  2018-08-18   
#[Out]# 12  169    Lily  Gasthuisstraat    Utrecht  433  169   32    5  2018-08-20   
#[Out]# 13  169    Lily  Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 14  169    Lily  Gasthuisstraat    Utrecht  435  169   55   13  2018-08-26   
#[Out]# 15  169    Lily  Gasthuisstraat    Utrecht  436  169   24   10  2018-08-27   
#[Out]# 16  176   Amira     Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 17  176   Amira     Parallelweg  Amsterdam  448  176   12   24  2018-08-25   
#[Out]# 18  176   Amira     Parallelweg  Amsterdam  449  176   35    0  2018-08-25   
#[Out]# 19  176   Amira     Parallelweg  Amsterdam  450  176   19   11  2018-08-25   
#[Out]# 20  176   Amira     Parallelweg  Amsterdam  451  176    4   21  2018-08-26   
#[Out]# 21  176   Amira     Parallelweg  Amsterdam  452  176    6    5  2018-08-26   
#[Out]# 22  190  Kostas        Eindeweg    Utrecht  785  190    1   19  2018-08-24   
#[Out]# 23  190  Kostas        Eindeweg    Utrecht  788  190    4    7  2018-08-26   
#[Out]# 24  190  Kostas        Eindeweg    Utrecht  791  190    7   22  2018-08-20   
#[Out]# 25  190  Kostas        Eindeweg    Utrecht  793  190    9   21  2018-08-26   
#[Out]# 26  190  Kostas        Eindeweg    Utrecht  794  190   10   19  2018-08-22   
#[Out]# 27  190  Kostas        Eindeweg    Utrecht  795  190   11    9  2018-08-22   
#[Out]# 28  190  Kostas        Eindeweg    Utrecht  797  190   13    0  2018-08-26   
#[Out]# 29  190  Kostas        Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 30  190  Kostas        Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 31  190  Kostas        Eindeweg    Utrecht  807  190   23    3  2018-08-18   
#[Out]# 32  190  Kostas        Eindeweg    Utrecht  809  190   25    5  2018-08-20   
#[Out]# 33  190  Kostas        Eindeweg    Utrecht  810  190   26   21  2018-08-22   
#[Out]# 34  190  Kostas        Eindeweg    Utrecht  813  190   29   17  2018-08-27   
#[Out]# 35  190  Kostas        Eindeweg    Utrecht  814  190   30   10  2018-08-18   
#[Out]# 36  190  Kostas        Eindeweg    Utrecht  816  190   32    0  2018-08-26   
#[Out]# 37  190  Kostas        Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 38  190  Kostas        Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 39  190  Kostas        Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 40  190  Kostas        Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 41  190  Kostas        Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 42  190  Kostas        Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 43  190  Kostas        Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 44  190  Kostas        Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 45  190  Kostas        Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 46  190  Kostas        Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 47  190  Kostas        Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 48  190  Kostas        Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 49  190  Kostas        Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 50  190  Kostas        Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 
#[Out]#     quantity  price  pID             pName suffix  
#[Out]# 0          9   3.20   14            Apples         
#[Out]# 1          5   1.05    4            Onions         
#[Out]# 2          5   5.85    1        Mixed Nuts         
#[Out]# 3          4   1.10    4            Onions         
#[Out]# 4          9   2.75   26             Pasta         
#[Out]# 5          6   8.25   28           Lasanga         
#[Out]# 6          1   1.40   16              Rice         
#[Out]# 7          3  11.65   12              Beef         
#[Out]# 8          6   2.15   21            Coffee         
#[Out]# 9          2   0.50   10             Water         
#[Out]# 10         6   1.00   11              Milk         
#[Out]# 11         9   6.55    1        Mixed Nuts         
#[Out]# 12         7   0.40    5         Mushrooms         
#[Out]# 13         3   1.10    4            Onions         
#[Out]# 14         6   3.85   13              Eggs         
#[Out]# 15         7   0.55   10             Water         
#[Out]# 16         7   0.90    4            Onions         
#[Out]# 17         9   3.85   24           Oranges         
#[Out]# 18         2   4.35    0       Cashew Nuts         
#[Out]# 19         6   0.90   11              Milk         
#[Out]# 20         8   2.15   21            Coffee         
#[Out]# 21         9   0.50    5         Mushrooms         
#[Out]# 22         6   2.55   19              Coca         
#[Out]# 23         7   1.30    7          Tomatoes         
#[Out]# 24         4   3.20   22               Tea         
#[Out]# 25         5   4.25   21            Coffee         
#[Out]# 26         7   0.90   19              Coca         
#[Out]# 27         5   3.00    9           Bananas         
#[Out]# 28         4   2.00    0       Cashew Nuts         
#[Out]# 29         2   3.10   21            Coffee         
#[Out]# 30         1   2.40    4            Onions         
#[Out]# 31         1   2.75    3      Green Pepper         
#[Out]# 32         2   1.75    5         Mushrooms         
#[Out]# 33         7   0.60   21            Coffee         
#[Out]# 34         5   1.20   17             Bread         
#[Out]# 35         4   4.35   10             Water         
#[Out]# 36         4   3.85    0       Cashew Nuts         
#[Out]# 37         4   2.80   28           Lasanga         
#[Out]# 38         4   0.70    7          Tomatoes         
#[Out]# 39         4   3.70    0       Cashew Nuts         
#[Out]# 40         5   2.75   19              Coca         
#[Out]# 41         5   0.85    9           Bananas         
#[Out]# 42         4   2.60   22               Tea         
#[Out]# 43         6   4.30   20             Fanta         
#[Out]# 44         6   4.05   21            Coffee         
#[Out]# 45         4   3.95    8  Hot Dog Sausages         
#[Out]# 46         6   3.50    0       Cashew Nuts         
#[Out]# 47         7   2.95    8  Hot Dog Sausages         
#[Out]# 48         5   3.25   15         Cucumbers         
#[Out]# 49         2   3.80   17             Bread         
#[Out]# 50         6   4.35    5         Mushrooms         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT cID, cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            c.cName, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            c.cName, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#     cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0    Saar                        33,42,85,86,110
#[Out]# 1  Kostas                    152,169,171,175,190
#[Out]# 2  Kostas                        111,176,177,190
#[Out]# 3   Esmee                              16,29,129
#[Out]# 4    Elin                        52,59,92,97,122
#[Out]# 5  Kostas                            124,176,190
#[Out]# 6    Liva                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#                    ids                          names
#[Out]# 0      33,42,85,86,110     Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1  152,169,171,175,190     Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2      111,176,177,190      Lauren,Amira,Eline,Kostas
#[Out]# 3            16,29,129             Julian,Ruben,Esmee
#[Out]# 4      52,59,92,97,122  Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5          124,176,190             Sofie,Amira,Kostas
#[Out]# 6           31,172,181              Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID

WHERE c.cID IN
    /*People buying both onions and coffee*/
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
AND p.date IN 
    /*Date where both onions and coffee were bought*/
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
INTERSECT
    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought*/
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date
#[Out]# 0    59    Joep  2018-08-23
#[Out]# 1    59    Joep  2018-08-24
#[Out]# 2    59    Joep  2018-08-25
#[Out]# 3    59    Joep  2018-08-26
#[Out]# 4    59    Joep  2018-08-15
#[Out]# 5    59    Joep  2018-08-16
#[Out]# 6   124   Sofie  2018-08-26
#[Out]# 7   124   Sofie  2018-08-23
#[Out]# 8   169    Lily  2018-08-16
#[Out]# 9   169    Lily  2018-08-17
#[Out]# 10  169    Lily  2018-08-18
#[Out]# 11  169    Lily  2018-08-19
#[Out]# 12  169    Lily  2018-08-20
#[Out]# 13  169    Lily  2018-08-26
#[Out]# 14  169    Lily  2018-08-27
#[Out]# 15  169    Lily  2018-08-28
#[Out]# 16  176   Amira  2018-08-22
#[Out]# 17  176   Amira  2018-08-25
#[Out]# 18  176   Amira  2018-08-26
#[Out]# 19  190  Kostas  2018-08-19
#[Out]# 20  190  Kostas  2018-08-24
#[Out]# 21  190  Kostas  2018-08-23
#[Out]# 22  190  Kostas  2018-08-26
#[Out]# 23  190  Kostas  2018-08-15
#[Out]# 24  190  Kostas  2018-08-20
#[Out]# 25  190  Kostas  2018-08-16
#[Out]# 26  190  Kostas  2018-08-22
#[Out]# 27  190  Kostas  2018-08-17
#[Out]# 28  190  Kostas  2018-08-21
#[Out]# 29  190  Kostas  2018-08-18
#[Out]# 30  190  Kostas  2018-08-27
#[Out]# 31  190  Kostas  2018-08-25
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER  BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date
#[Out]# 0    59    Joep  2018-08-15
#[Out]# 1   190  Kostas  2018-08-15
#[Out]# 2    59    Joep  2018-08-16
#[Out]# 3   169    Lily  2018-08-16
#[Out]# 4   190  Kostas  2018-08-16
#[Out]# 5   169    Lily  2018-08-17
#[Out]# 6   190  Kostas  2018-08-17
#[Out]# 7   169    Lily  2018-08-18
#[Out]# 8   190  Kostas  2018-08-18
#[Out]# 9   169    Lily  2018-08-19
#[Out]# 10  190  Kostas  2018-08-19
#[Out]# 11  169    Lily  2018-08-20
#[Out]# 12  190  Kostas  2018-08-20
#[Out]# 13  190  Kostas  2018-08-21
#[Out]# 14  176   Amira  2018-08-22
#[Out]# 15  190  Kostas  2018-08-22
#[Out]# 16   59    Joep  2018-08-23
#[Out]# 17  124   Sofie  2018-08-23
#[Out]# 18  190  Kostas  2018-08-23
#[Out]# 19   59    Joep  2018-08-24
#[Out]# 20  190  Kostas  2018-08-24
#[Out]# 21   59    Joep  2018-08-25
#[Out]# 22  176   Amira  2018-08-25
#[Out]# 23  190  Kostas  2018-08-25
#[Out]# 24   59    Joep  2018-08-26
#[Out]# 25  124   Sofie  2018-08-26
#[Out]# 26  169    Lily  2018-08-26
#[Out]# 27  176   Amira  2018-08-26
#[Out]# 28  190  Kostas  2018-08-26
#[Out]# 29  169    Lily  2018-08-27
#[Out]# 30  190  Kostas  2018-08-27
#[Out]# 31  169    Lily  2018-08-28
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date
#[Out]# 0    59    Joep  2018-08-15
#[Out]# 1   190  Kostas  2018-08-15
#[Out]# 2    59    Joep  2018-08-16
#[Out]# 3   169    Lily  2018-08-16
#[Out]# 4   190  Kostas  2018-08-16
#[Out]# 5   169    Lily  2018-08-17
#[Out]# 6   190  Kostas  2018-08-17
#[Out]# 7   169    Lily  2018-08-18
#[Out]# 8   190  Kostas  2018-08-18
#[Out]# 9   169    Lily  2018-08-19
#[Out]# 10  190  Kostas  2018-08-19
#[Out]# 11  169    Lily  2018-08-20
#[Out]# 12  190  Kostas  2018-08-20
#[Out]# 13  190  Kostas  2018-08-21
#[Out]# 14  176   Amira  2018-08-22
#[Out]# 15  190  Kostas  2018-08-22
#[Out]# 16   59    Joep  2018-08-23
#[Out]# 17  124   Sofie  2018-08-23
#[Out]# 18  190  Kostas  2018-08-23
#[Out]# 19   59    Joep  2018-08-24
#[Out]# 20  190  Kostas  2018-08-24
#[Out]# 21   59    Joep  2018-08-25
#[Out]# 22  176   Amira  2018-08-25
#[Out]# 23  190  Kostas  2018-08-25
#[Out]# 24   59    Joep  2018-08-26
#[Out]# 25  124   Sofie  2018-08-26
#[Out]# 26  169    Lily  2018-08-26
#[Out]# 27  176   Amira  2018-08-26
#[Out]# 28  190  Kostas  2018-08-26
#[Out]# 29  169    Lily  2018-08-27
#[Out]# 30  190  Kostas  2018-08-27
#[Out]# 31  169    Lily  2018-08-28
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cName
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date
#[Out]# 0   176   Amira  2018-08-22
#[Out]# 1   176   Amira  2018-08-25
#[Out]# 2   176   Amira  2018-08-26
#[Out]# 3    59    Joep  2018-08-23
#[Out]# 4    59    Joep  2018-08-24
#[Out]# 5    59    Joep  2018-08-25
#[Out]# 6    59    Joep  2018-08-26
#[Out]# 7    59    Joep  2018-08-15
#[Out]# 8    59    Joep  2018-08-16
#[Out]# 9   190  Kostas  2018-08-19
#[Out]# 10  190  Kostas  2018-08-24
#[Out]# 11  190  Kostas  2018-08-23
#[Out]# 12  190  Kostas  2018-08-26
#[Out]# 13  190  Kostas  2018-08-15
#[Out]# 14  190  Kostas  2018-08-20
#[Out]# 15  190  Kostas  2018-08-16
#[Out]# 16  190  Kostas  2018-08-22
#[Out]# 17  190  Kostas  2018-08-17
#[Out]# 18  190  Kostas  2018-08-21
#[Out]# 19  190  Kostas  2018-08-18
#[Out]# 20  190  Kostas  2018-08-27
#[Out]# 21  190  Kostas  2018-08-25
#[Out]# 22  169    Lily  2018-08-16
#[Out]# 23  169    Lily  2018-08-17
#[Out]# 24  169    Lily  2018-08-18
#[Out]# 25  169    Lily  2018-08-19
#[Out]# 26  169    Lily  2018-08-20
#[Out]# 27  169    Lily  2018-08-26
#[Out]# 28  169    Lily  2018-08-27
#[Out]# 29  169    Lily  2018-08-28
#[Out]# 30  124   Sofie  2018-08-26
#[Out]# 31  124   Sofie  2018-08-23
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cName
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0    176   Amira     Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 1    176   Amira     Parallelweg  Amsterdam  448  176   12   24  2018-08-25   
#[Out]# 2    176   Amira     Parallelweg  Amsterdam  449  176   35    0  2018-08-25   
#[Out]# 3    176   Amira     Parallelweg  Amsterdam  450  176   19   11  2018-08-25   
#[Out]# 4    176   Amira     Parallelweg  Amsterdam  451  176    4   21  2018-08-26   
#[Out]# 5    176   Amira     Parallelweg  Amsterdam  452  176    6    5  2018-08-26   
#[Out]# 6     59    Joep          Amstel  Amsterdam  169   59   46   22  2018-08-23   
#[Out]# 7     59    Joep          Amstel  Amsterdam  170   59   44   19  2018-08-23   
#[Out]# 8     59    Joep          Amstel  Amsterdam  171   59   58   27  2018-08-23   
#[Out]# 9     59    Joep          Amstel  Amsterdam  172   59   12   15  2018-08-23   
#[Out]# 10    59    Joep          Amstel  Amsterdam  173   59   11   14  2018-08-24   
#[Out]# 11    59    Joep          Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 12    59    Joep          Amstel  Amsterdam  175   59   47    1  2018-08-26   
#[Out]# 13    59    Joep          Amstel  Amsterdam  176   59   59   21  2018-08-15   
#[Out]# 14    59    Joep          Amstel  Amsterdam  177   59   42    9  2018-08-16   
#[Out]# 15   190  Kostas        Eindeweg    Utrecht  784  190    0   27  2018-08-19   
#[Out]# 16   190  Kostas        Eindeweg    Utrecht  785  190    1   19  2018-08-24   
#[Out]# 17   190  Kostas        Eindeweg    Utrecht  786  190    2   19  2018-08-19   
#[Out]# 18   190  Kostas        Eindeweg    Utrecht  787  190    3   28  2018-08-23   
#[Out]# 19   190  Kostas        Eindeweg    Utrecht  788  190    4    7  2018-08-26   
#[Out]# 20   190  Kostas        Eindeweg    Utrecht  789  190    5    2  2018-08-23   
#[Out]# 21   190  Kostas        Eindeweg    Utrecht  790  190    6   10  2018-08-15   
#[Out]# 22   190  Kostas        Eindeweg    Utrecht  791  190    7   22  2018-08-20   
#[Out]# 23   190  Kostas        Eindeweg    Utrecht  792  190    8   20  2018-08-16   
#[Out]# 24   190  Kostas        Eindeweg    Utrecht  793  190    9   21  2018-08-26   
#[Out]# 25   190  Kostas        Eindeweg    Utrecht  794  190   10   19  2018-08-22   
#[Out]# 26   190  Kostas        Eindeweg    Utrecht  795  190   11    9  2018-08-22   
#[Out]# 27   190  Kostas        Eindeweg    Utrecht  796  190   12   26  2018-08-17   
#[Out]# 28   190  Kostas        Eindeweg    Utrecht  797  190   13    0  2018-08-26   
#[Out]# 29   190  Kostas        Eindeweg    Utrecht  798  190   14   15  2018-08-17   
#[Out]# ..   ...     ...             ...        ...  ...  ...  ...  ...         ...   
#[Out]# 71   190  Kostas        Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 72   190  Kostas        Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 73   190  Kostas        Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 74   190  Kostas        Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 75   190  Kostas        Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 76   190  Kostas        Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 77   190  Kostas        Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 78   190  Kostas        Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 79   169    Lily  Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 80   169    Lily  Gasthuisstraat    Utrecht  428  169   18   28  2018-08-17   
#[Out]# 81   169    Lily  Gasthuisstraat    Utrecht  429  169   46    3  2018-08-17   
#[Out]# 82   169    Lily  Gasthuisstraat    Utrecht  430  169   43    1  2018-08-18   
#[Out]# 83   169    Lily  Gasthuisstraat    Utrecht  431  169   54   22  2018-08-19   
#[Out]# 84   169    Lily  Gasthuisstraat    Utrecht  432  169    8   23  2018-08-19   
#[Out]# 85   169    Lily  Gasthuisstraat    Utrecht  433  169   32    5  2018-08-20   
#[Out]# 86   169    Lily  Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 87   169    Lily  Gasthuisstraat    Utrecht  435  169   55   13  2018-08-26   
#[Out]# 88   169    Lily  Gasthuisstraat    Utrecht  436  169   24   10  2018-08-27   
#[Out]# 89   169    Lily  Gasthuisstraat    Utrecht  437  169   52   14  2018-08-28   
#[Out]# 90   124   Sofie   Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 91   124   Sofie   Keizersgracht  Amsterdam  324  124   17   26  2018-08-26   
#[Out]# 92   124   Sofie   Keizersgracht  Amsterdam  325  124   14   28  2018-08-26   
#[Out]# 93   124   Sofie   Keizersgracht  Amsterdam  326  124   16   16  2018-08-26   
#[Out]# 94   124   Sofie   Keizersgracht  Amsterdam  327  124   23   12  2018-08-26   
#[Out]# 95   124   Sofie   Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 96   124   Sofie   Keizersgracht  Amsterdam  329  124   18   10  2018-08-26   
#[Out]# 97   124   Sofie   Keizersgracht  Amsterdam  330  124    1   11  2018-08-26   
#[Out]# 98   124   Sofie   Keizersgracht  Amsterdam  331  124   21    9  2018-08-23   
#[Out]# 99   124   Sofie   Keizersgracht  Amsterdam  332  124   35    7  2018-08-23   
#[Out]# 100  124   Sofie   Keizersgracht  Amsterdam  333  124    6   15  2018-08-23   
#[Out]# 
#[Out]#      quantity  price  pID            pName suffix  
#[Out]# 0           7   0.90    4           Onions         
#[Out]# 1           9   3.85   24          Oranges         
#[Out]# 2           2   4.35    0      Cashew Nuts         
#[Out]# 3           6   0.90   11             Milk         
#[Out]# 4           8   2.15   21           Coffee         
#[Out]# 5           9   0.50    5        Mushrooms         
#[Out]# 6           1   1.70   22              Tea         
#[Out]# 7           6   2.65   19             Coca         
#[Out]# 8          13   6.45   27            Pizza         
#[Out]# 9           1   1.25   15        Cucumbers         
#[Out]# 10          9   3.20   14           Apples         
#[Out]# 11          5   1.05    4           Onions         
#[Out]# 12          5   5.85    1       Mixed Nuts         
#[Out]# 13          6   2.20   21           Coffee         
#[Out]# 14          3   1.75    9          Bananas         
#[Out]# 15          5   4.45   27            Pizza         
#[Out]# 16          6   2.55   19             Coca         
#[Out]# 17          4   1.40   19             Coca         
#[Out]# 18          5   0.50   28          Lasanga         
#[Out]# 19          7   1.30    7         Tomatoes         
#[Out]# 20          7   2.00    2         Potatoes         
#[Out]# 21          2   4.15   10            Water         
#[Out]# 22          4   3.20   22              Tea         
#[Out]# 23          7   3.25   20            Fanta         
#[Out]# 24          5   4.25   21           Coffee         
#[Out]# 25          7   0.90   19             Coca         
#[Out]# 26          5   3.00    9          Bananas         
#[Out]# 27          6   2.75   26            Pasta         
#[Out]# 28          4   2.00    0      Cashew Nuts         
#[Out]# 29          5   3.80   15        Cucumbers         
#[Out]# ..        ...    ...  ...              ...    ...  
#[Out]# 71          4   1.60   11             Milk         
#[Out]# 72          5   3.25   15        Cucumbers         
#[Out]# 73          7   0.75    2         Potatoes         
#[Out]# 74          2   3.80   17            Bread         
#[Out]# 75          6   4.35    5        Mushrooms         
#[Out]# 76          5   2.85   19             Coca         
#[Out]# 77          2   3.15    9          Bananas         
#[Out]# 78          1   3.30   18           Cheese         
#[Out]# 79          2   1.90   21           Coffee         
#[Out]# 80          8   7.70   28          Lasanga         
#[Out]# 81          5   1.75    3     Green Pepper         
#[Out]# 82          9   6.55    1       Mixed Nuts         
#[Out]# 83          1   1.60   22              Tea         
#[Out]# 84          8   2.00   23  Spiced Biscuits         
#[Out]# 85          7   0.40    5        Mushrooms         
#[Out]# 86          3   1.10    4           Onions         
#[Out]# 87          6   3.85   13             Eggs         
#[Out]# 88          7   0.55   10            Water         
#[Out]# 89          7   4.65   14           Apples         
#[Out]# 90          4   1.10    4           Onions         
#[Out]# 91          9   2.75   26            Pasta         
#[Out]# 92          6   8.25   28          Lasanga         
#[Out]# 93          1   1.40   16             Rice         
#[Out]# 94          3  11.65   12             Beef         
#[Out]# 95          6   2.15   21           Coffee         
#[Out]# 96          2   0.50   10            Water         
#[Out]# 97          6   1.00   11             Milk         
#[Out]# 98          1   1.65    9          Bananas         
#[Out]# 99          7   2.20    7         Tomatoes         
#[Out]# 100         1   1.00   15        Cucumbers         
#[Out]# 
#[Out]# [101 rows x 14 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT *
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0     59    Joep          Amstel  Amsterdam  169   59   46   22  2018-08-23   
#[Out]# 1     59    Joep          Amstel  Amsterdam  170   59   44   19  2018-08-23   
#[Out]# 2     59    Joep          Amstel  Amsterdam  171   59   58   27  2018-08-23   
#[Out]# 3     59    Joep          Amstel  Amsterdam  172   59   12   15  2018-08-23   
#[Out]# 4     59    Joep          Amstel  Amsterdam  173   59   11   14  2018-08-24   
#[Out]# 5     59    Joep          Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 6     59    Joep          Amstel  Amsterdam  175   59   47    1  2018-08-26   
#[Out]# 7     59    Joep          Amstel  Amsterdam  176   59   59   21  2018-08-15   
#[Out]# 8     59    Joep          Amstel  Amsterdam  177   59   42    9  2018-08-16   
#[Out]# 9    124   Sofie   Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 10   124   Sofie   Keizersgracht  Amsterdam  324  124   17   26  2018-08-26   
#[Out]# 11   124   Sofie   Keizersgracht  Amsterdam  325  124   14   28  2018-08-26   
#[Out]# 12   124   Sofie   Keizersgracht  Amsterdam  326  124   16   16  2018-08-26   
#[Out]# 13   124   Sofie   Keizersgracht  Amsterdam  327  124   23   12  2018-08-26   
#[Out]# 14   124   Sofie   Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 15   124   Sofie   Keizersgracht  Amsterdam  329  124   18   10  2018-08-26   
#[Out]# 16   124   Sofie   Keizersgracht  Amsterdam  330  124    1   11  2018-08-26   
#[Out]# 17   124   Sofie   Keizersgracht  Amsterdam  331  124   21    9  2018-08-23   
#[Out]# 18   124   Sofie   Keizersgracht  Amsterdam  332  124   35    7  2018-08-23   
#[Out]# 19   124   Sofie   Keizersgracht  Amsterdam  333  124    6   15  2018-08-23   
#[Out]# 20   169    Lily  Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 21   169    Lily  Gasthuisstraat    Utrecht  428  169   18   28  2018-08-17   
#[Out]# 22   169    Lily  Gasthuisstraat    Utrecht  429  169   46    3  2018-08-17   
#[Out]# 23   169    Lily  Gasthuisstraat    Utrecht  430  169   43    1  2018-08-18   
#[Out]# 24   169    Lily  Gasthuisstraat    Utrecht  431  169   54   22  2018-08-19   
#[Out]# 25   169    Lily  Gasthuisstraat    Utrecht  432  169    8   23  2018-08-19   
#[Out]# 26   169    Lily  Gasthuisstraat    Utrecht  433  169   32    5  2018-08-20   
#[Out]# 27   169    Lily  Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 28   169    Lily  Gasthuisstraat    Utrecht  435  169   55   13  2018-08-26   
#[Out]# 29   169    Lily  Gasthuisstraat    Utrecht  436  169   24   10  2018-08-27   
#[Out]# ..   ...     ...             ...        ...  ...  ...  ...  ...         ...   
#[Out]# 71   190  Kostas        Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 72   190  Kostas        Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 73   190  Kostas        Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 74   190  Kostas        Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 75   190  Kostas        Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 76   190  Kostas        Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 77   190  Kostas        Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 78   190  Kostas        Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 79   190  Kostas        Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 80   190  Kostas        Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 81   190  Kostas        Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 82   190  Kostas        Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 83   190  Kostas        Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 84   190  Kostas        Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 85   190  Kostas        Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 86   190  Kostas        Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 87   190  Kostas        Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 88   190  Kostas        Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 89   190  Kostas        Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 90   190  Kostas        Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 91   190  Kostas        Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 92   190  Kostas        Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 93   190  Kostas        Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 94   190  Kostas        Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 95   190  Kostas        Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 96   190  Kostas        Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 97   190  Kostas        Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 98   190  Kostas        Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 99   190  Kostas        Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 100  190  Kostas        Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   1.70   22               Tea         
#[Out]# 1           6   2.65   19              Coca         
#[Out]# 2          13   6.45   27             Pizza         
#[Out]# 3           1   1.25   15         Cucumbers         
#[Out]# 4           9   3.20   14            Apples         
#[Out]# 5           5   1.05    4            Onions         
#[Out]# 6           5   5.85    1        Mixed Nuts         
#[Out]# 7           6   2.20   21            Coffee         
#[Out]# 8           3   1.75    9           Bananas         
#[Out]# 9           4   1.10    4            Onions         
#[Out]# 10          9   2.75   26             Pasta         
#[Out]# 11          6   8.25   28           Lasanga         
#[Out]# 12          1   1.40   16              Rice         
#[Out]# 13          3  11.65   12              Beef         
#[Out]# 14          6   2.15   21            Coffee         
#[Out]# 15          2   0.50   10             Water         
#[Out]# 16          6   1.00   11              Milk         
#[Out]# 17          1   1.65    9           Bananas         
#[Out]# 18          7   2.20    7          Tomatoes         
#[Out]# 19          1   1.00   15         Cucumbers         
#[Out]# 20          2   1.90   21            Coffee         
#[Out]# 21          8   7.70   28           Lasanga         
#[Out]# 22          5   1.75    3      Green Pepper         
#[Out]# 23          9   6.55    1        Mixed Nuts         
#[Out]# 24          1   1.60   22               Tea         
#[Out]# 25          8   2.00   23   Spiced Biscuits         
#[Out]# 26          7   0.40    5         Mushrooms         
#[Out]# 27          3   1.10    4            Onions         
#[Out]# 28          6   3.85   13              Eggs         
#[Out]# 29          7   0.55   10             Water         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 71          4   2.80   28           Lasanga         
#[Out]# 72          5   0.50   27             Pizza         
#[Out]# 73          3   2.55    5         Mushrooms         
#[Out]# 74          4   0.65   28           Lasanga         
#[Out]# 75          4   0.70    7          Tomatoes         
#[Out]# 76          4   3.70    0       Cashew Nuts         
#[Out]# 77          2   3.50   11              Milk         
#[Out]# 78          5   2.95    6           Carrots         
#[Out]# 79          5   2.75   19              Coca         
#[Out]# 80          7   1.50   17             Bread         
#[Out]# 81          5   0.85    9           Bananas         
#[Out]# 82          2   3.55   11              Milk         
#[Out]# 83          4   2.60   22               Tea         
#[Out]# 84          4   3.25   17             Bread         
#[Out]# 85          6   4.30   20             Fanta         
#[Out]# 86          3   3.05   11              Milk         
#[Out]# 87          6   4.05   21            Coffee         
#[Out]# 88          1   1.50   23   Spiced Biscuits         
#[Out]# 89          5   2.50   23   Spiced Biscuits         
#[Out]# 90          4   3.95    8  Hot Dog Sausages         
#[Out]# 91          6   3.50    0       Cashew Nuts         
#[Out]# 92          7   2.95    8  Hot Dog Sausages         
#[Out]# 93          4   1.60   11              Milk         
#[Out]# 94          5   3.25   15         Cucumbers         
#[Out]# 95          7   0.75    2          Potatoes         
#[Out]# 96          2   3.80   17             Bread         
#[Out]# 97          6   4.35    5         Mushrooms         
#[Out]# 98          5   2.85   19              Coca         
#[Out]# 99          2   3.15    9           Bananas         
#[Out]# 100         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [101 rows x 14 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT cID, cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT c.cID, cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName
#[Out]# 0     59    Joep
#[Out]# 1     59    Joep
#[Out]# 2     59    Joep
#[Out]# 3     59    Joep
#[Out]# 4     59    Joep
#[Out]# 5     59    Joep
#[Out]# 6     59    Joep
#[Out]# 7     59    Joep
#[Out]# 8     59    Joep
#[Out]# 9    124   Sofie
#[Out]# 10   124   Sofie
#[Out]# 11   124   Sofie
#[Out]# 12   124   Sofie
#[Out]# 13   124   Sofie
#[Out]# 14   124   Sofie
#[Out]# 15   124   Sofie
#[Out]# 16   124   Sofie
#[Out]# 17   124   Sofie
#[Out]# 18   124   Sofie
#[Out]# 19   124   Sofie
#[Out]# 20   169    Lily
#[Out]# 21   169    Lily
#[Out]# 22   169    Lily
#[Out]# 23   169    Lily
#[Out]# 24   169    Lily
#[Out]# 25   169    Lily
#[Out]# 26   169    Lily
#[Out]# 27   169    Lily
#[Out]# 28   169    Lily
#[Out]# 29   169    Lily
#[Out]# ..   ...     ...
#[Out]# 71   190  Kostas
#[Out]# 72   190  Kostas
#[Out]# 73   190  Kostas
#[Out]# 74   190  Kostas
#[Out]# 75   190  Kostas
#[Out]# 76   190  Kostas
#[Out]# 77   190  Kostas
#[Out]# 78   190  Kostas
#[Out]# 79   190  Kostas
#[Out]# 80   190  Kostas
#[Out]# 81   190  Kostas
#[Out]# 82   190  Kostas
#[Out]# 83   190  Kostas
#[Out]# 84   190  Kostas
#[Out]# 85   190  Kostas
#[Out]# 86   190  Kostas
#[Out]# 87   190  Kostas
#[Out]# 88   190  Kostas
#[Out]# 89   190  Kostas
#[Out]# 90   190  Kostas
#[Out]# 91   190  Kostas
#[Out]# 92   190  Kostas
#[Out]# 93   190  Kostas
#[Out]# 94   190  Kostas
#[Out]# 95   190  Kostas
#[Out]# 96   190  Kostas
#[Out]# 97   190  Kostas
#[Out]# 98   190  Kostas
#[Out]# 99   190  Kostas
#[Out]# 100  190  Kostas
#[Out]# 
#[Out]# [101 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date, pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date             pName
#[Out]# 0    59    Joep  2018-08-23               Tea
#[Out]# 1    59    Joep  2018-08-23              Coca
#[Out]# 2    59    Joep  2018-08-23             Pizza
#[Out]# 3    59    Joep  2018-08-23         Cucumbers
#[Out]# 4    59    Joep  2018-08-24            Apples
#[Out]# 5    59    Joep  2018-08-25            Onions
#[Out]# 6    59    Joep  2018-08-26        Mixed Nuts
#[Out]# 7    59    Joep  2018-08-15            Coffee
#[Out]# 8    59    Joep  2018-08-16           Bananas
#[Out]# 9   124   Sofie  2018-08-26            Onions
#[Out]# 10  124   Sofie  2018-08-26             Pasta
#[Out]# 11  124   Sofie  2018-08-26           Lasanga
#[Out]# 12  124   Sofie  2018-08-26              Rice
#[Out]# 13  124   Sofie  2018-08-26              Beef
#[Out]# 14  124   Sofie  2018-08-26            Coffee
#[Out]# 15  124   Sofie  2018-08-26             Water
#[Out]# 16  124   Sofie  2018-08-26              Milk
#[Out]# 17  124   Sofie  2018-08-23           Bananas
#[Out]# 18  124   Sofie  2018-08-23          Tomatoes
#[Out]# 19  124   Sofie  2018-08-23         Cucumbers
#[Out]# 20  169    Lily  2018-08-16            Coffee
#[Out]# 21  169    Lily  2018-08-17           Lasanga
#[Out]# 22  169    Lily  2018-08-17      Green Pepper
#[Out]# 23  169    Lily  2018-08-18        Mixed Nuts
#[Out]# 24  169    Lily  2018-08-19               Tea
#[Out]# 25  169    Lily  2018-08-19   Spiced Biscuits
#[Out]# 26  169    Lily  2018-08-20         Mushrooms
#[Out]# 27  169    Lily  2018-08-20            Onions
#[Out]# 28  169    Lily  2018-08-26              Eggs
#[Out]# 29  169    Lily  2018-08-27             Water
#[Out]# ..  ...     ...         ...               ...
#[Out]# 61  190  Kostas  2018-08-16             Pasta
#[Out]# 62  190  Kostas  2018-08-20         Mushrooms
#[Out]# 63  190  Kostas  2018-08-22            Coffee
#[Out]# 64  190  Kostas  2018-08-17              Eggs
#[Out]# 65  190  Kostas  2018-08-23              Coca
#[Out]# 66  190  Kostas  2018-08-27             Bread
#[Out]# 67  190  Kostas  2018-08-18             Water
#[Out]# 68  190  Kostas  2018-08-19             Bread
#[Out]# 69  190  Kostas  2018-08-20           Lasanga
#[Out]# 70  190  Kostas  2018-08-15             Pizza
#[Out]# 71  190  Kostas  2018-08-23         Mushrooms
#[Out]# 72  190  Kostas  2018-08-15           Lasanga
#[Out]# 73  190  Kostas  2018-08-24          Tomatoes
#[Out]# 74  190  Kostas  2018-08-25       Cashew Nuts
#[Out]# 75  190  Kostas  2018-08-15              Milk
#[Out]# 76  190  Kostas  2018-08-15           Carrots
#[Out]# 77  190  Kostas  2018-08-17             Bread
#[Out]# 78  190  Kostas  2018-08-18           Bananas
#[Out]# 79  190  Kostas  2018-08-19              Milk
#[Out]# 80  190  Kostas  2018-08-25               Tea
#[Out]# 81  190  Kostas  2018-08-26             Fanta
#[Out]# 82  190  Kostas  2018-08-17              Milk
#[Out]# 83  190  Kostas  2018-08-19   Spiced Biscuits
#[Out]# 84  190  Kostas  2018-08-18  Hot Dog Sausages
#[Out]# 85  190  Kostas  2018-08-22         Cucumbers
#[Out]# 86  190  Kostas  2018-08-19          Potatoes
#[Out]# 87  190  Kostas  2018-08-26             Bread
#[Out]# 88  190  Kostas  2018-08-27         Mushrooms
#[Out]# 89  190  Kostas  2018-08-16           Bananas
#[Out]# 90  190  Kostas  2018-08-21            Cheese
#[Out]# 
#[Out]# [91 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date, pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date             pName
#[Out]# 0    59    Joep  2018-08-15            Coffee
#[Out]# 1   190  Kostas  2018-08-15             Water
#[Out]# 2   190  Kostas  2018-08-15   Spiced Biscuits
#[Out]# 3   190  Kostas  2018-08-15             Pizza
#[Out]# 4   190  Kostas  2018-08-15           Lasanga
#[Out]# 5   190  Kostas  2018-08-15              Milk
#[Out]# 6   190  Kostas  2018-08-15           Carrots
#[Out]# 7    59    Joep  2018-08-16           Bananas
#[Out]# 8   169    Lily  2018-08-16            Coffee
#[Out]# 9   190  Kostas  2018-08-16             Fanta
#[Out]# 10  190  Kostas  2018-08-16             Bread
#[Out]# 11  190  Kostas  2018-08-16             Pasta
#[Out]# 12  190  Kostas  2018-08-16           Bananas
#[Out]# 13  169    Lily  2018-08-17           Lasanga
#[Out]# 14  169    Lily  2018-08-17      Green Pepper
#[Out]# 15  190  Kostas  2018-08-17             Pasta
#[Out]# 16  190  Kostas  2018-08-17         Cucumbers
#[Out]# 17  190  Kostas  2018-08-17             Fanta
#[Out]# 18  190  Kostas  2018-08-17              Eggs
#[Out]# 19  190  Kostas  2018-08-17             Bread
#[Out]# 20  190  Kostas  2018-08-17              Milk
#[Out]# 21  169    Lily  2018-08-18        Mixed Nuts
#[Out]# 22  190  Kostas  2018-08-18      Green Pepper
#[Out]# 23  190  Kostas  2018-08-18             Water
#[Out]# 24  190  Kostas  2018-08-18           Bananas
#[Out]# 25  190  Kostas  2018-08-18  Hot Dog Sausages
#[Out]# 26  169    Lily  2018-08-19               Tea
#[Out]# 27  169    Lily  2018-08-19   Spiced Biscuits
#[Out]# 28  190  Kostas  2018-08-19             Pizza
#[Out]# 29  190  Kostas  2018-08-19              Coca
#[Out]# ..  ...     ...         ...               ...
#[Out]# 61  190  Kostas  2018-08-24              Coca
#[Out]# 62  190  Kostas  2018-08-24          Tomatoes
#[Out]# 63   59    Joep  2018-08-25            Onions
#[Out]# 64  176   Amira  2018-08-25           Oranges
#[Out]# 65  176   Amira  2018-08-25       Cashew Nuts
#[Out]# 66  176   Amira  2018-08-25              Milk
#[Out]# 67  190  Kostas  2018-08-25       Cashew Nuts
#[Out]# 68  190  Kostas  2018-08-25               Tea
#[Out]# 69   59    Joep  2018-08-26        Mixed Nuts
#[Out]# 70  124   Sofie  2018-08-26            Onions
#[Out]# 71  124   Sofie  2018-08-26             Pasta
#[Out]# 72  124   Sofie  2018-08-26           Lasanga
#[Out]# 73  124   Sofie  2018-08-26              Rice
#[Out]# 74  124   Sofie  2018-08-26              Beef
#[Out]# 75  124   Sofie  2018-08-26            Coffee
#[Out]# 76  124   Sofie  2018-08-26             Water
#[Out]# 77  124   Sofie  2018-08-26              Milk
#[Out]# 78  169    Lily  2018-08-26              Eggs
#[Out]# 79  176   Amira  2018-08-26            Coffee
#[Out]# 80  176   Amira  2018-08-26         Mushrooms
#[Out]# 81  190  Kostas  2018-08-26          Tomatoes
#[Out]# 82  190  Kostas  2018-08-26            Coffee
#[Out]# 83  190  Kostas  2018-08-26       Cashew Nuts
#[Out]# 84  190  Kostas  2018-08-26            Onions
#[Out]# 85  190  Kostas  2018-08-26             Fanta
#[Out]# 86  190  Kostas  2018-08-26             Bread
#[Out]# 87  169    Lily  2018-08-27             Water
#[Out]# 88  190  Kostas  2018-08-27             Bread
#[Out]# 89  190  Kostas  2018-08-27         Mushrooms
#[Out]# 90  169    Lily  2018-08-28            Apples
#[Out]# 
#[Out]# [91 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date, pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
GROUP BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date             pName
#[Out]# 0   190  Kostas  2018-08-15              Milk
#[Out]# 1   190  Kostas  2018-08-16           Bananas
#[Out]# 2   190  Kostas  2018-08-17              Milk
#[Out]# 3   190  Kostas  2018-08-18  Hot Dog Sausages
#[Out]# 4   190  Kostas  2018-08-19          Potatoes
#[Out]# 5   190  Kostas  2018-08-20           Lasanga
#[Out]# 6   190  Kostas  2018-08-21            Cheese
#[Out]# 7   190  Kostas  2018-08-22         Cucumbers
#[Out]# 8   190  Kostas  2018-08-23              Coca
#[Out]# 9   190  Kostas  2018-08-24          Tomatoes
#[Out]# 10  190  Kostas  2018-08-25       Cashew Nuts
#[Out]# 11  190  Kostas  2018-08-26             Bread
#[Out]# 12  190  Kostas  2018-08-27         Mushrooms
#[Out]# 13  169    Lily  2018-08-28            Apples
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date, pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

/*AND p.date IN 
    (
    /*Dates where onions where bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )    */
ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date             pName
#[Out]# 0    59    Joep  2018-08-15            Coffee
#[Out]# 1   190  Kostas  2018-08-15             Water
#[Out]# 2   190  Kostas  2018-08-15   Spiced Biscuits
#[Out]# 3   190  Kostas  2018-08-15             Pizza
#[Out]# 4   190  Kostas  2018-08-15           Lasanga
#[Out]# 5   190  Kostas  2018-08-15              Milk
#[Out]# 6   190  Kostas  2018-08-15           Carrots
#[Out]# 7    59    Joep  2018-08-16           Bananas
#[Out]# 8   169    Lily  2018-08-16            Coffee
#[Out]# 9   190  Kostas  2018-08-16             Fanta
#[Out]# 10  190  Kostas  2018-08-16             Bread
#[Out]# 11  190  Kostas  2018-08-16             Pasta
#[Out]# 12  190  Kostas  2018-08-16           Bananas
#[Out]# 13  169    Lily  2018-08-17           Lasanga
#[Out]# 14  169    Lily  2018-08-17      Green Pepper
#[Out]# 15  190  Kostas  2018-08-17             Pasta
#[Out]# 16  190  Kostas  2018-08-17         Cucumbers
#[Out]# 17  190  Kostas  2018-08-17             Fanta
#[Out]# 18  190  Kostas  2018-08-17              Eggs
#[Out]# 19  190  Kostas  2018-08-17             Bread
#[Out]# 20  190  Kostas  2018-08-17              Milk
#[Out]# 21  169    Lily  2018-08-18        Mixed Nuts
#[Out]# 22  190  Kostas  2018-08-18      Green Pepper
#[Out]# 23  190  Kostas  2018-08-18             Water
#[Out]# 24  190  Kostas  2018-08-18           Bananas
#[Out]# 25  190  Kostas  2018-08-18  Hot Dog Sausages
#[Out]# 26  169    Lily  2018-08-19               Tea
#[Out]# 27  169    Lily  2018-08-19   Spiced Biscuits
#[Out]# 28  190  Kostas  2018-08-19             Pizza
#[Out]# 29  190  Kostas  2018-08-19              Coca
#[Out]# ..  ...     ...         ...               ...
#[Out]# 61  190  Kostas  2018-08-24              Coca
#[Out]# 62  190  Kostas  2018-08-24          Tomatoes
#[Out]# 63   59    Joep  2018-08-25            Onions
#[Out]# 64  176   Amira  2018-08-25           Oranges
#[Out]# 65  176   Amira  2018-08-25       Cashew Nuts
#[Out]# 66  176   Amira  2018-08-25              Milk
#[Out]# 67  190  Kostas  2018-08-25       Cashew Nuts
#[Out]# 68  190  Kostas  2018-08-25               Tea
#[Out]# 69   59    Joep  2018-08-26        Mixed Nuts
#[Out]# 70  124   Sofie  2018-08-26            Onions
#[Out]# 71  124   Sofie  2018-08-26             Pasta
#[Out]# 72  124   Sofie  2018-08-26           Lasanga
#[Out]# 73  124   Sofie  2018-08-26              Rice
#[Out]# 74  124   Sofie  2018-08-26              Beef
#[Out]# 75  124   Sofie  2018-08-26            Coffee
#[Out]# 76  124   Sofie  2018-08-26             Water
#[Out]# 77  124   Sofie  2018-08-26              Milk
#[Out]# 78  169    Lily  2018-08-26              Eggs
#[Out]# 79  176   Amira  2018-08-26            Coffee
#[Out]# 80  176   Amira  2018-08-26         Mushrooms
#[Out]# 81  190  Kostas  2018-08-26          Tomatoes
#[Out]# 82  190  Kostas  2018-08-26            Coffee
#[Out]# 83  190  Kostas  2018-08-26       Cashew Nuts
#[Out]# 84  190  Kostas  2018-08-26            Onions
#[Out]# 85  190  Kostas  2018-08-26             Fanta
#[Out]# 86  190  Kostas  2018-08-26             Bread
#[Out]# 87  169    Lily  2018-08-27             Water
#[Out]# 88  190  Kostas  2018-08-27             Bread
#[Out]# 89  190  Kostas  2018-08-27         Mushrooms
#[Out]# 90  169    Lily  2018-08-28            Apples
#[Out]# 
#[Out]# [91 rows x 4 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName, date, pName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName        date             pName
#[Out]# 0    59    Joep  2018-08-24            Apples
#[Out]# 1    59    Joep  2018-08-25            Onions
#[Out]# 2    59    Joep  2018-08-26        Mixed Nuts
#[Out]# 3   124   Sofie  2018-08-26            Onions
#[Out]# 4   124   Sofie  2018-08-26             Pasta
#[Out]# 5   124   Sofie  2018-08-26           Lasanga
#[Out]# 6   124   Sofie  2018-08-26              Rice
#[Out]# 7   124   Sofie  2018-08-26              Beef
#[Out]# 8   124   Sofie  2018-08-26            Coffee
#[Out]# 9   124   Sofie  2018-08-26             Water
#[Out]# 10  124   Sofie  2018-08-26              Milk
#[Out]# 11  169    Lily  2018-08-18        Mixed Nuts
#[Out]# 12  169    Lily  2018-08-20         Mushrooms
#[Out]# 13  169    Lily  2018-08-20            Onions
#[Out]# 14  169    Lily  2018-08-26              Eggs
#[Out]# 15  169    Lily  2018-08-27             Water
#[Out]# 16  176   Amira  2018-08-22            Onions
#[Out]# 17  176   Amira  2018-08-25           Oranges
#[Out]# 18  176   Amira  2018-08-25       Cashew Nuts
#[Out]# 19  176   Amira  2018-08-25              Milk
#[Out]# 20  176   Amira  2018-08-26            Coffee
#[Out]# 21  176   Amira  2018-08-26         Mushrooms
#[Out]# 22  190  Kostas  2018-08-24              Coca
#[Out]# 23  190  Kostas  2018-08-26          Tomatoes
#[Out]# 24  190  Kostas  2018-08-20               Tea
#[Out]# 25  190  Kostas  2018-08-26            Coffee
#[Out]# 26  190  Kostas  2018-08-22              Coca
#[Out]# 27  190  Kostas  2018-08-22           Bananas
#[Out]# 28  190  Kostas  2018-08-26       Cashew Nuts
#[Out]# 29  190  Kostas  2018-08-20            Coffee
#[Out]# 30  190  Kostas  2018-08-26            Onions
#[Out]# 31  190  Kostas  2018-08-18      Green Pepper
#[Out]# 32  190  Kostas  2018-08-20         Mushrooms
#[Out]# 33  190  Kostas  2018-08-22            Coffee
#[Out]# 34  190  Kostas  2018-08-27             Bread
#[Out]# 35  190  Kostas  2018-08-18             Water
#[Out]# 36  190  Kostas  2018-08-20           Lasanga
#[Out]# 37  190  Kostas  2018-08-24          Tomatoes
#[Out]# 38  190  Kostas  2018-08-25       Cashew Nuts
#[Out]# 39  190  Kostas  2018-08-18           Bananas
#[Out]# 40  190  Kostas  2018-08-25               Tea
#[Out]# 41  190  Kostas  2018-08-26             Fanta
#[Out]# 42  190  Kostas  2018-08-18  Hot Dog Sausages
#[Out]# 43  190  Kostas  2018-08-22         Cucumbers
#[Out]# 44  190  Kostas  2018-08-26             Bread
#[Out]# 45  190  Kostas  2018-08-27         Mushrooms
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_1 = '''
 SELECT *
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40    4  Onions       
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_1 = '''
 SELECT 
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_1 = '''
 SELECT *
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  pID   pName suffix
#[Out]# 0    10    2   13    4  2018-08-17         6   1.10    4  Onions       
#[Out]# 1    94   29   29    4  2018-08-24         3   0.95    4  Onions       
#[Out]# 2    98   31   42    4  2018-08-27         9   0.90    4  Onions       
#[Out]# 3   108   33   29    4  2018-08-18         2   1.15    4  Onions       
#[Out]# 4   160   52    3    4  2018-08-25         3   0.90    4  Onions       
#[Out]# 5   174   59   47    4  2018-08-25         5   1.05    4  Onions       
#[Out]# 6   229   85   19    4  2018-08-18         1   0.85    4  Onions       
#[Out]# 7   323  124   54    4  2018-08-26         4   1.10    4  Onions       
#[Out]# 8   339  129   43    4  2018-08-24         7   1.10    4  Onions       
#[Out]# 9   395  162   19    4  2018-08-21         5   1.05    4  Onions       
#[Out]# 10  408  165   26    4  2018-08-23         8   0.95    4  Onions       
#[Out]# 11  434  169    1    4  2018-08-20         3   1.10    4  Onions       
#[Out]# 12  443  172   59    4  2018-08-27         4   0.90    4  Onions       
#[Out]# 13  447  176   52    4  2018-08-22         7   0.90    4  Onions       
#[Out]# 14  457  177   51    4  2018-08-22         6   1.10    4  Onions       
#[Out]# 15  800  190   16    4  2018-08-26         1   2.40    4  Onions       
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_1 = '''
 SELECT c.cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_1 = '''
 SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     cID
#[Out]# 0     2
#[Out]# 1    29
#[Out]# 2    31
#[Out]# 3    33
#[Out]# 4    52
#[Out]# 5    59
#[Out]# 6    85
#[Out]# 7   124
#[Out]# 8   129
#[Out]# 9   162
#[Out]# 10  165
#[Out]# 11  169
#[Out]# 12  172
#[Out]# 13  176
#[Out]# 14  177
#[Out]# 15  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_2, conn)
#[Out]#     cID
#[Out]# 0    16
#[Out]# 1    42
#[Out]# 2    59
#[Out]# 3    82
#[Out]# 4    86
#[Out]# 5    92
#[Out]# 6    97
#[Out]# 7   108
#[Out]# 8   110
#[Out]# 9   111
#[Out]# 10  122
#[Out]# 11  124
#[Out]# 12  152
#[Out]# 13  169
#[Out]# 14  171
#[Out]# 15  175
#[Out]# 16  176
#[Out]# 17  181
#[Out]# 18  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_2, conn)
#[Out]#     cID
#[Out]# 0    16
#[Out]# 1    42
#[Out]# 2    59
#[Out]# 3    82
#[Out]# 4    86
#[Out]# 5    92
#[Out]# 6    97
#[Out]# 7   108
#[Out]# 8   110
#[Out]# 9   111
#[Out]# 10  122
#[Out]# 11  124
#[Out]# 12  152
#[Out]# 13  169
#[Out]# 14  171
#[Out]# 15  175
#[Out]# 16  176
#[Out]# 17  181
#[Out]# 18  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, pName]
#[Out]# Index: []
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     cID   pName
#[Out]# 0     2  Onions
#[Out]# 1    29  Onions
#[Out]# 2    31  Onions
#[Out]# 3    33  Onions
#[Out]# 4    52  Onions
#[Out]# 5    59  Onions
#[Out]# 6    85  Onions
#[Out]# 7   124  Onions
#[Out]# 8   129  Onions
#[Out]# 9   162  Onions
#[Out]# 10  165  Onions
#[Out]# 11  169  Onions
#[Out]# 12  172  Onions
#[Out]# 13  176  Onions
#[Out]# 14  177  Onions
#[Out]# 15  190  Onions
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_2, conn)
#[Out]#     cID   pName
#[Out]# 0    16  Coffee
#[Out]# 1    42  Coffee
#[Out]# 2    59  Coffee
#[Out]# 3    82  Coffee
#[Out]# 4    86  Coffee
#[Out]# 5    92  Coffee
#[Out]# 6    97  Coffee
#[Out]# 7   108  Coffee
#[Out]# 8   110  Coffee
#[Out]# 9   111  Coffee
#[Out]# 10  122  Coffee
#[Out]# 11  124  Coffee
#[Out]# 12  152  Coffee
#[Out]# 13  169  Coffee
#[Out]# 14  171  Coffee
#[Out]# 15  175  Coffee
#[Out]# 16  176  Coffee
#[Out]# 17  181  Coffee
#[Out]# 18  190  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#                    ids                          names
#[Out]# 0      33,42,85,86,110     Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1  152,169,171,175,190     Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2      111,176,177,190      Lauren,Amira,Eline,Kostas
#[Out]# 3            16,29,129             Julian,Ruben,Esmee
#[Out]# 4      52,59,92,97,122  Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5          124,176,190             Sofie,Amira,Kostas
#[Out]# 6           31,172,181              Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(DISTINCT c.cID) ids, GROUP_CONCAT(DISTINCT c.cName) names, GROUP_CONCAT(DISTINCT pName)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#                    ids                          names  \
#[Out]# 0      33,42,85,86,110     Sven,Tijn,Pieter,Stef,Saar   
#[Out]# 1  152,169,171,175,190     Anne,Lily,Tessa,Sam,Kostas   
#[Out]# 2      111,176,177,190      Lauren,Amira,Eline,Kostas   
#[Out]# 3            16,29,129             Julian,Ruben,Esmee   
#[Out]# 4      52,59,92,97,122  Willem,Joep,Jelte,Sophie,Elin   
#[Out]# 5          124,176,190             Sofie,Amira,Kostas   
#[Out]# 6           31,172,181              Olivier,Lana,Liva   
#[Out]# 
#[Out]#   GROUP_CONCAT(DISTINCT pName)  
#[Out]# 0                Onions,Coffee  
#[Out]# 1                Coffee,Onions  
#[Out]# 2                Coffee,Onions  
#[Out]# 3                Coffee,Onions  
#[Out]# 4                Onions,Coffee  
#[Out]# 5                Onions,Coffee  
#[Out]# 6                Onions,Coffee  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         2   1.95   21  Coffee         
#[Out]# 1         2   3.10   21  Coffee         
#[Out]# 2         6   4.05   21  Coffee         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         6   1.70   21  Coffee         
#[Out]# 5         1   2.40    4  Onions         
#[Out]# 6         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *, COUNT(DISTINCT prod.pName)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  COUNT(DISTINCT prod.pName)  
#[Out]# 0         2   1.95   21  Coffee                                  2  
#[Out]# 1         2   3.10   21  Coffee                                  2  
#[Out]# 2         6   4.05   21  Coffee                                  2  
#[Out]# 3         7   1.10    4  Onions                                  2  
#[Out]# 4         6   1.70   21  Coffee                                  2  
#[Out]# 5         1   2.40    4  Onions                                  2  
#[Out]# 6         5   2.00   21  Coffee                                  2  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *, COUNT(DISTINCT prod.pName)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  COUNT(DISTINCT prod.pName)  
#[Out]# 0         2   1.95   21  Coffee                                  2  
#[Out]# 1         2   3.10   21  Coffee                                  2  
#[Out]# 2         6   4.05   21  Coffee                                  2  
#[Out]# 3         7   1.10    4  Onions                                  2  
#[Out]# 4         6   1.70   21  Coffee                                  2  
#[Out]# 5         1   2.40    4  Onions                                  2  
#[Out]# 6         5   2.00   21  Coffee                                  2  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         2   1.95   21  Coffee         
#[Out]# 1         2   3.10   21  Coffee         
#[Out]# 2         6   4.05   21  Coffee         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         6   1.70   21  Coffee         
#[Out]# 5         1   2.40    4  Onions         
#[Out]# 6         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     cID   pName
#[Out]# 0     2  Onions
#[Out]# 1    29  Onions
#[Out]# 2    31  Onions
#[Out]# 3    33  Onions
#[Out]# 4    52  Onions
#[Out]# 5    59  Onions
#[Out]# 6    85  Onions
#[Out]# 7   124  Onions
#[Out]# 8   129  Onions
#[Out]# 9   162  Onions
#[Out]# 10  165  Onions
#[Out]# 11  169  Onions
#[Out]# 12  172  Onions
#[Out]# 13  176  Onions
#[Out]# 14  177  Onions
#[Out]# 15  190  Onions
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
#[Out]#    cID
#[Out]# 0   59
#[Out]# 1  124
#[Out]# 2  169
#[Out]# 3  176
#[Out]# 4  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_3, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            *
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         2   1.95   21  Coffee         
#[Out]# 1         2   3.10   21  Coffee         
#[Out]# 2         6   4.05   21  Coffee         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         6   1.70   21  Coffee         
#[Out]# 5         1   2.40    4  Onions         
#[Out]# 6         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT DISTINCT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    GROUP_CONCAT(c.cID)
#[Out]# 0      33,42,85,86,110
#[Out]# 1  152,169,171,175,190
#[Out]# 2  111,176,177,190,190
#[Out]# 3            16,29,129
#[Out]# 4      52,59,92,97,122
#[Out]# 5  124,124,176,190,190
#[Out]# 6           31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#    GROUP_CONCAT(c.cID)
#[Out]# 0      33,42,85,86,110
#[Out]# 1  152,169,171,175,190
#[Out]# 2  111,176,177,190,190
#[Out]# 3            16,29,129
#[Out]# 4      52,59,92,97,122
#[Out]# 5  124,124,176,190,190
#[Out]# 6           31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName, pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_1, conn)
#[Out]#     cID   pName  pID
#[Out]# 0     2  Onions    4
#[Out]# 1    29  Onions    4
#[Out]# 2    31  Onions    4
#[Out]# 3    33  Onions    4
#[Out]# 4    52  Onions    4
#[Out]# 5    59  Onions    4
#[Out]# 6    85  Onions    4
#[Out]# 7   124  Onions    4
#[Out]# 8   129  Onions    4
#[Out]# 9   162  Onions    4
#[Out]# 10  165  Onions    4
#[Out]# 11  169  Onions    4
#[Out]# 12  172  Onions    4
#[Out]# 13  176  Onions    4
#[Out]# 14  177  Onions    4
#[Out]# 15  190  Onions    4
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_2, conn)
#[Out]#     cID   pName  pID
#[Out]# 0    16  Coffee   21
#[Out]# 1    42  Coffee   21
#[Out]# 2    59  Coffee   21
#[Out]# 3    82  Coffee   21
#[Out]# 4    86  Coffee   21
#[Out]# 5    92  Coffee   21
#[Out]# 6    97  Coffee   21
#[Out]# 7   108  Coffee   21
#[Out]# 8   110  Coffee   21
#[Out]# 9   111  Coffee   21
#[Out]# 10  122  Coffee   21
#[Out]# 11  124  Coffee   21
#[Out]# 12  152  Coffee   21
#[Out]# 13  169  Coffee   21
#[Out]# 14  171  Coffee   21
#[Out]# 15  175  Coffee   21
#[Out]# 16  176  Coffee   21
#[Out]# 17  181  Coffee   21
#[Out]# 18  190  Coffee   21
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            GROUP_CONCAT(c.cID)
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) == 2)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# WORKS
test_1 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
'''

# WORKS
test_2 = '''
SELECT DISTINCT cID, pName, p.pID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
'''

test_3 = '''

SELECT cID, cName
FROM customer
WHERE cID IN
(
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Onions'
INTERSECT
SELECT DISTINCT cID FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
WHERE pName IS 'Coffee'
)
'''


# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''


pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT cID) < 3)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
SELECT DISTINCT c.cID, c.cName
FROM customer c
INNER JOIN purchase p ON p.cID == c.cID
INNER JOIN product prod ON p.pID == prod.pID
WHERE c.cID IN
    (
    /*Customer IDs who bought onions*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'
    
INTERSECT

    /*Customer IDs who bought Coffee*/
    SELECT DISTINCT cID
    FROM purchase p 
    INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )

AND p.date IN 
    (
    /*Dates where onions where bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Onions'

INTERSECT

    /*Dates where Coffee was bought */
    SELECT DISTINCT date FROM purchase p INNER JOIN product prod ON p.pID == prod.pID
    WHERE pName IS 'Coffee'
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query3 = '''
    PUT YOUR QUERY HERE
    
    
    SELECT *
    FROM purchase
'''

pd.read_sql_query(query3, conn)
query3 = '''
    
    
    SELECT *
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query3 = '''
    
    
    SELECT sID
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      sID
#[Out]# 0      3
#[Out]# 1     23
#[Out]# 2      3
#[Out]# 3     17
#[Out]# 4     32
#[Out]# 5     16
#[Out]# 6     46
#[Out]# 7     36
#[Out]# 8     12
#[Out]# 9     39
#[Out]# 10    13
#[Out]# 11    51
#[Out]# 12    47
#[Out]# 13    44
#[Out]# 14    30
#[Out]# 15    29
#[Out]# 16    17
#[Out]# 17    10
#[Out]# 18    53
#[Out]# 19    21
#[Out]# 20     7
#[Out]# 21    44
#[Out]# 22     4
#[Out]# 23    36
#[Out]# 24    55
#[Out]# 25    51
#[Out]# 26     6
#[Out]# 27    17
#[Out]# 28     3
#[Out]# 29    12
#[Out]# ..   ...
#[Out]# 479   34
#[Out]# 480   35
#[Out]# 481   36
#[Out]# 482   37
#[Out]# 483   38
#[Out]# 484   39
#[Out]# 485   40
#[Out]# 486   41
#[Out]# 487   42
#[Out]# 488   43
#[Out]# 489   44
#[Out]# 490   45
#[Out]# 491   46
#[Out]# 492   47
#[Out]# 493   48
#[Out]# 494   49
#[Out]# 495   50
#[Out]# 496   51
#[Out]# 497   52
#[Out]# 498   53
#[Out]# 499   54
#[Out]# 500   55
#[Out]# 501   56
#[Out]# 502   57
#[Out]# 503   58
#[Out]# 504   59
#[Out]# 505   60
#[Out]# 506   61
#[Out]# 507   62
#[Out]# 508   63
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    
    
    SELECT DISTINCT sID
    FROM purchase
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     3
#[Out]# 1    23
#[Out]# 2    17
#[Out]# 3    32
#[Out]# 4    16
#[Out]# 5    46
#[Out]# 6    36
#[Out]# 7    12
#[Out]# 8    39
#[Out]# 9    13
#[Out]# 10   51
#[Out]# 11   47
#[Out]# 12   44
#[Out]# 13   30
#[Out]# 14   29
#[Out]# 15   10
#[Out]# 16   53
#[Out]# 17   21
#[Out]# 18    7
#[Out]# 19    4
#[Out]# 20   55
#[Out]# 21    6
#[Out]# 22   11
#[Out]# 23   38
#[Out]# 24   42
#[Out]# 25   43
#[Out]# 26   34
#[Out]# 27    0
#[Out]# 28   33
#[Out]# 29   50
#[Out]# ..  ...
#[Out]# 34   14
#[Out]# 35   22
#[Out]# 36   31
#[Out]# 37   27
#[Out]# 38    2
#[Out]# 39   59
#[Out]# 40   15
#[Out]# 41   40
#[Out]# 42    1
#[Out]# 43   45
#[Out]# 44   49
#[Out]# 45    9
#[Out]# 46   57
#[Out]# 47   54
#[Out]# 48   37
#[Out]# 49   52
#[Out]# 50   56
#[Out]# 51    5
#[Out]# 52   20
#[Out]# 53   18
#[Out]# 54   19
#[Out]# 55   58
#[Out]# 56   35
#[Out]# 57   41
#[Out]# 58   24
#[Out]# 59   48
#[Out]# 60   62
#[Out]# 61   63
#[Out]# 62   60
#[Out]# 63   61
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    
    
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    
    COUNT(DISTINCT sID
    FROM purchase
    ORDER BY sID)
    
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT COUNT(DISTINCT sID)
    FROM purchase
    ORDER BY sID)
    
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT COUNT(DISTINCT sID)
    FROM purchase
    ORDER BY sID
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(DISTINCT sID)
#[Out]# 0                   64
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT COUNT(DISTINCT sID)
    FROM purchase
    
'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(DISTINCT sID)
#[Out]# 0                   64
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT COUNT(DISTINCT sID) - 1
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(DISTINCT sID) - 1
#[Out]# 0                       63
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT COUNT(DISTINCT sID) - 1 AS NumberOFStores
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    NumberOFStores
#[Out]# 0              63
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT sID) - 1 AS NumberOFStores FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    NumberOFStores
#[Out]# 0            2015
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT sID) - count(DISTINCT sID) AS NumberOFStores FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    NumberOFStores
#[Out]# 0            1952
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT sID) - count(DISTINCT sID) FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    sum(DISTINCT sID) - count(DISTINCT sID)
#[Out]# 0                                     1952
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT sID) - count(DISTINCT sID) 
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    sum(DISTINCT sID) - count(DISTINCT sID)
#[Out]# 0                                     1952
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT sID) - count(DISTINCT sID) Sum_Of_All_Store_IDs
    FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#    Sum_Of_All_Store_IDs
#[Out]# 0                  1952
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT sum(DISTINCT p.sID) - count(DISTINCT p.sID) Sum_Of_All_Store_IDs
    FROM purchase p
'''

pd.read_sql_query(query3, conn)
#[Out]#    Sum_Of_All_Store_IDs
#[Out]# 0                  1952
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT
    sum(DISTINCT p.sID) - count(DISTINCT p.sID) Sum_Of_All_Store_IDs, /*You have to compensate for 'null', hence subtracting count*/
    *
    FROM purchase p
'''

pd.read_sql_query(query3, conn)
#[Out]#    Sum_Of_All_Store_IDs  tID  cID  sID  pID        date  quantity  price
#[Out]# 0                  1952  847  190   63   18  2018-08-21         1    3.3
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT
    sum(DISTINCT p.sID) - count(DISTINCT p.sID) Sum_Of_All_Store_IDs, /*You have to compensate for 'null', hence subtracting count*/
    *
    FROM purchase p
    GROUP BY p.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      Sum_Of_All_Store_IDs  tID  cID  sID  pID        date  quantity  price
#[Out]# 0                       2    0    0    3   10  2018-08-22         1   0.45
#[Out]# 1                     166    7    1   36   27  2018-08-21         6   9.10
#[Out]# 2                     157   12    2   47   22  2018-08-17         1   1.55
#[Out]# 3                     100   15    3   29    9  2018-08-19         6   1.45
#[Out]# 4                     146   21    4   44   26  2018-08-25         4   2.75
#[Out]# 5                     163   27    5   17   19  2018-08-23         1   2.20
#[Out]# 6                     132   33    7   42   20  2018-08-26         6   2.05
#[Out]# 7                      92   35    8   51    8  2018-08-16         5   5.30
#[Out]# 8                      33   36   10   34   24  2018-08-27         5   3.20
#[Out]# 9                      -1   37   11    0   14  2018-08-25         8   4.10
#[Out]# 10                    178   46   13    8    5  2018-08-27         6   0.50
#[Out]# 11                     24   47   15   25   11  2018-08-27         5   0.90
#[Out]# 12                    289   57   16   26   27  2018-08-19         2   9.25
#[Out]# 13                     93   59   17   44    7  2018-08-19        10   1.65
#[Out]# 14                     34   62   18    6    8  2018-08-18         4   4.45
#[Out]# 15                     75   66   19   15    3  2018-08-18         4   1.60
#[Out]# 16                     87   69   20   40   27  2018-08-18         9   7.10
#[Out]# 17                     47   72   21   47   27  2018-08-21         9   7.05
#[Out]# 18                     50   74   22   27   10  2018-08-28         6   0.45
#[Out]# 19                    244   83   24   59   13  2018-08-21         5   4.00
#[Out]# 20                     11   84   25   12   26  2018-08-28         9   2.55
#[Out]# 21                     20   85   26   21   23  2018-08-23         6   2.10
#[Out]# 22                    185   91   27   34   22  2018-08-18         7   1.60
#[Out]# 23                     42   92   28   43   11  2018-08-27         2   1.10
#[Out]# 24                     70   94   29   29    4  2018-08-24         3   0.95
#[Out]# 25                     70   97   30   57   12  2018-08-18         8  11.45
#[Out]# 26                     79   99   31   39   24  2018-08-28         4   3.90
#[Out]# 27                    306  108   33   29    4  2018-08-18         2   1.15
#[Out]# 28                     25  109   34   26   26  2018-08-26         8   3.45
#[Out]# 29                     57  111   35   34   28  2018-08-18         7   9.45
#[Out]# ..                    ...  ...  ...  ...  ...         ...       ...    ...
#[Out]# 102                    76  360  147   33   25  2018-08-25         7   4.40
#[Out]# 103                    56  366  149   54   19  2018-08-25         5   2.25
#[Out]# 104                    18  368  151   14   23  2018-08-17         5   2.10
#[Out]# 105                    96  371  152   43   19  2018-08-21         4   2.20
#[Out]# 106                    83  381  157   36    3  2018-08-28         7   1.80
#[Out]# 107                    61  385  159   17   12  2018-08-26         3  12.30
#[Out]# 108                   248  393  161   36   28  2018-08-26         4   7.20
#[Out]# 109                   242  402  162   41   16  2018-08-16         2   1.65
#[Out]# 110                   127  406  163    6   10  2018-08-22         6   0.55
#[Out]# 111                   253  413  165   46    9  2018-08-25         6   1.80
#[Out]# 112                   319  425  167   17   17  2018-08-15         9   2.05
#[Out]# 113                    27  426  168   28    1  2018-08-16         6   5.65
#[Out]# 114                   357  437  169   52   14  2018-08-28         7   4.65
#[Out]# 115                    98  440  170   40   22  2018-08-16         5   2.05
#[Out]# 116                    98  442  171   44   21  2018-08-20         2   2.35
#[Out]# 117                    57  444  172    0   16  2018-08-24         4   1.85
#[Out]# 118                    41  446  175   16   21  2018-08-20         2   2.25
#[Out]# 119                   122  452  176    6    5  2018-08-26         9   0.50
#[Out]# 120                   176  457  177   51    4  2018-08-22         6   1.10
#[Out]# 121                    71  459  178   39   24  2018-08-27         1   3.90
#[Out]# 122                   223  465  179   45   10  2018-08-23         7   0.45
#[Out]# 123                    88  468  180   56   10  2018-08-27         3   0.60
#[Out]# 124                    75  471  181   27   21  2018-08-27         5   2.00
#[Out]# 125                    23  474  182    4   13  2018-08-23         9   4.20
#[Out]# 126                    -1  777  184    0    0  2018-08-20         2   3.50
#[Out]# 127                    61  778  185   62   29  2018-08-20         1   1.00
#[Out]# 128                    61  779  186   62   29  2018-08-21         5   1.00
#[Out]# 129                    61  781  188   62   30  2018-09-20         1   1.00
#[Out]# 130                    81  783  189   20   19  2018-08-26         3   2.50
#[Out]# 131                  1952  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [132 rows x 8 columns]
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# With that information, if a customer has made a purchase at every store, we group by cID and look at the sID value. This  should be equal to SUM_i=0^63 i.
query3 = '''
    SELECT
    sum(DISTINCT p.sID) - count(DISTINCT p.sID) sumOfAllStoreIDs, /*You have to compensate for 'null', hence subtracting count*/
    *
    FROM purchase p
    GROUP BY p.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      sumOfAllStoreIDs  tID  cID  sID  pID        date  quantity  price
#[Out]# 0                   2    0    0    3   10  2018-08-22         1   0.45
#[Out]# 1                 166    7    1   36   27  2018-08-21         6   9.10
#[Out]# 2                 157   12    2   47   22  2018-08-17         1   1.55
#[Out]# 3                 100   15    3   29    9  2018-08-19         6   1.45
#[Out]# 4                 146   21    4   44   26  2018-08-25         4   2.75
#[Out]# 5                 163   27    5   17   19  2018-08-23         1   2.20
#[Out]# 6                 132   33    7   42   20  2018-08-26         6   2.05
#[Out]# 7                  92   35    8   51    8  2018-08-16         5   5.30
#[Out]# 8                  33   36   10   34   24  2018-08-27         5   3.20
#[Out]# 9                  -1   37   11    0   14  2018-08-25         8   4.10
#[Out]# 10                178   46   13    8    5  2018-08-27         6   0.50
#[Out]# 11                 24   47   15   25   11  2018-08-27         5   0.90
#[Out]# 12                289   57   16   26   27  2018-08-19         2   9.25
#[Out]# 13                 93   59   17   44    7  2018-08-19        10   1.65
#[Out]# 14                 34   62   18    6    8  2018-08-18         4   4.45
#[Out]# 15                 75   66   19   15    3  2018-08-18         4   1.60
#[Out]# 16                 87   69   20   40   27  2018-08-18         9   7.10
#[Out]# 17                 47   72   21   47   27  2018-08-21         9   7.05
#[Out]# 18                 50   74   22   27   10  2018-08-28         6   0.45
#[Out]# 19                244   83   24   59   13  2018-08-21         5   4.00
#[Out]# 20                 11   84   25   12   26  2018-08-28         9   2.55
#[Out]# 21                 20   85   26   21   23  2018-08-23         6   2.10
#[Out]# 22                185   91   27   34   22  2018-08-18         7   1.60
#[Out]# 23                 42   92   28   43   11  2018-08-27         2   1.10
#[Out]# 24                 70   94   29   29    4  2018-08-24         3   0.95
#[Out]# 25                 70   97   30   57   12  2018-08-18         8  11.45
#[Out]# 26                 79   99   31   39   24  2018-08-28         4   3.90
#[Out]# 27                306  108   33   29    4  2018-08-18         2   1.15
#[Out]# 28                 25  109   34   26   26  2018-08-26         8   3.45
#[Out]# 29                 57  111   35   34   28  2018-08-18         7   9.45
#[Out]# ..                ...  ...  ...  ...  ...         ...       ...    ...
#[Out]# 102                76  360  147   33   25  2018-08-25         7   4.40
#[Out]# 103                56  366  149   54   19  2018-08-25         5   2.25
#[Out]# 104                18  368  151   14   23  2018-08-17         5   2.10
#[Out]# 105                96  371  152   43   19  2018-08-21         4   2.20
#[Out]# 106                83  381  157   36    3  2018-08-28         7   1.80
#[Out]# 107                61  385  159   17   12  2018-08-26         3  12.30
#[Out]# 108               248  393  161   36   28  2018-08-26         4   7.20
#[Out]# 109               242  402  162   41   16  2018-08-16         2   1.65
#[Out]# 110               127  406  163    6   10  2018-08-22         6   0.55
#[Out]# 111               253  413  165   46    9  2018-08-25         6   1.80
#[Out]# 112               319  425  167   17   17  2018-08-15         9   2.05
#[Out]# 113                27  426  168   28    1  2018-08-16         6   5.65
#[Out]# 114               357  437  169   52   14  2018-08-28         7   4.65
#[Out]# 115                98  440  170   40   22  2018-08-16         5   2.05
#[Out]# 116                98  442  171   44   21  2018-08-20         2   2.35
#[Out]# 117                57  444  172    0   16  2018-08-24         4   1.85
#[Out]# 118                41  446  175   16   21  2018-08-20         2   2.25
#[Out]# 119               122  452  176    6    5  2018-08-26         9   0.50
#[Out]# 120               176  457  177   51    4  2018-08-22         6   1.10
#[Out]# 121                71  459  178   39   24  2018-08-27         1   3.90
#[Out]# 122               223  465  179   45   10  2018-08-23         7   0.45
#[Out]# 123                88  468  180   56   10  2018-08-27         3   0.60
#[Out]# 124                75  471  181   27   21  2018-08-27         5   2.00
#[Out]# 125                23  474  182    4   13  2018-08-23         9   4.20
#[Out]# 126                -1  777  184    0    0  2018-08-20         2   3.50
#[Out]# 127                61  778  185   62   29  2018-08-20         1   1.00
#[Out]# 128                61  779  186   62   29  2018-08-21         5   1.00
#[Out]# 129                61  781  188   62   30  2018-09-20         1   1.00
#[Out]# 130                81  783  189   20   19  2018-08-26         3   2.50
#[Out]# 131              1952  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [132 rows x 8 columns]
# Using following query you find that there are 63 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 63 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) - count(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''
    SET valueToGet = 1952
    SELECT
    sum(DISTINCT p.sID) - count(DISTINCT p.sID) sumOfAllStoreIDs, /*You have to compensate for 'null', hence subtracting count*/
    *
    FROM purchase p
    GROUP BY p.cID
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    SELECT DISTINCT p.sID FROM purchase ORDER BY sID;
    SELECT SUM(DISTINCT p.sID) FROM purchase;
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    SELECT DISTINCT p.sID FROM purchase p ORDER BY sID;
    SELECT SUM(DISTINCT p.sID) FROM purchase p;
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    SELECT DISTINCT p.sID FROM purchase p ORDER BY sID;
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    SELECT SUM(DISTINCT p.sID) FROM purchase p;
'''

pd.read_sql_query(query3, conn)
#[Out]#    SUM(DISTINCT p.sID)
#[Out]# 0                 2016
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p; /* Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.*/
    */
    
    SELECT p.cID
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
'''

pd.read_sql_query(query3, conn)
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    
    SELECT p.cID
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    
    SELECT p.cID, SUM(DISTINCT p.sID)
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  SUM(DISTINCT p.sID)
#[Out]# 0  190                 2016
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    
    SELECT p.cID, SUM(DISTINCT p.sID)
    FROM purchase p
    GROUP BY p.cID
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  SUM(DISTINCT p.sID)
#[Out]# 0      0                    3
#[Out]# 1      1                  173
#[Out]# 2      2                  162
#[Out]# 3      3                  103
#[Out]# 4      4                  152
#[Out]# 5      5                  169
#[Out]# 6      7                  138
#[Out]# 7      8                   94
#[Out]# 8     10                   34
#[Out]# 9     11                    0
#[Out]# 10    13                  185
#[Out]# 11    15                   25
#[Out]# 12    16                  299
#[Out]# 13    17                   95
#[Out]# 14    18                   37
#[Out]# 15    19                   79
#[Out]# 16    20                   90
#[Out]# 17    21                   50
#[Out]# 18    22                   52
#[Out]# 19    24                  253
#[Out]# 20    25                   12
#[Out]# 21    26                   21
#[Out]# 22    27                  190
#[Out]# 23    28                   43
#[Out]# 24    29                   72
#[Out]# 25    30                   73
#[Out]# 26    31                   81
#[Out]# 27    33                  315
#[Out]# 28    34                   26
#[Out]# 29    35                   59
#[Out]# ..   ...                  ...
#[Out]# 102  147                   79
#[Out]# 103  149                   58
#[Out]# 104  151                   20
#[Out]# 105  152                   99
#[Out]# 106  157                   85
#[Out]# 107  159                   63
#[Out]# 108  161                  257
#[Out]# 109  162                  250
#[Out]# 110  163                  131
#[Out]# 111  165                  259
#[Out]# 112  167                  329
#[Out]# 113  168                   28
#[Out]# 114  169                  368
#[Out]# 115  170                  101
#[Out]# 116  171                  100
#[Out]# 117  172                   59
#[Out]# 118  175                   43
#[Out]# 119  176                  128
#[Out]# 120  177                  181
#[Out]# 121  178                   73
#[Out]# 122  179                  229
#[Out]# 123  180                   90
#[Out]# 124  181                   78
#[Out]# 125  182                   26
#[Out]# 126  184                    0
#[Out]# 127  185                   62
#[Out]# 128  186                   62
#[Out]# 129  188                   62
#[Out]# 130  189                   83
#[Out]# 131  190                 2016
#[Out]# 
#[Out]# [132 rows x 2 columns]
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    
    SELECT p.cID, SUM(DISTINCT p.sID)
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  SUM(DISTINCT p.sID)
#[Out]# 0  190                 2016
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    SELECT p.cID /*, SUM(DISTINCT p.sID)*/
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
    
    /*
    Since the sum of all stores is equal, this means that this specific customer has bought something at all stores. DISTINCT makes sure that no store is added twice.
    */
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
# Using following query you find that there are 64 stores

"""
    SELECT DISTINCT sID
    FROM purchase
    ORDER BY sID
"""

# Knowing there are 64 stores, you compute the sum of all stores as follows and find 1952.
"""
SELECT sum(DISTINCT p.sID) sumOfAllStoreIDs
"""
# Note that COUNT gives back 64, hence it is subtracted.


query3 = '''    
    /*
    To compute the sum of all stores, use:
    SELECT SUM(DISTINCT p.sID) FROM purchase p;  Which gives 2016 as result. This will be used as magical integer, as making a table is a hassle.
    */
    
    SELECT p.cID /*, SUM(DISTINCT p.sID)*/
    FROM purchase p
    GROUP BY p.cID
    HAVING (SUM(DISTINCT p.sID) == 2016)
    
    /*
    Since the sum of all stores is equal, this means that this specific customer has bought something at all stores. DISTINCT makes sure that no store is added twice.
    Note that using following commands in sqlite.exe and then inspecting the txt file shows that the answer is indeed correct:
    
    sqlite> .open shopping.db
    sqlite> .output out.txt
    sqlite> .header on
    sqlite> .mode column
    sqlite> SELECT * FROM purchase ORDER BY cID;
    sqlite> .exit
    */
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT *
    FROM store
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName            street       city
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven
#[Out]# 5     5       Sligro     Stationsplein      Breda
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven
#[Out]# 13   13         Coop         Koestraat    Tilburg
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven
#[Out]# 18   18       Sligro       Parallelweg    Tilburg
#[Out]# 19   19         Coop       Karrestraat      Breda
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam
#[Out]# 23   23         Dirk     Stationsplein      Breda
#[Out]# 24   24  Albert Hein     Stationsplein      Breda
#[Out]# 25   25  Albert Hein     Stationsplein      Breda
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam
#[Out]# ..  ...          ...               ...        ...
#[Out]# 34   34         Coop          Bierkaai  Amsterdam
#[Out]# 35   35         Lidl     Julianastraat    Utrecht
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam
#[Out]# 47   47         Coop     Julianastraat  Rotterdam
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam
#[Out]# 50   50       Sligro     Stationsplein      Breda
#[Out]# 51   51         Coop       Parallelweg    Utrecht
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven
#[Out]# 53   53         Coop        Hoogstraat    Utrecht
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven
#[Out]# 55   55         Coop   Sint Annastraat      Breda
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda
#[Out]# 60   60         Lidl      Pannekoekweg      Breda
#[Out]# 61   61         Lidl      Pannekoekweg      Breda
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven
#[Out]# 63   63        Jumbo     Stationstraat        Oss
#[Out]# 
#[Out]# [64 rows x 4 columns]
query4 = '''
    SELECT DISTINCT s1.sID
    FROM store s1
    INNER JOIN store s2 ON s1.sName IS s2.sName
    WHERE 
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sID
    FROM store s1
    INNER JOIN store s2 ON s1.sName IS s2.sName    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT *
    FROM store s1
    INNER JOIN store s2 ON s1.sName IS s2.sName  
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam    0       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 13     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 21     1  Hoogvliet  Rozemarijnstraat      Breda    1  Hoogvliet   
#[Out]# 22     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 28     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 29     2      Jumbo    Stadhoudersweg  Rotterdam    2      Jumbo   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 592   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 593   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 594   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 595   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 596   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 597   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 598   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 599   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 600   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 601   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 602   61       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 603   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 604   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 605   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 606   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 607   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 608   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 609   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 610   62      Jumbo     Poffertjesweg  Eindhoven   62      Jumbo   
#[Out]# 611   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 612   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 613   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 614   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 615   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 616   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 617   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 618   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 619   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 620   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 621   63      Jumbo     Stationstraat        Oss   63      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4        Kalverstraat  Amsterdam  
#[Out]# 5         Karrestraat      Breda  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7        Kasteeldreef    Tilburg  
#[Out]# 8       Keizersgracht  Amsterdam  
#[Out]# 9           Koestraat    Tilburg  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11        Parallelweg    Utrecht  
#[Out]# 12    Sint Annastraat      Breda  
#[Out]# 13     Stadhoudersweg  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15           Hofplein  Rotterdam  
#[Out]# 16       Kasteeldreef    Tilburg  
#[Out]# 17       Keizerstraat  Rotterdam  
#[Out]# 18         Kerkstraat  Eindhoven  
#[Out]# 19          Koestraat    Tilburg  
#[Out]# 20        Molenstraat  Eindhoven  
#[Out]# 21   Rozemarijnstraat      Breda  
#[Out]# 22    Sint Annastraat      Breda  
#[Out]# 23         Bergselaan  Rotterdam  
#[Out]# 24       Kasteeldreef    Tilburg  
#[Out]# 25           Molenweg  Eindhoven  
#[Out]# 26        Parallelweg  Eindhoven  
#[Out]# 27      Poffertjesweg  Eindhoven  
#[Out]# 28   Rozemarijnstraat      Breda  
#[Out]# 29     Stadhoudersweg  Rotterdam  
#[Out]# ..                ...        ...  
#[Out]# 592      Pannekoekweg      Breda  
#[Out]# 593     Prinsengracht  Amsterdam  
#[Out]# 594     Prinsengracht  Amsterdam  
#[Out]# 595  Wilhelminastraat  Eindhoven  
#[Out]# 596     Ambachtstraat    Utrecht  
#[Out]# 597        Bergselaan  Rotterdam  
#[Out]# 598     Julianastraat  Eindhoven  
#[Out]# 599     Julianastraat    Utrecht  
#[Out]# 600       Nieuwstraat  Eindhoven  
#[Out]# 601      Pannekoekweg      Breda  
#[Out]# 602      Pannekoekweg      Breda  
#[Out]# 603     Prinsengracht  Amsterdam  
#[Out]# 604     Prinsengracht  Amsterdam  
#[Out]# 605  Wilhelminastraat  Eindhoven  
#[Out]# 606        Bergselaan  Rotterdam  
#[Out]# 607      Kasteeldreef    Tilburg  
#[Out]# 608          Molenweg  Eindhoven  
#[Out]# 609       Parallelweg  Eindhoven  
#[Out]# 610     Poffertjesweg  Eindhoven  
#[Out]# 611  Rozemarijnstraat      Breda  
#[Out]# 612    Stadhoudersweg  Rotterdam  
#[Out]# 613     Stationstraat        Oss  
#[Out]# 614        Bergselaan  Rotterdam  
#[Out]# 615      Kasteeldreef    Tilburg  
#[Out]# 616          Molenweg  Eindhoven  
#[Out]# 617       Parallelweg  Eindhoven  
#[Out]# 618     Poffertjesweg  Eindhoven  
#[Out]# 619  Rozemarijnstraat      Breda  
#[Out]# 620    Stadhoudersweg  Rotterdam  
#[Out]# 621     Stationstraat        Oss  
#[Out]# 
#[Out]# [622 rows x 8 columns]
query4 = '''
    SELECT *
    FROM store s1, store s2
'''

pd.read_sql_query(query4, conn)
#[Out]#       sID  sName         street       city  sID        sName  \
#[Out]# 0       0   Coop   Kalverstraat  Amsterdam    0         Coop   
#[Out]# 1       0   Coop   Kalverstraat  Amsterdam    1    Hoogvliet   
#[Out]# 2       0   Coop   Kalverstraat  Amsterdam    2        Jumbo   
#[Out]# 3       0   Coop   Kalverstraat  Amsterdam    3       Sligro   
#[Out]# 4       0   Coop   Kalverstraat  Amsterdam    4    Hoogvliet   
#[Out]# 5       0   Coop   Kalverstraat  Amsterdam    5       Sligro   
#[Out]# 6       0   Coop   Kalverstraat  Amsterdam    6         Coop   
#[Out]# 7       0   Coop   Kalverstraat  Amsterdam    7       Sligro   
#[Out]# 8       0   Coop   Kalverstraat  Amsterdam    8  Albert Hein   
#[Out]# 9       0   Coop   Kalverstraat  Amsterdam    9  Albert Hein   
#[Out]# 10      0   Coop   Kalverstraat  Amsterdam   10        Jumbo   
#[Out]# 11      0   Coop   Kalverstraat  Amsterdam   11  Albert Hein   
#[Out]# 12      0   Coop   Kalverstraat  Amsterdam   12         Lidl   
#[Out]# 13      0   Coop   Kalverstraat  Amsterdam   13         Coop   
#[Out]# 14      0   Coop   Kalverstraat  Amsterdam   14         Coop   
#[Out]# 15      0   Coop   Kalverstraat  Amsterdam   15         Lidl   
#[Out]# 16      0   Coop   Kalverstraat  Amsterdam   16         Lidl   
#[Out]# 17      0   Coop   Kalverstraat  Amsterdam   17    Hoogvliet   
#[Out]# 18      0   Coop   Kalverstraat  Amsterdam   18       Sligro   
#[Out]# 19      0   Coop   Kalverstraat  Amsterdam   19         Coop   
#[Out]# 20      0   Coop   Kalverstraat  Amsterdam   20        Jumbo   
#[Out]# 21      0   Coop   Kalverstraat  Amsterdam   21         Coop   
#[Out]# 22      0   Coop   Kalverstraat  Amsterdam   22         Lidl   
#[Out]# 23      0   Coop   Kalverstraat  Amsterdam   23         Dirk   
#[Out]# 24      0   Coop   Kalverstraat  Amsterdam   24  Albert Hein   
#[Out]# 25      0   Coop   Kalverstraat  Amsterdam   25  Albert Hein   
#[Out]# 26      0   Coop   Kalverstraat  Amsterdam   26    Hoogvliet   
#[Out]# 27      0   Coop   Kalverstraat  Amsterdam   27       Sligro   
#[Out]# 28      0   Coop   Kalverstraat  Amsterdam   28    Hoogvliet   
#[Out]# 29      0   Coop   Kalverstraat  Amsterdam   29       Sligro   
#[Out]# ...   ...    ...            ...        ...  ...          ...   
#[Out]# 4066   63  Jumbo  Stationstraat        Oss   34         Coop   
#[Out]# 4067   63  Jumbo  Stationstraat        Oss   35         Lidl   
#[Out]# 4068   63  Jumbo  Stationstraat        Oss   36         Lidl   
#[Out]# 4069   63  Jumbo  Stationstraat        Oss   37        Jumbo   
#[Out]# 4070   63  Jumbo  Stationstraat        Oss   38    Hoogvliet   
#[Out]# 4071   63  Jumbo  Stationstraat        Oss   39       Sligro   
#[Out]# 4072   63  Jumbo  Stationstraat        Oss   40    Hoogvliet   
#[Out]# 4073   63  Jumbo  Stationstraat        Oss   41  Albert Hein   
#[Out]# 4074   63  Jumbo  Stationstraat        Oss   42       Sligro   
#[Out]# 4075   63  Jumbo  Stationstraat        Oss   43         Coop   
#[Out]# 4076   63  Jumbo  Stationstraat        Oss   44  Albert Hein   
#[Out]# 4077   63  Jumbo  Stationstraat        Oss   45         Coop   
#[Out]# 4078   63  Jumbo  Stationstraat        Oss   46         Lidl   
#[Out]# 4079   63  Jumbo  Stationstraat        Oss   47         Coop   
#[Out]# 4080   63  Jumbo  Stationstraat        Oss   48    Hoogvliet   
#[Out]# 4081   63  Jumbo  Stationstraat        Oss   49    Hoogvliet   
#[Out]# 4082   63  Jumbo  Stationstraat        Oss   50       Sligro   
#[Out]# 4083   63  Jumbo  Stationstraat        Oss   51         Coop   
#[Out]# 4084   63  Jumbo  Stationstraat        Oss   52         Lidl   
#[Out]# 4085   63  Jumbo  Stationstraat        Oss   53         Coop   
#[Out]# 4086   63  Jumbo  Stationstraat        Oss   54         Dirk   
#[Out]# 4087   63  Jumbo  Stationstraat        Oss   55         Coop   
#[Out]# 4088   63  Jumbo  Stationstraat        Oss   56        Jumbo   
#[Out]# 4089   63  Jumbo  Stationstraat        Oss   57         Dirk   
#[Out]# 4090   63  Jumbo  Stationstraat        Oss   58         Dirk   
#[Out]# 4091   63  Jumbo  Stationstraat        Oss   59        Jumbo   
#[Out]# 4092   63  Jumbo  Stationstraat        Oss   60         Lidl   
#[Out]# 4093   63  Jumbo  Stationstraat        Oss   61         Lidl   
#[Out]# 4094   63  Jumbo  Stationstraat        Oss   62        Jumbo   
#[Out]# 4095   63  Jumbo  Stationstraat        Oss   63        Jumbo   
#[Out]# 
#[Out]#                 street       city  
#[Out]# 0         Kalverstraat  Amsterdam  
#[Out]# 1     Rozemarijnstraat      Breda  
#[Out]# 2       Stadhoudersweg  Rotterdam  
#[Out]# 3       Stadhoudersweg  Rotterdam  
#[Out]# 4          Molenstraat  Eindhoven  
#[Out]# 5        Stationsplein      Breda  
#[Out]# 6       Stadhoudersweg  Rotterdam  
#[Out]# 7     Wilhelminastraat  Eindhoven  
#[Out]# 8          Molenstraat  Eindhoven  
#[Out]# 9            Koestraat    Tilburg  
#[Out]# 10          Bergselaan  Rotterdam  
#[Out]# 11            Hofplein  Rotterdam  
#[Out]# 12    Wilhelminastraat  Eindhoven  
#[Out]# 13           Koestraat    Tilburg  
#[Out]# 14       Keizersgracht  Amsterdam  
#[Out]# 15       Prinsengracht  Amsterdam  
#[Out]# 16       Ambachtstraat    Utrecht  
#[Out]# 17          Kerkstraat  Eindhoven  
#[Out]# 18         Parallelweg    Tilburg  
#[Out]# 19         Karrestraat      Breda  
#[Out]# 20        Kasteeldreef    Tilburg  
#[Out]# 21        Kasteeldreef    Tilburg  
#[Out]# 22       Prinsengracht  Amsterdam  
#[Out]# 23       Stationsplein      Breda  
#[Out]# 24       Stationsplein      Breda  
#[Out]# 25       Stationsplein      Breda  
#[Out]# 26     Sint Annastraat      Breda  
#[Out]# 27        Kalverstraat  Amsterdam  
#[Out]# 28           Koestraat    Tilburg  
#[Out]# 29        Marnixstraat  Amsterdam  
#[Out]# ...                ...        ...  
#[Out]# 4066          Bierkaai  Amsterdam  
#[Out]# 4067     Julianastraat    Utrecht  
#[Out]# 4068     Julianastraat  Eindhoven  
#[Out]# 4069          Molenweg  Eindhoven  
#[Out]# 4070          Hofplein  Rotterdam  
#[Out]# 4071       Dorpsstraat  Eindhoven  
#[Out]# 4072          Hofplein  Rotterdam  
#[Out]# 4073        Bergselaan  Rotterdam  
#[Out]# 4074      Kalverstraat  Amsterdam  
#[Out]# 4075    Gasthuisstraat    Utrecht  
#[Out]# 4076     Ambachtstraat    Utrecht  
#[Out]# 4077      Kasteeldreef    Tilburg  
#[Out]# 4078        Bergselaan  Rotterdam  
#[Out]# 4079     Julianastraat  Rotterdam  
#[Out]# 4080      Kasteeldreef    Tilburg  
#[Out]# 4081      Keizerstraat  Rotterdam  
#[Out]# 4082     Stationsplein      Breda  
#[Out]# 4083       Parallelweg    Utrecht  
#[Out]# 4084       Nieuwstraat  Eindhoven  
#[Out]# 4085        Hoogstraat    Utrecht  
#[Out]# 4086     Julianastraat  Eindhoven  
#[Out]# 4087   Sint Annastraat      Breda  
#[Out]# 4088       Parallelweg  Eindhoven  
#[Out]# 4089       Molenstraat  Eindhoven  
#[Out]# 4090      Keizerstraat  Rotterdam  
#[Out]# 4091  Rozemarijnstraat      Breda  
#[Out]# 4092      Pannekoekweg      Breda  
#[Out]# 4093      Pannekoekweg      Breda  
#[Out]# 4094     Poffertjesweg  Eindhoven  
#[Out]# 4095     Stationstraat        Oss  
#[Out]# 
#[Out]# [4096 rows x 8 columns]
query4 = '''
    SELECT *
    FROM store s1, store s2
    WHERE
    s1.sName IS s2.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam    0       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 13     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 21     1  Hoogvliet  Rozemarijnstraat      Breda    1  Hoogvliet   
#[Out]# 22     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 28     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 29     2      Jumbo    Stadhoudersweg  Rotterdam    2      Jumbo   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 592   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 593   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 594   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 595   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 596   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 597   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 598   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 599   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 600   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 601   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 602   61       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 603   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 604   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 605   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 606   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 607   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 608   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 609   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 610   62      Jumbo     Poffertjesweg  Eindhoven   62      Jumbo   
#[Out]# 611   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 612   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 613   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 614   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 615   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 616   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 617   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 618   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 619   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 620   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 621   63      Jumbo     Stationstraat        Oss   63      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4        Kalverstraat  Amsterdam  
#[Out]# 5         Karrestraat      Breda  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7        Kasteeldreef    Tilburg  
#[Out]# 8       Keizersgracht  Amsterdam  
#[Out]# 9           Koestraat    Tilburg  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11        Parallelweg    Utrecht  
#[Out]# 12    Sint Annastraat      Breda  
#[Out]# 13     Stadhoudersweg  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15           Hofplein  Rotterdam  
#[Out]# 16       Kasteeldreef    Tilburg  
#[Out]# 17       Keizerstraat  Rotterdam  
#[Out]# 18         Kerkstraat  Eindhoven  
#[Out]# 19          Koestraat    Tilburg  
#[Out]# 20        Molenstraat  Eindhoven  
#[Out]# 21   Rozemarijnstraat      Breda  
#[Out]# 22    Sint Annastraat      Breda  
#[Out]# 23         Bergselaan  Rotterdam  
#[Out]# 24       Kasteeldreef    Tilburg  
#[Out]# 25           Molenweg  Eindhoven  
#[Out]# 26        Parallelweg  Eindhoven  
#[Out]# 27      Poffertjesweg  Eindhoven  
#[Out]# 28   Rozemarijnstraat      Breda  
#[Out]# 29     Stadhoudersweg  Rotterdam  
#[Out]# ..                ...        ...  
#[Out]# 592      Pannekoekweg      Breda  
#[Out]# 593     Prinsengracht  Amsterdam  
#[Out]# 594     Prinsengracht  Amsterdam  
#[Out]# 595  Wilhelminastraat  Eindhoven  
#[Out]# 596     Ambachtstraat    Utrecht  
#[Out]# 597        Bergselaan  Rotterdam  
#[Out]# 598     Julianastraat  Eindhoven  
#[Out]# 599     Julianastraat    Utrecht  
#[Out]# 600       Nieuwstraat  Eindhoven  
#[Out]# 601      Pannekoekweg      Breda  
#[Out]# 602      Pannekoekweg      Breda  
#[Out]# 603     Prinsengracht  Amsterdam  
#[Out]# 604     Prinsengracht  Amsterdam  
#[Out]# 605  Wilhelminastraat  Eindhoven  
#[Out]# 606        Bergselaan  Rotterdam  
#[Out]# 607      Kasteeldreef    Tilburg  
#[Out]# 608          Molenweg  Eindhoven  
#[Out]# 609       Parallelweg  Eindhoven  
#[Out]# 610     Poffertjesweg  Eindhoven  
#[Out]# 611  Rozemarijnstraat      Breda  
#[Out]# 612    Stadhoudersweg  Rotterdam  
#[Out]# 613     Stationstraat        Oss  
#[Out]# 614        Bergselaan  Rotterdam  
#[Out]# 615      Kasteeldreef    Tilburg  
#[Out]# 616          Molenweg  Eindhoven  
#[Out]# 617       Parallelweg  Eindhoven  
#[Out]# 618     Poffertjesweg  Eindhoven  
#[Out]# 619  Rozemarijnstraat      Breda  
#[Out]# 620    Stadhoudersweg  Rotterdam  
#[Out]# 621     Stationstraat        Oss  
#[Out]# 
#[Out]# [622 rows x 8 columns]
query4 = '''
    SELECT s1.sID, s2.sID
    FROM store s1, store s2
    WHERE
    s1.sName IS s2.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID  sID
#[Out]# 0      0    0
#[Out]# 1      0    6
#[Out]# 2      0   13
#[Out]# 3      0   14
#[Out]# 4      0   19
#[Out]# 5      0   21
#[Out]# 6      0   31
#[Out]# 7      0   34
#[Out]# 8      0   43
#[Out]# 9      0   45
#[Out]# 10     0   47
#[Out]# 11     0   51
#[Out]# 12     0   53
#[Out]# 13     0   55
#[Out]# 14     1    1
#[Out]# 15     1    4
#[Out]# 16     1   17
#[Out]# 17     1   26
#[Out]# 18     1   28
#[Out]# 19     1   38
#[Out]# 20     1   40
#[Out]# 21     1   48
#[Out]# 22     1   49
#[Out]# 23     2    2
#[Out]# 24     2   10
#[Out]# 25     2   20
#[Out]# 26     2   37
#[Out]# 27     2   56
#[Out]# 28     2   59
#[Out]# 29     2   62
#[Out]# ..   ...  ...
#[Out]# 592   60   46
#[Out]# 593   60   52
#[Out]# 594   60   60
#[Out]# 595   60   61
#[Out]# 596   61   12
#[Out]# 597   61   15
#[Out]# 598   61   16
#[Out]# 599   61   22
#[Out]# 600   61   35
#[Out]# 601   61   36
#[Out]# 602   61   46
#[Out]# 603   61   52
#[Out]# 604   61   60
#[Out]# 605   61   61
#[Out]# 606   62    2
#[Out]# 607   62   10
#[Out]# 608   62   20
#[Out]# 609   62   37
#[Out]# 610   62   56
#[Out]# 611   62   59
#[Out]# 612   62   62
#[Out]# 613   62   63
#[Out]# 614   63    2
#[Out]# 615   63   10
#[Out]# 616   63   20
#[Out]# 617   63   37
#[Out]# 618   63   56
#[Out]# 619   63   59
#[Out]# 620   63   62
#[Out]# 621   63   63
#[Out]# 
#[Out]# [622 rows x 2 columns]
query4 = '''

    /*Select all IDs from store-chains*/
    SELECT DISTINCT sID, COUNT(DISTINCT sName) FROM store
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  COUNT(DISTINCT sName)
#[Out]# 0   63                      7
query4 = '''

    /*Select all IDs from store-chains*/
    SELECT DISTINCT sID, COUNT(DISTINCT sName) FROM store GROUP BY sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  COUNT(DISTINCT sName)
#[Out]# 0     0                      1
#[Out]# 1     1                      1
#[Out]# 2     2                      1
#[Out]# 3     3                      1
#[Out]# 4     4                      1
#[Out]# 5     5                      1
#[Out]# 6     6                      1
#[Out]# 7     7                      1
#[Out]# 8     8                      1
#[Out]# 9     9                      1
#[Out]# 10   10                      1
#[Out]# 11   11                      1
#[Out]# 12   12                      1
#[Out]# 13   13                      1
#[Out]# 14   14                      1
#[Out]# 15   15                      1
#[Out]# 16   16                      1
#[Out]# 17   17                      1
#[Out]# 18   18                      1
#[Out]# 19   19                      1
#[Out]# 20   20                      1
#[Out]# 21   21                      1
#[Out]# 22   22                      1
#[Out]# 23   23                      1
#[Out]# 24   24                      1
#[Out]# 25   25                      1
#[Out]# 26   26                      1
#[Out]# 27   27                      1
#[Out]# 28   28                      1
#[Out]# 29   29                      1
#[Out]# ..  ...                    ...
#[Out]# 34   34                      1
#[Out]# 35   35                      1
#[Out]# 36   36                      1
#[Out]# 37   37                      1
#[Out]# 38   38                      1
#[Out]# 39   39                      1
#[Out]# 40   40                      1
#[Out]# 41   41                      1
#[Out]# 42   42                      1
#[Out]# 43   43                      1
#[Out]# 44   44                      1
#[Out]# 45   45                      1
#[Out]# 46   46                      1
#[Out]# 47   47                      1
#[Out]# 48   48                      1
#[Out]# 49   49                      1
#[Out]# 50   50                      1
#[Out]# 51   51                      1
#[Out]# 52   52                      1
#[Out]# 53   53                      1
#[Out]# 54   54                      1
#[Out]# 55   55                      1
#[Out]# 56   56                      1
#[Out]# 57   57                      1
#[Out]# 58   58                      1
#[Out]# 59   59                      1
#[Out]# 60   60                      1
#[Out]# 61   61                      1
#[Out]# 62   62                      1
#[Out]# 63   63                      1
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''

    /*Select all IDs from store-chains*/
    SELECT DISTINCT sID, COUNT(DISTINCT sID) FROM store GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  COUNT(DISTINCT sID)
#[Out]# 0   44                    8
#[Out]# 1   55                   14
#[Out]# 2   58                    6
#[Out]# 3   49                    9
#[Out]# 4   63                    8
#[Out]# 5   61                   10
#[Out]# 6   50                    9
query4 = '''

    /*Select all IDs from store-chains*/
    SELECT DISTINCT sID, sName,  COUNT(DISTINCT sID) FROM store GROUP BY sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName  COUNT(DISTINCT sID)
#[Out]# 0   44  Albert Hein                    8
#[Out]# 1   55         Coop                   14
#[Out]# 2   58         Dirk                    6
#[Out]# 3   49    Hoogvliet                    9
#[Out]# 4   63        Jumbo                    8
#[Out]# 5   61         Lidl                   10
#[Out]# 6   50       Sligro                    9
query4 = '''
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID,
        sName,
        /*Count used to verify that all stores are indeed chain-stores*/
        COUNT(DISTINCT sID) amountOfStores
    FROM
        store
    GROUP BY
        sName
    HAVING (amountOfStores > 1)
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName  amountOfStores
#[Out]# 0   44  Albert Hein               8
#[Out]# 1   55         Coop              14
#[Out]# 2   58         Dirk               6
#[Out]# 3   49    Hoogvliet               9
#[Out]# 4   63        Jumbo               8
#[Out]# 5   61         Lidl              10
#[Out]# 6   50       Sligro               9
query4 = '''
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID,
        sName,
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (amountOfStores > 1)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID,
        sName,
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID,
        sName
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName
#[Out]# 0   44  Albert Hein
#[Out]# 1   55         Coop
#[Out]# 2   58         Dirk
#[Out]# 3   49    Hoogvliet
#[Out]# 4   63        Jumbo
#[Out]# 5   61         Lidl
#[Out]# 6   50       Sligro
query4 = '''
    
    SELECT s.sName
    FROM store
    INNER JOIN purchase p ON s.sID == p.pID
    WHERE s.ID IN
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    
    SELECT s.sName
    FROM store
    INNER JOIN purchase p ON s.sID == p.pID
    WHERE s.ID IN (
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
    )
'''

pd.read_sql_query(query4, conn)
query4 = '''
    
    SELECT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.pID
    WHERE s.ID IN (
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
    )
'''

pd.read_sql_query(query4, conn)
query4 = '''
    
    SELECT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.pID
    WHERE s.sID IN (
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
    )
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName]
#[Out]# Index: []
query4 = '''
    
    SELECT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.sID
    WHERE s.sID IN (
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0   Albert Hein
#[Out]# 1   Albert Hein
#[Out]# 2          Coop
#[Out]# 3        Sligro
#[Out]# 4        Sligro
#[Out]# 5          Coop
#[Out]# 6   Albert Hein
#[Out]# 7     Hoogvliet
#[Out]# 8        Sligro
#[Out]# 9   Albert Hein
#[Out]# 10         Dirk
#[Out]# 11  Albert Hein
#[Out]# 12  Albert Hein
#[Out]# 13    Hoogvliet
#[Out]# 14    Hoogvliet
#[Out]# 15         Coop
#[Out]# 16  Albert Hein
#[Out]# 17         Coop
#[Out]# 18       Sligro
#[Out]# 19       Sligro
#[Out]# 20  Albert Hein
#[Out]# 21         Coop
#[Out]# 22         Coop
#[Out]# 23    Hoogvliet
#[Out]# 24         Coop
#[Out]# 25         Dirk
#[Out]# 26    Hoogvliet
#[Out]# 27         Coop
#[Out]# 28         Coop
#[Out]# 29       Sligro
#[Out]# 30         Coop
#[Out]# 31  Albert Hein
#[Out]# 32        Jumbo
#[Out]# 33  Albert Hein
#[Out]# 34    Hoogvliet
#[Out]# 35       Sligro
#[Out]# 36         Coop
#[Out]# 37         Dirk
#[Out]# 38         Lidl
#[Out]# 39        Jumbo
query4 = '''
    
    SELECT DISTINCT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.sID
    WHERE s.sID IN (
    /*Select all IDs from store-chains*/
    SELECT DISTINCT
        sID
        /*
            Count used to verify that all stores are indeed chain-stores
            COUNT(DISTINCT sID) amountOfStores
        */
    FROM
        store
    GROUP BY
        sName
    HAVING (COUNT(DISTINCT sID) > 1)
    )
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2       Sligro
#[Out]# 3    Hoogvliet
#[Out]# 4         Dirk
#[Out]# 5        Jumbo
#[Out]# 6         Lidl
query4 = '''
    
    SELECT DISTINCT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.sID
    WHERE s.sID IN 
        (
        /*Select all IDs from store-chains*/
        SELECT DISTINCT
            sID
            /*
                Count used to verify that all stores are indeed chain-stores
                COUNT(DISTINCT sID) amountOfStores
            */
        FROM
            store
        GROUP BY
            sName
        HAVING (COUNT(DISTINCT sID) > 1)
        )
    GROUP BY s.sID
    HAVING (AVERAGE (p.quantity) > 4)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    
    SELECT DISTINCT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.sID
    WHERE s.sID IN 
        (
        /*Select all IDs from store-chains*/
        SELECT DISTINCT
            sID
            /*
                Count used to verify that all stores are indeed chain-stores
                COUNT(DISTINCT sID) amountOfStores
            */
        FROM
            store
        GROUP BY
            sName
        HAVING (COUNT(DISTINCT sID) > 1)
        )
    GROUP BY s.sID
    HAVING (AVG (p.quantity) > 4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
# Note: Every store is a chain-store.
query4 = '''
    SELECT DISTINCT s.sName
    FROM store s
    INNER JOIN purchase p ON s.sID == p.sID
    WHERE s.sID IN 
        /*Select all IDs from store-chains*/
        (
        SELECT DISTINCT
            sID
            /*
                Count used to verify that all stores are indeed chain-stores
                COUNT(DISTINCT sID) amountOfStores
            */
        FROM
            store
        GROUP BY
            sName
        HAVING (COUNT(DISTINCT sID) > 1)
        )
    GROUP BY s.sID
    HAVING (AVG(p.quantity) > 4)
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3         Lidl
query5 = '''
    SELECT *
    FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query5 = '''
    SELECT sID, pID, price
    FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID  pID  price
#[Out]# 0      3   10   0.45
#[Out]# 1     23   14   4.65
#[Out]# 2      3   16   1.60
#[Out]# 3     17    9   1.25
#[Out]# 4     32   25   3.95
#[Out]# 5     16   26   2.75
#[Out]# 6     46   11   0.90
#[Out]# 7     36   27   9.10
#[Out]# 8     12   20   2.45
#[Out]# 9     39    9   1.35
#[Out]# 10    13    4   1.10
#[Out]# 11    51   13   3.70
#[Out]# 12    47   22   1.55
#[Out]# 13    44   14   4.30
#[Out]# 14    30   26   2.75
#[Out]# 15    29    9   1.45
#[Out]# 16    17    8   4.15
#[Out]# 17    10   27   9.05
#[Out]# 18    53   12  13.60
#[Out]# 19    21    6   1.05
#[Out]# 20     7   13   3.05
#[Out]# 21    44   26   2.75
#[Out]# 22     4   14   4.70
#[Out]# 23    36   28   8.25
#[Out]# 24    55    6   1.10
#[Out]# 25    51   22   1.55
#[Out]# 26     6   16   1.85
#[Out]# 27    17   19   2.20
#[Out]# 28     3   19   2.10
#[Out]# 29    12    2   1.70
#[Out]# ..   ...  ...    ...
#[Out]# 479   34   28   2.80
#[Out]# 480   35   27   0.50
#[Out]# 481   36    5   2.55
#[Out]# 482   37   28   0.65
#[Out]# 483   38    7   0.70
#[Out]# 484   39    0   3.70
#[Out]# 485   40   11   3.50
#[Out]# 486   41    6   2.95
#[Out]# 487   42   19   2.75
#[Out]# 488   43   17   1.50
#[Out]# 489   44    9   0.85
#[Out]# 490   45   11   3.55
#[Out]# 491   46   22   2.60
#[Out]# 492   47   17   3.25
#[Out]# 493   48   20   4.30
#[Out]# 494   49   11   3.05
#[Out]# 495   50   21   4.05
#[Out]# 496   51   23   1.50
#[Out]# 497   52   23   2.50
#[Out]# 498   53    8   3.95
#[Out]# 499   54    0   3.50
#[Out]# 500   55    8   2.95
#[Out]# 501   56   11   1.60
#[Out]# 502   57   15   3.25
#[Out]# 503   58    2   0.75
#[Out]# 504   59   17   3.80
#[Out]# 505   60    5   4.35
#[Out]# 506   61   19   2.85
#[Out]# 507   62    9   3.15
#[Out]# 508   63   18   3.30
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    SELECT sID, pID, quanity, price
    FROM purchase
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT sID, pID, quantity, price
    FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID  pID  quantity  price
#[Out]# 0      3   10         1   0.45
#[Out]# 1     23   14         2   4.65
#[Out]# 2      3   16         3   1.60
#[Out]# 3     17    9         2   1.25
#[Out]# 4     32   25         4   3.95
#[Out]# 5     16   26         4   2.75
#[Out]# 6     46   11         8   0.90
#[Out]# 7     36   27         6   9.10
#[Out]# 8     12   20         1   2.45
#[Out]# 9     39    9         7   1.35
#[Out]# 10    13    4         6   1.10
#[Out]# 11    51   13         4   3.70
#[Out]# 12    47   22         1   1.55
#[Out]# 13    44   14         2   4.30
#[Out]# 14    30   26         2   2.75
#[Out]# 15    29    9         6   1.45
#[Out]# 16    17    8         2   4.15
#[Out]# 17    10   27         9   9.05
#[Out]# 18    53   12         5  13.60
#[Out]# 19    21    6         2   1.05
#[Out]# 20     7   13         9   3.05
#[Out]# 21    44   26         4   2.75
#[Out]# 22     4   14         6   4.70
#[Out]# 23    36   28         6   8.25
#[Out]# 24    55    6         9   1.10
#[Out]# 25    51   22         2   1.55
#[Out]# 26     6   16         2   1.85
#[Out]# 27    17   19         1   2.20
#[Out]# 28     3   19         2   2.10
#[Out]# 29    12    2         6   1.70
#[Out]# ..   ...  ...       ...    ...
#[Out]# 479   34   28         4   2.80
#[Out]# 480   35   27         5   0.50
#[Out]# 481   36    5         3   2.55
#[Out]# 482   37   28         4   0.65
#[Out]# 483   38    7         4   0.70
#[Out]# 484   39    0         4   3.70
#[Out]# 485   40   11         2   3.50
#[Out]# 486   41    6         5   2.95
#[Out]# 487   42   19         5   2.75
#[Out]# 488   43   17         7   1.50
#[Out]# 489   44    9         5   0.85
#[Out]# 490   45   11         2   3.55
#[Out]# 491   46   22         4   2.60
#[Out]# 492   47   17         4   3.25
#[Out]# 493   48   20         6   4.30
#[Out]# 494   49   11         3   3.05
#[Out]# 495   50   21         6   4.05
#[Out]# 496   51   23         1   1.50
#[Out]# 497   52   23         5   2.50
#[Out]# 498   53    8         4   3.95
#[Out]# 499   54    0         6   3.50
#[Out]# 500   55    8         7   2.95
#[Out]# 501   56   11         4   1.60
#[Out]# 502   57   15         5   3.25
#[Out]# 503   58    2         7   0.75
#[Out]# 504   59   17         2   3.80
#[Out]# 505   60    5         6   4.35
#[Out]# 506   61   19         5   2.85
#[Out]# 507   62    9         2   3.15
#[Out]# 508   63   18         1   3.30
#[Out]# 
#[Out]# [509 rows x 4 columns]
query5 = '''
    SELECT p.sID, p.pID, p.quantity, prod.pName p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY prod.pName
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT 
        p.sID,
        p.pID,
        p.quantity,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY prod.pName
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID  pID  quantity     pName  price
#[Out]# 0     23   14         2    Apples   4.65
#[Out]# 1     44   14         2    Apples   4.30
#[Out]# 2      4   14         6    Apples   4.70
#[Out]# 3      0   14         8    Apples   4.10
#[Out]# 4     51   14         9    Apples   3.80
#[Out]# 5     59   14         4    Apples   3.50
#[Out]# 6     40   14         6    Apples   4.10
#[Out]# 7     50   14         7    Apples   3.85
#[Out]# 8     11   14         9    Apples   3.20
#[Out]# 9     39   14         3    Apples   4.50
#[Out]# 10     7   14         6    Apples   4.25
#[Out]# 11    28   14         3    Apples   3.95
#[Out]# 12    14   14         1    Apples   4.45
#[Out]# 13     3   14         6    Apples   4.50
#[Out]# 14    54   14         8    Apples   4.20
#[Out]# 15    31   14         8    Apples   3.25
#[Out]# 16    52   14         7    Apples   4.65
#[Out]# 17    25   14         5    Apples   3.70
#[Out]# 18    17    9         2   Bananas   1.25
#[Out]# 19    39    9         7   Bananas   1.35
#[Out]# 20    29    9         6   Bananas   1.45
#[Out]# 21    26    9         3   Bananas   1.65
#[Out]# 22     2    9         6   Bananas   1.70
#[Out]# 23    17    9         9   Bananas   1.30
#[Out]# 24    42    9         9   Bananas   1.30
#[Out]# 25    42    9         3   Bananas   1.75
#[Out]# 26    29    9        11   Bananas   1.25
#[Out]# 27    11    9         9   Bananas   1.60
#[Out]# 28    52    9         6   Bananas   1.65
#[Out]# 29     7    9         3   Bananas   1.40
#[Out]# ..   ...  ...       ...       ...    ...
#[Out]# 479   13    7         3  Tomatoes   1.80
#[Out]# 480   44    7        10  Tomatoes   1.65
#[Out]# 481   29    7        12  Tomatoes   2.00
#[Out]# 482   49    7         4  Tomatoes   2.05
#[Out]# 483   43    7         8  Tomatoes   1.95
#[Out]# 484   20    7         3  Tomatoes   1.65
#[Out]# 485   56    7         4  Tomatoes   2.35
#[Out]# 486   35    7         7  Tomatoes   2.20
#[Out]# 487    6    7         5  Tomatoes   2.35
#[Out]# 488   18    7         1  Tomatoes   1.85
#[Out]# 489   56    7         1  Tomatoes   2.10
#[Out]# 490   63    7         5  Tomatoes   1.25
#[Out]# 491    4    7         7  Tomatoes   1.30
#[Out]# 492   38    7         4  Tomatoes   0.70
#[Out]# 493    3   10         1     Water   0.45
#[Out]# 494   28   10         4     Water   0.40
#[Out]# 495   27   10         6     Water   0.45
#[Out]# 496   45   10         1     Water   0.60
#[Out]# 497   54   10         5     Water   0.50
#[Out]# 498    5   10         1     Water   0.50
#[Out]# 499    9   10         5     Water   0.50
#[Out]# 500   18   10         2     Water   0.50
#[Out]# 501    6   10         6     Water   0.55
#[Out]# 502   45   10         3     Water   0.45
#[Out]# 503   24   10         7     Water   0.55
#[Out]# 504   45   10         7     Water   0.45
#[Out]# 505   56   10         3     Water   0.60
#[Out]# 506    6   10         2     Water   4.15
#[Out]# 507   17   10         6     Water   0.95
#[Out]# 508   30   10         4     Water   4.35
#[Out]# 
#[Out]# [509 rows x 5 columns]
query5 = '''
    SELECT 
        p.sID,
        p.pID,
        p.quantity,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY sID, pName
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID  pID  quantity            pName  price
#[Out]# 0      0   14         8           Apples   4.10
#[Out]# 1      0    0         2      Cashew Nuts   3.50
#[Out]# 2      0   15         4        Cucumbers   1.20
#[Out]# 3      0    1         1       Mixed Nuts   6.35
#[Out]# 4      0   27         5            Pizza   4.45
#[Out]# 5      0    2         2         Potatoes   1.70
#[Out]# 6      0   16         9             Rice   1.40
#[Out]# 7      0   16         8             Rice   1.50
#[Out]# 8      0   16         4             Rice   1.85
#[Out]# 9      1    0         5      Cashew Nuts   5.30
#[Out]# 10     1   19         6             Coca   2.55
#[Out]# 11     1   20         7            Fanta   2.05
#[Out]# 12     1   11         6             Milk   1.00
#[Out]# 13     1    5         3        Mushrooms   0.45
#[Out]# 14     1    4         3           Onions   1.10
#[Out]# 15     1   26         3            Pasta   3.45
#[Out]# 16     1   27         5            Pizza   6.95
#[Out]# 17     2    9         6          Bananas   1.70
#[Out]# 18     2   19         4             Coca   1.40
#[Out]# 19     2   15         1        Cucumbers   1.05
#[Out]# 20     2    5         6        Mushrooms   0.50
#[Out]# 21     2   23         3  Spiced Biscuits   2.40
#[Out]# 22     2   22         2              Tea   2.00
#[Out]# 23     3   14         6           Apples   4.50
#[Out]# 24     3    0         5      Cashew Nuts   4.85
#[Out]# 25     3    0         9      Cashew Nuts   3.75
#[Out]# 26     3   19         2             Coca   2.10
#[Out]# 27     3   21         6           Coffee   1.70
#[Out]# 28     3   20         1            Fanta   2.05
#[Out]# 29     3    3         3     Green Pepper   1.35
#[Out]# ..   ...  ...       ...              ...    ...
#[Out]# 479   56   11         4             Milk   1.60
#[Out]# 480   56    1         3       Mixed Nuts   4.40
#[Out]# 481   56   26         2            Pasta   3.25
#[Out]# 482   56    7         4         Tomatoes   2.35
#[Out]# 483   56    7         1         Tomatoes   2.10
#[Out]# 484   56   10         3            Water   0.60
#[Out]# 485   57   12         8             Beef  11.45
#[Out]# 486   57   17         2            Bread   2.40
#[Out]# 487   57   19         4             Coca   2.60
#[Out]# 488   57   15         5        Cucumbers   3.25
#[Out]# 489   57    3         7     Green Pepper   1.25
#[Out]# 490   57    2         2         Potatoes   2.30
#[Out]# 491   58    9         9          Bananas   1.70
#[Out]# 492   58   27        13            Pizza   6.45
#[Out]# 493   58    2         7         Potatoes   0.75
#[Out]# 494   59   14         4           Apples   3.50
#[Out]# 495   59   17         2            Bread   3.80
#[Out]# 496   59    0         1      Cashew Nuts   3.90
#[Out]# 497   59   21         6           Coffee   2.20
#[Out]# 498   59   13         5             Eggs   4.00
#[Out]# 499   59    4         4           Onions   0.90
#[Out]# 500   60    5         6        Mushrooms   4.35
#[Out]# 501   61   19         5             Coca   2.85
#[Out]# 502   62    9         2          Bananas   3.15
#[Out]# 503   62   30         1          Ketchup   1.00
#[Out]# 504   62   30         1          Ketchup   1.00
#[Out]# 505   62   29         1           Salmon   1.00
#[Out]# 506   62   29         5           Salmon   1.00
#[Out]# 507   63   18         1           Cheese   3.30
#[Out]# 508   63    7         5         Tomatoes   1.25
#[Out]# 
#[Out]# [509 rows x 5 columns]
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID             pName  price
#[Out]# 0      3             Water   0.45
#[Out]# 1     23            Apples   4.65
#[Out]# 2      3              Rice   1.60
#[Out]# 3     17           Bananas   1.25
#[Out]# 4     32            Donuts   3.95
#[Out]# 5     16             Pasta   2.75
#[Out]# 6     46              Milk   0.90
#[Out]# 7     36             Pizza   9.10
#[Out]# 8     12             Fanta   2.45
#[Out]# 9     39           Bananas   1.35
#[Out]# 10    13            Onions   1.10
#[Out]# 11    51              Eggs   3.70
#[Out]# 12    47               Tea   1.55
#[Out]# 13    44            Apples   4.30
#[Out]# 14    30             Pasta   2.75
#[Out]# 15    29           Bananas   1.45
#[Out]# 16    17  Hot Dog Sausages   4.15
#[Out]# 17    10             Pizza   9.05
#[Out]# 18    53              Beef  13.60
#[Out]# 19    21           Carrots   1.05
#[Out]# 20     7              Eggs   3.05
#[Out]# 21    44             Pasta   2.75
#[Out]# 22     4            Apples   4.70
#[Out]# 23    36           Lasanga   8.25
#[Out]# 24    55           Carrots   1.10
#[Out]# 25    51               Tea   1.55
#[Out]# 26     6              Rice   1.85
#[Out]# 27    17              Coca   2.20
#[Out]# 28     3              Coca   2.10
#[Out]# 29    12          Potatoes   1.70
#[Out]# ..   ...               ...    ...
#[Out]# 479   34           Lasanga   2.80
#[Out]# 480   35             Pizza   0.50
#[Out]# 481   36         Mushrooms   2.55
#[Out]# 482   37           Lasanga   0.65
#[Out]# 483   38          Tomatoes   0.70
#[Out]# 484   39       Cashew Nuts   3.70
#[Out]# 485   40              Milk   3.50
#[Out]# 486   41           Carrots   2.95
#[Out]# 487   42              Coca   2.75
#[Out]# 488   43             Bread   1.50
#[Out]# 489   44           Bananas   0.85
#[Out]# 490   45              Milk   3.55
#[Out]# 491   46               Tea   2.60
#[Out]# 492   47             Bread   3.25
#[Out]# 493   48             Fanta   4.30
#[Out]# 494   49              Milk   3.05
#[Out]# 495   50            Coffee   4.05
#[Out]# 496   51   Spiced Biscuits   1.50
#[Out]# 497   52   Spiced Biscuits   2.50
#[Out]# 498   53  Hot Dog Sausages   3.95
#[Out]# 499   54       Cashew Nuts   3.50
#[Out]# 500   55  Hot Dog Sausages   2.95
#[Out]# 501   56              Milk   1.60
#[Out]# 502   57         Cucumbers   3.25
#[Out]# 503   58          Potatoes   0.75
#[Out]# 504   59             Bread   3.80
#[Out]# 505   60         Mushrooms   4.35
#[Out]# 506   61              Coca   2.85
#[Out]# 507   62           Bananas   3.15
#[Out]# 508   63            Cheese   3.30
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    GROUP BY pName
'''

pd.read_sql_query(query5, conn)
#[Out]#     sID             pName  price
#[Out]# 0    25            Apples   3.70
#[Out]# 1    62           Bananas   3.15
#[Out]# 2     9              Beef  13.15
#[Out]# 3    59             Bread   3.80
#[Out]# 4    41           Carrots   2.95
#[Out]# 5    54       Cashew Nuts   3.50
#[Out]# 6    63            Cheese   3.30
#[Out]# 7    61              Coca   2.85
#[Out]# 8    50            Coffee   4.05
#[Out]# 9    57         Cucumbers   3.25
#[Out]# 10   22            Donuts   3.20
#[Out]# 11   27              Eggs   0.90
#[Out]# 12   48             Fanta   4.30
#[Out]# 13   23      Green Pepper   2.75
#[Out]# 14   55  Hot Dog Sausages   2.95
#[Out]# 15   62           Ketchup   1.00
#[Out]# 16   37           Lasanga   0.65
#[Out]# 17   56              Milk   1.60
#[Out]# 18   43        Mixed Nuts   6.55
#[Out]# 19   60         Mushrooms   4.35
#[Out]# 20   16            Onions   2.40
#[Out]# 21   39           Oranges   3.90
#[Out]# 22   24             Pasta   3.25
#[Out]# 23   35             Pizza   0.50
#[Out]# 24   58          Potatoes   0.75
#[Out]# 25   35              Rice   1.85
#[Out]# 26   62            Salmon   1.00
#[Out]# 27   52   Spiced Biscuits   2.50
#[Out]# 28   46               Tea   2.60
#[Out]# 29   38          Tomatoes   0.70
#[Out]# 30   30             Water   4.35
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID      pName  price
#[Out]# 0     28      Water   0.40
#[Out]# 1     25  Mushrooms   0.40
#[Out]# 2     30  Mushrooms   0.40
#[Out]# 3     32  Mushrooms   0.40
#[Out]# 4      3      Water   0.45
#[Out]# 5     27      Water   0.45
#[Out]# 6      1  Mushrooms   0.45
#[Out]# 7     24  Mushrooms   0.45
#[Out]# 8     45      Water   0.45
#[Out]# 9     45      Water   0.45
#[Out]# 10     8  Mushrooms   0.50
#[Out]# 11     2  Mushrooms   0.50
#[Out]# 12    19  Mushrooms   0.50
#[Out]# 13    54      Water   0.50
#[Out]# 14     5      Water   0.50
#[Out]# 15     9      Water   0.50
#[Out]# 16    18      Water   0.50
#[Out]# 17     6  Mushrooms   0.50
#[Out]# 18     3    Lasanga   0.50
#[Out]# 19    20      Fanta   0.50
#[Out]# 20    35      Pizza   0.50
#[Out]# 21    22  Mushrooms   0.55
#[Out]# 22    17  Mushrooms   0.55
#[Out]# 23    16  Mushrooms   0.55
#[Out]# 24     6      Water   0.55
#[Out]# 25    24      Water   0.55
#[Out]# 26    18      Pizza   0.55
#[Out]# 27    45      Water   0.60
#[Out]# 28     9  Mushrooms   0.60
#[Out]# 29    56      Water   0.60
#[Out]# ..   ...        ...    ...
#[Out]# 479   36      Pizza   9.10
#[Out]# 480   26      Pizza   9.25
#[Out]# 481    7      Pizza   9.25
#[Out]# 482   34    Lasanga   9.45
#[Out]# 483   52    Lasanga   9.60
#[Out]# 484   51     Cheese   9.65
#[Out]# 485   54    Lasanga   9.70
#[Out]# 486    5     Cheese   9.70
#[Out]# 487    9    Lasanga   9.85
#[Out]# 488   19       Beef  10.15
#[Out]# 489   14     Cheese  10.30
#[Out]# 490   42     Cheese  10.50
#[Out]# 491   13     Cheese  10.60
#[Out]# 492   32       Beef  10.75
#[Out]# 493   13       Beef  11.20
#[Out]# 494   57       Beef  11.45
#[Out]# 495   11     Cheese  11.55
#[Out]# 496   23       Beef  11.65
#[Out]# 497   44     Cheese  12.00
#[Out]# 498   38       Beef  12.20
#[Out]# 499   17       Beef  12.30
#[Out]# 500   54       Beef  12.55
#[Out]# 501   27       Beef  12.65
#[Out]# 502   23       Beef  12.80
#[Out]# 503    9       Beef  13.15
#[Out]# 504   41       Beef  13.25
#[Out]# 505    5       Beef  13.40
#[Out]# 506   53       Beef  13.60
#[Out]# 507   29       Beef  13.65
#[Out]# 508   27       Beef  13.80
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID      pName  price
#[Out]# 0     27       Beef  13.80
#[Out]# 1     29       Beef  13.65
#[Out]# 2     53       Beef  13.60
#[Out]# 3      5       Beef  13.40
#[Out]# 4     41       Beef  13.25
#[Out]# 5      9       Beef  13.15
#[Out]# 6     23       Beef  12.80
#[Out]# 7     27       Beef  12.65
#[Out]# 8     54       Beef  12.55
#[Out]# 9     17       Beef  12.30
#[Out]# 10    38       Beef  12.20
#[Out]# 11    44     Cheese  12.00
#[Out]# 12    23       Beef  11.65
#[Out]# 13    11     Cheese  11.55
#[Out]# 14    57       Beef  11.45
#[Out]# 15    13       Beef  11.20
#[Out]# 16    32       Beef  10.75
#[Out]# 17    13     Cheese  10.60
#[Out]# 18    42     Cheese  10.50
#[Out]# 19    14     Cheese  10.30
#[Out]# 20    19       Beef  10.15
#[Out]# 21     9    Lasanga   9.85
#[Out]# 22    54    Lasanga   9.70
#[Out]# 23     5     Cheese   9.70
#[Out]# 24    51     Cheese   9.65
#[Out]# 25    52    Lasanga   9.60
#[Out]# 26    34    Lasanga   9.45
#[Out]# 27    26      Pizza   9.25
#[Out]# 28     7      Pizza   9.25
#[Out]# 29    36      Pizza   9.10
#[Out]# ..   ...        ...    ...
#[Out]# 479    9  Mushrooms   0.60
#[Out]# 480   56      Water   0.60
#[Out]# 481   26     Coffee   0.60
#[Out]# 482   22  Mushrooms   0.55
#[Out]# 483   17  Mushrooms   0.55
#[Out]# 484   16  Mushrooms   0.55
#[Out]# 485    6      Water   0.55
#[Out]# 486   24      Water   0.55
#[Out]# 487   18      Pizza   0.55
#[Out]# 488    8  Mushrooms   0.50
#[Out]# 489    2  Mushrooms   0.50
#[Out]# 490   19  Mushrooms   0.50
#[Out]# 491   54      Water   0.50
#[Out]# 492    5      Water   0.50
#[Out]# 493    9      Water   0.50
#[Out]# 494   18      Water   0.50
#[Out]# 495    6  Mushrooms   0.50
#[Out]# 496    3    Lasanga   0.50
#[Out]# 497   20      Fanta   0.50
#[Out]# 498   35      Pizza   0.50
#[Out]# 499    3      Water   0.45
#[Out]# 500   27      Water   0.45
#[Out]# 501    1  Mushrooms   0.45
#[Out]# 502   24  Mushrooms   0.45
#[Out]# 503   45      Water   0.45
#[Out]# 504   45      Water   0.45
#[Out]# 505   28      Water   0.40
#[Out]# 506   25  Mushrooms   0.40
#[Out]# 507   30  Mushrooms   0.40
#[Out]# 508   32  Mushrooms   0.40
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID pName  price
#[Out]# 0   27  Beef   13.8
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName,
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID pName
#[Out]# 0   27  Beef
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 5
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID pName
#[Out]# 0   27  Beef
#[Out]# 1   29  Beef
#[Out]# 2   53  Beef
#[Out]# 3    5  Beef
#[Out]# 4   41  Beef
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        p.sID,
        prod.pName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID pName
#[Out]# 0   27  Beef
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        p.sID
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName,
        p.price
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 10
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName  price
#[Out]# 0  Beef       Sligro  13.80
#[Out]# 1  Beef       Sligro  13.65
#[Out]# 2  Beef         Coop  13.60
#[Out]# 3  Beef       Sligro  13.40
#[Out]# 4  Beef  Albert Hein  13.25
#[Out]# 5  Beef  Albert Hein  13.15
#[Out]# 6  Beef         Dirk  12.80
#[Out]# 7  Beef       Sligro  12.65
#[Out]# 8  Beef         Dirk  12.55
#[Out]# 9  Beef    Hoogvliet  12.30
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName,
        p.price,
        p.quantity
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 10
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName  price  quantity
#[Out]# 0  Beef       Sligro  13.80         6
#[Out]# 1  Beef       Sligro  13.65        11
#[Out]# 2  Beef         Coop  13.60         5
#[Out]# 3  Beef       Sligro  13.40         8
#[Out]# 4  Beef  Albert Hein  13.25         9
#[Out]# 5  Beef  Albert Hein  13.15         9
#[Out]# 6  Beef         Dirk  12.80         9
#[Out]# 7  Beef       Sligro  12.65         2
#[Out]# 8  Beef         Dirk  12.55         4
#[Out]# 9  Beef    Hoogvliet  12.30         3
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 10
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName
#[Out]# 0  Beef       Sligro
#[Out]# 1  Beef       Sligro
#[Out]# 2  Beef         Coop
#[Out]# 3  Beef       Sligro
#[Out]# 4  Beef  Albert Hein
#[Out]# 5  Beef  Albert Hein
#[Out]# 6  Beef         Dirk
#[Out]# 7  Beef       Sligro
#[Out]# 8  Beef         Dirk
#[Out]# 9  Beef    Hoogvliet
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    ORDER BY p.price DESC
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    /*Order it by price*/
    ORDER BY p.price DESC
    /*Limit to the max. This does not work generally, but for the specific database I have it works.*/
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    /*Assumption made: p.price is for ALL items bought (e.g. does not need to be multiplied with quantity)*/
    SELECT 
        prod.pName,
        s.sName
    FROM purchase p
    INNER JOIN product prod ON p.pID == prod.pID
    INNER JOIN store s ON s.sID == p.sID
    /*Order it by price*/
    ORDER BY p.price DESC
    /*Limit to the max. This does not work generally (as there might be multiple items with a highest price), but for the specific database I have it works (since that is not the case).*/
    LIMIT 1
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT * 
    FROM inventory i
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     55   10  2018-08-26        17        0.60
#[Out]# 1     25   12  2018-08-24        30       14.80
#[Out]# 2     15    6  2018-08-26        13        1.15
#[Out]# 3      6   27  2018-08-19        51        7.30
#[Out]# 4     57    2  2018-08-22        24        2.05
#[Out]# 5     33    8  2018-08-19        46        5.70
#[Out]# 6     51   10  2018-08-23        31        0.60
#[Out]# 7     50   21  2018-08-22        32        1.90
#[Out]# 8      0   13  2018-08-25        13        3.05
#[Out]# 9     36    8  2018-08-27        11        5.05
#[Out]# 10    36   23  2018-08-18        35        2.20
#[Out]# 11    54   10  2018-08-24        16        0.55
#[Out]# 12    59    1  2018-08-26        36        6.20
#[Out]# 13     9   19  2018-08-22        28        2.50
#[Out]# 14    33    7  2018-08-26         5        1.60
#[Out]# 15    35   10  2018-08-21        51        0.55
#[Out]# 16     0   21  2018-08-15         0        2.20
#[Out]# 17    31   14  2018-08-17        10        4.50
#[Out]# 18    19   14  2018-08-20        42        4.70
#[Out]# 19    33   20  2018-08-21        51        2.15
#[Out]# 20    17   24  2018-08-16        44        2.85
#[Out]# 21     4   27  2018-08-18        27        9.00
#[Out]# 22     3   25  2018-08-27        24        4.60
#[Out]# 23    22   15  2018-08-20         4        1.30
#[Out]# 24    52   14  2018-08-18        44        4.25
#[Out]# 25    24   26  2018-08-25        18        2.90
#[Out]# 26     7   12  2018-08-20        13       12.55
#[Out]# 27    32   18  2018-08-21        41       11.85
#[Out]# 28    48   24  2018-08-19        10        3.20
#[Out]# 29    54    8  2018-08-17         3        5.55
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   35    0  2018-08-25         1        4.35
#[Out]# 800   19   11  2018-08-25         9        0.90
#[Out]# 801    4   21  2018-08-25         9        2.15
#[Out]# 802    6    5  2018-08-26         6        0.50
#[Out]# 803   47   18  2018-08-20        12        8.85
#[Out]# 804   38   17  2018-08-20        10        2.30
#[Out]# 805   11    3  2018-08-21        15        1.30
#[Out]# 806   34   26  2018-08-21        14        3.40
#[Out]# 807   34   25  2018-08-27        17        3.60
#[Out]# 808   25   14  2018-08-24         3        3.70
#[Out]# 809   24   11  2018-08-24         1        0.85
#[Out]# 810   57   17  2018-08-24         4        2.40
#[Out]# 811   43   27  2018-08-22        15        9.00
#[Out]# 812   35   16  2018-08-22         8        1.85
#[Out]# 813   45   10  2018-08-22        21        0.45
#[Out]# 814   34   26  2018-08-26         9        3.10
#[Out]# 815   34   13  2018-08-26         3        4.05
#[Out]# 816   56   10  2018-08-27         1        0.60
#[Out]# 817    6   26  2018-08-24        13        2.70
#[Out]# 818   45    6  2018-08-24         9        0.90
#[Out]# 819   27   21  2018-08-27         1        2.00
#[Out]# 820   17   25  2018-08-27        14        3.90
#[Out]# 821    5   18  2018-08-28         1        9.70
#[Out]# 822    5    3  2018-08-28        13        1.30
#[Out]# 823    4   13  2018-08-23        23        4.20
#[Out]# 824   27   10  2018-08-20         7        0.55
#[Out]# 825   45   18  2018-08-21         5        9.20
#[Out]# 826   57    6  2018-08-22         9        1.15
#[Out]# 827   60   19  2018-07-10       525        1.75
#[Out]# 828    0    0  2018-07-18        15        5.95
#[Out]# 
#[Out]# [829 rows x 5 columns]
query6 = '''
    SELECT * 
    FROM inventory i
    ORDER BY price
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT * 
    FROM inventory i
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     28   10  2018-08-16        15        0.40
#[Out]# 1     34   10  2018-08-22        31        0.40
#[Out]# 2     40    5  2018-08-24        52        0.40
#[Out]# 3     12    5  2018-08-27        17        0.40
#[Out]# 4     28   10  2018-08-25         7        0.40
#[Out]# 5     25    5  2018-08-20         5        0.40
#[Out]# 6     30    5  2018-08-22         5        0.40
#[Out]# 7     32    5  2018-08-19        20        0.40
#[Out]# 8      4    5  2018-08-15        48        0.45
#[Out]# 9      1   10  2018-08-17        29        0.45
#[Out]# 10    41    5  2018-08-24        15        0.45
#[Out]# 11    30    5  2018-08-20         4        0.45
#[Out]# 12    34   10  2018-08-23         8        0.45
#[Out]# 13    17    5  2018-08-18        33        0.45
#[Out]# 14    53   10  2018-08-24        32        0.45
#[Out]# 15     3   10  2018-08-21        13        0.45
#[Out]# 16    27   10  2018-08-27        19        0.45
#[Out]# 17     1    5  2018-08-23         2        0.45
#[Out]# 18    24    5  2018-08-20        13        0.45
#[Out]# 19    45   10  2018-08-24        11        0.45
#[Out]# 20    45   10  2018-08-22        21        0.45
#[Out]# 21     8   10  2018-08-27        26        0.50
#[Out]# 22    38   10  2018-08-27        33        0.50
#[Out]# 23    45   10  2018-08-26        54        0.50
#[Out]# 24    57    5  2018-08-15        48        0.50
#[Out]# 25    56   10  2018-08-22        53        0.50
#[Out]# 26     1    5  2018-08-21        49        0.50
#[Out]# 27    15    5  2018-08-19        30        0.50
#[Out]# 28     8    5  2018-08-26         8        0.50
#[Out]# 29    43   10  2018-08-27        12        0.50
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   13   12  2018-08-22        14       11.20
#[Out]# 800   50   18  2018-08-18        24       11.35
#[Out]# 801   42   12  2018-08-23        46       11.40
#[Out]# 802   57   12  2018-08-18        16       11.45
#[Out]# 803   11   18  2018-08-19         1       11.55
#[Out]# 804   23   12  2018-08-26        17       11.65
#[Out]# 805   41   18  2018-08-19        15       11.75
#[Out]# 806   32   18  2018-08-21        41       11.85
#[Out]# 807   44   18  2018-08-22        14       12.00
#[Out]# 808   38   12  2018-08-21        10       12.20
#[Out]# 809   17   12  2018-08-26        11       12.30
#[Out]# 810    7   12  2018-08-20        13       12.55
#[Out]# 811   54   12  2018-08-23         5       12.55
#[Out]# 812   27   12  2018-08-26         2       12.65
#[Out]# 813   23   12  2018-08-27        17       12.80
#[Out]# 814   50   12  2018-08-24        38       13.10
#[Out]# 815    8   12  2018-08-15        45       13.10
#[Out]# 816   58   12  2018-08-20        51       13.10
#[Out]# 817    9   12  2018-08-23         5       13.15
#[Out]# 818   41   12  2018-08-22        14       13.25
#[Out]# 819    5   12  2018-08-23        11       13.40
#[Out]# 820   53   12  2018-08-24         3       13.60
#[Out]# 821   42   12  2018-08-19        41       13.65
#[Out]# 822   29   12  2018-08-18         4       13.65
#[Out]# 823   27   12  2018-08-25         5       13.80
#[Out]# 824   53   12  2018-08-16         3       13.85
#[Out]# 825    0   12  2018-08-15         9       14.05
#[Out]# 826   12   12  2018-08-19        19       14.05
#[Out]# 827   25   12  2018-08-24        30       14.80
#[Out]# 828    8   12  2018-08-17        14       14.90
#[Out]# 
#[Out]# [829 rows x 5 columns]
query6 = '''
    SELECT * 
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  pID      pName suffix
#[Out]# 0     28   10  2018-08-16        15        0.40   10      Water       
#[Out]# 1     34   10  2018-08-22        31        0.40   10      Water       
#[Out]# 2     40    5  2018-08-24        52        0.40    5  Mushrooms       
#[Out]# 3     12    5  2018-08-27        17        0.40    5  Mushrooms       
#[Out]# 4     28   10  2018-08-25         7        0.40   10      Water       
#[Out]# 5     25    5  2018-08-20         5        0.40    5  Mushrooms       
#[Out]# 6     30    5  2018-08-22         5        0.40    5  Mushrooms       
#[Out]# 7     32    5  2018-08-19        20        0.40    5  Mushrooms       
#[Out]# 8      4    5  2018-08-15        48        0.45    5  Mushrooms       
#[Out]# 9      1   10  2018-08-17        29        0.45   10      Water       
#[Out]# 10    41    5  2018-08-24        15        0.45    5  Mushrooms       
#[Out]# 11    30    5  2018-08-20         4        0.45    5  Mushrooms       
#[Out]# 12    34   10  2018-08-23         8        0.45   10      Water       
#[Out]# 13    17    5  2018-08-18        33        0.45    5  Mushrooms       
#[Out]# 14    53   10  2018-08-24        32        0.45   10      Water       
#[Out]# 15     3   10  2018-08-21        13        0.45   10      Water       
#[Out]# 16    27   10  2018-08-27        19        0.45   10      Water       
#[Out]# 17     1    5  2018-08-23         2        0.45    5  Mushrooms       
#[Out]# 18    24    5  2018-08-20        13        0.45    5  Mushrooms       
#[Out]# 19    45   10  2018-08-24        11        0.45   10      Water       
#[Out]# 20    45   10  2018-08-22        21        0.45   10      Water       
#[Out]# 21     8   10  2018-08-27        26        0.50   10      Water       
#[Out]# 22    38   10  2018-08-27        33        0.50   10      Water       
#[Out]# 23    45   10  2018-08-26        54        0.50   10      Water       
#[Out]# 24    57    5  2018-08-15        48        0.50    5  Mushrooms       
#[Out]# 25    56   10  2018-08-22        53        0.50   10      Water       
#[Out]# 26     1    5  2018-08-21        49        0.50    5  Mushrooms       
#[Out]# 27    15    5  2018-08-19        30        0.50    5  Mushrooms       
#[Out]# 28     8    5  2018-08-26         8        0.50    5  Mushrooms       
#[Out]# 29    43   10  2018-08-27        12        0.50   10      Water       
#[Out]# ..   ...  ...         ...       ...         ...  ...        ...    ...
#[Out]# 799   13   12  2018-08-22        14       11.20   12       Beef       
#[Out]# 800   50   18  2018-08-18        24       11.35   18     Cheese       
#[Out]# 801   42   12  2018-08-23        46       11.40   12       Beef       
#[Out]# 802   57   12  2018-08-18        16       11.45   12       Beef       
#[Out]# 803   11   18  2018-08-19         1       11.55   18     Cheese       
#[Out]# 804   23   12  2018-08-26        17       11.65   12       Beef       
#[Out]# 805   41   18  2018-08-19        15       11.75   18     Cheese       
#[Out]# 806   32   18  2018-08-21        41       11.85   18     Cheese       
#[Out]# 807   44   18  2018-08-22        14       12.00   18     Cheese       
#[Out]# 808   38   12  2018-08-21        10       12.20   12       Beef       
#[Out]# 809   17   12  2018-08-26        11       12.30   12       Beef       
#[Out]# 810    7   12  2018-08-20        13       12.55   12       Beef       
#[Out]# 811   54   12  2018-08-23         5       12.55   12       Beef       
#[Out]# 812   27   12  2018-08-26         2       12.65   12       Beef       
#[Out]# 813   23   12  2018-08-27        17       12.80   12       Beef       
#[Out]# 814   50   12  2018-08-24        38       13.10   12       Beef       
#[Out]# 815    8   12  2018-08-15        45       13.10   12       Beef       
#[Out]# 816   58   12  2018-08-20        51       13.10   12       Beef       
#[Out]# 817    9   12  2018-08-23         5       13.15   12       Beef       
#[Out]# 818   41   12  2018-08-22        14       13.25   12       Beef       
#[Out]# 819    5   12  2018-08-23        11       13.40   12       Beef       
#[Out]# 820   53   12  2018-08-24         3       13.60   12       Beef       
#[Out]# 821   42   12  2018-08-19        41       13.65   12       Beef       
#[Out]# 822   29   12  2018-08-18         4       13.65   12       Beef       
#[Out]# 823   27   12  2018-08-25         5       13.80   12       Beef       
#[Out]# 824   53   12  2018-08-16         3       13.85   12       Beef       
#[Out]# 825    0   12  2018-08-15         9       14.05   12       Beef       
#[Out]# 826   12   12  2018-08-19        19       14.05   12       Beef       
#[Out]# 827   25   12  2018-08-24        30       14.80   12       Beef       
#[Out]# 828    8   12  2018-08-17        14       14.90   12       Beef       
#[Out]# 
#[Out]# [829 rows x 8 columns]
query6 = '''
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price      pName
#[Out]# 0     28   10  2018-08-16        15        0.40      Water
#[Out]# 1     34   10  2018-08-22        31        0.40      Water
#[Out]# 2     40    5  2018-08-24        52        0.40  Mushrooms
#[Out]# 3     12    5  2018-08-27        17        0.40  Mushrooms
#[Out]# 4     28   10  2018-08-25         7        0.40      Water
#[Out]# 5     25    5  2018-08-20         5        0.40  Mushrooms
#[Out]# 6     30    5  2018-08-22         5        0.40  Mushrooms
#[Out]# 7     32    5  2018-08-19        20        0.40  Mushrooms
#[Out]# 8      4    5  2018-08-15        48        0.45  Mushrooms
#[Out]# 9      1   10  2018-08-17        29        0.45      Water
#[Out]# 10    41    5  2018-08-24        15        0.45  Mushrooms
#[Out]# 11    30    5  2018-08-20         4        0.45  Mushrooms
#[Out]# 12    34   10  2018-08-23         8        0.45      Water
#[Out]# 13    17    5  2018-08-18        33        0.45  Mushrooms
#[Out]# 14    53   10  2018-08-24        32        0.45      Water
#[Out]# 15     3   10  2018-08-21        13        0.45      Water
#[Out]# 16    27   10  2018-08-27        19        0.45      Water
#[Out]# 17     1    5  2018-08-23         2        0.45  Mushrooms
#[Out]# 18    24    5  2018-08-20        13        0.45  Mushrooms
#[Out]# 19    45   10  2018-08-24        11        0.45      Water
#[Out]# 20    45   10  2018-08-22        21        0.45      Water
#[Out]# 21     8   10  2018-08-27        26        0.50      Water
#[Out]# 22    38   10  2018-08-27        33        0.50      Water
#[Out]# 23    45   10  2018-08-26        54        0.50      Water
#[Out]# 24    57    5  2018-08-15        48        0.50  Mushrooms
#[Out]# 25    56   10  2018-08-22        53        0.50      Water
#[Out]# 26     1    5  2018-08-21        49        0.50  Mushrooms
#[Out]# 27    15    5  2018-08-19        30        0.50  Mushrooms
#[Out]# 28     8    5  2018-08-26         8        0.50  Mushrooms
#[Out]# 29    43   10  2018-08-27        12        0.50      Water
#[Out]# ..   ...  ...         ...       ...         ...        ...
#[Out]# 799   13   12  2018-08-22        14       11.20       Beef
#[Out]# 800   50   18  2018-08-18        24       11.35     Cheese
#[Out]# 801   42   12  2018-08-23        46       11.40       Beef
#[Out]# 802   57   12  2018-08-18        16       11.45       Beef
#[Out]# 803   11   18  2018-08-19         1       11.55     Cheese
#[Out]# 804   23   12  2018-08-26        17       11.65       Beef
#[Out]# 805   41   18  2018-08-19        15       11.75     Cheese
#[Out]# 806   32   18  2018-08-21        41       11.85     Cheese
#[Out]# 807   44   18  2018-08-22        14       12.00     Cheese
#[Out]# 808   38   12  2018-08-21        10       12.20       Beef
#[Out]# 809   17   12  2018-08-26        11       12.30       Beef
#[Out]# 810    7   12  2018-08-20        13       12.55       Beef
#[Out]# 811   54   12  2018-08-23         5       12.55       Beef
#[Out]# 812   27   12  2018-08-26         2       12.65       Beef
#[Out]# 813   23   12  2018-08-27        17       12.80       Beef
#[Out]# 814   50   12  2018-08-24        38       13.10       Beef
#[Out]# 815    8   12  2018-08-15        45       13.10       Beef
#[Out]# 816   58   12  2018-08-20        51       13.10       Beef
#[Out]# 817    9   12  2018-08-23         5       13.15       Beef
#[Out]# 818   41   12  2018-08-22        14       13.25       Beef
#[Out]# 819    5   12  2018-08-23        11       13.40       Beef
#[Out]# 820   53   12  2018-08-24         3       13.60       Beef
#[Out]# 821   42   12  2018-08-19        41       13.65       Beef
#[Out]# 822   29   12  2018-08-18         4       13.65       Beef
#[Out]# 823   27   12  2018-08-25         5       13.80       Beef
#[Out]# 824   53   12  2018-08-16         3       13.85       Beef
#[Out]# 825    0   12  2018-08-15         9       14.05       Beef
#[Out]# 826   12   12  2018-08-19        19       14.05       Beef
#[Out]# 827   25   12  2018-08-24        30       14.80       Beef
#[Out]# 828    8   12  2018-08-17        14       14.90       Beef
#[Out]# 
#[Out]# [829 rows x 6 columns]
query6 = '''
    SELECT *
    FROM product
    
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT *
    FROM product
    /*
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price*/
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID             pName suffix
#[Out]# 0     0       Cashew Nuts       
#[Out]# 1     1        Mixed Nuts       
#[Out]# 2     2          Potatoes       
#[Out]# 3     3      Green Pepper       
#[Out]# 4     4            Onions       
#[Out]# 5     5         Mushrooms       
#[Out]# 6     6           Carrots       
#[Out]# 7     7          Tomatoes       
#[Out]# 8     8  Hot Dog Sausages       
#[Out]# 9     9           Bananas       
#[Out]# 10   10             Water       
#[Out]# 11   11              Milk       
#[Out]# 12   12              Beef       
#[Out]# 13   13              Eggs       
#[Out]# 14   14            Apples       
#[Out]# 15   15         Cucumbers       
#[Out]# 16   16              Rice       
#[Out]# 17   17             Bread       
#[Out]# 18   18            Cheese       
#[Out]# 19   19              Coca       
#[Out]# 20   20             Fanta       
#[Out]# 21   21            Coffee       
#[Out]# 22   22               Tea       
#[Out]# 23   23   Spiced Biscuits       
#[Out]# 24   24           Oranges       
#[Out]# 25   25            Donuts       
#[Out]# 26   26             Pasta       
#[Out]# 27   27             Pizza       
#[Out]# 28   28           Lasanga       
#[Out]# 29   29            Salmon       
#[Out]# 30   30           Ketchup       
#[Out]# 31   31   French baguette       
query6 = '''
    SELECT DISTINCT pName
    FROM product
    /*
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price*/
'''

pd.read_sql_query(query6, conn)
#[Out]#                pName
#[Out]# 0        Cashew Nuts
#[Out]# 1         Mixed Nuts
#[Out]# 2           Potatoes
#[Out]# 3       Green Pepper
#[Out]# 4             Onions
#[Out]# 5          Mushrooms
#[Out]# 6            Carrots
#[Out]# 7           Tomatoes
#[Out]# 8   Hot Dog Sausages
#[Out]# 9            Bananas
#[Out]# 10             Water
#[Out]# 11              Milk
#[Out]# 12              Beef
#[Out]# 13              Eggs
#[Out]# 14            Apples
#[Out]# 15         Cucumbers
#[Out]# 16              Rice
#[Out]# 17             Bread
#[Out]# 18            Cheese
#[Out]# 19              Coca
#[Out]# 20             Fanta
#[Out]# 21            Coffee
#[Out]# 22               Tea
#[Out]# 23   Spiced Biscuits
#[Out]# 24           Oranges
#[Out]# 25            Donuts
#[Out]# 26             Pasta
#[Out]# 27             Pizza
#[Out]# 28           Lasanga
#[Out]# 29            Salmon
#[Out]# 30           Ketchup
#[Out]# 31   French baguette
query6 = '''
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price      pName
#[Out]# 0     28   10  2018-08-16        15        0.40      Water
#[Out]# 1     34   10  2018-08-22        31        0.40      Water
#[Out]# 2     40    5  2018-08-24        52        0.40  Mushrooms
#[Out]# 3     12    5  2018-08-27        17        0.40  Mushrooms
#[Out]# 4     28   10  2018-08-25         7        0.40      Water
#[Out]# 5     25    5  2018-08-20         5        0.40  Mushrooms
#[Out]# 6     30    5  2018-08-22         5        0.40  Mushrooms
#[Out]# 7     32    5  2018-08-19        20        0.40  Mushrooms
#[Out]# 8      4    5  2018-08-15        48        0.45  Mushrooms
#[Out]# 9      1   10  2018-08-17        29        0.45      Water
#[Out]# 10    41    5  2018-08-24        15        0.45  Mushrooms
#[Out]# 11    30    5  2018-08-20         4        0.45  Mushrooms
#[Out]# 12    34   10  2018-08-23         8        0.45      Water
#[Out]# 13    17    5  2018-08-18        33        0.45  Mushrooms
#[Out]# 14    53   10  2018-08-24        32        0.45      Water
#[Out]# 15     3   10  2018-08-21        13        0.45      Water
#[Out]# 16    27   10  2018-08-27        19        0.45      Water
#[Out]# 17     1    5  2018-08-23         2        0.45  Mushrooms
#[Out]# 18    24    5  2018-08-20        13        0.45  Mushrooms
#[Out]# 19    45   10  2018-08-24        11        0.45      Water
#[Out]# 20    45   10  2018-08-22        21        0.45      Water
#[Out]# 21     8   10  2018-08-27        26        0.50      Water
#[Out]# 22    38   10  2018-08-27        33        0.50      Water
#[Out]# 23    45   10  2018-08-26        54        0.50      Water
#[Out]# 24    57    5  2018-08-15        48        0.50  Mushrooms
#[Out]# 25    56   10  2018-08-22        53        0.50      Water
#[Out]# 26     1    5  2018-08-21        49        0.50  Mushrooms
#[Out]# 27    15    5  2018-08-19        30        0.50  Mushrooms
#[Out]# 28     8    5  2018-08-26         8        0.50  Mushrooms
#[Out]# 29    43   10  2018-08-27        12        0.50      Water
#[Out]# ..   ...  ...         ...       ...         ...        ...
#[Out]# 799   13   12  2018-08-22        14       11.20       Beef
#[Out]# 800   50   18  2018-08-18        24       11.35     Cheese
#[Out]# 801   42   12  2018-08-23        46       11.40       Beef
#[Out]# 802   57   12  2018-08-18        16       11.45       Beef
#[Out]# 803   11   18  2018-08-19         1       11.55     Cheese
#[Out]# 804   23   12  2018-08-26        17       11.65       Beef
#[Out]# 805   41   18  2018-08-19        15       11.75     Cheese
#[Out]# 806   32   18  2018-08-21        41       11.85     Cheese
#[Out]# 807   44   18  2018-08-22        14       12.00     Cheese
#[Out]# 808   38   12  2018-08-21        10       12.20       Beef
#[Out]# 809   17   12  2018-08-26        11       12.30       Beef
#[Out]# 810    7   12  2018-08-20        13       12.55       Beef
#[Out]# 811   54   12  2018-08-23         5       12.55       Beef
#[Out]# 812   27   12  2018-08-26         2       12.65       Beef
#[Out]# 813   23   12  2018-08-27        17       12.80       Beef
#[Out]# 814   50   12  2018-08-24        38       13.10       Beef
#[Out]# 815    8   12  2018-08-15        45       13.10       Beef
#[Out]# 816   58   12  2018-08-20        51       13.10       Beef
#[Out]# 817    9   12  2018-08-23         5       13.15       Beef
#[Out]# 818   41   12  2018-08-22        14       13.25       Beef
#[Out]# 819    5   12  2018-08-23        11       13.40       Beef
#[Out]# 820   53   12  2018-08-24         3       13.60       Beef
#[Out]# 821   42   12  2018-08-19        41       13.65       Beef
#[Out]# 822   29   12  2018-08-18         4       13.65       Beef
#[Out]# 823   27   12  2018-08-25         5       13.80       Beef
#[Out]# 824   53   12  2018-08-16         3       13.85       Beef
#[Out]# 825    0   12  2018-08-15         9       14.05       Beef
#[Out]# 826   12   12  2018-08-19        19       14.05       Beef
#[Out]# 827   25   12  2018-08-24        30       14.80       Beef
#[Out]# 828    8   12  2018-08-17        14       14.90       Beef
#[Out]# 
#[Out]# [829 rows x 6 columns]
query6 = '''
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    ORDER BY i.unit_price
    GROUP BY pName
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    GROUP BY pName
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price             pName
#[Out]# 0    25   14  2018-08-24         3        3.70            Apples
#[Out]# 1    46    9  2018-08-24         1        1.80           Bananas
#[Out]# 2     9   12  2018-08-23         5       13.15              Beef
#[Out]# 3    57   17  2018-08-24         4        2.40             Bread
#[Out]# 4    57    6  2018-08-22         9        1.15           Carrots
#[Out]# 5     0    0  2018-07-18        15        5.95       Cashew Nuts
#[Out]# 6    45   18  2018-08-21         5        9.20            Cheese
#[Out]# 7    60   19  2018-07-10       525        1.75              Coca
#[Out]# 8    27   21  2018-08-27         1        2.00            Coffee
#[Out]# 9    39   15  2018-08-18        10        1.00         Cucumbers
#[Out]# 10   17   25  2018-08-27        14        3.90            Donuts
#[Out]# 11    4   13  2018-08-23        23        4.20              Eggs
#[Out]# 12   38   20  2018-08-27         7        2.20             Fanta
#[Out]# 13    5    3  2018-08-28        13        1.30      Green Pepper
#[Out]# 14   25    8  2018-08-23         6        5.55  Hot Dog Sausages
#[Out]# 15   27   28  2018-08-19        14        8.10           Lasanga
#[Out]# 16   24   11  2018-08-24         1        0.85              Milk
#[Out]# 17   43    1  2018-08-17         9        6.55        Mixed Nuts
#[Out]# 18    6    5  2018-08-26         6        0.50         Mushrooms
#[Out]# 19   52    4  2018-08-22         6        0.90            Onions
#[Out]# 20   12   24  2018-08-25        19        3.85           Oranges
#[Out]# 21    6   26  2018-08-24        13        2.70             Pasta
#[Out]# 22   43   27  2018-08-22        15        9.00             Pizza
#[Out]# 23   57    2  2018-08-18         2        2.30          Potatoes
#[Out]# 24   35   16  2018-08-22         8        1.85              Rice
#[Out]# 25    8   23  2018-08-19        22        2.00   Spiced Biscuits
#[Out]# 26   40   22  2018-08-16        18        2.05               Tea
#[Out]# 27   56    7  2018-08-20         1        2.10          Tomatoes
#[Out]# 28   27   10  2018-08-20         7        0.55             Water
query6 = '''
    SELECT sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    GROUP BY pName
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price             pName
#[Out]# 0     6    5  2018-08-26         6        0.50         Mushrooms
#[Out]# 1    27   10  2018-08-20         7        0.55             Water
#[Out]# 2    24   11  2018-08-24         1        0.85              Milk
#[Out]# 3    52    4  2018-08-22         6        0.90            Onions
#[Out]# 4    39   15  2018-08-18        10        1.00         Cucumbers
#[Out]# 5    57    6  2018-08-22         9        1.15           Carrots
#[Out]# 6     5    3  2018-08-28        13        1.30      Green Pepper
#[Out]# 7    60   19  2018-07-10       525        1.75              Coca
#[Out]# 8    46    9  2018-08-24         1        1.80           Bananas
#[Out]# 9    35   16  2018-08-22         8        1.85              Rice
#[Out]# 10   27   21  2018-08-27         1        2.00            Coffee
#[Out]# 11    8   23  2018-08-19        22        2.00   Spiced Biscuits
#[Out]# 12   40   22  2018-08-16        18        2.05               Tea
#[Out]# 13   56    7  2018-08-20         1        2.10          Tomatoes
#[Out]# 14   38   20  2018-08-27         7        2.20             Fanta
#[Out]# 15   57    2  2018-08-18         2        2.30          Potatoes
#[Out]# 16   57   17  2018-08-24         4        2.40             Bread
#[Out]# 17    6   26  2018-08-24        13        2.70             Pasta
#[Out]# 18   25   14  2018-08-24         3        3.70            Apples
#[Out]# 19   12   24  2018-08-25        19        3.85           Oranges
#[Out]# 20   17   25  2018-08-27        14        3.90            Donuts
#[Out]# 21    4   13  2018-08-23        23        4.20              Eggs
#[Out]# 22   25    8  2018-08-23         6        5.55  Hot Dog Sausages
#[Out]# 23    0    0  2018-07-18        15        5.95       Cashew Nuts
#[Out]# 24   43    1  2018-08-17         9        6.55        Mixed Nuts
#[Out]# 25   27   28  2018-08-19        14        8.10           Lasanga
#[Out]# 26   43   27  2018-08-22        15        9.00             Pizza
#[Out]# 27   45   18  2018-08-21         5        9.20            Cheese
#[Out]# 28    9   12  2018-08-23         5       13.15              Beef
query6 = '''
    SELECT MAX(unit_price) maxPrice, sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    
    GROUP BY pName
    ORDER BY i.unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#     maxPrice  sID  pID        date  quantity  unit_price             pName
#[Out]# 0       0.60    9    5  2018-08-15         1        0.60         Mushrooms
#[Out]# 1       0.60   55   10  2018-08-26        17        0.60             Water
#[Out]# 2       1.20   53    6  2018-08-16         3        1.20           Carrots
#[Out]# 3       1.20    8   11  2018-08-15        37        1.20              Milk
#[Out]# 4       1.20   19    4  2018-08-23        53        1.20            Onions
#[Out]# 5       1.40   23   15  2018-08-20        26        1.40         Cucumbers
#[Out]# 6       1.80   46    9  2018-08-24         1        1.80           Bananas
#[Out]# 7       1.80    4    3  2018-08-26         5        1.80      Green Pepper
#[Out]# 8       2.10    4   16  2018-08-15        52        2.10              Rice
#[Out]# 9       2.15   59   22  2018-08-24        30        2.15               Tea
#[Out]# 10      2.35   14   21  2018-08-24         1        2.35            Coffee
#[Out]# 11      2.35   32    2  2018-08-15        22        2.35          Potatoes
#[Out]# 12      2.40   17    7  2018-08-16        53        2.40          Tomatoes
#[Out]# 13      2.60    9   17  2018-08-25        12        2.60             Bread
#[Out]# 14      2.60   44   23  2018-08-19        27        2.60   Spiced Biscuits
#[Out]# 15      2.75    3   20  2018-08-18        54        2.75             Fanta
#[Out]# 16      3.00   27   19  2018-08-25        18        3.00              Coca
#[Out]# 17      3.55   52   26  2018-08-27         5        3.55             Pasta
#[Out]# 18      4.20    4   13  2018-08-22        11        4.20              Eggs
#[Out]# 19      4.20   31   24  2018-08-25        18        4.20           Oranges
#[Out]# 20      4.70   37   25  2018-08-17         3        4.70            Donuts
#[Out]# 21      4.75    9   14  2018-08-16        15        4.75            Apples
#[Out]# 22      5.70   33    8  2018-08-19        46        5.70  Hot Dog Sausages
#[Out]# 23      5.95    0    0  2018-07-18        15        5.95       Cashew Nuts
#[Out]# 24      6.55   48    1  2018-08-25         9        6.55        Mixed Nuts
#[Out]# 25      9.45   58   27  2018-08-16        54        9.45             Pizza
#[Out]# 26     10.05    9   28  2018-08-19        25       10.05           Lasanga
#[Out]# 27     12.00   44   18  2018-08-22        14       12.00            Cheese
#[Out]# 28     14.90    8   12  2018-08-17        14       14.90              Beef
query6 = '''
    SELECT MAX(unit_price) maxPrice, sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    
    GROUP BY pName
'''

pd.read_sql_query(query6, conn)
#[Out]#     maxPrice  sID  pID        date  quantity  unit_price             pName
#[Out]# 0       4.75    9   14  2018-08-16        15        4.75            Apples
#[Out]# 1       1.80   46    9  2018-08-24         1        1.80           Bananas
#[Out]# 2      14.90    8   12  2018-08-17        14       14.90              Beef
#[Out]# 3       2.60    9   17  2018-08-25        12        2.60             Bread
#[Out]# 4       1.20   53    6  2018-08-16         3        1.20           Carrots
#[Out]# 5       5.95    0    0  2018-07-18        15        5.95       Cashew Nuts
#[Out]# 6      12.00   44   18  2018-08-22        14       12.00            Cheese
#[Out]# 7       3.00   27   19  2018-08-25        18        3.00              Coca
#[Out]# 8       2.35   14   21  2018-08-24         1        2.35            Coffee
#[Out]# 9       1.40   23   15  2018-08-20        26        1.40         Cucumbers
#[Out]# 10      4.70   37   25  2018-08-17         3        4.70            Donuts
#[Out]# 11      4.20    4   13  2018-08-22        11        4.20              Eggs
#[Out]# 12      2.75    3   20  2018-08-18        54        2.75             Fanta
#[Out]# 13      1.80    4    3  2018-08-26         5        1.80      Green Pepper
#[Out]# 14      5.70   33    8  2018-08-19        46        5.70  Hot Dog Sausages
#[Out]# 15     10.05    9   28  2018-08-19        25       10.05           Lasanga
#[Out]# 16      1.20    8   11  2018-08-15        37        1.20              Milk
#[Out]# 17      6.55   48    1  2018-08-25         9        6.55        Mixed Nuts
#[Out]# 18      0.60    9    5  2018-08-15         1        0.60         Mushrooms
#[Out]# 19      1.20   19    4  2018-08-23        53        1.20            Onions
#[Out]# 20      4.20   31   24  2018-08-25        18        4.20           Oranges
#[Out]# 21      3.55   52   26  2018-08-27         5        3.55             Pasta
#[Out]# 22      9.45   58   27  2018-08-16        54        9.45             Pizza
#[Out]# 23      2.35   32    2  2018-08-15        22        2.35          Potatoes
#[Out]# 24      2.10    4   16  2018-08-15        52        2.10              Rice
#[Out]# 25      2.60   44   23  2018-08-19        27        2.60   Spiced Biscuits
#[Out]# 26      2.15   59   22  2018-08-24        30        2.15               Tea
#[Out]# 27      2.40   17    7  2018-08-16        53        2.40          Tomatoes
#[Out]# 28      0.60   55   10  2018-08-26        17        0.60             Water
query6 = '''
    SELECT MAX(unit_price) maxPrice, sID, i.pID, date, quantity, unit_price, pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    maxPrice  sID  pID        date  quantity  unit_price pName
#[Out]# 0      14.9    8   12  2018-08-17        14        14.9  Beef
query6 = '''
    SELECT
        i.sID,
        i.pID,
        p.date,
        i.quantity,
        i.unit_price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price             pName
#[Out]# 0     55   10  2018-08-26        17        0.60             Water
#[Out]# 1     25   12  2018-08-24        30       14.80              Beef
#[Out]# 2     15    6  2018-08-26        13        1.15           Carrots
#[Out]# 3      6   27  2018-08-19        51        7.30             Pizza
#[Out]# 4     57    2  2018-08-22        24        2.05          Potatoes
#[Out]# 5     33    8  2018-08-19        46        5.70  Hot Dog Sausages
#[Out]# 6     51   10  2018-08-23        31        0.60             Water
#[Out]# 7     50   21  2018-08-22        32        1.90            Coffee
#[Out]# 8      0   13  2018-08-25        13        3.05              Eggs
#[Out]# 9     36    8  2018-08-27        11        5.05  Hot Dog Sausages
#[Out]# 10    36   23  2018-08-18        35        2.20   Spiced Biscuits
#[Out]# 11    54   10  2018-08-24        16        0.55             Water
#[Out]# 12    59    1  2018-08-26        36        6.20        Mixed Nuts
#[Out]# 13     9   19  2018-08-22        28        2.50              Coca
#[Out]# 14    33    7  2018-08-26         5        1.60          Tomatoes
#[Out]# 15    35   10  2018-08-21        51        0.55             Water
#[Out]# 16     0   21  2018-08-15         0        2.20            Coffee
#[Out]# 17    31   14  2018-08-17        10        4.50            Apples
#[Out]# 18    19   14  2018-08-20        42        4.70            Apples
#[Out]# 19    33   20  2018-08-21        51        2.15             Fanta
#[Out]# 20    17   24  2018-08-16        44        2.85           Oranges
#[Out]# 21     4   27  2018-08-18        27        9.00             Pizza
#[Out]# 22     3   25  2018-08-27        24        4.60            Donuts
#[Out]# 23    22   15  2018-08-20         4        1.30         Cucumbers
#[Out]# 24    52   14  2018-08-18        44        4.25            Apples
#[Out]# 25    24   26  2018-08-25        18        2.90             Pasta
#[Out]# 26     7   12  2018-08-20        13       12.55              Beef
#[Out]# 27    32   18  2018-08-21        41       11.85            Cheese
#[Out]# 28    48   24  2018-08-19        10        3.20           Oranges
#[Out]# 29    54    8  2018-08-17         3        5.55  Hot Dog Sausages
#[Out]# ..   ...  ...         ...       ...         ...               ...
#[Out]# 799   35    0  2018-08-25         1        4.35       Cashew Nuts
#[Out]# 800   19   11  2018-08-25         9        0.90              Milk
#[Out]# 801    4   21  2018-08-25         9        2.15            Coffee
#[Out]# 802    6    5  2018-08-26         6        0.50         Mushrooms
#[Out]# 803   47   18  2018-08-20        12        8.85            Cheese
#[Out]# 804   38   17  2018-08-20        10        2.30             Bread
#[Out]# 805   11    3  2018-08-21        15        1.30      Green Pepper
#[Out]# 806   34   26  2018-08-21        14        3.40             Pasta
#[Out]# 807   34   25  2018-08-27        17        3.60            Donuts
#[Out]# 808   25   14  2018-08-24         3        3.70            Apples
#[Out]# 809   24   11  2018-08-24         1        0.85              Milk
#[Out]# 810   57   17  2018-08-24         4        2.40             Bread
#[Out]# 811   43   27  2018-08-22        15        9.00             Pizza
#[Out]# 812   35   16  2018-08-22         8        1.85              Rice
#[Out]# 813   45   10  2018-08-22        21        0.45             Water
#[Out]# 814   34   26  2018-08-26         9        3.10             Pasta
#[Out]# 815   34   13  2018-08-26         3        4.05              Eggs
#[Out]# 816   56   10  2018-08-27         1        0.60             Water
#[Out]# 817    6   26  2018-08-24        13        2.70             Pasta
#[Out]# 818   45    6  2018-08-24         9        0.90           Carrots
#[Out]# 819   27   21  2018-08-27         1        2.00            Coffee
#[Out]# 820   17   25  2018-08-27        14        3.90            Donuts
#[Out]# 821    5   18  2018-08-28         1        9.70            Cheese
#[Out]# 822    5    3  2018-08-28        13        1.30      Green Pepper
#[Out]# 823    4   13  2018-08-23        23        4.20              Eggs
#[Out]# 824   27   10  2018-08-20         7        0.55             Water
#[Out]# 825   45   18  2018-08-21         5        9.20            Cheese
#[Out]# 826   57    6  2018-08-22         9        1.15           Carrots
#[Out]# 827   60   19  2018-07-10       525        1.75              Coca
#[Out]# 828    0    0  2018-07-18        15        5.95       Cashew Nuts
#[Out]# 
#[Out]# [829 rows x 6 columns]
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price             pName
#[Out]# 0    51   10  2018-08-23        31        0.60             Water
#[Out]# 1    57   19  2018-08-23        12        2.95              Coca
#[Out]# 2    38   23  2018-08-23        29        1.80   Spiced Biscuits
#[Out]# 3    35   13  2018-08-23        28        4.15              Eggs
#[Out]# 4    45   13  2018-08-23        32        4.10              Eggs
#[Out]# 5     5   17  2018-08-23        34        2.45             Bread
#[Out]# 6    13   15  2018-08-23        11        1.25         Cucumbers
#[Out]# 7    50   10  2018-08-23        54        0.55             Water
#[Out]# 8     7    1  2018-08-23        18        5.80        Mixed Nuts
#[Out]# 9     2   11  2018-08-23        21        1.00              Milk
#[Out]# 10   28   27  2018-08-23        43        8.50             Pizza
#[Out]# 11   35   25  2018-08-23        36        4.00            Donuts
#[Out]# 12   41    1  2018-08-23        53        4.60        Mixed Nuts
#[Out]# 13   56   25  2018-08-23        19        4.35            Donuts
#[Out]# 14   45    4  2018-08-23        50        1.00            Onions
#[Out]# 15   19    4  2018-08-23        53        1.20            Onions
#[Out]# 16   29   17  2018-08-23         4        1.95             Bread
#[Out]# 17   11    2  2018-08-23        22        2.10          Potatoes
#[Out]# 18   32   28  2018-08-23        36        6.85           Lasanga
#[Out]# 19    6    0  2018-08-23        37        4.35       Cashew Nuts
#[Out]# 20   33   11  2018-08-23        32        1.05              Milk
#[Out]# 21   35   27  2018-08-23        54        8.85             Pizza
#[Out]# 22   34   10  2018-08-23         8        0.45             Water
#[Out]# 23   42   12  2018-08-23        46       11.40              Beef
#[Out]# 24   41   14  2018-08-23         3        3.35            Apples
#[Out]# 25   33   19  2018-08-23        32        2.25              Coca
#[Out]# 26   30   22  2018-08-23        29        2.05               Tea
#[Out]# 27   50   22  2018-08-23         5        1.95               Tea
#[Out]# 28   29    0  2018-08-23        28        5.15       Cashew Nuts
#[Out]# 29   47    7  2018-08-23        27        1.85          Tomatoes
#[Out]# ..  ...  ...         ...       ...         ...               ...
#[Out]# 38   11   16  2018-08-23         3        1.90              Rice
#[Out]# 39   21   23  2018-08-23        20        2.10   Spiced Biscuits
#[Out]# 40   43    7  2018-08-23        20        1.95          Tomatoes
#[Out]# 41   40   14  2018-08-23         3        4.10            Apples
#[Out]# 42    3    3  2018-08-23        17        1.35      Green Pepper
#[Out]# 43   16   22  2018-08-23        14        1.60               Tea
#[Out]# 44   50   14  2018-08-23        19        3.85            Apples
#[Out]# 45   40   27  2018-08-23        17        6.90             Pizza
#[Out]# 46   33    8  2018-08-23        16        4.80  Hot Dog Sausages
#[Out]# 47   44   19  2018-08-23         4        2.65              Coca
#[Out]# 48   12   15  2018-08-23         1        1.25         Cucumbers
#[Out]# 49   11   14  2018-08-23        12        3.20            Apples
#[Out]# 50    5   16  2018-08-23         4        1.65              Rice
#[Out]# 51    1    5  2018-08-23         2        0.45         Mushrooms
#[Out]# 52   52   28  2018-08-23         8        7.35           Lasanga
#[Out]# 53    5   12  2018-08-23        11       13.40              Beef
#[Out]# 54   12   13  2018-08-23        15        3.55              Eggs
#[Out]# 55   35   11  2018-08-23        15        1.20              Milk
#[Out]# 56   55    1  2018-08-23         1        4.80        Mixed Nuts
#[Out]# 57   54   12  2018-08-23         5       12.55              Beef
#[Out]# 58   11   15  2018-08-23        14        1.30         Cucumbers
#[Out]# 59   35    7  2018-08-23         7        2.20          Tomatoes
#[Out]# 60    6   15  2018-08-23         4        1.00         Cucumbers
#[Out]# 61   37   28  2018-08-23        19        7.75           Lasanga
#[Out]# 62   25    8  2018-08-23         6        5.55  Hot Dog Sausages
#[Out]# 63    9   12  2018-08-23         5       13.15              Beef
#[Out]# 64   38   24  2018-08-23        10        3.55           Oranges
#[Out]# 65   56    1  2018-08-23         1        4.40        Mixed Nuts
#[Out]# 66   48    6  2018-08-23        21        1.15           Carrots
#[Out]# 67    4   13  2018-08-23        23        4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price, 
        p.pName,
        MAX(unit_price) maxPrice
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  pID        date  quantity  unit_price pName  maxPrice
#[Out]# 0    5   12  2018-08-23        11        13.4  Beef      13.4
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price             pName
#[Out]# 0    51   10  2018-08-23        31        0.60             Water
#[Out]# 1    57   19  2018-08-23        12        2.95              Coca
#[Out]# 2    38   23  2018-08-23        29        1.80   Spiced Biscuits
#[Out]# 3    35   13  2018-08-23        28        4.15              Eggs
#[Out]# 4    45   13  2018-08-23        32        4.10              Eggs
#[Out]# 5     5   17  2018-08-23        34        2.45             Bread
#[Out]# 6    13   15  2018-08-23        11        1.25         Cucumbers
#[Out]# 7    50   10  2018-08-23        54        0.55             Water
#[Out]# 8     7    1  2018-08-23        18        5.80        Mixed Nuts
#[Out]# 9     2   11  2018-08-23        21        1.00              Milk
#[Out]# 10   28   27  2018-08-23        43        8.50             Pizza
#[Out]# 11   35   25  2018-08-23        36        4.00            Donuts
#[Out]# 12   41    1  2018-08-23        53        4.60        Mixed Nuts
#[Out]# 13   56   25  2018-08-23        19        4.35            Donuts
#[Out]# 14   45    4  2018-08-23        50        1.00            Onions
#[Out]# 15   19    4  2018-08-23        53        1.20            Onions
#[Out]# 16   29   17  2018-08-23         4        1.95             Bread
#[Out]# 17   11    2  2018-08-23        22        2.10          Potatoes
#[Out]# 18   32   28  2018-08-23        36        6.85           Lasanga
#[Out]# 19    6    0  2018-08-23        37        4.35       Cashew Nuts
#[Out]# 20   33   11  2018-08-23        32        1.05              Milk
#[Out]# 21   35   27  2018-08-23        54        8.85             Pizza
#[Out]# 22   34   10  2018-08-23         8        0.45             Water
#[Out]# 23   42   12  2018-08-23        46       11.40              Beef
#[Out]# 24   41   14  2018-08-23         3        3.35            Apples
#[Out]# 25   33   19  2018-08-23        32        2.25              Coca
#[Out]# 26   30   22  2018-08-23        29        2.05               Tea
#[Out]# 27   50   22  2018-08-23         5        1.95               Tea
#[Out]# 28   29    0  2018-08-23        28        5.15       Cashew Nuts
#[Out]# 29   47    7  2018-08-23        27        1.85          Tomatoes
#[Out]# ..  ...  ...         ...       ...         ...               ...
#[Out]# 38   11   16  2018-08-23         3        1.90              Rice
#[Out]# 39   21   23  2018-08-23        20        2.10   Spiced Biscuits
#[Out]# 40   43    7  2018-08-23        20        1.95          Tomatoes
#[Out]# 41   40   14  2018-08-23         3        4.10            Apples
#[Out]# 42    3    3  2018-08-23        17        1.35      Green Pepper
#[Out]# 43   16   22  2018-08-23        14        1.60               Tea
#[Out]# 44   50   14  2018-08-23        19        3.85            Apples
#[Out]# 45   40   27  2018-08-23        17        6.90             Pizza
#[Out]# 46   33    8  2018-08-23        16        4.80  Hot Dog Sausages
#[Out]# 47   44   19  2018-08-23         4        2.65              Coca
#[Out]# 48   12   15  2018-08-23         1        1.25         Cucumbers
#[Out]# 49   11   14  2018-08-23        12        3.20            Apples
#[Out]# 50    5   16  2018-08-23         4        1.65              Rice
#[Out]# 51    1    5  2018-08-23         2        0.45         Mushrooms
#[Out]# 52   52   28  2018-08-23         8        7.35           Lasanga
#[Out]# 53    5   12  2018-08-23        11       13.40              Beef
#[Out]# 54   12   13  2018-08-23        15        3.55              Eggs
#[Out]# 55   35   11  2018-08-23        15        1.20              Milk
#[Out]# 56   55    1  2018-08-23         1        4.80        Mixed Nuts
#[Out]# 57   54   12  2018-08-23         5       12.55              Beef
#[Out]# 58   11   15  2018-08-23        14        1.30         Cucumbers
#[Out]# 59   35    7  2018-08-23         7        2.20          Tomatoes
#[Out]# 60    6   15  2018-08-23         4        1.00         Cucumbers
#[Out]# 61   37   28  2018-08-23        19        7.75           Lasanga
#[Out]# 62   25    8  2018-08-23         6        5.55  Hot Dog Sausages
#[Out]# 63    9   12  2018-08-23         5       13.15              Beef
#[Out]# 64   38   24  2018-08-23        10        3.55           Oranges
#[Out]# 65   56    1  2018-08-23         1        4.40        Mixed Nuts
#[Out]# 66   48    6  2018-08-23        21        1.15           Carrots
#[Out]# 67    4   13  2018-08-23        23        4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price AS price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY pName, price
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  price            pName
#[Out]# 0    11   14  2018-08-23        12   3.20           Apples
#[Out]# 1    41   14  2018-08-23         3   3.35           Apples
#[Out]# 2    50   14  2018-08-23        19   3.85           Apples
#[Out]# 3    40   14  2018-08-23         3   4.10           Apples
#[Out]# 4    42   12  2018-08-23        46  11.40             Beef
#[Out]# 5    54   12  2018-08-23         5  12.55             Beef
#[Out]# 6     9   12  2018-08-23         5  13.15             Beef
#[Out]# 7     5   12  2018-08-23        11  13.40             Beef
#[Out]# 8    29   17  2018-08-23         4   1.95            Bread
#[Out]# 9     5   17  2018-08-23        34   2.45            Bread
#[Out]# 10   48    6  2018-08-23        21   1.15          Carrots
#[Out]# 11    6    0  2018-08-23        37   4.35      Cashew Nuts
#[Out]# 12   31    0  2018-08-23        25   4.60      Cashew Nuts
#[Out]# 13   29    0  2018-08-23        28   5.15      Cashew Nuts
#[Out]# 14    3   19  2018-08-23        11   2.10             Coca
#[Out]# 15   17   19  2018-08-23        10   2.20             Coca
#[Out]# 16   33   19  2018-08-23        32   2.25             Coca
#[Out]# 17   44   19  2018-08-23         4   2.65             Coca
#[Out]# 18   57   19  2018-08-23        12   2.95             Coca
#[Out]# 19    6   15  2018-08-23         4   1.00        Cucumbers
#[Out]# 20   13   15  2018-08-23        11   1.25        Cucumbers
#[Out]# 21   12   15  2018-08-23         1   1.25        Cucumbers
#[Out]# 22   11   15  2018-08-23        14   1.30        Cucumbers
#[Out]# 23   35   25  2018-08-23        36   4.00           Donuts
#[Out]# 24   56   25  2018-08-23        19   4.35           Donuts
#[Out]# 25   12   13  2018-08-23        15   3.55             Eggs
#[Out]# 26   45   13  2018-08-23        32   4.10             Eggs
#[Out]# 27   35   13  2018-08-23        28   4.15             Eggs
#[Out]# 28    4   13  2018-08-23        23   4.20             Eggs
#[Out]# 29    3    3  2018-08-23        17   1.35     Green Pepper
#[Out]# ..  ...  ...         ...       ...    ...              ...
#[Out]# 38   56    1  2018-08-23         1   4.40       Mixed Nuts
#[Out]# 39   41    1  2018-08-23        53   4.60       Mixed Nuts
#[Out]# 40   55    1  2018-08-23         1   4.80       Mixed Nuts
#[Out]# 41    7    1  2018-08-23        18   5.80       Mixed Nuts
#[Out]# 42    1    5  2018-08-23         2   0.45        Mushrooms
#[Out]# 43   45    4  2018-08-23        50   1.00           Onions
#[Out]# 44   19    4  2018-08-23        53   1.20           Onions
#[Out]# 45   38   24  2018-08-23        10   3.55          Oranges
#[Out]# 46    5   24  2018-08-23        32   4.10          Oranges
#[Out]# 47   40   27  2018-08-23        17   6.90            Pizza
#[Out]# 48   28   27  2018-08-23        43   8.50            Pizza
#[Out]# 49   35   27  2018-08-23        54   8.85            Pizza
#[Out]# 50   12    2  2018-08-23         3   1.70         Potatoes
#[Out]# 51   11    2  2018-08-23        22   2.10         Potatoes
#[Out]# 52    5   16  2018-08-23         4   1.65             Rice
#[Out]# 53    6   16  2018-08-23        14   1.85             Rice
#[Out]# 54   11   16  2018-08-23         3   1.90             Rice
#[Out]# 55    2   16  2018-08-23         0   2.00             Rice
#[Out]# 56   38   23  2018-08-23        29   1.80  Spiced Biscuits
#[Out]# 57   21   23  2018-08-23        20   2.10  Spiced Biscuits
#[Out]# 58   51   22  2018-08-23        13   1.55              Tea
#[Out]# 59   16   22  2018-08-23        14   1.60              Tea
#[Out]# 60   50   22  2018-08-23         5   1.95              Tea
#[Out]# 61   30   22  2018-08-23        29   2.05              Tea
#[Out]# 62   47    7  2018-08-23        27   1.85         Tomatoes
#[Out]# 63   43    7  2018-08-23        20   1.95         Tomatoes
#[Out]# 64   35    7  2018-08-23         7   2.20         Tomatoes
#[Out]# 65   34   10  2018-08-23         8   0.45            Water
#[Out]# 66   50   10  2018-08-23        54   0.55            Water
#[Out]# 67   51   10  2018-08-23        31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    SELECT
        i.sID,
        i.pID,
        i.date,
        i.quantity,
        i.unit_price AS price, 
        p.pName
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY pName, sID, price
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  price            pName
#[Out]# 0    11   14  2018-08-23        12   3.20           Apples
#[Out]# 1    40   14  2018-08-23         3   4.10           Apples
#[Out]# 2    41   14  2018-08-23         3   3.35           Apples
#[Out]# 3    50   14  2018-08-23        19   3.85           Apples
#[Out]# 4     5   12  2018-08-23        11  13.40             Beef
#[Out]# 5     9   12  2018-08-23         5  13.15             Beef
#[Out]# 6    42   12  2018-08-23        46  11.40             Beef
#[Out]# 7    54   12  2018-08-23         5  12.55             Beef
#[Out]# 8     5   17  2018-08-23        34   2.45            Bread
#[Out]# 9    29   17  2018-08-23         4   1.95            Bread
#[Out]# 10   48    6  2018-08-23        21   1.15          Carrots
#[Out]# 11    6    0  2018-08-23        37   4.35      Cashew Nuts
#[Out]# 12   29    0  2018-08-23        28   5.15      Cashew Nuts
#[Out]# 13   31    0  2018-08-23        25   4.60      Cashew Nuts
#[Out]# 14    3   19  2018-08-23        11   2.10             Coca
#[Out]# 15   17   19  2018-08-23        10   2.20             Coca
#[Out]# 16   33   19  2018-08-23        32   2.25             Coca
#[Out]# 17   44   19  2018-08-23         4   2.65             Coca
#[Out]# 18   57   19  2018-08-23        12   2.95             Coca
#[Out]# 19    6   15  2018-08-23         4   1.00        Cucumbers
#[Out]# 20   11   15  2018-08-23        14   1.30        Cucumbers
#[Out]# 21   12   15  2018-08-23         1   1.25        Cucumbers
#[Out]# 22   13   15  2018-08-23        11   1.25        Cucumbers
#[Out]# 23   35   25  2018-08-23        36   4.00           Donuts
#[Out]# 24   56   25  2018-08-23        19   4.35           Donuts
#[Out]# 25    4   13  2018-08-23        23   4.20             Eggs
#[Out]# 26   12   13  2018-08-23        15   3.55             Eggs
#[Out]# 27   35   13  2018-08-23        28   4.15             Eggs
#[Out]# 28   45   13  2018-08-23        32   4.10             Eggs
#[Out]# 29    3    3  2018-08-23        17   1.35     Green Pepper
#[Out]# ..  ...  ...         ...       ...    ...              ...
#[Out]# 38    7    1  2018-08-23        18   5.80       Mixed Nuts
#[Out]# 39   41    1  2018-08-23        53   4.60       Mixed Nuts
#[Out]# 40   55    1  2018-08-23         1   4.80       Mixed Nuts
#[Out]# 41   56    1  2018-08-23         1   4.40       Mixed Nuts
#[Out]# 42    1    5  2018-08-23         2   0.45        Mushrooms
#[Out]# 43   19    4  2018-08-23        53   1.20           Onions
#[Out]# 44   45    4  2018-08-23        50   1.00           Onions
#[Out]# 45    5   24  2018-08-23        32   4.10          Oranges
#[Out]# 46   38   24  2018-08-23        10   3.55          Oranges
#[Out]# 47   28   27  2018-08-23        43   8.50            Pizza
#[Out]# 48   35   27  2018-08-23        54   8.85            Pizza
#[Out]# 49   40   27  2018-08-23        17   6.90            Pizza
#[Out]# 50   11    2  2018-08-23        22   2.10         Potatoes
#[Out]# 51   12    2  2018-08-23         3   1.70         Potatoes
#[Out]# 52    2   16  2018-08-23         0   2.00             Rice
#[Out]# 53    5   16  2018-08-23         4   1.65             Rice
#[Out]# 54    6   16  2018-08-23        14   1.85             Rice
#[Out]# 55   11   16  2018-08-23         3   1.90             Rice
#[Out]# 56   21   23  2018-08-23        20   2.10  Spiced Biscuits
#[Out]# 57   38   23  2018-08-23        29   1.80  Spiced Biscuits
#[Out]# 58   16   22  2018-08-23        14   1.60              Tea
#[Out]# 59   30   22  2018-08-23        29   2.05              Tea
#[Out]# 60   50   22  2018-08-23         5   1.95              Tea
#[Out]# 61   51   22  2018-08-23        13   1.55              Tea
#[Out]# 62   35    7  2018-08-23         7   2.20         Tomatoes
#[Out]# 63   43    7  2018-08-23        20   1.95         Tomatoes
#[Out]# 64   47    7  2018-08-23        27   1.85         Tomatoes
#[Out]# 65   34   10  2018-08-23         8   0.45            Water
#[Out]# 66   50   10  2018-08-23        54   0.55            Water
#[Out]# 67   51   10  2018-08-23        31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY pName, sID, price
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price             name
#[Out]# 0   11  2018-08-23  12   3.20           Apples
#[Out]# 1   40  2018-08-23   3   4.10           Apples
#[Out]# 2   41  2018-08-23   3   3.35           Apples
#[Out]# 3   50  2018-08-23  19   3.85           Apples
#[Out]# 4    5  2018-08-23  11  13.40             Beef
#[Out]# 5    9  2018-08-23   5  13.15             Beef
#[Out]# 6   42  2018-08-23  46  11.40             Beef
#[Out]# 7   54  2018-08-23   5  12.55             Beef
#[Out]# 8    5  2018-08-23  34   2.45            Bread
#[Out]# 9   29  2018-08-23   4   1.95            Bread
#[Out]# 10  48  2018-08-23  21   1.15          Carrots
#[Out]# 11   6  2018-08-23  37   4.35      Cashew Nuts
#[Out]# 12  29  2018-08-23  28   5.15      Cashew Nuts
#[Out]# 13  31  2018-08-23  25   4.60      Cashew Nuts
#[Out]# 14   3  2018-08-23  11   2.10             Coca
#[Out]# 15  17  2018-08-23  10   2.20             Coca
#[Out]# 16  33  2018-08-23  32   2.25             Coca
#[Out]# 17  44  2018-08-23   4   2.65             Coca
#[Out]# 18  57  2018-08-23  12   2.95             Coca
#[Out]# 19   6  2018-08-23   4   1.00        Cucumbers
#[Out]# 20  11  2018-08-23  14   1.30        Cucumbers
#[Out]# 21  12  2018-08-23   1   1.25        Cucumbers
#[Out]# 22  13  2018-08-23  11   1.25        Cucumbers
#[Out]# 23  35  2018-08-23  36   4.00           Donuts
#[Out]# 24  56  2018-08-23  19   4.35           Donuts
#[Out]# 25   4  2018-08-23  23   4.20             Eggs
#[Out]# 26  12  2018-08-23  15   3.55             Eggs
#[Out]# 27  35  2018-08-23  28   4.15             Eggs
#[Out]# 28  45  2018-08-23  32   4.10             Eggs
#[Out]# 29   3  2018-08-23  17   1.35     Green Pepper
#[Out]# ..  ..         ...  ..    ...              ...
#[Out]# 38   7  2018-08-23  18   5.80       Mixed Nuts
#[Out]# 39  41  2018-08-23  53   4.60       Mixed Nuts
#[Out]# 40  55  2018-08-23   1   4.80       Mixed Nuts
#[Out]# 41  56  2018-08-23   1   4.40       Mixed Nuts
#[Out]# 42   1  2018-08-23   2   0.45        Mushrooms
#[Out]# 43  19  2018-08-23  53   1.20           Onions
#[Out]# 44  45  2018-08-23  50   1.00           Onions
#[Out]# 45   5  2018-08-23  32   4.10          Oranges
#[Out]# 46  38  2018-08-23  10   3.55          Oranges
#[Out]# 47  28  2018-08-23  43   8.50            Pizza
#[Out]# 48  35  2018-08-23  54   8.85            Pizza
#[Out]# 49  40  2018-08-23  17   6.90            Pizza
#[Out]# 50  11  2018-08-23  22   2.10         Potatoes
#[Out]# 51  12  2018-08-23   3   1.70         Potatoes
#[Out]# 52   2  2018-08-23   0   2.00             Rice
#[Out]# 53   5  2018-08-23   4   1.65             Rice
#[Out]# 54   6  2018-08-23  14   1.85             Rice
#[Out]# 55  11  2018-08-23   3   1.90             Rice
#[Out]# 56  21  2018-08-23  20   2.10  Spiced Biscuits
#[Out]# 57  38  2018-08-23  29   1.80  Spiced Biscuits
#[Out]# 58  16  2018-08-23  14   1.60              Tea
#[Out]# 59  30  2018-08-23  29   2.05              Tea
#[Out]# 60  50  2018-08-23   5   1.95              Tea
#[Out]# 61  51  2018-08-23  13   1.55              Tea
#[Out]# 62  35  2018-08-23   7   2.20         Tomatoes
#[Out]# 63  43  2018-08-23  20   1.95         Tomatoes
#[Out]# 64  47  2018-08-23  27   1.85         Tomatoes
#[Out]# 65  34  2018-08-23   8   0.45            Water
#[Out]# 66  50  2018-08-23  54   0.55            Water
#[Out]# 67  51  2018-08-23  31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY name, ID, price
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price             name
#[Out]# 0   11  2018-08-23  12   3.20           Apples
#[Out]# 1   40  2018-08-23   3   4.10           Apples
#[Out]# 2   41  2018-08-23   3   3.35           Apples
#[Out]# 3   50  2018-08-23  19   3.85           Apples
#[Out]# 4    5  2018-08-23  11  13.40             Beef
#[Out]# 5    9  2018-08-23   5  13.15             Beef
#[Out]# 6   42  2018-08-23  46  11.40             Beef
#[Out]# 7   54  2018-08-23   5  12.55             Beef
#[Out]# 8    5  2018-08-23  34   2.45            Bread
#[Out]# 9   29  2018-08-23   4   1.95            Bread
#[Out]# 10  48  2018-08-23  21   1.15          Carrots
#[Out]# 11   6  2018-08-23  37   4.35      Cashew Nuts
#[Out]# 12  29  2018-08-23  28   5.15      Cashew Nuts
#[Out]# 13  31  2018-08-23  25   4.60      Cashew Nuts
#[Out]# 14   3  2018-08-23  11   2.10             Coca
#[Out]# 15  17  2018-08-23  10   2.20             Coca
#[Out]# 16  33  2018-08-23  32   2.25             Coca
#[Out]# 17  44  2018-08-23   4   2.65             Coca
#[Out]# 18  57  2018-08-23  12   2.95             Coca
#[Out]# 19   6  2018-08-23   4   1.00        Cucumbers
#[Out]# 20  11  2018-08-23  14   1.30        Cucumbers
#[Out]# 21  12  2018-08-23   1   1.25        Cucumbers
#[Out]# 22  13  2018-08-23  11   1.25        Cucumbers
#[Out]# 23  35  2018-08-23  36   4.00           Donuts
#[Out]# 24  56  2018-08-23  19   4.35           Donuts
#[Out]# 25   4  2018-08-23  23   4.20             Eggs
#[Out]# 26  12  2018-08-23  15   3.55             Eggs
#[Out]# 27  35  2018-08-23  28   4.15             Eggs
#[Out]# 28  45  2018-08-23  32   4.10             Eggs
#[Out]# 29   3  2018-08-23  17   1.35     Green Pepper
#[Out]# ..  ..         ...  ..    ...              ...
#[Out]# 38   7  2018-08-23  18   5.80       Mixed Nuts
#[Out]# 39  41  2018-08-23  53   4.60       Mixed Nuts
#[Out]# 40  55  2018-08-23   1   4.80       Mixed Nuts
#[Out]# 41  56  2018-08-23   1   4.40       Mixed Nuts
#[Out]# 42   1  2018-08-23   2   0.45        Mushrooms
#[Out]# 43  19  2018-08-23  53   1.20           Onions
#[Out]# 44  45  2018-08-23  50   1.00           Onions
#[Out]# 45   5  2018-08-23  32   4.10          Oranges
#[Out]# 46  38  2018-08-23  10   3.55          Oranges
#[Out]# 47  28  2018-08-23  43   8.50            Pizza
#[Out]# 48  35  2018-08-23  54   8.85            Pizza
#[Out]# 49  40  2018-08-23  17   6.90            Pizza
#[Out]# 50  11  2018-08-23  22   2.10         Potatoes
#[Out]# 51  12  2018-08-23   3   1.70         Potatoes
#[Out]# 52   2  2018-08-23   0   2.00             Rice
#[Out]# 53   5  2018-08-23   4   1.65             Rice
#[Out]# 54   6  2018-08-23  14   1.85             Rice
#[Out]# 55  11  2018-08-23   3   1.90             Rice
#[Out]# 56  21  2018-08-23  20   2.10  Spiced Biscuits
#[Out]# 57  38  2018-08-23  29   1.80  Spiced Biscuits
#[Out]# 58  16  2018-08-23  14   1.60              Tea
#[Out]# 59  30  2018-08-23  29   2.05              Tea
#[Out]# 60  50  2018-08-23   5   1.95              Tea
#[Out]# 61  51  2018-08-23  13   1.55              Tea
#[Out]# 62  35  2018-08-23   7   2.20         Tomatoes
#[Out]# 63  43  2018-08-23  20   1.95         Tomatoes
#[Out]# 64  47  2018-08-23  27   1.85         Tomatoes
#[Out]# 65  34  2018-08-23   8   0.45            Water
#[Out]# 66  50  2018-08-23  54   0.55            Water
#[Out]# 67  51  2018-08-23  31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY name, ID, price DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price             name
#[Out]# 0   11  2018-08-23  12   3.20           Apples
#[Out]# 1   40  2018-08-23   3   4.10           Apples
#[Out]# 2   41  2018-08-23   3   3.35           Apples
#[Out]# 3   50  2018-08-23  19   3.85           Apples
#[Out]# 4    5  2018-08-23  11  13.40             Beef
#[Out]# 5    9  2018-08-23   5  13.15             Beef
#[Out]# 6   42  2018-08-23  46  11.40             Beef
#[Out]# 7   54  2018-08-23   5  12.55             Beef
#[Out]# 8    5  2018-08-23  34   2.45            Bread
#[Out]# 9   29  2018-08-23   4   1.95            Bread
#[Out]# 10  48  2018-08-23  21   1.15          Carrots
#[Out]# 11   6  2018-08-23  37   4.35      Cashew Nuts
#[Out]# 12  29  2018-08-23  28   5.15      Cashew Nuts
#[Out]# 13  31  2018-08-23  25   4.60      Cashew Nuts
#[Out]# 14   3  2018-08-23  11   2.10             Coca
#[Out]# 15  17  2018-08-23  10   2.20             Coca
#[Out]# 16  33  2018-08-23  32   2.25             Coca
#[Out]# 17  44  2018-08-23   4   2.65             Coca
#[Out]# 18  57  2018-08-23  12   2.95             Coca
#[Out]# 19   6  2018-08-23   4   1.00        Cucumbers
#[Out]# 20  11  2018-08-23  14   1.30        Cucumbers
#[Out]# 21  12  2018-08-23   1   1.25        Cucumbers
#[Out]# 22  13  2018-08-23  11   1.25        Cucumbers
#[Out]# 23  35  2018-08-23  36   4.00           Donuts
#[Out]# 24  56  2018-08-23  19   4.35           Donuts
#[Out]# 25   4  2018-08-23  23   4.20             Eggs
#[Out]# 26  12  2018-08-23  15   3.55             Eggs
#[Out]# 27  35  2018-08-23  28   4.15             Eggs
#[Out]# 28  45  2018-08-23  32   4.10             Eggs
#[Out]# 29   3  2018-08-23  17   1.35     Green Pepper
#[Out]# ..  ..         ...  ..    ...              ...
#[Out]# 38   7  2018-08-23  18   5.80       Mixed Nuts
#[Out]# 39  41  2018-08-23  53   4.60       Mixed Nuts
#[Out]# 40  55  2018-08-23   1   4.80       Mixed Nuts
#[Out]# 41  56  2018-08-23   1   4.40       Mixed Nuts
#[Out]# 42   1  2018-08-23   2   0.45        Mushrooms
#[Out]# 43  19  2018-08-23  53   1.20           Onions
#[Out]# 44  45  2018-08-23  50   1.00           Onions
#[Out]# 45   5  2018-08-23  32   4.10          Oranges
#[Out]# 46  38  2018-08-23  10   3.55          Oranges
#[Out]# 47  28  2018-08-23  43   8.50            Pizza
#[Out]# 48  35  2018-08-23  54   8.85            Pizza
#[Out]# 49  40  2018-08-23  17   6.90            Pizza
#[Out]# 50  11  2018-08-23  22   2.10         Potatoes
#[Out]# 51  12  2018-08-23   3   1.70         Potatoes
#[Out]# 52   2  2018-08-23   0   2.00             Rice
#[Out]# 53   5  2018-08-23   4   1.65             Rice
#[Out]# 54   6  2018-08-23  14   1.85             Rice
#[Out]# 55  11  2018-08-23   3   1.90             Rice
#[Out]# 56  21  2018-08-23  20   2.10  Spiced Biscuits
#[Out]# 57  38  2018-08-23  29   1.80  Spiced Biscuits
#[Out]# 58  16  2018-08-23  14   1.60              Tea
#[Out]# 59  30  2018-08-23  29   2.05              Tea
#[Out]# 60  50  2018-08-23   5   1.95              Tea
#[Out]# 61  51  2018-08-23  13   1.55              Tea
#[Out]# 62  35  2018-08-23   7   2.20         Tomatoes
#[Out]# 63  43  2018-08-23  20   1.95         Tomatoes
#[Out]# 64  47  2018-08-23  27   1.85         Tomatoes
#[Out]# 65  34  2018-08-23   8   0.45            Water
#[Out]# 66  50  2018-08-23  54   0.55            Water
#[Out]# 67  51  2018-08-23  31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY name, ID, price ASC
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price             name
#[Out]# 0   11  2018-08-23  12   3.20           Apples
#[Out]# 1   40  2018-08-23   3   4.10           Apples
#[Out]# 2   41  2018-08-23   3   3.35           Apples
#[Out]# 3   50  2018-08-23  19   3.85           Apples
#[Out]# 4    5  2018-08-23  11  13.40             Beef
#[Out]# 5    9  2018-08-23   5  13.15             Beef
#[Out]# 6   42  2018-08-23  46  11.40             Beef
#[Out]# 7   54  2018-08-23   5  12.55             Beef
#[Out]# 8    5  2018-08-23  34   2.45            Bread
#[Out]# 9   29  2018-08-23   4   1.95            Bread
#[Out]# 10  48  2018-08-23  21   1.15          Carrots
#[Out]# 11   6  2018-08-23  37   4.35      Cashew Nuts
#[Out]# 12  29  2018-08-23  28   5.15      Cashew Nuts
#[Out]# 13  31  2018-08-23  25   4.60      Cashew Nuts
#[Out]# 14   3  2018-08-23  11   2.10             Coca
#[Out]# 15  17  2018-08-23  10   2.20             Coca
#[Out]# 16  33  2018-08-23  32   2.25             Coca
#[Out]# 17  44  2018-08-23   4   2.65             Coca
#[Out]# 18  57  2018-08-23  12   2.95             Coca
#[Out]# 19   6  2018-08-23   4   1.00        Cucumbers
#[Out]# 20  11  2018-08-23  14   1.30        Cucumbers
#[Out]# 21  12  2018-08-23   1   1.25        Cucumbers
#[Out]# 22  13  2018-08-23  11   1.25        Cucumbers
#[Out]# 23  35  2018-08-23  36   4.00           Donuts
#[Out]# 24  56  2018-08-23  19   4.35           Donuts
#[Out]# 25   4  2018-08-23  23   4.20             Eggs
#[Out]# 26  12  2018-08-23  15   3.55             Eggs
#[Out]# 27  35  2018-08-23  28   4.15             Eggs
#[Out]# 28  45  2018-08-23  32   4.10             Eggs
#[Out]# 29   3  2018-08-23  17   1.35     Green Pepper
#[Out]# ..  ..         ...  ..    ...              ...
#[Out]# 38   7  2018-08-23  18   5.80       Mixed Nuts
#[Out]# 39  41  2018-08-23  53   4.60       Mixed Nuts
#[Out]# 40  55  2018-08-23   1   4.80       Mixed Nuts
#[Out]# 41  56  2018-08-23   1   4.40       Mixed Nuts
#[Out]# 42   1  2018-08-23   2   0.45        Mushrooms
#[Out]# 43  19  2018-08-23  53   1.20           Onions
#[Out]# 44  45  2018-08-23  50   1.00           Onions
#[Out]# 45   5  2018-08-23  32   4.10          Oranges
#[Out]# 46  38  2018-08-23  10   3.55          Oranges
#[Out]# 47  28  2018-08-23  43   8.50            Pizza
#[Out]# 48  35  2018-08-23  54   8.85            Pizza
#[Out]# 49  40  2018-08-23  17   6.90            Pizza
#[Out]# 50  11  2018-08-23  22   2.10         Potatoes
#[Out]# 51  12  2018-08-23   3   1.70         Potatoes
#[Out]# 52   2  2018-08-23   0   2.00             Rice
#[Out]# 53   5  2018-08-23   4   1.65             Rice
#[Out]# 54   6  2018-08-23  14   1.85             Rice
#[Out]# 55  11  2018-08-23   3   1.90             Rice
#[Out]# 56  21  2018-08-23  20   2.10  Spiced Biscuits
#[Out]# 57  38  2018-08-23  29   1.80  Spiced Biscuits
#[Out]# 58  16  2018-08-23  14   1.60              Tea
#[Out]# 59  30  2018-08-23  29   2.05              Tea
#[Out]# 60  50  2018-08-23   5   1.95              Tea
#[Out]# 61  51  2018-08-23  13   1.55              Tea
#[Out]# 62  35  2018-08-23   7   2.20         Tomatoes
#[Out]# 63  43  2018-08-23  20   1.95         Tomatoes
#[Out]# 64  47  2018-08-23  27   1.85         Tomatoes
#[Out]# 65  34  2018-08-23   8   0.45            Water
#[Out]# 66  50  2018-08-23  54   0.55            Water
#[Out]# 67  51  2018-08-23  31   0.60            Water
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
    ORDER BY name
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price             name
#[Out]# 0   41  2018-08-23   3   3.35           Apples
#[Out]# 1   40  2018-08-23   3   4.10           Apples
#[Out]# 2   50  2018-08-23  19   3.85           Apples
#[Out]# 3   11  2018-08-23  12   3.20           Apples
#[Out]# 4   42  2018-08-23  46  11.40             Beef
#[Out]# 5    5  2018-08-23  11  13.40             Beef
#[Out]# 6   54  2018-08-23   5  12.55             Beef
#[Out]# 7    9  2018-08-23   5  13.15             Beef
#[Out]# 8    5  2018-08-23  34   2.45            Bread
#[Out]# 9   29  2018-08-23   4   1.95            Bread
#[Out]# 10  48  2018-08-23  21   1.15          Carrots
#[Out]# 11   6  2018-08-23  37   4.35      Cashew Nuts
#[Out]# 12  29  2018-08-23  28   5.15      Cashew Nuts
#[Out]# 13  31  2018-08-23  25   4.60      Cashew Nuts
#[Out]# 14  57  2018-08-23  12   2.95             Coca
#[Out]# 15  33  2018-08-23  32   2.25             Coca
#[Out]# 16  17  2018-08-23  10   2.20             Coca
#[Out]# 17   3  2018-08-23  11   2.10             Coca
#[Out]# 18  44  2018-08-23   4   2.65             Coca
#[Out]# 19  13  2018-08-23  11   1.25        Cucumbers
#[Out]# 20  12  2018-08-23   1   1.25        Cucumbers
#[Out]# 21  11  2018-08-23  14   1.30        Cucumbers
#[Out]# 22   6  2018-08-23   4   1.00        Cucumbers
#[Out]# 23  35  2018-08-23  36   4.00           Donuts
#[Out]# 24  56  2018-08-23  19   4.35           Donuts
#[Out]# 25  35  2018-08-23  28   4.15             Eggs
#[Out]# 26  45  2018-08-23  32   4.10             Eggs
#[Out]# 27  12  2018-08-23  15   3.55             Eggs
#[Out]# 28   4  2018-08-23  23   4.20             Eggs
#[Out]# 29   3  2018-08-23  17   1.35     Green Pepper
#[Out]# ..  ..         ...  ..    ...              ...
#[Out]# 38   7  2018-08-23  18   5.80       Mixed Nuts
#[Out]# 39  41  2018-08-23  53   4.60       Mixed Nuts
#[Out]# 40  55  2018-08-23   1   4.80       Mixed Nuts
#[Out]# 41  56  2018-08-23   1   4.40       Mixed Nuts
#[Out]# 42   1  2018-08-23   2   0.45        Mushrooms
#[Out]# 43  45  2018-08-23  50   1.00           Onions
#[Out]# 44  19  2018-08-23  53   1.20           Onions
#[Out]# 45   5  2018-08-23  32   4.10          Oranges
#[Out]# 46  38  2018-08-23  10   3.55          Oranges
#[Out]# 47  28  2018-08-23  43   8.50            Pizza
#[Out]# 48  35  2018-08-23  54   8.85            Pizza
#[Out]# 49  40  2018-08-23  17   6.90            Pizza
#[Out]# 50  11  2018-08-23  22   2.10         Potatoes
#[Out]# 51  12  2018-08-23   3   1.70         Potatoes
#[Out]# 52   2  2018-08-23   0   2.00             Rice
#[Out]# 53   6  2018-08-23  14   1.85             Rice
#[Out]# 54  11  2018-08-23   3   1.90             Rice
#[Out]# 55   5  2018-08-23   4   1.65             Rice
#[Out]# 56  38  2018-08-23  29   1.80  Spiced Biscuits
#[Out]# 57  21  2018-08-23  20   2.10  Spiced Biscuits
#[Out]# 58  30  2018-08-23  29   2.05              Tea
#[Out]# 59  50  2018-08-23   5   1.95              Tea
#[Out]# 60  51  2018-08-23  13   1.55              Tea
#[Out]# 61  16  2018-08-23  14   1.60              Tea
#[Out]# 62  47  2018-08-23  27   1.85         Tomatoes
#[Out]# 63  43  2018-08-23  20   1.95         Tomatoes
#[Out]# 64  35  2018-08-23   7   2.20         Tomatoes
#[Out]# 65  51  2018-08-23  31   0.60            Water
#[Out]# 66  50  2018-08-23  54   0.55            Water
#[Out]# 67  34  2018-08-23   8   0.45            Water
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date IS '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0   51  2018-08-23  31   0.60             Water
#[Out]# 1   57  2018-08-23  12   2.95              Coca
#[Out]# 2   38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 3   35  2018-08-23  28   4.15              Eggs
#[Out]# 4   45  2018-08-23  32   4.10              Eggs
#[Out]# 5    5  2018-08-23  34   2.45             Bread
#[Out]# 6   13  2018-08-23  11   1.25         Cucumbers
#[Out]# 7   50  2018-08-23  54   0.55             Water
#[Out]# 8    7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 9    2  2018-08-23  21   1.00              Milk
#[Out]# 10  28  2018-08-23  43   8.50             Pizza
#[Out]# 11  35  2018-08-23  36   4.00            Donuts
#[Out]# 12  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 13  56  2018-08-23  19   4.35            Donuts
#[Out]# 14  45  2018-08-23  50   1.00            Onions
#[Out]# 15  19  2018-08-23  53   1.20            Onions
#[Out]# 16  29  2018-08-23   4   1.95             Bread
#[Out]# 17  11  2018-08-23  22   2.10          Potatoes
#[Out]# 18  32  2018-08-23  36   6.85           Lasanga
#[Out]# 19   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 20  33  2018-08-23  32   1.05              Milk
#[Out]# 21  35  2018-08-23  54   8.85             Pizza
#[Out]# 22  34  2018-08-23   8   0.45             Water
#[Out]# 23  42  2018-08-23  46  11.40              Beef
#[Out]# 24  41  2018-08-23   3   3.35            Apples
#[Out]# 25  33  2018-08-23  32   2.25              Coca
#[Out]# 26  30  2018-08-23  29   2.05               Tea
#[Out]# 27  50  2018-08-23   5   1.95               Tea
#[Out]# 28  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 29  47  2018-08-23  27   1.85          Tomatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  11  2018-08-23   3   1.90              Rice
#[Out]# 39  21  2018-08-23  20   2.10   Spiced Biscuits
#[Out]# 40  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 41  40  2018-08-23   3   4.10            Apples
#[Out]# 42   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 43  16  2018-08-23  14   1.60               Tea
#[Out]# 44  50  2018-08-23  19   3.85            Apples
#[Out]# 45  40  2018-08-23  17   6.90             Pizza
#[Out]# 46  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 47  44  2018-08-23   4   2.65              Coca
#[Out]# 48  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 49  11  2018-08-23  12   3.20            Apples
#[Out]# 50   5  2018-08-23   4   1.65              Rice
#[Out]# 51   1  2018-08-23   2   0.45         Mushrooms
#[Out]# 52  52  2018-08-23   8   7.35           Lasanga
#[Out]# 53   5  2018-08-23  11  13.40              Beef
#[Out]# 54  12  2018-08-23  15   3.55              Eggs
#[Out]# 55  35  2018-08-23  15   1.20              Milk
#[Out]# 56  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 57  54  2018-08-23   5  12.55              Beef
#[Out]# 58  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 59  35  2018-08-23   7   2.20          Tomatoes
#[Out]# 60   6  2018-08-23   4   1.00         Cucumbers
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 63   9  2018-08-23   5  13.15              Beef
#[Out]# 64  38  2018-08-23  10   3.55           Oranges
#[Out]# 65  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 66  48  2018-08-23  21   1.15           Carrots
#[Out]# 67   4  2018-08-23  23   4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date is '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0   51  2018-08-23  31   0.60             Water
#[Out]# 1   57  2018-08-23  12   2.95              Coca
#[Out]# 2   38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 3   35  2018-08-23  28   4.15              Eggs
#[Out]# 4   45  2018-08-23  32   4.10              Eggs
#[Out]# 5    5  2018-08-23  34   2.45             Bread
#[Out]# 6   13  2018-08-23  11   1.25         Cucumbers
#[Out]# 7   50  2018-08-23  54   0.55             Water
#[Out]# 8    7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 9    2  2018-08-23  21   1.00              Milk
#[Out]# 10  28  2018-08-23  43   8.50             Pizza
#[Out]# 11  35  2018-08-23  36   4.00            Donuts
#[Out]# 12  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 13  56  2018-08-23  19   4.35            Donuts
#[Out]# 14  45  2018-08-23  50   1.00            Onions
#[Out]# 15  19  2018-08-23  53   1.20            Onions
#[Out]# 16  29  2018-08-23   4   1.95             Bread
#[Out]# 17  11  2018-08-23  22   2.10          Potatoes
#[Out]# 18  32  2018-08-23  36   6.85           Lasanga
#[Out]# 19   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 20  33  2018-08-23  32   1.05              Milk
#[Out]# 21  35  2018-08-23  54   8.85             Pizza
#[Out]# 22  34  2018-08-23   8   0.45             Water
#[Out]# 23  42  2018-08-23  46  11.40              Beef
#[Out]# 24  41  2018-08-23   3   3.35            Apples
#[Out]# 25  33  2018-08-23  32   2.25              Coca
#[Out]# 26  30  2018-08-23  29   2.05               Tea
#[Out]# 27  50  2018-08-23   5   1.95               Tea
#[Out]# 28  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 29  47  2018-08-23  27   1.85          Tomatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  11  2018-08-23   3   1.90              Rice
#[Out]# 39  21  2018-08-23  20   2.10   Spiced Biscuits
#[Out]# 40  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 41  40  2018-08-23   3   4.10            Apples
#[Out]# 42   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 43  16  2018-08-23  14   1.60               Tea
#[Out]# 44  50  2018-08-23  19   3.85            Apples
#[Out]# 45  40  2018-08-23  17   6.90             Pizza
#[Out]# 46  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 47  44  2018-08-23   4   2.65              Coca
#[Out]# 48  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 49  11  2018-08-23  12   3.20            Apples
#[Out]# 50   5  2018-08-23   4   1.65              Rice
#[Out]# 51   1  2018-08-23   2   0.45         Mushrooms
#[Out]# 52  52  2018-08-23   8   7.35           Lasanga
#[Out]# 53   5  2018-08-23  11  13.40              Beef
#[Out]# 54  12  2018-08-23  15   3.55              Eggs
#[Out]# 55  35  2018-08-23  15   1.20              Milk
#[Out]# 56  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 57  54  2018-08-23   5  12.55              Beef
#[Out]# 58  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 59  35  2018-08-23   7   2.20          Tomatoes
#[Out]# 60   6  2018-08-23   4   1.00         Cucumbers
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 63   9  2018-08-23   5  13.15              Beef
#[Out]# 64  38  2018-08-23  10   3.55           Oranges
#[Out]# 65  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 66  48  2018-08-23  21   1.15           Carrots
#[Out]# 67   4  2018-08-23  23   4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date is '2018-08-23'
    ORDER price, name
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date is '2018-08-23'
    ORDER BY price, name
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0    1  2018-08-23   2   0.45         Mushrooms
#[Out]# 1   34  2018-08-23   8   0.45             Water
#[Out]# 2   50  2018-08-23  54   0.55             Water
#[Out]# 3   51  2018-08-23  31   0.60             Water
#[Out]# 4    6  2018-08-23   4   1.00         Cucumbers
#[Out]# 5    2  2018-08-23  21   1.00              Milk
#[Out]# 6   45  2018-08-23  50   1.00            Onions
#[Out]# 7   33  2018-08-23  32   1.05              Milk
#[Out]# 8   48  2018-08-23  21   1.15           Carrots
#[Out]# 9   35  2018-08-23  15   1.20              Milk
#[Out]# 10  19  2018-08-23  53   1.20            Onions
#[Out]# 11  13  2018-08-23  11   1.25         Cucumbers
#[Out]# 12  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 13  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 14   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 15  51  2018-08-23  13   1.55               Tea
#[Out]# 16  16  2018-08-23  14   1.60               Tea
#[Out]# 17   5  2018-08-23   4   1.65              Rice
#[Out]# 18  12  2018-08-23   3   1.70          Potatoes
#[Out]# 19  38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 20   6  2018-08-23  14   1.85              Rice
#[Out]# 21  47  2018-08-23  27   1.85          Tomatoes
#[Out]# 22  11  2018-08-23   3   1.90              Rice
#[Out]# 23  29  2018-08-23   4   1.95             Bread
#[Out]# 24  50  2018-08-23   5   1.95               Tea
#[Out]# 25  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 26   2  2018-08-23   0   2.00              Rice
#[Out]# 27  30  2018-08-23  29   2.05               Tea
#[Out]# 28   3  2018-08-23  11   2.10              Coca
#[Out]# 29  11  2018-08-23  22   2.10          Potatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  41  2018-08-23   3   3.35            Apples
#[Out]# 39  12  2018-08-23  15   3.55              Eggs
#[Out]# 40  38  2018-08-23  10   3.55           Oranges
#[Out]# 41  50  2018-08-23  19   3.85            Apples
#[Out]# 42  35  2018-08-23  36   4.00            Donuts
#[Out]# 43  40  2018-08-23   3   4.10            Apples
#[Out]# 44  45  2018-08-23  32   4.10              Eggs
#[Out]# 45   5  2018-08-23  32   4.10           Oranges
#[Out]# 46  35  2018-08-23  28   4.15              Eggs
#[Out]# 47   4  2018-08-23  23   4.20              Eggs
#[Out]# 48   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 49  56  2018-08-23  19   4.35            Donuts
#[Out]# 50  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 51  31  2018-08-23  25   4.60       Cashew Nuts
#[Out]# 52  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 53  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 54  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 55  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 56  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 57   7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 58  32  2018-08-23  36   6.85           Lasanga
#[Out]# 59  40  2018-08-23  17   6.90             Pizza
#[Out]# 60  52  2018-08-23   8   7.35           Lasanga
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  28  2018-08-23  43   8.50             Pizza
#[Out]# 63  35  2018-08-23  54   8.85             Pizza
#[Out]# 64  42  2018-08-23  46  11.40              Beef
#[Out]# 65  54  2018-08-23   5  12.55              Beef
#[Out]# 66   9  2018-08-23   5  13.15              Beef
#[Out]# 67   5  2018-08-23  11  13.40              Beef
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date is '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0   51  2018-08-23  31   0.60             Water
#[Out]# 1   57  2018-08-23  12   2.95              Coca
#[Out]# 2   38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 3   35  2018-08-23  28   4.15              Eggs
#[Out]# 4   45  2018-08-23  32   4.10              Eggs
#[Out]# 5    5  2018-08-23  34   2.45             Bread
#[Out]# 6   13  2018-08-23  11   1.25         Cucumbers
#[Out]# 7   50  2018-08-23  54   0.55             Water
#[Out]# 8    7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 9    2  2018-08-23  21   1.00              Milk
#[Out]# 10  28  2018-08-23  43   8.50             Pizza
#[Out]# 11  35  2018-08-23  36   4.00            Donuts
#[Out]# 12  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 13  56  2018-08-23  19   4.35            Donuts
#[Out]# 14  45  2018-08-23  50   1.00            Onions
#[Out]# 15  19  2018-08-23  53   1.20            Onions
#[Out]# 16  29  2018-08-23   4   1.95             Bread
#[Out]# 17  11  2018-08-23  22   2.10          Potatoes
#[Out]# 18  32  2018-08-23  36   6.85           Lasanga
#[Out]# 19   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 20  33  2018-08-23  32   1.05              Milk
#[Out]# 21  35  2018-08-23  54   8.85             Pizza
#[Out]# 22  34  2018-08-23   8   0.45             Water
#[Out]# 23  42  2018-08-23  46  11.40              Beef
#[Out]# 24  41  2018-08-23   3   3.35            Apples
#[Out]# 25  33  2018-08-23  32   2.25              Coca
#[Out]# 26  30  2018-08-23  29   2.05               Tea
#[Out]# 27  50  2018-08-23   5   1.95               Tea
#[Out]# 28  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 29  47  2018-08-23  27   1.85          Tomatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  11  2018-08-23   3   1.90              Rice
#[Out]# 39  21  2018-08-23  20   2.10   Spiced Biscuits
#[Out]# 40  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 41  40  2018-08-23   3   4.10            Apples
#[Out]# 42   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 43  16  2018-08-23  14   1.60               Tea
#[Out]# 44  50  2018-08-23  19   3.85            Apples
#[Out]# 45  40  2018-08-23  17   6.90             Pizza
#[Out]# 46  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 47  44  2018-08-23   4   2.65              Coca
#[Out]# 48  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 49  11  2018-08-23  12   3.20            Apples
#[Out]# 50   5  2018-08-23   4   1.65              Rice
#[Out]# 51   1  2018-08-23   2   0.45         Mushrooms
#[Out]# 52  52  2018-08-23   8   7.35           Lasanga
#[Out]# 53   5  2018-08-23  11  13.40              Beef
#[Out]# 54  12  2018-08-23  15   3.55              Eggs
#[Out]# 55  35  2018-08-23  15   1.20              Milk
#[Out]# 56  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 57  54  2018-08-23   5  12.55              Beef
#[Out]# 58  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 59  35  2018-08-23   7   2.20          Tomatoes
#[Out]# 60   6  2018-08-23   4   1.00         Cucumbers
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 63   9  2018-08-23   5  13.15              Beef
#[Out]# 64  38  2018-08-23  10   3.55           Oranges
#[Out]# 65  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 66  48  2018-08-23  21   1.15           Carrots
#[Out]# 67   4  2018-08-23  23   4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    WITH differences AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    SELECT
        i.sID as ID,
        i.date as date,
        i.quantity as q,
        i.unit_price AS price, 
        p.pName as name
    FROM inventory i
    INNER JOIN product p ON i.pID == p.pID
    WHERE i.date is '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0   51  2018-08-23  31   0.60             Water
#[Out]# 1   57  2018-08-23  12   2.95              Coca
#[Out]# 2   38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 3   35  2018-08-23  28   4.15              Eggs
#[Out]# 4   45  2018-08-23  32   4.10              Eggs
#[Out]# 5    5  2018-08-23  34   2.45             Bread
#[Out]# 6   13  2018-08-23  11   1.25         Cucumbers
#[Out]# 7   50  2018-08-23  54   0.55             Water
#[Out]# 8    7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 9    2  2018-08-23  21   1.00              Milk
#[Out]# 10  28  2018-08-23  43   8.50             Pizza
#[Out]# 11  35  2018-08-23  36   4.00            Donuts
#[Out]# 12  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 13  56  2018-08-23  19   4.35            Donuts
#[Out]# 14  45  2018-08-23  50   1.00            Onions
#[Out]# 15  19  2018-08-23  53   1.20            Onions
#[Out]# 16  29  2018-08-23   4   1.95             Bread
#[Out]# 17  11  2018-08-23  22   2.10          Potatoes
#[Out]# 18  32  2018-08-23  36   6.85           Lasanga
#[Out]# 19   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 20  33  2018-08-23  32   1.05              Milk
#[Out]# 21  35  2018-08-23  54   8.85             Pizza
#[Out]# 22  34  2018-08-23   8   0.45             Water
#[Out]# 23  42  2018-08-23  46  11.40              Beef
#[Out]# 24  41  2018-08-23   3   3.35            Apples
#[Out]# 25  33  2018-08-23  32   2.25              Coca
#[Out]# 26  30  2018-08-23  29   2.05               Tea
#[Out]# 27  50  2018-08-23   5   1.95               Tea
#[Out]# 28  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 29  47  2018-08-23  27   1.85          Tomatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  11  2018-08-23   3   1.90              Rice
#[Out]# 39  21  2018-08-23  20   2.10   Spiced Biscuits
#[Out]# 40  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 41  40  2018-08-23   3   4.10            Apples
#[Out]# 42   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 43  16  2018-08-23  14   1.60               Tea
#[Out]# 44  50  2018-08-23  19   3.85            Apples
#[Out]# 45  40  2018-08-23  17   6.90             Pizza
#[Out]# 46  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 47  44  2018-08-23   4   2.65              Coca
#[Out]# 48  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 49  11  2018-08-23  12   3.20            Apples
#[Out]# 50   5  2018-08-23   4   1.65              Rice
#[Out]# 51   1  2018-08-23   2   0.45         Mushrooms
#[Out]# 52  52  2018-08-23   8   7.35           Lasanga
#[Out]# 53   5  2018-08-23  11  13.40              Beef
#[Out]# 54  12  2018-08-23  15   3.55              Eggs
#[Out]# 55  35  2018-08-23  15   1.20              Milk
#[Out]# 56  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 57  54  2018-08-23   5  12.55              Beef
#[Out]# 58  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 59  35  2018-08-23   7   2.20          Tomatoes
#[Out]# 60   6  2018-08-23   4   1.00         Cucumbers
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 63   9  2018-08-23   5  13.15              Beef
#[Out]# 64  38  2018-08-23  10   3.55           Oranges
#[Out]# 65  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 66  48  2018-08-23  21   1.15           Carrots
#[Out]# 67   4  2018-08-23  23   4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    SELECT
       *
    FROM d
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID        date   q  price              name
#[Out]# 0   51  2018-08-23  31   0.60             Water
#[Out]# 1   57  2018-08-23  12   2.95              Coca
#[Out]# 2   38  2018-08-23  29   1.80   Spiced Biscuits
#[Out]# 3   35  2018-08-23  28   4.15              Eggs
#[Out]# 4   45  2018-08-23  32   4.10              Eggs
#[Out]# 5    5  2018-08-23  34   2.45             Bread
#[Out]# 6   13  2018-08-23  11   1.25         Cucumbers
#[Out]# 7   50  2018-08-23  54   0.55             Water
#[Out]# 8    7  2018-08-23  18   5.80        Mixed Nuts
#[Out]# 9    2  2018-08-23  21   1.00              Milk
#[Out]# 10  28  2018-08-23  43   8.50             Pizza
#[Out]# 11  35  2018-08-23  36   4.00            Donuts
#[Out]# 12  41  2018-08-23  53   4.60        Mixed Nuts
#[Out]# 13  56  2018-08-23  19   4.35            Donuts
#[Out]# 14  45  2018-08-23  50   1.00            Onions
#[Out]# 15  19  2018-08-23  53   1.20            Onions
#[Out]# 16  29  2018-08-23   4   1.95             Bread
#[Out]# 17  11  2018-08-23  22   2.10          Potatoes
#[Out]# 18  32  2018-08-23  36   6.85           Lasanga
#[Out]# 19   6  2018-08-23  37   4.35       Cashew Nuts
#[Out]# 20  33  2018-08-23  32   1.05              Milk
#[Out]# 21  35  2018-08-23  54   8.85             Pizza
#[Out]# 22  34  2018-08-23   8   0.45             Water
#[Out]# 23  42  2018-08-23  46  11.40              Beef
#[Out]# 24  41  2018-08-23   3   3.35            Apples
#[Out]# 25  33  2018-08-23  32   2.25              Coca
#[Out]# 26  30  2018-08-23  29   2.05               Tea
#[Out]# 27  50  2018-08-23   5   1.95               Tea
#[Out]# 28  29  2018-08-23  28   5.15       Cashew Nuts
#[Out]# 29  47  2018-08-23  27   1.85          Tomatoes
#[Out]# ..  ..         ...  ..    ...               ...
#[Out]# 38  11  2018-08-23   3   1.90              Rice
#[Out]# 39  21  2018-08-23  20   2.10   Spiced Biscuits
#[Out]# 40  43  2018-08-23  20   1.95          Tomatoes
#[Out]# 41  40  2018-08-23   3   4.10            Apples
#[Out]# 42   3  2018-08-23  17   1.35      Green Pepper
#[Out]# 43  16  2018-08-23  14   1.60               Tea
#[Out]# 44  50  2018-08-23  19   3.85            Apples
#[Out]# 45  40  2018-08-23  17   6.90             Pizza
#[Out]# 46  33  2018-08-23  16   4.80  Hot Dog Sausages
#[Out]# 47  44  2018-08-23   4   2.65              Coca
#[Out]# 48  12  2018-08-23   1   1.25         Cucumbers
#[Out]# 49  11  2018-08-23  12   3.20            Apples
#[Out]# 50   5  2018-08-23   4   1.65              Rice
#[Out]# 51   1  2018-08-23   2   0.45         Mushrooms
#[Out]# 52  52  2018-08-23   8   7.35           Lasanga
#[Out]# 53   5  2018-08-23  11  13.40              Beef
#[Out]# 54  12  2018-08-23  15   3.55              Eggs
#[Out]# 55  35  2018-08-23  15   1.20              Milk
#[Out]# 56  55  2018-08-23   1   4.80        Mixed Nuts
#[Out]# 57  54  2018-08-23   5  12.55              Beef
#[Out]# 58  11  2018-08-23  14   1.30         Cucumbers
#[Out]# 59  35  2018-08-23   7   2.20          Tomatoes
#[Out]# 60   6  2018-08-23   4   1.00         Cucumbers
#[Out]# 61  37  2018-08-23  19   7.75           Lasanga
#[Out]# 62  25  2018-08-23   6   5.55  Hot Dog Sausages
#[Out]# 63   9  2018-08-23   5  13.15              Beef
#[Out]# 64  38  2018-08-23  10   3.55           Oranges
#[Out]# 65  56  2018-08-23   1   4.40        Mixed Nuts
#[Out]# 66  48  2018-08-23  21   1.15           Carrots
#[Out]# 67   4  2018-08-23  23   4.20              Eggs
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       MIN(price), MAX(price)
    FROM d
'''

pd.read_sql_query(query6, conn)
#[Out]#    MIN(price)  MAX(price)
#[Out]# 0        0.45        13.4
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       MIN(price), MAX(price)
    FROM d
    GROUP BY name
'''

pd.read_sql_query(query6, conn)
#[Out]#     MIN(price)  MAX(price)
#[Out]# 0         3.20        4.10
#[Out]# 1        11.40       13.40
#[Out]# 2         1.95        2.45
#[Out]# 3         1.15        1.15
#[Out]# 4         4.35        5.15
#[Out]# 5         2.10        2.95
#[Out]# 6         1.00        1.30
#[Out]# 7         4.00        4.35
#[Out]# 8         3.55        4.20
#[Out]# 9         1.35        1.35
#[Out]# 10        4.80        5.55
#[Out]# 11        6.85        7.75
#[Out]# 12        1.00        1.20
#[Out]# 13        4.40        5.80
#[Out]# 14        0.45        0.45
#[Out]# 15        1.00        1.20
#[Out]# 16        3.55        4.10
#[Out]# 17        6.90        8.85
#[Out]# 18        1.70        2.10
#[Out]# 19        1.65        2.00
#[Out]# 20        1.80        2.10
#[Out]# 21        1.55        2.05
#[Out]# 22        1.85        2.20
#[Out]# 23        0.45        0.60
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       name, MIN(price), MAX(price)
    FROM d
    GROUP BY name
'''

pd.read_sql_query(query6, conn)
#[Out]#                 name  MIN(price)  MAX(price)
#[Out]# 0             Apples        3.20        4.10
#[Out]# 1               Beef       11.40       13.40
#[Out]# 2              Bread        1.95        2.45
#[Out]# 3            Carrots        1.15        1.15
#[Out]# 4        Cashew Nuts        4.35        5.15
#[Out]# 5               Coca        2.10        2.95
#[Out]# 6          Cucumbers        1.00        1.30
#[Out]# 7             Donuts        4.00        4.35
#[Out]# 8               Eggs        3.55        4.20
#[Out]# 9       Green Pepper        1.35        1.35
#[Out]# 10  Hot Dog Sausages        4.80        5.55
#[Out]# 11           Lasanga        6.85        7.75
#[Out]# 12              Milk        1.00        1.20
#[Out]# 13        Mixed Nuts        4.40        5.80
#[Out]# 14         Mushrooms        0.45        0.45
#[Out]# 15            Onions        1.00        1.20
#[Out]# 16           Oranges        3.55        4.10
#[Out]# 17             Pizza        6.90        8.85
#[Out]# 18          Potatoes        1.70        2.10
#[Out]# 19              Rice        1.65        2.00
#[Out]# 20   Spiced Biscuits        1.80        2.10
#[Out]# 21               Tea        1.55        2.05
#[Out]# 22          Tomatoes        1.85        2.20
#[Out]# 23             Water        0.45        0.60
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       sID, name, MIN(price), MAX(price)
    FROM d
    GROUP BY name
'''

pd.read_sql_query(query6, conn)
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, MIN(price), MAX(price)
    FROM d
    GROUP BY name
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID              name  MIN(price)  MAX(price)
#[Out]# 0   40            Apples        3.20        4.10
#[Out]# 1    5              Beef       11.40       13.40
#[Out]# 2    5             Bread        1.95        2.45
#[Out]# 3   48           Carrots        1.15        1.15
#[Out]# 4   29       Cashew Nuts        4.35        5.15
#[Out]# 5   57              Coca        2.10        2.95
#[Out]# 6   11         Cucumbers        1.00        1.30
#[Out]# 7   56            Donuts        4.00        4.35
#[Out]# 8    4              Eggs        3.55        4.20
#[Out]# 9    3      Green Pepper        1.35        1.35
#[Out]# 10  25  Hot Dog Sausages        4.80        5.55
#[Out]# 11  37           Lasanga        6.85        7.75
#[Out]# 12  35              Milk        1.00        1.20
#[Out]# 13   7        Mixed Nuts        4.40        5.80
#[Out]# 14   1         Mushrooms        0.45        0.45
#[Out]# 15  19            Onions        1.00        1.20
#[Out]# 16   5           Oranges        3.55        4.10
#[Out]# 17  35             Pizza        6.90        8.85
#[Out]# 18  11          Potatoes        1.70        2.10
#[Out]# 19   2              Rice        1.65        2.00
#[Out]# 20  21   Spiced Biscuits        1.80        2.10
#[Out]# 21  30               Tea        1.55        2.05
#[Out]# 22  35          Tomatoes        1.85        2.20
#[Out]# 23  51             Water        0.45        0.60
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, MIN(price), MAX(price)
    FROM d
    GROUP BY ID, name
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID              name  MIN(price)  MAX(price)
#[Out]# 0    1         Mushrooms        0.45        0.45
#[Out]# 1    2              Milk        1.00        1.00
#[Out]# 2    2              Rice        2.00        2.00
#[Out]# 3    3              Coca        2.10        2.10
#[Out]# 4    3      Green Pepper        1.35        1.35
#[Out]# 5    4              Eggs        4.20        4.20
#[Out]# 6    5              Beef       13.40       13.40
#[Out]# 7    5             Bread        2.45        2.45
#[Out]# 8    5           Oranges        4.10        4.10
#[Out]# 9    5              Rice        1.65        1.65
#[Out]# 10   6       Cashew Nuts        4.35        4.35
#[Out]# 11   6         Cucumbers        1.00        1.00
#[Out]# 12   6              Rice        1.85        1.85
#[Out]# 13   7        Mixed Nuts        5.80        5.80
#[Out]# 14   9              Beef       13.15       13.15
#[Out]# 15  11            Apples        3.20        3.20
#[Out]# 16  11         Cucumbers        1.30        1.30
#[Out]# 17  11          Potatoes        2.10        2.10
#[Out]# 18  11              Rice        1.90        1.90
#[Out]# 19  12         Cucumbers        1.25        1.25
#[Out]# 20  12              Eggs        3.55        3.55
#[Out]# 21  12          Potatoes        1.70        1.70
#[Out]# 22  13         Cucumbers        1.25        1.25
#[Out]# 23  16               Tea        1.60        1.60
#[Out]# 24  17              Coca        2.20        2.20
#[Out]# 25  19            Onions        1.20        1.20
#[Out]# 26  21   Spiced Biscuits        2.10        2.10
#[Out]# 27  25  Hot Dog Sausages        5.55        5.55
#[Out]# 28  28             Pizza        8.50        8.50
#[Out]# 29  29             Bread        1.95        1.95
#[Out]# ..  ..               ...         ...         ...
#[Out]# 38  35            Donuts        4.00        4.00
#[Out]# 39  35              Eggs        4.15        4.15
#[Out]# 40  35              Milk        1.20        1.20
#[Out]# 41  35             Pizza        8.85        8.85
#[Out]# 42  35          Tomatoes        2.20        2.20
#[Out]# 43  37           Lasanga        7.75        7.75
#[Out]# 44  38           Oranges        3.55        3.55
#[Out]# 45  38   Spiced Biscuits        1.80        1.80
#[Out]# 46  40            Apples        4.10        4.10
#[Out]# 47  40             Pizza        6.90        6.90
#[Out]# 48  41            Apples        3.35        3.35
#[Out]# 49  41        Mixed Nuts        4.60        4.60
#[Out]# 50  42              Beef       11.40       11.40
#[Out]# 51  43          Tomatoes        1.95        1.95
#[Out]# 52  44              Coca        2.65        2.65
#[Out]# 53  45              Eggs        4.10        4.10
#[Out]# 54  45            Onions        1.00        1.00
#[Out]# 55  47          Tomatoes        1.85        1.85
#[Out]# 56  48           Carrots        1.15        1.15
#[Out]# 57  50            Apples        3.85        3.85
#[Out]# 58  50               Tea        1.95        1.95
#[Out]# 59  50             Water        0.55        0.55
#[Out]# 60  51               Tea        1.55        1.55
#[Out]# 61  51             Water        0.60        0.60
#[Out]# 62  52           Lasanga        7.35        7.35
#[Out]# 63  54              Beef       12.55       12.55
#[Out]# 64  55        Mixed Nuts        4.80        4.80
#[Out]# 65  56            Donuts        4.35        4.35
#[Out]# 66  56        Mixed Nuts        4.40        4.40
#[Out]# 67  57              Coca        2.95        2.95
#[Out]# 
#[Out]# [68 rows x 4 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, MIN(price), MAX(price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  MIN(price)  MAX(price)
#[Out]# 0   11           Apples        3.20        3.20
#[Out]# 1   40           Apples        4.10        4.10
#[Out]# 2   41           Apples        3.35        3.35
#[Out]# 3   50           Apples        3.85        3.85
#[Out]# 4    5             Beef       13.40       13.40
#[Out]# 5    9             Beef       13.15       13.15
#[Out]# 6   42             Beef       11.40       11.40
#[Out]# 7   54             Beef       12.55       12.55
#[Out]# 8    5            Bread        2.45        2.45
#[Out]# 9   29            Bread        1.95        1.95
#[Out]# 10  48          Carrots        1.15        1.15
#[Out]# 11   6      Cashew Nuts        4.35        4.35
#[Out]# 12  29      Cashew Nuts        5.15        5.15
#[Out]# 13  31      Cashew Nuts        4.60        4.60
#[Out]# 14   3             Coca        2.10        2.10
#[Out]# 15  17             Coca        2.20        2.20
#[Out]# 16  33             Coca        2.25        2.25
#[Out]# 17  44             Coca        2.65        2.65
#[Out]# 18  57             Coca        2.95        2.95
#[Out]# 19   6        Cucumbers        1.00        1.00
#[Out]# 20  11        Cucumbers        1.30        1.30
#[Out]# 21  12        Cucumbers        1.25        1.25
#[Out]# 22  13        Cucumbers        1.25        1.25
#[Out]# 23  35           Donuts        4.00        4.00
#[Out]# 24  56           Donuts        4.35        4.35
#[Out]# 25   4             Eggs        4.20        4.20
#[Out]# 26  12             Eggs        3.55        3.55
#[Out]# 27  35             Eggs        4.15        4.15
#[Out]# 28  45             Eggs        4.10        4.10
#[Out]# 29   3     Green Pepper        1.35        1.35
#[Out]# ..  ..              ...         ...         ...
#[Out]# 38   7       Mixed Nuts        5.80        5.80
#[Out]# 39  41       Mixed Nuts        4.60        4.60
#[Out]# 40  55       Mixed Nuts        4.80        4.80
#[Out]# 41  56       Mixed Nuts        4.40        4.40
#[Out]# 42   1        Mushrooms        0.45        0.45
#[Out]# 43  19           Onions        1.20        1.20
#[Out]# 44  45           Onions        1.00        1.00
#[Out]# 45   5          Oranges        4.10        4.10
#[Out]# 46  38          Oranges        3.55        3.55
#[Out]# 47  28            Pizza        8.50        8.50
#[Out]# 48  35            Pizza        8.85        8.85
#[Out]# 49  40            Pizza        6.90        6.90
#[Out]# 50  11         Potatoes        2.10        2.10
#[Out]# 51  12         Potatoes        1.70        1.70
#[Out]# 52   2             Rice        2.00        2.00
#[Out]# 53   5             Rice        1.65        1.65
#[Out]# 54   6             Rice        1.85        1.85
#[Out]# 55  11             Rice        1.90        1.90
#[Out]# 56  21  Spiced Biscuits        2.10        2.10
#[Out]# 57  38  Spiced Biscuits        1.80        1.80
#[Out]# 58  16              Tea        1.60        1.60
#[Out]# 59  30              Tea        2.05        2.05
#[Out]# 60  50              Tea        1.95        1.95
#[Out]# 61  51              Tea        1.55        1.55
#[Out]# 62  35         Tomatoes        2.20        2.20
#[Out]# 63  43         Tomatoes        1.95        1.95
#[Out]# 64  47         Tomatoes        1.85        1.85
#[Out]# 65  34            Water        0.45        0.45
#[Out]# 66  50            Water        0.55        0.55
#[Out]# 67  51            Water        0.60        0.60
#[Out]# 
#[Out]# [68 rows x 4 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, MAX(price) - MIN (price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  MAX(price) - MIN (price)
#[Out]# 0   11           Apples                       0.0
#[Out]# 1   40           Apples                       0.0
#[Out]# 2   41           Apples                       0.0
#[Out]# 3   50           Apples                       0.0
#[Out]# 4    5             Beef                       0.0
#[Out]# 5    9             Beef                       0.0
#[Out]# 6   42             Beef                       0.0
#[Out]# 7   54             Beef                       0.0
#[Out]# 8    5            Bread                       0.0
#[Out]# 9   29            Bread                       0.0
#[Out]# 10  48          Carrots                       0.0
#[Out]# 11   6      Cashew Nuts                       0.0
#[Out]# 12  29      Cashew Nuts                       0.0
#[Out]# 13  31      Cashew Nuts                       0.0
#[Out]# 14   3             Coca                       0.0
#[Out]# 15  17             Coca                       0.0
#[Out]# 16  33             Coca                       0.0
#[Out]# 17  44             Coca                       0.0
#[Out]# 18  57             Coca                       0.0
#[Out]# 19   6        Cucumbers                       0.0
#[Out]# 20  11        Cucumbers                       0.0
#[Out]# 21  12        Cucumbers                       0.0
#[Out]# 22  13        Cucumbers                       0.0
#[Out]# 23  35           Donuts                       0.0
#[Out]# 24  56           Donuts                       0.0
#[Out]# 25   4             Eggs                       0.0
#[Out]# 26  12             Eggs                       0.0
#[Out]# 27  35             Eggs                       0.0
#[Out]# 28  45             Eggs                       0.0
#[Out]# 29   3     Green Pepper                       0.0
#[Out]# ..  ..              ...                       ...
#[Out]# 38   7       Mixed Nuts                       0.0
#[Out]# 39  41       Mixed Nuts                       0.0
#[Out]# 40  55       Mixed Nuts                       0.0
#[Out]# 41  56       Mixed Nuts                       0.0
#[Out]# 42   1        Mushrooms                       0.0
#[Out]# 43  19           Onions                       0.0
#[Out]# 44  45           Onions                       0.0
#[Out]# 45   5          Oranges                       0.0
#[Out]# 46  38          Oranges                       0.0
#[Out]# 47  28            Pizza                       0.0
#[Out]# 48  35            Pizza                       0.0
#[Out]# 49  40            Pizza                       0.0
#[Out]# 50  11         Potatoes                       0.0
#[Out]# 51  12         Potatoes                       0.0
#[Out]# 52   2             Rice                       0.0
#[Out]# 53   5             Rice                       0.0
#[Out]# 54   6             Rice                       0.0
#[Out]# 55  11             Rice                       0.0
#[Out]# 56  21  Spiced Biscuits                       0.0
#[Out]# 57  38  Spiced Biscuits                       0.0
#[Out]# 58  16              Tea                       0.0
#[Out]# 59  30              Tea                       0.0
#[Out]# 60  50              Tea                       0.0
#[Out]# 61  51              Tea                       0.0
#[Out]# 62  35         Tomatoes                       0.0
#[Out]# 63  43         Tomatoes                       0.0
#[Out]# 64  47         Tomatoes                       0.0
#[Out]# 65  34            Water                       0.0
#[Out]# 66  50            Water                       0.0
#[Out]# 67  51            Water                       0.0
#[Out]# 
#[Out]# [68 rows x 3 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) - MIN (price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price) - MIN (price)
#[Out]# 0   11           Apples   3.20                       0.0
#[Out]# 1   40           Apples   4.10                       0.0
#[Out]# 2   41           Apples   3.35                       0.0
#[Out]# 3   50           Apples   3.85                       0.0
#[Out]# 4    5             Beef  13.40                       0.0
#[Out]# 5    9             Beef  13.15                       0.0
#[Out]# 6   42             Beef  11.40                       0.0
#[Out]# 7   54             Beef  12.55                       0.0
#[Out]# 8    5            Bread   2.45                       0.0
#[Out]# 9   29            Bread   1.95                       0.0
#[Out]# 10  48          Carrots   1.15                       0.0
#[Out]# 11   6      Cashew Nuts   4.35                       0.0
#[Out]# 12  29      Cashew Nuts   5.15                       0.0
#[Out]# 13  31      Cashew Nuts   4.60                       0.0
#[Out]# 14   3             Coca   2.10                       0.0
#[Out]# 15  17             Coca   2.20                       0.0
#[Out]# 16  33             Coca   2.25                       0.0
#[Out]# 17  44             Coca   2.65                       0.0
#[Out]# 18  57             Coca   2.95                       0.0
#[Out]# 19   6        Cucumbers   1.00                       0.0
#[Out]# 20  11        Cucumbers   1.30                       0.0
#[Out]# 21  12        Cucumbers   1.25                       0.0
#[Out]# 22  13        Cucumbers   1.25                       0.0
#[Out]# 23  35           Donuts   4.00                       0.0
#[Out]# 24  56           Donuts   4.35                       0.0
#[Out]# 25   4             Eggs   4.20                       0.0
#[Out]# 26  12             Eggs   3.55                       0.0
#[Out]# 27  35             Eggs   4.15                       0.0
#[Out]# 28  45             Eggs   4.10                       0.0
#[Out]# 29   3     Green Pepper   1.35                       0.0
#[Out]# ..  ..              ...    ...                       ...
#[Out]# 38   7       Mixed Nuts   5.80                       0.0
#[Out]# 39  41       Mixed Nuts   4.60                       0.0
#[Out]# 40  55       Mixed Nuts   4.80                       0.0
#[Out]# 41  56       Mixed Nuts   4.40                       0.0
#[Out]# 42   1        Mushrooms   0.45                       0.0
#[Out]# 43  19           Onions   1.20                       0.0
#[Out]# 44  45           Onions   1.00                       0.0
#[Out]# 45   5          Oranges   4.10                       0.0
#[Out]# 46  38          Oranges   3.55                       0.0
#[Out]# 47  28            Pizza   8.50                       0.0
#[Out]# 48  35            Pizza   8.85                       0.0
#[Out]# 49  40            Pizza   6.90                       0.0
#[Out]# 50  11         Potatoes   2.10                       0.0
#[Out]# 51  12         Potatoes   1.70                       0.0
#[Out]# 52   2             Rice   2.00                       0.0
#[Out]# 53   5             Rice   1.65                       0.0
#[Out]# 54   6             Rice   1.85                       0.0
#[Out]# 55  11             Rice   1.90                       0.0
#[Out]# 56  21  Spiced Biscuits   2.10                       0.0
#[Out]# 57  38  Spiced Biscuits   1.80                       0.0
#[Out]# 58  16              Tea   1.60                       0.0
#[Out]# 59  30              Tea   2.05                       0.0
#[Out]# 60  50              Tea   1.95                       0.0
#[Out]# 61  51              Tea   1.55                       0.0
#[Out]# 62  35         Tomatoes   2.20                       0.0
#[Out]# 63  43         Tomatoes   1.95                       0.0
#[Out]# 64  47         Tomatoes   1.85                       0.0
#[Out]# 65  34            Water   0.45                       0.0
#[Out]# 66  50            Water   0.55                       0.0
#[Out]# 67  51            Water   0.60                       0.0
#[Out]# 
#[Out]# [68 rows x 4 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price), MIN (price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price)  MIN (price)
#[Out]# 0   11           Apples   3.20        3.20         3.20
#[Out]# 1   40           Apples   4.10        4.10         4.10
#[Out]# 2   41           Apples   3.35        3.35         3.35
#[Out]# 3   50           Apples   3.85        3.85         3.85
#[Out]# 4    5             Beef  13.40       13.40        13.40
#[Out]# 5    9             Beef  13.15       13.15        13.15
#[Out]# 6   42             Beef  11.40       11.40        11.40
#[Out]# 7   54             Beef  12.55       12.55        12.55
#[Out]# 8    5            Bread   2.45        2.45         2.45
#[Out]# 9   29            Bread   1.95        1.95         1.95
#[Out]# 10  48          Carrots   1.15        1.15         1.15
#[Out]# 11   6      Cashew Nuts   4.35        4.35         4.35
#[Out]# 12  29      Cashew Nuts   5.15        5.15         5.15
#[Out]# 13  31      Cashew Nuts   4.60        4.60         4.60
#[Out]# 14   3             Coca   2.10        2.10         2.10
#[Out]# 15  17             Coca   2.20        2.20         2.20
#[Out]# 16  33             Coca   2.25        2.25         2.25
#[Out]# 17  44             Coca   2.65        2.65         2.65
#[Out]# 18  57             Coca   2.95        2.95         2.95
#[Out]# 19   6        Cucumbers   1.00        1.00         1.00
#[Out]# 20  11        Cucumbers   1.30        1.30         1.30
#[Out]# 21  12        Cucumbers   1.25        1.25         1.25
#[Out]# 22  13        Cucumbers   1.25        1.25         1.25
#[Out]# 23  35           Donuts   4.00        4.00         4.00
#[Out]# 24  56           Donuts   4.35        4.35         4.35
#[Out]# 25   4             Eggs   4.20        4.20         4.20
#[Out]# 26  12             Eggs   3.55        3.55         3.55
#[Out]# 27  35             Eggs   4.15        4.15         4.15
#[Out]# 28  45             Eggs   4.10        4.10         4.10
#[Out]# 29   3     Green Pepper   1.35        1.35         1.35
#[Out]# ..  ..              ...    ...         ...          ...
#[Out]# 38   7       Mixed Nuts   5.80        5.80         5.80
#[Out]# 39  41       Mixed Nuts   4.60        4.60         4.60
#[Out]# 40  55       Mixed Nuts   4.80        4.80         4.80
#[Out]# 41  56       Mixed Nuts   4.40        4.40         4.40
#[Out]# 42   1        Mushrooms   0.45        0.45         0.45
#[Out]# 43  19           Onions   1.20        1.20         1.20
#[Out]# 44  45           Onions   1.00        1.00         1.00
#[Out]# 45   5          Oranges   4.10        4.10         4.10
#[Out]# 46  38          Oranges   3.55        3.55         3.55
#[Out]# 47  28            Pizza   8.50        8.50         8.50
#[Out]# 48  35            Pizza   8.85        8.85         8.85
#[Out]# 49  40            Pizza   6.90        6.90         6.90
#[Out]# 50  11         Potatoes   2.10        2.10         2.10
#[Out]# 51  12         Potatoes   1.70        1.70         1.70
#[Out]# 52   2             Rice   2.00        2.00         2.00
#[Out]# 53   5             Rice   1.65        1.65         1.65
#[Out]# 54   6             Rice   1.85        1.85         1.85
#[Out]# 55  11             Rice   1.90        1.90         1.90
#[Out]# 56  21  Spiced Biscuits   2.10        2.10         2.10
#[Out]# 57  38  Spiced Biscuits   1.80        1.80         1.80
#[Out]# 58  16              Tea   1.60        1.60         1.60
#[Out]# 59  30              Tea   2.05        2.05         2.05
#[Out]# 60  50              Tea   1.95        1.95         1.95
#[Out]# 61  51              Tea   1.55        1.55         1.55
#[Out]# 62  35         Tomatoes   2.20        2.20         2.20
#[Out]# 63  43         Tomatoes   1.95        1.95         1.95
#[Out]# 64  47         Tomatoes   1.85        1.85         1.85
#[Out]# 65  34            Water   0.45        0.45         0.45
#[Out]# 66  50            Water   0.55        0.55         0.55
#[Out]# 67  51            Water   0.60        0.60         0.60
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) max, MIN (price) min, max-min diff
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) [max], MIN (price) min, max-min diff
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price), MIN (price), MAX(price)-MIN (price) diff
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price)  MIN (price)  diff
#[Out]# 0   11           Apples   3.20        3.20         3.20   0.0
#[Out]# 1   40           Apples   4.10        4.10         4.10   0.0
#[Out]# 2   41           Apples   3.35        3.35         3.35   0.0
#[Out]# 3   50           Apples   3.85        3.85         3.85   0.0
#[Out]# 4    5             Beef  13.40       13.40        13.40   0.0
#[Out]# 5    9             Beef  13.15       13.15        13.15   0.0
#[Out]# 6   42             Beef  11.40       11.40        11.40   0.0
#[Out]# 7   54             Beef  12.55       12.55        12.55   0.0
#[Out]# 8    5            Bread   2.45        2.45         2.45   0.0
#[Out]# 9   29            Bread   1.95        1.95         1.95   0.0
#[Out]# 10  48          Carrots   1.15        1.15         1.15   0.0
#[Out]# 11   6      Cashew Nuts   4.35        4.35         4.35   0.0
#[Out]# 12  29      Cashew Nuts   5.15        5.15         5.15   0.0
#[Out]# 13  31      Cashew Nuts   4.60        4.60         4.60   0.0
#[Out]# 14   3             Coca   2.10        2.10         2.10   0.0
#[Out]# 15  17             Coca   2.20        2.20         2.20   0.0
#[Out]# 16  33             Coca   2.25        2.25         2.25   0.0
#[Out]# 17  44             Coca   2.65        2.65         2.65   0.0
#[Out]# 18  57             Coca   2.95        2.95         2.95   0.0
#[Out]# 19   6        Cucumbers   1.00        1.00         1.00   0.0
#[Out]# 20  11        Cucumbers   1.30        1.30         1.30   0.0
#[Out]# 21  12        Cucumbers   1.25        1.25         1.25   0.0
#[Out]# 22  13        Cucumbers   1.25        1.25         1.25   0.0
#[Out]# 23  35           Donuts   4.00        4.00         4.00   0.0
#[Out]# 24  56           Donuts   4.35        4.35         4.35   0.0
#[Out]# 25   4             Eggs   4.20        4.20         4.20   0.0
#[Out]# 26  12             Eggs   3.55        3.55         3.55   0.0
#[Out]# 27  35             Eggs   4.15        4.15         4.15   0.0
#[Out]# 28  45             Eggs   4.10        4.10         4.10   0.0
#[Out]# 29   3     Green Pepper   1.35        1.35         1.35   0.0
#[Out]# ..  ..              ...    ...         ...          ...   ...
#[Out]# 38   7       Mixed Nuts   5.80        5.80         5.80   0.0
#[Out]# 39  41       Mixed Nuts   4.60        4.60         4.60   0.0
#[Out]# 40  55       Mixed Nuts   4.80        4.80         4.80   0.0
#[Out]# 41  56       Mixed Nuts   4.40        4.40         4.40   0.0
#[Out]# 42   1        Mushrooms   0.45        0.45         0.45   0.0
#[Out]# 43  19           Onions   1.20        1.20         1.20   0.0
#[Out]# 44  45           Onions   1.00        1.00         1.00   0.0
#[Out]# 45   5          Oranges   4.10        4.10         4.10   0.0
#[Out]# 46  38          Oranges   3.55        3.55         3.55   0.0
#[Out]# 47  28            Pizza   8.50        8.50         8.50   0.0
#[Out]# 48  35            Pizza   8.85        8.85         8.85   0.0
#[Out]# 49  40            Pizza   6.90        6.90         6.90   0.0
#[Out]# 50  11         Potatoes   2.10        2.10         2.10   0.0
#[Out]# 51  12         Potatoes   1.70        1.70         1.70   0.0
#[Out]# 52   2             Rice   2.00        2.00         2.00   0.0
#[Out]# 53   5             Rice   1.65        1.65         1.65   0.0
#[Out]# 54   6             Rice   1.85        1.85         1.85   0.0
#[Out]# 55  11             Rice   1.90        1.90         1.90   0.0
#[Out]# 56  21  Spiced Biscuits   2.10        2.10         2.10   0.0
#[Out]# 57  38  Spiced Biscuits   1.80        1.80         1.80   0.0
#[Out]# 58  16              Tea   1.60        1.60         1.60   0.0
#[Out]# 59  30              Tea   2.05        2.05         2.05   0.0
#[Out]# 60  50              Tea   1.95        1.95         1.95   0.0
#[Out]# 61  51              Tea   1.55        1.55         1.55   0.0
#[Out]# 62  35         Tomatoes   2.20        2.20         2.20   0.0
#[Out]# 63  43         Tomatoes   1.95        1.95         1.95   0.0
#[Out]# 64  47         Tomatoes   1.85        1.85         1.85   0.0
#[Out]# 65  34            Water   0.45        0.45         0.45   0.0
#[Out]# 66  50            Water   0.55        0.55         0.55   0.0
#[Out]# 67  51            Water   0.60        0.60         0.60   0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, typeof(MAX(price)), MIN (price), MAX(price)-MIN(price) diff
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price typeof(MAX(price))  MIN (price)  diff
#[Out]# 0   11           Apples   3.20               real         3.20   0.0
#[Out]# 1   40           Apples   4.10               real         4.10   0.0
#[Out]# 2   41           Apples   3.35               real         3.35   0.0
#[Out]# 3   50           Apples   3.85               real         3.85   0.0
#[Out]# 4    5             Beef  13.40               real        13.40   0.0
#[Out]# 5    9             Beef  13.15               real        13.15   0.0
#[Out]# 6   42             Beef  11.40               real        11.40   0.0
#[Out]# 7   54             Beef  12.55               real        12.55   0.0
#[Out]# 8    5            Bread   2.45               real         2.45   0.0
#[Out]# 9   29            Bread   1.95               real         1.95   0.0
#[Out]# 10  48          Carrots   1.15               real         1.15   0.0
#[Out]# 11   6      Cashew Nuts   4.35               real         4.35   0.0
#[Out]# 12  29      Cashew Nuts   5.15               real         5.15   0.0
#[Out]# 13  31      Cashew Nuts   4.60               real         4.60   0.0
#[Out]# 14   3             Coca   2.10               real         2.10   0.0
#[Out]# 15  17             Coca   2.20               real         2.20   0.0
#[Out]# 16  33             Coca   2.25               real         2.25   0.0
#[Out]# 17  44             Coca   2.65               real         2.65   0.0
#[Out]# 18  57             Coca   2.95               real         2.95   0.0
#[Out]# 19   6        Cucumbers   1.00            integer         1.00   0.0
#[Out]# 20  11        Cucumbers   1.30               real         1.30   0.0
#[Out]# 21  12        Cucumbers   1.25               real         1.25   0.0
#[Out]# 22  13        Cucumbers   1.25               real         1.25   0.0
#[Out]# 23  35           Donuts   4.00            integer         4.00   0.0
#[Out]# 24  56           Donuts   4.35               real         4.35   0.0
#[Out]# 25   4             Eggs   4.20               real         4.20   0.0
#[Out]# 26  12             Eggs   3.55               real         3.55   0.0
#[Out]# 27  35             Eggs   4.15               real         4.15   0.0
#[Out]# 28  45             Eggs   4.10               real         4.10   0.0
#[Out]# 29   3     Green Pepper   1.35               real         1.35   0.0
#[Out]# ..  ..              ...    ...                ...          ...   ...
#[Out]# 38   7       Mixed Nuts   5.80               real         5.80   0.0
#[Out]# 39  41       Mixed Nuts   4.60               real         4.60   0.0
#[Out]# 40  55       Mixed Nuts   4.80               real         4.80   0.0
#[Out]# 41  56       Mixed Nuts   4.40               real         4.40   0.0
#[Out]# 42   1        Mushrooms   0.45               real         0.45   0.0
#[Out]# 43  19           Onions   1.20               real         1.20   0.0
#[Out]# 44  45           Onions   1.00            integer         1.00   0.0
#[Out]# 45   5          Oranges   4.10               real         4.10   0.0
#[Out]# 46  38          Oranges   3.55               real         3.55   0.0
#[Out]# 47  28            Pizza   8.50               real         8.50   0.0
#[Out]# 48  35            Pizza   8.85               real         8.85   0.0
#[Out]# 49  40            Pizza   6.90               real         6.90   0.0
#[Out]# 50  11         Potatoes   2.10               real         2.10   0.0
#[Out]# 51  12         Potatoes   1.70               real         1.70   0.0
#[Out]# 52   2             Rice   2.00            integer         2.00   0.0
#[Out]# 53   5             Rice   1.65               real         1.65   0.0
#[Out]# 54   6             Rice   1.85               real         1.85   0.0
#[Out]# 55  11             Rice   1.90               real         1.90   0.0
#[Out]# 56  21  Spiced Biscuits   2.10               real         2.10   0.0
#[Out]# 57  38  Spiced Biscuits   1.80               real         1.80   0.0
#[Out]# 58  16              Tea   1.60               real         1.60   0.0
#[Out]# 59  30              Tea   2.05               real         2.05   0.0
#[Out]# 60  50              Tea   1.95               real         1.95   0.0
#[Out]# 61  51              Tea   1.55               real         1.55   0.0
#[Out]# 62  35         Tomatoes   2.20               real         2.20   0.0
#[Out]# 63  43         Tomatoes   1.95               real         1.95   0.0
#[Out]# 64  47         Tomatoes   1.85               real         1.85   0.0
#[Out]# 65  34            Water   0.45               real         0.45   0.0
#[Out]# 66  50            Water   0.55               real         0.55   0.0
#[Out]# 67  51            Water   0.60               real         0.60   0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, typeof(MAX(price)), typeof(MIN(price)), MAX(price)-MIN(price) diff
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price typeof(MAX(price)) typeof(MIN(price))  diff
#[Out]# 0   11           Apples   3.20               real               real   0.0
#[Out]# 1   40           Apples   4.10               real               real   0.0
#[Out]# 2   41           Apples   3.35               real               real   0.0
#[Out]# 3   50           Apples   3.85               real               real   0.0
#[Out]# 4    5             Beef  13.40               real               real   0.0
#[Out]# 5    9             Beef  13.15               real               real   0.0
#[Out]# 6   42             Beef  11.40               real               real   0.0
#[Out]# 7   54             Beef  12.55               real               real   0.0
#[Out]# 8    5            Bread   2.45               real               real   0.0
#[Out]# 9   29            Bread   1.95               real               real   0.0
#[Out]# 10  48          Carrots   1.15               real               real   0.0
#[Out]# 11   6      Cashew Nuts   4.35               real               real   0.0
#[Out]# 12  29      Cashew Nuts   5.15               real               real   0.0
#[Out]# 13  31      Cashew Nuts   4.60               real               real   0.0
#[Out]# 14   3             Coca   2.10               real               real   0.0
#[Out]# 15  17             Coca   2.20               real               real   0.0
#[Out]# 16  33             Coca   2.25               real               real   0.0
#[Out]# 17  44             Coca   2.65               real               real   0.0
#[Out]# 18  57             Coca   2.95               real               real   0.0
#[Out]# 19   6        Cucumbers   1.00            integer            integer   0.0
#[Out]# 20  11        Cucumbers   1.30               real               real   0.0
#[Out]# 21  12        Cucumbers   1.25               real               real   0.0
#[Out]# 22  13        Cucumbers   1.25               real               real   0.0
#[Out]# 23  35           Donuts   4.00            integer            integer   0.0
#[Out]# 24  56           Donuts   4.35               real               real   0.0
#[Out]# 25   4             Eggs   4.20               real               real   0.0
#[Out]# 26  12             Eggs   3.55               real               real   0.0
#[Out]# 27  35             Eggs   4.15               real               real   0.0
#[Out]# 28  45             Eggs   4.10               real               real   0.0
#[Out]# 29   3     Green Pepper   1.35               real               real   0.0
#[Out]# ..  ..              ...    ...                ...                ...   ...
#[Out]# 38   7       Mixed Nuts   5.80               real               real   0.0
#[Out]# 39  41       Mixed Nuts   4.60               real               real   0.0
#[Out]# 40  55       Mixed Nuts   4.80               real               real   0.0
#[Out]# 41  56       Mixed Nuts   4.40               real               real   0.0
#[Out]# 42   1        Mushrooms   0.45               real               real   0.0
#[Out]# 43  19           Onions   1.20               real               real   0.0
#[Out]# 44  45           Onions   1.00            integer            integer   0.0
#[Out]# 45   5          Oranges   4.10               real               real   0.0
#[Out]# 46  38          Oranges   3.55               real               real   0.0
#[Out]# 47  28            Pizza   8.50               real               real   0.0
#[Out]# 48  35            Pizza   8.85               real               real   0.0
#[Out]# 49  40            Pizza   6.90               real               real   0.0
#[Out]# 50  11         Potatoes   2.10               real               real   0.0
#[Out]# 51  12         Potatoes   1.70               real               real   0.0
#[Out]# 52   2             Rice   2.00            integer            integer   0.0
#[Out]# 53   5             Rice   1.65               real               real   0.0
#[Out]# 54   6             Rice   1.85               real               real   0.0
#[Out]# 55  11             Rice   1.90               real               real   0.0
#[Out]# 56  21  Spiced Biscuits   2.10               real               real   0.0
#[Out]# 57  38  Spiced Biscuits   1.80               real               real   0.0
#[Out]# 58  16              Tea   1.60               real               real   0.0
#[Out]# 59  30              Tea   2.05               real               real   0.0
#[Out]# 60  50              Tea   1.95               real               real   0.0
#[Out]# 61  51              Tea   1.55               real               real   0.0
#[Out]# 62  35         Tomatoes   2.20               real               real   0.0
#[Out]# 63  43         Tomatoes   1.95               real               real   0.0
#[Out]# 64  47         Tomatoes   1.85               real               real   0.0
#[Out]# 65  34            Water   0.45               real               real   0.0
#[Out]# 66  50            Water   0.55               real               real   0.0
#[Out]# 67  51            Water   0.60               real               real   0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price), MIN(price), MAX(price)-MIN(price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price)  MIN(price)  MAX(price)-MIN(price)
#[Out]# 0   11           Apples   3.20        3.20        3.20                    0.0
#[Out]# 1   40           Apples   4.10        4.10        4.10                    0.0
#[Out]# 2   41           Apples   3.35        3.35        3.35                    0.0
#[Out]# 3   50           Apples   3.85        3.85        3.85                    0.0
#[Out]# 4    5             Beef  13.40       13.40       13.40                    0.0
#[Out]# 5    9             Beef  13.15       13.15       13.15                    0.0
#[Out]# 6   42             Beef  11.40       11.40       11.40                    0.0
#[Out]# 7   54             Beef  12.55       12.55       12.55                    0.0
#[Out]# 8    5            Bread   2.45        2.45        2.45                    0.0
#[Out]# 9   29            Bread   1.95        1.95        1.95                    0.0
#[Out]# 10  48          Carrots   1.15        1.15        1.15                    0.0
#[Out]# 11   6      Cashew Nuts   4.35        4.35        4.35                    0.0
#[Out]# 12  29      Cashew Nuts   5.15        5.15        5.15                    0.0
#[Out]# 13  31      Cashew Nuts   4.60        4.60        4.60                    0.0
#[Out]# 14   3             Coca   2.10        2.10        2.10                    0.0
#[Out]# 15  17             Coca   2.20        2.20        2.20                    0.0
#[Out]# 16  33             Coca   2.25        2.25        2.25                    0.0
#[Out]# 17  44             Coca   2.65        2.65        2.65                    0.0
#[Out]# 18  57             Coca   2.95        2.95        2.95                    0.0
#[Out]# 19   6        Cucumbers   1.00        1.00        1.00                    0.0
#[Out]# 20  11        Cucumbers   1.30        1.30        1.30                    0.0
#[Out]# 21  12        Cucumbers   1.25        1.25        1.25                    0.0
#[Out]# 22  13        Cucumbers   1.25        1.25        1.25                    0.0
#[Out]# 23  35           Donuts   4.00        4.00        4.00                    0.0
#[Out]# 24  56           Donuts   4.35        4.35        4.35                    0.0
#[Out]# 25   4             Eggs   4.20        4.20        4.20                    0.0
#[Out]# 26  12             Eggs   3.55        3.55        3.55                    0.0
#[Out]# 27  35             Eggs   4.15        4.15        4.15                    0.0
#[Out]# 28  45             Eggs   4.10        4.10        4.10                    0.0
#[Out]# 29   3     Green Pepper   1.35        1.35        1.35                    0.0
#[Out]# ..  ..              ...    ...         ...         ...                    ...
#[Out]# 38   7       Mixed Nuts   5.80        5.80        5.80                    0.0
#[Out]# 39  41       Mixed Nuts   4.60        4.60        4.60                    0.0
#[Out]# 40  55       Mixed Nuts   4.80        4.80        4.80                    0.0
#[Out]# 41  56       Mixed Nuts   4.40        4.40        4.40                    0.0
#[Out]# 42   1        Mushrooms   0.45        0.45        0.45                    0.0
#[Out]# 43  19           Onions   1.20        1.20        1.20                    0.0
#[Out]# 44  45           Onions   1.00        1.00        1.00                    0.0
#[Out]# 45   5          Oranges   4.10        4.10        4.10                    0.0
#[Out]# 46  38          Oranges   3.55        3.55        3.55                    0.0
#[Out]# 47  28            Pizza   8.50        8.50        8.50                    0.0
#[Out]# 48  35            Pizza   8.85        8.85        8.85                    0.0
#[Out]# 49  40            Pizza   6.90        6.90        6.90                    0.0
#[Out]# 50  11         Potatoes   2.10        2.10        2.10                    0.0
#[Out]# 51  12         Potatoes   1.70        1.70        1.70                    0.0
#[Out]# 52   2             Rice   2.00        2.00        2.00                    0.0
#[Out]# 53   5             Rice   1.65        1.65        1.65                    0.0
#[Out]# 54   6             Rice   1.85        1.85        1.85                    0.0
#[Out]# 55  11             Rice   1.90        1.90        1.90                    0.0
#[Out]# 56  21  Spiced Biscuits   2.10        2.10        2.10                    0.0
#[Out]# 57  38  Spiced Biscuits   1.80        1.80        1.80                    0.0
#[Out]# 58  16              Tea   1.60        1.60        1.60                    0.0
#[Out]# 59  30              Tea   2.05        2.05        2.05                    0.0
#[Out]# 60  50              Tea   1.95        1.95        1.95                    0.0
#[Out]# 61  51              Tea   1.55        1.55        1.55                    0.0
#[Out]# 62  35         Tomatoes   2.20        2.20        2.20                    0.0
#[Out]# 63  43         Tomatoes   1.95        1.95        1.95                    0.0
#[Out]# 64  47         Tomatoes   1.85        1.85        1.85                    0.0
#[Out]# 65  34            Water   0.45        0.45        0.45                    0.0
#[Out]# 66  50            Water   0.55        0.55        0.55                    0.0
#[Out]# 67  51            Water   0.60        0.60        0.60                    0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price), MIN(price), typeof(MAX(price)-MIN(price))
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price)  MIN(price)  \
#[Out]# 0   11           Apples   3.20        3.20        3.20   
#[Out]# 1   40           Apples   4.10        4.10        4.10   
#[Out]# 2   41           Apples   3.35        3.35        3.35   
#[Out]# 3   50           Apples   3.85        3.85        3.85   
#[Out]# 4    5             Beef  13.40       13.40       13.40   
#[Out]# 5    9             Beef  13.15       13.15       13.15   
#[Out]# 6   42             Beef  11.40       11.40       11.40   
#[Out]# 7   54             Beef  12.55       12.55       12.55   
#[Out]# 8    5            Bread   2.45        2.45        2.45   
#[Out]# 9   29            Bread   1.95        1.95        1.95   
#[Out]# 10  48          Carrots   1.15        1.15        1.15   
#[Out]# 11   6      Cashew Nuts   4.35        4.35        4.35   
#[Out]# 12  29      Cashew Nuts   5.15        5.15        5.15   
#[Out]# 13  31      Cashew Nuts   4.60        4.60        4.60   
#[Out]# 14   3             Coca   2.10        2.10        2.10   
#[Out]# 15  17             Coca   2.20        2.20        2.20   
#[Out]# 16  33             Coca   2.25        2.25        2.25   
#[Out]# 17  44             Coca   2.65        2.65        2.65   
#[Out]# 18  57             Coca   2.95        2.95        2.95   
#[Out]# 19   6        Cucumbers   1.00        1.00        1.00   
#[Out]# 20  11        Cucumbers   1.30        1.30        1.30   
#[Out]# 21  12        Cucumbers   1.25        1.25        1.25   
#[Out]# 22  13        Cucumbers   1.25        1.25        1.25   
#[Out]# 23  35           Donuts   4.00        4.00        4.00   
#[Out]# 24  56           Donuts   4.35        4.35        4.35   
#[Out]# 25   4             Eggs   4.20        4.20        4.20   
#[Out]# 26  12             Eggs   3.55        3.55        3.55   
#[Out]# 27  35             Eggs   4.15        4.15        4.15   
#[Out]# 28  45             Eggs   4.10        4.10        4.10   
#[Out]# 29   3     Green Pepper   1.35        1.35        1.35   
#[Out]# ..  ..              ...    ...         ...         ...   
#[Out]# 38   7       Mixed Nuts   5.80        5.80        5.80   
#[Out]# 39  41       Mixed Nuts   4.60        4.60        4.60   
#[Out]# 40  55       Mixed Nuts   4.80        4.80        4.80   
#[Out]# 41  56       Mixed Nuts   4.40        4.40        4.40   
#[Out]# 42   1        Mushrooms   0.45        0.45        0.45   
#[Out]# 43  19           Onions   1.20        1.20        1.20   
#[Out]# 44  45           Onions   1.00        1.00        1.00   
#[Out]# 45   5          Oranges   4.10        4.10        4.10   
#[Out]# 46  38          Oranges   3.55        3.55        3.55   
#[Out]# 47  28            Pizza   8.50        8.50        8.50   
#[Out]# 48  35            Pizza   8.85        8.85        8.85   
#[Out]# 49  40            Pizza   6.90        6.90        6.90   
#[Out]# 50  11         Potatoes   2.10        2.10        2.10   
#[Out]# 51  12         Potatoes   1.70        1.70        1.70   
#[Out]# 52   2             Rice   2.00        2.00        2.00   
#[Out]# 53   5             Rice   1.65        1.65        1.65   
#[Out]# 54   6             Rice   1.85        1.85        1.85   
#[Out]# 55  11             Rice   1.90        1.90        1.90   
#[Out]# 56  21  Spiced Biscuits   2.10        2.10        2.10   
#[Out]# 57  38  Spiced Biscuits   1.80        1.80        1.80   
#[Out]# 58  16              Tea   1.60        1.60        1.60   
#[Out]# 59  30              Tea   2.05        2.05        2.05   
#[Out]# 60  50              Tea   1.95        1.95        1.95   
#[Out]# 61  51              Tea   1.55        1.55        1.55   
#[Out]# 62  35         Tomatoes   2.20        2.20        2.20   
#[Out]# 63  43         Tomatoes   1.95        1.95        1.95   
#[Out]# 64  47         Tomatoes   1.85        1.85        1.85   
#[Out]# 65  34            Water   0.45        0.45        0.45   
#[Out]# 66  50            Water   0.55        0.55        0.55   
#[Out]# 67  51            Water   0.60        0.60        0.60   
#[Out]# 
#[Out]#    typeof(MAX(price)-MIN(price))  
#[Out]# 0                           real  
#[Out]# 1                           real  
#[Out]# 2                           real  
#[Out]# 3                           real  
#[Out]# 4                           real  
#[Out]# 5                           real  
#[Out]# 6                           real  
#[Out]# 7                           real  
#[Out]# 8                           real  
#[Out]# 9                           real  
#[Out]# 10                          real  
#[Out]# 11                          real  
#[Out]# 12                          real  
#[Out]# 13                          real  
#[Out]# 14                          real  
#[Out]# 15                          real  
#[Out]# 16                          real  
#[Out]# 17                          real  
#[Out]# 18                          real  
#[Out]# 19                       integer  
#[Out]# 20                          real  
#[Out]# 21                          real  
#[Out]# 22                          real  
#[Out]# 23                       integer  
#[Out]# 24                          real  
#[Out]# 25                          real  
#[Out]# 26                          real  
#[Out]# 27                          real  
#[Out]# 28                          real  
#[Out]# 29                          real  
#[Out]# ..                           ...  
#[Out]# 38                          real  
#[Out]# 39                          real  
#[Out]# 40                          real  
#[Out]# 41                          real  
#[Out]# 42                          real  
#[Out]# 43                          real  
#[Out]# 44                       integer  
#[Out]# 45                          real  
#[Out]# 46                          real  
#[Out]# 47                          real  
#[Out]# 48                          real  
#[Out]# 49                          real  
#[Out]# 50                          real  
#[Out]# 51                          real  
#[Out]# 52                       integer  
#[Out]# 53                          real  
#[Out]# 54                          real  
#[Out]# 55                          real  
#[Out]# 56                          real  
#[Out]# 57                          real  
#[Out]# 58                          real  
#[Out]# 59                          real  
#[Out]# 60                          real  
#[Out]# 61                          real  
#[Out]# 62                          real  
#[Out]# 63                          real  
#[Out]# 64                          real  
#[Out]# 65                          real  
#[Out]# 66                          real  
#[Out]# 67                          real  
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price), MIN(price), MAX(price)-MIN(price)
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  MAX(price)  MIN(price)  MAX(price)-MIN(price)
#[Out]# 0   11           Apples   3.20        3.20        3.20                    0.0
#[Out]# 1   40           Apples   4.10        4.10        4.10                    0.0
#[Out]# 2   41           Apples   3.35        3.35        3.35                    0.0
#[Out]# 3   50           Apples   3.85        3.85        3.85                    0.0
#[Out]# 4    5             Beef  13.40       13.40       13.40                    0.0
#[Out]# 5    9             Beef  13.15       13.15       13.15                    0.0
#[Out]# 6   42             Beef  11.40       11.40       11.40                    0.0
#[Out]# 7   54             Beef  12.55       12.55       12.55                    0.0
#[Out]# 8    5            Bread   2.45        2.45        2.45                    0.0
#[Out]# 9   29            Bread   1.95        1.95        1.95                    0.0
#[Out]# 10  48          Carrots   1.15        1.15        1.15                    0.0
#[Out]# 11   6      Cashew Nuts   4.35        4.35        4.35                    0.0
#[Out]# 12  29      Cashew Nuts   5.15        5.15        5.15                    0.0
#[Out]# 13  31      Cashew Nuts   4.60        4.60        4.60                    0.0
#[Out]# 14   3             Coca   2.10        2.10        2.10                    0.0
#[Out]# 15  17             Coca   2.20        2.20        2.20                    0.0
#[Out]# 16  33             Coca   2.25        2.25        2.25                    0.0
#[Out]# 17  44             Coca   2.65        2.65        2.65                    0.0
#[Out]# 18  57             Coca   2.95        2.95        2.95                    0.0
#[Out]# 19   6        Cucumbers   1.00        1.00        1.00                    0.0
#[Out]# 20  11        Cucumbers   1.30        1.30        1.30                    0.0
#[Out]# 21  12        Cucumbers   1.25        1.25        1.25                    0.0
#[Out]# 22  13        Cucumbers   1.25        1.25        1.25                    0.0
#[Out]# 23  35           Donuts   4.00        4.00        4.00                    0.0
#[Out]# 24  56           Donuts   4.35        4.35        4.35                    0.0
#[Out]# 25   4             Eggs   4.20        4.20        4.20                    0.0
#[Out]# 26  12             Eggs   3.55        3.55        3.55                    0.0
#[Out]# 27  35             Eggs   4.15        4.15        4.15                    0.0
#[Out]# 28  45             Eggs   4.10        4.10        4.10                    0.0
#[Out]# 29   3     Green Pepper   1.35        1.35        1.35                    0.0
#[Out]# ..  ..              ...    ...         ...         ...                    ...
#[Out]# 38   7       Mixed Nuts   5.80        5.80        5.80                    0.0
#[Out]# 39  41       Mixed Nuts   4.60        4.60        4.60                    0.0
#[Out]# 40  55       Mixed Nuts   4.80        4.80        4.80                    0.0
#[Out]# 41  56       Mixed Nuts   4.40        4.40        4.40                    0.0
#[Out]# 42   1        Mushrooms   0.45        0.45        0.45                    0.0
#[Out]# 43  19           Onions   1.20        1.20        1.20                    0.0
#[Out]# 44  45           Onions   1.00        1.00        1.00                    0.0
#[Out]# 45   5          Oranges   4.10        4.10        4.10                    0.0
#[Out]# 46  38          Oranges   3.55        3.55        3.55                    0.0
#[Out]# 47  28            Pizza   8.50        8.50        8.50                    0.0
#[Out]# 48  35            Pizza   8.85        8.85        8.85                    0.0
#[Out]# 49  40            Pizza   6.90        6.90        6.90                    0.0
#[Out]# 50  11         Potatoes   2.10        2.10        2.10                    0.0
#[Out]# 51  12         Potatoes   1.70        1.70        1.70                    0.0
#[Out]# 52   2             Rice   2.00        2.00        2.00                    0.0
#[Out]# 53   5             Rice   1.65        1.65        1.65                    0.0
#[Out]# 54   6             Rice   1.85        1.85        1.85                    0.0
#[Out]# 55  11             Rice   1.90        1.90        1.90                    0.0
#[Out]# 56  21  Spiced Biscuits   2.10        2.10        2.10                    0.0
#[Out]# 57  38  Spiced Biscuits   1.80        1.80        1.80                    0.0
#[Out]# 58  16              Tea   1.60        1.60        1.60                    0.0
#[Out]# 59  30              Tea   2.05        2.05        2.05                    0.0
#[Out]# 60  50              Tea   1.95        1.95        1.95                    0.0
#[Out]# 61  51              Tea   1.55        1.55        1.55                    0.0
#[Out]# 62  35         Tomatoes   2.20        2.20        2.20                    0.0
#[Out]# 63  43         Tomatoes   1.95        1.95        1.95                    0.0
#[Out]# 64  47         Tomatoes   1.85        1.85        1.85                    0.0
#[Out]# 65  34            Water   0.45        0.45        0.45                    0.0
#[Out]# 66  50            Water   0.55        0.55        0.55                    0.0
#[Out]# 67  51            Water   0.60        0.60        0.60                    0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) Maximum, MIN(price) Minimum, MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name, ID
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  Maximum  Minimum  Difference
#[Out]# 0   11           Apples   3.20     3.20     3.20         0.0
#[Out]# 1   40           Apples   4.10     4.10     4.10         0.0
#[Out]# 2   41           Apples   3.35     3.35     3.35         0.0
#[Out]# 3   50           Apples   3.85     3.85     3.85         0.0
#[Out]# 4    5             Beef  13.40    13.40    13.40         0.0
#[Out]# 5    9             Beef  13.15    13.15    13.15         0.0
#[Out]# 6   42             Beef  11.40    11.40    11.40         0.0
#[Out]# 7   54             Beef  12.55    12.55    12.55         0.0
#[Out]# 8    5            Bread   2.45     2.45     2.45         0.0
#[Out]# 9   29            Bread   1.95     1.95     1.95         0.0
#[Out]# 10  48          Carrots   1.15     1.15     1.15         0.0
#[Out]# 11   6      Cashew Nuts   4.35     4.35     4.35         0.0
#[Out]# 12  29      Cashew Nuts   5.15     5.15     5.15         0.0
#[Out]# 13  31      Cashew Nuts   4.60     4.60     4.60         0.0
#[Out]# 14   3             Coca   2.10     2.10     2.10         0.0
#[Out]# 15  17             Coca   2.20     2.20     2.20         0.0
#[Out]# 16  33             Coca   2.25     2.25     2.25         0.0
#[Out]# 17  44             Coca   2.65     2.65     2.65         0.0
#[Out]# 18  57             Coca   2.95     2.95     2.95         0.0
#[Out]# 19   6        Cucumbers   1.00     1.00     1.00         0.0
#[Out]# 20  11        Cucumbers   1.30     1.30     1.30         0.0
#[Out]# 21  12        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 22  13        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 23  35           Donuts   4.00     4.00     4.00         0.0
#[Out]# 24  56           Donuts   4.35     4.35     4.35         0.0
#[Out]# 25   4             Eggs   4.20     4.20     4.20         0.0
#[Out]# 26  12             Eggs   3.55     3.55     3.55         0.0
#[Out]# 27  35             Eggs   4.15     4.15     4.15         0.0
#[Out]# 28  45             Eggs   4.10     4.10     4.10         0.0
#[Out]# 29   3     Green Pepper   1.35     1.35     1.35         0.0
#[Out]# ..  ..              ...    ...      ...      ...         ...
#[Out]# 38   7       Mixed Nuts   5.80     5.80     5.80         0.0
#[Out]# 39  41       Mixed Nuts   4.60     4.60     4.60         0.0
#[Out]# 40  55       Mixed Nuts   4.80     4.80     4.80         0.0
#[Out]# 41  56       Mixed Nuts   4.40     4.40     4.40         0.0
#[Out]# 42   1        Mushrooms   0.45     0.45     0.45         0.0
#[Out]# 43  19           Onions   1.20     1.20     1.20         0.0
#[Out]# 44  45           Onions   1.00     1.00     1.00         0.0
#[Out]# 45   5          Oranges   4.10     4.10     4.10         0.0
#[Out]# 46  38          Oranges   3.55     3.55     3.55         0.0
#[Out]# 47  28            Pizza   8.50     8.50     8.50         0.0
#[Out]# 48  35            Pizza   8.85     8.85     8.85         0.0
#[Out]# 49  40            Pizza   6.90     6.90     6.90         0.0
#[Out]# 50  11         Potatoes   2.10     2.10     2.10         0.0
#[Out]# 51  12         Potatoes   1.70     1.70     1.70         0.0
#[Out]# 52   2             Rice   2.00     2.00     2.00         0.0
#[Out]# 53   5             Rice   1.65     1.65     1.65         0.0
#[Out]# 54   6             Rice   1.85     1.85     1.85         0.0
#[Out]# 55  11             Rice   1.90     1.90     1.90         0.0
#[Out]# 56  21  Spiced Biscuits   2.10     2.10     2.10         0.0
#[Out]# 57  38  Spiced Biscuits   1.80     1.80     1.80         0.0
#[Out]# 58  16              Tea   1.60     1.60     1.60         0.0
#[Out]# 59  30              Tea   2.05     2.05     2.05         0.0
#[Out]# 60  50              Tea   1.95     1.95     1.95         0.0
#[Out]# 61  51              Tea   1.55     1.55     1.55         0.0
#[Out]# 62  35         Tomatoes   2.20     2.20     2.20         0.0
#[Out]# 63  43         Tomatoes   1.95     1.95     1.95         0.0
#[Out]# 64  47         Tomatoes   1.85     1.85     1.85         0.0
#[Out]# 65  34            Water   0.45     0.45     0.45         0.0
#[Out]# 66  50            Water   0.55     0.55     0.55         0.0
#[Out]# 67  51            Water   0.60     0.60     0.60         0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) Maximum, MIN(price) Minimum, MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name, ID
    ORDER BY Difference
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  Maximum  Minimum  Difference
#[Out]# 0   11           Apples   3.20     3.20     3.20         0.0
#[Out]# 1   40           Apples   4.10     4.10     4.10         0.0
#[Out]# 2   41           Apples   3.35     3.35     3.35         0.0
#[Out]# 3   50           Apples   3.85     3.85     3.85         0.0
#[Out]# 4    5             Beef  13.40    13.40    13.40         0.0
#[Out]# 5    9             Beef  13.15    13.15    13.15         0.0
#[Out]# 6   42             Beef  11.40    11.40    11.40         0.0
#[Out]# 7   54             Beef  12.55    12.55    12.55         0.0
#[Out]# 8    5            Bread   2.45     2.45     2.45         0.0
#[Out]# 9   29            Bread   1.95     1.95     1.95         0.0
#[Out]# 10  48          Carrots   1.15     1.15     1.15         0.0
#[Out]# 11   6      Cashew Nuts   4.35     4.35     4.35         0.0
#[Out]# 12  29      Cashew Nuts   5.15     5.15     5.15         0.0
#[Out]# 13  31      Cashew Nuts   4.60     4.60     4.60         0.0
#[Out]# 14   3             Coca   2.10     2.10     2.10         0.0
#[Out]# 15  17             Coca   2.20     2.20     2.20         0.0
#[Out]# 16  33             Coca   2.25     2.25     2.25         0.0
#[Out]# 17  44             Coca   2.65     2.65     2.65         0.0
#[Out]# 18  57             Coca   2.95     2.95     2.95         0.0
#[Out]# 19   6        Cucumbers   1.00     1.00     1.00         0.0
#[Out]# 20  11        Cucumbers   1.30     1.30     1.30         0.0
#[Out]# 21  12        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 22  13        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 23  35           Donuts   4.00     4.00     4.00         0.0
#[Out]# 24  56           Donuts   4.35     4.35     4.35         0.0
#[Out]# 25   4             Eggs   4.20     4.20     4.20         0.0
#[Out]# 26  12             Eggs   3.55     3.55     3.55         0.0
#[Out]# 27  35             Eggs   4.15     4.15     4.15         0.0
#[Out]# 28  45             Eggs   4.10     4.10     4.10         0.0
#[Out]# 29   3     Green Pepper   1.35     1.35     1.35         0.0
#[Out]# ..  ..              ...    ...      ...      ...         ...
#[Out]# 38   7       Mixed Nuts   5.80     5.80     5.80         0.0
#[Out]# 39  41       Mixed Nuts   4.60     4.60     4.60         0.0
#[Out]# 40  55       Mixed Nuts   4.80     4.80     4.80         0.0
#[Out]# 41  56       Mixed Nuts   4.40     4.40     4.40         0.0
#[Out]# 42   1        Mushrooms   0.45     0.45     0.45         0.0
#[Out]# 43  19           Onions   1.20     1.20     1.20         0.0
#[Out]# 44  45           Onions   1.00     1.00     1.00         0.0
#[Out]# 45   5          Oranges   4.10     4.10     4.10         0.0
#[Out]# 46  38          Oranges   3.55     3.55     3.55         0.0
#[Out]# 47  28            Pizza   8.50     8.50     8.50         0.0
#[Out]# 48  35            Pizza   8.85     8.85     8.85         0.0
#[Out]# 49  40            Pizza   6.90     6.90     6.90         0.0
#[Out]# 50  11         Potatoes   2.10     2.10     2.10         0.0
#[Out]# 51  12         Potatoes   1.70     1.70     1.70         0.0
#[Out]# 52   2             Rice   2.00     2.00     2.00         0.0
#[Out]# 53   5             Rice   1.65     1.65     1.65         0.0
#[Out]# 54   6             Rice   1.85     1.85     1.85         0.0
#[Out]# 55  11             Rice   1.90     1.90     1.90         0.0
#[Out]# 56  21  Spiced Biscuits   2.10     2.10     2.10         0.0
#[Out]# 57  38  Spiced Biscuits   1.80     1.80     1.80         0.0
#[Out]# 58  16              Tea   1.60     1.60     1.60         0.0
#[Out]# 59  30              Tea   2.05     2.05     2.05         0.0
#[Out]# 60  50              Tea   1.95     1.95     1.95         0.0
#[Out]# 61  51              Tea   1.55     1.55     1.55         0.0
#[Out]# 62  35         Tomatoes   2.20     2.20     2.20         0.0
#[Out]# 63  43         Tomatoes   1.95     1.95     1.95         0.0
#[Out]# 64  47         Tomatoes   1.85     1.85     1.85         0.0
#[Out]# 65  34            Water   0.45     0.45     0.45         0.0
#[Out]# 66  50            Water   0.55     0.55     0.55         0.0
#[Out]# 67  51            Water   0.60     0.60     0.60         0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) Maximum, MIN(price) Minimum, MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name, ID
    ORDER BY Difference DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID             name  price  Maximum  Minimum  Difference
#[Out]# 0   11           Apples   3.20     3.20     3.20         0.0
#[Out]# 1   40           Apples   4.10     4.10     4.10         0.0
#[Out]# 2   41           Apples   3.35     3.35     3.35         0.0
#[Out]# 3   50           Apples   3.85     3.85     3.85         0.0
#[Out]# 4    5             Beef  13.40    13.40    13.40         0.0
#[Out]# 5    9             Beef  13.15    13.15    13.15         0.0
#[Out]# 6   42             Beef  11.40    11.40    11.40         0.0
#[Out]# 7   54             Beef  12.55    12.55    12.55         0.0
#[Out]# 8    5            Bread   2.45     2.45     2.45         0.0
#[Out]# 9   29            Bread   1.95     1.95     1.95         0.0
#[Out]# 10  48          Carrots   1.15     1.15     1.15         0.0
#[Out]# 11   6      Cashew Nuts   4.35     4.35     4.35         0.0
#[Out]# 12  29      Cashew Nuts   5.15     5.15     5.15         0.0
#[Out]# 13  31      Cashew Nuts   4.60     4.60     4.60         0.0
#[Out]# 14   3             Coca   2.10     2.10     2.10         0.0
#[Out]# 15  17             Coca   2.20     2.20     2.20         0.0
#[Out]# 16  33             Coca   2.25     2.25     2.25         0.0
#[Out]# 17  44             Coca   2.65     2.65     2.65         0.0
#[Out]# 18  57             Coca   2.95     2.95     2.95         0.0
#[Out]# 19   6        Cucumbers   1.00     1.00     1.00         0.0
#[Out]# 20  11        Cucumbers   1.30     1.30     1.30         0.0
#[Out]# 21  12        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 22  13        Cucumbers   1.25     1.25     1.25         0.0
#[Out]# 23  35           Donuts   4.00     4.00     4.00         0.0
#[Out]# 24  56           Donuts   4.35     4.35     4.35         0.0
#[Out]# 25   4             Eggs   4.20     4.20     4.20         0.0
#[Out]# 26  12             Eggs   3.55     3.55     3.55         0.0
#[Out]# 27  35             Eggs   4.15     4.15     4.15         0.0
#[Out]# 28  45             Eggs   4.10     4.10     4.10         0.0
#[Out]# 29   3     Green Pepper   1.35     1.35     1.35         0.0
#[Out]# ..  ..              ...    ...      ...      ...         ...
#[Out]# 38   7       Mixed Nuts   5.80     5.80     5.80         0.0
#[Out]# 39  41       Mixed Nuts   4.60     4.60     4.60         0.0
#[Out]# 40  55       Mixed Nuts   4.80     4.80     4.80         0.0
#[Out]# 41  56       Mixed Nuts   4.40     4.40     4.40         0.0
#[Out]# 42   1        Mushrooms   0.45     0.45     0.45         0.0
#[Out]# 43  19           Onions   1.20     1.20     1.20         0.0
#[Out]# 44  45           Onions   1.00     1.00     1.00         0.0
#[Out]# 45   5          Oranges   4.10     4.10     4.10         0.0
#[Out]# 46  38          Oranges   3.55     3.55     3.55         0.0
#[Out]# 47  28            Pizza   8.50     8.50     8.50         0.0
#[Out]# 48  35            Pizza   8.85     8.85     8.85         0.0
#[Out]# 49  40            Pizza   6.90     6.90     6.90         0.0
#[Out]# 50  11         Potatoes   2.10     2.10     2.10         0.0
#[Out]# 51  12         Potatoes   1.70     1.70     1.70         0.0
#[Out]# 52   2             Rice   2.00     2.00     2.00         0.0
#[Out]# 53   5             Rice   1.65     1.65     1.65         0.0
#[Out]# 54   6             Rice   1.85     1.85     1.85         0.0
#[Out]# 55  11             Rice   1.90     1.90     1.90         0.0
#[Out]# 56  21  Spiced Biscuits   2.10     2.10     2.10         0.0
#[Out]# 57  38  Spiced Biscuits   1.80     1.80     1.80         0.0
#[Out]# 58  16              Tea   1.60     1.60     1.60         0.0
#[Out]# 59  30              Tea   2.05     2.05     2.05         0.0
#[Out]# 60  50              Tea   1.95     1.95     1.95         0.0
#[Out]# 61  51              Tea   1.55     1.55     1.55         0.0
#[Out]# 62  35         Tomatoes   2.20     2.20     2.20         0.0
#[Out]# 63  43         Tomatoes   1.95     1.95     1.95         0.0
#[Out]# 64  47         Tomatoes   1.85     1.85     1.85         0.0
#[Out]# 65  34            Water   0.45     0.45     0.45         0.0
#[Out]# 66  50            Water   0.55     0.55     0.55         0.0
#[Out]# 67  51            Water   0.60     0.60     0.60         0.0
#[Out]# 
#[Out]# [68 rows x 6 columns]
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
       ID, name, price, MAX(price) Maximum, MIN(price) Minimum, MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name
    ORDER BY Difference DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     ID              name  price  Maximum  Minimum  Difference
#[Out]# 0   42              Beef  11.40    13.40    11.40        2.00
#[Out]# 1   40             Pizza   6.90     8.85     6.90        1.95
#[Out]# 2   56        Mixed Nuts   4.40     5.80     4.40        1.40
#[Out]# 3   32           Lasanga   6.85     7.75     6.85        0.90
#[Out]# 4   11            Apples   3.20     4.10     3.20        0.90
#[Out]# 5    3              Coca   2.10     2.95     2.10        0.85
#[Out]# 6    6       Cashew Nuts   4.35     5.15     4.35        0.80
#[Out]# 7   33  Hot Dog Sausages   4.80     5.55     4.80        0.75
#[Out]# 8   12              Eggs   3.55     4.20     3.55        0.65
#[Out]# 9   38           Oranges   3.55     4.10     3.55        0.55
#[Out]# 10  29             Bread   1.95     2.45     1.95        0.50
#[Out]# 11  51               Tea   1.55     2.05     1.55        0.50
#[Out]# 12  12          Potatoes   1.70     2.10     1.70        0.40
#[Out]# 13   5              Rice   1.65     2.00     1.65        0.35
#[Out]# 14  47          Tomatoes   1.85     2.20     1.85        0.35
#[Out]# 15  35            Donuts   4.00     4.35     4.00        0.35
#[Out]# 16   6         Cucumbers   1.00     1.30     1.00        0.30
#[Out]# 17  38   Spiced Biscuits   1.80     2.10     1.80        0.30
#[Out]# 18   2              Milk   1.00     1.20     1.00        0.20
#[Out]# 19  45            Onions   1.00     1.20     1.00        0.20
#[Out]# 20  34             Water   0.45     0.60     0.45        0.15
#[Out]# 21  48           Carrots   1.15     1.15     1.15        0.00
#[Out]# 22   3      Green Pepper   1.35     1.35     1.35        0.00
#[Out]# 23   1         Mushrooms   0.45     0.45     0.45        0.00
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
      MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name
    ORDER BY Difference DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     Difference
#[Out]# 0         2.00
#[Out]# 1         1.95
#[Out]# 2         1.40
#[Out]# 3         0.90
#[Out]# 4         0.90
#[Out]# 5         0.85
#[Out]# 6         0.80
#[Out]# 7         0.75
#[Out]# 8         0.65
#[Out]# 9         0.55
#[Out]# 10        0.50
#[Out]# 11        0.50
#[Out]# 12        0.40
#[Out]# 13        0.35
#[Out]# 14        0.35
#[Out]# 15        0.35
#[Out]# 16        0.30
#[Out]# 17        0.30
#[Out]# 18        0.20
#[Out]# 19        0.20
#[Out]# 20        0.15
#[Out]# 21        0.00
#[Out]# 22        0.00
#[Out]# 23        0.00
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    SELECT
      MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name
    ORDER BY Difference DESC
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0
query6 = '''
    /*Create table with needed information*/
    WITH d AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    /*Select the largest difference in price*/
    SELECT
      MAX(price)-MIN(price) Difference
    FROM d
    GROUP BY name
    ORDER BY Difference DESC
    /*Again, this only works in this specific database, not in general.*/
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0
query6 = '''
    /*Create table with needed information*/
    WITH tempTable AS
    (
        SELECT
            i.sID as ID,
            i.date as date,
            i.quantity as q,
            i.unit_price AS price, 
            p.pName as name
        FROM inventory i
        INNER JOIN product p ON i.pID == p.pID
        WHERE i.date is '2018-08-23'
    )
    
    /*Select the largest difference in price*/
    SELECT
      MAX(price)-MIN(price) Difference
    FROM tempTable
    GROUP BY name
    ORDER BY Difference DESC
    /*Again, this only works in this specific database, not in general.*/
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    Difference
#[Out]# 0         2.0

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
print('Already executed, so this has been done.')
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT p.pID 
FROM purchase p JOIN customer c1 JOIN customer c2 JOIN customer c3
WHERE 
c1.cID = c2.cID AND c2.cID = c3.cID AND c1.cID = c3.cID
AND
p.pID = c1.pID AND p.pID = c2.pID AND p.pID = c3.pID
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT p.pID 
FROM purchase p JOIN customer c1 JOIN customer c2 JOIN customer c3
WHERE 
c1.cID = c2.cID AND c2.cID = c3.cID AND c1.cID = c3.cID
AND
p.cID = c1.cID AND p.cID = c2.cID AND p.cID = c3.cID
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT p.pID 
FROM purchase p JOIN customer c1 JOIN customer c2 JOIN customer c3
WHERE /*Test Comment*/
c1.cID = c2.cID AND c2.cID = c3.cID AND c1.cID = c3.cID
AND
p.cID = c1.cID AND p.cID = c2.cID AND p.cID = c3.cID
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT * 
FROM purchase p JOIN customer c1 JOIN customer c2 JOIN customer c3
WHERE
/*First, make sure the join between all customer tables go correctly.*/
c1.cID = c2.cID AND c2.cID = c3.cID AND c1.cID = c3.cID
/*Then, join that with purchase table*/
AND
p.cID = c1.cID AND p.cID = c2.cID AND p.cID = c3.cID 
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  cID   cName            street       city  \
#[Out]# 0           Koestraat    Utrecht    0    Noah         Koestraat    Utrecht   
#[Out]# 1    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 2    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 3    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 4    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 5    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 6    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 7    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 8    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 9    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 10   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 11   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 12   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 13      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 14      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 15      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 16       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 17       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 18       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 19       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 20       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 21       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 22     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 23     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 24     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 25     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 26     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 27     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 28       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# 29       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# ..                ...        ...  ...     ...               ...        ...   
#[Out]# 479          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 480          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 481          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 482          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 483          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 484          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 485          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 486          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 487          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 488          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 489          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 490          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 491          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 492          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 493          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 494          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 495          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 496          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 497          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 498          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 499          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 500          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 501          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 502          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 503          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 504          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 505          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 506          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 507          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 508          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 
#[Out]#      cID   cName            street       city  
#[Out]# 0      0    Noah         Koestraat    Utrecht  
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 13     3    Finn     Stationsplein      Breda  
#[Out]# 14     3    Finn     Stationsplein      Breda  
#[Out]# 15     3    Finn     Stationsplein      Breda  
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven  
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven  
#[Out]# ..   ...     ...               ...        ...  
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 19 columns]
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT * 
FROM customer c1 JOIN customer c2 JOIN customer c3
WHERE
/*First, make sure the join between all customer tables go correctly.*/
c1.cID = c2.cID AND c2.cID = c3.cID AND c1.cID = c3.cID
/*Then, join that with purchase table
AND
p.cID = c1.cID AND p.cID = c2.cID AND p.cID = c3.cID */
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      cID     cName                street       city  cID     cName  \
#[Out]# 0      0      Noah             Koestraat    Utrecht    0      Noah   
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda    1       Sem   
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam    2     Lucas   
#[Out]# 3      3      Finn         Stationsplein      Breda    3      Finn   
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam    4      Daan   
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht    5      Levi   
#[Out]# 6      6     Milan           Parallelweg    Utrecht    6     Milan   
#[Out]# 7      7      Bram          Schoolstraat  Eindhoven    7      Bram   
#[Out]# 8      8      Liam         Rijsbergseweg      Breda    8      Liam   
#[Out]# 9      9    Thomas           Parallelweg  Amsterdam    9    Thomas   
#[Out]# 10    10       Sam           Langestraat    Tilburg   10       Sam   
#[Out]# 11    11     Thijs             Koestraat    Tilburg   11     Thijs   
#[Out]# 12    12      Adam           Nieuwstraat  Eindhoven   12      Adam   
#[Out]# 13    13     James       Sint Annastraat      Breda   13     James   
#[Out]# 14    14       Max             Eikenlaan    Tilburg   14       Max   
#[Out]# 15    15      Noud          Koningshoeve    Tilburg   15      Noud   
#[Out]# 16    16    Julian  Prins Bernhardstraat  Eindhoven   16    Julian   
#[Out]# 17    17       Dex          Kasteeldreef    Tilburg   17       Dex   
#[Out]# 18    18      Hugo          Kasteeldreef    Tilburg   18      Hugo   
#[Out]# 19    19      Lars         Rijsbergseweg      Breda   19      Lars   
#[Out]# 20    20      Gijs            Heiligeweg  Amsterdam   20      Gijs   
#[Out]# 21    21  Benjamin           Stationsweg    Tilburg   21  Benjamin   
#[Out]# 22    22      Mats           Molenstraat  Eindhoven   22      Mats   
#[Out]# 23    23       Jan       Sint Annastraat      Breda   23       Jan   
#[Out]# 24    24      Luca          Kasteeldreef    Tilburg   24      Luca   
#[Out]# 25    25     Mason          Keizerstraat  Rotterdam   25     Mason   
#[Out]# 26    26    Jayden          Schoolstraat  Eindhoven   26    Jayden   
#[Out]# 27    27       Tim             Koestraat    Utrecht   27       Tim   
#[Out]# 28    28      Siem           Langestraat    Tilburg   28      Siem   
#[Out]# 29    29     Ruben              Hofplein  Rotterdam   29     Ruben   
#[Out]# ..   ...       ...                   ...        ...  ...       ...   
#[Out]# 160  160      Lara           Langestraat    Tilburg  160      Lara   
#[Out]# 161  161     Floor             Eikenlaan    Tilburg  161     Floor   
#[Out]# 162  162     Elena            Bergselaan  Rotterdam  162     Elena   
#[Out]# 163  163      Cato          Kastanjelaan    Tilburg  163      Cato   
#[Out]# 164  164       Evy      Rozemarijnstraat      Breda  164       Evy   
#[Out]# 165  165     Hanna             Eikenlaan    Tilburg  165     Hanna   
#[Out]# 166  166   Rosalie           Stationsweg  Eindhoven  166   Rosalie   
#[Out]# 167  167    Veerle        Ginnekenstraat      Breda  167    Veerle   
#[Out]# 168  168      Kiki          Keizerstraat  Rotterdam  168      Kiki   
#[Out]# 169  169      Lily        Gasthuisstraat    Utrecht  169      Lily   
#[Out]# 170  170      Iris          Kastanjelaan  Eindhoven  170      Iris   
#[Out]# 171  171     Tessa           Haringvliet  Rotterdam  171     Tessa   
#[Out]# 172  172      Lana             Eikenlaan    Tilburg  172      Lana   
#[Out]# 173  173     Livia      Vierwindenstraat      Breda  173     Livia   
#[Out]# 174  174      Romy           Parallelweg  Eindhoven  174      Romy   
#[Out]# 175  175       Sam             Bredalaan  Eindhoven  175       Sam   
#[Out]# 176  176     Amira           Parallelweg  Amsterdam  176     Amira   
#[Out]# 177  177     Eline          Kalverstraat  Amsterdam  177     Eline   
#[Out]# 178  178      Elif           Parallelweg    Utrecht  178      Elif   
#[Out]# 179  179      Juul        Wilhelminapark    Tilburg  179      Juul   
#[Out]# 180  180     Merel          Kalverstraat  Amsterdam  180     Merel   
#[Out]# 181  181      Liva           Fredriklaan  Eindhoven  181      Liva   
#[Out]# 182  182   Johanna         Beatrixstraat  Eindhoven  182   Johanna   
#[Out]# 183  183     Nikki         Julianastraat    Utrecht  183     Nikki   
#[Out]# 184  184     Wilko          Onbekendeweg  Eindhoven  184     Wilko   
#[Out]# 185  185      Nick                Verweg  Eindhoven  185      Nick   
#[Out]# 186  186    Angela              Dichtweg  Eindhoven  186    Angela   
#[Out]# 187  188      Pino            Maanstraat  Rotterdam  188      Pino   
#[Out]# 188  189      Koen              Akkerweg        Oss  189      Koen   
#[Out]# 189  190    Kostas              Eindeweg    Utrecht  190    Kostas   
#[Out]# 
#[Out]#                    street       city  cID     cName                street  \
#[Out]# 0               Koestraat    Utrecht    0      Noah             Koestraat   
#[Out]# 1        Rozemarijnstraat      Breda    1       Sem      Rozemarijnstraat   
#[Out]# 2        Oude Leliestraat  Amsterdam    2     Lucas      Oude Leliestraat   
#[Out]# 3           Stationsplein      Breda    3      Finn         Stationsplein   
#[Out]# 4            Kalverstraat  Amsterdam    4      Daan          Kalverstraat   
#[Out]# 5          Gasthuisstraat    Utrecht    5      Levi        Gasthuisstraat   
#[Out]# 6             Parallelweg    Utrecht    6     Milan           Parallelweg   
#[Out]# 7            Schoolstraat  Eindhoven    7      Bram          Schoolstraat   
#[Out]# 8           Rijsbergseweg      Breda    8      Liam         Rijsbergseweg   
#[Out]# 9             Parallelweg  Amsterdam    9    Thomas           Parallelweg   
#[Out]# 10            Langestraat    Tilburg   10       Sam           Langestraat   
#[Out]# 11              Koestraat    Tilburg   11     Thijs             Koestraat   
#[Out]# 12            Nieuwstraat  Eindhoven   12      Adam           Nieuwstraat   
#[Out]# 13        Sint Annastraat      Breda   13     James       Sint Annastraat   
#[Out]# 14              Eikenlaan    Tilburg   14       Max             Eikenlaan   
#[Out]# 15           Koningshoeve    Tilburg   15      Noud          Koningshoeve   
#[Out]# 16   Prins Bernhardstraat  Eindhoven   16    Julian  Prins Bernhardstraat   
#[Out]# 17           Kasteeldreef    Tilburg   17       Dex          Kasteeldreef   
#[Out]# 18           Kasteeldreef    Tilburg   18      Hugo          Kasteeldreef   
#[Out]# 19          Rijsbergseweg      Breda   19      Lars         Rijsbergseweg   
#[Out]# 20             Heiligeweg  Amsterdam   20      Gijs            Heiligeweg   
#[Out]# 21            Stationsweg    Tilburg   21  Benjamin           Stationsweg   
#[Out]# 22            Molenstraat  Eindhoven   22      Mats           Molenstraat   
#[Out]# 23        Sint Annastraat      Breda   23       Jan       Sint Annastraat   
#[Out]# 24           Kasteeldreef    Tilburg   24      Luca          Kasteeldreef   
#[Out]# 25           Keizerstraat  Rotterdam   25     Mason          Keizerstraat   
#[Out]# 26           Schoolstraat  Eindhoven   26    Jayden          Schoolstraat   
#[Out]# 27              Koestraat    Utrecht   27       Tim             Koestraat   
#[Out]# 28            Langestraat    Tilburg   28      Siem           Langestraat   
#[Out]# 29               Hofplein  Rotterdam   29     Ruben              Hofplein   
#[Out]# ..                    ...        ...  ...       ...                   ...   
#[Out]# 160           Langestraat    Tilburg  160      Lara           Langestraat   
#[Out]# 161             Eikenlaan    Tilburg  161     Floor             Eikenlaan   
#[Out]# 162            Bergselaan  Rotterdam  162     Elena            Bergselaan   
#[Out]# 163          Kastanjelaan    Tilburg  163      Cato          Kastanjelaan   
#[Out]# 164      Rozemarijnstraat      Breda  164       Evy      Rozemarijnstraat   
#[Out]# 165             Eikenlaan    Tilburg  165     Hanna             Eikenlaan   
#[Out]# 166           Stationsweg  Eindhoven  166   Rosalie           Stationsweg   
#[Out]# 167        Ginnekenstraat      Breda  167    Veerle        Ginnekenstraat   
#[Out]# 168          Keizerstraat  Rotterdam  168      Kiki          Keizerstraat   
#[Out]# 169        Gasthuisstraat    Utrecht  169      Lily        Gasthuisstraat   
#[Out]# 170          Kastanjelaan  Eindhoven  170      Iris          Kastanjelaan   
#[Out]# 171           Haringvliet  Rotterdam  171     Tessa           Haringvliet   
#[Out]# 172             Eikenlaan    Tilburg  172      Lana             Eikenlaan   
#[Out]# 173      Vierwindenstraat      Breda  173     Livia      Vierwindenstraat   
#[Out]# 174           Parallelweg  Eindhoven  174      Romy           Parallelweg   
#[Out]# 175             Bredalaan  Eindhoven  175       Sam             Bredalaan   
#[Out]# 176           Parallelweg  Amsterdam  176     Amira           Parallelweg   
#[Out]# 177          Kalverstraat  Amsterdam  177     Eline          Kalverstraat   
#[Out]# 178           Parallelweg    Utrecht  178      Elif           Parallelweg   
#[Out]# 179        Wilhelminapark    Tilburg  179      Juul        Wilhelminapark   
#[Out]# 180          Kalverstraat  Amsterdam  180     Merel          Kalverstraat   
#[Out]# 181           Fredriklaan  Eindhoven  181      Liva           Fredriklaan   
#[Out]# 182         Beatrixstraat  Eindhoven  182   Johanna         Beatrixstraat   
#[Out]# 183         Julianastraat    Utrecht  183     Nikki         Julianastraat   
#[Out]# 184          Onbekendeweg  Eindhoven  184     Wilko          Onbekendeweg   
#[Out]# 185                Verweg  Eindhoven  185      Nick                Verweg   
#[Out]# 186              Dichtweg  Eindhoven  186    Angela              Dichtweg   
#[Out]# 187            Maanstraat  Rotterdam  188      Pino            Maanstraat   
#[Out]# 188              Akkerweg        Oss  189      Koen              Akkerweg   
#[Out]# 189              Eindeweg    Utrecht  190    Kostas              Eindeweg   
#[Out]# 
#[Out]#           city  
#[Out]# 0      Utrecht  
#[Out]# 1        Breda  
#[Out]# 2    Amsterdam  
#[Out]# 3        Breda  
#[Out]# 4    Amsterdam  
#[Out]# 5      Utrecht  
#[Out]# 6      Utrecht  
#[Out]# 7    Eindhoven  
#[Out]# 8        Breda  
#[Out]# 9    Amsterdam  
#[Out]# 10     Tilburg  
#[Out]# 11     Tilburg  
#[Out]# 12   Eindhoven  
#[Out]# 13       Breda  
#[Out]# 14     Tilburg  
#[Out]# 15     Tilburg  
#[Out]# 16   Eindhoven  
#[Out]# 17     Tilburg  
#[Out]# 18     Tilburg  
#[Out]# 19       Breda  
#[Out]# 20   Amsterdam  
#[Out]# 21     Tilburg  
#[Out]# 22   Eindhoven  
#[Out]# 23       Breda  
#[Out]# 24     Tilburg  
#[Out]# 25   Rotterdam  
#[Out]# 26   Eindhoven  
#[Out]# 27     Utrecht  
#[Out]# 28     Tilburg  
#[Out]# 29   Rotterdam  
#[Out]# ..         ...  
#[Out]# 160    Tilburg  
#[Out]# 161    Tilburg  
#[Out]# 162  Rotterdam  
#[Out]# 163    Tilburg  
#[Out]# 164      Breda  
#[Out]# 165    Tilburg  
#[Out]# 166  Eindhoven  
#[Out]# 167      Breda  
#[Out]# 168  Rotterdam  
#[Out]# 169    Utrecht  
#[Out]# 170  Eindhoven  
#[Out]# 171  Rotterdam  
#[Out]# 172    Tilburg  
#[Out]# 173      Breda  
#[Out]# 174  Eindhoven  
#[Out]# 175  Eindhoven  
#[Out]# 176  Amsterdam  
#[Out]# 177  Amsterdam  
#[Out]# 178    Utrecht  
#[Out]# 179    Tilburg  
#[Out]# 180  Amsterdam  
#[Out]# 181  Eindhoven  
#[Out]# 182  Eindhoven  
#[Out]# 183    Utrecht  
#[Out]# 184  Eindhoven  
#[Out]# 185  Eindhoven  
#[Out]# 186  Eindhoven  
#[Out]# 187  Rotterdam  
#[Out]# 188        Oss  
#[Out]# 189    Utrecht  
#[Out]# 
#[Out]# [190 rows x 12 columns]
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN customer c1 ON p.cID = c1.cID
INNER JOIN customer c2 ON p.cID = c2.cID
INNER JOIN customer c3 ON p.cID = c3.cID
WHERE c3.cName = Noah

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN customer c1 ON p.cID = c1.cID
INNER JOIN customer c2 ON p.cID = c2.cID
INNER JOIN customer c3 ON p.cID = c3.cID
WHERE c3.cName = 'Noah'

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   10
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN customer c1 ON p.cID = c1.cID
INNER JOIN customer c2 ON p.cID = c2.cID
INNER JOIN customer c3 ON p.cID = c3.cID

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
# First, select all products that were bought by AT LEAST 3 different customers
atLeastThreeDifferentCustomersQuery = '''
SELECT
  *
FROM
  purchase p
INNER JOIN customer c1 ON p.cID = c1.cID
INNER JOIN customer c2 ON p.cID = c2.cID
INNER JOIN customer c3 ON p.cID = c3.cID

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  cID   cName            street       city  \
#[Out]# 0           Koestraat    Utrecht    0    Noah         Koestraat    Utrecht   
#[Out]# 1    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 2    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 3    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 4    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 5    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 6    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 7    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 8    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 9    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 10   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 11   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 12   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 13      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 14      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 15      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 16       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 17       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 18       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 19       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 20       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 21       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 22     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 23     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 24     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 25     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 26     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 27     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 28       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# 29       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# ..                ...        ...  ...     ...               ...        ...   
#[Out]# 479          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 480          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 481          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 482          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 483          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 484          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 485          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 486          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 487          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 488          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 489          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 490          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 491          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 492          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 493          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 494          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 495          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 496          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 497          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 498          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 499          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 500          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 501          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 502          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 503          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 504          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 505          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 506          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 507          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 508          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 
#[Out]#      cID   cName            street       city  
#[Out]# 0      0    Noah         Koestraat    Utrecht  
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 13     3    Finn     Stationsplein      Breda  
#[Out]# 14     3    Finn     Stationsplein      Breda  
#[Out]# 15     3    Finn     Stationsplein      Breda  
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven  
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven  
#[Out]# ..   ...     ...               ...        ...  
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 19 columns]
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  p.pID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
INNER JOIN customer c1 ON p.cID = c1.cID
INNER JOIN customer c2 ON p.cID = c2.cID
INNER JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/
WHERE c1.cID != c2.cID

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  p.pID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/
WHERE c1.cID != c2.cID

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  p.pID, c1.cID, c2.cID, c3.cID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID  cID  cID
#[Out]# 0     10    0    0    0
#[Out]# 1     14    1    1    1
#[Out]# 2     16    1    1    1
#[Out]# 3      9    1    1    1
#[Out]# 4     25    1    1    1
#[Out]# 5     26    1    1    1
#[Out]# 6     11    1    1    1
#[Out]# 7     27    1    1    1
#[Out]# 8     20    2    2    2
#[Out]# 9      9    2    2    2
#[Out]# 10     4    2    2    2
#[Out]# 11    13    2    2    2
#[Out]# 12    22    2    2    2
#[Out]# 13    14    3    3    3
#[Out]# 14    26    3    3    3
#[Out]# 15     9    3    3    3
#[Out]# 16     8    4    4    4
#[Out]# 17    27    4    4    4
#[Out]# 18    12    4    4    4
#[Out]# 19     6    4    4    4
#[Out]# 20    13    4    4    4
#[Out]# 21    26    4    4    4
#[Out]# 22    14    5    5    5
#[Out]# 23    28    5    5    5
#[Out]# 24     6    5    5    5
#[Out]# 25    22    5    5    5
#[Out]# 26    16    5    5    5
#[Out]# 27    19    5    5    5
#[Out]# 28    19    7    7    7
#[Out]# 29     2    7    7    7
#[Out]# ..   ...  ...  ...  ...
#[Out]# 479   28  190  190  190
#[Out]# 480   27  190  190  190
#[Out]# 481    5  190  190  190
#[Out]# 482   28  190  190  190
#[Out]# 483    7  190  190  190
#[Out]# 484    0  190  190  190
#[Out]# 485   11  190  190  190
#[Out]# 486    6  190  190  190
#[Out]# 487   19  190  190  190
#[Out]# 488   17  190  190  190
#[Out]# 489    9  190  190  190
#[Out]# 490   11  190  190  190
#[Out]# 491   22  190  190  190
#[Out]# 492   17  190  190  190
#[Out]# 493   20  190  190  190
#[Out]# 494   11  190  190  190
#[Out]# 495   21  190  190  190
#[Out]# 496   23  190  190  190
#[Out]# 497   23  190  190  190
#[Out]# 498    8  190  190  190
#[Out]# 499    0  190  190  190
#[Out]# 500    8  190  190  190
#[Out]# 501   11  190  190  190
#[Out]# 502   15  190  190  190
#[Out]# 503    2  190  190  190
#[Out]# 504   17  190  190  190
#[Out]# 505    5  190  190  190
#[Out]# 506   19  190  190  190
#[Out]# 507    9  190  190  190
#[Out]# 508   18  190  190  190
#[Out]# 
#[Out]# [509 rows x 4 columns]
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  *
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  cID   cName            street       city  \
#[Out]# 0           Koestraat    Utrecht    0    Noah         Koestraat    Utrecht   
#[Out]# 1    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 2    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 3    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 4    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 5    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 6    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 7    Rozemarijnstraat      Breda    1     Sem  Rozemarijnstraat      Breda   
#[Out]# 8    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 9    Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 10   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 11   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 12   Oude Leliestraat  Amsterdam    2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 13      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 14      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 15      Stationsplein      Breda    3    Finn     Stationsplein      Breda   
#[Out]# 16       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 17       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 18       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 19       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 20       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 21       Kalverstraat  Amsterdam    4    Daan      Kalverstraat  Amsterdam   
#[Out]# 22     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 23     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 24     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 25     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 26     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 27     Gasthuisstraat    Utrecht    5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 28       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# 29       Schoolstraat  Eindhoven    7    Bram      Schoolstraat  Eindhoven   
#[Out]# ..                ...        ...  ...     ...               ...        ...   
#[Out]# 479          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 480          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 481          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 482          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 483          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 484          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 485          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 486          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 487          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 488          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 489          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 490          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 491          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 492          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 493          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 494          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 495          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 496          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 497          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 498          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 499          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 500          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 501          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 502          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 503          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 504          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 505          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 506          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 507          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 508          Eindeweg    Utrecht  190  Kostas          Eindeweg    Utrecht   
#[Out]# 
#[Out]#      cID   cName            street       city  
#[Out]# 0      0    Noah         Koestraat    Utrecht  
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda  
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 13     3    Finn     Stationsplein      Breda  
#[Out]# 14     3    Finn     Stationsplein      Breda  
#[Out]# 15     3    Finn     Stationsplein      Breda  
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam  
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven  
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven  
#[Out]# ..   ...     ...               ...        ...  
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 19 columns]
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  p.pID, p.quantity, c1.cID, c2.cID, c3.cID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/

'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  quantity  cID  cID  cID
#[Out]# 0     10         1    0    0    0
#[Out]# 1     14         2    1    1    1
#[Out]# 2     16         3    1    1    1
#[Out]# 3      9         2    1    1    1
#[Out]# 4     25         4    1    1    1
#[Out]# 5     26         4    1    1    1
#[Out]# 6     11         8    1    1    1
#[Out]# 7     27         6    1    1    1
#[Out]# 8     20         1    2    2    2
#[Out]# 9      9         7    2    2    2
#[Out]# 10     4         6    2    2    2
#[Out]# 11    13         4    2    2    2
#[Out]# 12    22         1    2    2    2
#[Out]# 13    14         2    3    3    3
#[Out]# 14    26         2    3    3    3
#[Out]# 15     9         6    3    3    3
#[Out]# 16     8         2    4    4    4
#[Out]# 17    27         9    4    4    4
#[Out]# 18    12         5    4    4    4
#[Out]# 19     6         2    4    4    4
#[Out]# 20    13         9    4    4    4
#[Out]# 21    26         4    4    4    4
#[Out]# 22    14         6    5    5    5
#[Out]# 23    28         6    5    5    5
#[Out]# 24     6         9    5    5    5
#[Out]# 25    22         2    5    5    5
#[Out]# 26    16         2    5    5    5
#[Out]# 27    19         1    5    5    5
#[Out]# 28    19         2    7    7    7
#[Out]# 29     2         6    7    7    7
#[Out]# ..   ...       ...  ...  ...  ...
#[Out]# 479   28         4  190  190  190
#[Out]# 480   27         5  190  190  190
#[Out]# 481    5         3  190  190  190
#[Out]# 482   28         4  190  190  190
#[Out]# 483    7         4  190  190  190
#[Out]# 484    0         4  190  190  190
#[Out]# 485   11         2  190  190  190
#[Out]# 486    6         5  190  190  190
#[Out]# 487   19         5  190  190  190
#[Out]# 488   17         7  190  190  190
#[Out]# 489    9         5  190  190  190
#[Out]# 490   11         2  190  190  190
#[Out]# 491   22         4  190  190  190
#[Out]# 492   17         4  190  190  190
#[Out]# 493   20         6  190  190  190
#[Out]# 494   11         3  190  190  190
#[Out]# 495   21         6  190  190  190
#[Out]# 496   23         1  190  190  190
#[Out]# 497   23         5  190  190  190
#[Out]# 498    8         4  190  190  190
#[Out]# 499    0         6  190  190  190
#[Out]# 500    8         7  190  190  190
#[Out]# 501   11         4  190  190  190
#[Out]# 502   15         5  190  190  190
#[Out]# 503    2         7  190  190  190
#[Out]# 504   17         2  190  190  190
#[Out]# 505    5         6  190  190  190
#[Out]# 506   19         5  190  190  190
#[Out]# 507    9         2  190  190  190
#[Out]# 508   18         1  190  190  190
#[Out]# 
#[Out]# [509 rows x 5 columns]
atLeastThreeDifferentCustomersQuery = '''
/*Select all product IDs*/
SELECT
  p.pID, p.quantity, c1.cID, c2.cID, c3.cID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/
WHERE
  p.quantity > 2
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  quantity  cID  cID  cID
#[Out]# 0     16         3    1    1    1
#[Out]# 1     25         4    1    1    1
#[Out]# 2     26         4    1    1    1
#[Out]# 3     11         8    1    1    1
#[Out]# 4     27         6    1    1    1
#[Out]# 5      9         7    2    2    2
#[Out]# 6      4         6    2    2    2
#[Out]# 7     13         4    2    2    2
#[Out]# 8      9         6    3    3    3
#[Out]# 9     27         9    4    4    4
#[Out]# 10    12         5    4    4    4
#[Out]# 11    13         9    4    4    4
#[Out]# 12    26         4    4    4    4
#[Out]# 13    14         6    5    5    5
#[Out]# 14    28         6    5    5    5
#[Out]# 15     6         9    5    5    5
#[Out]# 16     2         6    7    7    7
#[Out]# 17    16         4    7    7    7
#[Out]# 18     6         4    7    7    7
#[Out]# 19    20         6    7    7    7
#[Out]# 20     6         7    8    8    8
#[Out]# 21     8         5    8    8    8
#[Out]# 22    24         5   10   10   10
#[Out]# 23    14         8   11   11   11
#[Out]# 24     0         5   13   13   13
#[Out]# 25    23         6   13   13   13
#[Out]# 26     8         3   13   13   13
#[Out]# 27    17         5   13   13   13
#[Out]# 28    19         5   13   13   13
#[Out]# 29    10         4   13   13   13
#[Out]# ..   ...       ...  ...  ...  ...
#[Out]# 358   19         5  190  190  190
#[Out]# 359   17         5  190  190  190
#[Out]# 360   10         4  190  190  190
#[Out]# 361   17         7  190  190  190
#[Out]# 362    0         4  190  190  190
#[Out]# 363   19         5  190  190  190
#[Out]# 364   28         4  190  190  190
#[Out]# 365   27         5  190  190  190
#[Out]# 366    5         3  190  190  190
#[Out]# 367   28         4  190  190  190
#[Out]# 368    7         4  190  190  190
#[Out]# 369    0         4  190  190  190
#[Out]# 370    6         5  190  190  190
#[Out]# 371   19         5  190  190  190
#[Out]# 372   17         7  190  190  190
#[Out]# 373    9         5  190  190  190
#[Out]# 374   22         4  190  190  190
#[Out]# 375   17         4  190  190  190
#[Out]# 376   20         6  190  190  190
#[Out]# 377   11         3  190  190  190
#[Out]# 378   21         6  190  190  190
#[Out]# 379   23         5  190  190  190
#[Out]# 380    8         4  190  190  190
#[Out]# 381    0         6  190  190  190
#[Out]# 382    8         7  190  190  190
#[Out]# 383   11         4  190  190  190
#[Out]# 384   15         5  190  190  190
#[Out]# 385    2         7  190  190  190
#[Out]# 386    5         6  190  190  190
#[Out]# 387   19         5  190  190  190
#[Out]# 
#[Out]# [388 rows x 5 columns]
selectAllProductIDs = '''
/*Select all product IDs*/
SELECT
  p.pID, p.quantity, c1.cID, c2.cID, c3.cID
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
/*Such that all customer IDs are different*/
WHERE
  p.quantity < 3
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  quantity  cID  cID  cID
#[Out]# 0     16         3    1    1    1
#[Out]# 1     25         4    1    1    1
#[Out]# 2     26         4    1    1    1
#[Out]# 3     11         8    1    1    1
#[Out]# 4     27         6    1    1    1
#[Out]# 5      9         7    2    2    2
#[Out]# 6      4         6    2    2    2
#[Out]# 7     13         4    2    2    2
#[Out]# 8      9         6    3    3    3
#[Out]# 9     27         9    4    4    4
#[Out]# 10    12         5    4    4    4
#[Out]# 11    13         9    4    4    4
#[Out]# 12    26         4    4    4    4
#[Out]# 13    14         6    5    5    5
#[Out]# 14    28         6    5    5    5
#[Out]# 15     6         9    5    5    5
#[Out]# 16     2         6    7    7    7
#[Out]# 17    16         4    7    7    7
#[Out]# 18     6         4    7    7    7
#[Out]# 19    20         6    7    7    7
#[Out]# 20     6         7    8    8    8
#[Out]# 21     8         5    8    8    8
#[Out]# 22    24         5   10   10   10
#[Out]# 23    14         8   11   11   11
#[Out]# 24     0         5   13   13   13
#[Out]# 25    23         6   13   13   13
#[Out]# 26     8         3   13   13   13
#[Out]# 27    17         5   13   13   13
#[Out]# 28    19         5   13   13   13
#[Out]# 29    10         4   13   13   13
#[Out]# ..   ...       ...  ...  ...  ...
#[Out]# 358   19         5  190  190  190
#[Out]# 359   17         5  190  190  190
#[Out]# 360   10         4  190  190  190
#[Out]# 361   17         7  190  190  190
#[Out]# 362    0         4  190  190  190
#[Out]# 363   19         5  190  190  190
#[Out]# 364   28         4  190  190  190
#[Out]# 365   27         5  190  190  190
#[Out]# 366    5         3  190  190  190
#[Out]# 367   28         4  190  190  190
#[Out]# 368    7         4  190  190  190
#[Out]# 369    0         4  190  190  190
#[Out]# 370    6         5  190  190  190
#[Out]# 371   19         5  190  190  190
#[Out]# 372   17         7  190  190  190
#[Out]# 373    9         5  190  190  190
#[Out]# 374   22         4  190  190  190
#[Out]# 375   17         4  190  190  190
#[Out]# 376   20         6  190  190  190
#[Out]# 377   11         3  190  190  190
#[Out]# 378   21         6  190  190  190
#[Out]# 379   23         5  190  190  190
#[Out]# 380    8         4  190  190  190
#[Out]# 381    0         6  190  190  190
#[Out]# 382    8         7  190  190  190
#[Out]# 383   11         4  190  190  190
#[Out]# 384   15         5  190  190  190
#[Out]# 385    2         7  190  190  190
#[Out]# 386    5         6  190  190  190
#[Out]# 387   19         5  190  190  190
#[Out]# 
#[Out]# [388 rows x 5 columns]
selectAllProductIDsBoughtAtMost = '''
/*Select all product IDs*/
SELECT
  *
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
/*JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
Such that all customer IDs are different*/
'''

pd.read_sql_query(atLeastThreeDifferentCustomersQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  quantity  cID  cID  cID
#[Out]# 0     16         3    1    1    1
#[Out]# 1     25         4    1    1    1
#[Out]# 2     26         4    1    1    1
#[Out]# 3     11         8    1    1    1
#[Out]# 4     27         6    1    1    1
#[Out]# 5      9         7    2    2    2
#[Out]# 6      4         6    2    2    2
#[Out]# 7     13         4    2    2    2
#[Out]# 8      9         6    3    3    3
#[Out]# 9     27         9    4    4    4
#[Out]# 10    12         5    4    4    4
#[Out]# 11    13         9    4    4    4
#[Out]# 12    26         4    4    4    4
#[Out]# 13    14         6    5    5    5
#[Out]# 14    28         6    5    5    5
#[Out]# 15     6         9    5    5    5
#[Out]# 16     2         6    7    7    7
#[Out]# 17    16         4    7    7    7
#[Out]# 18     6         4    7    7    7
#[Out]# 19    20         6    7    7    7
#[Out]# 20     6         7    8    8    8
#[Out]# 21     8         5    8    8    8
#[Out]# 22    24         5   10   10   10
#[Out]# 23    14         8   11   11   11
#[Out]# 24     0         5   13   13   13
#[Out]# 25    23         6   13   13   13
#[Out]# 26     8         3   13   13   13
#[Out]# 27    17         5   13   13   13
#[Out]# 28    19         5   13   13   13
#[Out]# 29    10         4   13   13   13
#[Out]# ..   ...       ...  ...  ...  ...
#[Out]# 358   19         5  190  190  190
#[Out]# 359   17         5  190  190  190
#[Out]# 360   10         4  190  190  190
#[Out]# 361   17         7  190  190  190
#[Out]# 362    0         4  190  190  190
#[Out]# 363   19         5  190  190  190
#[Out]# 364   28         4  190  190  190
#[Out]# 365   27         5  190  190  190
#[Out]# 366    5         3  190  190  190
#[Out]# 367   28         4  190  190  190
#[Out]# 368    7         4  190  190  190
#[Out]# 369    0         4  190  190  190
#[Out]# 370    6         5  190  190  190
#[Out]# 371   19         5  190  190  190
#[Out]# 372   17         7  190  190  190
#[Out]# 373    9         5  190  190  190
#[Out]# 374   22         4  190  190  190
#[Out]# 375   17         4  190  190  190
#[Out]# 376   20         6  190  190  190
#[Out]# 377   11         3  190  190  190
#[Out]# 378   21         6  190  190  190
#[Out]# 379   23         5  190  190  190
#[Out]# 380    8         4  190  190  190
#[Out]# 381    0         6  190  190  190
#[Out]# 382    8         7  190  190  190
#[Out]# 383   11         4  190  190  190
#[Out]# 384   15         5  190  190  190
#[Out]# 385    2         7  190  190  190
#[Out]# 386    5         6  190  190  190
#[Out]# 387   19         5  190  190  190
#[Out]# 
#[Out]# [388 rows x 5 columns]
selectAllProductIDsBoughtAtMost = '''
/*Select all product IDs*/
SELECT
  *
/*From the product table*/
FROM
  purchase p
/*Joined with the customer table*/
JOIN customer c1 ON p.cID = c1.cID
/*JOIN customer c2 ON p.cID = c2.cID
JOIN customer c3 ON p.cID = c3.cID
Such that all customer IDs are different*/
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMost, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
selectAllProductIDsBoughtAtMost = '''
SELECT
  *
FROM
  purchase p
JOIN customer c1 ON p.cID = c1.cID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMost, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
selectAllProductIDsBoughtAtMost = '''
SELECT
  *
FROM
  purchase p
INNER JOIN 
  customer c1 ON p.cID = c1.cID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMost, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
selectAllProductIDsBoughtAtMost = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN 
  customer c1 ON p.cID = c1.cID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMost, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
selectAllProductIDsBoughtAtMost = '''
SELECT
  *
FROM
  purchase p
INNER JOIN 
  customer c1 ON p.cID = c1.cID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMost, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
selectAllProductIDsBoughtAtMostTwoTimes = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN 
  customer c1 ON p.cID = c1.cID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMostTwoTimes, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
selectAllProductIDsBoughtAtMostTwoTimes = '''
SELECT
  p.pID
FROM
  purchase p
INNER JOIN 
  customer c1 ON p.cID = c1.cID
ORDER BY p.pID
'''

pd.read_sql_query(selectAllProductIDsBoughtAtMostTwoTimes, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0      0
#[Out]# 1      0
#[Out]# 2      0
#[Out]# 3      0
#[Out]# 4      0
#[Out]# 5      0
#[Out]# 6      0
#[Out]# 7      0
#[Out]# 8      0
#[Out]# 9      0
#[Out]# 10     0
#[Out]# 11     0
#[Out]# 12     0
#[Out]# 13     0
#[Out]# 14     0
#[Out]# 15     0
#[Out]# 16     0
#[Out]# 17     0
#[Out]# 18     0
#[Out]# 19     0
#[Out]# 20     0
#[Out]# 21     0
#[Out]# 22     0
#[Out]# 23     0
#[Out]# 24     0
#[Out]# 25     1
#[Out]# 26     1
#[Out]# 27     1
#[Out]# 28     1
#[Out]# 29     1
#[Out]# ..   ...
#[Out]# 479   27
#[Out]# 480   28
#[Out]# 481   28
#[Out]# 482   28
#[Out]# 483   28
#[Out]# 484   28
#[Out]# 485   28
#[Out]# 486   28
#[Out]# 487   28
#[Out]# 488   28
#[Out]# 489   28
#[Out]# 490   28
#[Out]# 491   28
#[Out]# 492   28
#[Out]# 493   28
#[Out]# 494   28
#[Out]# 495   28
#[Out]# 496   28
#[Out]# 497   28
#[Out]# 498   28
#[Out]# 499   28
#[Out]# 500   28
#[Out]# 501   28
#[Out]# 502   28
#[Out]# 503   28
#[Out]# 504   28
#[Out]# 505   29
#[Out]# 506   29
#[Out]# 507   30
#[Out]# 508   30
#[Out]# 
#[Out]# [509 rows x 1 columns]
testingQuery = '''
SELECT
  p.pID, p.cID
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
testingQuery = '''
SELECT
  p.pID, p.cID
FROM
  purchase p
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
testingQuery = '''
SELECT 
  p.pID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
WHERE 
  p.cID != p2.cID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
testingQuery = '''
SELECT 
  p.pID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
  *
FROM
  purchase p
JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
  *
FROM
  purchase p
JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 /*ON p.tID = p2.tID AND p.pID = p2.pID*/
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#         tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0         0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1         0    0    3   10  2018-08-22         1   0.45    1    1   23   14   
#[Out]# 2         0    0    3   10  2018-08-22         1   0.45    2    1    3   16   
#[Out]# 3         0    0    3   10  2018-08-22         1   0.45    3    1   17    9   
#[Out]# 4         0    0    3   10  2018-08-22         1   0.45    4    1   32   25   
#[Out]# 5         0    0    3   10  2018-08-22         1   0.45    5    1   16   26   
#[Out]# 6         0    0    3   10  2018-08-22         1   0.45    6    1   46   11   
#[Out]# 7         0    0    3   10  2018-08-22         1   0.45    7    1   36   27   
#[Out]# 8         0    0    3   10  2018-08-22         1   0.45    8    2   12   20   
#[Out]# 9         0    0    3   10  2018-08-22         1   0.45    9    2   39    9   
#[Out]# 10        0    0    3   10  2018-08-22         1   0.45   10    2   13    4   
#[Out]# 11        0    0    3   10  2018-08-22         1   0.45   11    2   51   13   
#[Out]# 12        0    0    3   10  2018-08-22         1   0.45   12    2   47   22   
#[Out]# 13        0    0    3   10  2018-08-22         1   0.45   13    3   44   14   
#[Out]# 14        0    0    3   10  2018-08-22         1   0.45   14    3   30   26   
#[Out]# 15        0    0    3   10  2018-08-22         1   0.45   15    3   29    9   
#[Out]# 16        0    0    3   10  2018-08-22         1   0.45   16    4   17    8   
#[Out]# 17        0    0    3   10  2018-08-22         1   0.45   17    4   10   27   
#[Out]# 18        0    0    3   10  2018-08-22         1   0.45   18    4   53   12   
#[Out]# 19        0    0    3   10  2018-08-22         1   0.45   19    4   21    6   
#[Out]# 20        0    0    3   10  2018-08-22         1   0.45   20    4    7   13   
#[Out]# 21        0    0    3   10  2018-08-22         1   0.45   21    4   44   26   
#[Out]# 22        0    0    3   10  2018-08-22         1   0.45   22    5    4   14   
#[Out]# 23        0    0    3   10  2018-08-22         1   0.45   23    5   36   28   
#[Out]# 24        0    0    3   10  2018-08-22         1   0.45   24    5   55    6   
#[Out]# 25        0    0    3   10  2018-08-22         1   0.45   25    5   51   22   
#[Out]# 26        0    0    3   10  2018-08-22         1   0.45   26    5    6   16   
#[Out]# 27        0    0    3   10  2018-08-22         1   0.45   27    5   17   19   
#[Out]# 28        0    0    3   10  2018-08-22         1   0.45   28    7    3   19   
#[Out]# 29        0    0    3   10  2018-08-22         1   0.45   29    7   12    2   
#[Out]# ...     ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 259051  847  190   63   18  2018-08-21         1   3.30  818  190   34   28   
#[Out]# 259052  847  190   63   18  2018-08-21         1   3.30  819  190   35   27   
#[Out]# 259053  847  190   63   18  2018-08-21         1   3.30  820  190   36    5   
#[Out]# 259054  847  190   63   18  2018-08-21         1   3.30  821  190   37   28   
#[Out]# 259055  847  190   63   18  2018-08-21         1   3.30  822  190   38    7   
#[Out]# 259056  847  190   63   18  2018-08-21         1   3.30  823  190   39    0   
#[Out]# 259057  847  190   63   18  2018-08-21         1   3.30  824  190   40   11   
#[Out]# 259058  847  190   63   18  2018-08-21         1   3.30  825  190   41    6   
#[Out]# 259059  847  190   63   18  2018-08-21         1   3.30  826  190   42   19   
#[Out]# 259060  847  190   63   18  2018-08-21         1   3.30  827  190   43   17   
#[Out]# 259061  847  190   63   18  2018-08-21         1   3.30  828  190   44    9   
#[Out]# 259062  847  190   63   18  2018-08-21         1   3.30  829  190   45   11   
#[Out]# 259063  847  190   63   18  2018-08-21         1   3.30  830  190   46   22   
#[Out]# 259064  847  190   63   18  2018-08-21         1   3.30  831  190   47   17   
#[Out]# 259065  847  190   63   18  2018-08-21         1   3.30  832  190   48   20   
#[Out]# 259066  847  190   63   18  2018-08-21         1   3.30  833  190   49   11   
#[Out]# 259067  847  190   63   18  2018-08-21         1   3.30  834  190   50   21   
#[Out]# 259068  847  190   63   18  2018-08-21         1   3.30  835  190   51   23   
#[Out]# 259069  847  190   63   18  2018-08-21         1   3.30  836  190   52   23   
#[Out]# 259070  847  190   63   18  2018-08-21         1   3.30  837  190   53    8   
#[Out]# 259071  847  190   63   18  2018-08-21         1   3.30  838  190   54    0   
#[Out]# 259072  847  190   63   18  2018-08-21         1   3.30  839  190   55    8   
#[Out]# 259073  847  190   63   18  2018-08-21         1   3.30  840  190   56   11   
#[Out]# 259074  847  190   63   18  2018-08-21         1   3.30  841  190   57   15   
#[Out]# 259075  847  190   63   18  2018-08-21         1   3.30  842  190   58    2   
#[Out]# 259076  847  190   63   18  2018-08-21         1   3.30  843  190   59   17   
#[Out]# 259077  847  190   63   18  2018-08-21         1   3.30  844  190   60    5   
#[Out]# 259078  847  190   63   18  2018-08-21         1   3.30  845  190   61   19   
#[Out]# 259079  847  190   63   18  2018-08-21         1   3.30  846  190   62    9   
#[Out]# 259080  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#               date  quantity  price  
#[Out]# 0       2018-08-22         1   0.45  
#[Out]# 1       2018-08-20         2   4.65  
#[Out]# 2       2018-08-20         3   1.60  
#[Out]# 3       2018-08-20         2   1.25  
#[Out]# 4       2018-08-20         4   3.95  
#[Out]# 5       2018-08-20         4   2.75  
#[Out]# 6       2018-08-21         8   0.90  
#[Out]# 7       2018-08-21         6   9.10  
#[Out]# 8       2018-08-16         1   2.45  
#[Out]# 9       2018-08-17         7   1.35  
#[Out]# 10      2018-08-17         6   1.10  
#[Out]# 11      2018-08-17         4   3.70  
#[Out]# 12      2018-08-17         1   1.55  
#[Out]# 13      2018-08-18         2   4.30  
#[Out]# 14      2018-08-19         2   2.75  
#[Out]# 15      2018-08-19         6   1.45  
#[Out]# 16      2018-08-24         2   4.15  
#[Out]# 17      2018-08-24         9   9.05  
#[Out]# 18      2018-08-25         5  13.60  
#[Out]# 19      2018-08-24         2   1.05  
#[Out]# 20      2018-08-25         9   3.05  
#[Out]# 21      2018-08-25         4   2.75  
#[Out]# 22      2018-08-17         6   4.70  
#[Out]# 23      2018-08-22         6   8.25  
#[Out]# 24      2018-08-23         9   1.10  
#[Out]# 25      2018-08-23         2   1.55  
#[Out]# 26      2018-08-23         2   1.85  
#[Out]# 27      2018-08-23         1   2.20  
#[Out]# 28      2018-08-23         2   2.10  
#[Out]# 29      2018-08-23         6   1.70  
#[Out]# ...            ...       ...    ...  
#[Out]# 259051  2018-08-20         4   2.80  
#[Out]# 259052  2018-08-15         5   0.50  
#[Out]# 259053  2018-08-23         3   2.55  
#[Out]# 259054  2018-08-15         4   0.65  
#[Out]# 259055  2018-08-24         4   0.70  
#[Out]# 259056  2018-08-25         4   3.70  
#[Out]# 259057  2018-08-15         2   3.50  
#[Out]# 259058  2018-08-15         5   2.95  
#[Out]# 259059  2018-08-22         5   2.75  
#[Out]# 259060  2018-08-17         7   1.50  
#[Out]# 259061  2018-08-18         5   0.85  
#[Out]# 259062  2018-08-19         2   3.55  
#[Out]# 259063  2018-08-25         4   2.60  
#[Out]# 259064  2018-08-17         4   3.25  
#[Out]# 259065  2018-08-26         6   4.30  
#[Out]# 259066  2018-08-17         3   3.05  
#[Out]# 259067  2018-08-22         6   4.05  
#[Out]# 259068  2018-08-19         1   1.50  
#[Out]# 259069  2018-08-15         5   2.50  
#[Out]# 259070  2018-08-18         4   3.95  
#[Out]# 259071  2018-08-25         6   3.50  
#[Out]# 259072  2018-08-18         7   2.95  
#[Out]# 259073  2018-08-15         4   1.60  
#[Out]# 259074  2018-08-22         5   3.25  
#[Out]# 259075  2018-08-19         7   0.75  
#[Out]# 259076  2018-08-26         2   3.80  
#[Out]# 259077  2018-08-27         6   4.35  
#[Out]# 259078  2018-08-23         5   2.85  
#[Out]# 259079  2018-08-16         2   3.15  
#[Out]# 259080  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [259081 rows x 14 columns]
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
  p.pID,
  p.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID

'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
testingQuery = '''
SELECT 
  p.pID,
  p.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
WHERE
  p.cID != p2.cID

'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID, cID]
#[Out]# Index: []
testingQuery = '''
SELECT 
  p.pID,
  p.cID,
  p2.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID

'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID  cID
#[Out]# 0     10    0    0
#[Out]# 1     14    1    1
#[Out]# 2     16    1    1
#[Out]# 3      9    1    1
#[Out]# 4     25    1    1
#[Out]# 5     26    1    1
#[Out]# 6     11    1    1
#[Out]# 7     27    1    1
#[Out]# 8     20    2    2
#[Out]# 9      9    2    2
#[Out]# 10     4    2    2
#[Out]# 11    13    2    2
#[Out]# 12    22    2    2
#[Out]# 13    14    3    3
#[Out]# 14    26    3    3
#[Out]# 15     9    3    3
#[Out]# 16     8    4    4
#[Out]# 17    27    4    4
#[Out]# 18    12    4    4
#[Out]# 19     6    4    4
#[Out]# 20    13    4    4
#[Out]# 21    26    4    4
#[Out]# 22    14    5    5
#[Out]# 23    28    5    5
#[Out]# 24     6    5    5
#[Out]# 25    22    5    5
#[Out]# 26    16    5    5
#[Out]# 27    19    5    5
#[Out]# 28    19    7    7
#[Out]# 29     2    7    7
#[Out]# ..   ...  ...  ...
#[Out]# 479   28  190  190
#[Out]# 480   27  190  190
#[Out]# 481    5  190  190
#[Out]# 482   28  190  190
#[Out]# 483    7  190  190
#[Out]# 484    0  190  190
#[Out]# 485   11  190  190
#[Out]# 486    6  190  190
#[Out]# 487   19  190  190
#[Out]# 488   17  190  190
#[Out]# 489    9  190  190
#[Out]# 490   11  190  190
#[Out]# 491   22  190  190
#[Out]# 492   17  190  190
#[Out]# 493   20  190  190
#[Out]# 494   11  190  190
#[Out]# 495   21  190  190
#[Out]# 496   23  190  190
#[Out]# 497   23  190  190
#[Out]# 498    8  190  190
#[Out]# 499    0  190  190
#[Out]# 500    8  190  190
#[Out]# 501   11  190  190
#[Out]# 502   15  190  190
#[Out]# 503    2  190  190
#[Out]# 504   17  190  190
#[Out]# 505    5  190  190
#[Out]# 506   19  190  190
#[Out]# 507    9  190  190
#[Out]# 508   18  190  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
testingQuery = '''
SELECT 
  p.pID,
  p.cID,
  p2.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID  cID
#[Out]# 0      0   13   13
#[Out]# 1      0   16   16
#[Out]# 2      0   19   19
#[Out]# 3      0   20   20
#[Out]# 4      0   24   24
#[Out]# 5      0   33   33
#[Out]# 6      0   66   66
#[Out]# 7      0   78   78
#[Out]# 8      0   82   82
#[Out]# 9      0   95   95
#[Out]# 10     0  113  113
#[Out]# 11     0  123  123
#[Out]# 12     0  127  127
#[Out]# 13     0  139  139
#[Out]# 14     0  144  144
#[Out]# 15     0  157  157
#[Out]# 16     0  163  163
#[Out]# 17     0  167  167
#[Out]# 18     0  170  170
#[Out]# 19     0  176  176
#[Out]# 20     0  184  184
#[Out]# 21     0  190  190
#[Out]# 22     0  190  190
#[Out]# 23     0  190  190
#[Out]# 24     0  190  190
#[Out]# 25     1   33   33
#[Out]# 26     1   59   59
#[Out]# 27     1   69   69
#[Out]# 28     1   92   92
#[Out]# 29     1  108  108
#[Out]# ..   ...  ...  ...
#[Out]# 479   27  190  190
#[Out]# 480   28    5    5
#[Out]# 481   28   22   22
#[Out]# 482   28   35   35
#[Out]# 483   28   39   39
#[Out]# 484   28   40   40
#[Out]# 485   28   60   60
#[Out]# 486   28   70   70
#[Out]# 487   28   71   71
#[Out]# 488   28   82   82
#[Out]# 489   28   86   86
#[Out]# 490   28  100  100
#[Out]# 491   28  108  108
#[Out]# 492   28  118  118
#[Out]# 493   28  123  123
#[Out]# 494   28  124  124
#[Out]# 495   28  127  127
#[Out]# 496   28  136  136
#[Out]# 497   28  161  161
#[Out]# 498   28  162  162
#[Out]# 499   28  169  169
#[Out]# 500   28  170  170
#[Out]# 501   28  175  175
#[Out]# 502   28  190  190
#[Out]# 503   28  190  190
#[Out]# 504   28  190  190
#[Out]# 505   29  185  185
#[Out]# 506   29  186  186
#[Out]# 507   30  188  188
#[Out]# 508   30  188  188
#[Out]# 
#[Out]# [509 rows x 3 columns]
testingQuery = '''
SELECT 
  p.pID,
  p.cID,
  p2.pID
  p2.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
testingQuery = '''
SELECT 
  p.pID,
  p.cID,
  p2.pID,
  p2.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID  pID  cID
#[Out]# 0      0   13    0   13
#[Out]# 1      0   16    0   16
#[Out]# 2      0   19    0   19
#[Out]# 3      0   20    0   20
#[Out]# 4      0   24    0   24
#[Out]# 5      0   33    0   33
#[Out]# 6      0   66    0   66
#[Out]# 7      0   78    0   78
#[Out]# 8      0   82    0   82
#[Out]# 9      0   95    0   95
#[Out]# 10     0  113    0  113
#[Out]# 11     0  123    0  123
#[Out]# 12     0  127    0  127
#[Out]# 13     0  139    0  139
#[Out]# 14     0  144    0  144
#[Out]# 15     0  157    0  157
#[Out]# 16     0  163    0  163
#[Out]# 17     0  167    0  167
#[Out]# 18     0  170    0  170
#[Out]# 19     0  176    0  176
#[Out]# 20     0  184    0  184
#[Out]# 21     0  190    0  190
#[Out]# 22     0  190    0  190
#[Out]# 23     0  190    0  190
#[Out]# 24     0  190    0  190
#[Out]# 25     1   33    1   33
#[Out]# 26     1   59    1   59
#[Out]# 27     1   69    1   69
#[Out]# 28     1   92    1   92
#[Out]# 29     1  108    1  108
#[Out]# ..   ...  ...  ...  ...
#[Out]# 479   27  190   27  190
#[Out]# 480   28    5   28    5
#[Out]# 481   28   22   28   22
#[Out]# 482   28   35   28   35
#[Out]# 483   28   39   28   39
#[Out]# 484   28   40   28   40
#[Out]# 485   28   60   28   60
#[Out]# 486   28   70   28   70
#[Out]# 487   28   71   28   71
#[Out]# 488   28   82   28   82
#[Out]# 489   28   86   28   86
#[Out]# 490   28  100   28  100
#[Out]# 491   28  108   28  108
#[Out]# 492   28  118   28  118
#[Out]# 493   28  123   28  123
#[Out]# 494   28  124   28  124
#[Out]# 495   28  127   28  127
#[Out]# 496   28  136   28  136
#[Out]# 497   28  161   28  161
#[Out]# 498   28  162   28  162
#[Out]# 499   28  169   28  169
#[Out]# 500   28  170   28  170
#[Out]# 501   28  175   28  175
#[Out]# 502   28  190   28  190
#[Out]# 503   28  190   28  190
#[Out]# 504   28  190   28  190
#[Out]# 505   29  185   29  185
#[Out]# 506   29  186   29  186
#[Out]# 507   30  188   30  188
#[Out]# 508   30  188   30  188
#[Out]# 
#[Out]# [509 rows x 4 columns]
testingQuery = '''
SELECT 
*
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35   38   13   33    0   
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70   48   16   50    0   
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90   63   19   59    0   
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40   68   20   21    0   
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80   81   24   14    0   
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95  104   33   36    0   
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40  187   66   44    0   
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40  214   78   21    0   
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00  227   82   42    0   
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85  259   95    3    0   
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30  297  113    1    0   
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40  321  123   49    0   
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75  336  127    3    0   
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90  354  139   26    0   
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10  355  144   31    0   
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20  380  157   49    0   
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65  403  163   43    0   
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00  423  167    8    0   
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95  439  170   52    0   
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35  449  176   35    0   
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50  777  184    0    0   
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00  797  190   13    0   
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85  816  190   32    0   
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95  107   33   26    1   
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85  175   59   47    1   
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05  195   69   25    1   
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35  252   92   50    1   
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35  281  108    0    1   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05   73   22   25   28   
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45  111   35   34   28   
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05  123   39   21   28   
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60  124   40   52   28   
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90  180   60   30   28   
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70  197   70   54   28   
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25  200   71   55   28   
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35  224   82   52   28   
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60  234   86   20   28   
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25  271  100   40   28   
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65  280  108   41   28   
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95  307  118   38   28   
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25  320  123   34   28   
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25  325  124   14   28   
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35  337  127   34   28   
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75  350  136   37   28   
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20  393  161   36   28   
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70  397  162   18   28   
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70  428  169   18   28   
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85  438  170    9   28   
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10  445  175   27   28   
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50  787  190    3   28   
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00  778  185   62   29   
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00  779  186   62   29   
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00  780  188   62   30   
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00  781  188   62   30   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-17         5   5.35  
#[Out]# 1    2018-08-24         1   3.70  
#[Out]# 2    2018-08-17         1   3.90  
#[Out]# 3    2018-08-18         3   5.40  
#[Out]# 4    2018-08-20         3   4.80  
#[Out]# 5    2018-08-27         6   3.95  
#[Out]# 6    2018-08-17         8   5.40  
#[Out]# 7    2018-08-17         4   5.40  
#[Out]# 8    2018-08-25         3   5.00  
#[Out]# 9    2018-08-24         5   4.85  
#[Out]# 10   2018-08-26         5   5.30  
#[Out]# 11   2018-08-25         2   4.40  
#[Out]# 12   2018-08-25         9   3.75  
#[Out]# 13   2018-08-19         5   4.90  
#[Out]# 14   2018-08-22         6   5.10  
#[Out]# 15   2018-08-27         3   4.20  
#[Out]# 16   2018-08-27         3   4.65  
#[Out]# 17   2018-08-21         9   4.00  
#[Out]# 18   2018-08-16         7   3.95  
#[Out]# 19   2018-08-25         2   4.35  
#[Out]# 20   2018-08-20         2   3.50  
#[Out]# 21   2018-08-26         4   2.00  
#[Out]# 22   2018-08-26         4   3.85  
#[Out]# 23   2018-08-25         4   3.70  
#[Out]# 24   2018-08-25         6   3.50  
#[Out]# 25   2018-08-17         6   5.95  
#[Out]# 26   2018-08-26         5   5.85  
#[Out]# 27   2018-08-28         8   6.05  
#[Out]# 28   2018-08-27         5   5.35  
#[Out]# 29   2018-08-15         1   6.35  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-15         5   0.50  
#[Out]# 480  2018-08-22         6   8.25  
#[Out]# 481  2018-08-27         3   8.05  
#[Out]# 482  2018-08-18         7   9.45  
#[Out]# 483  2018-08-29         3   7.05  
#[Out]# 484  2018-08-16         9   9.60  
#[Out]# 485  2018-08-23         6   8.90  
#[Out]# 486  2018-08-25         4   9.70  
#[Out]# 487  2018-08-24         8   7.25  
#[Out]# 488  2018-08-23         2   7.35  
#[Out]# 489  2018-08-17         6   8.60  
#[Out]# 490  2018-08-22         2   8.25  
#[Out]# 491  2018-08-15         2   7.65  
#[Out]# 492  2018-08-20         5   6.95  
#[Out]# 493  2018-08-24         3   8.25  
#[Out]# 494  2018-08-26         6   8.25  
#[Out]# 495  2018-08-26         7   8.35  
#[Out]# 496  2018-08-24         5   7.75  
#[Out]# 497  2018-08-26         4   7.20  
#[Out]# 498  2018-08-22         1   8.70  
#[Out]# 499  2018-08-17         8   7.70  
#[Out]# 500  2018-08-16         2   9.85  
#[Out]# 501  2018-08-19         1   8.10  
#[Out]# 502  2018-08-23         5   0.50  
#[Out]# 503  2018-08-20         4   2.80  
#[Out]# 504  2018-08-15         4   0.65  
#[Out]# 505  2018-08-20         1   1.00  
#[Out]# 506  2018-08-21         5   1.00  
#[Out]# 507  2018-08-20         1   1.00  
#[Out]# 508  2018-09-20         1   1.00  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
*
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
testingQuery = '''
SELECT 
*
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35   38   13   33    0   
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70   48   16   50    0   
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90   63   19   59    0   
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40   68   20   21    0   
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80   81   24   14    0   
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95  104   33   36    0   
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40  187   66   44    0   
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40  214   78   21    0   
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00  227   82   42    0   
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85  259   95    3    0   
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30  297  113    1    0   
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40  321  123   49    0   
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75  336  127    3    0   
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90  354  139   26    0   
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10  355  144   31    0   
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20  380  157   49    0   
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65  403  163   43    0   
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00  423  167    8    0   
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95  439  170   52    0   
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35  449  176   35    0   
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50  777  184    0    0   
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00  797  190   13    0   
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85  816  190   32    0   
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95  107   33   26    1   
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85  175   59   47    1   
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05  195   69   25    1   
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35  252   92   50    1   
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35  281  108    0    1   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05   73   22   25   28   
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45  111   35   34   28   
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05  123   39   21   28   
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60  124   40   52   28   
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90  180   60   30   28   
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70  197   70   54   28   
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25  200   71   55   28   
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35  224   82   52   28   
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60  234   86   20   28   
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25  271  100   40   28   
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65  280  108   41   28   
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95  307  118   38   28   
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25  320  123   34   28   
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25  325  124   14   28   
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35  337  127   34   28   
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75  350  136   37   28   
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20  393  161   36   28   
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70  397  162   18   28   
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70  428  169   18   28   
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85  438  170    9   28   
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10  445  175   27   28   
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50  787  190    3   28   
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00  778  185   62   29   
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00  779  186   62   29   
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00  780  188   62   30   
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00  781  188   62   30   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-17         5   5.35  
#[Out]# 1    2018-08-24         1   3.70  
#[Out]# 2    2018-08-17         1   3.90  
#[Out]# 3    2018-08-18         3   5.40  
#[Out]# 4    2018-08-20         3   4.80  
#[Out]# 5    2018-08-27         6   3.95  
#[Out]# 6    2018-08-17         8   5.40  
#[Out]# 7    2018-08-17         4   5.40  
#[Out]# 8    2018-08-25         3   5.00  
#[Out]# 9    2018-08-24         5   4.85  
#[Out]# 10   2018-08-26         5   5.30  
#[Out]# 11   2018-08-25         2   4.40  
#[Out]# 12   2018-08-25         9   3.75  
#[Out]# 13   2018-08-19         5   4.90  
#[Out]# 14   2018-08-22         6   5.10  
#[Out]# 15   2018-08-27         3   4.20  
#[Out]# 16   2018-08-27         3   4.65  
#[Out]# 17   2018-08-21         9   4.00  
#[Out]# 18   2018-08-16         7   3.95  
#[Out]# 19   2018-08-25         2   4.35  
#[Out]# 20   2018-08-20         2   3.50  
#[Out]# 21   2018-08-26         4   2.00  
#[Out]# 22   2018-08-26         4   3.85  
#[Out]# 23   2018-08-25         4   3.70  
#[Out]# 24   2018-08-25         6   3.50  
#[Out]# 25   2018-08-17         6   5.95  
#[Out]# 26   2018-08-26         5   5.85  
#[Out]# 27   2018-08-28         8   6.05  
#[Out]# 28   2018-08-27         5   5.35  
#[Out]# 29   2018-08-15         1   6.35  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-15         5   0.50  
#[Out]# 480  2018-08-22         6   8.25  
#[Out]# 481  2018-08-27         3   8.05  
#[Out]# 482  2018-08-18         7   9.45  
#[Out]# 483  2018-08-29         3   7.05  
#[Out]# 484  2018-08-16         9   9.60  
#[Out]# 485  2018-08-23         6   8.90  
#[Out]# 486  2018-08-25         4   9.70  
#[Out]# 487  2018-08-24         8   7.25  
#[Out]# 488  2018-08-23         2   7.35  
#[Out]# 489  2018-08-17         6   8.60  
#[Out]# 490  2018-08-22         2   8.25  
#[Out]# 491  2018-08-15         2   7.65  
#[Out]# 492  2018-08-20         5   6.95  
#[Out]# 493  2018-08-24         3   8.25  
#[Out]# 494  2018-08-26         6   8.25  
#[Out]# 495  2018-08-26         7   8.35  
#[Out]# 496  2018-08-24         5   7.75  
#[Out]# 497  2018-08-26         4   7.20  
#[Out]# 498  2018-08-22         1   8.70  
#[Out]# 499  2018-08-17         8   7.70  
#[Out]# 500  2018-08-16         2   9.85  
#[Out]# 501  2018-08-19         1   8.10  
#[Out]# 502  2018-08-23         5   0.50  
#[Out]# 503  2018-08-20         4   2.80  
#[Out]# 504  2018-08-15         4   0.65  
#[Out]# 505  2018-08-20         1   1.00  
#[Out]# 506  2018-08-21         5   1.00  
#[Out]# 507  2018-08-20         1   1.00  
#[Out]# 508  2018-09-20         1   1.00  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
*
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
ORDER BY p.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35   38   13   33    0   
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70   48   16   50    0   
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90   63   19   59    0   
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40   68   20   21    0   
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80   81   24   14    0   
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95  104   33   36    0   
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40  187   66   44    0   
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40  214   78   21    0   
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00  227   82   42    0   
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85  259   95    3    0   
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30  297  113    1    0   
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40  321  123   49    0   
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75  336  127    3    0   
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90  354  139   26    0   
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10  355  144   31    0   
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20  380  157   49    0   
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65  403  163   43    0   
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00  423  167    8    0   
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95  439  170   52    0   
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35  449  176   35    0   
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50  777  184    0    0   
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00  797  190   13    0   
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85  816  190   32    0   
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95  107   33   26    1   
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85  175   59   47    1   
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05  195   69   25    1   
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35  252   92   50    1   
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35  281  108    0    1   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05   73   22   25   28   
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45  111   35   34   28   
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05  123   39   21   28   
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60  124   40   52   28   
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90  180   60   30   28   
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70  197   70   54   28   
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25  200   71   55   28   
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35  224   82   52   28   
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60  234   86   20   28   
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25  271  100   40   28   
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65  280  108   41   28   
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95  307  118   38   28   
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25  320  123   34   28   
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25  325  124   14   28   
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35  337  127   34   28   
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75  350  136   37   28   
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20  393  161   36   28   
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70  397  162   18   28   
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70  428  169   18   28   
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85  438  170    9   28   
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10  445  175   27   28   
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50  787  190    3   28   
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00  778  185   62   29   
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00  779  186   62   29   
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00  780  188   62   30   
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00  781  188   62   30   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-17         5   5.35  
#[Out]# 1    2018-08-24         1   3.70  
#[Out]# 2    2018-08-17         1   3.90  
#[Out]# 3    2018-08-18         3   5.40  
#[Out]# 4    2018-08-20         3   4.80  
#[Out]# 5    2018-08-27         6   3.95  
#[Out]# 6    2018-08-17         8   5.40  
#[Out]# 7    2018-08-17         4   5.40  
#[Out]# 8    2018-08-25         3   5.00  
#[Out]# 9    2018-08-24         5   4.85  
#[Out]# 10   2018-08-26         5   5.30  
#[Out]# 11   2018-08-25         2   4.40  
#[Out]# 12   2018-08-25         9   3.75  
#[Out]# 13   2018-08-19         5   4.90  
#[Out]# 14   2018-08-22         6   5.10  
#[Out]# 15   2018-08-27         3   4.20  
#[Out]# 16   2018-08-27         3   4.65  
#[Out]# 17   2018-08-21         9   4.00  
#[Out]# 18   2018-08-16         7   3.95  
#[Out]# 19   2018-08-25         2   4.35  
#[Out]# 20   2018-08-20         2   3.50  
#[Out]# 21   2018-08-26         4   2.00  
#[Out]# 22   2018-08-26         4   3.85  
#[Out]# 23   2018-08-25         4   3.70  
#[Out]# 24   2018-08-25         6   3.50  
#[Out]# 25   2018-08-17         6   5.95  
#[Out]# 26   2018-08-26         5   5.85  
#[Out]# 27   2018-08-28         8   6.05  
#[Out]# 28   2018-08-27         5   5.35  
#[Out]# 29   2018-08-15         1   6.35  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-15         5   0.50  
#[Out]# 480  2018-08-22         6   8.25  
#[Out]# 481  2018-08-27         3   8.05  
#[Out]# 482  2018-08-18         7   9.45  
#[Out]# 483  2018-08-29         3   7.05  
#[Out]# 484  2018-08-16         9   9.60  
#[Out]# 485  2018-08-23         6   8.90  
#[Out]# 486  2018-08-25         4   9.70  
#[Out]# 487  2018-08-24         8   7.25  
#[Out]# 488  2018-08-23         2   7.35  
#[Out]# 489  2018-08-17         6   8.60  
#[Out]# 490  2018-08-22         2   8.25  
#[Out]# 491  2018-08-15         2   7.65  
#[Out]# 492  2018-08-20         5   6.95  
#[Out]# 493  2018-08-24         3   8.25  
#[Out]# 494  2018-08-26         6   8.25  
#[Out]# 495  2018-08-26         7   8.35  
#[Out]# 496  2018-08-24         5   7.75  
#[Out]# 497  2018-08-26         4   7.20  
#[Out]# 498  2018-08-22         1   8.70  
#[Out]# 499  2018-08-17         8   7.70  
#[Out]# 500  2018-08-16         2   9.85  
#[Out]# 501  2018-08-19         1   8.10  
#[Out]# 502  2018-08-23         5   0.50  
#[Out]# 503  2018-08-20         4   2.80  
#[Out]# 504  2018-08-15         4   0.65  
#[Out]# 505  2018-08-20         1   1.00  
#[Out]# 506  2018-08-21         5   1.00  
#[Out]# 507  2018-08-20         1   1.00  
#[Out]# 508  2018-09-20         1   1.00  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
*
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
  p.tID, p.pID, p.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
  p.tID, p.pID, p.cID,
  p2.tID, p2.pID, p2.cID
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID  tID  pID  cID
#[Out]# 0      0   10    0    0   10    0
#[Out]# 1      1   14    1    1   14    1
#[Out]# 2      2   16    1    2   16    1
#[Out]# 3      3    9    1    3    9    1
#[Out]# 4      4   25    1    4   25    1
#[Out]# 5      5   26    1    5   26    1
#[Out]# 6      6   11    1    6   11    1
#[Out]# 7      7   27    1    7   27    1
#[Out]# 8      8   20    2    8   20    2
#[Out]# 9      9    9    2    9    9    2
#[Out]# 10    10    4    2   10    4    2
#[Out]# 11    11   13    2   11   13    2
#[Out]# 12    12   22    2   12   22    2
#[Out]# 13    13   14    3   13   14    3
#[Out]# 14    14   26    3   14   26    3
#[Out]# 15    15    9    3   15    9    3
#[Out]# 16    16    8    4   16    8    4
#[Out]# 17    17   27    4   17   27    4
#[Out]# 18    18   12    4   18   12    4
#[Out]# 19    19    6    4   19    6    4
#[Out]# 20    20   13    4   20   13    4
#[Out]# 21    21   26    4   21   26    4
#[Out]# 22    22   14    5   22   14    5
#[Out]# 23    23   28    5   23   28    5
#[Out]# 24    24    6    5   24    6    5
#[Out]# 25    25   22    5   25   22    5
#[Out]# 26    26   16    5   26   16    5
#[Out]# 27    27   19    5   27   19    5
#[Out]# 28    28   19    7   28   19    7
#[Out]# 29    29    2    7   29    2    7
#[Out]# ..   ...  ...  ...  ...  ...  ...
#[Out]# 479  818   28  190  818   28  190
#[Out]# 480  819   27  190  819   27  190
#[Out]# 481  820    5  190  820    5  190
#[Out]# 482  821   28  190  821   28  190
#[Out]# 483  822    7  190  822    7  190
#[Out]# 484  823    0  190  823    0  190
#[Out]# 485  824   11  190  824   11  190
#[Out]# 486  825    6  190  825    6  190
#[Out]# 487  826   19  190  826   19  190
#[Out]# 488  827   17  190  827   17  190
#[Out]# 489  828    9  190  828    9  190
#[Out]# 490  829   11  190  829   11  190
#[Out]# 491  830   22  190  830   22  190
#[Out]# 492  831   17  190  831   17  190
#[Out]# 493  832   20  190  832   20  190
#[Out]# 494  833   11  190  833   11  190
#[Out]# 495  834   21  190  834   21  190
#[Out]# 496  835   23  190  835   23  190
#[Out]# 497  836   23  190  836   23  190
#[Out]# 498  837    8  190  837    8  190
#[Out]# 499  838    0  190  838    0  190
#[Out]# 500  839    8  190  839    8  190
#[Out]# 501  840   11  190  840   11  190
#[Out]# 502  841   15  190  841   15  190
#[Out]# 503  842    2  190  842    2  190
#[Out]# 504  843   17  190  843   17  190
#[Out]# 505  844    5  190  844    5  190
#[Out]# 506  845   19  190  845   19  190
#[Out]# 507  846    9  190  846    9  190
#[Out]# 508  847   18  190  847   18  190
#[Out]# 
#[Out]# [509 rows x 6 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
WHERE p.tID != p2.tID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  pID, cID
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  pID, cID
FROM
  purchase p
ORDER BY pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  pID, cID
FROM
  purchase p
GROUP BY pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0  190
#[Out]# 1     1  169
#[Out]# 2     2  190
#[Out]# 3     3  190
#[Out]# 4     4  190
#[Out]# 5     5  190
#[Out]# 6     6  190
#[Out]# 7     7  190
#[Out]# 8     8  190
#[Out]# 9     9  190
#[Out]# 10   10  190
#[Out]# 11   11  190
#[Out]# 12   12  162
#[Out]# 13   13  190
#[Out]# 14   14  179
#[Out]# 15   15  190
#[Out]# 16   16  179
#[Out]# 17   17  190
#[Out]# 18   18  190
#[Out]# 19   19  190
#[Out]# 20   20  190
#[Out]# 21   21  190
#[Out]# 22   22  190
#[Out]# 23   23  190
#[Out]# 24   24  178
#[Out]# 25   25  190
#[Out]# 26   26  190
#[Out]# 27   27  190
#[Out]# 28   28  190
#[Out]# 29   29  186
#[Out]# 30   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
GROUP BY pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0   838  190   54    0  2018-08-25         6   3.50
#[Out]# 1   430  169   43    1  2018-08-18         9   6.55
#[Out]# 2   842  190   58    2  2018-08-19         7   0.75
#[Out]# 3   807  190   23    3  2018-08-18         1   2.75
#[Out]# 4   800  190   16    4  2018-08-26         1   2.40
#[Out]# 5   844  190   60    5  2018-08-27         6   4.35
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95
#[Out]# 7   822  190   38    7  2018-08-24         4   0.70
#[Out]# 8   839  190   55    8  2018-08-18         7   2.95
#[Out]# 9   846  190   62    9  2018-08-16         2   3.15
#[Out]# 10  814  190   30   10  2018-08-18         4   4.35
#[Out]# 11  840  190   56   11  2018-08-15         4   1.60
#[Out]# 12  399  162    9   12  2018-08-24         9  13.15
#[Out]# 13  811  190   27   13  2018-08-17         4   0.90
#[Out]# 14  460  179   25   14  2018-08-24         5   3.70
#[Out]# 15  841  190   57   15  2018-08-22         5   3.25
#[Out]# 16  464  179   35   16  2018-08-22         9   1.85
#[Out]# 17  843  190   59   17  2018-08-26         2   3.80
#[Out]# 18  847  190   63   18  2018-08-21         1   3.30
#[Out]# 19  845  190   61   19  2018-08-23         5   2.85
#[Out]# 20  832  190   48   20  2018-08-26         6   4.30
#[Out]# 21  834  190   50   21  2018-08-22         6   4.05
#[Out]# 22  830  190   46   22  2018-08-25         4   2.60
#[Out]# 23  836  190   52   23  2018-08-15         5   2.50
#[Out]# 24  459  178   39   24  2018-08-27         1   3.90
#[Out]# 25  806  190   22   25  2018-08-19         7   3.20
#[Out]# 26  808  190   24   26  2018-08-16         5   3.25
#[Out]# 27  819  190   35   27  2018-08-15         5   0.50
#[Out]# 28  821  190   37   28  2018-08-15         4   0.65
#[Out]# 29  779  186   62   29  2018-08-21         5   1.00
#[Out]# 30  781  188   62   30  2018-09-20         1   1.00
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
ORDER BY pID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
ORDER BY tID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
GROUP BY tID
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 474  818  190   34   28  2018-08-20         4   2.80
#[Out]# 475  819  190   35   27  2018-08-15         5   0.50
#[Out]# 476  820  190   36    5  2018-08-23         3   2.55
#[Out]# 477  821  190   37   28  2018-08-15         4   0.65
#[Out]# 478  822  190   38    7  2018-08-24         4   0.70
#[Out]# 479  823  190   39    0  2018-08-25         4   3.70
#[Out]# 480  824  190   40   11  2018-08-15         2   3.50
#[Out]# 481  825  190   41    6  2018-08-15         5   2.95
#[Out]# 482  826  190   42   19  2018-08-22         5   2.75
#[Out]# 483  827  190   43   17  2018-08-17         7   1.50
#[Out]# 484  828  190   44    9  2018-08-18         5   0.85
#[Out]# 485  829  190   45   11  2018-08-19         2   3.55
#[Out]# 486  830  190   46   22  2018-08-25         4   2.60
#[Out]# 487  831  190   47   17  2018-08-17         4   3.25
#[Out]# 488  832  190   48   20  2018-08-26         6   4.30
#[Out]# 489  833  190   49   11  2018-08-17         3   3.05
#[Out]# 490  834  190   50   21  2018-08-22         6   4.05
#[Out]# 491  835  190   51   23  2018-08-19         1   1.50
#[Out]# 492  836  190   52   23  2018-08-15         5   2.50
#[Out]# 493  837  190   53    8  2018-08-18         4   3.95
#[Out]# 494  838  190   54    0  2018-08-25         6   3.50
#[Out]# 495  839  190   55    8  2018-08-18         7   2.95
#[Out]# 496  840  190   56   11  2018-08-15         4   1.60
#[Out]# 497  841  190   57   15  2018-08-22         5   3.25
#[Out]# 498  842  190   58    2  2018-08-19         7   0.75
#[Out]# 499  843  190   59   17  2018-08-26         2   3.80
#[Out]# 500  844  190   60    5  2018-08-27         6   4.35
#[Out]# 501  845  190   61   19  2018-08-23         5   2.85
#[Out]# 502  846  190   62    9  2018-08-16         2   3.15
#[Out]# 503  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [504 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. 
  A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, 
  there can only be one customer, 
  then we need two times the purchase table,
  since we need to compare customer IDs.
  
  This can be done using:
  
  SELECT * FROM purchase p 
  INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do
  p.cID != p2.cID
  
  So that leaves us nowhere.
"""
testingQuery = '''
SELECT 
  *
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT 
  tID, pIC, cID
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT 
  tID, pID, cID
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT 
  tID,
  pID,
  cID
FROM
  purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT DISTINCT pID
FROM purchase
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT pID
FROM purchase
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT DISTINCT *
FROM purchase
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT *
FROM purchase
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
"""
testingQuery = '''
SELECT p.pID
FROM purchase p
WHERE p.pID IN (SELECT DISTINCT p.pID FROM purchase p)
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID > 10
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     14
#[Out]# 1     16
#[Out]# 2     25
#[Out]# 3     26
#[Out]# 4     11
#[Out]# 5     27
#[Out]# 6     20
#[Out]# 7     13
#[Out]# 8     22
#[Out]# 9     14
#[Out]# 10    26
#[Out]# 11    27
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    26
#[Out]# 15    14
#[Out]# 16    28
#[Out]# 17    22
#[Out]# 18    16
#[Out]# 19    19
#[Out]# 20    19
#[Out]# 21    16
#[Out]# 22    12
#[Out]# 23    20
#[Out]# 24    24
#[Out]# 25    14
#[Out]# 26    23
#[Out]# 27    17
#[Out]# 28    19
#[Out]# 29    11
#[Out]# ..   ...
#[Out]# 301   23
#[Out]# 302   20
#[Out]# 303   17
#[Out]# 304   25
#[Out]# 305   26
#[Out]# 306   21
#[Out]# 307   13
#[Out]# 308   19
#[Out]# 309   17
#[Out]# 310   17
#[Out]# 311   19
#[Out]# 312   28
#[Out]# 313   27
#[Out]# 314   28
#[Out]# 315   11
#[Out]# 316   19
#[Out]# 317   17
#[Out]# 318   11
#[Out]# 319   22
#[Out]# 320   17
#[Out]# 321   20
#[Out]# 322   11
#[Out]# 323   21
#[Out]# 324   23
#[Out]# 325   23
#[Out]# 326   11
#[Out]# 327   15
#[Out]# 328   17
#[Out]# 329   19
#[Out]# 330   18
#[Out]# 
#[Out]# [331 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID > 100
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID IN (
        SELECT *
        FROM purchase p
    )
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    WHERE p.pID IN (
        SELECT *
        FROM purchase p
    )
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
  
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    JOIN customer c1 ON p.cID = c.cID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    JOIN customer c1 ON p.cID = c1.cID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    GROUP BY p.tID AND p.pID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0    0
#[Out]# 1   18
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    GROUP BY p.tID AND p.pID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  838  190   54    0  2018-08-25         6    3.5
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    GROUP BY (p.tID AND p.pID)
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  838  190   54    0  2018-08-25         6    3.5
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    ORDER BY (p.tID AND p.pID)
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1     38   13   33    0  2018-08-17         5   5.35
#[Out]# 2     48   16   50    0  2018-08-24         1   3.70
#[Out]# 3     63   19   59    0  2018-08-17         1   3.90
#[Out]# 4     68   20   21    0  2018-08-18         3   5.40
#[Out]# 5     81   24   14    0  2018-08-20         3   4.80
#[Out]# 6    104   33   36    0  2018-08-27         6   3.95
#[Out]# 7    187   66   44    0  2018-08-17         8   5.40
#[Out]# 8    214   78   21    0  2018-08-17         4   5.40
#[Out]# 9    227   82   42    0  2018-08-25         3   5.00
#[Out]# 10   259   95    3    0  2018-08-24         5   4.85
#[Out]# 11   297  113    1    0  2018-08-26         5   5.30
#[Out]# 12   321  123   49    0  2018-08-25         2   4.40
#[Out]# 13   336  127    3    0  2018-08-25         9   3.75
#[Out]# 14   354  139   26    0  2018-08-19         5   4.90
#[Out]# 15   355  144   31    0  2018-08-22         6   5.10
#[Out]# 16   380  157   49    0  2018-08-27         3   4.20
#[Out]# 17   403  163   43    0  2018-08-27         3   4.65
#[Out]# 18   423  167    8    0  2018-08-21         9   4.00
#[Out]# 19   439  170   52    0  2018-08-16         7   3.95
#[Out]# 20   449  176   35    0  2018-08-25         2   4.35
#[Out]# 21   777  184    0    0  2018-08-20         2   3.50
#[Out]# 22   797  190   13    0  2018-08-26         4   2.00
#[Out]# 23   816  190   32    0  2018-08-26         4   3.85
#[Out]# 24   823  190   39    0  2018-08-25         4   3.70
#[Out]# 25   838  190   54    0  2018-08-25         6   3.50
#[Out]# 26     1    1   23   14  2018-08-20         2   4.65
#[Out]# 27     2    1    3   16  2018-08-20         3   1.60
#[Out]# 28     3    1   17    9  2018-08-20         2   1.25
#[Out]# 29     4    1   32   25  2018-08-20         4   3.95
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  815  190   31   17  2018-08-19         7   1.20
#[Out]# 480  817  190   33   19  2018-08-19         5   4.25
#[Out]# 481  818  190   34   28  2018-08-20         4   2.80
#[Out]# 482  819  190   35   27  2018-08-15         5   0.50
#[Out]# 483  820  190   36    5  2018-08-23         3   2.55
#[Out]# 484  821  190   37   28  2018-08-15         4   0.65
#[Out]# 485  822  190   38    7  2018-08-24         4   0.70
#[Out]# 486  824  190   40   11  2018-08-15         2   3.50
#[Out]# 487  825  190   41    6  2018-08-15         5   2.95
#[Out]# 488  826  190   42   19  2018-08-22         5   2.75
#[Out]# 489  827  190   43   17  2018-08-17         7   1.50
#[Out]# 490  828  190   44    9  2018-08-18         5   0.85
#[Out]# 491  829  190   45   11  2018-08-19         2   3.55
#[Out]# 492  830  190   46   22  2018-08-25         4   2.60
#[Out]# 493  831  190   47   17  2018-08-17         4   3.25
#[Out]# 494  832  190   48   20  2018-08-26         6   4.30
#[Out]# 495  833  190   49   11  2018-08-17         3   3.05
#[Out]# 496  834  190   50   21  2018-08-22         6   4.05
#[Out]# 497  835  190   51   23  2018-08-19         1   1.50
#[Out]# 498  836  190   52   23  2018-08-15         5   2.50
#[Out]# 499  837  190   53    8  2018-08-18         4   3.95
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    GROU BY p.tID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    GROUP BY p.tID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 474  818  190   34   28  2018-08-20         4   2.80
#[Out]# 475  819  190   35   27  2018-08-15         5   0.50
#[Out]# 476  820  190   36    5  2018-08-23         3   2.55
#[Out]# 477  821  190   37   28  2018-08-15         4   0.65
#[Out]# 478  822  190   38    7  2018-08-24         4   0.70
#[Out]# 479  823  190   39    0  2018-08-25         4   3.70
#[Out]# 480  824  190   40   11  2018-08-15         2   3.50
#[Out]# 481  825  190   41    6  2018-08-15         5   2.95
#[Out]# 482  826  190   42   19  2018-08-22         5   2.75
#[Out]# 483  827  190   43   17  2018-08-17         7   1.50
#[Out]# 484  828  190   44    9  2018-08-18         5   0.85
#[Out]# 485  829  190   45   11  2018-08-19         2   3.55
#[Out]# 486  830  190   46   22  2018-08-25         4   2.60
#[Out]# 487  831  190   47   17  2018-08-17         4   3.25
#[Out]# 488  832  190   48   20  2018-08-26         6   4.30
#[Out]# 489  833  190   49   11  2018-08-17         3   3.05
#[Out]# 490  834  190   50   21  2018-08-22         6   4.05
#[Out]# 491  835  190   51   23  2018-08-19         1   1.50
#[Out]# 492  836  190   52   23  2018-08-15         5   2.50
#[Out]# 493  837  190   53    8  2018-08-18         4   3.95
#[Out]# 494  838  190   54    0  2018-08-25         6   3.50
#[Out]# 495  839  190   55    8  2018-08-18         7   2.95
#[Out]# 496  840  190   56   11  2018-08-15         4   1.60
#[Out]# 497  841  190   57   15  2018-08-22         5   3.25
#[Out]# 498  842  190   58    2  2018-08-19         7   0.75
#[Out]# 499  843  190   59   17  2018-08-26         2   3.80
#[Out]# 500  844  190   60    5  2018-08-27         6   4.35
#[Out]# 501  845  190   61   19  2018-08-23         5   2.85
#[Out]# 502  846  190   62    9  2018-08-16         2   3.15
#[Out]# 503  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [504 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    GROUP BY p.cID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      7    1   36   27  2018-08-21         6   9.10
#[Out]# 2     12    2   47   22  2018-08-17         1   1.55
#[Out]# 3     15    3   29    9  2018-08-19         6   1.45
#[Out]# 4     21    4   44   26  2018-08-25         4   2.75
#[Out]# 5     27    5   17   19  2018-08-23         1   2.20
#[Out]# 6     33    7   42   20  2018-08-26         6   2.05
#[Out]# 7     35    8   51    8  2018-08-16         5   5.30
#[Out]# 8     36   10   34   24  2018-08-27         5   3.20
#[Out]# 9     37   11    0   14  2018-08-25         8   4.10
#[Out]# 10    46   13    8    5  2018-08-27         6   0.50
#[Out]# 11    47   15   25   11  2018-08-27         5   0.90
#[Out]# 12    57   16   26   27  2018-08-19         2   9.25
#[Out]# 13    59   17   44    7  2018-08-19        10   1.65
#[Out]# 14    62   18    6    8  2018-08-18         4   4.45
#[Out]# 15    66   19   15    3  2018-08-18         4   1.60
#[Out]# 16    69   20   40   27  2018-08-18         9   7.10
#[Out]# 17    72   21   47   27  2018-08-21         9   7.05
#[Out]# 18    74   22   27   10  2018-08-28         6   0.45
#[Out]# 19    83   24   59   13  2018-08-21         5   4.00
#[Out]# 20    84   25   12   26  2018-08-28         9   2.55
#[Out]# 21    85   26   21   23  2018-08-23         6   2.10
#[Out]# 22    91   27   34   22  2018-08-18         7   1.60
#[Out]# 23    92   28   43   11  2018-08-27         2   1.10
#[Out]# 24    94   29   29    4  2018-08-24         3   0.95
#[Out]# 25    97   30   57   12  2018-08-18         8  11.45
#[Out]# 26    99   31   39   24  2018-08-28         4   3.90
#[Out]# 27   108   33   29    4  2018-08-18         2   1.15
#[Out]# 28   109   34   26   26  2018-08-26         8   3.45
#[Out]# 29   111   35   34   28  2018-08-18         7   9.45
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 102  360  147   33   25  2018-08-25         7   4.40
#[Out]# 103  366  149   54   19  2018-08-25         5   2.25
#[Out]# 104  368  151   14   23  2018-08-17         5   2.10
#[Out]# 105  371  152   43   19  2018-08-21         4   2.20
#[Out]# 106  381  157   36    3  2018-08-28         7   1.80
#[Out]# 107  385  159   17   12  2018-08-26         3  12.30
#[Out]# 108  393  161   36   28  2018-08-26         4   7.20
#[Out]# 109  402  162   41   16  2018-08-16         2   1.65
#[Out]# 110  406  163    6   10  2018-08-22         6   0.55
#[Out]# 111  413  165   46    9  2018-08-25         6   1.80
#[Out]# 112  425  167   17   17  2018-08-15         9   2.05
#[Out]# 113  426  168   28    1  2018-08-16         6   5.65
#[Out]# 114  437  169   52   14  2018-08-28         7   4.65
#[Out]# 115  440  170   40   22  2018-08-16         5   2.05
#[Out]# 116  442  171   44   21  2018-08-20         2   2.35
#[Out]# 117  444  172    0   16  2018-08-24         4   1.85
#[Out]# 118  446  175   16   21  2018-08-20         2   2.25
#[Out]# 119  452  176    6    5  2018-08-26         9   0.50
#[Out]# 120  457  177   51    4  2018-08-22         6   1.10
#[Out]# 121  459  178   39   24  2018-08-27         1   3.90
#[Out]# 122  465  179   45   10  2018-08-23         7   0.45
#[Out]# 123  468  180   56   10  2018-08-27         3   0.60
#[Out]# 124  471  181   27   21  2018-08-27         5   2.00
#[Out]# 125  474  182    4   13  2018-08-23         9   4.20
#[Out]# 126  777  184    0    0  2018-08-20         2   3.50
#[Out]# 127  778  185   62   29  2018-08-20         1   1.00
#[Out]# 128  779  186   62   29  2018-08-21         5   1.00
#[Out]# 129  781  188   62   30  2018-09-20         1   1.00
#[Out]# 130  783  189   20   19  2018-08-26         3   2.50
#[Out]# 131  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [132 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID
    FROM purchase p
    GROUP BY p.cID
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     27
#[Out]# 2     22
#[Out]# 3      9
#[Out]# 4     26
#[Out]# 5     19
#[Out]# 6     20
#[Out]# 7      8
#[Out]# 8     24
#[Out]# 9     14
#[Out]# 10     5
#[Out]# 11    11
#[Out]# 12    27
#[Out]# 13     7
#[Out]# 14     8
#[Out]# 15     3
#[Out]# 16    27
#[Out]# 17    27
#[Out]# 18    10
#[Out]# 19    13
#[Out]# 20    26
#[Out]# 21    23
#[Out]# 22    22
#[Out]# 23    11
#[Out]# 24     4
#[Out]# 25    12
#[Out]# 26    24
#[Out]# 27     4
#[Out]# 28    26
#[Out]# 29    28
#[Out]# ..   ...
#[Out]# 102   25
#[Out]# 103   19
#[Out]# 104   23
#[Out]# 105   19
#[Out]# 106    3
#[Out]# 107   12
#[Out]# 108   28
#[Out]# 109   16
#[Out]# 110   10
#[Out]# 111    9
#[Out]# 112   17
#[Out]# 113    1
#[Out]# 114   14
#[Out]# 115   22
#[Out]# 116   21
#[Out]# 117   16
#[Out]# 118   21
#[Out]# 119    5
#[Out]# 120    4
#[Out]# 121   24
#[Out]# 122   10
#[Out]# 123   10
#[Out]# 124   21
#[Out]# 125   13
#[Out]# 126    0
#[Out]# 127   29
#[Out]# 128   29
#[Out]# 129   30
#[Out]# 130   19
#[Out]# 131   18
#[Out]# 
#[Out]# [132 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p
    
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT cID, pID
    FROM purchase
    GROUP BY cID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      cID  pID
#[Out]# 0      0   10
#[Out]# 1      1   27
#[Out]# 2      2   22
#[Out]# 3      3    9
#[Out]# 4      4   26
#[Out]# 5      5   19
#[Out]# 6      7   20
#[Out]# 7      8    8
#[Out]# 8     10   24
#[Out]# 9     11   14
#[Out]# 10    13    5
#[Out]# 11    15   11
#[Out]# 12    16   27
#[Out]# 13    17    7
#[Out]# 14    18    8
#[Out]# 15    19    3
#[Out]# 16    20   27
#[Out]# 17    21   27
#[Out]# 18    22   10
#[Out]# 19    24   13
#[Out]# 20    25   26
#[Out]# 21    26   23
#[Out]# 22    27   22
#[Out]# 23    28   11
#[Out]# 24    29    4
#[Out]# 25    30   12
#[Out]# 26    31   24
#[Out]# 27    33    4
#[Out]# 28    34   26
#[Out]# 29    35   28
#[Out]# ..   ...  ...
#[Out]# 102  147   25
#[Out]# 103  149   19
#[Out]# 104  151   23
#[Out]# 105  152   19
#[Out]# 106  157    3
#[Out]# 107  159   12
#[Out]# 108  161   28
#[Out]# 109  162   16
#[Out]# 110  163   10
#[Out]# 111  165    9
#[Out]# 112  167   17
#[Out]# 113  168    1
#[Out]# 114  169   14
#[Out]# 115  170   22
#[Out]# 116  171   21
#[Out]# 117  172   16
#[Out]# 118  175   21
#[Out]# 119  176    5
#[Out]# 120  177    4
#[Out]# 121  178   24
#[Out]# 122  179   10
#[Out]# 123  180   10
#[Out]# 124  181   21
#[Out]# 125  182   13
#[Out]# 126  184    0
#[Out]# 127  185   29
#[Out]# 128  186   29
#[Out]# 129  188   30
#[Out]# 130  189   19
#[Out]# 131  190   18
#[Out]# 
#[Out]# [132 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID
    FROM purchase
    WHERE p.ID = IN
    (SELECT cID, pID
    FROM purchase
    GROUP BY cID).pID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID
    FROM purchase
    (SELECT cID, pID
    FROM purchase
    GROUP BY cID)
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''

    (SELECT cID, pID
    FROM purchase
    GROUP BY cID)
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    (SELECT cID, pID
    FROM purchase
    GROUP BY cID)
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT cID, pID
    FROM purchase
    GROUP BY cID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      cID  pID
#[Out]# 0      0   10
#[Out]# 1      1   27
#[Out]# 2      2   22
#[Out]# 3      3    9
#[Out]# 4      4   26
#[Out]# 5      5   19
#[Out]# 6      7   20
#[Out]# 7      8    8
#[Out]# 8     10   24
#[Out]# 9     11   14
#[Out]# 10    13    5
#[Out]# 11    15   11
#[Out]# 12    16   27
#[Out]# 13    17    7
#[Out]# 14    18    8
#[Out]# 15    19    3
#[Out]# 16    20   27
#[Out]# 17    21   27
#[Out]# 18    22   10
#[Out]# 19    24   13
#[Out]# 20    25   26
#[Out]# 21    26   23
#[Out]# 22    27   22
#[Out]# 23    28   11
#[Out]# 24    29    4
#[Out]# 25    30   12
#[Out]# 26    31   24
#[Out]# 27    33    4
#[Out]# 28    34   26
#[Out]# 29    35   28
#[Out]# ..   ...  ...
#[Out]# 102  147   25
#[Out]# 103  149   19
#[Out]# 104  151   23
#[Out]# 105  152   19
#[Out]# 106  157    3
#[Out]# 107  159   12
#[Out]# 108  161   28
#[Out]# 109  162   16
#[Out]# 110  163   10
#[Out]# 111  165    9
#[Out]# 112  167   17
#[Out]# 113  168    1
#[Out]# 114  169   14
#[Out]# 115  170   22
#[Out]# 116  171   21
#[Out]# 117  172   16
#[Out]# 118  175   21
#[Out]# 119  176    5
#[Out]# 120  177    4
#[Out]# 121  178   24
#[Out]# 122  179   10
#[Out]# 123  180   10
#[Out]# 124  181   21
#[Out]# 125  182   13
#[Out]# 126  184    0
#[Out]# 127  185   29
#[Out]# 128  186   29
#[Out]# 129  188   30
#[Out]# 130  189   19
#[Out]# 131  190   18
#[Out]# 
#[Out]# [132 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT cID, pID
    FROM purchase
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      cID  pID
#[Out]# 0      0   10
#[Out]# 1      1   14
#[Out]# 2      1   16
#[Out]# 3      1    9
#[Out]# 4      1   25
#[Out]# 5      1   26
#[Out]# 6      1   11
#[Out]# 7      1   27
#[Out]# 8      2   20
#[Out]# 9      2    9
#[Out]# 10     2    4
#[Out]# 11     2   13
#[Out]# 12     2   22
#[Out]# 13     3   14
#[Out]# 14     3   26
#[Out]# 15     3    9
#[Out]# 16     4    8
#[Out]# 17     4   27
#[Out]# 18     4   12
#[Out]# 19     4    6
#[Out]# 20     4   13
#[Out]# 21     4   26
#[Out]# 22     5   14
#[Out]# 23     5   28
#[Out]# 24     5    6
#[Out]# 25     5   22
#[Out]# 26     5   16
#[Out]# 27     5   19
#[Out]# 28     7   19
#[Out]# 29     7    2
#[Out]# ..   ...  ...
#[Out]# 479  190   28
#[Out]# 480  190   27
#[Out]# 481  190    5
#[Out]# 482  190   28
#[Out]# 483  190    7
#[Out]# 484  190    0
#[Out]# 485  190   11
#[Out]# 486  190    6
#[Out]# 487  190   19
#[Out]# 488  190   17
#[Out]# 489  190    9
#[Out]# 490  190   11
#[Out]# 491  190   22
#[Out]# 492  190   17
#[Out]# 493  190   20
#[Out]# 494  190   11
#[Out]# 495  190   21
#[Out]# 496  190   23
#[Out]# 497  190   23
#[Out]# 498  190    8
#[Out]# 499  190    0
#[Out]# 500  190    8
#[Out]# 501  190   11
#[Out]# 502  190   15
#[Out]# 503  190    2
#[Out]# 504  190   17
#[Out]# 505  190    5
#[Out]# 506  190   19
#[Out]# 507  190    9
#[Out]# 508  190   18
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID
    FROM purchase
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID
    FROM purchase
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT tID, pID, cID
    FROM purchase
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID
    FROM purchase
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID
    FROM purchase
    ORDER BY pID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID
    FROM purchase
    GROUP BY pID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0  190
#[Out]# 1     1  169
#[Out]# 2     2  190
#[Out]# 3     3  190
#[Out]# 4     4  190
#[Out]# 5     5  190
#[Out]# 6     6  190
#[Out]# 7     7  190
#[Out]# 8     8  190
#[Out]# 9     9  190
#[Out]# 10   10  190
#[Out]# 11   11  190
#[Out]# 12   12  162
#[Out]# 13   13  190
#[Out]# 14   14  179
#[Out]# 15   15  190
#[Out]# 16   16  179
#[Out]# 17   17  190
#[Out]# 18   18  190
#[Out]# 19   19  190
#[Out]# 20   20  190
#[Out]# 21   21  190
#[Out]# 22   22  190
#[Out]# 23   23  190
#[Out]# 24   24  178
#[Out]# 25   25  190
#[Out]# 26   26  190
#[Out]# 27   27  190
#[Out]# 28   28  190
#[Out]# 29   29  186
#[Out]# 30   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID
    FROM purchase
    ORDER BY pID
    /*
    WHERE p.pID IN (
        SELECT p.pID
        FROM purchase p
    )
    */
'''

pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT DISTINCT cID FROM purchase
    
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    CREATE VIEW v AS SELECT DISTINCT cID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    CREATE VIEW v SELECT DISTINCT cID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID 
    FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID, cID 
    FROM purchase
    JOIN (
      SELECT * FROM purchase
    )
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID 
    FROM purchase p
    JOIN (
      SELECT * FROM purchase
    )
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#         pID  cID
#[Out]# 0        10    0
#[Out]# 1        10    0
#[Out]# 2        10    0
#[Out]# 3        10    0
#[Out]# 4        10    0
#[Out]# 5        10    0
#[Out]# 6        10    0
#[Out]# 7        10    0
#[Out]# 8        10    0
#[Out]# 9        10    0
#[Out]# 10       10    0
#[Out]# 11       10    0
#[Out]# 12       10    0
#[Out]# 13       10    0
#[Out]# 14       10    0
#[Out]# 15       10    0
#[Out]# 16       10    0
#[Out]# 17       10    0
#[Out]# 18       10    0
#[Out]# 19       10    0
#[Out]# 20       10    0
#[Out]# 21       10    0
#[Out]# 22       10    0
#[Out]# 23       10    0
#[Out]# 24       10    0
#[Out]# 25       10    0
#[Out]# 26       10    0
#[Out]# 27       10    0
#[Out]# 28       10    0
#[Out]# 29       10    0
#[Out]# ...     ...  ...
#[Out]# 259051   18  190
#[Out]# 259052   18  190
#[Out]# 259053   18  190
#[Out]# 259054   18  190
#[Out]# 259055   18  190
#[Out]# 259056   18  190
#[Out]# 259057   18  190
#[Out]# 259058   18  190
#[Out]# 259059   18  190
#[Out]# 259060   18  190
#[Out]# 259061   18  190
#[Out]# 259062   18  190
#[Out]# 259063   18  190
#[Out]# 259064   18  190
#[Out]# 259065   18  190
#[Out]# 259066   18  190
#[Out]# 259067   18  190
#[Out]# 259068   18  190
#[Out]# 259069   18  190
#[Out]# 259070   18  190
#[Out]# 259071   18  190
#[Out]# 259072   18  190
#[Out]# 259073   18  190
#[Out]# 259074   18  190
#[Out]# 259075   18  190
#[Out]# 259076   18  190
#[Out]# 259077   18  190
#[Out]# 259078   18  190
#[Out]# 259079   18  190
#[Out]# 259080   18  190
#[Out]# 
#[Out]# [259081 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID 
    FROM purchase p 
    WHERE p.cID IN (SELECT DISTINCT cID from purchase)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p1.pID, p1.cID 
    FROM purchase p1 JOIN purchase p2 ON p1.pID == p2.pID AND p1.tID == p2.tID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 JOIN purchase p2 ON p1.pID == p2.pID AND p1.tID == p2.tID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 JOIN purchase p2 ON p1.pID == p2.pID AND p1.tID == p2.tID
    WHERE p1.cID != p2.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    ON p1.pID == p2.pID AND p1.tID == p2.tID
    
    WHERE p1.cID != p2.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    ON p1.pID == p2.pID AND p1.tID == p2.tID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    ON p1.pID == p2.pID AND p1.tID == p2.tID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#         tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0         0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1         0    0    3   10  2018-08-22         1   0.45    1    1   23   14   
#[Out]# 2         0    0    3   10  2018-08-22         1   0.45    2    1    3   16   
#[Out]# 3         0    0    3   10  2018-08-22         1   0.45    3    1   17    9   
#[Out]# 4         0    0    3   10  2018-08-22         1   0.45    4    1   32   25   
#[Out]# 5         0    0    3   10  2018-08-22         1   0.45    5    1   16   26   
#[Out]# 6         0    0    3   10  2018-08-22         1   0.45    6    1   46   11   
#[Out]# 7         0    0    3   10  2018-08-22         1   0.45    7    1   36   27   
#[Out]# 8         0    0    3   10  2018-08-22         1   0.45    8    2   12   20   
#[Out]# 9         0    0    3   10  2018-08-22         1   0.45    9    2   39    9   
#[Out]# 10        0    0    3   10  2018-08-22         1   0.45   10    2   13    4   
#[Out]# 11        0    0    3   10  2018-08-22         1   0.45   11    2   51   13   
#[Out]# 12        0    0    3   10  2018-08-22         1   0.45   12    2   47   22   
#[Out]# 13        0    0    3   10  2018-08-22         1   0.45   13    3   44   14   
#[Out]# 14        0    0    3   10  2018-08-22         1   0.45   14    3   30   26   
#[Out]# 15        0    0    3   10  2018-08-22         1   0.45   15    3   29    9   
#[Out]# 16        0    0    3   10  2018-08-22         1   0.45   16    4   17    8   
#[Out]# 17        0    0    3   10  2018-08-22         1   0.45   17    4   10   27   
#[Out]# 18        0    0    3   10  2018-08-22         1   0.45   18    4   53   12   
#[Out]# 19        0    0    3   10  2018-08-22         1   0.45   19    4   21    6   
#[Out]# 20        0    0    3   10  2018-08-22         1   0.45   20    4    7   13   
#[Out]# 21        0    0    3   10  2018-08-22         1   0.45   21    4   44   26   
#[Out]# 22        0    0    3   10  2018-08-22         1   0.45   22    5    4   14   
#[Out]# 23        0    0    3   10  2018-08-22         1   0.45   23    5   36   28   
#[Out]# 24        0    0    3   10  2018-08-22         1   0.45   24    5   55    6   
#[Out]# 25        0    0    3   10  2018-08-22         1   0.45   25    5   51   22   
#[Out]# 26        0    0    3   10  2018-08-22         1   0.45   26    5    6   16   
#[Out]# 27        0    0    3   10  2018-08-22         1   0.45   27    5   17   19   
#[Out]# 28        0    0    3   10  2018-08-22         1   0.45   28    7    3   19   
#[Out]# 29        0    0    3   10  2018-08-22         1   0.45   29    7   12    2   
#[Out]# ...     ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 259051  847  190   63   18  2018-08-21         1   3.30  818  190   34   28   
#[Out]# 259052  847  190   63   18  2018-08-21         1   3.30  819  190   35   27   
#[Out]# 259053  847  190   63   18  2018-08-21         1   3.30  820  190   36    5   
#[Out]# 259054  847  190   63   18  2018-08-21         1   3.30  821  190   37   28   
#[Out]# 259055  847  190   63   18  2018-08-21         1   3.30  822  190   38    7   
#[Out]# 259056  847  190   63   18  2018-08-21         1   3.30  823  190   39    0   
#[Out]# 259057  847  190   63   18  2018-08-21         1   3.30  824  190   40   11   
#[Out]# 259058  847  190   63   18  2018-08-21         1   3.30  825  190   41    6   
#[Out]# 259059  847  190   63   18  2018-08-21         1   3.30  826  190   42   19   
#[Out]# 259060  847  190   63   18  2018-08-21         1   3.30  827  190   43   17   
#[Out]# 259061  847  190   63   18  2018-08-21         1   3.30  828  190   44    9   
#[Out]# 259062  847  190   63   18  2018-08-21         1   3.30  829  190   45   11   
#[Out]# 259063  847  190   63   18  2018-08-21         1   3.30  830  190   46   22   
#[Out]# 259064  847  190   63   18  2018-08-21         1   3.30  831  190   47   17   
#[Out]# 259065  847  190   63   18  2018-08-21         1   3.30  832  190   48   20   
#[Out]# 259066  847  190   63   18  2018-08-21         1   3.30  833  190   49   11   
#[Out]# 259067  847  190   63   18  2018-08-21         1   3.30  834  190   50   21   
#[Out]# 259068  847  190   63   18  2018-08-21         1   3.30  835  190   51   23   
#[Out]# 259069  847  190   63   18  2018-08-21         1   3.30  836  190   52   23   
#[Out]# 259070  847  190   63   18  2018-08-21         1   3.30  837  190   53    8   
#[Out]# 259071  847  190   63   18  2018-08-21         1   3.30  838  190   54    0   
#[Out]# 259072  847  190   63   18  2018-08-21         1   3.30  839  190   55    8   
#[Out]# 259073  847  190   63   18  2018-08-21         1   3.30  840  190   56   11   
#[Out]# 259074  847  190   63   18  2018-08-21         1   3.30  841  190   57   15   
#[Out]# 259075  847  190   63   18  2018-08-21         1   3.30  842  190   58    2   
#[Out]# 259076  847  190   63   18  2018-08-21         1   3.30  843  190   59   17   
#[Out]# 259077  847  190   63   18  2018-08-21         1   3.30  844  190   60    5   
#[Out]# 259078  847  190   63   18  2018-08-21         1   3.30  845  190   61   19   
#[Out]# 259079  847  190   63   18  2018-08-21         1   3.30  846  190   62    9   
#[Out]# 259080  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#               date  quantity  price  
#[Out]# 0       2018-08-22         1   0.45  
#[Out]# 1       2018-08-20         2   4.65  
#[Out]# 2       2018-08-20         3   1.60  
#[Out]# 3       2018-08-20         2   1.25  
#[Out]# 4       2018-08-20         4   3.95  
#[Out]# 5       2018-08-20         4   2.75  
#[Out]# 6       2018-08-21         8   0.90  
#[Out]# 7       2018-08-21         6   9.10  
#[Out]# 8       2018-08-16         1   2.45  
#[Out]# 9       2018-08-17         7   1.35  
#[Out]# 10      2018-08-17         6   1.10  
#[Out]# 11      2018-08-17         4   3.70  
#[Out]# 12      2018-08-17         1   1.55  
#[Out]# 13      2018-08-18         2   4.30  
#[Out]# 14      2018-08-19         2   2.75  
#[Out]# 15      2018-08-19         6   1.45  
#[Out]# 16      2018-08-24         2   4.15  
#[Out]# 17      2018-08-24         9   9.05  
#[Out]# 18      2018-08-25         5  13.60  
#[Out]# 19      2018-08-24         2   1.05  
#[Out]# 20      2018-08-25         9   3.05  
#[Out]# 21      2018-08-25         4   2.75  
#[Out]# 22      2018-08-17         6   4.70  
#[Out]# 23      2018-08-22         6   8.25  
#[Out]# 24      2018-08-23         9   1.10  
#[Out]# 25      2018-08-23         2   1.55  
#[Out]# 26      2018-08-23         2   1.85  
#[Out]# 27      2018-08-23         1   2.20  
#[Out]# 28      2018-08-23         2   2.10  
#[Out]# 29      2018-08-23         6   1.70  
#[Out]# ...            ...       ...    ...  
#[Out]# 259051  2018-08-20         4   2.80  
#[Out]# 259052  2018-08-15         5   0.50  
#[Out]# 259053  2018-08-23         3   2.55  
#[Out]# 259054  2018-08-15         4   0.65  
#[Out]# 259055  2018-08-24         4   0.70  
#[Out]# 259056  2018-08-25         4   3.70  
#[Out]# 259057  2018-08-15         2   3.50  
#[Out]# 259058  2018-08-15         5   2.95  
#[Out]# 259059  2018-08-22         5   2.75  
#[Out]# 259060  2018-08-17         7   1.50  
#[Out]# 259061  2018-08-18         5   0.85  
#[Out]# 259062  2018-08-19         2   3.55  
#[Out]# 259063  2018-08-25         4   2.60  
#[Out]# 259064  2018-08-17         4   3.25  
#[Out]# 259065  2018-08-26         6   4.30  
#[Out]# 259066  2018-08-17         3   3.05  
#[Out]# 259067  2018-08-22         6   4.05  
#[Out]# 259068  2018-08-19         1   1.50  
#[Out]# 259069  2018-08-15         5   2.50  
#[Out]# 259070  2018-08-18         4   3.95  
#[Out]# 259071  2018-08-25         6   3.50  
#[Out]# 259072  2018-08-18         7   2.95  
#[Out]# 259073  2018-08-15         4   1.60  
#[Out]# 259074  2018-08-22         5   3.25  
#[Out]# 259075  2018-08-19         7   0.75  
#[Out]# 259076  2018-08-26         2   3.80  
#[Out]# 259077  2018-08-27         6   4.35  
#[Out]# 259078  2018-08-23         5   2.85  
#[Out]# 259079  2018-08-16         2   3.15  
#[Out]# 259080  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [259081 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    WHERE p1.pID != p2.pID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#         tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0         0    0    3   10  2018-08-22         1   0.45    1    1   23   14   
#[Out]# 1         0    0    3   10  2018-08-22         1   0.45    2    1    3   16   
#[Out]# 2         0    0    3   10  2018-08-22         1   0.45    3    1   17    9   
#[Out]# 3         0    0    3   10  2018-08-22         1   0.45    4    1   32   25   
#[Out]# 4         0    0    3   10  2018-08-22         1   0.45    5    1   16   26   
#[Out]# 5         0    0    3   10  2018-08-22         1   0.45    6    1   46   11   
#[Out]# 6         0    0    3   10  2018-08-22         1   0.45    7    1   36   27   
#[Out]# 7         0    0    3   10  2018-08-22         1   0.45    8    2   12   20   
#[Out]# 8         0    0    3   10  2018-08-22         1   0.45    9    2   39    9   
#[Out]# 9         0    0    3   10  2018-08-22         1   0.45   10    2   13    4   
#[Out]# 10        0    0    3   10  2018-08-22         1   0.45   11    2   51   13   
#[Out]# 11        0    0    3   10  2018-08-22         1   0.45   12    2   47   22   
#[Out]# 12        0    0    3   10  2018-08-22         1   0.45   13    3   44   14   
#[Out]# 13        0    0    3   10  2018-08-22         1   0.45   14    3   30   26   
#[Out]# 14        0    0    3   10  2018-08-22         1   0.45   15    3   29    9   
#[Out]# 15        0    0    3   10  2018-08-22         1   0.45   16    4   17    8   
#[Out]# 16        0    0    3   10  2018-08-22         1   0.45   17    4   10   27   
#[Out]# 17        0    0    3   10  2018-08-22         1   0.45   18    4   53   12   
#[Out]# 18        0    0    3   10  2018-08-22         1   0.45   19    4   21    6   
#[Out]# 19        0    0    3   10  2018-08-22         1   0.45   20    4    7   13   
#[Out]# 20        0    0    3   10  2018-08-22         1   0.45   21    4   44   26   
#[Out]# 21        0    0    3   10  2018-08-22         1   0.45   22    5    4   14   
#[Out]# 22        0    0    3   10  2018-08-22         1   0.45   23    5   36   28   
#[Out]# 23        0    0    3   10  2018-08-22         1   0.45   24    5   55    6   
#[Out]# 24        0    0    3   10  2018-08-22         1   0.45   25    5   51   22   
#[Out]# 25        0    0    3   10  2018-08-22         1   0.45   26    5    6   16   
#[Out]# 26        0    0    3   10  2018-08-22         1   0.45   27    5   17   19   
#[Out]# 27        0    0    3   10  2018-08-22         1   0.45   28    7    3   19   
#[Out]# 28        0    0    3   10  2018-08-22         1   0.45   29    7   12    2   
#[Out]# 29        0    0    3   10  2018-08-22         1   0.45   30    7   11   16   
#[Out]# ...     ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 249754  847  190   63   18  2018-08-21         1   3.30  817  190   33   19   
#[Out]# 249755  847  190   63   18  2018-08-21         1   3.30  818  190   34   28   
#[Out]# 249756  847  190   63   18  2018-08-21         1   3.30  819  190   35   27   
#[Out]# 249757  847  190   63   18  2018-08-21         1   3.30  820  190   36    5   
#[Out]# 249758  847  190   63   18  2018-08-21         1   3.30  821  190   37   28   
#[Out]# 249759  847  190   63   18  2018-08-21         1   3.30  822  190   38    7   
#[Out]# 249760  847  190   63   18  2018-08-21         1   3.30  823  190   39    0   
#[Out]# 249761  847  190   63   18  2018-08-21         1   3.30  824  190   40   11   
#[Out]# 249762  847  190   63   18  2018-08-21         1   3.30  825  190   41    6   
#[Out]# 249763  847  190   63   18  2018-08-21         1   3.30  826  190   42   19   
#[Out]# 249764  847  190   63   18  2018-08-21         1   3.30  827  190   43   17   
#[Out]# 249765  847  190   63   18  2018-08-21         1   3.30  828  190   44    9   
#[Out]# 249766  847  190   63   18  2018-08-21         1   3.30  829  190   45   11   
#[Out]# 249767  847  190   63   18  2018-08-21         1   3.30  830  190   46   22   
#[Out]# 249768  847  190   63   18  2018-08-21         1   3.30  831  190   47   17   
#[Out]# 249769  847  190   63   18  2018-08-21         1   3.30  832  190   48   20   
#[Out]# 249770  847  190   63   18  2018-08-21         1   3.30  833  190   49   11   
#[Out]# 249771  847  190   63   18  2018-08-21         1   3.30  834  190   50   21   
#[Out]# 249772  847  190   63   18  2018-08-21         1   3.30  835  190   51   23   
#[Out]# 249773  847  190   63   18  2018-08-21         1   3.30  836  190   52   23   
#[Out]# 249774  847  190   63   18  2018-08-21         1   3.30  837  190   53    8   
#[Out]# 249775  847  190   63   18  2018-08-21         1   3.30  838  190   54    0   
#[Out]# 249776  847  190   63   18  2018-08-21         1   3.30  839  190   55    8   
#[Out]# 249777  847  190   63   18  2018-08-21         1   3.30  840  190   56   11   
#[Out]# 249778  847  190   63   18  2018-08-21         1   3.30  841  190   57   15   
#[Out]# 249779  847  190   63   18  2018-08-21         1   3.30  842  190   58    2   
#[Out]# 249780  847  190   63   18  2018-08-21         1   3.30  843  190   59   17   
#[Out]# 249781  847  190   63   18  2018-08-21         1   3.30  844  190   60    5   
#[Out]# 249782  847  190   63   18  2018-08-21         1   3.30  845  190   61   19   
#[Out]# 249783  847  190   63   18  2018-08-21         1   3.30  846  190   62    9   
#[Out]# 
#[Out]#               date  quantity  price  
#[Out]# 0       2018-08-20         2   4.65  
#[Out]# 1       2018-08-20         3   1.60  
#[Out]# 2       2018-08-20         2   1.25  
#[Out]# 3       2018-08-20         4   3.95  
#[Out]# 4       2018-08-20         4   2.75  
#[Out]# 5       2018-08-21         8   0.90  
#[Out]# 6       2018-08-21         6   9.10  
#[Out]# 7       2018-08-16         1   2.45  
#[Out]# 8       2018-08-17         7   1.35  
#[Out]# 9       2018-08-17         6   1.10  
#[Out]# 10      2018-08-17         4   3.70  
#[Out]# 11      2018-08-17         1   1.55  
#[Out]# 12      2018-08-18         2   4.30  
#[Out]# 13      2018-08-19         2   2.75  
#[Out]# 14      2018-08-19         6   1.45  
#[Out]# 15      2018-08-24         2   4.15  
#[Out]# 16      2018-08-24         9   9.05  
#[Out]# 17      2018-08-25         5  13.60  
#[Out]# 18      2018-08-24         2   1.05  
#[Out]# 19      2018-08-25         9   3.05  
#[Out]# 20      2018-08-25         4   2.75  
#[Out]# 21      2018-08-17         6   4.70  
#[Out]# 22      2018-08-22         6   8.25  
#[Out]# 23      2018-08-23         9   1.10  
#[Out]# 24      2018-08-23         2   1.55  
#[Out]# 25      2018-08-23         2   1.85  
#[Out]# 26      2018-08-23         1   2.20  
#[Out]# 27      2018-08-23         2   2.10  
#[Out]# 28      2018-08-23         6   1.70  
#[Out]# 29      2018-08-24         4   1.90  
#[Out]# ...            ...       ...    ...  
#[Out]# 249754  2018-08-19         5   4.25  
#[Out]# 249755  2018-08-20         4   2.80  
#[Out]# 249756  2018-08-15         5   0.50  
#[Out]# 249757  2018-08-23         3   2.55  
#[Out]# 249758  2018-08-15         4   0.65  
#[Out]# 249759  2018-08-24         4   0.70  
#[Out]# 249760  2018-08-25         4   3.70  
#[Out]# 249761  2018-08-15         2   3.50  
#[Out]# 249762  2018-08-15         5   2.95  
#[Out]# 249763  2018-08-22         5   2.75  
#[Out]# 249764  2018-08-17         7   1.50  
#[Out]# 249765  2018-08-18         5   0.85  
#[Out]# 249766  2018-08-19         2   3.55  
#[Out]# 249767  2018-08-25         4   2.60  
#[Out]# 249768  2018-08-17         4   3.25  
#[Out]# 249769  2018-08-26         6   4.30  
#[Out]# 249770  2018-08-17         3   3.05  
#[Out]# 249771  2018-08-22         6   4.05  
#[Out]# 249772  2018-08-19         1   1.50  
#[Out]# 249773  2018-08-15         5   2.50  
#[Out]# 249774  2018-08-18         4   3.95  
#[Out]# 249775  2018-08-25         6   3.50  
#[Out]# 249776  2018-08-18         7   2.95  
#[Out]# 249777  2018-08-15         4   1.60  
#[Out]# 249778  2018-08-22         5   3.25  
#[Out]# 249779  2018-08-19         7   0.75  
#[Out]# 249780  2018-08-26         2   3.80  
#[Out]# 249781  2018-08-27         6   4.35  
#[Out]# 249782  2018-08-23         5   2.85  
#[Out]# 249783  2018-08-16         2   3.15  
#[Out]# 
#[Out]# [249784 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase p1 
    JOIN purchase p2 
    ON p1.pID == p2.pID AND p1.tID == p2.tID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  tID  cID  sID  pID  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    0    3   10   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1    1   23   14   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    2    1    3   16   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    3    1   17    9   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    4    1   32   25   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    5    1   16   26   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    6    1   46   11   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    7    1   36   27   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    8    2   12   20   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9    2   39    9   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   10    2   13    4   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   11    2   51   13   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   12    2   47   22   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13    3   44   14   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   14    3   30   26   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   15    3   29    9   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   16    4   17    8   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   17    4   10   27   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   18    4   53   12   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   19    4   21    6   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   20    4    7   13   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   21    4   44   26   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   22    5    4   14   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   23    5   36   28   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   24    5   55    6   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   25    5   51   22   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   26    5    6   16   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   27    5   17   19   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   28    7    3   19   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   29    7   12    2   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...  ...  ...  ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  818  190   34   28   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  819  190   35   27   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  820  190   36    5   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  821  190   37   28   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  822  190   38    7   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  823  190   39    0   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  824  190   40   11   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  825  190   41    6   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  826  190   42   19   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  827  190   43   17   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  828  190   44    9   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  829  190   45   11   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  830  190   46   22   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  831  190   47   17   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  832  190   48   20   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  833  190   49   11   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  834  190   50   21   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  835  190   51   23   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  836  190   52   23   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  837  190   53    8   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  838  190   54    0   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  839  190   55    8   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  840  190   56   11   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  841  190   57   15   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  842  190   58    2   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  843  190   59   17   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  844  190   60    5   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  845  190   61   19   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  846  190   62    9   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  847  190   63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-20         2   4.65  
#[Out]# 2    2018-08-20         3   1.60  
#[Out]# 3    2018-08-20         2   1.25  
#[Out]# 4    2018-08-20         4   3.95  
#[Out]# 5    2018-08-20         4   2.75  
#[Out]# 6    2018-08-21         8   0.90  
#[Out]# 7    2018-08-21         6   9.10  
#[Out]# 8    2018-08-16         1   2.45  
#[Out]# 9    2018-08-17         7   1.35  
#[Out]# 10   2018-08-17         6   1.10  
#[Out]# 11   2018-08-17         4   3.70  
#[Out]# 12   2018-08-17         1   1.55  
#[Out]# 13   2018-08-18         2   4.30  
#[Out]# 14   2018-08-19         2   2.75  
#[Out]# 15   2018-08-19         6   1.45  
#[Out]# 16   2018-08-24         2   4.15  
#[Out]# 17   2018-08-24         9   9.05  
#[Out]# 18   2018-08-25         5  13.60  
#[Out]# 19   2018-08-24         2   1.05  
#[Out]# 20   2018-08-25         9   3.05  
#[Out]# 21   2018-08-25         4   2.75  
#[Out]# 22   2018-08-17         6   4.70  
#[Out]# 23   2018-08-22         6   8.25  
#[Out]# 24   2018-08-23         9   1.10  
#[Out]# 25   2018-08-23         2   1.55  
#[Out]# 26   2018-08-23         2   1.85  
#[Out]# 27   2018-08-23         1   2.20  
#[Out]# 28   2018-08-23         2   2.10  
#[Out]# 29   2018-08-23         6   1.70  
#[Out]# ..          ...       ...    ...  
#[Out]# 479  2018-08-20         4   2.80  
#[Out]# 480  2018-08-15         5   0.50  
#[Out]# 481  2018-08-23         3   2.55  
#[Out]# 482  2018-08-15         4   0.65  
#[Out]# 483  2018-08-24         4   0.70  
#[Out]# 484  2018-08-25         4   3.70  
#[Out]# 485  2018-08-15         2   3.50  
#[Out]# 486  2018-08-15         5   2.95  
#[Out]# 487  2018-08-22         5   2.75  
#[Out]# 488  2018-08-17         7   1.50  
#[Out]# 489  2018-08-18         5   0.85  
#[Out]# 490  2018-08-19         2   3.55  
#[Out]# 491  2018-08-25         4   2.60  
#[Out]# 492  2018-08-17         4   3.25  
#[Out]# 493  2018-08-26         6   4.30  
#[Out]# 494  2018-08-17         3   3.05  
#[Out]# 495  2018-08-22         6   4.05  
#[Out]# 496  2018-08-19         1   1.50  
#[Out]# 497  2018-08-15         5   2.50  
#[Out]# 498  2018-08-18         4   3.95  
#[Out]# 499  2018-08-25         6   3.50  
#[Out]# 500  2018-08-18         7   2.95  
#[Out]# 501  2018-08-15         4   1.60  
#[Out]# 502  2018-08-22         5   3.25  
#[Out]# 503  2018-08-19         7   0.75  
#[Out]# 504  2018-08-26         2   3.80  
#[Out]# 505  2018-08-27         6   4.35  
#[Out]# 506  2018-08-23         5   2.85  
#[Out]# 507  2018-08-16         2   3.15  
#[Out]# 508  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID FROM purchase
    SELECT cID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID FROM purchase
    JOIN
    SELECT cID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT pID FROM purchase
    UNION
    SELECT cID FROM purchase
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 107  147
#[Out]# 108  149
#[Out]# 109  151
#[Out]# 110  152
#[Out]# 111  157
#[Out]# 112  159
#[Out]# 113  161
#[Out]# 114  162
#[Out]# 115  163
#[Out]# 116  165
#[Out]# 117  167
#[Out]# 118  168
#[Out]# 119  169
#[Out]# 120  170
#[Out]# 121  171
#[Out]# 122  172
#[Out]# 123  175
#[Out]# 124  176
#[Out]# 125  177
#[Out]# 126  178
#[Out]# 127  179
#[Out]# 128  180
#[Out]# 129  181
#[Out]# 130  182
#[Out]# 131  184
#[Out]# 132  185
#[Out]# 133  186
#[Out]# 134  188
#[Out]# 135  189
#[Out]# 136  190
#[Out]# 
#[Out]# [137 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    (SELECT pID FROM purchase)
    UNION
    (SELECT cID FROM purchase)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    (SELECT pID FROM purchase)
    AND
    (SELECT cID FROM purchase)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID
    FROM product, customer, purchase
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM product, customer, purchase
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID             pName suffix  cID   cName            street       city  \
#[Out]# 0     10             Water           0    Noah         Koestraat    Utrecht   
#[Out]# 1     14            Apples           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 2     16              Rice           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 3      9           Bananas           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 4     25            Donuts           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 5     26             Pasta           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 6     11              Milk           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 7     27             Pizza           1     Sem  Rozemarijnstraat      Breda   
#[Out]# 8     20             Fanta           2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 9      9           Bananas           2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 10     4            Onions           2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 11    13              Eggs           2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 12    22               Tea           2   Lucas  Oude Leliestraat  Amsterdam   
#[Out]# 13    14            Apples           3    Finn     Stationsplein      Breda   
#[Out]# 14    26             Pasta           3    Finn     Stationsplein      Breda   
#[Out]# 15     9           Bananas           3    Finn     Stationsplein      Breda   
#[Out]# 16     8  Hot Dog Sausages           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 17    27             Pizza           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 18    12              Beef           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 19     6           Carrots           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 20    13              Eggs           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 21    26             Pasta           4    Daan      Kalverstraat  Amsterdam   
#[Out]# 22    14            Apples           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 23    28           Lasanga           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 24     6           Carrots           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 25    22               Tea           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 26    16              Rice           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 27    19              Coca           5    Levi    Gasthuisstraat    Utrecht   
#[Out]# 28    19              Coca           7    Bram      Schoolstraat  Eindhoven   
#[Out]# 29     2          Potatoes           7    Bram      Schoolstraat  Eindhoven   
#[Out]# ..   ...               ...    ...  ...     ...               ...        ...   
#[Out]# 479   28           Lasanga         190  Kostas          Eindeweg    Utrecht   
#[Out]# 480   27             Pizza         190  Kostas          Eindeweg    Utrecht   
#[Out]# 481    5         Mushrooms         190  Kostas          Eindeweg    Utrecht   
#[Out]# 482   28           Lasanga         190  Kostas          Eindeweg    Utrecht   
#[Out]# 483    7          Tomatoes         190  Kostas          Eindeweg    Utrecht   
#[Out]# 484    0       Cashew Nuts         190  Kostas          Eindeweg    Utrecht   
#[Out]# 485   11              Milk         190  Kostas          Eindeweg    Utrecht   
#[Out]# 486    6           Carrots         190  Kostas          Eindeweg    Utrecht   
#[Out]# 487   19              Coca         190  Kostas          Eindeweg    Utrecht   
#[Out]# 488   17             Bread         190  Kostas          Eindeweg    Utrecht   
#[Out]# 489    9           Bananas         190  Kostas          Eindeweg    Utrecht   
#[Out]# 490   11              Milk         190  Kostas          Eindeweg    Utrecht   
#[Out]# 491   22               Tea         190  Kostas          Eindeweg    Utrecht   
#[Out]# 492   17             Bread         190  Kostas          Eindeweg    Utrecht   
#[Out]# 493   20             Fanta         190  Kostas          Eindeweg    Utrecht   
#[Out]# 494   11              Milk         190  Kostas          Eindeweg    Utrecht   
#[Out]# 495   21            Coffee         190  Kostas          Eindeweg    Utrecht   
#[Out]# 496   23   Spiced Biscuits         190  Kostas          Eindeweg    Utrecht   
#[Out]# 497   23   Spiced Biscuits         190  Kostas          Eindeweg    Utrecht   
#[Out]# 498    8  Hot Dog Sausages         190  Kostas          Eindeweg    Utrecht   
#[Out]# 499    0       Cashew Nuts         190  Kostas          Eindeweg    Utrecht   
#[Out]# 500    8  Hot Dog Sausages         190  Kostas          Eindeweg    Utrecht   
#[Out]# 501   11              Milk         190  Kostas          Eindeweg    Utrecht   
#[Out]# 502   15         Cucumbers         190  Kostas          Eindeweg    Utrecht   
#[Out]# 503    2          Potatoes         190  Kostas          Eindeweg    Utrecht   
#[Out]# 504   17             Bread         190  Kostas          Eindeweg    Utrecht   
#[Out]# 505    5         Mushrooms         190  Kostas          Eindeweg    Utrecht   
#[Out]# 506   19              Coca         190  Kostas          Eindeweg    Utrecht   
#[Out]# 507    9           Bananas         190  Kostas          Eindeweg    Utrecht   
#[Out]# 508   18            Cheese         190  Kostas          Eindeweg    Utrecht   
#[Out]# 
#[Out]#      tID  cID  sID  pID        date  quantity  price  
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45  
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65  
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60  
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25  
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95  
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75  
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90  
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10  
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45  
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35  
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10  
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70  
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55  
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30  
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75  
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45  
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15  
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05  
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60  
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05  
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05  
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75  
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70  
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25  
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10  
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55  
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85  
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20  
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10  
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70  
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT *
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  pID             pName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45   10             Water   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65   14            Apples   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60   16              Rice   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    9           Bananas   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95   25            Donuts   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75   26             Pasta   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90   11              Milk   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10   27             Pizza   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45   20             Fanta   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9           Bananas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    4            Onions   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   13              Eggs   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   22               Tea   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   14            Apples   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   26             Pasta   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    9           Bananas   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    8  Hot Dog Sausages   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   27             Pizza   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   12              Beef   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    6           Carrots   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   13              Eggs   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   26             Pasta   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   14            Apples   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   28           Lasanga   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    6           Carrots   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   22               Tea   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   16              Rice   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   19              Coca   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   19              Coca   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    2          Potatoes   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...               ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80   28           Lasanga   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50   27             Pizza   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55    5         Mushrooms   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65   28           Lasanga   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70    7          Tomatoes   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70    0       Cashew Nuts   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50   11              Milk   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95    6           Carrots   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75   19              Coca   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50   17             Bread   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85    9           Bananas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55   11              Milk   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60   22               Tea   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25   17             Bread   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30   20             Fanta   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05   11              Milk   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05   21            Coffee   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50   23   Spiced Biscuits   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50   23   Spiced Biscuits   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95    8  Hot Dog Sausages   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50    0       Cashew Nuts   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95    8  Hot Dog Sausages   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60   11              Milk   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25   15         Cucumbers   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75    2          Potatoes   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80   17             Bread   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35    5         Mushrooms   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85   19              Coca   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15    9           Bananas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30   18            Cheese   
#[Out]# 
#[Out]#     suffix  cID   cName            street       city  
#[Out]# 0             0    Noah         Koestraat    Utrecht  
#[Out]# 1             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 2             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 3             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 4             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 5             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 6             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 7             1     Sem  Rozemarijnstraat      Breda  
#[Out]# 8             2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 9             2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 10            2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 11            2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 12            2   Lucas  Oude Leliestraat  Amsterdam  
#[Out]# 13            3    Finn     Stationsplein      Breda  
#[Out]# 14            3    Finn     Stationsplein      Breda  
#[Out]# 15            3    Finn     Stationsplein      Breda  
#[Out]# 16            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 17            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 18            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 19            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 20            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 21            4    Daan      Kalverstraat  Amsterdam  
#[Out]# 22            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 23            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 24            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 25            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 26            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 27            5    Levi    Gasthuisstraat    Utrecht  
#[Out]# 28            7    Bram      Schoolstraat  Eindhoven  
#[Out]# 29            7    Bram      Schoolstraat  Eindhoven  
#[Out]# ..     ...  ...     ...               ...        ...  
#[Out]# 479         190  Kostas          Eindeweg    Utrecht  
#[Out]# 480         190  Kostas          Eindeweg    Utrecht  
#[Out]# 481         190  Kostas          Eindeweg    Utrecht  
#[Out]# 482         190  Kostas          Eindeweg    Utrecht  
#[Out]# 483         190  Kostas          Eindeweg    Utrecht  
#[Out]# 484         190  Kostas          Eindeweg    Utrecht  
#[Out]# 485         190  Kostas          Eindeweg    Utrecht  
#[Out]# 486         190  Kostas          Eindeweg    Utrecht  
#[Out]# 487         190  Kostas          Eindeweg    Utrecht  
#[Out]# 488         190  Kostas          Eindeweg    Utrecht  
#[Out]# 489         190  Kostas          Eindeweg    Utrecht  
#[Out]# 490         190  Kostas          Eindeweg    Utrecht  
#[Out]# 491         190  Kostas          Eindeweg    Utrecht  
#[Out]# 492         190  Kostas          Eindeweg    Utrecht  
#[Out]# 493         190  Kostas          Eindeweg    Utrecht  
#[Out]# 494         190  Kostas          Eindeweg    Utrecht  
#[Out]# 495         190  Kostas          Eindeweg    Utrecht  
#[Out]# 496         190  Kostas          Eindeweg    Utrecht  
#[Out]# 497         190  Kostas          Eindeweg    Utrecht  
#[Out]# 498         190  Kostas          Eindeweg    Utrecht  
#[Out]# 499         190  Kostas          Eindeweg    Utrecht  
#[Out]# 500         190  Kostas          Eindeweg    Utrecht  
#[Out]# 501         190  Kostas          Eindeweg    Utrecht  
#[Out]# 502         190  Kostas          Eindeweg    Utrecht  
#[Out]# 503         190  Kostas          Eindeweg    Utrecht  
#[Out]# 504         190  Kostas          Eindeweg    Utrecht  
#[Out]# 505         190  Kostas          Eindeweg    Utrecht  
#[Out]# 506         190  Kostas          Eindeweg    Utrecht  
#[Out]# 507         190  Kostas          Eindeweg    Utrecht  
#[Out]# 508         190  Kostas          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT purchase.tID, product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT purchase.tID, product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    ORDER BY product.pID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      tID  pID  cID
#[Out]# 0     38    0   13
#[Out]# 1     48    0   16
#[Out]# 2     63    0   19
#[Out]# 3     68    0   20
#[Out]# 4     81    0   24
#[Out]# 5    104    0   33
#[Out]# 6    187    0   66
#[Out]# 7    214    0   78
#[Out]# 8    227    0   82
#[Out]# 9    259    0   95
#[Out]# 10   297    0  113
#[Out]# 11   321    0  123
#[Out]# 12   336    0  127
#[Out]# 13   354    0  139
#[Out]# 14   355    0  144
#[Out]# 15   380    0  157
#[Out]# 16   403    0  163
#[Out]# 17   423    0  167
#[Out]# 18   439    0  170
#[Out]# 19   449    0  176
#[Out]# 20   777    0  184
#[Out]# 21   797    0  190
#[Out]# 22   816    0  190
#[Out]# 23   823    0  190
#[Out]# 24   838    0  190
#[Out]# 25   107    1   33
#[Out]# 26   175    1   59
#[Out]# 27   195    1   69
#[Out]# 28   252    1   92
#[Out]# 29   281    1  108
#[Out]# ..   ...  ...  ...
#[Out]# 479  819   27  190
#[Out]# 480   23   28    5
#[Out]# 481   73   28   22
#[Out]# 482  111   28   35
#[Out]# 483  123   28   39
#[Out]# 484  124   28   40
#[Out]# 485  180   28   60
#[Out]# 486  197   28   70
#[Out]# 487  200   28   71
#[Out]# 488  224   28   82
#[Out]# 489  234   28   86
#[Out]# 490  271   28  100
#[Out]# 491  280   28  108
#[Out]# 492  307   28  118
#[Out]# 493  320   28  123
#[Out]# 494  325   28  124
#[Out]# 495  337   28  127
#[Out]# 496  350   28  136
#[Out]# 497  393   28  161
#[Out]# 498  397   28  162
#[Out]# 499  428   28  169
#[Out]# 500  438   28  170
#[Out]# 501  445   28  175
#[Out]# 502  787   28  190
#[Out]# 503  818   28  190
#[Out]# 504  821   28  190
#[Out]# 505  778   29  185
#[Out]# 506  779   29  186
#[Out]# 507  780   30  188
#[Out]# 508  781   30  188
#[Out]# 
#[Out]# [509 rows x 3 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    ORDER BY product.pID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0      0   13
#[Out]# 1      0   16
#[Out]# 2      0   19
#[Out]# 3      0   20
#[Out]# 4      0   24
#[Out]# 5      0   33
#[Out]# 6      0   66
#[Out]# 7      0   78
#[Out]# 8      0   82
#[Out]# 9      0   95
#[Out]# 10     0  113
#[Out]# 11     0  123
#[Out]# 12     0  127
#[Out]# 13     0  139
#[Out]# 14     0  144
#[Out]# 15     0  157
#[Out]# 16     0  163
#[Out]# 17     0  167
#[Out]# 18     0  170
#[Out]# 19     0  176
#[Out]# 20     0  184
#[Out]# 21     0  190
#[Out]# 22     0  190
#[Out]# 23     0  190
#[Out]# 24     0  190
#[Out]# 25     1   33
#[Out]# 26     1   59
#[Out]# 27     1   69
#[Out]# 28     1   92
#[Out]# 29     1  108
#[Out]# ..   ...  ...
#[Out]# 479   27  190
#[Out]# 480   28    5
#[Out]# 481   28   22
#[Out]# 482   28   35
#[Out]# 483   28   39
#[Out]# 484   28   40
#[Out]# 485   28   60
#[Out]# 486   28   70
#[Out]# 487   28   71
#[Out]# 488   28   82
#[Out]# 489   28   86
#[Out]# 490   28  100
#[Out]# 491   28  108
#[Out]# 492   28  118
#[Out]# 493   28  123
#[Out]# 494   28  124
#[Out]# 495   28  127
#[Out]# 496   28  136
#[Out]# 497   28  161
#[Out]# 498   28  162
#[Out]# 499   28  169
#[Out]# 500   28  170
#[Out]# 501   28  175
#[Out]# 502   28  190
#[Out]# 503   28  190
#[Out]# 504   28  190
#[Out]# 505   29  185
#[Out]# 506   29  186
#[Out]# 507   30  188
#[Out]# 508   30  188
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    ORDER BY product.pID
    GROUP BY product.pID, customer.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    ORDER BY product.pID
    GROUP BY product.pID AND customer.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    GROUP BY product.pID AND customer.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  cID
#[Out]# 0    0  190
#[Out]# 1   18  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     14    1
#[Out]# 2     16    1
#[Out]# 3      9    1
#[Out]# 4     25    1
#[Out]# 5     26    1
#[Out]# 6     11    1
#[Out]# 7     27    1
#[Out]# 8     20    2
#[Out]# 9      9    2
#[Out]# 10     4    2
#[Out]# 11    13    2
#[Out]# 12    22    2
#[Out]# 13    14    3
#[Out]# 14    26    3
#[Out]# 15     9    3
#[Out]# 16     8    4
#[Out]# 17    27    4
#[Out]# 18    12    4
#[Out]# 19     6    4
#[Out]# 20    13    4
#[Out]# 21    26    4
#[Out]# 22    14    5
#[Out]# 23    28    5
#[Out]# 24     6    5
#[Out]# 25    22    5
#[Out]# 26    16    5
#[Out]# 27    19    5
#[Out]# 28    19    7
#[Out]# 29     2    7
#[Out]# ..   ...  ...
#[Out]# 479   28  190
#[Out]# 480   27  190
#[Out]# 481    5  190
#[Out]# 482   28  190
#[Out]# 483    7  190
#[Out]# 484    0  190
#[Out]# 485   11  190
#[Out]# 486    6  190
#[Out]# 487   19  190
#[Out]# 488   17  190
#[Out]# 489    9  190
#[Out]# 490   11  190
#[Out]# 491   22  190
#[Out]# 492   17  190
#[Out]# 493   20  190
#[Out]# 494   11  190
#[Out]# 495   21  190
#[Out]# 496   23  190
#[Out]# 497   23  190
#[Out]# 498    8  190
#[Out]# 499    0  190
#[Out]# 500    8  190
#[Out]# 501   11  190
#[Out]# 502   15  190
#[Out]# 503    2  190
#[Out]# 504   17  190
#[Out]# 505    5  190
#[Out]# 506   19  190
#[Out]# 507    9  190
#[Out]# 508   18  190
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    GROUP BY purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#      pID  cID
#[Out]# 0     10    0
#[Out]# 1     27    1
#[Out]# 2     22    2
#[Out]# 3      9    3
#[Out]# 4     26    4
#[Out]# 5     19    5
#[Out]# 6     20    7
#[Out]# 7      8    8
#[Out]# 8     24   10
#[Out]# 9     14   11
#[Out]# 10     5   13
#[Out]# 11    11   15
#[Out]# 12    27   16
#[Out]# 13     7   17
#[Out]# 14     8   18
#[Out]# 15     3   19
#[Out]# 16    27   20
#[Out]# 17    27   21
#[Out]# 18    10   22
#[Out]# 19    13   24
#[Out]# 20    26   25
#[Out]# 21    23   26
#[Out]# 22    22   27
#[Out]# 23    11   28
#[Out]# 24     4   29
#[Out]# 25    12   30
#[Out]# 26    24   31
#[Out]# 27     4   33
#[Out]# 28    26   34
#[Out]# 29    28   35
#[Out]# ..   ...  ...
#[Out]# 102   25  147
#[Out]# 103   19  149
#[Out]# 104   23  151
#[Out]# 105   19  152
#[Out]# 106    3  157
#[Out]# 107   12  159
#[Out]# 108   28  161
#[Out]# 109   16  162
#[Out]# 110   10  163
#[Out]# 111    9  165
#[Out]# 112   17  167
#[Out]# 113    1  168
#[Out]# 114   14  169
#[Out]# 115   22  170
#[Out]# 116   21  171
#[Out]# 117   16  172
#[Out]# 118   21  175
#[Out]# 119    5  176
#[Out]# 120    4  177
#[Out]# 121   24  178
#[Out]# 122   10  179
#[Out]# 123   10  180
#[Out]# 124   21  181
#[Out]# 125   13  182
#[Out]# 126    0  184
#[Out]# 127   29  185
#[Out]# 128   29  186
#[Out]# 129   30  188
#[Out]# 130   19  189
#[Out]# 131   18  190
#[Out]# 
#[Out]# [132 rows x 2 columns]
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    GROUP BY purchase.pID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0  190
#[Out]# 1     1  169
#[Out]# 2     2  190
#[Out]# 3     3  190
#[Out]# 4     4  190
#[Out]# 5     5  190
#[Out]# 6     6  190
#[Out]# 7     7  190
#[Out]# 8     8  190
#[Out]# 9     9  190
#[Out]# 10   10  190
#[Out]# 11   11  190
#[Out]# 12   12  162
#[Out]# 13   13  190
#[Out]# 14   14  179
#[Out]# 15   15  190
#[Out]# 16   16  179
#[Out]# 17   17  190
#[Out]# 18   18  190
#[Out]# 19   19  190
#[Out]# 20   20  190
#[Out]# 21   21  190
#[Out]# 22   22  190
#[Out]# 23   23  190
#[Out]# 24   24  178
#[Out]# 25   25  190
#[Out]# 26   26  190
#[Out]# 27   27  190
#[Out]# 28   28  190
#[Out]# 29   29  186
#[Out]# 30   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    purchase.pID = 1
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID = 1
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     1   33
#[Out]# 1     1   59
#[Out]# 2     1   69
#[Out]# 3     1   92
#[Out]# 4     1  108
#[Out]# 5     1  109
#[Out]# 6     1  112
#[Out]# 7     1  131
#[Out]# 8     1  161
#[Out]# 9     1  165
#[Out]# 10    1  167
#[Out]# 11    1  168
#[Out]# 12    1  169
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 1
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     1   33
#[Out]# 1     1   59
#[Out]# 2     1   69
#[Out]# 3     1   92
#[Out]# 4     1  108
#[Out]# 5     1  109
#[Out]# 6     1  112
#[Out]# 7     1  131
#[Out]# 8     1  161
#[Out]# 9     1  165
#[Out]# 10    1  167
#[Out]# 11    1  168
#[Out]# 12    1  169
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 1
    GROUP BY cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 1
    GROUP BY purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     1   33
#[Out]# 1     1   59
#[Out]# 2     1   69
#[Out]# 3     1   92
#[Out]# 4     1  108
#[Out]# 5     1  109
#[Out]# 6     1  112
#[Out]# 7     1  131
#[Out]# 8     1  161
#[Out]# 9     1  165
#[Out]# 10    1  167
#[Out]# 11    1  168
#[Out]# 12    1  169
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 2
    GROUP BY purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  cID
#[Out]# 0    2    7
#[Out]# 1    2   27
#[Out]# 2    2   33
#[Out]# 3    2   85
#[Out]# 4    2   91
#[Out]# 5    2   97
#[Out]# 6    2  162
#[Out]# 7    2  167
#[Out]# 8    2  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 3
    GROUP BY purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     3   13
#[Out]# 1     3   19
#[Out]# 2     3   27
#[Out]# 3     3   41
#[Out]# 4     3   51
#[Out]# 5     3   67
#[Out]# 6     3   86
#[Out]# 7     3   96
#[Out]# 8     3  100
#[Out]# 9     3  112
#[Out]# 10    3  122
#[Out]# 11    3  134
#[Out]# 12    3  157
#[Out]# 13    3  162
#[Out]# 14    3  167
#[Out]# 15    3  169
#[Out]# 16    3  171
#[Out]# 17    3  177
#[Out]# 18    3  182
#[Out]# 19    3  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 3
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     3   13
#[Out]# 1     3   19
#[Out]# 2     3   27
#[Out]# 3     3   41
#[Out]# 4     3   51
#[Out]# 5     3   67
#[Out]# 6     3   86
#[Out]# 7     3   96
#[Out]# 8     3  100
#[Out]# 9     3  112
#[Out]# 10    3  122
#[Out]# 11    3  134
#[Out]# 12    3  157
#[Out]# 13    3  162
#[Out]# 14    3  167
#[Out]# 15    3  169
#[Out]# 16    3  171
#[Out]# 17    3  177
#[Out]# 18    3  182
#[Out]# 19    3  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 4
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     4    2
#[Out]# 1     4   29
#[Out]# 2     4   31
#[Out]# 3     4   33
#[Out]# 4     4   52
#[Out]# 5     4   59
#[Out]# 6     4   85
#[Out]# 7     4  124
#[Out]# 8     4  129
#[Out]# 9     4  162
#[Out]# 10    4  165
#[Out]# 11    4  169
#[Out]# 12    4  172
#[Out]# 13    4  176
#[Out]# 14    4  177
#[Out]# 15    4  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 30
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  cID
#[Out]# 0   30  188
#[Out]# 1   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase, product, customer
    WHERE 
    product.pID == purchase.pID
    AND
    customer.cID == purchase.cID
    AND
    purchase.pID == 30
    GROUP BY purchase.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  cID
#[Out]# 0   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT product.pID, customer.cID
    FROM purchase p
    WHERE p.pID == 30
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID
    FROM purchase p
    WHERE p.pID == 30
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  cID
#[Out]# 0   30  188
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID
    FROM purchase p
    WHERE p.pID == 0
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0   13
#[Out]# 1     0   16
#[Out]# 2     0   19
#[Out]# 3     0   20
#[Out]# 4     0   24
#[Out]# 5     0   33
#[Out]# 6     0   66
#[Out]# 7     0   78
#[Out]# 8     0   82
#[Out]# 9     0   95
#[Out]# 10    0  113
#[Out]# 11    0  123
#[Out]# 12    0  127
#[Out]# 13    0  139
#[Out]# 14    0  144
#[Out]# 15    0  157
#[Out]# 16    0  163
#[Out]# 17    0  167
#[Out]# 18    0  170
#[Out]# 19    0  176
#[Out]# 20    0  184
#[Out]# 21    0  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID
    FROM purchase p
    WHERE p.pID == 0 /*between 0 and 30*/
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0   13
#[Out]# 1     0   16
#[Out]# 2     0   19
#[Out]# 3     0   20
#[Out]# 4     0   24
#[Out]# 5     0   33
#[Out]# 6     0   66
#[Out]# 7     0   78
#[Out]# 8     0   82
#[Out]# 9     0   95
#[Out]# 10    0  113
#[Out]# 11    0  123
#[Out]# 12    0  127
#[Out]# 13    0  139
#[Out]# 14    0  144
#[Out]# 15    0  157
#[Out]# 16    0  163
#[Out]# 17    0  167
#[Out]# 18    0  170
#[Out]# 19    0  176
#[Out]# 20    0  184
#[Out]# 21    0  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    COUNT(SELECT p.pID, p.cID
    FROM purchase p
    WHERE p.pID == 0 /*between 0 and 30*/
    GROUP BY p.cID)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID
    FROM purchase p
    WHERE p.pID == 0 /*between 0 and 30*/
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID
#[Out]# 0     0   13
#[Out]# 1     0   16
#[Out]# 2     0   19
#[Out]# 3     0   20
#[Out]# 4     0   24
#[Out]# 5     0   33
#[Out]# 6     0   66
#[Out]# 7     0   78
#[Out]# 8     0   82
#[Out]# 9     0   95
#[Out]# 10    0  113
#[Out]# 11    0  123
#[Out]# 12    0  127
#[Out]# 13    0  139
#[Out]# 14    0  144
#[Out]# 15    0  157
#[Out]# 16    0  163
#[Out]# 17    0  167
#[Out]# 18    0  170
#[Out]# 19    0  176
#[Out]# 20    0  184
#[Out]# 21    0  190
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID, COUNT(p.cID)
    FROM purchase p
    WHERE p.pID == 0 /*between 0 and 30*/
    GROUP BY p.cID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID  COUNT(p.cID)
#[Out]# 0     0   13             1
#[Out]# 1     0   16             1
#[Out]# 2     0   19             1
#[Out]# 3     0   20             1
#[Out]# 4     0   24             1
#[Out]# 5     0   33             1
#[Out]# 6     0   66             1
#[Out]# 7     0   78             1
#[Out]# 8     0   82             1
#[Out]# 9     0   95             1
#[Out]# 10    0  113             1
#[Out]# 11    0  123             1
#[Out]# 12    0  127             1
#[Out]# 13    0  139             1
#[Out]# 14    0  144             1
#[Out]# 15    0  157             1
#[Out]# 16    0  163             1
#[Out]# 17    0  167             1
#[Out]# 18    0  170             1
#[Out]# 19    0  176             1
#[Out]# 20    0  184             1
#[Out]# 21    0  190             4
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, p.cID, COUNT(p.cID)
    FROM purchase p
    GROUP BY p.pID
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  cID  COUNT(p.cID)
#[Out]# 0     0  190            25
#[Out]# 1     1  169            13
#[Out]# 2     2  190            10
#[Out]# 3     3  190            20
#[Out]# 4     4  190            16
#[Out]# 5     5  190            16
#[Out]# 6     6  190            15
#[Out]# 7     7  190            14
#[Out]# 8     8  190            13
#[Out]# 9     9  190            20
#[Out]# 10   10  190            16
#[Out]# 11   11  190            16
#[Out]# 12   12  162            16
#[Out]# 13   13  190            21
#[Out]# 14   14  179            18
#[Out]# 15   15  190            14
#[Out]# 16   16  179            20
#[Out]# 17   17  190            18
#[Out]# 18   18  190            10
#[Out]# 19   19  190            26
#[Out]# 20   20  190            18
#[Out]# 21   21  190            22
#[Out]# 22   22  190            21
#[Out]# 23   23  190            13
#[Out]# 24   24  178            20
#[Out]# 25   25  190            14
#[Out]# 26   26  190            20
#[Out]# 27   27  190            15
#[Out]# 28   28  190            25
#[Out]# 29   29  186             2
#[Out]# 30   30  188             2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(p.cID = 1)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(p.cID)
#[Out]# 0     0            25
#[Out]# 1     1            13
#[Out]# 2     2            10
#[Out]# 3     3            20
#[Out]# 4     4            16
#[Out]# 5     5            16
#[Out]# 6     6            15
#[Out]# 7     7            14
#[Out]# 8     8            13
#[Out]# 9     9            20
#[Out]# 10   10            16
#[Out]# 11   11            16
#[Out]# 12   12            16
#[Out]# 13   13            21
#[Out]# 14   14            18
#[Out]# 15   15            14
#[Out]# 16   16            20
#[Out]# 17   17            18
#[Out]# 18   18            10
#[Out]# 19   19            26
#[Out]# 20   20            18
#[Out]# 21   21            22
#[Out]# 22   22            21
#[Out]# 23   23            13
#[Out]# 24   24            20
#[Out]# 25   25            14
#[Out]# 26   26            20
#[Out]# 27   27            15
#[Out]# 28   28            25
#[Out]# 29   29             2
#[Out]# 30   30             2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(p.cID == 1)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(p.cID)
#[Out]# 0     0            25
#[Out]# 1     1            13
#[Out]# 2     2            10
#[Out]# 3     3            20
#[Out]# 4     4            16
#[Out]# 5     5            16
#[Out]# 6     6            15
#[Out]# 7     7            14
#[Out]# 8     8            13
#[Out]# 9     9            20
#[Out]# 10   10            16
#[Out]# 11   11            16
#[Out]# 12   12            16
#[Out]# 13   13            21
#[Out]# 14   14            18
#[Out]# 15   15            14
#[Out]# 16   16            20
#[Out]# 17   17            18
#[Out]# 18   18            10
#[Out]# 19   19            26
#[Out]# 20   20            18
#[Out]# 21   21            22
#[Out]# 22   22            21
#[Out]# 23   23            13
#[Out]# 24   24            20
#[Out]# 25   25            14
#[Out]# 26   26            20
#[Out]# 27   27            15
#[Out]# 28   28            25
#[Out]# 29   29             2
#[Out]# 30   30             2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(p.cID == 1)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID
    FROM purchase p
    WHERE COUNT(DISTINCT p.cID < 3)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    /*GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  COUNT(DISTINCT p.cID)
#[Out]# 0   18                    132
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(p.cID)
    FROM purchase p
    /*GROUP BY p.pID
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  COUNT(p.cID)
#[Out]# 0   18           509
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(p.cID)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(p.cID)
#[Out]# 0     0            25
#[Out]# 1     1            13
#[Out]# 2     2            10
#[Out]# 3     3            20
#[Out]# 4     4            16
#[Out]# 5     5            16
#[Out]# 6     6            15
#[Out]# 7     7            14
#[Out]# 8     8            13
#[Out]# 9     9            20
#[Out]# 10   10            16
#[Out]# 11   11            16
#[Out]# 12   12            16
#[Out]# 13   13            21
#[Out]# 14   14            18
#[Out]# 15   15            14
#[Out]# 16   16            20
#[Out]# 17   17            18
#[Out]# 18   18            10
#[Out]# 19   19            26
#[Out]# 20   20            18
#[Out]# 21   21            22
#[Out]# 22   22            21
#[Out]# 23   23            13
#[Out]# 24   24            20
#[Out]# 25   25            14
#[Out]# 26   26            20
#[Out]# 27   27            15
#[Out]# 28   28            25
#[Out]# 29   29             2
#[Out]# 30   30             2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID), COUNT(*)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)  COUNT(*)
#[Out]# 0     0                     22        25
#[Out]# 1     1                     13        13
#[Out]# 2     2                      9        10
#[Out]# 3     3                     20        20
#[Out]# 4     4                     16        16
#[Out]# 5     5                     14        16
#[Out]# 6     6                     15        15
#[Out]# 7     7                     13        14
#[Out]# 8     8                     12        13
#[Out]# 9     9                     18        20
#[Out]# 10   10                     14        16
#[Out]# 11   11                     13        16
#[Out]# 12   12                     16        16
#[Out]# 13   13                     21        21
#[Out]# 14   14                     18        18
#[Out]# 15   15                     13        14
#[Out]# 16   16                     20        20
#[Out]# 17   17                     13        18
#[Out]# 18   18                     10        10
#[Out]# 19   19                     20        26
#[Out]# 20   20                     16        18
#[Out]# 21   21                     19        22
#[Out]# 22   22                     20        21
#[Out]# 23   23                     11        13
#[Out]# 24   24                     20        20
#[Out]# 25   25                     14        14
#[Out]# 26   26                     19        20
#[Out]# 27   27                     13        15
#[Out]# 28   28                     23        25
#[Out]# 29   29                      2         2
#[Out]# 30   30                      1         2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID), COUNT(DISTINCT *)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID), COUNT(*)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  COUNT(DISTINCT p.cID)  COUNT(*)
#[Out]# 0     0                     22        25
#[Out]# 1     1                     13        13
#[Out]# 2     2                      9        10
#[Out]# 3     3                     20        20
#[Out]# 4     4                     16        16
#[Out]# 5     5                     14        16
#[Out]# 6     6                     15        15
#[Out]# 7     7                     13        14
#[Out]# 8     8                     12        13
#[Out]# 9     9                     18        20
#[Out]# 10   10                     14        16
#[Out]# 11   11                     13        16
#[Out]# 12   12                     16        16
#[Out]# 13   13                     21        21
#[Out]# 14   14                     18        18
#[Out]# 15   15                     13        14
#[Out]# 16   16                     20        20
#[Out]# 17   17                     13        18
#[Out]# 18   18                     10        10
#[Out]# 19   19                     20        26
#[Out]# 20   20                     16        18
#[Out]# 21   21                     19        22
#[Out]# 22   22                     20        21
#[Out]# 23   23                     11        13
#[Out]# 24   24                     20        20
#[Out]# 25   25                     14        14
#[Out]# 26   26                     19        20
#[Out]# 27   27                     13        15
#[Out]# 28   28                     23        25
#[Out]# 29   29                      2         2
#[Out]# 30   30                      1         2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) num, COUNT(*)
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  num  COUNT(*)
#[Out]# 0     0   22        25
#[Out]# 1     1   13        13
#[Out]# 2     2    9        10
#[Out]# 3     3   20        20
#[Out]# 4     4   16        16
#[Out]# 5     5   14        16
#[Out]# 6     6   15        15
#[Out]# 7     7   13        14
#[Out]# 8     8   12        13
#[Out]# 9     9   18        20
#[Out]# 10   10   14        16
#[Out]# 11   11   13        16
#[Out]# 12   12   16        16
#[Out]# 13   13   21        21
#[Out]# 14   14   18        18
#[Out]# 15   15   13        14
#[Out]# 16   16   20        20
#[Out]# 17   17   13        18
#[Out]# 18   18   10        10
#[Out]# 19   19   20        26
#[Out]# 20   20   16        18
#[Out]# 21   21   19        22
#[Out]# 22   22   20        21
#[Out]# 23   23   11        13
#[Out]# 24   24   20        20
#[Out]# 25   25   14        14
#[Out]# 26   26   19        20
#[Out]# 27   27   13        15
#[Out]# 28   28   23        25
#[Out]# 29   29    2         2
#[Out]# 30   30    1         2
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amount
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  amount
#[Out]# 0     0      22
#[Out]# 1     1      13
#[Out]# 2     2       9
#[Out]# 3     3      20
#[Out]# 4     4      16
#[Out]# 5     5      14
#[Out]# 6     6      15
#[Out]# 7     7      13
#[Out]# 8     8      12
#[Out]# 9     9      18
#[Out]# 10   10      14
#[Out]# 11   11      13
#[Out]# 12   12      16
#[Out]# 13   13      21
#[Out]# 14   14      18
#[Out]# 15   15      13
#[Out]# 16   16      20
#[Out]# 17   17      13
#[Out]# 18   18      10
#[Out]# 19   19      20
#[Out]# 20   20      16
#[Out]# 21   21      19
#[Out]# 22   22      20
#[Out]# 23   23      11
#[Out]# 24   24      20
#[Out]# 25   25      14
#[Out]# 26   26      19
#[Out]# 27   27      13
#[Out]# 28   28      23
#[Out]# 29   29       2
#[Out]# 30   30       1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID/*
    HAVING COUNT(DISTINCT p.cID < 3)*/
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#     pID  amountOfCustomers
#[Out]# 0     0                 22
#[Out]# 1     1                 13
#[Out]# 2     2                  9
#[Out]# 3     3                 20
#[Out]# 4     4                 16
#[Out]# 5     5                 14
#[Out]# 6     6                 15
#[Out]# 7     7                 13
#[Out]# 8     8                 12
#[Out]# 9     9                 18
#[Out]# 10   10                 14
#[Out]# 11   11                 13
#[Out]# 12   12                 16
#[Out]# 13   13                 21
#[Out]# 14   14                 18
#[Out]# 15   15                 13
#[Out]# 16   16                 20
#[Out]# 17   17                 13
#[Out]# 18   18                 10
#[Out]# 19   19                 20
#[Out]# 20   20                 16
#[Out]# 21   21                 19
#[Out]# 22   22                 20
#[Out]# 23   23                 11
#[Out]# 24   24                 20
#[Out]# 25   25                 14
#[Out]# 26   26                 19
#[Out]# 27   27                 13
#[Out]# 28   28                 23
#[Out]# 29   29                  2
#[Out]# 30   30                  1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''

    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''


# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)
#[Out]#    pID  amountOfCustomers
#[Out]# 0   29                  2
#[Out]# 1   30                  1
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''
# AAAAAAAAAAAAAAAAA FINALLY

# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

query1 = '''
    /* List the product IDs*/
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT p.cID) < 3)
'''

pd.read_sql_query(query1, conn)
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''
# AAAAAAAAAAAAAAAAA FINALLY

# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

query1 = '''
    /* List the product IDs*/
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT cID) < 3)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
"""
How I want to do this is:
1. Select all product IDs that were bought by exactly 1 customer.
2. Select all product IDs that were bought by exactly 2 customers.
3. Return union of (1) and (2).

So:
1. Select all product IDs that were bought by exactly one customer
  Here, we need the purchase table. A purchase is identified by p.tID and p.pID.
  
  If we want that for some product bought, there can only be one customer, then we need two times the purchase table, since we need to compare customer IDs.
  
  This can be done using:
    SELECT * FROM purchase p INNER JOIN purchase p2 ON p.tID = p2.tID AND p.pID = p2.pID
  
  But, due to the way SQL works, we cannot just do "p.cID != p2.cID", so that leaves us nowhere.
  
  
SELECT DISTINCT column_list
FROM table_list
  JOIN table ON join_condition
WHERE row_filter
ORDER BY column
LIMIT count OFFSET offset
GROUP BY column
HAVING group_filter;
"""
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''
# AAAAAAAAAAAAAAAAA FINALLY

# Inspecting the data gives that this should return at least 29 and 30....
pd.read_sql_query(testingQuery, conn)

query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT cID) < 3)
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# Inspecting the data gives that this should return at least 29 and 30....
testingQuery = '''
    SELECT p.pID, COUNT(DISTINCT p.cID) amountOfCustomers
    FROM purchase p
    GROUP BY p.pID
    HAVING amountOfCustomers < 3
'''
# AAAAAAAAAAAAAAAAA FINALLY

pd.read_sql_query(testingQuery, conn)
query1 = '''
    SELECT pID
    FROM purchase
    GROUP BY pID
    HAVING (COUNT(DISTINCT cID) < 3)
'''
pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT c.ID, c.Name
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT *
    FROM customer c
    /*INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID*/
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName                street       city
#[Out]# 0      0      Noah             Koestraat    Utrecht
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam
#[Out]# 3      3      Finn         Stationsplein      Breda
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht
#[Out]# 6      6     Milan           Parallelweg    Utrecht
#[Out]# 7      7      Bram          Schoolstraat  Eindhoven
#[Out]# 8      8      Liam         Rijsbergseweg      Breda
#[Out]# 9      9    Thomas           Parallelweg  Amsterdam
#[Out]# 10    10       Sam           Langestraat    Tilburg
#[Out]# 11    11     Thijs             Koestraat    Tilburg
#[Out]# 12    12      Adam           Nieuwstraat  Eindhoven
#[Out]# 13    13     James       Sint Annastraat      Breda
#[Out]# 14    14       Max             Eikenlaan    Tilburg
#[Out]# 15    15      Noud          Koningshoeve    Tilburg
#[Out]# 16    16    Julian  Prins Bernhardstraat  Eindhoven
#[Out]# 17    17       Dex          Kasteeldreef    Tilburg
#[Out]# 18    18      Hugo          Kasteeldreef    Tilburg
#[Out]# 19    19      Lars         Rijsbergseweg      Breda
#[Out]# 20    20      Gijs            Heiligeweg  Amsterdam
#[Out]# 21    21  Benjamin           Stationsweg    Tilburg
#[Out]# 22    22      Mats           Molenstraat  Eindhoven
#[Out]# 23    23       Jan       Sint Annastraat      Breda
#[Out]# 24    24      Luca          Kasteeldreef    Tilburg
#[Out]# 25    25     Mason          Keizerstraat  Rotterdam
#[Out]# 26    26    Jayden          Schoolstraat  Eindhoven
#[Out]# 27    27       Tim             Koestraat    Utrecht
#[Out]# 28    28      Siem           Langestraat    Tilburg
#[Out]# 29    29     Ruben              Hofplein  Rotterdam
#[Out]# ..   ...       ...                   ...        ...
#[Out]# 160  160      Lara           Langestraat    Tilburg
#[Out]# 161  161     Floor             Eikenlaan    Tilburg
#[Out]# 162  162     Elena            Bergselaan  Rotterdam
#[Out]# 163  163      Cato          Kastanjelaan    Tilburg
#[Out]# 164  164       Evy      Rozemarijnstraat      Breda
#[Out]# 165  165     Hanna             Eikenlaan    Tilburg
#[Out]# 166  166   Rosalie           Stationsweg  Eindhoven
#[Out]# 167  167    Veerle        Ginnekenstraat      Breda
#[Out]# 168  168      Kiki          Keizerstraat  Rotterdam
#[Out]# 169  169      Lily        Gasthuisstraat    Utrecht
#[Out]# 170  170      Iris          Kastanjelaan  Eindhoven
#[Out]# 171  171     Tessa           Haringvliet  Rotterdam
#[Out]# 172  172      Lana             Eikenlaan    Tilburg
#[Out]# 173  173     Livia      Vierwindenstraat      Breda
#[Out]# 174  174      Romy           Parallelweg  Eindhoven
#[Out]# 175  175       Sam             Bredalaan  Eindhoven
#[Out]# 176  176     Amira           Parallelweg  Amsterdam
#[Out]# 177  177     Eline          Kalverstraat  Amsterdam
#[Out]# 178  178      Elif           Parallelweg    Utrecht
#[Out]# 179  179      Juul        Wilhelminapark    Tilburg
#[Out]# 180  180     Merel          Kalverstraat  Amsterdam
#[Out]# 181  181      Liva           Fredriklaan  Eindhoven
#[Out]# 182  182   Johanna         Beatrixstraat  Eindhoven
#[Out]# 183  183     Nikki         Julianastraat    Utrecht
#[Out]# 184  184     Wilko          Onbekendeweg  Eindhoven
#[Out]# 185  185      Nick                Verweg  Eindhoven
#[Out]# 186  186    Angela              Dichtweg  Eindhoven
#[Out]# 187  188      Pino            Maanstraat  Rotterdam
#[Out]# 188  189      Koen              Akkerweg        Oss
#[Out]# 189  190    Kostas              Eindeweg    Utrecht
#[Out]# 
#[Out]# [190 rows x 4 columns]
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT c.cID
    FROM customer c
    /*INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID*/
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT c.cID
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT c.cID, cName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 493  190  Kostas
#[Out]# 494  190  Kostas
#[Out]# 495  190  Kostas
#[Out]# 496  190  Kostas
#[Out]# 497  190  Kostas
#[Out]# 498  190  Kostas
#[Out]# 499  190  Kostas
#[Out]# 500  190  Kostas
#[Out]# 501  190  Kostas
#[Out]# 502  190  Kostas
#[Out]# 503  190  Kostas
#[Out]# 504  190  Kostas
#[Out]# 505  190  Kostas
#[Out]# 506  190  Kostas
#[Out]# 507  190  Kostas
#[Out]# 508  190  Kostas
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
Needs customer ID and name from customer

Needs a purchase for date

Needs a product for the name
"""

query2 = '''
    SELECT *
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

query2 = '''
    SELECT *
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

query2 = '''
    SELECT c.cID, c.cName, pt.pId pt.pName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName
#[Out]# 0     2    Lucas    4  Onions
#[Out]# 1    16   Julian   21  Coffee
#[Out]# 2    29    Ruben    4  Onions
#[Out]# 3    31  Olivier    4  Onions
#[Out]# 4    33     Sven    4  Onions
#[Out]# 5    42     Tijn   21  Coffee
#[Out]# 6    52   Willem    4  Onions
#[Out]# 7    59     Joep    4  Onions
#[Out]# 8    59     Joep   21  Coffee
#[Out]# 9    82    Dylan   21  Coffee
#[Out]# 10   85   Pieter    4  Onions
#[Out]# 11   86     Stef   21  Coffee
#[Out]# 12   92    Jelte   21  Coffee
#[Out]# 13   97   Sophie   21  Coffee
#[Out]# 14  108     Noor   21  Coffee
#[Out]# 15  110     Saar   21  Coffee
#[Out]# 16  111   Lauren   21  Coffee
#[Out]# 17  122     Elin   21  Coffee
#[Out]# 18  124    Sofie    4  Onions
#[Out]# 19  124    Sofie   21  Coffee
#[Out]# 20  129    Esmee    4  Onions
#[Out]# 21  152     Anne   21  Coffee
#[Out]# 22  162    Elena    4  Onions
#[Out]# 23  165    Hanna    4  Onions
#[Out]# 24  169     Lily   21  Coffee
#[Out]# 25  169     Lily    4  Onions
#[Out]# 26  171    Tessa   21  Coffee
#[Out]# 27  172     Lana    4  Onions
#[Out]# 28  175      Sam   21  Coffee
#[Out]# 29  176    Amira    4  Onions
#[Out]# 30  176    Amira   21  Coffee
#[Out]# 31  177    Eline    4  Onions
#[Out]# 32  181     Liva   21  Coffee
#[Out]# 33  190   Kostas   21  Coffee
#[Out]# 34  190   Kostas   21  Coffee
#[Out]# 35  190   Kostas    4  Onions
#[Out]# 36  190   Kostas   21  Coffee
#[Out]# 37  190   Kostas   21  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY p.ID
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName  pID   pName
#[Out]# 0  190  Kostas    4  Onions
#[Out]# 1  190  Kostas   21  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName
#[Out]# 0     2    Lucas    4  Onions
#[Out]# 1    29    Ruben    4  Onions
#[Out]# 2    31  Olivier    4  Onions
#[Out]# 3    33     Sven    4  Onions
#[Out]# 4    52   Willem    4  Onions
#[Out]# 5    59     Joep    4  Onions
#[Out]# 6    85   Pieter    4  Onions
#[Out]# 7   124    Sofie    4  Onions
#[Out]# 8   129    Esmee    4  Onions
#[Out]# 9   162    Elena    4  Onions
#[Out]# 10  165    Hanna    4  Onions
#[Out]# 11  169     Lily    4  Onions
#[Out]# 12  172     Lana    4  Onions
#[Out]# 13  176    Amira    4  Onions
#[Out]# 14  177    Eline    4  Onions
#[Out]# 15  190   Kostas    4  Onions
#[Out]# 16   16   Julian   21  Coffee
#[Out]# 17   42     Tijn   21  Coffee
#[Out]# 18   59     Joep   21  Coffee
#[Out]# 19   82    Dylan   21  Coffee
#[Out]# 20   86     Stef   21  Coffee
#[Out]# 21   92    Jelte   21  Coffee
#[Out]# 22   97   Sophie   21  Coffee
#[Out]# 23  108     Noor   21  Coffee
#[Out]# 24  110     Saar   21  Coffee
#[Out]# 25  111   Lauren   21  Coffee
#[Out]# 26  122     Elin   21  Coffee
#[Out]# 27  124    Sofie   21  Coffee
#[Out]# 28  152     Anne   21  Coffee
#[Out]# 29  169     Lily   21  Coffee
#[Out]# 30  171    Tessa   21  Coffee
#[Out]# 31  175      Sam   21  Coffee
#[Out]# 32  176    Amira   21  Coffee
#[Out]# 33  181     Liva   21  Coffee
#[Out]# 34  190   Kostas   21  Coffee
#[Out]# 35  190   Kostas   21  Coffee
#[Out]# 36  190   Kostas   21  Coffee
#[Out]# 37  190   Kostas   21  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT * 
    /*c.cID, c.cName, pt.pId, pt.pName*/
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY p.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName    street     city  tID  cID  sID  pID        date  quantity  \
#[Out]# 0  190  Kostas  Eindeweg  Utrecht  800  190   16    4  2018-08-26         1   
#[Out]# 1  190  Kostas  Eindeweg  Utrecht  834  190   50   21  2018-08-22         6   
#[Out]# 
#[Out]#    price  pID   pName suffix  
#[Out]# 0   2.40    4  Onions         
#[Out]# 1   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT * 
    /*c.cID, c.cName, pt.pId, pt.pName*/
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 8    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 9    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 10   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 11   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 12   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 13  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 14  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 15  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 16  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 17  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 18  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 19  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 20  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 21  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 22  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 23  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 24  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 25  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 26  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 27  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 28  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 29  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-15         6   2.20   21  Coffee         
#[Out]# 8   2018-08-19         2   2.05   21  Coffee         
#[Out]# 9   2018-08-18         1   0.85    4  Onions         
#[Out]# 10  2018-08-18         2   2.30   21  Coffee         
#[Out]# 11  2018-08-25         6   2.05   21  Coffee         
#[Out]# 12  2018-08-25         8   2.20   21  Coffee         
#[Out]# 13  2018-08-15         6   1.70   21  Coffee         
#[Out]# 14  2018-08-18         2   1.95   21  Coffee         
#[Out]# 15  2018-08-22         8   2.30   21  Coffee         
#[Out]# 16  2018-08-25         6   1.70   21  Coffee         
#[Out]# 17  2018-08-26         6   2.15   21  Coffee         
#[Out]# 18  2018-08-24         7   1.10    4  Onions         
#[Out]# 19  2018-08-20         1   1.85   21  Coffee         
#[Out]# 20  2018-08-21         5   1.05    4  Onions         
#[Out]# 21  2018-08-23         8   0.95    4  Onions         
#[Out]# 22  2018-08-20         3   1.10    4  Onions         
#[Out]# 23  2018-08-20         2   2.35   21  Coffee         
#[Out]# 24  2018-08-27         4   0.90    4  Onions         
#[Out]# 25  2018-08-20         2   2.25   21  Coffee         
#[Out]# 26  2018-08-26         8   2.15   21  Coffee         
#[Out]# 27  2018-08-22         6   1.10    4  Onions         
#[Out]# 28  2018-08-27         5   2.00   21  Coffee         
#[Out]# 29  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT * 
    /*c.cID, c.cName, pt.pId, pt.pName*/
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c
    INNER JOIN purchase p ON p.cID == c.cID
    INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20
#[Out]# 6   162   Elena    4  Onions  2018-08-21
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22
#[Out]# 8   165   Hanna    4  Onions  2018-08-23
#[Out]# 9   129   Esmee    4  Onions  2018-08-24
#[Out]# 10  122    Elin   21  Coffee  2018-08-25
#[Out]# 11  190  Kostas    4  Onions  2018-08-26
#[Out]# 12  181    Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY date, pName
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    85  Pieter    4  Onions  2018-08-18
#[Out]# 5    82   Dylan   21  Coffee  2018-08-19
#[Out]# 6   190  Kostas   21  Coffee  2018-08-20
#[Out]# 7   169    Lily    4  Onions  2018-08-20
#[Out]# 8   162   Elena    4  Onions  2018-08-21
#[Out]# 9   190  Kostas   21  Coffee  2018-08-22
#[Out]# 10  177   Eline    4  Onions  2018-08-22
#[Out]# 11  165   Hanna    4  Onions  2018-08-23
#[Out]# 12   16  Julian   21  Coffee  2018-08-24
#[Out]# 13  129   Esmee    4  Onions  2018-08-24
#[Out]# 14  122    Elin   21  Coffee  2018-08-25
#[Out]# 15   59    Joep    4  Onions  2018-08-25
#[Out]# 16  190  Kostas   21  Coffee  2018-08-26
#[Out]# 17  190  Kostas    4  Onions  2018-08-26
#[Out]# 18  181    Liva   21  Coffee  2018-08-27
#[Out]# 19  172    Lana    4  Onions  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY date, cID
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  165    Hanna    4  Onions  2018-08-23
#[Out]# 21   16   Julian   21  Coffee  2018-08-24
#[Out]# 22   29    Ruben    4  Onions  2018-08-24
#[Out]# 23  129    Esmee    4  Onions  2018-08-24
#[Out]# 24   52   Willem    4  Onions  2018-08-25
#[Out]# 25   59     Joep    4  Onions  2018-08-25
#[Out]# 26   92    Jelte   21  Coffee  2018-08-25
#[Out]# 27   97   Sophie   21  Coffee  2018-08-25
#[Out]# 28  122     Elin   21  Coffee  2018-08-25
#[Out]# 29  124    Sofie   21  Coffee  2018-08-26
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  190   Kostas    4  Onions  2018-08-26
#[Out]# 32   31  Olivier    4  Onions  2018-08-27
#[Out]# 33  172     Lana    4  Onions  2018-08-27
#[Out]# 34  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY p.date, c.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  165    Hanna    4  Onions  2018-08-23
#[Out]# 21   16   Julian   21  Coffee  2018-08-24
#[Out]# 22   29    Ruben    4  Onions  2018-08-24
#[Out]# 23  129    Esmee    4  Onions  2018-08-24
#[Out]# 24   52   Willem    4  Onions  2018-08-25
#[Out]# 25   59     Joep    4  Onions  2018-08-25
#[Out]# 26   92    Jelte   21  Coffee  2018-08-25
#[Out]# 27   97   Sophie   21  Coffee  2018-08-25
#[Out]# 28  122     Elin   21  Coffee  2018-08-25
#[Out]# 29  124    Sofie   21  Coffee  2018-08-26
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  190   Kostas    4  Onions  2018-08-26
#[Out]# 32   31  Olivier    4  Onions  2018-08-27
#[Out]# 33  172     Lana    4  Onions  2018-08-27
#[Out]# 34  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date, COUNT(*)
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName  pID   pName        date  COUNT(*)
#[Out]# 0  190  Kostas   21  Coffee  2018-08-22        38
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20
#[Out]# 6   162   Elena    4  Onions  2018-08-21
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22
#[Out]# 8   165   Hanna    4  Onions  2018-08-23
#[Out]# 9   129   Esmee    4  Onions  2018-08-24
#[Out]# 10  122    Elin   21  Coffee  2018-08-25
#[Out]# 11  190  Kostas    4  Onions  2018-08-26
#[Out]# 12  181    Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames
query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT *
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
#[Out]#        cID   cName     street     city  tID  cID  sID  pID        date  \
#[Out]# 0        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 2        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 3        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 4        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 5        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 6        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 7        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 8        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 9        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 10       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 11       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 12       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 13       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 14       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 15       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 16       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 17       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 18       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 19       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 20       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 21       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 22       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 23       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 24       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 25       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 26       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 27       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 28       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 29       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# ...    ...     ...        ...      ...  ...  ...  ...  ...         ...   
#[Out]# 20119  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 20120  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 20121  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 20122  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 20123  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20124  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20125  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20126  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20127  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20128  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20129  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20130  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20131  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20132  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20133  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20134  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20135  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20136  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20137  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20138  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20139  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20140  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20141  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20142  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20143  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20144  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20145  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20146  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20147  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 20148  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#       quantity  ...    pID    pName suffix  tID  cID  sID  pID        date  \
#[Out]# 0            1  ...     10    Water           0    0    3   10  2018-08-22   
#[Out]# 1            1  ...     10    Water          23    5   36   28  2018-08-22   
#[Out]# 2            1  ...     10    Water         178   60   36   24  2018-08-22   
#[Out]# 3            1  ...     10    Water         179   60   27   22  2018-08-22   
#[Out]# 4            1  ...     10    Water         203   72   10   16  2018-08-22   
#[Out]# 5            1  ...     10    Water         204   72   54   10  2018-08-22   
#[Out]# 6            1  ...     10    Water         222   82   28   14  2018-08-22   
#[Out]# 7            1  ...     10    Water         255   95   30   24  2018-08-22   
#[Out]# 8            1  ...     10    Water         262   96   28   13  2018-08-22   
#[Out]# 9            1  ...     10    Water         271  100   40   28  2018-08-22   
#[Out]# 10           1  ...     10    Water         272  100    9   10  2018-08-22   
#[Out]# 11           1  ...     10    Water         278  104    2   22  2018-08-22   
#[Out]# 12           1  ...     10    Water         284  108   36   22  2018-08-22   
#[Out]# 13           1  ...     10    Water         288  109    4    1  2018-08-22   
#[Out]# 14           1  ...     10    Water         288  109    4   13  2018-08-22   
#[Out]# 15           1  ...     10    Water         293  111   17   21  2018-08-22   
#[Out]# 16           1  ...     10    Water         308  118   43   15  2018-08-22   
#[Out]# 17           1  ...     10    Water         315  122   53   20  2018-08-22   
#[Out]# 18           1  ...     10    Water         316  122   56    7  2018-08-22   
#[Out]# 19           1  ...     10    Water         334  126   56   15  2018-08-22   
#[Out]# 20           1  ...     10    Water         355  144   31    0  2018-08-22   
#[Out]# 21           1  ...     10    Water         357  145   58    9  2018-08-22   
#[Out]# 22           1  ...     10    Water         396  162   51   18  2018-08-22   
#[Out]# 23           1  ...     10    Water         397  162   18   28  2018-08-22   
#[Out]# 24           1  ...     10    Water         405  163   30    5  2018-08-22   
#[Out]# 25           1  ...     10    Water         406  163    6   10  2018-08-22   
#[Out]# 26           1  ...     10    Water         447  176   52    4  2018-08-22   
#[Out]# 27           1  ...     10    Water         456  177   34   26  2018-08-22   
#[Out]# 28           1  ...     10    Water         457  177   51    4  2018-08-22   
#[Out]# 29           1  ...     10    Water         463  179   43   27  2018-08-22   
#[Out]# ...        ...  ...    ...      ...    ...  ...  ...  ...  ...         ...   
#[Out]# 20119        2  ...      9  Bananas         792  190    8   20  2018-08-16   
#[Out]# 20120        2  ...      9  Bananas         805  190   21   17  2018-08-16   
#[Out]# 20121        2  ...      9  Bananas         808  190   24   26  2018-08-16   
#[Out]# 20122        2  ...      9  Bananas         846  190   62    9  2018-08-16   
#[Out]# 20123        1  ...     18   Cheese           6    1   46   11  2018-08-21   
#[Out]# 20124        1  ...     18   Cheese           7    1   36   27  2018-08-21   
#[Out]# 20125        1  ...     18   Cheese          72   21   47   27  2018-08-21   
#[Out]# 20126        1  ...     18   Cheese          83   24   59   13  2018-08-21   
#[Out]# 20127        1  ...     18   Cheese         168   58   42    9  2018-08-21   
#[Out]# 20128        1  ...     18   Cheese         191   68   49   11  2018-08-21   
#[Out]# 20129        1  ...     18   Cheese         202   72   25    5  2018-08-21   
#[Out]# 20130        1  ...     18   Cheese         220   82    5   10  2018-08-21   
#[Out]# 20131        1  ...     18   Cheese         221   82   34   17  2018-08-21   
#[Out]# 20132        1  ...     18   Cheese         228   84   18   19  2018-08-21   
#[Out]# 20133        1  ...     18   Cheese         228   84   18   25  2018-08-21   
#[Out]# 20134        1  ...     18   Cheese         261   96   11   24  2018-08-21   
#[Out]# 20135        1  ...     18   Cheese         269  100   30   25  2018-08-21   
#[Out]# 20136        1  ...     18   Cheese         270  100    5    3  2018-08-21   
#[Out]# 20137        1  ...     18   Cheese         287  109   56   26  2018-08-21   
#[Out]# 20138        1  ...     18   Cheese         300  113   38   12  2018-08-21   
#[Out]# 20139        1  ...     18   Cheese         301  113   53   13  2018-08-21   
#[Out]# 20140        1  ...     18   Cheese         371  152   43   19  2018-08-21   
#[Out]# 20141        1  ...     18   Cheese         395  162   19    4  2018-08-21   
#[Out]# 20142        1  ...     18   Cheese         422  167   41    1  2018-08-21   
#[Out]# 20143        1  ...     18   Cheese         423  167    8    0  2018-08-21   
#[Out]# 20144        1  ...     18   Cheese         454  177   38   17  2018-08-21   
#[Out]# 20145        1  ...     18   Cheese         455  177   11    3  2018-08-21   
#[Out]# 20146        1  ...     18   Cheese         779  186   62   29  2018-08-21   
#[Out]# 20147        1  ...     18   Cheese         802  190   18   27  2018-08-21   
#[Out]# 20148        1  ...     18   Cheese         847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#       quantity  price  
#[Out]# 0            1   0.45  
#[Out]# 1            6   8.25  
#[Out]# 2            3   4.10  
#[Out]# 3            6   1.60  
#[Out]# 4            7   1.50  
#[Out]# 5            5   0.50  
#[Out]# 6            3   3.95  
#[Out]# 7            6   3.75  
#[Out]# 8            9   3.25  
#[Out]# 9            2   8.25  
#[Out]# 10           5   0.50  
#[Out]# 11           2   2.00  
#[Out]# 12           1   2.00  
#[Out]# 13           5   5.70  
#[Out]# 14           8   4.20  
#[Out]# 15           8   2.30  
#[Out]# 16           1   1.00  
#[Out]# 17           5   2.25  
#[Out]# 18           4   2.35  
#[Out]# 19           1   1.00  
#[Out]# 20           6   5.10  
#[Out]# 21           9   1.70  
#[Out]# 22           6   9.65  
#[Out]# 23           1   8.70  
#[Out]# 24           6   0.40  
#[Out]# 25           6   0.55  
#[Out]# 26           7   0.90  
#[Out]# 27           4   3.40  
#[Out]# 28           6   1.10  
#[Out]# 29           8   9.00  
#[Out]# ...        ...    ...  
#[Out]# 20119        7   3.25  
#[Out]# 20120        6   3.15  
#[Out]# 20121        5   3.25  
#[Out]# 20122        2   3.15  
#[Out]# 20123        8   0.90  
#[Out]# 20124        6   9.10  
#[Out]# 20125        9   7.05  
#[Out]# 20126        5   4.00  
#[Out]# 20127        9   1.30  
#[Out]# 20128        6   1.15  
#[Out]# 20129        9   0.40  
#[Out]# 20130        1   0.50  
#[Out]# 20131        2   1.75  
#[Out]# 20132        6   2.40  
#[Out]# 20133        2   4.30  
#[Out]# 20134        3   3.20  
#[Out]# 20135        3   3.45  
#[Out]# 20136        4   1.40  
#[Out]# 20137        2   3.25  
#[Out]# 20138        2  12.20  
#[Out]# 20139        4   3.35  
#[Out]# 20140        4   2.20  
#[Out]# 20141        5   1.05  
#[Out]# 20142        7   5.00  
#[Out]# 20143        9   4.00  
#[Out]# 20144        9   2.30  
#[Out]# 20145        6   1.30  
#[Out]# 20146        5   1.00  
#[Out]# 20147        4   0.55  
#[Out]# 20148        1   3.30  
#[Out]# 
#[Out]# [20149 rows x 21 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
#[Out]#        cID   cName  pID    pName        date        date
#[Out]# 0        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 1        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 2        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 3        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 4        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 5        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 6        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 7        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 8        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 9        0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 10       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 11       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 12       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 13       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 14       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 15       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 16       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 17       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 18       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 19       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 20       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 21       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 22       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 23       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 24       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 25       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 26       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 27       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 28       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# 29       0    Noah   10    Water  2018-08-22  2018-08-22
#[Out]# ...    ...     ...  ...      ...         ...         ...
#[Out]# 20119  190  Kostas    9  Bananas  2018-08-16  2018-08-16
#[Out]# 20120  190  Kostas    9  Bananas  2018-08-16  2018-08-16
#[Out]# 20121  190  Kostas    9  Bananas  2018-08-16  2018-08-16
#[Out]# 20122  190  Kostas    9  Bananas  2018-08-16  2018-08-16
#[Out]# 20123  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20124  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20125  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20126  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20127  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20128  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20129  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20130  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20131  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20132  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20133  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20134  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20135  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20136  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20137  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20138  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20139  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20140  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20141  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20142  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20143  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20144  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20145  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20146  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20147  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 20148  190  Kostas   18   Cheese  2018-08-21  2018-08-21
#[Out]# 
#[Out]# [20149 rows x 6 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    WHERE prod.pName IN ('Onions', 'Coffee')
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
#[Out]#       cID   cName  pID   pName        date        date
#[Out]# 0       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 1       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 2       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 3       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 4       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 5       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 6       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 7       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 8       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 9       2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 10      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 11      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 12      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 13      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 14      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 15      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 16      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 17      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 18      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 19      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 20      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 21      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 22      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 23      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 24      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 25      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 26      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 27      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 28      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# 29      2   Lucas    4  Onions  2018-08-17  2018-08-17
#[Out]# ...   ...     ...  ...     ...         ...         ...
#[Out]# 1524  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1525  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1526  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1527  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1528  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1529  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1530  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1531  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1532  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1533  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1534  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1535  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1536  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1537  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1538  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1539  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1540  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1541  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1542  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1543  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1544  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1545  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1546  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1547  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1548  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1549  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1550  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1551  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1552  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 1553  190  Kostas   21  Coffee  2018-08-22  2018-08-22
#[Out]# 
#[Out]# [1554 rows x 6 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    WHERE prod.pName IN ('Onions', 'Coffee')
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID INNER JOIN purchase checkDate ON p.date == checkDate.date
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
#[Out]#       cID cName  pID   pName        date        date
#[Out]# 0      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 1      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 2      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 3      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 4      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 5      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 6      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 7      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 8      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 9      59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 10     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 11     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 12     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 13     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 14     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 15     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 16     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 17     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 18     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 19     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 20     59  Joep   21  Coffee  2018-08-15  2018-08-15
#[Out]# 21    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 22    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 23    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 24    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 25    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 26    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 27    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 28    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# 29    108  Noor   21  Coffee  2018-08-15  2018-08-15
#[Out]# ...   ...   ...  ...     ...         ...         ...
#[Out]# 1524  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1525  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1526  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1527  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1528  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1529  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1530  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1531  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1532  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1533  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1534  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1535  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1536  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1537  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1538  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1539  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1540  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1541  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1542  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1543  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1544  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1545  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1546  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1547  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1548  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1549  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1550  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1551  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1552  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 1553  181  Liva   21  Coffee  2018-08-27  2018-08-27
#[Out]# 
#[Out]# [1554 rows x 6 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date, checkDate.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

t = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(t, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT c.cID, c.cName, prod.pId, prod.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20
#[Out]# 6   162   Elena    4  Onions  2018-08-21
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22
#[Out]# 8   165   Hanna    4  Onions  2018-08-23
#[Out]# 9   129   Esmee    4  Onions  2018-08-24
#[Out]# 10  122    Elin   21  Coffee  2018-08-25
#[Out]# 11  190  Kostas    4  Onions  2018-08-26
#[Out]# 12  181    Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date,
      COUNT(date)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(date)
#[Out]# 0   108    Noor   21  Coffee  2018-08-15            2
#[Out]# 1   169    Lily   21  Coffee  2018-08-16            1
#[Out]# 2     2   Lucas    4  Onions  2018-08-17            1
#[Out]# 3   110    Saar   21  Coffee  2018-08-18            5
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19            1
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20            5
#[Out]# 6   162   Elena    4  Onions  2018-08-21            1
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22            5
#[Out]# 8   165   Hanna    4  Onions  2018-08-23            1
#[Out]# 9   129   Esmee    4  Onions  2018-08-24            3
#[Out]# 10  122    Elin   21  Coffee  2018-08-25            5
#[Out]# 11  190  Kostas    4  Onions  2018-08-26            5
#[Out]# 12  181    Liva   21  Coffee  2018-08-27            3
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date,
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
    HAVING COUNT(date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date,
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
    HAVING COUNT(p.date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
    HAVING COUNT(p.date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20
#[Out]# 6   162   Elena    4  Onions  2018-08-21
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22
#[Out]# 8   165   Hanna    4  Onions  2018-08-23
#[Out]# 9   129   Esmee    4  Onions  2018-08-24
#[Out]# 10  122    Elin   21  Coffee  2018-08-25
#[Out]# 11  190  Kostas    4  Onions  2018-08-26
#[Out]# 12  181    Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    HAVING COUNT(p.date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date
    HAVING COUNT(p.date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date
#[Out]# 0   108    Noor   21  Coffee  2018-08-15
#[Out]# 1   169    Lily   21  Coffee  2018-08-16
#[Out]# 2     2   Lucas    4  Onions  2018-08-17
#[Out]# 3   110    Saar   21  Coffee  2018-08-18
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20
#[Out]# 6   162   Elena    4  Onions  2018-08-21
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22
#[Out]# 8   165   Hanna    4  Onions  2018-08-23
#[Out]# 9   129   Esmee    4  Onions  2018-08-24
#[Out]# 10  122    Elin   21  Coffee  2018-08-25
#[Out]# 11  190  Kostas    4  Onions  2018-08-26
#[Out]# 12  181    Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, p.date
    HAVING COUNT(p.date > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep   21  Coffee  2018-08-15
#[Out]# 8    59     Joep    4  Onions  2018-08-25
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26
#[Out]# 19  129    Esmee    4  Onions  2018-08-24
#[Out]# 20  152     Anne   21  Coffee  2018-08-20
#[Out]# 21  162    Elena    4  Onions  2018-08-21
#[Out]# 22  165    Hanna    4  Onions  2018-08-23
#[Out]# 23  169     Lily   21  Coffee  2018-08-16
#[Out]# 24  169     Lily    4  Onions  2018-08-20
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20
#[Out]# 26  172     Lana    4  Onions  2018-08-27
#[Out]# 27  175      Sam   21  Coffee  2018-08-20
#[Out]# 28  176    Amira    4  Onions  2018-08-22
#[Out]# 29  176    Amira   21  Coffee  2018-08-26
#[Out]# 30  177    Eline    4  Onions  2018-08-22
#[Out]# 31  181     Liva   21  Coffee  2018-08-27
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep   21  Coffee  2018-08-15
#[Out]# 8    59     Joep    4  Onions  2018-08-25
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26
#[Out]# 19  129    Esmee    4  Onions  2018-08-24
#[Out]# 20  152     Anne   21  Coffee  2018-08-20
#[Out]# 21  162    Elena    4  Onions  2018-08-21
#[Out]# 22  165    Hanna    4  Onions  2018-08-23
#[Out]# 23  169     Lily   21  Coffee  2018-08-16
#[Out]# 24  169     Lily    4  Onions  2018-08-20
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20
#[Out]# 26  172     Lana    4  Onions  2018-08-27
#[Out]# 27  175      Sam   21  Coffee  2018-08-20
#[Out]# 28  176    Amira    4  Onions  2018-08-22
#[Out]# 29  176    Amira   21  Coffee  2018-08-26
#[Out]# 30  177    Eline    4  Onions  2018-08-22
#[Out]# 31  181     Liva   21  Coffee  2018-08-27
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, p.date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep   21  Coffee  2018-08-15
#[Out]# 8    59     Joep    4  Onions  2018-08-25
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26
#[Out]# 19  129    Esmee    4  Onions  2018-08-24
#[Out]# 20  152     Anne   21  Coffee  2018-08-20
#[Out]# 21  162    Elena    4  Onions  2018-08-21
#[Out]# 22  165    Hanna    4  Onions  2018-08-23
#[Out]# 23  169     Lily   21  Coffee  2018-08-16
#[Out]# 24  169     Lily    4  Onions  2018-08-20
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20
#[Out]# 26  172     Lana    4  Onions  2018-08-27
#[Out]# 27  175      Sam   21  Coffee  2018-08-20
#[Out]# 28  176    Amira    4  Onions  2018-08-22
#[Out]# 29  176    Amira   21  Coffee  2018-08-26
#[Out]# 30  177    Eline    4  Onions  2018-08-22
#[Out]# 31  181     Liva   21  Coffee  2018-08-27
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY cID
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep   21  Coffee  2018-08-15
#[Out]# 8    82    Dylan   21  Coffee  2018-08-19
#[Out]# 9    85   Pieter    4  Onions  2018-08-18
#[Out]# 10   86     Stef   21  Coffee  2018-08-18
#[Out]# 11   92    Jelte   21  Coffee  2018-08-25
#[Out]# 12   97   Sophie   21  Coffee  2018-08-25
#[Out]# 13  108     Noor   21  Coffee  2018-08-15
#[Out]# 14  110     Saar   21  Coffee  2018-08-18
#[Out]# 15  111   Lauren   21  Coffee  2018-08-22
#[Out]# 16  122     Elin   21  Coffee  2018-08-25
#[Out]# 17  124    Sofie   21  Coffee  2018-08-26
#[Out]# 18  129    Esmee    4  Onions  2018-08-24
#[Out]# 19  152     Anne   21  Coffee  2018-08-20
#[Out]# 20  162    Elena    4  Onions  2018-08-21
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22  169     Lily    4  Onions  2018-08-20
#[Out]# 23  171    Tessa   21  Coffee  2018-08-20
#[Out]# 24  172     Lana    4  Onions  2018-08-27
#[Out]# 25  175      Sam   21  Coffee  2018-08-20
#[Out]# 26  176    Amira   21  Coffee  2018-08-26
#[Out]# 27  177    Eline    4  Onions  2018-08-22
#[Out]# 28  181     Liva   21  Coffee  2018-08-27
#[Out]# 29  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID
    ORDER BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2     2    Lucas    4  Onions  2018-08-17
#[Out]# 3    33     Sven    4  Onions  2018-08-18
#[Out]# 4    42     Tijn   21  Coffee  2018-08-18
#[Out]# 5    85   Pieter    4  Onions  2018-08-18
#[Out]# 6    86     Stef   21  Coffee  2018-08-18
#[Out]# 7   110     Saar   21  Coffee  2018-08-18
#[Out]# 8    82    Dylan   21  Coffee  2018-08-19
#[Out]# 9   152     Anne   21  Coffee  2018-08-20
#[Out]# 10  169     Lily    4  Onions  2018-08-20
#[Out]# 11  171    Tessa   21  Coffee  2018-08-20
#[Out]# 12  175      Sam   21  Coffee  2018-08-20
#[Out]# 13  162    Elena    4  Onions  2018-08-21
#[Out]# 14  111   Lauren   21  Coffee  2018-08-22
#[Out]# 15  177    Eline    4  Onions  2018-08-22
#[Out]# 16  190   Kostas   21  Coffee  2018-08-22
#[Out]# 17  165    Hanna    4  Onions  2018-08-23
#[Out]# 18   16   Julian   21  Coffee  2018-08-24
#[Out]# 19   29    Ruben    4  Onions  2018-08-24
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21   52   Willem    4  Onions  2018-08-25
#[Out]# 22   92    Jelte   21  Coffee  2018-08-25
#[Out]# 23   97   Sophie   21  Coffee  2018-08-25
#[Out]# 24  122     Elin   21  Coffee  2018-08-25
#[Out]# 25  124    Sofie   21  Coffee  2018-08-26
#[Out]# 26  176    Amira   21  Coffee  2018-08-26
#[Out]# 27   31  Olivier    4  Onions  2018-08-27
#[Out]# 28  172     Lana    4  Onions  2018-08-27
#[Out]# 29  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY (c.cID, p.pName)
    ORDER BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY (c.cID, prod.pName)
    ORDER BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, prod.pName
    ORDER BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  162    Elena    4  Onions  2018-08-21
#[Out]# 15  111   Lauren   21  Coffee  2018-08-22
#[Out]# 16  176    Amira    4  Onions  2018-08-22
#[Out]# 17  177    Eline    4  Onions  2018-08-22
#[Out]# 18  190   Kostas   21  Coffee  2018-08-22
#[Out]# 19  165    Hanna    4  Onions  2018-08-23
#[Out]# 20   16   Julian   21  Coffee  2018-08-24
#[Out]# 21   29    Ruben    4  Onions  2018-08-24
#[Out]# 22  129    Esmee    4  Onions  2018-08-24
#[Out]# 23   52   Willem    4  Onions  2018-08-25
#[Out]# 24   59     Joep    4  Onions  2018-08-25
#[Out]# 25   92    Jelte   21  Coffee  2018-08-25
#[Out]# 26   97   Sophie   21  Coffee  2018-08-25
#[Out]# 27  122     Elin   21  Coffee  2018-08-25
#[Out]# 28  124    Sofie   21  Coffee  2018-08-26
#[Out]# 29  124    Sofie    4  Onions  2018-08-26
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  190   Kostas    4  Onions  2018-08-26
#[Out]# 32   31  Olivier    4  Onions  2018-08-27
#[Out]# 33  172     Lana    4  Onions  2018-08-27
#[Out]# 34  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep    4  Onions  2018-08-25
#[Out]# 8    59     Joep   21  Coffee  2018-08-15
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie    4  Onions  2018-08-26
#[Out]# 19  124    Sofie   21  Coffee  2018-08-26
#[Out]# 20  129    Esmee    4  Onions  2018-08-24
#[Out]# 21  152     Anne   21  Coffee  2018-08-20
#[Out]# 22  162    Elena    4  Onions  2018-08-21
#[Out]# 23  165    Hanna    4  Onions  2018-08-23
#[Out]# 24  169     Lily   21  Coffee  2018-08-16
#[Out]# 25  169     Lily    4  Onions  2018-08-20
#[Out]# 26  171    Tessa   21  Coffee  2018-08-20
#[Out]# 27  172     Lana    4  Onions  2018-08-27
#[Out]# 28  175      Sam   21  Coffee  2018-08-20
#[Out]# 29  176    Amira    4  Onions  2018-08-22
#[Out]# 30  176    Amira   21  Coffee  2018-08-26
#[Out]# 31  177    Eline    4  Onions  2018-08-22
#[Out]# 32  181     Liva   21  Coffee  2018-08-27
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas   21  Coffee  2018-08-20
#[Out]# 35  190   Kostas    4  Onions  2018-08-26
#[Out]# 36  190   Kostas   21  Coffee  2018-08-22
#[Out]# 37  190   Kostas   21  Coffee  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0    59     Joep   21  Coffee  2018-08-15
#[Out]# 1   108     Noor   21  Coffee  2018-08-15
#[Out]# 2   169     Lily   21  Coffee  2018-08-16
#[Out]# 3     2    Lucas    4  Onions  2018-08-17
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    85   Pieter    4  Onions  2018-08-18
#[Out]# 7    86     Stef   21  Coffee  2018-08-18
#[Out]# 8   110     Saar   21  Coffee  2018-08-18
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10  152     Anne   21  Coffee  2018-08-20
#[Out]# 11  169     Lily    4  Onions  2018-08-20
#[Out]# 12  171    Tessa   21  Coffee  2018-08-20
#[Out]# 13  175      Sam   21  Coffee  2018-08-20
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  162    Elena    4  Onions  2018-08-21
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  176    Amira    4  Onions  2018-08-22
#[Out]# 18  177    Eline    4  Onions  2018-08-22
#[Out]# 19  190   Kostas   21  Coffee  2018-08-22
#[Out]# 20  190   Kostas   21  Coffee  2018-08-22
#[Out]# 21  165    Hanna    4  Onions  2018-08-23
#[Out]# 22   16   Julian   21  Coffee  2018-08-24
#[Out]# 23   29    Ruben    4  Onions  2018-08-24
#[Out]# 24  129    Esmee    4  Onions  2018-08-24
#[Out]# 25   52   Willem    4  Onions  2018-08-25
#[Out]# 26   59     Joep    4  Onions  2018-08-25
#[Out]# 27   92    Jelte   21  Coffee  2018-08-25
#[Out]# 28   97   Sophie   21  Coffee  2018-08-25
#[Out]# 29  122     Elin   21  Coffee  2018-08-25
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32  176    Amira   21  Coffee  2018-08-26
#[Out]# 33  190   Kostas   21  Coffee  2018-08-26
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
#[Out]# 35   31  Olivier    4  Onions  2018-08-27
#[Out]# 36  172     Lana    4  Onions  2018-08-27
#[Out]# 37  181     Liva   21  Coffee  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cName
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0   176    Amira    4  Onions  2018-08-22
#[Out]# 1   176    Amira   21  Coffee  2018-08-26
#[Out]# 2   152     Anne   21  Coffee  2018-08-20
#[Out]# 3    82    Dylan   21  Coffee  2018-08-19
#[Out]# 4   162    Elena    4  Onions  2018-08-21
#[Out]# 5   122     Elin   21  Coffee  2018-08-25
#[Out]# 6   177    Eline    4  Onions  2018-08-22
#[Out]# 7   129    Esmee    4  Onions  2018-08-24
#[Out]# 8   165    Hanna    4  Onions  2018-08-23
#[Out]# 9    92    Jelte   21  Coffee  2018-08-25
#[Out]# 10   59     Joep    4  Onions  2018-08-25
#[Out]# 11   59     Joep   21  Coffee  2018-08-15
#[Out]# 12   16   Julian   21  Coffee  2018-08-24
#[Out]# 13  190   Kostas   21  Coffee  2018-08-26
#[Out]# 14  190   Kostas   21  Coffee  2018-08-20
#[Out]# 15  190   Kostas    4  Onions  2018-08-26
#[Out]# 16  190   Kostas   21  Coffee  2018-08-22
#[Out]# 17  190   Kostas   21  Coffee  2018-08-22
#[Out]# 18  172     Lana    4  Onions  2018-08-27
#[Out]# 19  111   Lauren   21  Coffee  2018-08-22
#[Out]# 20  169     Lily   21  Coffee  2018-08-16
#[Out]# 21  169     Lily    4  Onions  2018-08-20
#[Out]# 22  181     Liva   21  Coffee  2018-08-27
#[Out]# 23    2    Lucas    4  Onions  2018-08-17
#[Out]# 24  108     Noor   21  Coffee  2018-08-15
#[Out]# 25   31  Olivier    4  Onions  2018-08-27
#[Out]# 26   85   Pieter    4  Onions  2018-08-18
#[Out]# 27   29    Ruben    4  Onions  2018-08-24
#[Out]# 28  110     Saar   21  Coffee  2018-08-18
#[Out]# 29  175      Sam   21  Coffee  2018-08-20
#[Out]# 30  124    Sofie    4  Onions  2018-08-26
#[Out]# 31  124    Sofie   21  Coffee  2018-08-26
#[Out]# 32   97   Sophie   21  Coffee  2018-08-25
#[Out]# 33   86     Stef   21  Coffee  2018-08-18
#[Out]# 34   33     Sven    4  Onions  2018-08-18
#[Out]# 35  171    Tessa   21  Coffee  2018-08-20
#[Out]# 36   42     Tijn   21  Coffee  2018-08-18
#[Out]# 37   52   Willem    4  Onions  2018-08-25
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date
#[Out]# 0     2    Lucas    4  Onions  2018-08-17
#[Out]# 1    16   Julian   21  Coffee  2018-08-24
#[Out]# 2    29    Ruben    4  Onions  2018-08-24
#[Out]# 3    31  Olivier    4  Onions  2018-08-27
#[Out]# 4    33     Sven    4  Onions  2018-08-18
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18
#[Out]# 6    52   Willem    4  Onions  2018-08-25
#[Out]# 7    59     Joep   21  Coffee  2018-08-15
#[Out]# 8    59     Joep    4  Onions  2018-08-25
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19
#[Out]# 10   85   Pieter    4  Onions  2018-08-18
#[Out]# 11   86     Stef   21  Coffee  2018-08-18
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25
#[Out]# 14  108     Noor   21  Coffee  2018-08-15
#[Out]# 15  110     Saar   21  Coffee  2018-08-18
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22
#[Out]# 17  122     Elin   21  Coffee  2018-08-25
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26
#[Out]# 19  129    Esmee    4  Onions  2018-08-24
#[Out]# 20  152     Anne   21  Coffee  2018-08-20
#[Out]# 21  162    Elena    4  Onions  2018-08-21
#[Out]# 22  165    Hanna    4  Onions  2018-08-23
#[Out]# 23  169     Lily   21  Coffee  2018-08-16
#[Out]# 24  169     Lily    4  Onions  2018-08-20
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20
#[Out]# 26  172     Lana    4  Onions  2018-08-27
#[Out]# 27  175      Sam   21  Coffee  2018-08-20
#[Out]# 28  176    Amira    4  Onions  2018-08-22
#[Out]# 29  176    Amira   21  Coffee  2018-08-26
#[Out]# 30  177    Eline    4  Onions  2018-08-22
#[Out]# 31  181     Liva   21  Coffee  2018-08-27
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22
#[Out]# 34  190   Kostas    4  Onions  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT cID, date)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID, date)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  COUNT(DISTINCT c.cID)
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                      1
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                      1
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                      1
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                      1
#[Out]# 4    33     Sven    4  Onions  2018-08-18                      1
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                      1
#[Out]# 6    52   Willem    4  Onions  2018-08-25                      1
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                      1
#[Out]# 8    59     Joep    4  Onions  2018-08-25                      1
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                      1
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                      1
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                      1
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                      1
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                      1
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                      1
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                      1
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                      1
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                      1
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                      1
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                      1
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                      1
#[Out]# 21  162    Elena    4  Onions  2018-08-21                      1
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                      1
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                      1
#[Out]# 24  169     Lily    4  Onions  2018-08-20                      1
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                      1
#[Out]# 26  172     Lana    4  Onions  2018-08-27                      1
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                      1
#[Out]# 28  176    Amira    4  Onions  2018-08-22                      1
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                      1
#[Out]# 30  177    Eline    4  Onions  2018-08-22                      1
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                      1
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                      1
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                      1
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                      1
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT c.cID)
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                      2
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                      1
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                      1
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                      5
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                      1
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                      5
#[Out]# 6   162   Elena    4  Onions  2018-08-21                      1
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                      4
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                      1
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                      3
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                      5
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                      3
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                      3
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  COUNT(DISTINCT c.cID)
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                      1
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                      1
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                      1
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                      1
#[Out]# 4    33     Sven    4  Onions  2018-08-18                      1
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                      1
#[Out]# 6    52   Willem    4  Onions  2018-08-25                      1
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                      1
#[Out]# 8    59     Joep    4  Onions  2018-08-25                      1
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                      1
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                      1
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                      1
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                      1
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                      1
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                      1
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                      1
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                      1
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                      1
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                      1
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                      1
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                      1
#[Out]# 21  162    Elena    4  Onions  2018-08-21                      1
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                      1
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                      1
#[Out]# 24  169     Lily    4  Onions  2018-08-20                      1
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                      1
#[Out]# 26  172     Lana    4  Onions  2018-08-27                      1
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                      1
#[Out]# 28  176    Amira    4  Onions  2018-08-22                      1
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                      1
#[Out]# 30  177    Eline    4  Onions  2018-08-22                      1
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                      1
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                      1
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                      1
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                      1
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  amountOfCustomers
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                  1
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                  1
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                  1
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                  1
#[Out]# 4    33     Sven    4  Onions  2018-08-18                  1
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                  1
#[Out]# 6    52   Willem    4  Onions  2018-08-25                  1
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                  1
#[Out]# 8    59     Joep    4  Onions  2018-08-25                  1
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                  1
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                  1
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                  1
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                  1
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                  1
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                  1
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                  1
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                  1
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                  1
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                  1
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                  1
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                  1
#[Out]# 21  162    Elena    4  Onions  2018-08-21                  1
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                  1
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                  1
#[Out]# 24  169     Lily    4  Onions  2018-08-20                  1
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                  1
#[Out]# 26  172     Lana    4  Onions  2018-08-27                  1
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                  1
#[Out]# 28  176    Amira    4  Onions  2018-08-22                  1
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                  1
#[Out]# 30  177    Eline    4  Onions  2018-08-22                  1
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                  1
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                  1
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                  1
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                  1
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    AND c.cID IN GROUP_CONCAT(c.cID)
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  amountOfCustomers
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                  1
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                  1
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                  1
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                  1
#[Out]# 4    33     Sven    4  Onions  2018-08-18                  1
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                  1
#[Out]# 6    52   Willem    4  Onions  2018-08-25                  1
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                  1
#[Out]# 8    59     Joep    4  Onions  2018-08-25                  1
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                  1
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                  1
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                  1
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                  1
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                  1
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                  1
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                  1
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                  1
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                  1
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                  1
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                  1
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                  1
#[Out]# 21  162    Elena    4  Onions  2018-08-21                  1
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                  1
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                  1
#[Out]# 24  169     Lily    4  Onions  2018-08-20                  1
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                  1
#[Out]# 26  172     Lana    4  Onions  2018-08-27                  1
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                  1
#[Out]# 28  176    Amira    4  Onions  2018-08-22                  1
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                  1
#[Out]# 30  177    Eline    4  Onions  2018-08-22                  1
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                  1
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                  1
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                  1
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                  1
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(c.cID)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                  1   
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                  1   
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                  1   
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                  1   
#[Out]# 4    33     Sven    4  Onions  2018-08-18                  1   
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                  1   
#[Out]# 6    52   Willem    4  Onions  2018-08-25                  1   
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                  1   
#[Out]# 8    59     Joep    4  Onions  2018-08-25                  1   
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                  1   
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                  1   
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                  1   
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                  1   
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                  1   
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                  1   
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                  1   
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                  1   
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                  1   
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                  1   
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                  1   
#[Out]# 21  162    Elena    4  Onions  2018-08-21                  1   
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                  1   
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                  1   
#[Out]# 24  169     Lily    4  Onions  2018-08-20                  1   
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                  1   
#[Out]# 26  172     Lana    4  Onions  2018-08-27                  1   
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                  1   
#[Out]# 28  176    Amira    4  Onions  2018-08-22                  1   
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                  1   
#[Out]# 30  177    Eline    4  Onions  2018-08-22                  1   
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                  1   
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                  1   
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                  1   
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                  1   
#[Out]# 
#[Out]#    GROUP_CONCAT(c.cID)  
#[Out]# 0                    2  
#[Out]# 1                   16  
#[Out]# 2                   29  
#[Out]# 3                   31  
#[Out]# 4                   33  
#[Out]# 5                   42  
#[Out]# 6                   52  
#[Out]# 7                   59  
#[Out]# 8                   59  
#[Out]# 9                   82  
#[Out]# 10                  85  
#[Out]# 11                  86  
#[Out]# 12                  92  
#[Out]# 13                  97  
#[Out]# 14                 108  
#[Out]# 15                 110  
#[Out]# 16                 111  
#[Out]# 17                 122  
#[Out]# 18             124,124  
#[Out]# 19                 129  
#[Out]# 20                 152  
#[Out]# 21                 162  
#[Out]# 22                 165  
#[Out]# 23                 169  
#[Out]# 24                 169  
#[Out]# 25                 171  
#[Out]# 26                 172  
#[Out]# 27                 175  
#[Out]# 28                 176  
#[Out]# 29                 176  
#[Out]# 30                 177  
#[Out]# 31                 181  
#[Out]# 32                 190  
#[Out]# 33             190,190  
#[Out]# 34             190,190  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(c,cName)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(c.cName)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID    cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0     2    Lucas    4  Onions  2018-08-17                  1   
#[Out]# 1    16   Julian   21  Coffee  2018-08-24                  1   
#[Out]# 2    29    Ruben    4  Onions  2018-08-24                  1   
#[Out]# 3    31  Olivier    4  Onions  2018-08-27                  1   
#[Out]# 4    33     Sven    4  Onions  2018-08-18                  1   
#[Out]# 5    42     Tijn   21  Coffee  2018-08-18                  1   
#[Out]# 6    52   Willem    4  Onions  2018-08-25                  1   
#[Out]# 7    59     Joep   21  Coffee  2018-08-15                  1   
#[Out]# 8    59     Joep    4  Onions  2018-08-25                  1   
#[Out]# 9    82    Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 10   85   Pieter    4  Onions  2018-08-18                  1   
#[Out]# 11   86     Stef   21  Coffee  2018-08-18                  1   
#[Out]# 12   92    Jelte   21  Coffee  2018-08-25                  1   
#[Out]# 13   97   Sophie   21  Coffee  2018-08-25                  1   
#[Out]# 14  108     Noor   21  Coffee  2018-08-15                  1   
#[Out]# 15  110     Saar   21  Coffee  2018-08-18                  1   
#[Out]# 16  111   Lauren   21  Coffee  2018-08-22                  1   
#[Out]# 17  122     Elin   21  Coffee  2018-08-25                  1   
#[Out]# 18  124    Sofie   21  Coffee  2018-08-26                  1   
#[Out]# 19  129    Esmee    4  Onions  2018-08-24                  1   
#[Out]# 20  152     Anne   21  Coffee  2018-08-20                  1   
#[Out]# 21  162    Elena    4  Onions  2018-08-21                  1   
#[Out]# 22  165    Hanna    4  Onions  2018-08-23                  1   
#[Out]# 23  169     Lily   21  Coffee  2018-08-16                  1   
#[Out]# 24  169     Lily    4  Onions  2018-08-20                  1   
#[Out]# 25  171    Tessa   21  Coffee  2018-08-20                  1   
#[Out]# 26  172     Lana    4  Onions  2018-08-27                  1   
#[Out]# 27  175      Sam   21  Coffee  2018-08-20                  1   
#[Out]# 28  176    Amira    4  Onions  2018-08-22                  1   
#[Out]# 29  176    Amira   21  Coffee  2018-08-26                  1   
#[Out]# 30  177    Eline    4  Onions  2018-08-22                  1   
#[Out]# 31  181     Liva   21  Coffee  2018-08-27                  1   
#[Out]# 32  190   Kostas   21  Coffee  2018-08-20                  1   
#[Out]# 33  190   Kostas   21  Coffee  2018-08-22                  1   
#[Out]# 34  190   Kostas    4  Onions  2018-08-26                  1   
#[Out]# 
#[Out]#    GROUP_CONCAT(c.cName)  
#[Out]# 0                  Lucas  
#[Out]# 1                 Julian  
#[Out]# 2                  Ruben  
#[Out]# 3                Olivier  
#[Out]# 4                   Sven  
#[Out]# 5                   Tijn  
#[Out]# 6                 Willem  
#[Out]# 7                   Joep  
#[Out]# 8                   Joep  
#[Out]# 9                  Dylan  
#[Out]# 10                Pieter  
#[Out]# 11                  Stef  
#[Out]# 12                 Jelte  
#[Out]# 13                Sophie  
#[Out]# 14                  Noor  
#[Out]# 15                  Saar  
#[Out]# 16                Lauren  
#[Out]# 17                  Elin  
#[Out]# 18           Sofie,Sofie  
#[Out]# 19                 Esmee  
#[Out]# 20                  Anne  
#[Out]# 21                 Elena  
#[Out]# 22                 Hanna  
#[Out]# 23                  Lily  
#[Out]# 24                  Lily  
#[Out]# 25                 Tessa  
#[Out]# 26                  Lana  
#[Out]# 27                   Sam  
#[Out]# 28                 Amira  
#[Out]# 29                 Amira  
#[Out]# 30                 Eline  
#[Out]# 31                  Liva  
#[Out]# 32                Kostas  
#[Out]# 33         Kostas,Kostas  
#[Out]# 34         Kostas,Kostas  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(c.cName)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                  2   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                  1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                  1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                  5   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                  5   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                  1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                  4   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                  1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                  3   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                  5   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                  3   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                  3   
#[Out]# 
#[Out]#                GROUP_CONCAT(c.cName)  
#[Out]# 0                          Joep,Noor  
#[Out]# 1                               Lily  
#[Out]# 2                              Lucas  
#[Out]# 3         Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                              Dylan  
#[Out]# 5         Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                              Elena  
#[Out]# 7   Lauren,Amira,Eline,Kostas,Kostas  
#[Out]# 8                              Hanna  
#[Out]# 9                 Julian,Ruben,Esmee  
#[Out]# 10     Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11   Sofie,Sofie,Amira,Kostas,Kostas  
#[Out]# 12                 Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(DISTINCT c.cName)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                  2   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                  1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                  1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                  5   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                  5   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                  1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                  4   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                  1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                  3   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                  5   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                  3   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                  3   
#[Out]# 
#[Out]#    GROUP_CONCAT(DISTINCT c.cName)  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(DISTINCT c.cName) names
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                  2   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                  1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                  1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                  5   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                  5   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                  1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                  4   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                  1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                  3   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                  5   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                  3   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                  3   
#[Out]# 
#[Out]#                             names  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(DISTINCT c.cName) names
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING names > 2
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                  2   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                  1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                  1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                  5   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                  1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                  5   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                  1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                  4   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                  1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                  3   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                  5   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                  3   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                  3   
#[Out]# 
#[Out]#                             names  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT c.cID) amountOfCustomers,
      GROUP_CONCAT(DISTINCT c.cName) names
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING amountOfCustomers > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName  pID   pName        date  amountOfCustomers  \
#[Out]# 0  108    Noor   21  Coffee  2018-08-15                  2   
#[Out]# 1  110    Saar   21  Coffee  2018-08-18                  5   
#[Out]# 2  190  Kostas   21  Coffee  2018-08-20                  5   
#[Out]# 3  190  Kostas   21  Coffee  2018-08-22                  4   
#[Out]# 4  129   Esmee    4  Onions  2018-08-24                  3   
#[Out]# 5  122    Elin   21  Coffee  2018-08-25                  5   
#[Out]# 6  190  Kostas    4  Onions  2018-08-26                  3   
#[Out]# 7  181    Liva   21  Coffee  2018-08-27                  3   
#[Out]# 
#[Out]#                            names  
#[Out]# 0                      Joep,Noor  
#[Out]# 1     Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 2     Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 3      Lauren,Amira,Eline,Kostas  
#[Out]# 4             Julian,Ruben,Esmee  
#[Out]# 5  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 6             Sofie,Amira,Kostas  
#[Out]# 7              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) names
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING amountOfCustomers > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) names
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#                             names  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName)
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    GROUP_CONCAT(DISTINCT c.cName)  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) listOfNames
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#                       listOfNames  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) listOfNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    listOfNamesWhoBoughtOnThisDate  
#[Out]# 0                       Joep,Noor  
#[Out]# 1                            Lily  
#[Out]# 2                           Lucas  
#[Out]# 3      Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                           Dylan  
#[Out]# 5      Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                           Elena  
#[Out]# 7       Lauren,Amira,Eline,Kostas  
#[Out]# 8                           Hanna  
#[Out]# 9              Julian,Ruben,Esmee  
#[Out]# 10  Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11             Sofie,Amira,Kostas  
#[Out]# 12              Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                               Joep,Noor  
#[Out]# 1                                    Lily  
#[Out]# 2                                   Lucas  
#[Out]# 3              Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                                   Dylan  
#[Out]# 5              Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                                   Elena  
#[Out]# 7               Lauren,Amira,Eline,Kostas  
#[Out]# 8                                   Hanna  
#[Out]# 9                      Julian,Ruben,Esmee  
#[Out]# 10          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Sofie,Amira,Kostas  
#[Out]# 12                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      COUNT(DISTINCT c.cName) sizeOfDistinctNamesWhoBoughtOnThisDate
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      COUNT(DISTINCT c.cName) sizeOfDistinctNamesWhoBoughtOnThisDate,
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#     sizeOfDistinctNamesWhoBoughtOnThisDate  \
#[Out]# 0                                        2   
#[Out]# 1                                        1   
#[Out]# 2                                        1   
#[Out]# 3                                        5   
#[Out]# 4                                        1   
#[Out]# 5                                        5   
#[Out]# 6                                        1   
#[Out]# 7                                        4   
#[Out]# 8                                        1   
#[Out]# 9                                        3   
#[Out]# 10                                       5   
#[Out]# 11                                       3   
#[Out]# 12                                       3   
#[Out]# 
#[Out]#    listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                               Joep,Noor  
#[Out]# 1                                    Lily  
#[Out]# 2                                   Lucas  
#[Out]# 3              Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                                   Dylan  
#[Out]# 5              Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                                   Elena  
#[Out]# 7               Lauren,Amira,Eline,Kostas  
#[Out]# 8                                   Hanna  
#[Out]# 9                      Julian,Ruben,Esmee  
#[Out]# 10          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Sofie,Amira,Kostas  
#[Out]# 12                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT prod.pName)
      COUNT(DISTINCT c.cName) sizeOfDistinctNamesWhoBoughtOnThisDate,
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT prod.pName),
      COUNT(DISTINCT c.cName) sizeOfDistinctNamesWhoBoughtOnThisDate,
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    GROUP_CONCAT(DISTINCT prod.pName)  sizeOfDistinctNamesWhoBoughtOnThisDate  \
#[Out]# 0                             Coffee                                       2   
#[Out]# 1                             Coffee                                       1   
#[Out]# 2                             Onions                                       1   
#[Out]# 3                      Onions,Coffee                                       5   
#[Out]# 4                             Coffee                                       1   
#[Out]# 5                      Coffee,Onions                                       5   
#[Out]# 6                             Onions                                       1   
#[Out]# 7                      Coffee,Onions                                       4   
#[Out]# 8                             Onions                                       1   
#[Out]# 9                      Coffee,Onions                                       3   
#[Out]# 10                     Onions,Coffee                                       5   
#[Out]# 11                     Onions,Coffee                                       3   
#[Out]# 12                     Onions,Coffee                                       3   
#[Out]# 
#[Out]#    listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                               Joep,Noor  
#[Out]# 1                                    Lily  
#[Out]# 2                                   Lucas  
#[Out]# 3              Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                                   Dylan  
#[Out]# 5              Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                                   Elena  
#[Out]# 7               Lauren,Amira,Eline,Kostas  
#[Out]# 8                                   Hanna  
#[Out]# 9                      Julian,Ruben,Esmee  
#[Out]# 10          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Sofie,Amira,Kostas  
#[Out]# 12                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName), /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT prod.pName),
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    GROUP_CONCAT(DISTINCT prod.pName) listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                             Coffee                              Joep,Noor  
#[Out]# 1                             Coffee                                   Lily  
#[Out]# 2                             Onions                                  Lucas  
#[Out]# 3                      Onions,Coffee             Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                             Coffee                                  Dylan  
#[Out]# 5                      Coffee,Onions             Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                             Onions                                  Elena  
#[Out]# 7                      Coffee,Onions              Lauren,Amira,Eline,Kostas  
#[Out]# 8                             Onions                                  Hanna  
#[Out]# 9                      Coffee,Onions                     Julian,Ruben,Esmee  
#[Out]# 10                     Onions,Coffee          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Onions,Coffee                     Sofie,Amira,Kostas  
#[Out]# 12                     Onions,Coffee                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName), /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  COUNT(DISTINCT prod.pName)  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                           1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                           1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                           1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                           2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                           1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                           2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                           1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                           2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                           1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                           2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                           2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                           2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                           2   
#[Out]# 
#[Out]#    listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                               Joep,Noor  
#[Out]# 1                                    Lily  
#[Out]# 2                                   Lucas  
#[Out]# 3              Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                                   Dylan  
#[Out]# 5              Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                                   Elena  
#[Out]# 7               Lauren,Amira,Eline,Kostas  
#[Out]# 8                                   Hanna  
#[Out]# 9                      Julian,Ruben,Esmee  
#[Out]# 10          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Sofie,Amira,Kostas  
#[Out]# 12                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#     cID   cName  pID   pName        date  amountOfProducts  \
#[Out]# 0   108    Noor   21  Coffee  2018-08-15                 1   
#[Out]# 1   169    Lily   21  Coffee  2018-08-16                 1   
#[Out]# 2     2   Lucas    4  Onions  2018-08-17                 1   
#[Out]# 3   110    Saar   21  Coffee  2018-08-18                 2   
#[Out]# 4    82   Dylan   21  Coffee  2018-08-19                 1   
#[Out]# 5   190  Kostas   21  Coffee  2018-08-20                 2   
#[Out]# 6   162   Elena    4  Onions  2018-08-21                 1   
#[Out]# 7   190  Kostas   21  Coffee  2018-08-22                 2   
#[Out]# 8   165   Hanna    4  Onions  2018-08-23                 1   
#[Out]# 9   129   Esmee    4  Onions  2018-08-24                 2   
#[Out]# 10  122    Elin   21  Coffee  2018-08-25                 2   
#[Out]# 11  190  Kostas    4  Onions  2018-08-26                 2   
#[Out]# 12  181    Liva   21  Coffee  2018-08-27                 2   
#[Out]# 
#[Out]#    listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0                               Joep,Noor  
#[Out]# 1                                    Lily  
#[Out]# 2                                   Lucas  
#[Out]# 3              Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 4                                   Dylan  
#[Out]# 5              Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 6                                   Elena  
#[Out]# 7               Lauren,Amira,Eline,Kostas  
#[Out]# 8                                   Hanna  
#[Out]# 9                      Julian,Ruben,Esmee  
#[Out]# 10          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 11                     Sofie,Amira,Kostas  
#[Out]# 12                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee') AND amounfOfProducts > 1
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee') AND COUNT(DISTINCT prod.pName) > 1
    GROUP BY date
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING amountOfProducts > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName  pID   pName        date  amountOfProducts  \
#[Out]# 0  110    Saar   21  Coffee  2018-08-18                 2   
#[Out]# 1  190  Kostas   21  Coffee  2018-08-20                 2   
#[Out]# 2  190  Kostas   21  Coffee  2018-08-22                 2   
#[Out]# 3  129   Esmee    4  Onions  2018-08-24                 2   
#[Out]# 4  122    Elin   21  Coffee  2018-08-25                 2   
#[Out]# 5  190  Kostas    4  Onions  2018-08-26                 2   
#[Out]# 6  181    Liva   21  Coffee  2018-08-27                 2   
#[Out]# 
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 2              Lauren,Amira,Eline,Kostas  
#[Out]# 3                     Julian,Ruben,Esmee  
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 5                     Sofie,Amira,Kostas  
#[Out]# 6                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT c.cID, c.cName

    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    
    HAVING amountOfProducts > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''

    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    
    HAVING amountOfProducts > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames

test = '''
    SELECT 
      c.cID,
      c.cName,
      prod.pId,
      prod.pName,
      p.date, 
      COUNT(DISTINCT prod.pName) amountOfProducts, /*If this number is 2, then print all names in corresponding list*/
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING amountOfProducts > 1
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName  pID   pName        date  amountOfProducts  \
#[Out]# 0  110    Saar   21  Coffee  2018-08-18                 2   
#[Out]# 1  190  Kostas   21  Coffee  2018-08-20                 2   
#[Out]# 2  190  Kostas   21  Coffee  2018-08-22                 2   
#[Out]# 3  129   Esmee    4  Onions  2018-08-24                 2   
#[Out]# 4  122    Elin   21  Coffee  2018-08-25                 2   
#[Out]# 5  190  Kostas    4  Onions  2018-08-26                 2   
#[Out]# 6  181    Liva   21  Coffee  2018-08-27                 2   
#[Out]# 
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar  
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas  
#[Out]# 2              Lauren,Amira,Eline,Kostas  
#[Out]# 3                     Julian,Ruben,Esmee  
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin  
#[Out]# 5                     Sofie,Amira,Kostas  
#[Out]# 6                      Olivier,Lana,Liva  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
    SELECT 
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2              Lauren,Amira,Eline,Kostas
#[Out]# 3                     Julian,Ruben,Esmee
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5                     Sofie,Amira,Kostas
#[Out]# 6                      Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
    SELECT
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2              Lauren,Amira,Eline,Kostas
#[Out]# 3                     Julian,Ruben,Esmee
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5                     Sofie,Amira,Kostas
#[Out]# 6                      Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cName IN (
    SELECT
      GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
    FROM 
      customer c
      INNER JOIN
        purchase p ON p.cID == c.cID
      INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date
    HAVING (COUNT(DISTINCT prod.pName) > 1))
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2              Lauren,Amira,Eline,Kostas
#[Out]# 3                     Julian,Ruben,Esmee
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5                     Sofie,Amira,Kostas
#[Out]# 6                      Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
        GROUP BY listOfDistinctNamesWhoBoughtOnThisDate
    
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Can do this by duplicating purchase, in one selecting all onion buys and the other all coffee buys
# Then selecting all cIDs for which the date per (purchase - pID, tID) holds together with their cNames



test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cName) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName, pt.pId, pt.pName, p.date
    FROM customer c INNER JOIN purchase p ON p.cID == c.cID INNER JOIN product pt ON p.pID == pt.pID
    WHERE pt.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0             Sven,Tijn,Pieter,Stef,Saar
#[Out]# 1             Anne,Lily,Tessa,Sam,Kostas
#[Out]# 2              Lauren,Amira,Eline,Kostas
#[Out]# 3                     Julian,Ruben,Esmee
#[Out]# 4          Willem,Joep,Jelte,Sophie,Elin
#[Out]# 5                     Sofie,Amira,Kostas
#[Out]# 6                      Olivier,Lana,Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''


query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cName
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
    ORDER BY date
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
    ORDER BY date
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  110    Saar                        33,42,85,86,110
#[Out]# 1  190  Kostas                    152,169,171,175,190
#[Out]# 2  190  Kostas                        111,176,177,190
#[Out]# 3  129   Esmee                              16,29,129
#[Out]# 4  122    Elin                        52,59,92,97,122
#[Out]# 5  190  Kostas                            124,176,190
#[Out]# 6  181    Liva                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName             listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  190  Kostas  2,16,29,31,33,42,52,59,82,85,86,92,97,108,110,...
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  110    Saar                        33,42,85,86,110
#[Out]# 1  190  Kostas                    152,169,171,175,190
#[Out]# 2  190  Kostas                        111,176,177,190
#[Out]# 3  129   Esmee                              16,29,129
#[Out]# 4  122    Elin                        52,59,92,97,122
#[Out]# 5  190  Kostas                            124,176,190
#[Out]# 6  181    Liva                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, cName
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  190  Kostas                                    190
#[Out]# 1  124   Sofie                                    124
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, cID
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, c.cID
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  124   Sofie                                    124
#[Out]# 1  190  Kostas                                    190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          c.cID, c.cName,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  110    Saar                        33,42,85,86,110
#[Out]# 1  190  Kostas                    152,169,171,175,190
#[Out]# 2  190  Kostas                        111,176,177,190
#[Out]# 3  129   Esmee                              16,29,129
#[Out]# 4  122    Elin                        52,59,92,97,122
#[Out]# 5  190  Kostas                            124,176,190
#[Out]# 6  181    Liva                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0         2   1.95   21  Coffee                               33,42,85,86,110  
#[Out]# 1         2   3.10   21  Coffee                           152,169,171,175,190  
#[Out]# 2         6   4.05   21  Coffee                               111,176,177,190  
#[Out]# 3         7   1.10    4  Onions                                     16,29,129  
#[Out]# 4         6   1.70   21  Coffee                               52,59,92,97,122  
#[Out]# 5         1   2.40    4  Onions                                   124,176,190  
#[Out]# 6         5   2.00   21  Coffee                                    31,172,181  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0         2   1.95   21  Coffee                               33,42,85,86,110  
#[Out]# 1         2   3.10   21  Coffee                           152,169,171,175,190  
#[Out]# 2         6   4.05   21  Coffee                               111,176,177,190  
#[Out]# 3         7   1.10    4  Onions                                     16,29,129  
#[Out]# 4         6   1.70   21  Coffee                               52,59,92,97,122  
#[Out]# 5         1   2.40    4  Onions                                   124,176,190  
#[Out]# 6         5   2.00   21  Coffee                                    31,172,181  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY p.date, p.quantity
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0   108     Noor         Eikenlaan    Tilburg  279  108    3   21  2018-08-15   
#[Out]# 1   169     Lily    Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 2     2    Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 3    85   Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 4   110     Saar            Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 5    42     Tijn     Keizersgracht  Amsterdam  131   42   45   21  2018-08-18   
#[Out]# 6    82    Dylan          Molenweg  Eindhoven  217   82   12   21  2018-08-19   
#[Out]# 7   152     Anne    Gasthuisstraat    Utrecht  369  152   14   21  2018-08-20   
#[Out]# 8   190   Kostas          Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 9   169     Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 10  162    Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 11  190   Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 12  190   Kostas          Eindeweg    Utrecht  810  190   26   21  2018-08-22   
#[Out]# 13  111   Lauren          Hofplein  Rotterdam  293  111   17   21  2018-08-22   
#[Out]# 14  165    Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 15   29    Ruben          Hofplein  Rotterdam   94   29   29    4  2018-08-24   
#[Out]# 16  129    Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 17   52   Willem  Rozemarijnstraat      Breda  160   52    3    4  2018-08-25   
#[Out]# 18   59     Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 19  122     Elin       Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 20   97   Sophie    Stadhoudersweg  Rotterdam  264   97   54   21  2018-08-25   
#[Out]# 21  190   Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 22  124    Sofie     Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 23  190   Kostas          Eindeweg    Utrecht  793  190    9   21  2018-08-26   
#[Out]# 24  124    Sofie     Keizersgracht  Amsterdam  328  124    9   21  2018-08-26   
#[Out]# 25  176    Amira       Parallelweg  Amsterdam  451  176    4   21  2018-08-26   
#[Out]# 26  172     Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 27  181     Liva       Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 28   31  Olivier     Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 
#[Out]#     quantity  price  pID   pName suffix  
#[Out]# 0          6   1.70   21  Coffee         
#[Out]# 1          2   1.90   21  Coffee         
#[Out]# 2          6   1.10    4  Onions         
#[Out]# 3          1   0.85    4  Onions         
#[Out]# 4          2   1.95   21  Coffee         
#[Out]# 5          6   1.90   21  Coffee         
#[Out]# 6          2   2.05   21  Coffee         
#[Out]# 7          1   1.85   21  Coffee         
#[Out]# 8          2   3.10   21  Coffee         
#[Out]# 9          3   1.10    4  Onions         
#[Out]# 10         5   1.05    4  Onions         
#[Out]# 11         6   4.05   21  Coffee         
#[Out]# 12         7   0.60   21  Coffee         
#[Out]# 13         8   2.30   21  Coffee         
#[Out]# 14         8   0.95    4  Onions         
#[Out]# 15         3   0.95    4  Onions         
#[Out]# 16         7   1.10    4  Onions         
#[Out]# 17         3   0.90    4  Onions         
#[Out]# 18         5   1.05    4  Onions         
#[Out]# 19         6   1.70   21  Coffee         
#[Out]# 20         8   2.20   21  Coffee         
#[Out]# 21         1   2.40    4  Onions         
#[Out]# 22         4   1.10    4  Onions         
#[Out]# 23         5   4.25   21  Coffee         
#[Out]# 24         6   2.15   21  Coffee         
#[Out]# 25         8   2.15   21  Coffee         
#[Out]# 26         4   0.90    4  Onions         
#[Out]# 27         5   2.00   21  Coffee         
#[Out]# 28         9   0.90    4  Onions         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 1   108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 2   169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 3     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 7    86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 8   110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 11  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 12  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 13  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 14  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 15  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 18  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 19  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 20  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 21  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 22   16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 23   29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 24  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 25   52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 26   59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 27   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 28   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 29  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 30  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 31  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 32  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 35   31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 36  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 37  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-15         6   2.20   21  Coffee         
#[Out]# 1   2018-08-15         6   1.70   21  Coffee         
#[Out]# 2   2018-08-16         2   1.90   21  Coffee         
#[Out]# 3   2018-08-17         6   1.10    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-18         1   0.85    4  Onions         
#[Out]# 7   2018-08-18         2   2.30   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-20         1   1.85   21  Coffee         
#[Out]# 11  2018-08-20         3   1.10    4  Onions         
#[Out]# 12  2018-08-20         2   2.35   21  Coffee         
#[Out]# 13  2018-08-20         2   2.25   21  Coffee         
#[Out]# 14  2018-08-20         2   3.10   21  Coffee         
#[Out]# 15  2018-08-21         5   1.05    4  Onions         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-22         7   0.90    4  Onions         
#[Out]# 18  2018-08-22         6   1.10    4  Onions         
#[Out]# 19  2018-08-22         7   0.60   21  Coffee         
#[Out]# 20  2018-08-22         6   4.05   21  Coffee         
#[Out]# 21  2018-08-23         8   0.95    4  Onions         
#[Out]# 22  2018-08-24         3   2.35   21  Coffee         
#[Out]# 23  2018-08-24         3   0.95    4  Onions         
#[Out]# 24  2018-08-24         7   1.10    4  Onions         
#[Out]# 25  2018-08-25         3   0.90    4  Onions         
#[Out]# 26  2018-08-25         5   1.05    4  Onions         
#[Out]# 27  2018-08-25         6   2.05   21  Coffee         
#[Out]# 28  2018-08-25         8   2.20   21  Coffee         
#[Out]# 29  2018-08-25         6   1.70   21  Coffee         
#[Out]# 30  2018-08-26         4   1.10    4  Onions         
#[Out]# 31  2018-08-26         6   2.15   21  Coffee         
#[Out]# 32  2018-08-26         8   2.15   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-26         1   2.40    4  Onions         
#[Out]# 35  2018-08-27         9   0.90    4  Onions         
#[Out]# 36  2018-08-27         4   0.90    4  Onions         
#[Out]# 37  2018-08-27         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 1   108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 2   169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 3     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 7    86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 8   110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 11  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 12  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 13  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 14  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 15  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 18  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 19  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 20  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 21   16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 22   29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 23  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 24   52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 25   59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 26   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 27   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 28  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 29  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 32   31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 33  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 34  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-15         6   2.20   21  Coffee         
#[Out]# 1   2018-08-15         6   1.70   21  Coffee         
#[Out]# 2   2018-08-16         2   1.90   21  Coffee         
#[Out]# 3   2018-08-17         6   1.10    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-18         1   0.85    4  Onions         
#[Out]# 7   2018-08-18         2   2.30   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-20         1   1.85   21  Coffee         
#[Out]# 11  2018-08-20         3   1.10    4  Onions         
#[Out]# 12  2018-08-20         2   2.35   21  Coffee         
#[Out]# 13  2018-08-20         2   2.25   21  Coffee         
#[Out]# 14  2018-08-20         2   3.10   21  Coffee         
#[Out]# 15  2018-08-21         5   1.05    4  Onions         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-22         7   0.90    4  Onions         
#[Out]# 18  2018-08-22         6   1.10    4  Onions         
#[Out]# 19  2018-08-22         6   4.05   21  Coffee         
#[Out]# 20  2018-08-23         8   0.95    4  Onions         
#[Out]# 21  2018-08-24         3   2.35   21  Coffee         
#[Out]# 22  2018-08-24         3   0.95    4  Onions         
#[Out]# 23  2018-08-24         7   1.10    4  Onions         
#[Out]# 24  2018-08-25         3   0.90    4  Onions         
#[Out]# 25  2018-08-25         5   1.05    4  Onions         
#[Out]# 26  2018-08-25         6   2.05   21  Coffee         
#[Out]# 27  2018-08-25         8   2.20   21  Coffee         
#[Out]# 28  2018-08-25         6   1.70   21  Coffee         
#[Out]# 29  2018-08-26         6   2.15   21  Coffee         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-26         1   2.40    4  Onions         
#[Out]# 32  2018-08-27         9   0.90    4  Onions         
#[Out]# 33  2018-08-27         4   0.90    4  Onions         
#[Out]# 34  2018-08-27         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID, pName
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID        date
#[Out]# 0    59  2018-08-15
#[Out]# 1   108  2018-08-15
#[Out]# 2   169  2018-08-16
#[Out]# 3     2  2018-08-17
#[Out]# 4    33  2018-08-18
#[Out]# 5    42  2018-08-18
#[Out]# 6    85  2018-08-18
#[Out]# 7    86  2018-08-18
#[Out]# 8   110  2018-08-18
#[Out]# 9    82  2018-08-19
#[Out]# 10  152  2018-08-20
#[Out]# 11  169  2018-08-20
#[Out]# 12  171  2018-08-20
#[Out]# 13  175  2018-08-20
#[Out]# 14  190  2018-08-20
#[Out]# 15  162  2018-08-21
#[Out]# 16  111  2018-08-22
#[Out]# 17  176  2018-08-22
#[Out]# 18  177  2018-08-22
#[Out]# 19  190  2018-08-22
#[Out]# 20  165  2018-08-23
#[Out]# 21   16  2018-08-24
#[Out]# 22   29  2018-08-24
#[Out]# 23  129  2018-08-24
#[Out]# 24   52  2018-08-25
#[Out]# 25   59  2018-08-25
#[Out]# 26   92  2018-08-25
#[Out]# 27   97  2018-08-25
#[Out]# 28  122  2018-08-25
#[Out]# 29  124  2018-08-26
#[Out]# 30  124  2018-08-26
#[Out]# 31  176  2018-08-26
#[Out]# 32  190  2018-08-26
#[Out]# 33  190  2018-08-26
#[Out]# 34   31  2018-08-27
#[Out]# 35  172  2018-08-27
#[Out]# 36  181  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, date, pName
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID, pName
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID        date   pName
#[Out]# 0    59  2018-08-15  Coffee
#[Out]# 1   108  2018-08-15  Coffee
#[Out]# 2   169  2018-08-16  Coffee
#[Out]# 3     2  2018-08-17  Onions
#[Out]# 4    33  2018-08-18  Onions
#[Out]# 5    42  2018-08-18  Coffee
#[Out]# 6    85  2018-08-18  Onions
#[Out]# 7    86  2018-08-18  Coffee
#[Out]# 8   110  2018-08-18  Coffee
#[Out]# 9    82  2018-08-19  Coffee
#[Out]# 10  152  2018-08-20  Coffee
#[Out]# 11  169  2018-08-20  Onions
#[Out]# 12  171  2018-08-20  Coffee
#[Out]# 13  175  2018-08-20  Coffee
#[Out]# 14  190  2018-08-20  Coffee
#[Out]# 15  162  2018-08-21  Onions
#[Out]# 16  111  2018-08-22  Coffee
#[Out]# 17  176  2018-08-22  Onions
#[Out]# 18  177  2018-08-22  Onions
#[Out]# 19  190  2018-08-22  Coffee
#[Out]# 20  165  2018-08-23  Onions
#[Out]# 21   16  2018-08-24  Coffee
#[Out]# 22   29  2018-08-24  Onions
#[Out]# 23  129  2018-08-24  Onions
#[Out]# 24   52  2018-08-25  Onions
#[Out]# 25   59  2018-08-25  Onions
#[Out]# 26   92  2018-08-25  Coffee
#[Out]# 27   97  2018-08-25  Coffee
#[Out]# 28  122  2018-08-25  Coffee
#[Out]# 29  124  2018-08-26  Coffee
#[Out]# 30  124  2018-08-26  Onions
#[Out]# 31  176  2018-08-26  Coffee
#[Out]# 32  190  2018-08-26  Coffee
#[Out]# 33  190  2018-08-26  Onions
#[Out]# 34   31  2018-08-27  Onions
#[Out]# 35  172  2018-08-27  Onions
#[Out]# 36  181  2018-08-27  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID, pName
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 1   108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 2   169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 3     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 7    86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 8   110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 11  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 12  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 13  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 14  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 15  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 18  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 19  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 20  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 21   16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 22   29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 23  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 24   52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 25   59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 26   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 27   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 28  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 29  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 30  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 31  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 32  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 34   31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 35  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 36  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-15         6   2.20   21  Coffee         
#[Out]# 1   2018-08-15         6   1.70   21  Coffee         
#[Out]# 2   2018-08-16         2   1.90   21  Coffee         
#[Out]# 3   2018-08-17         6   1.10    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-18         1   0.85    4  Onions         
#[Out]# 7   2018-08-18         2   2.30   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-20         1   1.85   21  Coffee         
#[Out]# 11  2018-08-20         3   1.10    4  Onions         
#[Out]# 12  2018-08-20         2   2.35   21  Coffee         
#[Out]# 13  2018-08-20         2   2.25   21  Coffee         
#[Out]# 14  2018-08-20         2   3.10   21  Coffee         
#[Out]# 15  2018-08-21         5   1.05    4  Onions         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-22         7   0.90    4  Onions         
#[Out]# 18  2018-08-22         6   1.10    4  Onions         
#[Out]# 19  2018-08-22         6   4.05   21  Coffee         
#[Out]# 20  2018-08-23         8   0.95    4  Onions         
#[Out]# 21  2018-08-24         3   2.35   21  Coffee         
#[Out]# 22  2018-08-24         3   0.95    4  Onions         
#[Out]# 23  2018-08-24         7   1.10    4  Onions         
#[Out]# 24  2018-08-25         3   0.90    4  Onions         
#[Out]# 25  2018-08-25         5   1.05    4  Onions         
#[Out]# 26  2018-08-25         6   2.05   21  Coffee         
#[Out]# 27  2018-08-25         8   2.20   21  Coffee         
#[Out]# 28  2018-08-25         6   1.70   21  Coffee         
#[Out]# 29  2018-08-26         6   2.15   21  Coffee         
#[Out]# 30  2018-08-26         4   1.10    4  Onions         
#[Out]# 31  2018-08-26         8   2.15   21  Coffee         
#[Out]# 32  2018-08-26         5   4.25   21  Coffee         
#[Out]# 33  2018-08-26         1   2.40    4  Onions         
#[Out]# 34  2018-08-27         9   0.90    4  Onions         
#[Out]# 35  2018-08-27         4   0.90    4  Onions         
#[Out]# 36  2018-08-27         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY date, c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 1   108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 2   169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 3     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 7    86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 8   110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 11  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 12  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 13  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 14  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 15  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 18  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 19  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 20  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 21   16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 22   29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 23  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 24   52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 25   59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 26   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 27   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 28  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 29  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 32   31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 33  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 34  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-15         6   2.20   21  Coffee         
#[Out]# 1   2018-08-15         6   1.70   21  Coffee         
#[Out]# 2   2018-08-16         2   1.90   21  Coffee         
#[Out]# 3   2018-08-17         6   1.10    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-18         1   0.85    4  Onions         
#[Out]# 7   2018-08-18         2   2.30   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-20         1   1.85   21  Coffee         
#[Out]# 11  2018-08-20         3   1.10    4  Onions         
#[Out]# 12  2018-08-20         2   2.35   21  Coffee         
#[Out]# 13  2018-08-20         2   2.25   21  Coffee         
#[Out]# 14  2018-08-20         2   3.10   21  Coffee         
#[Out]# 15  2018-08-21         5   1.05    4  Onions         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-22         7   0.90    4  Onions         
#[Out]# 18  2018-08-22         6   1.10    4  Onions         
#[Out]# 19  2018-08-22         6   4.05   21  Coffee         
#[Out]# 20  2018-08-23         8   0.95    4  Onions         
#[Out]# 21  2018-08-24         3   2.35   21  Coffee         
#[Out]# 22  2018-08-24         3   0.95    4  Onions         
#[Out]# 23  2018-08-24         7   1.10    4  Onions         
#[Out]# 24  2018-08-25         3   0.90    4  Onions         
#[Out]# 25  2018-08-25         5   1.05    4  Onions         
#[Out]# 26  2018-08-25         6   2.05   21  Coffee         
#[Out]# 27  2018-08-25         8   2.20   21  Coffee         
#[Out]# 28  2018-08-25         6   1.70   21  Coffee         
#[Out]# 29  2018-08-26         6   2.15   21  Coffee         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-26         1   2.40    4  Onions         
#[Out]# 32  2018-08-27         9   0.90    4  Onions         
#[Out]# 33  2018-08-27         4   0.90    4  Onions         
#[Out]# 34  2018-08-27         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT *
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily   21  2018-08-16
#[Out]# 25  169     Lily    4  2018-08-20
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas    4  2018-08-26
#[Out]# 36  190   Kostas   21  2018-08-22
#[Out]# 37  190   Kostas   21  2018-08-22
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cID, cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    GROUP BY c.cID, date
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep   21  2018-08-15
#[Out]# 8    59     Joep    4  2018-08-25
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie   21  2018-08-26
#[Out]# 19  129    Esmee    4  2018-08-24
#[Out]# 20  152     Anne   21  2018-08-20
#[Out]# 21  162    Elena    4  2018-08-21
#[Out]# 22  165    Hanna    4  2018-08-23
#[Out]# 23  169     Lily   21  2018-08-16
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  171    Tessa   21  2018-08-20
#[Out]# 26  172     Lana    4  2018-08-27
#[Out]# 27  175      Sam   21  2018-08-20
#[Out]# 28  176    Amira    4  2018-08-22
#[Out]# 29  176    Amira   21  2018-08-26
#[Out]# 30  177    Eline    4  2018-08-22
#[Out]# 31  181     Liva   21  2018-08-27
#[Out]# 32  190   Kostas   21  2018-08-20
#[Out]# 33  190   Kostas   21  2018-08-22
#[Out]# 34  190   Kostas    4  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cID, date
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep   21  2018-08-15
#[Out]# 8    59     Joep    4  2018-08-25
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily   21  2018-08-16
#[Out]# 25  169     Lily    4  2018-08-20
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas   21  2018-08-20
#[Out]# 34  190   Kostas   21  2018-08-22
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
#[Out]# 37  190   Kostas    4  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date, c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   108     Noor   21  2018-08-15
#[Out]# 2   169     Lily   21  2018-08-16
#[Out]# 3     2    Lucas    4  2018-08-17
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    85   Pieter    4  2018-08-18
#[Out]# 7    86     Stef   21  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10  152     Anne   21  2018-08-20
#[Out]# 11  169     Lily    4  2018-08-20
#[Out]# 12  171    Tessa   21  2018-08-20
#[Out]# 13  175      Sam   21  2018-08-20
#[Out]# 14  190   Kostas   21  2018-08-20
#[Out]# 15  162    Elena    4  2018-08-21
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  190   Kostas   21  2018-08-22
#[Out]# 20  190   Kostas   21  2018-08-22
#[Out]# 21  165    Hanna    4  2018-08-23
#[Out]# 22   16   Julian   21  2018-08-24
#[Out]# 23   29    Ruben    4  2018-08-24
#[Out]# 24  129    Esmee    4  2018-08-24
#[Out]# 25   52   Willem    4  2018-08-25
#[Out]# 26   59     Joep    4  2018-08-25
#[Out]# 27   92    Jelte   21  2018-08-25
#[Out]# 28   97   Sophie   21  2018-08-25
#[Out]# 29  122     Elin   21  2018-08-25
#[Out]# 30  124    Sofie    4  2018-08-26
#[Out]# 31  124    Sofie   21  2018-08-26
#[Out]# 32  176    Amira   21  2018-08-26
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34  190   Kostas    4  2018-08-26
#[Out]# 35   31  Olivier    4  2018-08-27
#[Out]# 36  172     Lana    4  2018-08-27
#[Out]# 37  181     Liva   21  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, p.pID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
    ORDER BY date, c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    33     Sven    4  2018-08-18
#[Out]# 2    85   Pieter    4  2018-08-18
#[Out]# 3   169     Lily    4  2018-08-20
#[Out]# 4   162    Elena    4  2018-08-21
#[Out]# 5   176    Amira    4  2018-08-22
#[Out]# 6   177    Eline    4  2018-08-22
#[Out]# 7   165    Hanna    4  2018-08-23
#[Out]# 8    29    Ruben    4  2018-08-24
#[Out]# 9   129    Esmee    4  2018-08-24
#[Out]# 10   52   Willem    4  2018-08-25
#[Out]# 11   59     Joep    4  2018-08-25
#[Out]# 12  124    Sofie    4  2018-08-26
#[Out]# 13  190   Kostas    4  2018-08-26
#[Out]# 14   31  Olivier    4  2018-08-27
#[Out]# 15  172     Lana    4  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, c.cName, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
    ORDER BY date, c.cID
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    33     Sven  2018-08-18
#[Out]# 2    85   Pieter  2018-08-18
#[Out]# 3   169     Lily  2018-08-20
#[Out]# 4   162    Elena  2018-08-21
#[Out]# 5   176    Amira  2018-08-22
#[Out]# 6   177    Eline  2018-08-22
#[Out]# 7   165    Hanna  2018-08-23
#[Out]# 8    29    Ruben  2018-08-24
#[Out]# 9   129    Esmee  2018-08-24
#[Out]# 10   52   Willem  2018-08-25
#[Out]# 11   59     Joep  2018-08-25
#[Out]# 12  124    Sofie  2018-08-26
#[Out]# 13  190   Kostas  2018-08-26
#[Out]# 14   31  Olivier  2018-08-27
#[Out]# 15  172     Lana  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''



query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (
        SELECT DISTINCT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID        date
#[Out]# 0     2  2018-08-17
#[Out]# 1    29  2018-08-24
#[Out]# 2    31  2018-08-27
#[Out]# 3    33  2018-08-18
#[Out]# 4    52  2018-08-25
#[Out]# 5    59  2018-08-25
#[Out]# 6    85  2018-08-18
#[Out]# 7   124  2018-08-26
#[Out]# 8   129  2018-08-24
#[Out]# 9   162  2018-08-21
#[Out]# 10  165  2018-08-23
#[Out]# 11  169  2018-08-20
#[Out]# 12  172  2018-08-27
#[Out]# 13  176  2018-08-22
#[Out]# 14  177  2018-08-22
#[Out]# 15  190  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    )
'''

pd.read_sql_query(test2, conn)
#[Out]#     cID        date
#[Out]# 0     2  2018-08-17
#[Out]# 1    29  2018-08-24
#[Out]# 2    31  2018-08-27
#[Out]# 3    33  2018-08-18
#[Out]# 4    52  2018-08-25
#[Out]# 5    59  2018-08-25
#[Out]# 6    85  2018-08-18
#[Out]# 7   124  2018-08-26
#[Out]# 8   129  2018-08-24
#[Out]# 9   162  2018-08-21
#[Out]# 10  165  2018-08-23
#[Out]# 11  169  2018-08-20
#[Out]# 12  172  2018-08-27
#[Out]# 13  176  2018-08-22
#[Out]# 14  177  2018-08-22
#[Out]# 15  190  2018-08-26
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    )
    INTERSECT
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
        )
        INTERSECT
        (
            SELECT c2.cID
            FROM customer c2
            INNER JOIN
                purchase p ON p.cID == c.cID
            INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Coffee')
        )
    )
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
            SELECT c2.cID
            FROM customer c2
            INNER JOIN
                purchase p ON p.cID == c.cID
            INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions')
        INTERSECT
            SELECT c2.cID
            FROM customer c2
            INNER JOIN
                purchase p ON p.cID == c.cID
            INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Coffee')
        )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          *,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID   cName       street       city  tID  cID  sID  pID        date  \
#[Out]# 0  110    Saar       Amstel  Amsterdam  292  110   55   21  2018-08-18   
#[Out]# 1  190  Kostas     Eindeweg    Utrecht  799  190   15   21  2018-08-20   
#[Out]# 2  190  Kostas     Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 3  129   Esmee  Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  122    Elin  Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  190  Kostas     Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 6  181    Liva  Fredriklaan  Eindhoven  471  181   27   21  2018-08-27   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix listOfDistinctNamesWhoBoughtOnThisDate  
#[Out]# 0         2   1.95   21  Coffee                               33,42,85,86,110  
#[Out]# 1         2   3.10   21  Coffee                           152,169,171,175,190  
#[Out]# 2         6   4.05   21  Coffee                               111,176,177,190  
#[Out]# 3         7   1.10    4  Onions                                     16,29,129  
#[Out]# 4         6   1.70   21  Coffee                               52,59,92,97,122  
#[Out]# 5         1   2.40    4  Onions                                   124,176,190  
#[Out]# 6         5   2.00   21  Coffee                                    31,172,181  
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT c.cName, c.cID
    FROM customer
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT c.cName, c.cID
    FROM customer
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(testtest, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(testtest, conn)
#[Out]#       cName  cID
#[Out]# 0    Julian   16
#[Out]# 1     Ruben   29
#[Out]# 2   Olivier   31
#[Out]# 3      Sven   33
#[Out]# 4      Tijn   42
#[Out]# 5    Willem   52
#[Out]# 6      Joep   59
#[Out]# 7    Pieter   85
#[Out]# 8      Stef   86
#[Out]# 9     Jelte   92
#[Out]# 10   Sophie   97
#[Out]# 11     Saar  110
#[Out]# 12   Lauren  111
#[Out]# 13     Elin  122
#[Out]# 14    Sofie  124
#[Out]# 15    Esmee  129
#[Out]# 16     Anne  152
#[Out]# 17     Lily  169
#[Out]# 18    Tessa  171
#[Out]# 19     Lana  172
#[Out]# 20      Sam  175
#[Out]# 21    Amira  176
#[Out]# 22    Eline  177
#[Out]# 23     Liva  181
#[Out]# 24   Kostas  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(testtest, conn)
#[Out]#       cName  cID
#[Out]# 0    Julian   16
#[Out]# 1     Ruben   29
#[Out]# 2   Olivier   31
#[Out]# 3      Sven   33
#[Out]# 4      Tijn   42
#[Out]# 5    Willem   52
#[Out]# 6      Joep   59
#[Out]# 7    Pieter   85
#[Out]# 8      Stef   86
#[Out]# 9     Jelte   92
#[Out]# 10   Sophie   97
#[Out]# 11     Saar  110
#[Out]# 12   Lauren  111
#[Out]# 13     Elin  122
#[Out]# 14    Sofie  124
#[Out]# 15    Esmee  129
#[Out]# 16     Anne  152
#[Out]# 17     Lily  169
#[Out]# 18    Tessa  171
#[Out]# 19     Lana  172
#[Out]# 20      Sam  175
#[Out]# 21    Amira  176
#[Out]# 22    Eline  177
#[Out]# 23     Liva  181
#[Out]# 24   Kostas  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, 
            GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, 
            GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, c.cID
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-26                                    124
#[Out]# 1  2018-08-26                                    190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, 
            GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, p.pName, c.cID
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, 
            GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date, pName, c.cID
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [date, listOfDistinctNamesWhoBoughtOnThisDate]
#[Out]# Index: []
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#   listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0                        33,42,85,86,110
#[Out]# 1                    152,169,171,175,190
#[Out]# 2                        111,176,177,190
#[Out]# 3                              16,29,129
#[Out]# 4                        52,59,92,97,122
#[Out]# 5                            124,176,190
#[Out]# 6                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#          date
#[Out]# 0  2018-08-18
#[Out]# 1  2018-08-20
#[Out]# 2  2018-08-22
#[Out]# 3  2018-08-24
#[Out]# 4  2018-08-25
#[Out]# 5  2018-08-26
#[Out]# 6  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        cID /*,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        c.cID /*,
          GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions')
    INTERSECT
        SELECT c2.cID
        FROM customer c2
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Coffee')
    )
'''

pd.read_sql_query(test, conn)
#[Out]#    cID
#[Out]# 0  110
#[Out]# 1  190
#[Out]# 2  190
#[Out]# 3  129
#[Out]# 4  122
#[Out]# 5  190
#[Out]# 6  181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN
        (
            SELECT
            date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
    )
'''

pd.read_sql_query(test, conn)
#[Out]#          date
#[Out]# 0  2018-08-18
#[Out]# 1  2018-08-20
#[Out]# 2  2018-08-22
#[Out]# 3  2018-08-24
#[Out]# 4  2018-08-25
#[Out]# 5  2018-08-26
#[Out]# 6  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN
        (
            SELECT
            date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      1      Sem
#[Out]# 2      3     Finn
#[Out]# 3      4     Daan
#[Out]# 4      5     Levi
#[Out]# 5      7     Bram
#[Out]# 6     10      Sam
#[Out]# 7     11    Thijs
#[Out]# 8     13    James
#[Out]# 9     15     Noud
#[Out]# 10    16   Julian
#[Out]# 11    18     Hugo
#[Out]# 12    19     Lars
#[Out]# 13    20     Gijs
#[Out]# 14    22     Mats
#[Out]# 15    24     Luca
#[Out]# 16    27      Tim
#[Out]# 17    28     Siem
#[Out]# 18    29    Ruben
#[Out]# 19    30     Teun
#[Out]# 20    31  Olivier
#[Out]# 21    33     Sven
#[Out]# 22    34    David
#[Out]# 23    35    Stijn
#[Out]# 24    38   Floris
#[Out]# 25    42     Tijn
#[Out]# 26    43      Tom
#[Out]# 27    44    Jason
#[Out]# 28    45     Ryan
#[Out]# 29    51     Ties
#[Out]# ..   ...      ...
#[Out]# 71   134     Ella
#[Out]# 72   136    Femke
#[Out]# 73   139    Elise
#[Out]# 74   144      Ivy
#[Out]# 75   145     Fien
#[Out]# 76   147   Isabel
#[Out]# 77   149    Lizzy
#[Out]# 78   152     Anne
#[Out]# 79   157     Puck
#[Out]# 80   159    Fenne
#[Out]# 81   161    Floor
#[Out]# 82   162    Elena
#[Out]# 83   163     Cato
#[Out]# 84   165    Hanna
#[Out]# 85   167   Veerle
#[Out]# 86   169     Lily
#[Out]# 87   171    Tessa
#[Out]# 88   172     Lana
#[Out]# 89   175      Sam
#[Out]# 90   176    Amira
#[Out]# 91   177    Eline
#[Out]# 92   178     Elif
#[Out]# 93   179     Juul
#[Out]# 94   180    Merel
#[Out]# 95   181     Liva
#[Out]# 96   184    Wilko
#[Out]# 97   185     Nick
#[Out]# 98   188     Pino
#[Out]# 99   189     Koen
#[Out]# 100  190   Kostas
#[Out]# 
#[Out]# [101 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN
        (
            SELECT
            date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
    )
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      1      Sem
#[Out]# 2      3     Finn
#[Out]# 3      4     Daan
#[Out]# 4      5     Levi
#[Out]# 5      7     Bram
#[Out]# 6     10      Sam
#[Out]# 7     11    Thijs
#[Out]# 8     13    James
#[Out]# 9     15     Noud
#[Out]# 10    16   Julian
#[Out]# 11    18     Hugo
#[Out]# 12    19     Lars
#[Out]# 13    20     Gijs
#[Out]# 14    22     Mats
#[Out]# 15    24     Luca
#[Out]# 16    27      Tim
#[Out]# 17    28     Siem
#[Out]# 18    29    Ruben
#[Out]# 19    30     Teun
#[Out]# 20    31  Olivier
#[Out]# 21    33     Sven
#[Out]# 22    34    David
#[Out]# 23    35    Stijn
#[Out]# 24    38   Floris
#[Out]# 25    42     Tijn
#[Out]# 26    43      Tom
#[Out]# 27    44    Jason
#[Out]# 28    45     Ryan
#[Out]# 29    51     Ties
#[Out]# ..   ...      ...
#[Out]# 71   134     Ella
#[Out]# 72   136    Femke
#[Out]# 73   139    Elise
#[Out]# 74   144      Ivy
#[Out]# 75   145     Fien
#[Out]# 76   147   Isabel
#[Out]# 77   149    Lizzy
#[Out]# 78   152     Anne
#[Out]# 79   157     Puck
#[Out]# 80   159    Fenne
#[Out]# 81   161    Floor
#[Out]# 82   162    Elena
#[Out]# 83   163     Cato
#[Out]# 84   165    Hanna
#[Out]# 85   167   Veerle
#[Out]# 86   169     Lily
#[Out]# 87   171    Tessa
#[Out]# 88   172     Lana
#[Out]# 89   175      Sam
#[Out]# 90   176    Amira
#[Out]# 91   177    Eline
#[Out]# 92   178     Elif
#[Out]# 93   179     Juul
#[Out]# 94   180    Merel
#[Out]# 95   181     Liva
#[Out]# 96   184    Wilko
#[Out]# 97   185     Nick
#[Out]# 98   188     Pino
#[Out]# 99   189     Koen
#[Out]# 100  190   Kostas
#[Out]# 
#[Out]# [101 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN
        /*Select all dates where either onions or coffee was sold*/
        (
            SELECT
            date,GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
        AND 
    )
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN
        /*Select all dates where either onions or coffee was sold*/
        (
            SELECT
                date,
                GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
        AND 
    )
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN
    (
        SELECT c.cID
        FROM customer c
        INNER JOIN purchase p ON p.cID == c.cID
        WHERE p.date IN FIRST
        /*Select all dates where either onions or coffee was sold*/
        (
            SELECT
                date,
                GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
            FROM 
              customer c
              INNER JOIN
                purchase p ON p.cID == c.cID
              INNER JOIN
                product prod ON p.pID == prod.pID
            WHERE prod.pName IN ('Onions', 'Coffee')
            GROUP BY date
            HAVING (COUNT(DISTINCT prod.pName) > 1)
        )
        AND 
    )
'''

pd.read_sql_query(query2, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
        date /*This gives the result per date: GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate */
        FROM 
          customer c
          INNER JOIN
            purchase p ON p.cID == c.cID
          INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#          date
#[Out]# 0  2018-08-18
#[Out]# 1  2018-08-20
#[Out]# 2  2018-08-22
#[Out]# 3  2018-08-24
#[Out]# 4  2018-08-25
#[Out]# 5  2018-08-26
#[Out]# 6  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

testtest = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test, conn)
#[Out]#          date listOfDistinctNamesWhoBoughtOnThisDate
#[Out]# 0  2018-08-18                        33,42,85,86,110
#[Out]# 1  2018-08-20                    152,169,171,175,190
#[Out]# 2  2018-08-22                        111,176,177,190
#[Out]# 3  2018-08-24                              16,29,129
#[Out]# 4  2018-08-25                        52,59,92,97,122
#[Out]# 5  2018-08-26                            124,176,190
#[Out]# 6  2018-08-27                             31,172,181
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cName, c.cID
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(correctSolutionUsingTestQuery, conn)
#[Out]#       cName  cID
#[Out]# 0    Julian   16
#[Out]# 1     Ruben   29
#[Out]# 2   Olivier   31
#[Out]# 3      Sven   33
#[Out]# 4      Tijn   42
#[Out]# 5    Willem   52
#[Out]# 6      Joep   59
#[Out]# 7    Pieter   85
#[Out]# 8      Stef   86
#[Out]# 9     Jelte   92
#[Out]# 10   Sophie   97
#[Out]# 11     Saar  110
#[Out]# 12   Lauren  111
#[Out]# 13     Elin  122
#[Out]# 14    Sofie  124
#[Out]# 15    Esmee  129
#[Out]# 16     Anne  152
#[Out]# 17     Lily  169
#[Out]# 18    Tessa  171
#[Out]# 19     Lana  172
#[Out]# 20      Sam  175
#[Out]# 21    Amira  176
#[Out]# 22    Eline  177
#[Out]# 23     Liva  181
#[Out]# 24   Kostas  190
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought onions on which date
test2 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions')
'''
# Everyone who bought coffee on which dates
test3 = '''
    SELECT c.cID, date
    FROM customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Coffee')
'''
# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(correctSolutionUsingTestQuery, conn)
#[Out]#     cID    cName
#[Out]# 0    16   Julian
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    42     Tijn
#[Out]# 5    52   Willem
#[Out]# 6    59     Joep
#[Out]# 7    85   Pieter
#[Out]# 8    86     Stef
#[Out]# 9    92    Jelte
#[Out]# 10   97   Sophie
#[Out]# 11  110     Saar
#[Out]# 12  111   Lauren
#[Out]# 13  122     Elin
#[Out]# 14  124    Sofie
#[Out]# 15  129    Esmee
#[Out]# 16  152     Anne
#[Out]# 17  169     Lily
#[Out]# 18  171    Tessa
#[Out]# 19  172     Lana
#[Out]# 20  175      Sam
#[Out]# 21  176    Amira
#[Out]# 22  177    Eline
#[Out]# 23  181     Liva
#[Out]# 24  190   Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(correctSolutionUsingTestQuery, conn)
#[Out]#     cID    cName
#[Out]# 0    16   Julian
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    42     Tijn
#[Out]# 5    52   Willem
#[Out]# 6    59     Joep
#[Out]# 7    85   Pieter
#[Out]# 8    86     Stef
#[Out]# 9    92    Jelte
#[Out]# 10   97   Sophie
#[Out]# 11  110     Saar
#[Out]# 12  111   Lauren
#[Out]# 13  122     Elin
#[Out]# 14  124    Sofie
#[Out]# 15  129    Esmee
#[Out]# 16  152     Anne
#[Out]# 17  169     Lily
#[Out]# 18  171    Tessa
#[Out]# 19  172     Lana
#[Out]# 20  175      Sam
#[Out]# 21  176    Amira
#[Out]# 22  177    Eline
#[Out]# 23  181     Liva
#[Out]# 24  190   Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT
        *
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(correctSolutionUsingTestQuery, conn)
#[Out]#     cID    cName
#[Out]# 0    16   Julian
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    42     Tijn
#[Out]# 5    52   Willem
#[Out]# 6    59     Joep
#[Out]# 7    85   Pieter
#[Out]# 8    86     Stef
#[Out]# 9    92    Jelte
#[Out]# 10   97   Sophie
#[Out]# 11  110     Saar
#[Out]# 12  111   Lauren
#[Out]# 13  122     Elin
#[Out]# 14  124    Sofie
#[Out]# 15  129    Esmee
#[Out]# 16  152     Anne
#[Out]# 17  169     Lily
#[Out]# 18  171    Tessa
#[Out]# 19  172     Lana
#[Out]# 20  175      Sam
#[Out]# 21  176    Amira
#[Out]# 22  177    Eline
#[Out]# 23  181     Liva
#[Out]# 24  190   Kostas
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT
        *
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT
        *
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 1   108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 2   169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 3     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 7    86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 8   110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 11  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 12  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 13  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 14  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 15  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 18  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 19  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 20  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 21  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 22   16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 23   29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 24  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 25   52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 26   59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 27   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 28   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 29  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 30  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 31  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 32  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 35   31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 36  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 37  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-15         6   2.20   21  Coffee         
#[Out]# 1   2018-08-15         6   1.70   21  Coffee         
#[Out]# 2   2018-08-16         2   1.90   21  Coffee         
#[Out]# 3   2018-08-17         6   1.10    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-18         1   0.85    4  Onions         
#[Out]# 7   2018-08-18         2   2.30   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-20         1   1.85   21  Coffee         
#[Out]# 11  2018-08-20         3   1.10    4  Onions         
#[Out]# 12  2018-08-20         2   2.35   21  Coffee         
#[Out]# 13  2018-08-20         2   2.25   21  Coffee         
#[Out]# 14  2018-08-20         2   3.10   21  Coffee         
#[Out]# 15  2018-08-21         5   1.05    4  Onions         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-22         7   0.90    4  Onions         
#[Out]# 18  2018-08-22         6   1.10    4  Onions         
#[Out]# 19  2018-08-22         7   0.60   21  Coffee         
#[Out]# 20  2018-08-22         6   4.05   21  Coffee         
#[Out]# 21  2018-08-23         8   0.95    4  Onions         
#[Out]# 22  2018-08-24         3   2.35   21  Coffee         
#[Out]# 23  2018-08-24         3   0.95    4  Onions         
#[Out]# 24  2018-08-24         7   1.10    4  Onions         
#[Out]# 25  2018-08-25         3   0.90    4  Onions         
#[Out]# 26  2018-08-25         5   1.05    4  Onions         
#[Out]# 27  2018-08-25         6   2.05   21  Coffee         
#[Out]# 28  2018-08-25         8   2.20   21  Coffee         
#[Out]# 29  2018-08-25         6   1.70   21  Coffee         
#[Out]# 30  2018-08-26         4   1.10    4  Onions         
#[Out]# 31  2018-08-26         6   2.15   21  Coffee         
#[Out]# 32  2018-08-26         8   2.15   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-26         1   2.40    4  Onions         
#[Out]# 35  2018-08-27         9   0.90    4  Onions         
#[Out]# 36  2018-08-27         4   0.90    4  Onions         
#[Out]# 37  2018-08-27         5   2.00   21  Coffee         
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT
        DISTINCT c.cID, c.cName
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName
#[Out]# 0   108     Noor
#[Out]# 1   169     Lily
#[Out]# 2     2    Lucas
#[Out]# 3    33     Sven
#[Out]# 4    42     Tijn
#[Out]# 5    85   Pieter
#[Out]# 6    86     Stef
#[Out]# 7   110     Saar
#[Out]# 8    82    Dylan
#[Out]# 9   152     Anne
#[Out]# 10  171    Tessa
#[Out]# 11  175      Sam
#[Out]# 12  162    Elena
#[Out]# 13  111   Lauren
#[Out]# 14  176    Amira
#[Out]# 15  177    Eline
#[Out]# 16  165    Hanna
#[Out]# 17   16   Julian
#[Out]# 18   29    Ruben
#[Out]# 19  129    Esmee
#[Out]# 20   52   Willem
#[Out]# 21   59     Joep
#[Out]# 22   92    Jelte
#[Out]# 23   97   Sophie
#[Out]# 24  122     Elin
#[Out]# 25  124    Sofie
#[Out]# 26  190   Kostas
#[Out]# 27   31  Olivier
#[Out]# 28  172     Lana
#[Out]# 29  181     Liva
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT DISTINCT
        c.cID,
        c.cName, 
        date
        pName
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName       pName
#[Out]# 0    59     Joep  2018-08-15
#[Out]# 1   108     Noor  2018-08-15
#[Out]# 2   169     Lily  2018-08-16
#[Out]# 3     2    Lucas  2018-08-17
#[Out]# 4    33     Sven  2018-08-18
#[Out]# 5    42     Tijn  2018-08-18
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7    86     Stef  2018-08-18
#[Out]# 8   110     Saar  2018-08-18
#[Out]# 9    82    Dylan  2018-08-19
#[Out]# 10  152     Anne  2018-08-20
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  171    Tessa  2018-08-20
#[Out]# 13  175      Sam  2018-08-20
#[Out]# 14  190   Kostas  2018-08-20
#[Out]# 15  162    Elena  2018-08-21
#[Out]# 16  111   Lauren  2018-08-22
#[Out]# 17  176    Amira  2018-08-22
#[Out]# 18  177    Eline  2018-08-22
#[Out]# 19  190   Kostas  2018-08-22
#[Out]# 20  165    Hanna  2018-08-23
#[Out]# 21   16   Julian  2018-08-24
#[Out]# 22   29    Ruben  2018-08-24
#[Out]# 23  129    Esmee  2018-08-24
#[Out]# 24   52   Willem  2018-08-25
#[Out]# 25   59     Joep  2018-08-25
#[Out]# 26   92    Jelte  2018-08-25
#[Out]# 27   97   Sophie  2018-08-25
#[Out]# 28  122     Elin  2018-08-25
#[Out]# 29  124    Sofie  2018-08-26
#[Out]# 30  176    Amira  2018-08-26
#[Out]# 31  190   Kostas  2018-08-26
#[Out]# 32   31  Olivier  2018-08-27
#[Out]# 33  172     Lana  2018-08-27
#[Out]# 34  181     Liva  2018-08-27
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT DISTINCT
        c.cID,
        c.cName, 
        date,
        pName
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName        date   pName
#[Out]# 0    59     Joep  2018-08-15  Coffee
#[Out]# 1   108     Noor  2018-08-15  Coffee
#[Out]# 2   169     Lily  2018-08-16  Coffee
#[Out]# 3     2    Lucas  2018-08-17  Onions
#[Out]# 4    33     Sven  2018-08-18  Onions
#[Out]# 5    42     Tijn  2018-08-18  Coffee
#[Out]# 6    85   Pieter  2018-08-18  Onions
#[Out]# 7    86     Stef  2018-08-18  Coffee
#[Out]# 8   110     Saar  2018-08-18  Coffee
#[Out]# 9    82    Dylan  2018-08-19  Coffee
#[Out]# 10  152     Anne  2018-08-20  Coffee
#[Out]# 11  169     Lily  2018-08-20  Onions
#[Out]# 12  171    Tessa  2018-08-20  Coffee
#[Out]# 13  175      Sam  2018-08-20  Coffee
#[Out]# 14  190   Kostas  2018-08-20  Coffee
#[Out]# 15  162    Elena  2018-08-21  Onions
#[Out]# 16  111   Lauren  2018-08-22  Coffee
#[Out]# 17  176    Amira  2018-08-22  Onions
#[Out]# 18  177    Eline  2018-08-22  Onions
#[Out]# 19  190   Kostas  2018-08-22  Coffee
#[Out]# 20  165    Hanna  2018-08-23  Onions
#[Out]# 21   16   Julian  2018-08-24  Coffee
#[Out]# 22   29    Ruben  2018-08-24  Onions
#[Out]# 23  129    Esmee  2018-08-24  Onions
#[Out]# 24   52   Willem  2018-08-25  Onions
#[Out]# 25   59     Joep  2018-08-25  Onions
#[Out]# 26   92    Jelte  2018-08-25  Coffee
#[Out]# 27   97   Sophie  2018-08-25  Coffee
#[Out]# 28  122     Elin  2018-08-25  Coffee
#[Out]# 29  124    Sofie  2018-08-26  Onions
#[Out]# 30  124    Sofie  2018-08-26  Coffee
#[Out]# 31  176    Amira  2018-08-26  Coffee
#[Out]# 32  190   Kostas  2018-08-26  Coffee
#[Out]# 33  190   Kostas  2018-08-26  Onions
#[Out]# 34   31  Olivier  2018-08-27  Onions
#[Out]# 35  172     Lana  2018-08-27  Onions
#[Out]# 36  181     Liva  2018-08-27  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT DISTINCT
        c.cID,
        c.cName, 
        date,
        pName
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Note that pID = 4 means that someone bought onions
# Note that pID = 21 means that someone bought coffee

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
    WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
    SELECT DISTINCT
        c.cID,
        c.cName, 
        date,
        pName
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    WHERE prod.pName IN ('Onions', 'Coffee')
    ORDER BY c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName        date   pName
#[Out]# 0     2    Lucas  2018-08-17  Onions
#[Out]# 1    16   Julian  2018-08-24  Coffee
#[Out]# 2    29    Ruben  2018-08-24  Onions
#[Out]# 3    31  Olivier  2018-08-27  Onions
#[Out]# 4    33     Sven  2018-08-18  Onions
#[Out]# 5    42     Tijn  2018-08-18  Coffee
#[Out]# 6    52   Willem  2018-08-25  Onions
#[Out]# 7    59     Joep  2018-08-25  Onions
#[Out]# 8    59     Joep  2018-08-15  Coffee
#[Out]# 9    82    Dylan  2018-08-19  Coffee
#[Out]# 10   85   Pieter  2018-08-18  Onions
#[Out]# 11   86     Stef  2018-08-18  Coffee
#[Out]# 12   92    Jelte  2018-08-25  Coffee
#[Out]# 13   97   Sophie  2018-08-25  Coffee
#[Out]# 14  108     Noor  2018-08-15  Coffee
#[Out]# 15  110     Saar  2018-08-18  Coffee
#[Out]# 16  111   Lauren  2018-08-22  Coffee
#[Out]# 17  122     Elin  2018-08-25  Coffee
#[Out]# 18  124    Sofie  2018-08-26  Onions
#[Out]# 19  124    Sofie  2018-08-26  Coffee
#[Out]# 20  129    Esmee  2018-08-24  Onions
#[Out]# 21  152     Anne  2018-08-20  Coffee
#[Out]# 22  162    Elena  2018-08-21  Onions
#[Out]# 23  165    Hanna  2018-08-23  Onions
#[Out]# 24  169     Lily  2018-08-16  Coffee
#[Out]# 25  169     Lily  2018-08-20  Onions
#[Out]# 26  171    Tessa  2018-08-20  Coffee
#[Out]# 27  172     Lana  2018-08-27  Onions
#[Out]# 28  175      Sam  2018-08-20  Coffee
#[Out]# 29  176    Amira  2018-08-22  Onions
#[Out]# 30  176    Amira  2018-08-26  Coffee
#[Out]# 31  177    Eline  2018-08-22  Onions
#[Out]# 32  181     Liva  2018-08-27  Coffee
#[Out]# 33  190   Kostas  2018-08-26  Coffee
#[Out]# 34  190   Kostas  2018-08-20  Coffee
#[Out]# 35  190   Kostas  2018-08-26  Onions
#[Out]# 36  190   Kostas  2018-08-22  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName
FROM
    customer c
WHERE c.cID IN
    (
    SELECT DISTINCT
        c.cID,
    FROM
        customer c
    INNER JOIN
        purchase p ON p.cID == c.cID
    INNER JOIN
        product prod ON p.pID == prod.pID
    CASE prod.pName
        WHEN 'Onions' THEN 
            date IN (SELECT date FROM purchase)
        WHEN 'Coffee' THEN 
            date IN (SELECT date FROM purchase)
    END
    )
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName
FROM
    customer c
INNER JOIN
    purchase p ON p.cID == c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 493  190  Kostas
#[Out]# 494  190  Kostas
#[Out]# 495  190  Kostas
#[Out]# 496  190  Kostas
#[Out]# 497  190  Kostas
#[Out]# 498  190  Kostas
#[Out]# 499  190  Kostas
#[Out]# 500  190  Kostas
#[Out]# 501  190  Kostas
#[Out]# 502  190  Kostas
#[Out]# 503  190  Kostas
#[Out]# 504  190  Kostas
#[Out]# 505  190  Kostas
#[Out]# 506  190  Kostas
#[Out]# 507  190  Kostas
#[Out]# 508  190  Kostas
#[Out]# 
#[Out]# [509 rows x 2 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c
INNER JOIN
    purchase p ON p.cID == c.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           2   4.65  
#[Out]# 2           3   1.60  
#[Out]# 3           2   1.25  
#[Out]# 4           4   3.95  
#[Out]# 5           4   2.75  
#[Out]# 6           8   0.90  
#[Out]# 7           6   9.10  
#[Out]# 8           1   2.45  
#[Out]# 9           7   1.35  
#[Out]# 10          6   1.10  
#[Out]# 11          4   3.70  
#[Out]# 12          1   1.55  
#[Out]# 13          2   4.30  
#[Out]# 14          2   2.75  
#[Out]# 15          6   1.45  
#[Out]# 16          2   4.15  
#[Out]# 17          9   9.05  
#[Out]# 18          5  13.60  
#[Out]# 19          2   1.05  
#[Out]# 20          9   3.05  
#[Out]# 21          4   2.75  
#[Out]# 22          6   4.70  
#[Out]# 23          6   8.25  
#[Out]# 24          9   1.10  
#[Out]# 25          2   1.55  
#[Out]# 26          2   1.85  
#[Out]# 27          1   2.20  
#[Out]# 28          2   2.10  
#[Out]# 29          6   1.70  
#[Out]# ..        ...    ...  
#[Out]# 479         4   2.80  
#[Out]# 480         5   0.50  
#[Out]# 481         3   2.55  
#[Out]# 482         4   0.65  
#[Out]# 483         4   0.70  
#[Out]# 484         4   3.70  
#[Out]# 485         2   3.50  
#[Out]# 486         5   2.95  
#[Out]# 487         5   2.75  
#[Out]# 488         7   1.50  
#[Out]# 489         5   0.85  
#[Out]# 490         2   3.55  
#[Out]# 491         4   2.60  
#[Out]# 492         4   3.25  
#[Out]# 493         6   4.30  
#[Out]# 494         3   3.05  
#[Out]# 495         6   4.05  
#[Out]# 496         1   1.50  
#[Out]# 497         5   2.50  
#[Out]# 498         4   3.95  
#[Out]# 499         6   3.50  
#[Out]# 500         7   2.95  
#[Out]# 501         4   1.60  
#[Out]# 502         5   3.25  
#[Out]# 503         7   0.75  
#[Out]# 504         2   3.80  
#[Out]# 505         6   4.35  
#[Out]# 506         5   2.85  
#[Out]# 507         2   3.15  
#[Out]# 508         1   3.30  
#[Out]# 
#[Out]# [509 rows x 11 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c, purchase p
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#        cID   cName     street     city  tID  cID  sID  pID        date  \
#[Out]# 0        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1        0    Noah  Koestraat  Utrecht    1    1   23   14  2018-08-20   
#[Out]# 2        0    Noah  Koestraat  Utrecht    2    1    3   16  2018-08-20   
#[Out]# 3        0    Noah  Koestraat  Utrecht    3    1   17    9  2018-08-20   
#[Out]# 4        0    Noah  Koestraat  Utrecht    4    1   32   25  2018-08-20   
#[Out]# 5        0    Noah  Koestraat  Utrecht    5    1   16   26  2018-08-20   
#[Out]# 6        0    Noah  Koestraat  Utrecht    6    1   46   11  2018-08-21   
#[Out]# 7        0    Noah  Koestraat  Utrecht    7    1   36   27  2018-08-21   
#[Out]# 8        0    Noah  Koestraat  Utrecht    8    2   12   20  2018-08-16   
#[Out]# 9        0    Noah  Koestraat  Utrecht    9    2   39    9  2018-08-17   
#[Out]# 10       0    Noah  Koestraat  Utrecht   10    2   13    4  2018-08-17   
#[Out]# 11       0    Noah  Koestraat  Utrecht   11    2   51   13  2018-08-17   
#[Out]# 12       0    Noah  Koestraat  Utrecht   12    2   47   22  2018-08-17   
#[Out]# 13       0    Noah  Koestraat  Utrecht   13    3   44   14  2018-08-18   
#[Out]# 14       0    Noah  Koestraat  Utrecht   14    3   30   26  2018-08-19   
#[Out]# 15       0    Noah  Koestraat  Utrecht   15    3   29    9  2018-08-19   
#[Out]# 16       0    Noah  Koestraat  Utrecht   16    4   17    8  2018-08-24   
#[Out]# 17       0    Noah  Koestraat  Utrecht   17    4   10   27  2018-08-24   
#[Out]# 18       0    Noah  Koestraat  Utrecht   18    4   53   12  2018-08-25   
#[Out]# 19       0    Noah  Koestraat  Utrecht   19    4   21    6  2018-08-24   
#[Out]# 20       0    Noah  Koestraat  Utrecht   20    4    7   13  2018-08-25   
#[Out]# 21       0    Noah  Koestraat  Utrecht   21    4   44   26  2018-08-25   
#[Out]# 22       0    Noah  Koestraat  Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23       0    Noah  Koestraat  Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24       0    Noah  Koestraat  Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25       0    Noah  Koestraat  Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26       0    Noah  Koestraat  Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27       0    Noah  Koestraat  Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28       0    Noah  Koestraat  Utrecht   28    7    3   19  2018-08-23   
#[Out]# 29       0    Noah  Koestraat  Utrecht   29    7   12    2  2018-08-23   
#[Out]# ...    ...     ...        ...      ...  ...  ...  ...  ...         ...   
#[Out]# 96680  190  Kostas   Eindeweg  Utrecht  818  190   34   28  2018-08-20   
#[Out]# 96681  190  Kostas   Eindeweg  Utrecht  819  190   35   27  2018-08-15   
#[Out]# 96682  190  Kostas   Eindeweg  Utrecht  820  190   36    5  2018-08-23   
#[Out]# 96683  190  Kostas   Eindeweg  Utrecht  821  190   37   28  2018-08-15   
#[Out]# 96684  190  Kostas   Eindeweg  Utrecht  822  190   38    7  2018-08-24   
#[Out]# 96685  190  Kostas   Eindeweg  Utrecht  823  190   39    0  2018-08-25   
#[Out]# 96686  190  Kostas   Eindeweg  Utrecht  824  190   40   11  2018-08-15   
#[Out]# 96687  190  Kostas   Eindeweg  Utrecht  825  190   41    6  2018-08-15   
#[Out]# 96688  190  Kostas   Eindeweg  Utrecht  826  190   42   19  2018-08-22   
#[Out]# 96689  190  Kostas   Eindeweg  Utrecht  827  190   43   17  2018-08-17   
#[Out]# 96690  190  Kostas   Eindeweg  Utrecht  828  190   44    9  2018-08-18   
#[Out]# 96691  190  Kostas   Eindeweg  Utrecht  829  190   45   11  2018-08-19   
#[Out]# 96692  190  Kostas   Eindeweg  Utrecht  830  190   46   22  2018-08-25   
#[Out]# 96693  190  Kostas   Eindeweg  Utrecht  831  190   47   17  2018-08-17   
#[Out]# 96694  190  Kostas   Eindeweg  Utrecht  832  190   48   20  2018-08-26   
#[Out]# 96695  190  Kostas   Eindeweg  Utrecht  833  190   49   11  2018-08-17   
#[Out]# 96696  190  Kostas   Eindeweg  Utrecht  834  190   50   21  2018-08-22   
#[Out]# 96697  190  Kostas   Eindeweg  Utrecht  835  190   51   23  2018-08-19   
#[Out]# 96698  190  Kostas   Eindeweg  Utrecht  836  190   52   23  2018-08-15   
#[Out]# 96699  190  Kostas   Eindeweg  Utrecht  837  190   53    8  2018-08-18   
#[Out]# 96700  190  Kostas   Eindeweg  Utrecht  838  190   54    0  2018-08-25   
#[Out]# 96701  190  Kostas   Eindeweg  Utrecht  839  190   55    8  2018-08-18   
#[Out]# 96702  190  Kostas   Eindeweg  Utrecht  840  190   56   11  2018-08-15   
#[Out]# 96703  190  Kostas   Eindeweg  Utrecht  841  190   57   15  2018-08-22   
#[Out]# 96704  190  Kostas   Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 96705  190  Kostas   Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 96706  190  Kostas   Eindeweg  Utrecht  844  190   60    5  2018-08-27   
#[Out]# 96707  190  Kostas   Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 96708  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 96709  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#        quantity  price  
#[Out]# 0             1   0.45  
#[Out]# 1             2   4.65  
#[Out]# 2             3   1.60  
#[Out]# 3             2   1.25  
#[Out]# 4             4   3.95  
#[Out]# 5             4   2.75  
#[Out]# 6             8   0.90  
#[Out]# 7             6   9.10  
#[Out]# 8             1   2.45  
#[Out]# 9             7   1.35  
#[Out]# 10            6   1.10  
#[Out]# 11            4   3.70  
#[Out]# 12            1   1.55  
#[Out]# 13            2   4.30  
#[Out]# 14            2   2.75  
#[Out]# 15            6   1.45  
#[Out]# 16            2   4.15  
#[Out]# 17            9   9.05  
#[Out]# 18            5  13.60  
#[Out]# 19            2   1.05  
#[Out]# 20            9   3.05  
#[Out]# 21            4   2.75  
#[Out]# 22            6   4.70  
#[Out]# 23            6   8.25  
#[Out]# 24            9   1.10  
#[Out]# 25            2   1.55  
#[Out]# 26            2   1.85  
#[Out]# 27            1   2.20  
#[Out]# 28            2   2.10  
#[Out]# 29            6   1.70  
#[Out]# ...         ...    ...  
#[Out]# 96680         4   2.80  
#[Out]# 96681         5   0.50  
#[Out]# 96682         3   2.55  
#[Out]# 96683         4   0.65  
#[Out]# 96684         4   0.70  
#[Out]# 96685         4   3.70  
#[Out]# 96686         2   3.50  
#[Out]# 96687         5   2.95  
#[Out]# 96688         5   2.75  
#[Out]# 96689         7   1.50  
#[Out]# 96690         5   0.85  
#[Out]# 96691         2   3.55  
#[Out]# 96692         4   2.60  
#[Out]# 96693         4   3.25  
#[Out]# 96694         6   4.30  
#[Out]# 96695         3   3.05  
#[Out]# 96696         6   4.05  
#[Out]# 96697         1   1.50  
#[Out]# 96698         5   2.50  
#[Out]# 96699         4   3.95  
#[Out]# 96700         6   3.50  
#[Out]# 96701         7   2.95  
#[Out]# 96702         4   1.60  
#[Out]# 96703         5   3.25  
#[Out]# 96704         7   0.75  
#[Out]# 96705         2   3.80  
#[Out]# 96706         6   4.35  
#[Out]# 96707         5   2.85  
#[Out]# 96708         2   3.15  
#[Out]# 96709         1   3.30  
#[Out]# 
#[Out]# [96710 rows x 11 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c, purchase p
WHERE
    c.cID == p.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           2   4.65  
#[Out]# 2           3   1.60  
#[Out]# 3           2   1.25  
#[Out]# 4           4   3.95  
#[Out]# 5           4   2.75  
#[Out]# 6           8   0.90  
#[Out]# 7           6   9.10  
#[Out]# 8           1   2.45  
#[Out]# 9           7   1.35  
#[Out]# 10          6   1.10  
#[Out]# 11          4   3.70  
#[Out]# 12          1   1.55  
#[Out]# 13          2   4.30  
#[Out]# 14          2   2.75  
#[Out]# 15          6   1.45  
#[Out]# 16          2   4.15  
#[Out]# 17          9   9.05  
#[Out]# 18          5  13.60  
#[Out]# 19          2   1.05  
#[Out]# 20          9   3.05  
#[Out]# 21          4   2.75  
#[Out]# 22          6   4.70  
#[Out]# 23          6   8.25  
#[Out]# 24          9   1.10  
#[Out]# 25          2   1.55  
#[Out]# 26          2   1.85  
#[Out]# 27          1   2.20  
#[Out]# 28          2   2.10  
#[Out]# 29          6   1.70  
#[Out]# ..        ...    ...  
#[Out]# 479         4   2.80  
#[Out]# 480         5   0.50  
#[Out]# 481         3   2.55  
#[Out]# 482         4   0.65  
#[Out]# 483         4   0.70  
#[Out]# 484         4   3.70  
#[Out]# 485         2   3.50  
#[Out]# 486         5   2.95  
#[Out]# 487         5   2.75  
#[Out]# 488         7   1.50  
#[Out]# 489         5   0.85  
#[Out]# 490         2   3.55  
#[Out]# 491         4   2.60  
#[Out]# 492         4   3.25  
#[Out]# 493         6   4.30  
#[Out]# 494         3   3.05  
#[Out]# 495         6   4.05  
#[Out]# 496         1   1.50  
#[Out]# 497         5   2.50  
#[Out]# 498         4   3.95  
#[Out]# 499         6   3.50  
#[Out]# 500         7   2.95  
#[Out]# 501         4   1.60  
#[Out]# 502         5   3.25  
#[Out]# 503         7   0.75  
#[Out]# 504         2   3.80  
#[Out]# 505         6   4.35  
#[Out]# 506         5   2.85  
#[Out]# 507         2   3.15  
#[Out]# 508         1   3.30  
#[Out]# 
#[Out]# [509 rows x 11 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c, purchase p1, purchase p2
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#       cID   cName            street     city  tID  cID  sID  pID        date  \
#[Out]# 0       0    Noah         Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 2       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 3       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 4       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 5       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 6       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 7       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 8       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 9       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 10      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 11      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 12      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 13      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 14      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 15      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 16      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 17      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 18      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 19      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 20      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 21      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 22      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 23      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 24      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 25      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 26      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 27      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 28      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 29      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# ...   ...     ...               ...      ...  ...  ...  ...  ...         ...   
#[Out]# 6427  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6428  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6429  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6430  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6431  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6432  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6433  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6434  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6435  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6436  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6437  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6438  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6439  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6440  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6441  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6442  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6443  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6444  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6445  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6446  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6447  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6448  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6449  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6450  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6451  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6452  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6453  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6454  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6455  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 6456  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#       quantity  price  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0            1   0.45    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 1            2   4.65    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 2            2   4.65    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 3            2   4.65    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 4            2   4.65    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 5            2   4.65    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 6            2   4.65    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 7            2   4.65    7    1   36   27  2018-08-21         6   9.10  
#[Out]# 8            3   1.60    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 9            3   1.60    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 10           3   1.60    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 11           3   1.60    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 12           3   1.60    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 13           3   1.60    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 14           3   1.60    7    1   36   27  2018-08-21         6   9.10  
#[Out]# 15           2   1.25    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 16           2   1.25    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 17           2   1.25    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 18           2   1.25    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 19           2   1.25    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 20           2   1.25    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 21           2   1.25    7    1   36   27  2018-08-21         6   9.10  
#[Out]# 22           4   3.95    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 23           4   3.95    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 24           4   3.95    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 25           4   3.95    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 26           4   3.95    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 27           4   3.95    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 28           4   3.95    7    1   36   27  2018-08-21         6   9.10  
#[Out]# 29           4   2.75    1    1   23   14  2018-08-20         2   4.65  
#[Out]# ...        ...    ...  ...  ...  ...  ...         ...       ...    ...  
#[Out]# 6427         1   3.30  818  190   34   28  2018-08-20         4   2.80  
#[Out]# 6428         1   3.30  819  190   35   27  2018-08-15         5   0.50  
#[Out]# 6429         1   3.30  820  190   36    5  2018-08-23         3   2.55  
#[Out]# 6430         1   3.30  821  190   37   28  2018-08-15         4   0.65  
#[Out]# 6431         1   3.30  822  190   38    7  2018-08-24         4   0.70  
#[Out]# 6432         1   3.30  823  190   39    0  2018-08-25         4   3.70  
#[Out]# 6433         1   3.30  824  190   40   11  2018-08-15         2   3.50  
#[Out]# 6434         1   3.30  825  190   41    6  2018-08-15         5   2.95  
#[Out]# 6435         1   3.30  826  190   42   19  2018-08-22         5   2.75  
#[Out]# 6436         1   3.30  827  190   43   17  2018-08-17         7   1.50  
#[Out]# 6437         1   3.30  828  190   44    9  2018-08-18         5   0.85  
#[Out]# 6438         1   3.30  829  190   45   11  2018-08-19         2   3.55  
#[Out]# 6439         1   3.30  830  190   46   22  2018-08-25         4   2.60  
#[Out]# 6440         1   3.30  831  190   47   17  2018-08-17         4   3.25  
#[Out]# 6441         1   3.30  832  190   48   20  2018-08-26         6   4.30  
#[Out]# 6442         1   3.30  833  190   49   11  2018-08-17         3   3.05  
#[Out]# 6443         1   3.30  834  190   50   21  2018-08-22         6   4.05  
#[Out]# 6444         1   3.30  835  190   51   23  2018-08-19         1   1.50  
#[Out]# 6445         1   3.30  836  190   52   23  2018-08-15         5   2.50  
#[Out]# 6446         1   3.30  837  190   53    8  2018-08-18         4   3.95  
#[Out]# 6447         1   3.30  838  190   54    0  2018-08-25         6   3.50  
#[Out]# 6448         1   3.30  839  190   55    8  2018-08-18         7   2.95  
#[Out]# 6449         1   3.30  840  190   56   11  2018-08-15         4   1.60  
#[Out]# 6450         1   3.30  841  190   57   15  2018-08-22         5   3.25  
#[Out]# 6451         1   3.30  842  190   58    2  2018-08-19         7   0.75  
#[Out]# 6452         1   3.30  843  190   59   17  2018-08-26         2   3.80  
#[Out]# 6453         1   3.30  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 6454         1   3.30  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 6455         1   3.30  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 6456         1   3.30  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [6457 rows x 18 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c, purchase p1, purchase p2
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#       cID   cName            street     city  tID  cID  sID  pID        date  \
#[Out]# 0       0    Noah         Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 2       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 3       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 4       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 5       1     Sem  Rozemarijnstraat    Breda    1    1   23   14  2018-08-20   
#[Out]# 6       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 7       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 8       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 9       1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 10      1     Sem  Rozemarijnstraat    Breda    2    1    3   16  2018-08-20   
#[Out]# 11      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 12      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 13      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 14      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 15      1     Sem  Rozemarijnstraat    Breda    3    1   17    9  2018-08-20   
#[Out]# 16      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 17      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 18      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 19      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 20      1     Sem  Rozemarijnstraat    Breda    4    1   32   25  2018-08-20   
#[Out]# 21      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# 22      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# 23      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# 24      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# 25      1     Sem  Rozemarijnstraat    Breda    5    1   16   26  2018-08-20   
#[Out]# 26      1     Sem  Rozemarijnstraat    Breda    6    1   46   11  2018-08-21   
#[Out]# 27      1     Sem  Rozemarijnstraat    Breda    6    1   46   11  2018-08-21   
#[Out]# 28      1     Sem  Rozemarijnstraat    Breda    7    1   36   27  2018-08-21   
#[Out]# 29      1     Sem  Rozemarijnstraat    Breda    7    1   36   27  2018-08-21   
#[Out]# ...   ...     ...               ...      ...  ...  ...  ...  ...         ...   
#[Out]# 1413  190  Kostas          Eindeweg  Utrecht  841  190   57   15  2018-08-22   
#[Out]# 1414  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1415  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1416  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1417  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1418  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1419  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1420  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1421  190  Kostas          Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 1422  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1423  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1424  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1425  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1426  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1427  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1428  190  Kostas          Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 1429  190  Kostas          Eindeweg  Utrecht  844  190   60    5  2018-08-27   
#[Out]# 1430  190  Kostas          Eindeweg  Utrecht  844  190   60    5  2018-08-27   
#[Out]# 1431  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1432  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1433  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1434  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1435  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1436  190  Kostas          Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 1437  190  Kostas          Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 1438  190  Kostas          Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 1439  190  Kostas          Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 1440  190  Kostas          Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 1441  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 1442  190  Kostas          Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#       quantity  price  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0            1   0.45    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 1            2   4.65    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 2            2   4.65    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 3            2   4.65    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 4            2   4.65    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 5            2   4.65    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 6            3   1.60    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 7            3   1.60    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 8            3   1.60    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 9            3   1.60    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 10           3   1.60    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 11           2   1.25    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 12           2   1.25    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 13           2   1.25    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 14           2   1.25    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 15           2   1.25    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 16           4   3.95    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 17           4   3.95    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 18           4   3.95    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 19           4   3.95    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 20           4   3.95    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 21           4   2.75    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 22           4   2.75    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 23           4   2.75    3    1   17    9  2018-08-20         2   1.25  
#[Out]# 24           4   2.75    4    1   32   25  2018-08-20         4   3.95  
#[Out]# 25           4   2.75    5    1   16   26  2018-08-20         4   2.75  
#[Out]# 26           8   0.90    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 27           8   0.90    7    1   36   27  2018-08-21         6   9.10  
#[Out]# 28           6   9.10    6    1   46   11  2018-08-21         8   0.90  
#[Out]# 29           6   9.10    7    1   36   27  2018-08-21         6   9.10  
#[Out]# ...        ...    ...  ...  ...  ...  ...         ...       ...    ...  
#[Out]# 1413         5   3.25  841  190   57   15  2018-08-22         5   3.25  
#[Out]# 1414         7   0.75  784  190    0   27  2018-08-19         5   4.45  
#[Out]# 1415         7   0.75  786  190    2   19  2018-08-19         4   1.40  
#[Out]# 1416         7   0.75  806  190   22   25  2018-08-19         7   3.20  
#[Out]# 1417         7   0.75  815  190   31   17  2018-08-19         7   1.20  
#[Out]# 1418         7   0.75  817  190   33   19  2018-08-19         5   4.25  
#[Out]# 1419         7   0.75  829  190   45   11  2018-08-19         2   3.55  
#[Out]# 1420         7   0.75  835  190   51   23  2018-08-19         1   1.50  
#[Out]# 1421         7   0.75  842  190   58    2  2018-08-19         7   0.75  
#[Out]# 1422         2   3.80  788  190    4    7  2018-08-26         7   1.30  
#[Out]# 1423         2   3.80  793  190    9   21  2018-08-26         5   4.25  
#[Out]# 1424         2   3.80  797  190   13    0  2018-08-26         4   2.00  
#[Out]# 1425         2   3.80  800  190   16    4  2018-08-26         1   2.40  
#[Out]# 1426         2   3.80  816  190   32    0  2018-08-26         4   3.85  
#[Out]# 1427         2   3.80  832  190   48   20  2018-08-26         6   4.30  
#[Out]# 1428         2   3.80  843  190   59   17  2018-08-26         2   3.80  
#[Out]# 1429         6   4.35  813  190   29   17  2018-08-27         5   1.20  
#[Out]# 1430         6   4.35  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 1431         5   2.85  787  190    3   28  2018-08-23         5   0.50  
#[Out]# 1432         5   2.85  789  190    5    2  2018-08-23         7   2.00  
#[Out]# 1433         5   2.85  801  190   17   10  2018-08-23         6   0.95  
#[Out]# 1434         5   2.85  812  190   28   19  2018-08-23         5   1.75  
#[Out]# 1435         5   2.85  820  190   36    5  2018-08-23         3   2.55  
#[Out]# 1436         5   2.85  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 1437         2   3.15  792  190    8   20  2018-08-16         7   3.25  
#[Out]# 1438         2   3.15  805  190   21   17  2018-08-16         6   3.15  
#[Out]# 1439         2   3.15  808  190   24   26  2018-08-16         5   3.25  
#[Out]# 1440         2   3.15  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 1441         1   3.30  802  190   18   27  2018-08-21         4   0.55  
#[Out]# 1442         1   3.30  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [1443 rows x 18 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#       cID   cName  cID  cID  pID  pID
#[Out]# 0       0    Noah    0    0   10   10
#[Out]# 1       1     Sem    1    1   14    9
#[Out]# 2       1     Sem    1    1   14   14
#[Out]# 3       1     Sem    1    1   14   16
#[Out]# 4       1     Sem    1    1   14   25
#[Out]# 5       1     Sem    1    1   14   26
#[Out]# 6       1     Sem    1    1   16    9
#[Out]# 7       1     Sem    1    1   16   14
#[Out]# 8       1     Sem    1    1   16   16
#[Out]# 9       1     Sem    1    1   16   25
#[Out]# 10      1     Sem    1    1   16   26
#[Out]# 11      1     Sem    1    1    9    9
#[Out]# 12      1     Sem    1    1    9   14
#[Out]# 13      1     Sem    1    1    9   16
#[Out]# 14      1     Sem    1    1    9   25
#[Out]# 15      1     Sem    1    1    9   26
#[Out]# 16      1     Sem    1    1   25    9
#[Out]# 17      1     Sem    1    1   25   14
#[Out]# 18      1     Sem    1    1   25   16
#[Out]# 19      1     Sem    1    1   25   25
#[Out]# 20      1     Sem    1    1   25   26
#[Out]# 21      1     Sem    1    1   26    9
#[Out]# 22      1     Sem    1    1   26   14
#[Out]# 23      1     Sem    1    1   26   16
#[Out]# 24      1     Sem    1    1   26   25
#[Out]# 25      1     Sem    1    1   26   26
#[Out]# 26      1     Sem    1    1   11   11
#[Out]# 27      1     Sem    1    1   11   27
#[Out]# 28      1     Sem    1    1   27   11
#[Out]# 29      1     Sem    1    1   27   27
#[Out]# ...   ...     ...  ...  ...  ...  ...
#[Out]# 1413  190  Kostas  190  190   15   21
#[Out]# 1414  190  Kostas  190  190    2    2
#[Out]# 1415  190  Kostas  190  190    2   11
#[Out]# 1416  190  Kostas  190  190    2   17
#[Out]# 1417  190  Kostas  190  190    2   19
#[Out]# 1418  190  Kostas  190  190    2   19
#[Out]# 1419  190  Kostas  190  190    2   23
#[Out]# 1420  190  Kostas  190  190    2   25
#[Out]# 1421  190  Kostas  190  190    2   27
#[Out]# 1422  190  Kostas  190  190   17    0
#[Out]# 1423  190  Kostas  190  190   17    0
#[Out]# 1424  190  Kostas  190  190   17    4
#[Out]# 1425  190  Kostas  190  190   17    7
#[Out]# 1426  190  Kostas  190  190   17   17
#[Out]# 1427  190  Kostas  190  190   17   20
#[Out]# 1428  190  Kostas  190  190   17   21
#[Out]# 1429  190  Kostas  190  190    5    5
#[Out]# 1430  190  Kostas  190  190    5   17
#[Out]# 1431  190  Kostas  190  190   19    2
#[Out]# 1432  190  Kostas  190  190   19    5
#[Out]# 1433  190  Kostas  190  190   19   10
#[Out]# 1434  190  Kostas  190  190   19   19
#[Out]# 1435  190  Kostas  190  190   19   19
#[Out]# 1436  190  Kostas  190  190   19   28
#[Out]# 1437  190  Kostas  190  190    9    9
#[Out]# 1438  190  Kostas  190  190    9   17
#[Out]# 1439  190  Kostas  190  190    9   20
#[Out]# 1440  190  Kostas  190  190    9   26
#[Out]# 1441  190  Kostas  190  190   18   18
#[Out]# 1442  190  Kostas  190  190   18   27
#[Out]# 
#[Out]# [1443 rows x 6 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, p1.pID, p2.pID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID   cName  cID  cID  pID  pID             pName
#[Out]# 0      0    Noah    0    0   10   10             Water
#[Out]# 1      1     Sem    1    1   14   14            Apples
#[Out]# 2      1     Sem    1    1   16   16              Rice
#[Out]# 3      1     Sem    1    1    9    9           Bananas
#[Out]# 4      1     Sem    1    1   25   25            Donuts
#[Out]# 5      1     Sem    1    1   26   26             Pasta
#[Out]# 6      1     Sem    1    1   11   11              Milk
#[Out]# 7      1     Sem    1    1   27   27             Pizza
#[Out]# 8      2   Lucas    2    2   20   20             Fanta
#[Out]# 9      2   Lucas    2    2    9    9           Bananas
#[Out]# 10     2   Lucas    2    2    4    4            Onions
#[Out]# 11     2   Lucas    2    2   13   13              Eggs
#[Out]# 12     2   Lucas    2    2   22   22               Tea
#[Out]# 13     3    Finn    3    3   14   14            Apples
#[Out]# 14     3    Finn    3    3   26   26             Pasta
#[Out]# 15     3    Finn    3    3    9    9           Bananas
#[Out]# 16     4    Daan    4    4    8    8  Hot Dog Sausages
#[Out]# 17     4    Daan    4    4   27   27             Pizza
#[Out]# 18     4    Daan    4    4   12   12              Beef
#[Out]# 19     4    Daan    4    4    6    6           Carrots
#[Out]# 20     4    Daan    4    4   13   13              Eggs
#[Out]# 21     4    Daan    4    4   26   26             Pasta
#[Out]# 22     5    Levi    5    5   14   14            Apples
#[Out]# 23     5    Levi    5    5   28   28           Lasanga
#[Out]# 24     5    Levi    5    5    6    6           Carrots
#[Out]# 25     5    Levi    5    5   22   22               Tea
#[Out]# 26     5    Levi    5    5   16   16              Rice
#[Out]# 27     5    Levi    5    5   19   19              Coca
#[Out]# 28     7    Bram    7    7   19   19              Coca
#[Out]# 29     7    Bram    7    7    2    2          Potatoes
#[Out]# ..   ...     ...  ...  ...  ...  ...               ...
#[Out]# 499  190  Kostas  190  190   17   17             Bread
#[Out]# 500  190  Kostas  190  190   17   17             Bread
#[Out]# 501  190  Kostas  190  190    9    9           Bananas
#[Out]# 502  190  Kostas  190  190   11   11              Milk
#[Out]# 503  190  Kostas  190  190   22   22               Tea
#[Out]# 504  190  Kostas  190  190   17   17             Bread
#[Out]# 505  190  Kostas  190  190   17   17             Bread
#[Out]# 506  190  Kostas  190  190   20   20             Fanta
#[Out]# 507  190  Kostas  190  190   11   11              Milk
#[Out]# 508  190  Kostas  190  190   21   21            Coffee
#[Out]# 509  190  Kostas  190  190   21   21            Coffee
#[Out]# 510  190  Kostas  190  190   23   23   Spiced Biscuits
#[Out]# 511  190  Kostas  190  190   23   23   Spiced Biscuits
#[Out]# 512  190  Kostas  190  190   23   23   Spiced Biscuits
#[Out]# 513  190  Kostas  190  190    8    8  Hot Dog Sausages
#[Out]# 514  190  Kostas  190  190    8    8  Hot Dog Sausages
#[Out]# 515  190  Kostas  190  190    0    0       Cashew Nuts
#[Out]# 516  190  Kostas  190  190    0    0       Cashew Nuts
#[Out]# 517  190  Kostas  190  190    8    8  Hot Dog Sausages
#[Out]# 518  190  Kostas  190  190    8    8  Hot Dog Sausages
#[Out]# 519  190  Kostas  190  190   11   11              Milk
#[Out]# 520  190  Kostas  190  190   11   11              Milk
#[Out]# 521  190  Kostas  190  190   15   15         Cucumbers
#[Out]# 522  190  Kostas  190  190    2    2          Potatoes
#[Out]# 523  190  Kostas  190  190   17   17             Bread
#[Out]# 524  190  Kostas  190  190    5    5         Mushrooms
#[Out]# 525  190  Kostas  190  190   19   19              Coca
#[Out]# 526  190  Kostas  190  190   19   19              Coca
#[Out]# 527  190  Kostas  190  190    9    9           Bananas
#[Out]# 528  190  Kostas  190  190   18   18            Cheese
#[Out]# 
#[Out]# [529 rows x 7 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, p1.pID, p2.pID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID  pID  pID   pName
#[Out]# 0     2    Lucas    2    2    4    4  Onions
#[Out]# 1    16   Julian   16   16   21   21  Coffee
#[Out]# 2    29    Ruben   29   29    4    4  Onions
#[Out]# 3    31  Olivier   31   31    4    4  Onions
#[Out]# 4    33     Sven   33   33    4    4  Onions
#[Out]# 5    42     Tijn   42   42   21   21  Coffee
#[Out]# 6    52   Willem   52   52    4    4  Onions
#[Out]# 7    59     Joep   59   59    4    4  Onions
#[Out]# 8    59     Joep   59   59   21   21  Coffee
#[Out]# 9    82    Dylan   82   82   21   21  Coffee
#[Out]# 10   85   Pieter   85   85    4    4  Onions
#[Out]# 11   86     Stef   86   86   21   21  Coffee
#[Out]# 12   92    Jelte   92   92   21   21  Coffee
#[Out]# 13   97   Sophie   97   97   21   21  Coffee
#[Out]# 14  108     Noor  108  108   21   21  Coffee
#[Out]# 15  110     Saar  110  110   21   21  Coffee
#[Out]# 16  111   Lauren  111  111   21   21  Coffee
#[Out]# 17  122     Elin  122  122   21   21  Coffee
#[Out]# 18  124    Sofie  124  124    4    4  Onions
#[Out]# 19  124    Sofie  124  124   21   21  Coffee
#[Out]# 20  129    Esmee  129  129    4    4  Onions
#[Out]# 21  152     Anne  152  152   21   21  Coffee
#[Out]# 22  162    Elena  162  162    4    4  Onions
#[Out]# 23  165    Hanna  165  165    4    4  Onions
#[Out]# 24  169     Lily  169  169   21   21  Coffee
#[Out]# 25  169     Lily  169  169    4    4  Onions
#[Out]# 26  171    Tessa  171  171   21   21  Coffee
#[Out]# 27  172     Lana  172  172    4    4  Onions
#[Out]# 28  175      Sam  175  175   21   21  Coffee
#[Out]# 29  176    Amira  176  176    4    4  Onions
#[Out]# 30  176    Amira  176  176   21   21  Coffee
#[Out]# 31  177    Eline  177  177    4    4  Onions
#[Out]# 32  181     Liva  181  181   21   21  Coffee
#[Out]# 33  190   Kostas  190  190   21   21  Coffee
#[Out]# 34  190   Kostas  190  190   21   21  Coffee
#[Out]# 35  190   Kostas  190  190    4    4  Onions
#[Out]# 36  190   Kostas  190  190   21   21  Coffee
#[Out]# 37  190   Kostas  190  190   21   21  Coffee
#[Out]# 38  190   Kostas  190  190   21   21  Coffee
#[Out]# 39  190   Kostas  190  190   21   21  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName
#[Out]# 0     2    Lucas    2    2  Onions
#[Out]# 1    16   Julian   16   16  Coffee
#[Out]# 2    29    Ruben   29   29  Onions
#[Out]# 3    31  Olivier   31   31  Onions
#[Out]# 4    33     Sven   33   33  Onions
#[Out]# 5    42     Tijn   42   42  Coffee
#[Out]# 6    52   Willem   52   52  Onions
#[Out]# 7    59     Joep   59   59  Onions
#[Out]# 8    59     Joep   59   59  Coffee
#[Out]# 9    82    Dylan   82   82  Coffee
#[Out]# 10   85   Pieter   85   85  Onions
#[Out]# 11   86     Stef   86   86  Coffee
#[Out]# 12   92    Jelte   92   92  Coffee
#[Out]# 13   97   Sophie   97   97  Coffee
#[Out]# 14  108     Noor  108  108  Coffee
#[Out]# 15  110     Saar  110  110  Coffee
#[Out]# 16  111   Lauren  111  111  Coffee
#[Out]# 17  122     Elin  122  122  Coffee
#[Out]# 18  124    Sofie  124  124  Onions
#[Out]# 19  124    Sofie  124  124  Coffee
#[Out]# 20  129    Esmee  129  129  Onions
#[Out]# 21  152     Anne  152  152  Coffee
#[Out]# 22  162    Elena  162  162  Onions
#[Out]# 23  165    Hanna  165  165  Onions
#[Out]# 24  169     Lily  169  169  Coffee
#[Out]# 25  169     Lily  169  169  Onions
#[Out]# 26  171    Tessa  171  171  Coffee
#[Out]# 27  172     Lana  172  172  Onions
#[Out]# 28  175      Sam  175  175  Coffee
#[Out]# 29  176    Amira  176  176  Onions
#[Out]# 30  176    Amira  176  176  Coffee
#[Out]# 31  177    Eline  177  177  Onions
#[Out]# 32  181     Liva  181  181  Coffee
#[Out]# 33  190   Kostas  190  190  Coffee
#[Out]# 34  190   Kostas  190  190  Coffee
#[Out]# 35  190   Kostas  190  190  Onions
#[Out]# 36  190   Kostas  190  190  Coffee
#[Out]# 37  190   Kostas  190  190  Coffee
#[Out]# 38  190   Kostas  190  190  Coffee
#[Out]# 39  190   Kostas  190  190  Coffee
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName
#[Out]# 0     2    Lucas    2    2  Onions
#[Out]# 1    16   Julian   16   16  Coffee
#[Out]# 2    29    Ruben   29   29  Onions
#[Out]# 3    29    Ruben   29  129  Onions
#[Out]# 4    31  Olivier   31   31  Onions
#[Out]# 5    31  Olivier   31  172  Onions
#[Out]# 6    33     Sven   33   33  Onions
#[Out]# 7    33     Sven   33   85  Onions
#[Out]# 8    42     Tijn   42   42  Coffee
#[Out]# 9    42     Tijn   42   86  Coffee
#[Out]# 10   42     Tijn   42  110  Coffee
#[Out]# 11   52   Willem   52   52  Onions
#[Out]# 12   52   Willem   52   59  Onions
#[Out]# 13   59     Joep   59   52  Onions
#[Out]# 14   59     Joep   59   59  Onions
#[Out]# 15   59     Joep   59   59  Coffee
#[Out]# 16   59     Joep   59  108  Coffee
#[Out]# 17   82    Dylan   82   82  Coffee
#[Out]# 18   85   Pieter   85   33  Onions
#[Out]# 19   85   Pieter   85   85  Onions
#[Out]# 20   86     Stef   86   42  Coffee
#[Out]# 21   86     Stef   86   86  Coffee
#[Out]# 22   86     Stef   86  110  Coffee
#[Out]# 23   92    Jelte   92   92  Coffee
#[Out]# 24   92    Jelte   92   97  Coffee
#[Out]# 25   92    Jelte   92  122  Coffee
#[Out]# 26   97   Sophie   97   92  Coffee
#[Out]# 27   97   Sophie   97   97  Coffee
#[Out]# 28   97   Sophie   97  122  Coffee
#[Out]# 29  108     Noor  108   59  Coffee
#[Out]# ..  ...      ...  ...  ...     ...
#[Out]# 58  171    Tessa  171  190  Coffee
#[Out]# 59  172     Lana  172   31  Onions
#[Out]# 60  172     Lana  172  172  Onions
#[Out]# 61  175      Sam  175  152  Coffee
#[Out]# 62  175      Sam  175  171  Coffee
#[Out]# 63  175      Sam  175  175  Coffee
#[Out]# 64  175      Sam  175  190  Coffee
#[Out]# 65  176    Amira  176  176  Onions
#[Out]# 66  176    Amira  176  177  Onions
#[Out]# 67  176    Amira  176  124  Coffee
#[Out]# 68  176    Amira  176  176  Coffee
#[Out]# 69  176    Amira  176  190  Coffee
#[Out]# 70  177    Eline  177  176  Onions
#[Out]# 71  177    Eline  177  177  Onions
#[Out]# 72  181     Liva  181  181  Coffee
#[Out]# 73  190   Kostas  190  124  Coffee
#[Out]# 74  190   Kostas  190  176  Coffee
#[Out]# 75  190   Kostas  190  190  Coffee
#[Out]# 76  190   Kostas  190  152  Coffee
#[Out]# 77  190   Kostas  190  171  Coffee
#[Out]# 78  190   Kostas  190  175  Coffee
#[Out]# 79  190   Kostas  190  190  Coffee
#[Out]# 80  190   Kostas  190  124  Onions
#[Out]# 81  190   Kostas  190  190  Onions
#[Out]# 82  190   Kostas  190  111  Coffee
#[Out]# 83  190   Kostas  190  190  Coffee
#[Out]# 84  190   Kostas  190  190  Coffee
#[Out]# 85  190   Kostas  190  111  Coffee
#[Out]# 86  190   Kostas  190  190  Coffee
#[Out]# 87  190   Kostas  190  190  Coffee
#[Out]# 
#[Out]# [88 rows x 5 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID    cName  cID  cID   pName
#[Out]# 0      2    Lucas    2    2  Onions
#[Out]# 1      2    Lucas    2    2  Onions
#[Out]# 2      2    Lucas    2    2  Onions
#[Out]# 3      2    Lucas    2    2  Onions
#[Out]# 4     16   Julian   16   16  Coffee
#[Out]# 5     16   Julian   16   16  Coffee
#[Out]# 6     29    Ruben   29   29  Onions
#[Out]# 7     29    Ruben   29   29  Onions
#[Out]# 8     31  Olivier   31   31  Onions
#[Out]# 9     33     Sven   33   33  Onions
#[Out]# 10    42     Tijn   42   42  Coffee
#[Out]# 11    52   Willem   52   52  Onions
#[Out]# 12    52   Willem   52   52  Onions
#[Out]# 13    52   Willem   52   52  Onions
#[Out]# 14    59     Joep   59   59  Onions
#[Out]# 15    59     Joep   59   59  Coffee
#[Out]# 16    82    Dylan   82   82  Coffee
#[Out]# 17    82    Dylan   82   82  Coffee
#[Out]# 18    85   Pieter   85   85  Onions
#[Out]# 19    86     Stef   86   86  Coffee
#[Out]# 20    86     Stef   86   86  Coffee
#[Out]# 21    92    Jelte   92   92  Coffee
#[Out]# 22    92    Jelte   92   92  Coffee
#[Out]# 23    97   Sophie   97   97  Coffee
#[Out]# 24    97   Sophie   97   97  Coffee
#[Out]# 25    97   Sophie   97   97  Coffee
#[Out]# 26    97   Sophie   97   97  Coffee
#[Out]# 27   108     Noor  108  108  Coffee
#[Out]# 28   108     Noor  108  108  Coffee
#[Out]# 29   108     Noor  108  108  Coffee
#[Out]# ..   ...      ...  ...  ...     ...
#[Out]# 73   190   Kostas  190  190  Coffee
#[Out]# 74   190   Kostas  190  190  Coffee
#[Out]# 75   190   Kostas  190  190  Coffee
#[Out]# 76   190   Kostas  190  190  Coffee
#[Out]# 77   190   Kostas  190  190  Coffee
#[Out]# 78   190   Kostas  190  190  Coffee
#[Out]# 79   190   Kostas  190  190  Coffee
#[Out]# 80   190   Kostas  190  190  Coffee
#[Out]# 81   190   Kostas  190  190  Coffee
#[Out]# 82   190   Kostas  190  190  Coffee
#[Out]# 83   190   Kostas  190  190  Coffee
#[Out]# 84   190   Kostas  190  190  Onions
#[Out]# 85   190   Kostas  190  190  Onions
#[Out]# 86   190   Kostas  190  190  Onions
#[Out]# 87   190   Kostas  190  190  Onions
#[Out]# 88   190   Kostas  190  190  Onions
#[Out]# 89   190   Kostas  190  190  Onions
#[Out]# 90   190   Kostas  190  190  Onions
#[Out]# 91   190   Kostas  190  190  Coffee
#[Out]# 92   190   Kostas  190  190  Coffee
#[Out]# 93   190   Kostas  190  190  Coffee
#[Out]# 94   190   Kostas  190  190  Coffee
#[Out]# 95   190   Kostas  190  190  Coffee
#[Out]# 96   190   Kostas  190  190  Coffee
#[Out]# 97   190   Kostas  190  190  Coffee
#[Out]# 98   190   Kostas  190  190  Coffee
#[Out]# 99   190   Kostas  190  190  Coffee
#[Out]# 100  190   Kostas  190  190  Coffee
#[Out]# 101  190   Kostas  190  190  Coffee
#[Out]# 102  190   Kostas  190  190  Coffee
#[Out]# 
#[Out]# [103 rows x 5 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND p1.pID != p2.pID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName  cID  cID   pName
#[Out]# 0     2   Lucas    2    2  Onions
#[Out]# 1     2   Lucas    2    2  Onions
#[Out]# 2     2   Lucas    2    2  Onions
#[Out]# 3    16  Julian   16   16  Coffee
#[Out]# 4    29   Ruben   29   29  Onions
#[Out]# 5    52  Willem   52   52  Onions
#[Out]# 6    52  Willem   52   52  Onions
#[Out]# 7    82   Dylan   82   82  Coffee
#[Out]# 8    86    Stef   86   86  Coffee
#[Out]# 9    92   Jelte   92   92  Coffee
#[Out]# 10   97  Sophie   97   97  Coffee
#[Out]# 11   97  Sophie   97   97  Coffee
#[Out]# 12   97  Sophie   97   97  Coffee
#[Out]# 13  108    Noor  108  108  Coffee
#[Out]# 14  108    Noor  108  108  Coffee
#[Out]# 15  108    Noor  108  108  Coffee
#[Out]# 16  108    Noor  108  108  Coffee
#[Out]# 17  122    Elin  122  122  Coffee
#[Out]# 18  122    Elin  122  122  Coffee
#[Out]# 19  124   Sofie  124  124  Onions
#[Out]# 20  124   Sofie  124  124  Onions
#[Out]# 21  124   Sofie  124  124  Onions
#[Out]# 22  124   Sofie  124  124  Onions
#[Out]# 23  124   Sofie  124  124  Onions
#[Out]# 24  124   Sofie  124  124  Onions
#[Out]# 25  124   Sofie  124  124  Onions
#[Out]# 26  124   Sofie  124  124  Coffee
#[Out]# 27  124   Sofie  124  124  Coffee
#[Out]# 28  124   Sofie  124  124  Coffee
#[Out]# 29  124   Sofie  124  124  Coffee
#[Out]# ..  ...     ...  ...  ...     ...
#[Out]# 33  152    Anne  152  152  Coffee
#[Out]# 34  165   Hanna  165  165  Onions
#[Out]# 35  165   Hanna  165  165  Onions
#[Out]# 36  169    Lily  169  169  Onions
#[Out]# 37  171   Tessa  171  171  Coffee
#[Out]# 38  176   Amira  176  176  Coffee
#[Out]# 39  177   Eline  177  177  Onions
#[Out]# 40  190  Kostas  190  190  Coffee
#[Out]# 41  190  Kostas  190  190  Coffee
#[Out]# 42  190  Kostas  190  190  Coffee
#[Out]# 43  190  Kostas  190  190  Coffee
#[Out]# 44  190  Kostas  190  190  Coffee
#[Out]# 45  190  Kostas  190  190  Coffee
#[Out]# 46  190  Kostas  190  190  Coffee
#[Out]# 47  190  Kostas  190  190  Coffee
#[Out]# 48  190  Kostas  190  190  Coffee
#[Out]# 49  190  Kostas  190  190  Onions
#[Out]# 50  190  Kostas  190  190  Onions
#[Out]# 51  190  Kostas  190  190  Onions
#[Out]# 52  190  Kostas  190  190  Onions
#[Out]# 53  190  Kostas  190  190  Onions
#[Out]# 54  190  Kostas  190  190  Onions
#[Out]# 55  190  Kostas  190  190  Coffee
#[Out]# 56  190  Kostas  190  190  Coffee
#[Out]# 57  190  Kostas  190  190  Coffee
#[Out]# 58  190  Kostas  190  190  Coffee
#[Out]# 59  190  Kostas  190  190  Coffee
#[Out]# 60  190  Kostas  190  190  Coffee
#[Out]# 61  190  Kostas  190  190  Coffee
#[Out]# 62  190  Kostas  190  190  Coffee
#[Out]# 
#[Out]# [63 rows x 5 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    *
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND 
    p1.pID != p2.pID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2   Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1     2   Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 2     2   Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 3    16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 4    29   Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 5    52  Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 6    52  Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    82   Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 8    86    Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 9    92   Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 10   97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 11   97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 12   97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 13  108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 14  108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 16  108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 17  122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 19  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 20  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 21  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 22  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 23  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 24  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 25  124   Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 26  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 27  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 28  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 29  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# ..  ...     ...                   ...        ...  ...  ...  ...  ...   
#[Out]# 33  152    Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 34  165   Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 35  165   Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 36  169    Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 37  171   Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 38  176   Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 39  177   Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 40  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 41  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 42  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 43  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 44  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 45  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 46  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 47  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 48  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 49  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 50  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 51  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 52  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 53  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 54  190  Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 55  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 56  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 57  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 58  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 59  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 60  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 61  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 62  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date quantity  ...    tID  cID  sID  pID        date quantity  \
#[Out]# 0   2018-08-17        6  ...      9    2   39    9  2018-08-17        7   
#[Out]# 1   2018-08-17        6  ...     11    2   51   13  2018-08-17        4   
#[Out]# 2   2018-08-17        6  ...     12    2   47   22  2018-08-17        1   
#[Out]# 3   2018-08-24        3  ...     48   16   50    0  2018-08-24        1   
#[Out]# 4   2018-08-24        3  ...     93   29   43    7  2018-08-24        8   
#[Out]# 5   2018-08-25        3  ...    159   52    2    5  2018-08-25        6   
#[Out]# 6   2018-08-25        3  ...    161   52   27   12  2018-08-25        6   
#[Out]# 7   2018-08-19        2  ...    218   82   52    9  2018-08-19        6   
#[Out]# 8   2018-08-18        2  ...    236   86    8    3  2018-08-18        1   
#[Out]# 9   2018-08-25        6  ...    249   92   35   26  2018-08-25        5   
#[Out]# 10  2018-08-25        8  ...    263   97   47   15  2018-08-25        3   
#[Out]# 11  2018-08-25        8  ...    265   97   18   22  2018-08-25        4   
#[Out]# 12  2018-08-25        8  ...    266   97   26    2  2018-08-25       13   
#[Out]# 13  2018-08-15        6  ...    280  108   41   28  2018-08-15        2   
#[Out]# 14  2018-08-15        6  ...    281  108    0    1  2018-08-15        1   
#[Out]# 15  2018-08-15        6  ...    282  108   54   14  2018-08-15        8   
#[Out]# 16  2018-08-15        6  ...    283  108   18   24  2018-08-15        3   
#[Out]# 17  2018-08-25        6  ...    313  122   17    3  2018-08-25        1   
#[Out]# 18  2018-08-25        6  ...    314  122   30   26  2018-08-25        4   
#[Out]# 19  2018-08-26        4  ...    324  124   17   26  2018-08-26        9   
#[Out]# 20  2018-08-26        4  ...    325  124   14   28  2018-08-26        6   
#[Out]# 21  2018-08-26        4  ...    326  124   16   16  2018-08-26        1   
#[Out]# 22  2018-08-26        4  ...    327  124   23   12  2018-08-26        3   
#[Out]# 23  2018-08-26        4  ...    328  124    9   21  2018-08-26        6   
#[Out]# 24  2018-08-26        4  ...    329  124   18   10  2018-08-26        2   
#[Out]# 25  2018-08-26        4  ...    330  124    1   11  2018-08-26        6   
#[Out]# 26  2018-08-26        6  ...    323  124   54    4  2018-08-26        4   
#[Out]# 27  2018-08-26        6  ...    324  124   17   26  2018-08-26        9   
#[Out]# 28  2018-08-26        6  ...    325  124   14   28  2018-08-26        6   
#[Out]# 29  2018-08-26        6  ...    326  124   16   16  2018-08-26        1   
#[Out]# ..         ...      ...  ...    ...  ...  ...  ...         ...      ...   
#[Out]# 33  2018-08-20        1  ...    370  152   42   20  2018-08-20        5   
#[Out]# 34  2018-08-23        8  ...    409  165   38   24  2018-08-23        6   
#[Out]# 35  2018-08-23        8  ...    410  165   56    1  2018-08-23        3   
#[Out]# 36  2018-08-20        3  ...    433  169   32    5  2018-08-20        7   
#[Out]# 37  2018-08-20        2  ...    441  171   56    3  2018-08-20        1   
#[Out]# 38  2018-08-26        8  ...    452  176    6    5  2018-08-26        9   
#[Out]# 39  2018-08-22        6  ...    456  177   34   26  2018-08-22        4   
#[Out]# 40  2018-08-26        5  ...    788  190    4    7  2018-08-26        7   
#[Out]# 41  2018-08-26        5  ...    797  190   13    0  2018-08-26        4   
#[Out]# 42  2018-08-26        5  ...    800  190   16    4  2018-08-26        1   
#[Out]# 43  2018-08-26        5  ...    816  190   32    0  2018-08-26        4   
#[Out]# 44  2018-08-26        5  ...    832  190   48   20  2018-08-26        6   
#[Out]# 45  2018-08-26        5  ...    843  190   59   17  2018-08-26        2   
#[Out]# 46  2018-08-20        2  ...    791  190    7   22  2018-08-20        4   
#[Out]# 47  2018-08-20        2  ...    809  190   25    5  2018-08-20        2   
#[Out]# 48  2018-08-20        2  ...    818  190   34   28  2018-08-20        4   
#[Out]# 49  2018-08-26        1  ...    788  190    4    7  2018-08-26        7   
#[Out]# 50  2018-08-26        1  ...    793  190    9   21  2018-08-26        5   
#[Out]# 51  2018-08-26        1  ...    797  190   13    0  2018-08-26        4   
#[Out]# 52  2018-08-26        1  ...    816  190   32    0  2018-08-26        4   
#[Out]# 53  2018-08-26        1  ...    832  190   48   20  2018-08-26        6   
#[Out]# 54  2018-08-26        1  ...    843  190   59   17  2018-08-26        2   
#[Out]# 55  2018-08-22        7  ...    794  190   10   19  2018-08-22        7   
#[Out]# 56  2018-08-22        7  ...    795  190   11    9  2018-08-22        5   
#[Out]# 57  2018-08-22        7  ...    826  190   42   19  2018-08-22        5   
#[Out]# 58  2018-08-22        7  ...    841  190   57   15  2018-08-22        5   
#[Out]# 59  2018-08-22        6  ...    794  190   10   19  2018-08-22        7   
#[Out]# 60  2018-08-22        6  ...    795  190   11    9  2018-08-22        5   
#[Out]# 61  2018-08-22        6  ...    826  190   42   19  2018-08-22        5   
#[Out]# 62  2018-08-22        6  ...    841  190   57   15  2018-08-22        5   
#[Out]# 
#[Out]#     price  pID   pName suffix  
#[Out]# 0    1.35    4  Onions         
#[Out]# 1    3.70    4  Onions         
#[Out]# 2    1.55    4  Onions         
#[Out]# 3    3.70   21  Coffee         
#[Out]# 4    1.95    4  Onions         
#[Out]# 5    0.50    4  Onions         
#[Out]# 6   13.80    4  Onions         
#[Out]# 7    1.65   21  Coffee         
#[Out]# 8    1.40   21  Coffee         
#[Out]# 9    2.45   21  Coffee         
#[Out]# 10   1.10   21  Coffee         
#[Out]# 11   2.05   21  Coffee         
#[Out]# 12   1.95   21  Coffee         
#[Out]# 13   7.65   21  Coffee         
#[Out]# 14   6.35   21  Coffee         
#[Out]# 15   4.20   21  Coffee         
#[Out]# 16   4.05   21  Coffee         
#[Out]# 17   1.50   21  Coffee         
#[Out]# 18   2.70   21  Coffee         
#[Out]# 19   2.75    4  Onions         
#[Out]# 20   8.25    4  Onions         
#[Out]# 21   1.40    4  Onions         
#[Out]# 22  11.65    4  Onions         
#[Out]# 23   2.15    4  Onions         
#[Out]# 24   0.50    4  Onions         
#[Out]# 25   1.00    4  Onions         
#[Out]# 26   1.10   21  Coffee         
#[Out]# 27   2.75   21  Coffee         
#[Out]# 28   8.25   21  Coffee         
#[Out]# 29   1.40   21  Coffee         
#[Out]# ..    ...  ...     ...    ...  
#[Out]# 33   2.00   21  Coffee         
#[Out]# 34   3.55    4  Onions         
#[Out]# 35   4.40    4  Onions         
#[Out]# 36   0.40    4  Onions         
#[Out]# 37   1.50   21  Coffee         
#[Out]# 38   0.50   21  Coffee         
#[Out]# 39   3.40    4  Onions         
#[Out]# 40   1.30   21  Coffee         
#[Out]# 41   2.00   21  Coffee         
#[Out]# 42   2.40   21  Coffee         
#[Out]# 43   3.85   21  Coffee         
#[Out]# 44   4.30   21  Coffee         
#[Out]# 45   3.80   21  Coffee         
#[Out]# 46   3.20   21  Coffee         
#[Out]# 47   1.75   21  Coffee         
#[Out]# 48   2.80   21  Coffee         
#[Out]# 49   1.30    4  Onions         
#[Out]# 50   4.25    4  Onions         
#[Out]# 51   2.00    4  Onions         
#[Out]# 52   3.85    4  Onions         
#[Out]# 53   4.30    4  Onions         
#[Out]# 54   3.80    4  Onions         
#[Out]# 55   0.90   21  Coffee         
#[Out]# 56   3.00   21  Coffee         
#[Out]# 57   2.75   21  Coffee         
#[Out]# 58   3.25   21  Coffee         
#[Out]# 59   0.90   21  Coffee         
#[Out]# 60   3.00   21  Coffee         
#[Out]# 61   2.75   21  Coffee         
#[Out]# 62   3.25   21  Coffee         
#[Out]# 
#[Out]# [63 rows x 21 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND 
    p1.pID != p2.pID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID   cName  cID  cID   pName  pID  pID
#[Out]# 0     2   Lucas    2    2  Onions    4    9
#[Out]# 1     2   Lucas    2    2  Onions    4   13
#[Out]# 2     2   Lucas    2    2  Onions    4   22
#[Out]# 3    16  Julian   16   16  Coffee   21    0
#[Out]# 4    29   Ruben   29   29  Onions    4    7
#[Out]# 5    52  Willem   52   52  Onions    4    5
#[Out]# 6    52  Willem   52   52  Onions    4   12
#[Out]# 7    82   Dylan   82   82  Coffee   21    9
#[Out]# 8    86    Stef   86   86  Coffee   21    3
#[Out]# 9    92   Jelte   92   92  Coffee   21   26
#[Out]# 10   97  Sophie   97   97  Coffee   21    2
#[Out]# 11   97  Sophie   97   97  Coffee   21   15
#[Out]# 12   97  Sophie   97   97  Coffee   21   22
#[Out]# 13  108    Noor  108  108  Coffee   21    1
#[Out]# 14  108    Noor  108  108  Coffee   21   14
#[Out]# 15  108    Noor  108  108  Coffee   21   24
#[Out]# 16  108    Noor  108  108  Coffee   21   28
#[Out]# 17  122    Elin  122  122  Coffee   21    3
#[Out]# 18  122    Elin  122  122  Coffee   21   26
#[Out]# 19  124   Sofie  124  124  Onions    4   10
#[Out]# 20  124   Sofie  124  124  Onions    4   11
#[Out]# 21  124   Sofie  124  124  Onions    4   12
#[Out]# 22  124   Sofie  124  124  Onions    4   16
#[Out]# 23  124   Sofie  124  124  Onions    4   21
#[Out]# 24  124   Sofie  124  124  Onions    4   26
#[Out]# 25  124   Sofie  124  124  Onions    4   28
#[Out]# 26  124   Sofie  124  124  Coffee   21    4
#[Out]# 27  124   Sofie  124  124  Coffee   21   10
#[Out]# 28  124   Sofie  124  124  Coffee   21   11
#[Out]# 29  124   Sofie  124  124  Coffee   21   12
#[Out]# ..  ...     ...  ...  ...     ...  ...  ...
#[Out]# 33  152    Anne  152  152  Coffee   21   20
#[Out]# 34  165   Hanna  165  165  Onions    4    1
#[Out]# 35  165   Hanna  165  165  Onions    4   24
#[Out]# 36  169    Lily  169  169  Onions    4    5
#[Out]# 37  171   Tessa  171  171  Coffee   21    3
#[Out]# 38  176   Amira  176  176  Coffee   21    5
#[Out]# 39  177   Eline  177  177  Onions    4   26
#[Out]# 40  190  Kostas  190  190  Coffee   21    0
#[Out]# 41  190  Kostas  190  190  Coffee   21    0
#[Out]# 42  190  Kostas  190  190  Coffee   21    4
#[Out]# 43  190  Kostas  190  190  Coffee   21    7
#[Out]# 44  190  Kostas  190  190  Coffee   21   17
#[Out]# 45  190  Kostas  190  190  Coffee   21   20
#[Out]# 46  190  Kostas  190  190  Coffee   21    5
#[Out]# 47  190  Kostas  190  190  Coffee   21   22
#[Out]# 48  190  Kostas  190  190  Coffee   21   28
#[Out]# 49  190  Kostas  190  190  Onions    4    0
#[Out]# 50  190  Kostas  190  190  Onions    4    0
#[Out]# 51  190  Kostas  190  190  Onions    4    7
#[Out]# 52  190  Kostas  190  190  Onions    4   17
#[Out]# 53  190  Kostas  190  190  Onions    4   20
#[Out]# 54  190  Kostas  190  190  Onions    4   21
#[Out]# 55  190  Kostas  190  190  Coffee   21    9
#[Out]# 56  190  Kostas  190  190  Coffee   21   15
#[Out]# 57  190  Kostas  190  190  Coffee   21   19
#[Out]# 58  190  Kostas  190  190  Coffee   21   19
#[Out]# 59  190  Kostas  190  190  Coffee   21    9
#[Out]# 60  190  Kostas  190  190  Coffee   21   15
#[Out]# 61  190  Kostas  190  190  Coffee   21   19
#[Out]# 62  190  Kostas  190  190  Coffee   21   19
#[Out]# 
#[Out]# [63 rows x 7 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND 
    p1.pID != p2.pID
    AND p1.
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND 
    p1.pID != p2.pID
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, cID, cID, pName, pID, pID]
#[Out]# Index: []
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName  pID  pID
#[Out]# 0     2    Lucas    2    2  Onions    4    4
#[Out]# 1    16   Julian   16   16  Coffee   21   21
#[Out]# 2    29    Ruben   29   29  Onions    4    4
#[Out]# 3    31  Olivier   31   31  Onions    4    4
#[Out]# 4    33     Sven   33   33  Onions    4    4
#[Out]# 5    42     Tijn   42   42  Coffee   21   21
#[Out]# 6    52   Willem   52   52  Onions    4    4
#[Out]# 7    59     Joep   59   59  Onions    4    4
#[Out]# 8    59     Joep   59   59  Coffee   21   21
#[Out]# 9    82    Dylan   82   82  Coffee   21   21
#[Out]# 10   85   Pieter   85   85  Onions    4    4
#[Out]# 11   86     Stef   86   86  Coffee   21   21
#[Out]# 12   92    Jelte   92   92  Coffee   21   21
#[Out]# 13   97   Sophie   97   97  Coffee   21   21
#[Out]# 14  108     Noor  108  108  Coffee   21   21
#[Out]# 15  110     Saar  110  110  Coffee   21   21
#[Out]# 16  111   Lauren  111  111  Coffee   21   21
#[Out]# 17  122     Elin  122  122  Coffee   21   21
#[Out]# 18  124    Sofie  124  124  Onions    4    4
#[Out]# 19  124    Sofie  124  124  Coffee   21   21
#[Out]# 20  129    Esmee  129  129  Onions    4    4
#[Out]# 21  152     Anne  152  152  Coffee   21   21
#[Out]# 22  162    Elena  162  162  Onions    4    4
#[Out]# 23  165    Hanna  165  165  Onions    4    4
#[Out]# 24  169     Lily  169  169  Coffee   21   21
#[Out]# 25  169     Lily  169  169  Onions    4    4
#[Out]# 26  171    Tessa  171  171  Coffee   21   21
#[Out]# 27  172     Lana  172  172  Onions    4    4
#[Out]# 28  175      Sam  175  175  Coffee   21   21
#[Out]# 29  176    Amira  176  176  Onions    4    4
#[Out]# 30  176    Amira  176  176  Coffee   21   21
#[Out]# 31  177    Eline  177  177  Onions    4    4
#[Out]# 32  181     Liva  181  181  Coffee   21   21
#[Out]# 33  190   Kostas  190  190  Coffee   21   21
#[Out]# 34  190   Kostas  190  190  Coffee   21   21
#[Out]# 35  190   Kostas  190  190  Onions    4    4
#[Out]# 36  190   Kostas  190  190  Coffee   21   21
#[Out]# 37  190   Kostas  190  190  Coffee   21   21
#[Out]# 38  190   Kostas  190  190  Coffee   21   21
#[Out]# 39  190   Kostas  190  190  Coffee   21   21
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT 
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#      cID    cName  cID  cID   pName  pID  pID
#[Out]# 0      2    Lucas    2    2  Onions    4    4
#[Out]# 1      2    Lucas    2    2  Onions    4    9
#[Out]# 2      2    Lucas    2    2  Onions    4   13
#[Out]# 3      2    Lucas    2    2  Onions    4   22
#[Out]# 4     16   Julian   16   16  Coffee   21    0
#[Out]# 5     16   Julian   16   16  Coffee   21   21
#[Out]# 6     29    Ruben   29   29  Onions    4    4
#[Out]# 7     29    Ruben   29   29  Onions    4    7
#[Out]# 8     31  Olivier   31   31  Onions    4    4
#[Out]# 9     33     Sven   33   33  Onions    4    4
#[Out]# 10    42     Tijn   42   42  Coffee   21   21
#[Out]# 11    52   Willem   52   52  Onions    4    4
#[Out]# 12    52   Willem   52   52  Onions    4    5
#[Out]# 13    52   Willem   52   52  Onions    4   12
#[Out]# 14    59     Joep   59   59  Onions    4    4
#[Out]# 15    59     Joep   59   59  Coffee   21   21
#[Out]# 16    82    Dylan   82   82  Coffee   21    9
#[Out]# 17    82    Dylan   82   82  Coffee   21   21
#[Out]# 18    85   Pieter   85   85  Onions    4    4
#[Out]# 19    86     Stef   86   86  Coffee   21    3
#[Out]# 20    86     Stef   86   86  Coffee   21   21
#[Out]# 21    92    Jelte   92   92  Coffee   21   21
#[Out]# 22    92    Jelte   92   92  Coffee   21   26
#[Out]# 23    97   Sophie   97   97  Coffee   21    2
#[Out]# 24    97   Sophie   97   97  Coffee   21   15
#[Out]# 25    97   Sophie   97   97  Coffee   21   21
#[Out]# 26    97   Sophie   97   97  Coffee   21   22
#[Out]# 27   108     Noor  108  108  Coffee   21    1
#[Out]# 28   108     Noor  108  108  Coffee   21   14
#[Out]# 29   108     Noor  108  108  Coffee   21   21
#[Out]# ..   ...      ...  ...  ...     ...  ...  ...
#[Out]# 73   190   Kostas  190  190  Coffee   21    0
#[Out]# 74   190   Kostas  190  190  Coffee   21    0
#[Out]# 75   190   Kostas  190  190  Coffee   21    4
#[Out]# 76   190   Kostas  190  190  Coffee   21    7
#[Out]# 77   190   Kostas  190  190  Coffee   21   17
#[Out]# 78   190   Kostas  190  190  Coffee   21   20
#[Out]# 79   190   Kostas  190  190  Coffee   21   21
#[Out]# 80   190   Kostas  190  190  Coffee   21    5
#[Out]# 81   190   Kostas  190  190  Coffee   21   21
#[Out]# 82   190   Kostas  190  190  Coffee   21   22
#[Out]# 83   190   Kostas  190  190  Coffee   21   28
#[Out]# 84   190   Kostas  190  190  Onions    4    0
#[Out]# 85   190   Kostas  190  190  Onions    4    0
#[Out]# 86   190   Kostas  190  190  Onions    4    4
#[Out]# 87   190   Kostas  190  190  Onions    4    7
#[Out]# 88   190   Kostas  190  190  Onions    4   17
#[Out]# 89   190   Kostas  190  190  Onions    4   20
#[Out]# 90   190   Kostas  190  190  Onions    4   21
#[Out]# 91   190   Kostas  190  190  Coffee   21    9
#[Out]# 92   190   Kostas  190  190  Coffee   21   15
#[Out]# 93   190   Kostas  190  190  Coffee   21   19
#[Out]# 94   190   Kostas  190  190  Coffee   21   19
#[Out]# 95   190   Kostas  190  190  Coffee   21   21
#[Out]# 96   190   Kostas  190  190  Coffee   21   21
#[Out]# 97   190   Kostas  190  190  Coffee   21    9
#[Out]# 98   190   Kostas  190  190  Coffee   21   15
#[Out]# 99   190   Kostas  190  190  Coffee   21   19
#[Out]# 100  190   Kostas  190  190  Coffee   21   19
#[Out]# 101  190   Kostas  190  190  Coffee   21   21
#[Out]# 102  190   Kostas  190  190  Coffee   21   21
#[Out]# 
#[Out]# [103 rows x 7 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName  pID  pID
#[Out]# 0     2    Lucas    2    2  Onions    4    4
#[Out]# 1     2    Lucas    2    2  Onions    4    9
#[Out]# 2     2    Lucas    2    2  Onions    4   13
#[Out]# 3     2    Lucas    2    2  Onions    4   22
#[Out]# 4    16   Julian   16   16  Coffee   21    0
#[Out]# 5    16   Julian   16   16  Coffee   21   21
#[Out]# 6    29    Ruben   29   29  Onions    4    4
#[Out]# 7    29    Ruben   29   29  Onions    4    7
#[Out]# 8    31  Olivier   31   31  Onions    4    4
#[Out]# 9    33     Sven   33   33  Onions    4    4
#[Out]# 10   42     Tijn   42   42  Coffee   21   21
#[Out]# 11   52   Willem   52   52  Onions    4    4
#[Out]# 12   52   Willem   52   52  Onions    4    5
#[Out]# 13   52   Willem   52   52  Onions    4   12
#[Out]# 14   59     Joep   59   59  Onions    4    4
#[Out]# 15   59     Joep   59   59  Coffee   21   21
#[Out]# 16   82    Dylan   82   82  Coffee   21    9
#[Out]# 17   82    Dylan   82   82  Coffee   21   21
#[Out]# 18   85   Pieter   85   85  Onions    4    4
#[Out]# 19   86     Stef   86   86  Coffee   21    3
#[Out]# 20   86     Stef   86   86  Coffee   21   21
#[Out]# 21   92    Jelte   92   92  Coffee   21   21
#[Out]# 22   92    Jelte   92   92  Coffee   21   26
#[Out]# 23   97   Sophie   97   97  Coffee   21    2
#[Out]# 24   97   Sophie   97   97  Coffee   21   15
#[Out]# 25   97   Sophie   97   97  Coffee   21   21
#[Out]# 26   97   Sophie   97   97  Coffee   21   22
#[Out]# 27  108     Noor  108  108  Coffee   21    1
#[Out]# 28  108     Noor  108  108  Coffee   21   14
#[Out]# 29  108     Noor  108  108  Coffee   21   21
#[Out]# ..  ...      ...  ...  ...     ...  ...  ...
#[Out]# 61  169     Lily  169  169  Onions    4    4
#[Out]# 62  169     Lily  169  169  Onions    4    5
#[Out]# 63  171    Tessa  171  171  Coffee   21    3
#[Out]# 64  171    Tessa  171  171  Coffee   21   21
#[Out]# 65  172     Lana  172  172  Onions    4    4
#[Out]# 66  175      Sam  175  175  Coffee   21   21
#[Out]# 67  176    Amira  176  176  Onions    4    4
#[Out]# 68  176    Amira  176  176  Coffee   21    5
#[Out]# 69  176    Amira  176  176  Coffee   21   21
#[Out]# 70  177    Eline  177  177  Onions    4    4
#[Out]# 71  177    Eline  177  177  Onions    4   26
#[Out]# 72  181     Liva  181  181  Coffee   21   21
#[Out]# 73  190   Kostas  190  190  Coffee   21    0
#[Out]# 74  190   Kostas  190  190  Coffee   21    4
#[Out]# 75  190   Kostas  190  190  Coffee   21    7
#[Out]# 76  190   Kostas  190  190  Coffee   21   17
#[Out]# 77  190   Kostas  190  190  Coffee   21   20
#[Out]# 78  190   Kostas  190  190  Coffee   21   21
#[Out]# 79  190   Kostas  190  190  Coffee   21    5
#[Out]# 80  190   Kostas  190  190  Coffee   21   22
#[Out]# 81  190   Kostas  190  190  Coffee   21   28
#[Out]# 82  190   Kostas  190  190  Onions    4    0
#[Out]# 83  190   Kostas  190  190  Onions    4    4
#[Out]# 84  190   Kostas  190  190  Onions    4    7
#[Out]# 85  190   Kostas  190  190  Onions    4   17
#[Out]# 86  190   Kostas  190  190  Onions    4   20
#[Out]# 87  190   Kostas  190  190  Onions    4   21
#[Out]# 88  190   Kostas  190  190  Coffee   21    9
#[Out]# 89  190   Kostas  190  190  Coffee   21   15
#[Out]# 90  190   Kostas  190  190  Coffee   21   19
#[Out]# 
#[Out]# [91 rows x 7 columns]
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions :
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)
#[Out]#     cID    cName  cID  cID   pName  pID  pID
#[Out]# 0     2    Lucas    2    2  Onions    4    4
#[Out]# 1    16   Julian   16   16  Coffee   21   21
#[Out]# 2    29    Ruben   29   29  Onions    4    4
#[Out]# 3    31  Olivier   31   31  Onions    4    4
#[Out]# 4    33     Sven   33   33  Onions    4    4
#[Out]# 5    42     Tijn   42   42  Coffee   21   21
#[Out]# 6    52   Willem   52   52  Onions    4    4
#[Out]# 7    59     Joep   59   59  Onions    4    4
#[Out]# 8    59     Joep   59   59  Coffee   21   21
#[Out]# 9    82    Dylan   82   82  Coffee   21   21
#[Out]# 10   85   Pieter   85   85  Onions    4    4
#[Out]# 11   86     Stef   86   86  Coffee   21   21
#[Out]# 12   92    Jelte   92   92  Coffee   21   21
#[Out]# 13   97   Sophie   97   97  Coffee   21   21
#[Out]# 14  108     Noor  108  108  Coffee   21   21
#[Out]# 15  110     Saar  110  110  Coffee   21   21
#[Out]# 16  111   Lauren  111  111  Coffee   21   21
#[Out]# 17  122     Elin  122  122  Coffee   21   21
#[Out]# 18  124    Sofie  124  124  Onions    4    4
#[Out]# 19  124    Sofie  124  124  Coffee   21   21
#[Out]# 20  129    Esmee  129  129  Onions    4    4
#[Out]# 21  152     Anne  152  152  Coffee   21   21
#[Out]# 22  162    Elena  162  162  Onions    4    4
#[Out]# 23  165    Hanna  165  165  Onions    4    4
#[Out]# 24  169     Lily  169  169  Coffee   21   21
#[Out]# 25  169     Lily  169  169  Onions    4    4
#[Out]# 26  171    Tessa  171  171  Coffee   21   21
#[Out]# 27  172     Lana  172  172  Onions    4    4
#[Out]# 28  175      Sam  175  175  Coffee   21   21
#[Out]# 29  176    Amira  176  176  Onions    4    4
#[Out]# 30  176    Amira  176  176  Coffee   21   21
#[Out]# 31  177    Eline  177  177  Onions    4    4
#[Out]# 32  181     Liva  181  181  Coffee   21   21
#[Out]# 33  190   Kostas  190  190  Coffee   21   21
#[Out]# 34  190   Kostas  190  190  Onions    4    4
"""
Needs customer ID and name from customer
Needs a purchase for date
Needs a product for the name
"""

# Returns correct names, but in wrong format
test = '''
        SELECT
            date, GROUP_CONCAT(DISTINCT c.cID) listOfDistinctNamesWhoBoughtOnThisDate
        FROM 
            customer c
        INNER JOIN
            purchase p ON p.cID == c.cID
        INNER JOIN
            product prod ON p.pID == prod.pID
        WHERE prod.pName IN ('Onions', 'Coffee')
        GROUP BY date
        HAVING (COUNT(DISTINCT prod.pName) > 1)
'''

correctSolutionUsingTestQuery = '''
    SELECT DISTINCT c.cID, c.cName FROM customer c WHERE c.cID IN (33,42,85,86,110,152,169,171,175,190,111,176,177,190,16,29,129,52,59,92,97,122,124,176,190,31,172,181)
'''

# Coffee : 21
# Onions : 4
test_0 = '''
SELECT DISTINCT
    c.cID, c.cName, p1.cID, p2.cID, prod.pName, p1.pID, p2.pID
FROM
    customer c, purchase p1, purchase p2, product prod
WHERE
    c.cID == p1.cID
    AND
    c.cID == p2.cID
    AND 
    p1.date == p2.date
    AND
    p1.pID == prod.pID
    AND
    p2.pID == prod.pID
    AND
    prod.pName IN ('Onions', 'Coffee')
    AND
    (p1.pID == 4 AND p2.pID == 22) OR (p1.pID == 22 AND p2.pID == 4)
'''


# Everyone who bought both coffee and onions on the same date
query2 = '''
    SELECT DISTINCT c.cID, c.cName
    FROM customer c
'''

pd.read_sql_query(test_0, conn)

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x2342e7698f0>
# Tests for getting correct SQL syntax, and seeing how the tables and data look
testQ = '''
SELECT p.pID 
FROM purchase p JOIN customer c
'''

pd.read_sql_query(testQ, conn)

# query1 = '''
    
# '''

# pd.read_sql_query(query1, conn)

