# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query = '''
    SELECT *
    FROM shoppinglist
    LIMIT 10;
'''

pd.read_sql_query(query, conn)
#[Out]#    cID  pID  quantity        date
#[Out]# 0    1   14         2  2018-08-20
#[Out]# 1    1   16         3  2018-08-20
#[Out]# 2    1    9         2  2018-08-20
#[Out]# 3    1   25         4  2018-08-20
#[Out]# 4    1   21         6  2018-08-20
#[Out]# 5    1   26         4  2018-08-20
#[Out]# 6    1   11         8  2018-08-20
#[Out]# 7    1   27         6  2018-08-21
#[Out]# 8    2   20         4  2018-08-16
#[Out]# 9    2    9         7  2018-08-16
query1 = '''

    SELECT s.sName, s.street, s.city, p.pName, i.unit_price
    FROM inventory i, store s, product p 
    WHERE p.pName="Coffee" \
    AND p.pID=i.pID \
    AND i.unit_price BETWEEN 2 AND 2.2 \
    AND s.sID=i.sID
    ORDER BY s.sName
    LIMIT 20;
    
'''

pd.read_sql_query(query1, conn)
#[Out]#           sName            street       city   pName  unit_price
#[Out]# 0   Albert Hein        Bergselaan  Rotterdam  Coffee        2.05
#[Out]# 1   Albert Hein         Koestraat    Tilburg  Coffee        2.15
#[Out]# 2          Coop      Kalverstraat  Amsterdam  Coffee        2.20
#[Out]# 3          Coop      Kasteeldreef    Tilburg  Coffee        2.00
#[Out]# 4          Coop     Keizersgracht  Amsterdam  Coffee        2.10
#[Out]# 5          Coop   Sint Annastraat      Breda  Coffee        2.05
#[Out]# 6          Dirk     Julianastraat  Eindhoven  Coffee        2.00
#[Out]# 7          Dirk     Julianastraat  Eindhoven  Coffee        2.20
#[Out]# 8     Hoogvliet       Molenstraat  Eindhoven  Coffee        2.15
#[Out]# 9         Jumbo    Stadhoudersweg  Rotterdam  Coffee        2.10
#[Out]# 10        Jumbo  Rozemarijnstraat      Breda  Coffee        2.20
#[Out]# 11         Lidl  Wilhelminastraat  Eindhoven  Coffee        2.05
#[Out]# 12       Sligro      Kalverstraat  Amsterdam  Coffee        2.00
practicequery2a =  '''

SELECT DISTINCT not_on_list.cID, not_on_list.cName
FROM (
    -- All dates a customer went shopping with a list
    SELECT DISTINCT cus.cID, cus.cName, list.Date
    FROM customer cus, shoppinglist list, purchase pur
    WHERE cus.cID=list.cID \
    AND cus.cID=pur.cID \
    AND list.Date=pur.Date 
        
    EXCEPT -- Except the dates where cus got an item on his/her list:
    
    SELECT DISTINCT cus.cID, cus.cName, list.Date
    FROM customer cus, shoppinglist list, purchase pur
    WHERE cus.cID=list.cID \
    AND cus.cID=pur.cID \
    AND list.Date=pur.Date
    AND list.pID=pur.pID -- Purchased an item that was on list
    ) not_on_list

'''

pd.read_sql_query(practicequery2a, conn)
#[Out]#     cID   cName
#[Out]# 0     7    Bram
#[Out]# 1    13   James
#[Out]# 2    27     Tim
#[Out]# 3    33    Sven
#[Out]# 4    38  Floris
#[Out]# 5    43     Tom
#[Out]# 6    59    Joep
#[Out]# 7    64    Stan
#[Out]# 8    68   Boris
#[Out]# 9    82   Dylan
#[Out]# 10   92   Jelte
#[Out]# 11   95    Emma
#[Out]# 12  100    Sara
#[Out]# 13  109    Lynn
#[Out]# 14  112    Yara
#[Out]# 15  116   Lieke
#[Out]# 16  123   Milou
#[Out]# 17  144     Ivy
#[Out]# 18  162   Elena
#[Out]# 19  167  Veerle
#[Out]# 20  169    Lily
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID \
GROUP BY p.pID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     Product  Times bought
#[Out]# 0        19            26
#[Out]# 1         0            25
#[Out]# 2        28            25
#[Out]# 3        21            22
#[Out]# 4        13            21
#[Out]# 5        22            21
#[Out]# 6         3            20
#[Out]# 7         9            20
#[Out]# 8        16            20
#[Out]# 9        24            20
#[Out]# 10       26            20
#[Out]# 11       14            18
#[Out]# 12       17            18
#[Out]# 13       20            18
#[Out]# 14        4            16
#[Out]# 15        5            16
#[Out]# 16       10            16
#[Out]# 17       11            16
#[Out]# 18       12            16
#[Out]# 19        6            15
#[Out]# 20       27            15
#[Out]# 21        7            14
#[Out]# 22       15            14
#[Out]# 23       25            14
#[Out]# 24        1            13
#[Out]# 25        8            13
#[Out]# 26       23            13
#[Out]# 27        2            10
#[Out]# 28       18            10
#[Out]# 29       29             2
#[Out]# 30       30             2
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
GROUP BY p.pID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     Product  Times bought
#[Out]# 0        19          4940
#[Out]# 1         0          4750
#[Out]# 2        28          4750
#[Out]# 3        21          4180
#[Out]# 4        13          3990
#[Out]# 5        22          3990
#[Out]# 6         3          3800
#[Out]# 7         9          3800
#[Out]# 8        16          3800
#[Out]# 9        24          3800
#[Out]# 10       26          3800
#[Out]# 11       14          3420
#[Out]# 12       17          3420
#[Out]# 13       20          3420
#[Out]# 14        4          3040
#[Out]# 15        5          3040
#[Out]# 16       10          3040
#[Out]# 17       11          3040
#[Out]# 18       12          3040
#[Out]# 19        6          2850
#[Out]# 20       27          2850
#[Out]# 21        7          2660
#[Out]# 22       15          2660
#[Out]# 23       25          2660
#[Out]# 24        1          2470
#[Out]# 25        8          2470
#[Out]# 26       23          2470
#[Out]# 27        2          1900
#[Out]# 28       18          1900
#[Out]# 29       29           380
#[Out]# 30       30           380
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     Product  Times bought
#[Out]# 0        19            26
#[Out]# 1         0            25
#[Out]# 2        28            25
#[Out]# 3        21            22
#[Out]# 4        13            21
#[Out]# 5        22            21
#[Out]# 6         3            20
#[Out]# 7         9            20
#[Out]# 8        16            20
#[Out]# 9        24            20
#[Out]# 10       26            20
#[Out]# 11       14            18
#[Out]# 12       17            18
#[Out]# 13       20            18
#[Out]# 14        4            16
#[Out]# 15        5            16
#[Out]# 16       10            16
#[Out]# 17       11            16
#[Out]# 18       12            16
#[Out]# 19        6            15
#[Out]# 20       27            15
#[Out]# 21        7            14
#[Out]# 22       15            14
#[Out]# 23       25            14
#[Out]# 24        1            13
#[Out]# 25        8            13
#[Out]# 26       23            13
#[Out]# 27        2            10
#[Out]# 28       18            10
#[Out]# 29       29             2
#[Out]# 30       30             2
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought", c.cName
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     Product  Times bought   cName
#[Out]# 0        19            26  Kostas
#[Out]# 1         0            25  Kostas
#[Out]# 2        28            25  Kostas
#[Out]# 3        21            22  Kostas
#[Out]# 4        13            21  Kostas
#[Out]# 5        22            21  Kostas
#[Out]# 6         3            20  Kostas
#[Out]# 7         9            20  Kostas
#[Out]# 8        16            20    Juul
#[Out]# 9        24            20    Elif
#[Out]# 10       26            20  Kostas
#[Out]# 11       14            18    Juul
#[Out]# 12       17            18  Kostas
#[Out]# 13       20            18  Kostas
#[Out]# 14        4            16  Kostas
#[Out]# 15        5            16  Kostas
#[Out]# 16       10            16  Kostas
#[Out]# 17       11            16  Kostas
#[Out]# 18       12            16   Elena
#[Out]# 19        6            15  Kostas
#[Out]# 20       27            15  Kostas
#[Out]# 21        7            14  Kostas
#[Out]# 22       15            14  Kostas
#[Out]# 23       25            14  Kostas
#[Out]# 24        1            13    Lily
#[Out]# 25        8            13  Kostas
#[Out]# 26       23            13  Kostas
#[Out]# 27        2            10  Kostas
#[Out]# 28       18            10  Kostas
#[Out]# 29       29             2  Angela
#[Out]# 30       30             2    Pino
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought", c.cName
FROM customer c, purchase p
WHERE c.cID=p.cID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    Product  Times bought   cName
#[Out]# 0       18           509  Kostas
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     Product  Times bought
#[Out]# 0        19            26
#[Out]# 1         0            25
#[Out]# 2        28            25
#[Out]# 3        21            22
#[Out]# 4        13            21
#[Out]# 5        22            21
#[Out]# 6         3            20
#[Out]# 7         9            20
#[Out]# 8        16            20
#[Out]# 9        24            20
#[Out]# 10       26            20
#[Out]# 11       14            18
#[Out]# 12       17            18
#[Out]# 13       20            18
#[Out]# 14        4            16
#[Out]# 15        5            16
#[Out]# 16       10            16
#[Out]# 17       11            16
#[Out]# 18       12            16
#[Out]# 19        6            15
#[Out]# 20       27            15
#[Out]# 21        7            14
#[Out]# 22       15            14
#[Out]# 23       25            14
#[Out]# 24        1            13
#[Out]# 25        8            13
#[Out]# 26       23            13
#[Out]# 27        2            10
#[Out]# 28       18            10
#[Out]# 29       29             2
#[Out]# 30       30             2
# How many times was product 19 bought?

queryCount = '''

SELECT COUNT(*)
FROM product p, customer c
WHERE p.pID=19 \
AND p.cID=c.cID

'''
# How many times was product 19 bought?

queryCount = '''

SELECT COUNT(*)
FROM product p, customer c
WHERE p.pID=19 \
AND p.cID=c.cID

'''

pd.read_sql_query(queryCount, conn)
# How many times was product 19 bought?

queryCount = '''

SELECT COUNT(*)
FROM purchase p, customer c
WHERE p.pID=19 \
AND p.cID=c.cID

'''

pd.read_sql_query(queryCount, conn)
#[Out]#    COUNT(*)
#[Out]# 0        26
# How many times was product 19 bought?

queryCount = '''

SELECT *
FROM purchase p, customer c
WHERE p.cID=c.cID

'''

pd.read_sql_query(queryCount, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
# How many times was product 19 bought?

queryCount = '''

SELECT COUNT(*)
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(queryCount, conn)
#[Out]#    COUNT(*)
#[Out]# 0        26
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
LIMIT 5;

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    Product  Times bought
#[Out]# 0       19            26
#[Out]# 1        0            25
#[Out]# 2       28            25
#[Out]# 3       21            22
#[Out]# 4       13            21
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) ASC
LIMIT 5;

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    Product  Times bought
#[Out]# 0       29             2
#[Out]# 1       30             2
#[Out]# 2        2            10
#[Out]# 3       18            10
#[Out]# 4        1            13
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
LIMIT 5;

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    Product  Times bought
#[Out]# 0       19            26
#[Out]# 1        0            25
#[Out]# 2       28            25
#[Out]# 3       21            22
#[Out]# 4       13            21
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT p.pID as "Product", COUNT(*) AS "Times bought"
FROM customer c, purchase p
WHERE c.cID=p.cID
GROUP BY p.pID
ORDER BY COUNT(*) DESC
LIMIT 3;

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    Product  Times bought
#[Out]# 0       19            26
#[Out]# 1        0            25
#[Out]# 2       28            25
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
    LIMIT 3;
) pcounts
WHERE count<=2


'''

pd.read_sql_query(queryQ1, conn)
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
    LIMIT 3
) pcounts
WHERE count<=2


'''

pd.read_sql_query(queryQ1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
    LIMIT 3
) pcounts
WHERE pcounts.count<=2


'''

pd.read_sql_query(queryQ1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
    LIMIT 3
) pcounts


'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   19
#[Out]# 1    0
#[Out]# 2   28
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts


'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     pID
#[Out]# 0    19
#[Out]# 1     0
#[Out]# 2    28
#[Out]# 3    21
#[Out]# 4    13
#[Out]# 5    22
#[Out]# 6     3
#[Out]# 7     9
#[Out]# 8    16
#[Out]# 9    24
#[Out]# 10   26
#[Out]# 11   14
#[Out]# 12   17
#[Out]# 13   20
#[Out]# 14    4
#[Out]# 15    5
#[Out]# 16   10
#[Out]# 17   11
#[Out]# 18   12
#[Out]# 19    6
#[Out]# 20   27
#[Out]# 21    7
#[Out]# 22   15
#[Out]# 23   25
#[Out]# 24    1
#[Out]# 25    8
#[Out]# 26   23
#[Out]# 27    2
#[Out]# 28   18
#[Out]# 29   29
#[Out]# 30   30
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT *
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts


'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     pID  count
#[Out]# 0    19     26
#[Out]# 1     0     25
#[Out]# 2    28     25
#[Out]# 3    21     22
#[Out]# 4    13     21
#[Out]# 5    22     21
#[Out]# 6     3     20
#[Out]# 7     9     20
#[Out]# 8    16     20
#[Out]# 9    24     20
#[Out]# 10   26     20
#[Out]# 11   14     18
#[Out]# 12   17     18
#[Out]# 13   20     18
#[Out]# 14    4     16
#[Out]# 15    5     16
#[Out]# 16   10     16
#[Out]# 17   11     16
#[Out]# 18   12     16
#[Out]# 19    6     15
#[Out]# 20   27     15
#[Out]# 21    7     14
#[Out]# 22   15     14
#[Out]# 23   25     14
#[Out]# 24    1     13
#[Out]# 25    8     13
#[Out]# 26   23     13
#[Out]# 27    2     10
#[Out]# 28   18     10
#[Out]# 29   29      2
#[Out]# 30   30      2
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT *
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts
WHERE pcounts<=2

'''

pd.read_sql_query(queryQ1, conn)
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT *
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts
WHERE pcounts.count<=2

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID  count
#[Out]# 0   29      2
#[Out]# 1   30      2
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts
WHERE pcounts.count<=2

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# How many times was product 19 bought?

queryCount = '''

SELECT UNIQUE c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(queryCount, conn)
# How many times was product 19 bought?

queryCount = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(queryCount, conn)
#[Out]#     cID
#[Out]# 0     5
#[Out]# 1     7
#[Out]# 2    13
#[Out]# 3    16
#[Out]# 4    33
#[Out]# 5    37
#[Out]# 6    39
#[Out]# 7    40
#[Out]# 8    44
#[Out]# 9    59
#[Out]# 10   68
#[Out]# 11   84
#[Out]# 12   86
#[Out]# 13  116
#[Out]# 14  149
#[Out]# 15  152
#[Out]# 16  161
#[Out]# 17  167
#[Out]# 18  189
#[Out]# 19  190
# Who bought product 19?

queryCount = '''

SELECT DISTINCT c.cID, COUNT(*)
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(queryCount, conn)
#[Out]#    cID  COUNT(*)
#[Out]# 0  190        26
# Who bought product 19?

queryCount = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(queryCount, conn)
#[Out]#     cID
#[Out]# 0     5
#[Out]# 1     7
#[Out]# 2    13
#[Out]# 3    16
#[Out]# 4    33
#[Out]# 5    37
#[Out]# 6    39
#[Out]# 7    40
#[Out]# 8    44
#[Out]# 9    59
#[Out]# 10   68
#[Out]# 11   84
#[Out]# 12   86
#[Out]# 13  116
#[Out]# 14  149
#[Out]# 15  152
#[Out]# 16  161
#[Out]# 17  167
#[Out]# 18  189
#[Out]# 19  190
# Who bought product 19?

queryCount = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19
LIMIT 3
'''

pd.read_sql_query(queryCount, conn)
#[Out]#    cID
#[Out]# 0    5
#[Out]# 1    7
#[Out]# 2   13
# Who bought product 19?

query = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    cID
#[Out]# 0    5
#[Out]# 1    7
#[Out]# 2   13
query = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    cID
#[Out]# 0    0
#[Out]# 1    1
#[Out]# 2    2
query = '''

SELECT DISTINCT *
FROM purchase p, customer c
WHERE p.cID=c.cID \
GROUP BY p.pID
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 1  430  169   43    1  2018-08-18         9   6.55  169    Lily   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 
#[Out]#            street     city  
#[Out]# 0        Eindeweg  Utrecht  
#[Out]# 1  Gasthuisstraat  Utrecht  
#[Out]# 2        Eindeweg  Utrecht  
query = '''

SELECT DISTINCT *
FROM purchase p, customer c
WHERE p.cID=c.cID \
GROUP BY p.pID

'''

pd.read_sql_query(query, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0   838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 1   430  169   43    1  2018-08-18         9   6.55  169    Lily   
#[Out]# 2   842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 3   807  190   23    3  2018-08-18         1   2.75  190  Kostas   
#[Out]# 4   800  190   16    4  2018-08-26         1   2.40  190  Kostas   
#[Out]# 5   844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 7   822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 8   839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 9   846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 10  814  190   30   10  2018-08-18         4   4.35  190  Kostas   
#[Out]# 11  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 12  399  162    9   12  2018-08-24         9  13.15  162   Elena   
#[Out]# 13  811  190   27   13  2018-08-17         4   0.90  190  Kostas   
#[Out]# 14  460  179   25   14  2018-08-24         5   3.70  179    Juul   
#[Out]# 15  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 16  464  179   35   16  2018-08-22         9   1.85  179    Juul   
#[Out]# 17  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 18  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 19  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 20  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 21  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 22  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 23  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 24  459  178   39   24  2018-08-27         1   3.90  178    Elif   
#[Out]# 25  806  190   22   25  2018-08-19         7   3.20  190  Kostas   
#[Out]# 26  808  190   24   26  2018-08-16         5   3.25  190  Kostas   
#[Out]# 27  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 28  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 29  779  186   62   29  2018-08-21         5   1.00  186  Angela   
#[Out]# 30  781  188   62   30  2018-09-20         1   1.00  188    Pino   
#[Out]# 
#[Out]#             street       city  
#[Out]# 0         Eindeweg    Utrecht  
#[Out]# 1   Gasthuisstraat    Utrecht  
#[Out]# 2         Eindeweg    Utrecht  
#[Out]# 3         Eindeweg    Utrecht  
#[Out]# 4         Eindeweg    Utrecht  
#[Out]# 5         Eindeweg    Utrecht  
#[Out]# 6         Eindeweg    Utrecht  
#[Out]# 7         Eindeweg    Utrecht  
#[Out]# 8         Eindeweg    Utrecht  
#[Out]# 9         Eindeweg    Utrecht  
#[Out]# 10        Eindeweg    Utrecht  
#[Out]# 11        Eindeweg    Utrecht  
#[Out]# 12      Bergselaan  Rotterdam  
#[Out]# 13        Eindeweg    Utrecht  
#[Out]# 14  Wilhelminapark    Tilburg  
#[Out]# 15        Eindeweg    Utrecht  
#[Out]# 16  Wilhelminapark    Tilburg  
#[Out]# 17        Eindeweg    Utrecht  
#[Out]# 18        Eindeweg    Utrecht  
#[Out]# 19        Eindeweg    Utrecht  
#[Out]# 20        Eindeweg    Utrecht  
#[Out]# 21        Eindeweg    Utrecht  
#[Out]# 22        Eindeweg    Utrecht  
#[Out]# 23        Eindeweg    Utrecht  
#[Out]# 24     Parallelweg    Utrecht  
#[Out]# 25        Eindeweg    Utrecht  
#[Out]# 26        Eindeweg    Utrecht  
#[Out]# 27        Eindeweg    Utrecht  
#[Out]# 28        Eindeweg    Utrecht  
#[Out]# 29        Dichtweg  Eindhoven  
#[Out]# 30      Maanstraat  Rotterdam  
query = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \

'''

pd.read_sql_query(query, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query = '''

SELECT DISTINCT *
FROM purchase p, customer c
WHERE p.cID=c.cID \

'''

pd.read_sql_query(query, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 11 columns]
query = '''

SELECT DISTINCT c.cID, *
FROM purchase p, customer c
WHERE p.cID=c.cID \

'''

pd.read_sql_query(query, conn)
#[Out]#      cID  tID  cID  sID  pID        date  quantity  price  cID   cName  \
#[Out]# 0      0    0    0    3   10  2018-08-22         1   0.45    0    Noah   
#[Out]# 1      1    1    1   23   14  2018-08-20         2   4.65    1     Sem   
#[Out]# 2      1    2    1    3   16  2018-08-20         3   1.60    1     Sem   
#[Out]# 3      1    3    1   17    9  2018-08-20         2   1.25    1     Sem   
#[Out]# 4      1    4    1   32   25  2018-08-20         4   3.95    1     Sem   
#[Out]# 5      1    5    1   16   26  2018-08-20         4   2.75    1     Sem   
#[Out]# 6      1    6    1   46   11  2018-08-21         8   0.90    1     Sem   
#[Out]# 7      1    7    1   36   27  2018-08-21         6   9.10    1     Sem   
#[Out]# 8      2    8    2   12   20  2018-08-16         1   2.45    2   Lucas   
#[Out]# 9      2    9    2   39    9  2018-08-17         7   1.35    2   Lucas   
#[Out]# 10     2   10    2   13    4  2018-08-17         6   1.10    2   Lucas   
#[Out]# 11     2   11    2   51   13  2018-08-17         4   3.70    2   Lucas   
#[Out]# 12     2   12    2   47   22  2018-08-17         1   1.55    2   Lucas   
#[Out]# 13     3   13    3   44   14  2018-08-18         2   4.30    3    Finn   
#[Out]# 14     3   14    3   30   26  2018-08-19         2   2.75    3    Finn   
#[Out]# 15     3   15    3   29    9  2018-08-19         6   1.45    3    Finn   
#[Out]# 16     4   16    4   17    8  2018-08-24         2   4.15    4    Daan   
#[Out]# 17     4   17    4   10   27  2018-08-24         9   9.05    4    Daan   
#[Out]# 18     4   18    4   53   12  2018-08-25         5  13.60    4    Daan   
#[Out]# 19     4   19    4   21    6  2018-08-24         2   1.05    4    Daan   
#[Out]# 20     4   20    4    7   13  2018-08-25         9   3.05    4    Daan   
#[Out]# 21     4   21    4   44   26  2018-08-25         4   2.75    4    Daan   
#[Out]# 22     5   22    5    4   14  2018-08-17         6   4.70    5    Levi   
#[Out]# 23     5   23    5   36   28  2018-08-22         6   8.25    5    Levi   
#[Out]# 24     5   24    5   55    6  2018-08-23         9   1.10    5    Levi   
#[Out]# 25     5   25    5   51   22  2018-08-23         2   1.55    5    Levi   
#[Out]# 26     5   26    5    6   16  2018-08-23         2   1.85    5    Levi   
#[Out]# 27     5   27    5   17   19  2018-08-23         1   2.20    5    Levi   
#[Out]# 28     7   28    7    3   19  2018-08-23         2   2.10    7    Bram   
#[Out]# 29     7   29    7   12    2  2018-08-23         6   1.70    7    Bram   
#[Out]# ..   ...  ...  ...  ...  ...         ...       ...    ...  ...     ...   
#[Out]# 479  190  818  190   34   28  2018-08-20         4   2.80  190  Kostas   
#[Out]# 480  190  819  190   35   27  2018-08-15         5   0.50  190  Kostas   
#[Out]# 481  190  820  190   36    5  2018-08-23         3   2.55  190  Kostas   
#[Out]# 482  190  821  190   37   28  2018-08-15         4   0.65  190  Kostas   
#[Out]# 483  190  822  190   38    7  2018-08-24         4   0.70  190  Kostas   
#[Out]# 484  190  823  190   39    0  2018-08-25         4   3.70  190  Kostas   
#[Out]# 485  190  824  190   40   11  2018-08-15         2   3.50  190  Kostas   
#[Out]# 486  190  825  190   41    6  2018-08-15         5   2.95  190  Kostas   
#[Out]# 487  190  826  190   42   19  2018-08-22         5   2.75  190  Kostas   
#[Out]# 488  190  827  190   43   17  2018-08-17         7   1.50  190  Kostas   
#[Out]# 489  190  828  190   44    9  2018-08-18         5   0.85  190  Kostas   
#[Out]# 490  190  829  190   45   11  2018-08-19         2   3.55  190  Kostas   
#[Out]# 491  190  830  190   46   22  2018-08-25         4   2.60  190  Kostas   
#[Out]# 492  190  831  190   47   17  2018-08-17         4   3.25  190  Kostas   
#[Out]# 493  190  832  190   48   20  2018-08-26         6   4.30  190  Kostas   
#[Out]# 494  190  833  190   49   11  2018-08-17         3   3.05  190  Kostas   
#[Out]# 495  190  834  190   50   21  2018-08-22         6   4.05  190  Kostas   
#[Out]# 496  190  835  190   51   23  2018-08-19         1   1.50  190  Kostas   
#[Out]# 497  190  836  190   52   23  2018-08-15         5   2.50  190  Kostas   
#[Out]# 498  190  837  190   53    8  2018-08-18         4   3.95  190  Kostas   
#[Out]# 499  190  838  190   54    0  2018-08-25         6   3.50  190  Kostas   
#[Out]# 500  190  839  190   55    8  2018-08-18         7   2.95  190  Kostas   
#[Out]# 501  190  840  190   56   11  2018-08-15         4   1.60  190  Kostas   
#[Out]# 502  190  841  190   57   15  2018-08-22         5   3.25  190  Kostas   
#[Out]# 503  190  842  190   58    2  2018-08-19         7   0.75  190  Kostas   
#[Out]# 504  190  843  190   59   17  2018-08-26         2   3.80  190  Kostas   
#[Out]# 505  190  844  190   60    5  2018-08-27         6   4.35  190  Kostas   
#[Out]# 506  190  845  190   61   19  2018-08-23         5   2.85  190  Kostas   
#[Out]# 507  190  846  190   62    9  2018-08-16         2   3.15  190  Kostas   
#[Out]# 508  190  847  190   63   18  2018-08-21         1   3.30  190  Kostas   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0           Koestraat    Utrecht  
#[Out]# 1    Rozemarijnstraat      Breda  
#[Out]# 2    Rozemarijnstraat      Breda  
#[Out]# 3    Rozemarijnstraat      Breda  
#[Out]# 4    Rozemarijnstraat      Breda  
#[Out]# 5    Rozemarijnstraat      Breda  
#[Out]# 6    Rozemarijnstraat      Breda  
#[Out]# 7    Rozemarijnstraat      Breda  
#[Out]# 8    Oude Leliestraat  Amsterdam  
#[Out]# 9    Oude Leliestraat  Amsterdam  
#[Out]# 10   Oude Leliestraat  Amsterdam  
#[Out]# 11   Oude Leliestraat  Amsterdam  
#[Out]# 12   Oude Leliestraat  Amsterdam  
#[Out]# 13      Stationsplein      Breda  
#[Out]# 14      Stationsplein      Breda  
#[Out]# 15      Stationsplein      Breda  
#[Out]# 16       Kalverstraat  Amsterdam  
#[Out]# 17       Kalverstraat  Amsterdam  
#[Out]# 18       Kalverstraat  Amsterdam  
#[Out]# 19       Kalverstraat  Amsterdam  
#[Out]# 20       Kalverstraat  Amsterdam  
#[Out]# 21       Kalverstraat  Amsterdam  
#[Out]# 22     Gasthuisstraat    Utrecht  
#[Out]# 23     Gasthuisstraat    Utrecht  
#[Out]# 24     Gasthuisstraat    Utrecht  
#[Out]# 25     Gasthuisstraat    Utrecht  
#[Out]# 26     Gasthuisstraat    Utrecht  
#[Out]# 27     Gasthuisstraat    Utrecht  
#[Out]# 28       Schoolstraat  Eindhoven  
#[Out]# 29       Schoolstraat  Eindhoven  
#[Out]# ..                ...        ...  
#[Out]# 479          Eindeweg    Utrecht  
#[Out]# 480          Eindeweg    Utrecht  
#[Out]# 481          Eindeweg    Utrecht  
#[Out]# 482          Eindeweg    Utrecht  
#[Out]# 483          Eindeweg    Utrecht  
#[Out]# 484          Eindeweg    Utrecht  
#[Out]# 485          Eindeweg    Utrecht  
#[Out]# 486          Eindeweg    Utrecht  
#[Out]# 487          Eindeweg    Utrecht  
#[Out]# 488          Eindeweg    Utrecht  
#[Out]# 489          Eindeweg    Utrecht  
#[Out]# 490          Eindeweg    Utrecht  
#[Out]# 491          Eindeweg    Utrecht  
#[Out]# 492          Eindeweg    Utrecht  
#[Out]# 493          Eindeweg    Utrecht  
#[Out]# 494          Eindeweg    Utrecht  
#[Out]# 495          Eindeweg    Utrecht  
#[Out]# 496          Eindeweg    Utrecht  
#[Out]# 497          Eindeweg    Utrecht  
#[Out]# 498          Eindeweg    Utrecht  
#[Out]# 499          Eindeweg    Utrecht  
#[Out]# 500          Eindeweg    Utrecht  
#[Out]# 501          Eindeweg    Utrecht  
#[Out]# 502          Eindeweg    Utrecht  
#[Out]# 503          Eindeweg    Utrecht  
#[Out]# 504          Eindeweg    Utrecht  
#[Out]# 505          Eindeweg    Utrecht  
#[Out]# 506          Eindeweg    Utrecht  
#[Out]# 507          Eindeweg    Utrecht  
#[Out]# 508          Eindeweg    Utrecht  
#[Out]# 
#[Out]# [509 rows x 12 columns]
# Who bought product 19?

query = '''

SELECT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    cID
#[Out]# 0    5
#[Out]# 1    7
#[Out]# 2   13
# Who bought product 19?

query = '''

SELECT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(query, conn)
#[Out]#     cID
#[Out]# 0     5
#[Out]# 1     7
#[Out]# 2    13
#[Out]# 3    16
#[Out]# 4    33
#[Out]# 5    37
#[Out]# 6    39
#[Out]# 7    40
#[Out]# 8    44
#[Out]# 9    59
#[Out]# 10   68
#[Out]# 11   84
#[Out]# 12   86
#[Out]# 13  116
#[Out]# 14  149
#[Out]# 15  152
#[Out]# 16  161
#[Out]# 17  167
#[Out]# 18  189
#[Out]# 19  190
#[Out]# 20  190
#[Out]# 21  190
#[Out]# 22  190
#[Out]# 23  190
#[Out]# 24  190
#[Out]# 25  190
# Who bought product 19?

query = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19

'''

pd.read_sql_query(query, conn)
#[Out]#     cID
#[Out]# 0     5
#[Out]# 1     7
#[Out]# 2    13
#[Out]# 3    16
#[Out]# 4    33
#[Out]# 5    37
#[Out]# 6    39
#[Out]# 7    40
#[Out]# 8    44
#[Out]# 9    59
#[Out]# 10   68
#[Out]# 11   84
#[Out]# 12   86
#[Out]# 13  116
#[Out]# 14  149
#[Out]# 15  152
#[Out]# 16  161
#[Out]# 17  167
#[Out]# 18  189
#[Out]# 19  190
# Who bought product 19?

query = '''

SELECT DISTINCT c.cID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19
LIMIT 3
'''

pd.read_sql_query(query, conn)
#[Out]#    cID
#[Out]# 0    5
#[Out]# 1    7
#[Out]# 2   13
query = '''

SELECT DISTINCT c.cID, p.pID
FROM purchase p, customer c
WHERE p.cID=c.cID \

'''

pd.read_sql_query(query, conn)
#[Out]#      cID  pID
#[Out]# 0      0   10
#[Out]# 1      1   14
#[Out]# 2      1   16
#[Out]# 3      1    9
#[Out]# 4      1   25
#[Out]# 5      1   26
#[Out]# 6      1   11
#[Out]# 7      1   27
#[Out]# 8      2   20
#[Out]# 9      2    9
#[Out]# 10     2    4
#[Out]# 11     2   13
#[Out]# 12     2   22
#[Out]# 13     3   14
#[Out]# 14     3   26
#[Out]# 15     3    9
#[Out]# 16     4    8
#[Out]# 17     4   27
#[Out]# 18     4   12
#[Out]# 19     4    6
#[Out]# 20     4   13
#[Out]# 21     4   26
#[Out]# 22     5   14
#[Out]# 23     5   28
#[Out]# 24     5    6
#[Out]# 25     5   22
#[Out]# 26     5   16
#[Out]# 27     5   19
#[Out]# 28     7   19
#[Out]# 29     7    2
#[Out]# ..   ...  ...
#[Out]# 438  184    0
#[Out]# 439  185   29
#[Out]# 440  186   29
#[Out]# 441  188   30
#[Out]# 442  189    7
#[Out]# 443  189   19
#[Out]# 444  190   27
#[Out]# 445  190   19
#[Out]# 446  190   28
#[Out]# 447  190    7
#[Out]# 448  190    2
#[Out]# 449  190   10
#[Out]# 450  190   22
#[Out]# 451  190   20
#[Out]# 452  190   21
#[Out]# 453  190    9
#[Out]# 454  190   26
#[Out]# 455  190    0
#[Out]# 456  190   15
#[Out]# 457  190    4
#[Out]# 458  190   23
#[Out]# 459  190   17
#[Out]# 460  190   25
#[Out]# 461  190    3
#[Out]# 462  190    5
#[Out]# 463  190   13
#[Out]# 464  190   11
#[Out]# 465  190    6
#[Out]# 466  190    8
#[Out]# 467  190   18
#[Out]# 
#[Out]# [468 rows x 2 columns]
query = '''

SELECT DISTINCT c.cID, p.pID
FROM purchase p, customer c
WHERE p.cID=c.cID \
ORDER BY p.pID
'''

pd.read_sql_query(query, conn)
#[Out]#      cID  pID
#[Out]# 0     13    0
#[Out]# 1     16    0
#[Out]# 2     19    0
#[Out]# 3     20    0
#[Out]# 4     24    0
#[Out]# 5     33    0
#[Out]# 6     66    0
#[Out]# 7     78    0
#[Out]# 8     82    0
#[Out]# 9     95    0
#[Out]# 10   113    0
#[Out]# 11   123    0
#[Out]# 12   127    0
#[Out]# 13   139    0
#[Out]# 14   144    0
#[Out]# 15   157    0
#[Out]# 16   163    0
#[Out]# 17   167    0
#[Out]# 18   170    0
#[Out]# 19   176    0
#[Out]# 20   184    0
#[Out]# 21   190    0
#[Out]# 22    33    1
#[Out]# 23    59    1
#[Out]# 24    69    1
#[Out]# 25    92    1
#[Out]# 26   108    1
#[Out]# 27   109    1
#[Out]# 28   112    1
#[Out]# 29   131    1
#[Out]# ..   ...  ...
#[Out]# 438  134   27
#[Out]# 439  161   27
#[Out]# 440  179   27
#[Out]# 441  190   27
#[Out]# 442    5   28
#[Out]# 443   22   28
#[Out]# 444   35   28
#[Out]# 445   39   28
#[Out]# 446   40   28
#[Out]# 447   60   28
#[Out]# 448   70   28
#[Out]# 449   71   28
#[Out]# 450   82   28
#[Out]# 451   86   28
#[Out]# 452  100   28
#[Out]# 453  108   28
#[Out]# 454  118   28
#[Out]# 455  123   28
#[Out]# 456  124   28
#[Out]# 457  127   28
#[Out]# 458  136   28
#[Out]# 459  161   28
#[Out]# 460  162   28
#[Out]# 461  169   28
#[Out]# 462  170   28
#[Out]# 463  175   28
#[Out]# 464  190   28
#[Out]# 465  185   29
#[Out]# 466  186   29
#[Out]# 467  188   30
#[Out]# 
#[Out]# [468 rows x 2 columns]
query = '''

SELECT DISTINCT c.cID, p.pID
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=19
ORDER BY p.pID
'''

pd.read_sql_query(query, conn)
#[Out]#     cID  pID
#[Out]# 0     5   19
#[Out]# 1     7   19
#[Out]# 2    13   19
#[Out]# 3    16   19
#[Out]# 4    33   19
#[Out]# 5    37   19
#[Out]# 6    39   19
#[Out]# 7    40   19
#[Out]# 8    44   19
#[Out]# 9    59   19
#[Out]# 10   68   19
#[Out]# 11   84   19
#[Out]# 12   86   19
#[Out]# 13  116   19
#[Out]# 14  149   19
#[Out]# 15  152   19
#[Out]# 16  161   19
#[Out]# 17  167   19
#[Out]# 18  189   19
#[Out]# 19  190   19
query = '''

SELECT DISTINCT c.cID, p.pID
FROM purchase p, customer c
WHERE p.cID=c.cID \
ORDER BY p.pID
'''

pd.read_sql_query(query, conn)
#[Out]#      cID  pID
#[Out]# 0     13    0
#[Out]# 1     16    0
#[Out]# 2     19    0
#[Out]# 3     20    0
#[Out]# 4     24    0
#[Out]# 5     33    0
#[Out]# 6     66    0
#[Out]# 7     78    0
#[Out]# 8     82    0
#[Out]# 9     95    0
#[Out]# 10   113    0
#[Out]# 11   123    0
#[Out]# 12   127    0
#[Out]# 13   139    0
#[Out]# 14   144    0
#[Out]# 15   157    0
#[Out]# 16   163    0
#[Out]# 17   167    0
#[Out]# 18   170    0
#[Out]# 19   176    0
#[Out]# 20   184    0
#[Out]# 21   190    0
#[Out]# 22    33    1
#[Out]# 23    59    1
#[Out]# 24    69    1
#[Out]# 25    92    1
#[Out]# 26   108    1
#[Out]# 27   109    1
#[Out]# 28   112    1
#[Out]# 29   131    1
#[Out]# ..   ...  ...
#[Out]# 438  134   27
#[Out]# 439  161   27
#[Out]# 440  179   27
#[Out]# 441  190   27
#[Out]# 442    5   28
#[Out]# 443   22   28
#[Out]# 444   35   28
#[Out]# 445   39   28
#[Out]# 446   40   28
#[Out]# 447   60   28
#[Out]# 448   70   28
#[Out]# 449   71   28
#[Out]# 450   82   28
#[Out]# 451   86   28
#[Out]# 452  100   28
#[Out]# 453  108   28
#[Out]# 454  118   28
#[Out]# 455  123   28
#[Out]# 456  124   28
#[Out]# 457  127   28
#[Out]# 458  136   28
#[Out]# 459  161   28
#[Out]# 460  162   28
#[Out]# 461  169   28
#[Out]# 462  170   28
#[Out]# 463  175   28
#[Out]# 464  190   28
#[Out]# 465  185   29
#[Out]# 466  186   29
#[Out]# 467  188   30
#[Out]# 
#[Out]# [468 rows x 2 columns]
query = '''

SELECT COUNT(*)
FROM purchase p, customer c
WHERE p.cID=c.cID \
GROUP BY p.pID
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    COUNT(*)
#[Out]# 0        25
#[Out]# 1        13
#[Out]# 2        10
query = '''

SELECT *
FROM purchase p, customer c
WHERE p.cID=c.cID \
AND p.pID=30
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  cID cName      street  \
#[Out]# 0  780  188   62   30  2018-08-20         1      1  188  Pino  Maanstraat   
#[Out]# 1  781  188   62   30  2018-09-20         1      1  188  Pino  Maanstraat   
#[Out]# 
#[Out]#         city  
#[Out]# 0  Rotterdam  
#[Out]# 1  Rotterdam  
query = '''

SELECT p.pID, COUNT(*) as "times bought"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID


'''

pd.read_sql_query(query, conn)
#[Out]#     pID  times bought
#[Out]# 0     0            22
#[Out]# 1     1            13
#[Out]# 2     2             9
#[Out]# 3     3            20
#[Out]# 4     4            16
#[Out]# 5     5            14
#[Out]# 6     6            15
#[Out]# 7     7            13
#[Out]# 8     8            12
#[Out]# 9     9            18
#[Out]# 10   10            14
#[Out]# 11   11            13
#[Out]# 12   12            16
#[Out]# 13   13            21
#[Out]# 14   14            18
#[Out]# 15   15            13
#[Out]# 16   16            20
#[Out]# 17   17            13
#[Out]# 18   18            10
#[Out]# 19   19            20
#[Out]# 20   20            16
#[Out]# 21   21            19
#[Out]# 22   22            20
#[Out]# 23   23            11
#[Out]# 24   24            20
#[Out]# 25   25            14
#[Out]# 26   26            19
#[Out]# 27   27            13
#[Out]# 28   28            23
#[Out]# 29   29             2
#[Out]# 30   30             1
query = '''

SELECT p.pID, COUNT(*) as "Unique customers bought"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID


'''

pd.read_sql_query(query, conn)
#[Out]#     pID  Unique customers bought
#[Out]# 0     0                       22
#[Out]# 1     1                       13
#[Out]# 2     2                        9
#[Out]# 3     3                       20
#[Out]# 4     4                       16
#[Out]# 5     5                       14
#[Out]# 6     6                       15
#[Out]# 7     7                       13
#[Out]# 8     8                       12
#[Out]# 9     9                       18
#[Out]# 10   10                       14
#[Out]# 11   11                       13
#[Out]# 12   12                       16
#[Out]# 13   13                       21
#[Out]# 14   14                       18
#[Out]# 15   15                       13
#[Out]# 16   16                       20
#[Out]# 17   17                       13
#[Out]# 18   18                       10
#[Out]# 19   19                       20
#[Out]# 20   20                       16
#[Out]# 21   21                       19
#[Out]# 22   22                       20
#[Out]# 23   23                       11
#[Out]# 24   24                       20
#[Out]# 25   25                       14
#[Out]# 26   26                       19
#[Out]# 27   27                       13
#[Out]# 28   28                       23
#[Out]# 29   29                        2
#[Out]# 30   30                        1
query = '''

SELECT p.pID, COUNT(*) as "#distinct customers"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID


'''

pd.read_sql_query(query, conn)
#[Out]#     pID  #distinct customers
#[Out]# 0     0                   22
#[Out]# 1     1                   13
#[Out]# 2     2                    9
#[Out]# 3     3                   20
#[Out]# 4     4                   16
#[Out]# 5     5                   14
#[Out]# 6     6                   15
#[Out]# 7     7                   13
#[Out]# 8     8                   12
#[Out]# 9     9                   18
#[Out]# 10   10                   14
#[Out]# 11   11                   13
#[Out]# 12   12                   16
#[Out]# 13   13                   21
#[Out]# 14   14                   18
#[Out]# 15   15                   13
#[Out]# 16   16                   20
#[Out]# 17   17                   13
#[Out]# 18   18                   10
#[Out]# 19   19                   20
#[Out]# 20   20                   16
#[Out]# 21   21                   19
#[Out]# 22   22                   20
#[Out]# 23   23                   11
#[Out]# 24   24                   20
#[Out]# 25   25                   14
#[Out]# 26   26                   19
#[Out]# 27   27                   13
#[Out]# 28   28                   23
#[Out]# 29   29                    2
#[Out]# 30   30                    1
query = '''

SELECT p.pID, COUNT(*) as "distinct"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID
ORDER BY p.distinct


'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID, COUNT(*) as "distinct"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID
ORDER BY distinct


'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID, COUNT(*) as "distinct"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID
ORDER BY COUNT


'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID, COUNT(*) as "distinct"
FROM (
    SELECT DISTINCT c.cID, p.pID
    FROM purchase p, customer c
    WHERE p.cID=c.cID \
    ORDER BY p.pID
) p
GROUP BY p.pID
ORDER BY COUNT(*)


'''

pd.read_sql_query(query, conn)
#[Out]#     pID  distinct
#[Out]# 0    30         1
#[Out]# 1    29         2
#[Out]# 2     2         9
#[Out]# 3    18        10
#[Out]# 4    23        11
#[Out]# 5     8        12
#[Out]# 6     1        13
#[Out]# 7     7        13
#[Out]# 8    11        13
#[Out]# 9    15        13
#[Out]# 10   17        13
#[Out]# 11   27        13
#[Out]# 12    5        14
#[Out]# 13   10        14
#[Out]# 14   25        14
#[Out]# 15    6        15
#[Out]# 16    4        16
#[Out]# 17   12        16
#[Out]# 18   20        16
#[Out]# 19    9        18
#[Out]# 20   14        18
#[Out]# 21   21        19
#[Out]# 22   26        19
#[Out]# 23    3        20
#[Out]# 24   16        20
#[Out]# 25   19        20
#[Out]# 26   22        20
#[Out]# 27   24        20
#[Out]# 28   13        21
#[Out]# 29    0        22
#[Out]# 30   28        23
query = '''

SELECT *
FROM purchase p
WHERE p.pID=28
LIMIT 3

'''

pd.read_sql_query(query, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   23    5   36   28  2018-08-22         6   8.25
#[Out]# 1   73   22   25   28  2018-08-27         3   8.05
#[Out]# 2  111   35   34   28  2018-08-18         7   9.45
query = '''

SELECT *
FROM purchase p
WHERE p.pID=28
'''

pd.read_sql_query(query, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    23    5   36   28  2018-08-22         6   8.25
#[Out]# 1    73   22   25   28  2018-08-27         3   8.05
#[Out]# 2   111   35   34   28  2018-08-18         7   9.45
#[Out]# 3   123   39   21   28  2018-08-29         3   7.05
#[Out]# 4   124   40   52   28  2018-08-16         9   9.60
#[Out]# 5   180   60   30   28  2018-08-23         6   8.90
#[Out]# 6   197   70   54   28  2018-08-25         4   9.70
#[Out]# 7   200   71   55   28  2018-08-24         8   7.25
#[Out]# 8   224   82   52   28  2018-08-23         2   7.35
#[Out]# 9   234   86   20   28  2018-08-17         6   8.60
#[Out]# 10  271  100   40   28  2018-08-22         2   8.25
#[Out]# 11  280  108   41   28  2018-08-15         2   7.65
#[Out]# 12  307  118   38   28  2018-08-20         5   6.95
#[Out]# 13  320  123   34   28  2018-08-24         3   8.25
#[Out]# 14  325  124   14   28  2018-08-26         6   8.25
#[Out]# 15  337  127   34   28  2018-08-26         7   8.35
#[Out]# 16  350  136   37   28  2018-08-24         5   7.75
#[Out]# 17  393  161   36   28  2018-08-26         4   7.20
#[Out]# 18  397  162   18   28  2018-08-22         1   8.70
#[Out]# 19  428  169   18   28  2018-08-17         8   7.70
#[Out]# 20  438  170    9   28  2018-08-16         2   9.85
#[Out]# 21  445  175   27   28  2018-08-19         1   8.10
#[Out]# 22  787  190    3   28  2018-08-23         5   0.50
#[Out]# 23  818  190   34   28  2018-08-20         4   2.80
#[Out]# 24  821  190   37   28  2018-08-15         4   0.65
query = '''

SELECT *
FROM purchase p
WHERE p.pID=28
ORDER BY p.cID
'''

pd.read_sql_query(query, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    23    5   36   28  2018-08-22         6   8.25
#[Out]# 1    73   22   25   28  2018-08-27         3   8.05
#[Out]# 2   111   35   34   28  2018-08-18         7   9.45
#[Out]# 3   123   39   21   28  2018-08-29         3   7.05
#[Out]# 4   124   40   52   28  2018-08-16         9   9.60
#[Out]# 5   180   60   30   28  2018-08-23         6   8.90
#[Out]# 6   197   70   54   28  2018-08-25         4   9.70
#[Out]# 7   200   71   55   28  2018-08-24         8   7.25
#[Out]# 8   224   82   52   28  2018-08-23         2   7.35
#[Out]# 9   234   86   20   28  2018-08-17         6   8.60
#[Out]# 10  271  100   40   28  2018-08-22         2   8.25
#[Out]# 11  280  108   41   28  2018-08-15         2   7.65
#[Out]# 12  307  118   38   28  2018-08-20         5   6.95
#[Out]# 13  320  123   34   28  2018-08-24         3   8.25
#[Out]# 14  325  124   14   28  2018-08-26         6   8.25
#[Out]# 15  337  127   34   28  2018-08-26         7   8.35
#[Out]# 16  350  136   37   28  2018-08-24         5   7.75
#[Out]# 17  393  161   36   28  2018-08-26         4   7.20
#[Out]# 18  397  162   18   28  2018-08-22         1   8.70
#[Out]# 19  428  169   18   28  2018-08-17         8   7.70
#[Out]# 20  438  170    9   28  2018-08-16         2   9.85
#[Out]# 21  445  175   27   28  2018-08-19         1   8.10
#[Out]# 22  787  190    3   28  2018-08-23         5   0.50
#[Out]# 23  818  190   34   28  2018-08-20         4   2.80
#[Out]# 24  821  190   37   28  2018-08-15         4   0.65
query = '''

SELECT p.pID
FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
        ORDER BY p.pID
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY customer_count.count
)

'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
        ORDER BY p.pID
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY customer_count.count
)

'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID
FROM (
    SELECT customer_count.pID, COUNT(*)
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
        ORDER BY p.pID
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
)

'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID
FROM (
    SELECT customer_count.pID, COUNT(*)
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
)

'''

pd.read_sql_query(query, conn)
query = '''

SELECT p.pID
FROM (
    SELECT customer_count.pID, COUNT(*)
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p

'''

pd.read_sql_query(query, conn)
#[Out]#     pID
#[Out]# 0    30
#[Out]# 1    29
#[Out]# 2     2
#[Out]# 3    18
#[Out]# 4    23
#[Out]# 5     8
#[Out]# 6     1
#[Out]# 7     7
#[Out]# 8    11
#[Out]# 9    15
#[Out]# 10   17
#[Out]# 11   27
#[Out]# 12    5
#[Out]# 13   10
#[Out]# 14   25
#[Out]# 15    6
#[Out]# 16    4
#[Out]# 17   12
#[Out]# 18   20
#[Out]# 19    9
#[Out]# 20   14
#[Out]# 21   21
#[Out]# 22   26
#[Out]# 23    3
#[Out]# 24   16
#[Out]# 25   19
#[Out]# 26   22
#[Out]# 27   24
#[Out]# 28   13
#[Out]# 29    0
#[Out]# 30   28
query = '''

SELECT *
FROM (
    SELECT customer_count.pID, COUNT(*)
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p

'''

pd.read_sql_query(query, conn)
#[Out]#     pID  COUNT(*)
#[Out]# 0    30         1
#[Out]# 1    29         2
#[Out]# 2     2         9
#[Out]# 3    18        10
#[Out]# 4    23        11
#[Out]# 5     8        12
#[Out]# 6     1        13
#[Out]# 7     7        13
#[Out]# 8    11        13
#[Out]# 9    15        13
#[Out]# 10   17        13
#[Out]# 11   27        13
#[Out]# 12    5        14
#[Out]# 13   10        14
#[Out]# 14   25        14
#[Out]# 15    6        15
#[Out]# 16    4        16
#[Out]# 17   12        16
#[Out]# 18   20        16
#[Out]# 19    9        18
#[Out]# 20   14        18
#[Out]# 21   21        19
#[Out]# 22   26        19
#[Out]# 23    3        20
#[Out]# 24   16        20
#[Out]# 25   19        20
#[Out]# 26   22        20
#[Out]# 27   24        20
#[Out]# 28   13        21
#[Out]# 29    0        22
#[Out]# 30   28        23
query = '''

SELECT *
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY customer_count.count
) p

'''

pd.read_sql_query(query, conn)
query = '''

SELECT *
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p

'''

pd.read_sql_query(query, conn)
#[Out]#     pID  count
#[Out]# 0    30      1
#[Out]# 1    29      2
#[Out]# 2     2      9
#[Out]# 3    18     10
#[Out]# 4    23     11
#[Out]# 5     8     12
#[Out]# 6     1     13
#[Out]# 7     7     13
#[Out]# 8    11     13
#[Out]# 9    15     13
#[Out]# 10   17     13
#[Out]# 11   27     13
#[Out]# 12    5     14
#[Out]# 13   10     14
#[Out]# 14   25     14
#[Out]# 15    6     15
#[Out]# 16    4     16
#[Out]# 17   12     16
#[Out]# 18   20     16
#[Out]# 19    9     18
#[Out]# 20   14     18
#[Out]# 21   21     19
#[Out]# 22   26     19
#[Out]# 23    3     20
#[Out]# 24   16     20
#[Out]# 25   19     20
#[Out]# 26   22     20
#[Out]# 27   24     20
#[Out]# 28   13     21
#[Out]# 29    0     22
#[Out]# 30   28     23
query = '''

SELECT *
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID  count
#[Out]# 0   30      1
#[Out]# 1   29      2
query = '''

SELECT p.pID
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID \
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   29
# List all the product ids of products that were bought by
# at most two different customers

queryQ1 = '''

SELECT pcounts.pID

FROM (
    SELECT p.pID, COUNT(*) AS "count"
    FROM customer c, purchase p
    WHERE c.cID=p.cID
    GROUP BY p.pID
    ORDER BY COUNT(*) DESC
) pcounts

WHERE pcounts.count<=2

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT cus.cID, cus.cName
FROM customer cus, purchase pur, product pro
WHERE 

UNION

'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT product.pID, purchase.pID, purchase.tID, purchase.Date
    FROM product, purchase
    WHERE product.pName='Onions' OR product.pName='Coffee' \
    AND product.pID=purchase.pID
) products




'''

pd.read_sql_query(queryQ2, conn)
#[Out]#      pID  pID:1  tID        Date
#[Out]# 0      4     10    0  2018-08-22
#[Out]# 1      4     14    1  2018-08-20
#[Out]# 2      4     16    2  2018-08-20
#[Out]# 3      4      9    3  2018-08-20
#[Out]# 4      4     25    4  2018-08-20
#[Out]# 5      4     26    5  2018-08-20
#[Out]# 6      4     11    6  2018-08-21
#[Out]# 7      4     27    7  2018-08-21
#[Out]# 8      4     20    8  2018-08-16
#[Out]# 9      4      9    9  2018-08-17
#[Out]# 10     4      4   10  2018-08-17
#[Out]# 11     4     13   11  2018-08-17
#[Out]# 12     4     22   12  2018-08-17
#[Out]# 13     4     14   13  2018-08-18
#[Out]# 14     4     26   14  2018-08-19
#[Out]# 15     4      9   15  2018-08-19
#[Out]# 16     4      8   16  2018-08-24
#[Out]# 17     4     27   17  2018-08-24
#[Out]# 18     4     12   18  2018-08-25
#[Out]# 19     4      6   19  2018-08-24
#[Out]# 20     4     13   20  2018-08-25
#[Out]# 21     4     26   21  2018-08-25
#[Out]# 22     4     14   22  2018-08-17
#[Out]# 23     4     28   23  2018-08-22
#[Out]# 24     4      6   24  2018-08-23
#[Out]# 25     4     22   25  2018-08-23
#[Out]# 26     4     16   26  2018-08-23
#[Out]# 27     4     19   27  2018-08-23
#[Out]# 28     4     19   28  2018-08-23
#[Out]# 29     4      2   29  2018-08-23
#[Out]# ..   ...    ...  ...         ...
#[Out]# 501    4     11  840  2018-08-15
#[Out]# 502    4     15  841  2018-08-22
#[Out]# 503    4      2  842  2018-08-19
#[Out]# 504    4     17  843  2018-08-26
#[Out]# 505    4      5  844  2018-08-27
#[Out]# 506    4     19  845  2018-08-23
#[Out]# 507    4      9  846  2018-08-16
#[Out]# 508    4     18  847  2018-08-21
#[Out]# 509   21     21   49  2018-08-24
#[Out]# 510   21     21  131  2018-08-18
#[Out]# 511   21     21  176  2018-08-15
#[Out]# 512   21     21  217  2018-08-19
#[Out]# 513   21     21  235  2018-08-18
#[Out]# 514   21     21  248  2018-08-25
#[Out]# 515   21     21  264  2018-08-25
#[Out]# 516   21     21  279  2018-08-15
#[Out]# 517   21     21  292  2018-08-18
#[Out]# 518   21     21  293  2018-08-22
#[Out]# 519   21     21  312  2018-08-25
#[Out]# 520   21     21  328  2018-08-26
#[Out]# 521   21     21  369  2018-08-20
#[Out]# 522   21     21  427  2018-08-16
#[Out]# 523   21     21  442  2018-08-20
#[Out]# 524   21     21  446  2018-08-20
#[Out]# 525   21     21  451  2018-08-26
#[Out]# 526   21     21  471  2018-08-27
#[Out]# 527   21     21  793  2018-08-26
#[Out]# 528   21     21  799  2018-08-20
#[Out]# 529   21     21  810  2018-08-22
#[Out]# 530   21     21  834  2018-08-22
#[Out]# 
#[Out]# [531 rows x 4 columns]
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
    FROM (
        SELECT purchase.tID, purchase.pID, purchase.cID
        FROM product onions, product coffee, purchase
        WHERE onions.pName='Onions'
        AND  coffee.pName='Coffee'
        AND onions.pID=purchase.pID
        AND coffee.pID=purchase.pID

        )
    





'''

pd.read_sql_query(queryQ2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, pID, cID]
#[Out]# Index: []
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
    FROM (
        SELECT purchase.tID, purchase.pID, purchase.cID
        FROM product onions, product coffee, purchase
        WHERE onions.pName='Onions'
        AND  coffee.pName='Coffee'
        AND onions.pID=purchase.pID
        AND coffee.pID=purchase.pID
        )
    
'''

pd.read_sql_query(queryQ2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, pID, cID]
#[Out]# Index: []
query = '''

SELECT p.pID 
FROM (
    SELECT customer_count.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID
    ) customer_count
    GROUP BY customer_count.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   29
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND onions.pID=purchase.pID
    AND coffee.pID=purchase.pID
) name
    
'''

pd.read_sql_query(queryQ2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, pID, cID]
#[Out]# Index: []
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
) name

'''

pd.read_sql_query(queryQ2, conn)
#[Out]#      tID  pID  cID
#[Out]# 0      0   10    0
#[Out]# 1      1   14    1
#[Out]# 2      2   16    1
#[Out]# 3      3    9    1
#[Out]# 4      4   25    1
#[Out]# 5      5   26    1
#[Out]# 6      6   11    1
#[Out]# 7      7   27    1
#[Out]# 8      8   20    2
#[Out]# 9      9    9    2
#[Out]# 10    10    4    2
#[Out]# 11    11   13    2
#[Out]# 12    12   22    2
#[Out]# 13    13   14    3
#[Out]# 14    14   26    3
#[Out]# 15    15    9    3
#[Out]# 16    16    8    4
#[Out]# 17    17   27    4
#[Out]# 18    18   12    4
#[Out]# 19    19    6    4
#[Out]# 20    20   13    4
#[Out]# 21    21   26    4
#[Out]# 22    22   14    5
#[Out]# 23    23   28    5
#[Out]# 24    24    6    5
#[Out]# 25    25   22    5
#[Out]# 26    26   16    5
#[Out]# 27    27   19    5
#[Out]# 28    28   19    7
#[Out]# 29    29    2    7
#[Out]# ..   ...  ...  ...
#[Out]# 479  818   28  190
#[Out]# 480  819   27  190
#[Out]# 481  820    5  190
#[Out]# 482  821   28  190
#[Out]# 483  822    7  190
#[Out]# 484  823    0  190
#[Out]# 485  824   11  190
#[Out]# 486  825    6  190
#[Out]# 487  826   19  190
#[Out]# 488  827   17  190
#[Out]# 489  828    9  190
#[Out]# 490  829   11  190
#[Out]# 491  830   22  190
#[Out]# 492  831   17  190
#[Out]# 493  832   20  190
#[Out]# 494  833   11  190
#[Out]# 495  834   21  190
#[Out]# 496  835   23  190
#[Out]# 497  836   23  190
#[Out]# 498  837    8  190
#[Out]# 499  838    0  190
#[Out]# 500  839    8  190
#[Out]# 501  840   11  190
#[Out]# 502  841   15  190
#[Out]# 503  842    2  190
#[Out]# 504  843   17  190
#[Out]# 505  844    5  190
#[Out]# 506  845   19  190
#[Out]# 507  846    9  190
#[Out]# 508  847   18  190
#[Out]# 
#[Out]# [509 rows x 3 columns]
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND (onions.pID=purchase.pID OR coffee.pID=purchase.pID)
) name

'''

pd.read_sql_query(queryQ2, conn)
#[Out]#     tID  pID  cID
#[Out]# 0    10    4    2
#[Out]# 1    49   21   16
#[Out]# 2    94    4   29
#[Out]# 3    98    4   31
#[Out]# 4   108    4   33
#[Out]# 5   131   21   42
#[Out]# 6   160    4   52
#[Out]# 7   174    4   59
#[Out]# 8   176   21   59
#[Out]# 9   217   21   82
#[Out]# 10  229    4   85
#[Out]# 11  235   21   86
#[Out]# 12  248   21   92
#[Out]# 13  264   21   97
#[Out]# 14  279   21  108
#[Out]# 15  292   21  110
#[Out]# 16  293   21  111
#[Out]# 17  312   21  122
#[Out]# 18  323    4  124
#[Out]# 19  328   21  124
#[Out]# 20  339    4  129
#[Out]# 21  369   21  152
#[Out]# 22  395    4  162
#[Out]# 23  408    4  165
#[Out]# 24  427   21  169
#[Out]# 25  434    4  169
#[Out]# 26  442   21  171
#[Out]# 27  443    4  172
#[Out]# 28  446   21  175
#[Out]# 29  447    4  176
#[Out]# 30  451   21  176
#[Out]# 31  457    4  177
#[Out]# 32  471   21  181
#[Out]# 33  793   21  190
#[Out]# 34  799   21  190
#[Out]# 35  800    4  190
#[Out]# 36  810   21  190
#[Out]# 37  834   21  190
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT products
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND (onions.pID=purchase.pID OR coffee.pID=purchase.pID)
) products

'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT products
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND (onions.pID=purchase.pID OR coffee.pID=purchase.pID)
) products

'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND (onions.pID=purchase.pID OR coffee.pID=purchase.pID)
) products

'''

pd.read_sql_query(queryQ2, conn)
#[Out]#     tID  pID  cID
#[Out]# 0    10    4    2
#[Out]# 1    49   21   16
#[Out]# 2    94    4   29
#[Out]# 3    98    4   31
#[Out]# 4   108    4   33
#[Out]# 5   131   21   42
#[Out]# 6   160    4   52
#[Out]# 7   174    4   59
#[Out]# 8   176   21   59
#[Out]# 9   217   21   82
#[Out]# 10  229    4   85
#[Out]# 11  235   21   86
#[Out]# 12  248   21   92
#[Out]# 13  264   21   97
#[Out]# 14  279   21  108
#[Out]# 15  292   21  110
#[Out]# 16  293   21  111
#[Out]# 17  312   21  122
#[Out]# 18  323    4  124
#[Out]# 19  328   21  124
#[Out]# 20  339    4  129
#[Out]# 21  369   21  152
#[Out]# 22  395    4  162
#[Out]# 23  408    4  165
#[Out]# 24  427   21  169
#[Out]# 25  434    4  169
#[Out]# 26  442   21  171
#[Out]# 27  443    4  172
#[Out]# 28  446   21  175
#[Out]# 29  447    4  176
#[Out]# 30  451   21  176
#[Out]# 31  457    4  177
#[Out]# 32  471   21  181
#[Out]# 33  793   21  190
#[Out]# 34  799   21  190
#[Out]# 35  800    4  190
#[Out]# 36  810   21  190
#[Out]# 37  834   21  190
# List the customers (id and name) who purchasted on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT *
FROM (
    SELECT purchase.tID, purchase.pID, purchase.cID, *
    FROM product onions, product coffee, purchase
    WHERE onions.pName='Onions'
    AND  coffee.pName='Coffee'
    AND (onions.pID=purchase.pID OR coffee.pID=purchase.pID)
) products

'''

pd.read_sql_query(queryQ2, conn)
#[Out]#     tID  pID  cID  pID:1   pName suffix  pID:2 pName:1 suffix:1  tID:1  cID:1  \
#[Out]# 0    10    4    2      4  Onions            21  Coffee              10      2   
#[Out]# 1    49   21   16      4  Onions            21  Coffee              49     16   
#[Out]# 2    94    4   29      4  Onions            21  Coffee              94     29   
#[Out]# 3    98    4   31      4  Onions            21  Coffee              98     31   
#[Out]# 4   108    4   33      4  Onions            21  Coffee             108     33   
#[Out]# 5   131   21   42      4  Onions            21  Coffee             131     42   
#[Out]# 6   160    4   52      4  Onions            21  Coffee             160     52   
#[Out]# 7   174    4   59      4  Onions            21  Coffee             174     59   
#[Out]# 8   176   21   59      4  Onions            21  Coffee             176     59   
#[Out]# 9   217   21   82      4  Onions            21  Coffee             217     82   
#[Out]# 10  229    4   85      4  Onions            21  Coffee             229     85   
#[Out]# 11  235   21   86      4  Onions            21  Coffee             235     86   
#[Out]# 12  248   21   92      4  Onions            21  Coffee             248     92   
#[Out]# 13  264   21   97      4  Onions            21  Coffee             264     97   
#[Out]# 14  279   21  108      4  Onions            21  Coffee             279    108   
#[Out]# 15  292   21  110      4  Onions            21  Coffee             292    110   
#[Out]# 16  293   21  111      4  Onions            21  Coffee             293    111   
#[Out]# 17  312   21  122      4  Onions            21  Coffee             312    122   
#[Out]# 18  323    4  124      4  Onions            21  Coffee             323    124   
#[Out]# 19  328   21  124      4  Onions            21  Coffee             328    124   
#[Out]# 20  339    4  129      4  Onions            21  Coffee             339    129   
#[Out]# 21  369   21  152      4  Onions            21  Coffee             369    152   
#[Out]# 22  395    4  162      4  Onions            21  Coffee             395    162   
#[Out]# 23  408    4  165      4  Onions            21  Coffee             408    165   
#[Out]# 24  427   21  169      4  Onions            21  Coffee             427    169   
#[Out]# 25  434    4  169      4  Onions            21  Coffee             434    169   
#[Out]# 26  442   21  171      4  Onions            21  Coffee             442    171   
#[Out]# 27  443    4  172      4  Onions            21  Coffee             443    172   
#[Out]# 28  446   21  175      4  Onions            21  Coffee             446    175   
#[Out]# 29  447    4  176      4  Onions            21  Coffee             447    176   
#[Out]# 30  451   21  176      4  Onions            21  Coffee             451    176   
#[Out]# 31  457    4  177      4  Onions            21  Coffee             457    177   
#[Out]# 32  471   21  181      4  Onions            21  Coffee             471    181   
#[Out]# 33  793   21  190      4  Onions            21  Coffee             793    190   
#[Out]# 34  799   21  190      4  Onions            21  Coffee             799    190   
#[Out]# 35  800    4  190      4  Onions            21  Coffee             800    190   
#[Out]# 36  810   21  190      4  Onions            21  Coffee             810    190   
#[Out]# 37  834   21  190      4  Onions            21  Coffee             834    190   
#[Out]# 
#[Out]#     sID  pID:3        date  quantity  price  
#[Out]# 0    13      4  2018-08-17         6   1.10  
#[Out]# 1    14     21  2018-08-24         3   2.35  
#[Out]# 2    29      4  2018-08-24         3   0.95  
#[Out]# 3    42      4  2018-08-27         9   0.90  
#[Out]# 4    29      4  2018-08-18         2   1.15  
#[Out]# 5    45     21  2018-08-18         6   1.90  
#[Out]# 6     3      4  2018-08-25         3   0.90  
#[Out]# 7    47      4  2018-08-25         5   1.05  
#[Out]# 8    59     21  2018-08-15         6   2.20  
#[Out]# 9    12     21  2018-08-19         2   2.05  
#[Out]# 10   19      4  2018-08-18         1   0.85  
#[Out]# 11   46     21  2018-08-18         2   2.30  
#[Out]# 12   55     21  2018-08-25         6   2.05  
#[Out]# 13   54     21  2018-08-25         8   2.20  
#[Out]# 14    3     21  2018-08-15         6   1.70  
#[Out]# 15   55     21  2018-08-18         2   1.95  
#[Out]# 16   17     21  2018-08-22         8   2.30  
#[Out]# 17    8     21  2018-08-25         6   1.70  
#[Out]# 18   54      4  2018-08-26         4   1.10  
#[Out]# 19    9     21  2018-08-26         6   2.15  
#[Out]# 20   43      4  2018-08-24         7   1.10  
#[Out]# 21   14     21  2018-08-20         1   1.85  
#[Out]# 22   19      4  2018-08-21         5   1.05  
#[Out]# 23   26      4  2018-08-23         8   0.95  
#[Out]# 24   35     21  2018-08-16         2   1.90  
#[Out]# 25    1      4  2018-08-20         3   1.10  
#[Out]# 26   44     21  2018-08-20         2   2.35  
#[Out]# 27   59      4  2018-08-27         4   0.90  
#[Out]# 28   16     21  2018-08-20         2   2.25  
#[Out]# 29   52      4  2018-08-22         7   0.90  
#[Out]# 30    4     21  2018-08-26         8   2.15  
#[Out]# 31   51      4  2018-08-22         6   1.10  
#[Out]# 32   27     21  2018-08-27         5   2.00  
#[Out]# 33    9     21  2018-08-26         5   4.25  
#[Out]# 34   15     21  2018-08-20         2   3.10  
#[Out]# 35   16      4  2018-08-26         1   2.40  
#[Out]# 36   26     21  2018-08-22         7   0.60  
#[Out]# 37   50     21  2018-08-22         6   4.05  
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''

SELECT customer.cID, customer.cName
FROM (
    SELECT DISTINCT purchase.tID, purchase.pID, purchase.cID, *
    FROM product, purchase, customer
    WHERE (product.pName='Onions' OR product.pName='Coffee')
    AND product.pID=purchase.pID
) products
WHERE purchase.cID=customer.cID



'''

pd.read_sql_query(queryQ2, conn)

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)
#[Out]#    pID   pName suffix
#[Out]# 0    4  Onions       

type(pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn))
#[Out]# pandas.core.frame.DataFrame

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)
#[Out]#    pID   pName suffix
#[Out]# 0    4  Onions       

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)['pID']
#[Out]# 0    4
#[Out]# Name: pID, dtype: int64

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)['pID'].pop)_

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)['pID'].pop()

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)['pID']
#[Out]# 0    4
#[Out]# Name: pID, dtype: int64
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID -- same customer
AND c.cID=coffee.cID -- same customer
AND onion.Date=coffee.Date -- same date
-- onion ids
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
-- coffee ids
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))

'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Onions"'''
                 , conn)

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID -- same customer
AND c.cID=coffee.cID -- same customer
AND onion.Date=coffee.Date -- same date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'


queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID -- same customer
AND c.cID=coffee.cID -- same customer
AND onion.Date=coffee.Date -- same date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purhase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions')
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions'))
AND (coffee.pID IN (SELECT p.ID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT *
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions'))
AND (coffee.pID IN (SELECT p.pID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
#[Out]#    cID   cName         street       city  tID  cID  sID  pID        date  \
#[Out]# 0  124   Sofie  Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 1  190  Kostas       Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#    quantity  price  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0         4    1.1  328  124    9   21  2018-08-26         6   2.15  
#[Out]# 1         1    2.4  793  190    9   21  2018-08-26         5   4.25  

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID']
#[Out]# 0    21
#[Out]# Name: pID, dtype: int64
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT c.cName, c.cID
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions'))
AND (coffee.pID IN (SELECT p.pID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
#[Out]#     cName  cID
#[Out]# 0   Sofie  124
#[Out]# 1  Kostas  190
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT c.cID, c.cName
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions'))
AND (coffee.pID IN (SELECT p.pID FROM product p WHERE p.pName='Coffee'))
'''

pd.read_sql_query(queryQ2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID'][0]
#[Out]# 21

type(pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID'])
#[Out]# pandas.core.series.Series

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID'].values()

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID'].values
#[Out]# array([21])

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID']
#[Out]# 0    21
#[Out]# Name: pID, dtype: int64

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID'].values
#[Out]# array([21])

pd.read_sql_query('''SELECT * FROM product WHERE product.pName="Coffee"'''
                 , conn)['pID']
#[Out]# 0    21
#[Out]# Name: pID, dtype: int64
# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN (SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''

SELECT COUNT(*) FROM store
'''

pd.read_sql_query(queryQ3, conn)


#[Out]#    COUNT(*)
#[Out]# 0        64
# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(*) from store
'''

pd.read_sql_query(queryQ3, conn)


#[Out]#    count(*)
#[Out]# 0        64
# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), customer
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(store.sID)=cast((select count(*) from store as real))
)
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), customer
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(store.sID)=cast((select count(*) from store as real))
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), customer
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(store.sID)=64)
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), customer
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select count(store.sID), *
from (
    select store.sID, *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select *
from (
    select store.sID, *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


#[Out]#    sID  sID:1  sName         street city  cID   cName  street:1   city:1  tID  \
#[Out]# 0   63     63  Jumbo  Stationstraat  Oss  190  Kostas  Eindeweg  Utrecht  847   
#[Out]# 
#[Out]#    cID:1  sID:2  pID        date  quantity  price  
#[Out]# 0    190     63   18  2018-08-21         1    3.3  
# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(store.sID)=64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


#[Out]#    sID  sName         street city  cID   cName  street:1   city:1  tID  cID:1  \
#[Out]# 0   63  Jumbo  Stationstraat  Oss  190  Kostas  Eindeweg  Utrecht  847    190   
#[Out]# 
#[Out]#    sID:1  pID        date  quantity  price  
#[Out]# 0     63   18  2018-08-21         1    3.3  
# List the ids of the customers that made a purchase at every store

"""
SELECT p.cID

FROM purchase p, store s
WHERE p.sID=s.sID
AND IN 

(SELECT COUNT(*) FROM store)


INTERSECT"""

queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(store.sID)<64
) yaw
'''

pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID     cName  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0      Noah   
#[Out]# 1     36         Lidl     Julianastraat  Eindhoven    1       Sem   
#[Out]# 2     47         Coop     Julianastraat  Rotterdam    2     Lucas   
#[Out]# 3     29       Sligro      Marnixstraat  Amsterdam    3      Finn   
#[Out]# 4     44  Albert Hein     Ambachtstraat    Utrecht    4      Daan   
#[Out]# 5     17    Hoogvliet        Kerkstraat  Eindhoven    5      Levi   
#[Out]# 6     42       Sligro      Kalverstraat  Amsterdam    7      Bram   
#[Out]# 7     51         Coop       Parallelweg    Utrecht    8      Liam   
#[Out]# 8     34         Coop          Bierkaai  Amsterdam   10       Sam   
#[Out]# 9      0         Coop      Kalverstraat  Amsterdam   11     Thijs   
#[Out]# 10     8  Albert Hein       Molenstraat  Eindhoven   13     James   
#[Out]# 11    25  Albert Hein     Stationsplein      Breda   15      Noud   
#[Out]# 12    26    Hoogvliet   Sint Annastraat      Breda   16    Julian   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht   17       Dex   
#[Out]# 14     6         Coop    Stadhoudersweg  Rotterdam   18      Hugo   
#[Out]# 15    15         Lidl     Prinsengracht  Amsterdam   19      Lars   
#[Out]# 16    40    Hoogvliet          Hofplein  Rotterdam   20      Gijs   
#[Out]# 17    47         Coop     Julianastraat  Rotterdam   21  Benjamin   
#[Out]# 18    27       Sligro      Kalverstraat  Amsterdam   22      Mats   
#[Out]# 19    59        Jumbo  Rozemarijnstraat      Breda   24      Luca   
#[Out]# 20    12         Lidl  Wilhelminastraat  Eindhoven   25     Mason   
#[Out]# 21    21         Coop      Kasteeldreef    Tilburg   26    Jayden   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam   27       Tim   
#[Out]# 23    43         Coop    Gasthuisstraat    Utrecht   28      Siem   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam   29     Ruben   
#[Out]# 25    57         Dirk       Molenstraat  Eindhoven   30      Teun   
#[Out]# 26    39       Sligro       Dorpsstraat  Eindhoven   31   Olivier   
#[Out]# 27    29       Sligro      Marnixstraat  Amsterdam   33      Sven   
#[Out]# 28    26    Hoogvliet   Sint Annastraat      Breda   34     David   
#[Out]# 29    34         Coop          Bierkaai  Amsterdam   35     Stijn   
#[Out]# ..   ...          ...               ...        ...  ...       ...   
#[Out]# 101   58         Dirk      Keizerstraat  Rotterdam  145      Fien   
#[Out]# 102   33         Dirk       Nieuwstraat  Eindhoven  147    Isabel   
#[Out]# 103   54         Dirk     Julianastraat  Eindhoven  149     Lizzy   
#[Out]# 104   14         Coop     Keizersgracht  Amsterdam  151      Jill   
#[Out]# 105   43         Coop    Gasthuisstraat    Utrecht  152      Anne   
#[Out]# 106   36         Lidl     Julianastraat  Eindhoven  157      Puck   
#[Out]# 107   17    Hoogvliet        Kerkstraat  Eindhoven  159     Fenne   
#[Out]# 108   36         Lidl     Julianastraat  Eindhoven  161     Floor   
#[Out]# 109   41  Albert Hein        Bergselaan  Rotterdam  162     Elena   
#[Out]# 110    6         Coop    Stadhoudersweg  Rotterdam  163      Cato   
#[Out]# 111   46         Lidl        Bergselaan  Rotterdam  165     Hanna   
#[Out]# 112   17    Hoogvliet        Kerkstraat  Eindhoven  167    Veerle   
#[Out]# 113   28    Hoogvliet         Koestraat    Tilburg  168      Kiki   
#[Out]# 114   52         Lidl       Nieuwstraat  Eindhoven  169      Lily   
#[Out]# 115   40    Hoogvliet          Hofplein  Rotterdam  170      Iris   
#[Out]# 116   44  Albert Hein     Ambachtstraat    Utrecht  171     Tessa   
#[Out]# 117    0         Coop      Kalverstraat  Amsterdam  172      Lana   
#[Out]# 118   16         Lidl     Ambachtstraat    Utrecht  175       Sam   
#[Out]# 119    6         Coop    Stadhoudersweg  Rotterdam  176     Amira   
#[Out]# 120   51         Coop       Parallelweg    Utrecht  177     Eline   
#[Out]# 121   39       Sligro       Dorpsstraat  Eindhoven  178      Elif   
#[Out]# 122   45         Coop      Kasteeldreef    Tilburg  179      Juul   
#[Out]# 123   56        Jumbo       Parallelweg  Eindhoven  180     Merel   
#[Out]# 124   27       Sligro      Kalverstraat  Amsterdam  181      Liva   
#[Out]# 125    4    Hoogvliet       Molenstraat  Eindhoven  182   Johanna   
#[Out]# 126    0         Coop      Kalverstraat  Amsterdam  184     Wilko   
#[Out]# 127   62        Jumbo     Poffertjesweg  Eindhoven  185      Nick   
#[Out]# 128   62        Jumbo     Poffertjesweg  Eindhoven  186    Angela   
#[Out]# 129   62        Jumbo     Poffertjesweg  Eindhoven  188      Pino   
#[Out]# 130   20        Jumbo      Kasteeldreef    Tilburg  189      Koen   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0               Koestraat    Utrecht    0      0      3   10  2018-08-22   
#[Out]# 1        Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 2        Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 3           Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 4            Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 5          Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 6            Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 7           Rijsbergseweg      Breda   35      8     51    8  2018-08-16   
#[Out]# 8             Langestraat    Tilburg   36     10     34   24  2018-08-27   
#[Out]# 9               Koestraat    Tilburg   37     11      0   14  2018-08-25   
#[Out]# 10        Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 11           Koningshoeve    Tilburg   47     15     25   11  2018-08-27   
#[Out]# 12   Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 13           Kasteeldreef    Tilburg   59     17     44    7  2018-08-19   
#[Out]# 14           Kasteeldreef    Tilburg   62     18      6    8  2018-08-18   
#[Out]# 15          Rijsbergseweg      Breda   66     19     15    3  2018-08-18   
#[Out]# 16             Heiligeweg  Amsterdam   69     20     40   27  2018-08-18   
#[Out]# 17            Stationsweg    Tilburg   72     21     47   27  2018-08-21   
#[Out]# 18            Molenstraat  Eindhoven   74     22     27   10  2018-08-28   
#[Out]# 19           Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 20           Keizerstraat  Rotterdam   84     25     12   26  2018-08-28   
#[Out]# 21           Schoolstraat  Eindhoven   85     26     21   23  2018-08-23   
#[Out]# 22              Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 23            Langestraat    Tilburg   92     28     43   11  2018-08-27   
#[Out]# 24               Hofplein  Rotterdam   94     29     29    4  2018-08-24   
#[Out]# 25             Oosterkade  Rotterdam   97     30     57   12  2018-08-18   
#[Out]# 26          Julianastraat  Rotterdam   99     31     39   24  2018-08-28   
#[Out]# 27         Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 28            Parallelweg    Tilburg  109     34     26   26  2018-08-26   
#[Out]# 29          Julianastraat    Utrecht  111     35     34   28  2018-08-18   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 101          Kasteeldreef    Tilburg  357    145     58    9  2018-08-22   
#[Out]# 102             Damstraat    Utrecht  360    147     33   25  2018-08-25   
#[Out]# 103           Molenstraat  Eindhoven  366    149     54   19  2018-08-25   
#[Out]# 104              Hofplein  Rotterdam  368    151     14   23  2018-08-17   
#[Out]# 105        Gasthuisstraat    Utrecht  371    152     43   19  2018-08-21   
#[Out]# 106         Keizersgracht  Amsterdam  381    157     36    3  2018-08-28   
#[Out]# 107        Gasthuisstraat    Utrecht  385    159     17   12  2018-08-26   
#[Out]# 108             Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 109            Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 110          Kastanjelaan    Tilburg  406    163      6   10  2018-08-22   
#[Out]# 111             Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 112        Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 113          Keizerstraat  Rotterdam  426    168     28    1  2018-08-16   
#[Out]# 114        Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 115          Kastanjelaan  Eindhoven  440    170     40   22  2018-08-16   
#[Out]# 116           Haringvliet  Rotterdam  442    171     44   21  2018-08-20   
#[Out]# 117             Eikenlaan    Tilburg  444    172      0   16  2018-08-24   
#[Out]# 118             Bredalaan  Eindhoven  446    175     16   21  2018-08-20   
#[Out]# 119           Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 120          Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 121           Parallelweg    Utrecht  459    178     39   24  2018-08-27   
#[Out]# 122        Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 123          Kalverstraat  Amsterdam  468    180     56   10  2018-08-27   
#[Out]# 124           Fredriklaan  Eindhoven  471    181     27   21  2018-08-27   
#[Out]# 125         Beatrixstraat  Eindhoven  474    182      4   13  2018-08-23   
#[Out]# 126          Onbekendeweg  Eindhoven  777    184      0    0  2018-08-20   
#[Out]# 127                Verweg  Eindhoven  778    185     62   29  2018-08-20   
#[Out]# 128              Dichtweg  Eindhoven  779    186     62   29  2018-08-21   
#[Out]# 129            Maanstraat  Rotterdam  781    188     62   30  2018-09-20   
#[Out]# 130              Akkerweg        Oss  783    189     20   19  2018-08-26   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           6   9.10  
#[Out]# 2           1   1.55  
#[Out]# 3           6   1.45  
#[Out]# 4           4   2.75  
#[Out]# 5           1   2.20  
#[Out]# 6           6   2.05  
#[Out]# 7           5   5.30  
#[Out]# 8           5   3.20  
#[Out]# 9           8   4.10  
#[Out]# 10          6   0.50  
#[Out]# 11          5   0.90  
#[Out]# 12          2   9.25  
#[Out]# 13         10   1.65  
#[Out]# 14          4   4.45  
#[Out]# 15          4   1.60  
#[Out]# 16          9   7.10  
#[Out]# 17          9   7.05  
#[Out]# 18          6   0.45  
#[Out]# 19          5   4.00  
#[Out]# 20          9   2.55  
#[Out]# 21          6   2.10  
#[Out]# 22          7   1.60  
#[Out]# 23          2   1.10  
#[Out]# 24          3   0.95  
#[Out]# 25          8  11.45  
#[Out]# 26          4   3.90  
#[Out]# 27          2   1.15  
#[Out]# 28          8   3.45  
#[Out]# 29          7   9.45  
#[Out]# ..        ...    ...  
#[Out]# 101         9   1.70  
#[Out]# 102         7   4.40  
#[Out]# 103         5   2.25  
#[Out]# 104         5   2.10  
#[Out]# 105         4   2.20  
#[Out]# 106         7   1.80  
#[Out]# 107         3  12.30  
#[Out]# 108         4   7.20  
#[Out]# 109         2   1.65  
#[Out]# 110         6   0.55  
#[Out]# 111         6   1.80  
#[Out]# 112         9   2.05  
#[Out]# 113         6   5.65  
#[Out]# 114         7   4.65  
#[Out]# 115         5   2.05  
#[Out]# 116         2   2.35  
#[Out]# 117         4   1.85  
#[Out]# 118         2   2.25  
#[Out]# 119         9   0.50  
#[Out]# 120         6   1.10  
#[Out]# 121         1   3.90  
#[Out]# 122         7   0.45  
#[Out]# 123         3   0.60  
#[Out]# 124         5   2.00  
#[Out]# 125         9   4.20  
#[Out]# 126         2   3.50  
#[Out]# 127         1   1.00  
#[Out]# 128         5   1.00  
#[Out]# 129         1   1.00  
#[Out]# 130         3   2.50  
#[Out]# 
#[Out]# [131 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    having count(store.sID)<64
) yaw
'''



# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    having count(store.sID)<64
) yaw
'''



# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    having count(store.sID)<64
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID   cName  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0    Noah   
#[Out]# 1     23         Dirk     Stationsplein      Breda    1     Sem   
#[Out]# 2      3       Sligro    Stadhoudersweg  Rotterdam    1     Sem   
#[Out]# 3     17    Hoogvliet        Kerkstraat  Eindhoven    1     Sem   
#[Out]# 4     32  Albert Hein        Hoogstraat    Utrecht    1     Sem   
#[Out]# 5     16         Lidl     Ambachtstraat    Utrecht    1     Sem   
#[Out]# 6     46         Lidl        Bergselaan  Rotterdam    1     Sem   
#[Out]# 7     36         Lidl     Julianastraat  Eindhoven    1     Sem   
#[Out]# 8     12         Lidl  Wilhelminastraat  Eindhoven    2   Lucas   
#[Out]# 9     39       Sligro       Dorpsstraat  Eindhoven    2   Lucas   
#[Out]# 10    13         Coop         Koestraat    Tilburg    2   Lucas   
#[Out]# 11    51         Coop       Parallelweg    Utrecht    2   Lucas   
#[Out]# 12    47         Coop     Julianastraat  Rotterdam    2   Lucas   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht    3    Finn   
#[Out]# 14    30         Dirk       Nieuwstraat  Eindhoven    3    Finn   
#[Out]# 15    29       Sligro      Marnixstraat  Amsterdam    3    Finn   
#[Out]# 16    17    Hoogvliet        Kerkstraat  Eindhoven    4    Daan   
#[Out]# 17    10        Jumbo        Bergselaan  Rotterdam    4    Daan   
#[Out]# 18    53         Coop        Hoogstraat    Utrecht    4    Daan   
#[Out]# 19    21         Coop      Kasteeldreef    Tilburg    4    Daan   
#[Out]# 20     7       Sligro  Wilhelminastraat  Eindhoven    4    Daan   
#[Out]# 21    44  Albert Hein     Ambachtstraat    Utrecht    4    Daan   
#[Out]# 22     4    Hoogvliet       Molenstraat  Eindhoven    5    Levi   
#[Out]# 23    36         Lidl     Julianastraat  Eindhoven    5    Levi   
#[Out]# 24    55         Coop   Sint Annastraat      Breda    5    Levi   
#[Out]# 25    51         Coop       Parallelweg    Utrecht    5    Levi   
#[Out]# 26     6         Coop    Stadhoudersweg  Rotterdam    5    Levi   
#[Out]# 27    17    Hoogvliet        Kerkstraat  Eindhoven    5    Levi   
#[Out]# 28     3       Sligro    Stadhoudersweg  Rotterdam    7    Bram   
#[Out]# 29    12         Lidl  Wilhelminastraat  Eindhoven    7    Bram   
#[Out]# ..   ...          ...               ...        ...  ...     ...   
#[Out]# 479   34         Coop          Bierkaai  Amsterdam  190  Kostas   
#[Out]# 480   35         Lidl     Julianastraat    Utrecht  190  Kostas   
#[Out]# 481   36         Lidl     Julianastraat  Eindhoven  190  Kostas   
#[Out]# 482   37        Jumbo          Molenweg  Eindhoven  190  Kostas   
#[Out]# 483   38    Hoogvliet          Hofplein  Rotterdam  190  Kostas   
#[Out]# 484   39       Sligro       Dorpsstraat  Eindhoven  190  Kostas   
#[Out]# 485   40    Hoogvliet          Hofplein  Rotterdam  190  Kostas   
#[Out]# 486   41  Albert Hein        Bergselaan  Rotterdam  190  Kostas   
#[Out]# 487   42       Sligro      Kalverstraat  Amsterdam  190  Kostas   
#[Out]# 488   43         Coop    Gasthuisstraat    Utrecht  190  Kostas   
#[Out]# 489   44  Albert Hein     Ambachtstraat    Utrecht  190  Kostas   
#[Out]# 490   45         Coop      Kasteeldreef    Tilburg  190  Kostas   
#[Out]# 491   46         Lidl        Bergselaan  Rotterdam  190  Kostas   
#[Out]# 492   47         Coop     Julianastraat  Rotterdam  190  Kostas   
#[Out]# 493   48    Hoogvliet      Kasteeldreef    Tilburg  190  Kostas   
#[Out]# 494   49    Hoogvliet      Keizerstraat  Rotterdam  190  Kostas   
#[Out]# 495   50       Sligro     Stationsplein      Breda  190  Kostas   
#[Out]# 496   51         Coop       Parallelweg    Utrecht  190  Kostas   
#[Out]# 497   52         Lidl       Nieuwstraat  Eindhoven  190  Kostas   
#[Out]# 498   53         Coop        Hoogstraat    Utrecht  190  Kostas   
#[Out]# 499   54         Dirk     Julianastraat  Eindhoven  190  Kostas   
#[Out]# 500   55         Coop   Sint Annastraat      Breda  190  Kostas   
#[Out]# 501   56        Jumbo       Parallelweg  Eindhoven  190  Kostas   
#[Out]# 502   57         Dirk       Molenstraat  Eindhoven  190  Kostas   
#[Out]# 503   58         Dirk      Keizerstraat  Rotterdam  190  Kostas   
#[Out]# 504   59        Jumbo  Rozemarijnstraat      Breda  190  Kostas   
#[Out]# 505   60         Lidl      Pannekoekweg      Breda  190  Kostas   
#[Out]# 506   61         Lidl      Pannekoekweg      Breda  190  Kostas   
#[Out]# 507   62        Jumbo     Poffertjesweg  Eindhoven  190  Kostas   
#[Out]# 508   63        Jumbo     Stationstraat        Oss  190  Kostas   
#[Out]# 
#[Out]#              street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0           Koestraat    Utrecht    0      0      3   10  2018-08-22   
#[Out]# 1    Rozemarijnstraat      Breda    1      1     23   14  2018-08-20   
#[Out]# 2    Rozemarijnstraat      Breda    2      1      3   16  2018-08-20   
#[Out]# 3    Rozemarijnstraat      Breda    3      1     17    9  2018-08-20   
#[Out]# 4    Rozemarijnstraat      Breda    4      1     32   25  2018-08-20   
#[Out]# 5    Rozemarijnstraat      Breda    5      1     16   26  2018-08-20   
#[Out]# 6    Rozemarijnstraat      Breda    6      1     46   11  2018-08-21   
#[Out]# 7    Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 8    Oude Leliestraat  Amsterdam    8      2     12   20  2018-08-16   
#[Out]# 9    Oude Leliestraat  Amsterdam    9      2     39    9  2018-08-17   
#[Out]# 10   Oude Leliestraat  Amsterdam   10      2     13    4  2018-08-17   
#[Out]# 11   Oude Leliestraat  Amsterdam   11      2     51   13  2018-08-17   
#[Out]# 12   Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 13      Stationsplein      Breda   13      3     44   14  2018-08-18   
#[Out]# 14      Stationsplein      Breda   14      3     30   26  2018-08-19   
#[Out]# 15      Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 16       Kalverstraat  Amsterdam   16      4     17    8  2018-08-24   
#[Out]# 17       Kalverstraat  Amsterdam   17      4     10   27  2018-08-24   
#[Out]# 18       Kalverstraat  Amsterdam   18      4     53   12  2018-08-25   
#[Out]# 19       Kalverstraat  Amsterdam   19      4     21    6  2018-08-24   
#[Out]# 20       Kalverstraat  Amsterdam   20      4      7   13  2018-08-25   
#[Out]# 21       Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 22     Gasthuisstraat    Utrecht   22      5      4   14  2018-08-17   
#[Out]# 23     Gasthuisstraat    Utrecht   23      5     36   28  2018-08-22   
#[Out]# 24     Gasthuisstraat    Utrecht   24      5     55    6  2018-08-23   
#[Out]# 25     Gasthuisstraat    Utrecht   25      5     51   22  2018-08-23   
#[Out]# 26     Gasthuisstraat    Utrecht   26      5      6   16  2018-08-23   
#[Out]# 27     Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 28       Schoolstraat  Eindhoven   28      7      3   19  2018-08-23   
#[Out]# 29       Schoolstraat  Eindhoven   29      7     12    2  2018-08-23   
#[Out]# ..                ...        ...  ...    ...    ...  ...         ...   
#[Out]# 479          Eindeweg    Utrecht  818    190     34   28  2018-08-20   
#[Out]# 480          Eindeweg    Utrecht  819    190     35   27  2018-08-15   
#[Out]# 481          Eindeweg    Utrecht  820    190     36    5  2018-08-23   
#[Out]# 482          Eindeweg    Utrecht  821    190     37   28  2018-08-15   
#[Out]# 483          Eindeweg    Utrecht  822    190     38    7  2018-08-24   
#[Out]# 484          Eindeweg    Utrecht  823    190     39    0  2018-08-25   
#[Out]# 485          Eindeweg    Utrecht  824    190     40   11  2018-08-15   
#[Out]# 486          Eindeweg    Utrecht  825    190     41    6  2018-08-15   
#[Out]# 487          Eindeweg    Utrecht  826    190     42   19  2018-08-22   
#[Out]# 488          Eindeweg    Utrecht  827    190     43   17  2018-08-17   
#[Out]# 489          Eindeweg    Utrecht  828    190     44    9  2018-08-18   
#[Out]# 490          Eindeweg    Utrecht  829    190     45   11  2018-08-19   
#[Out]# 491          Eindeweg    Utrecht  830    190     46   22  2018-08-25   
#[Out]# 492          Eindeweg    Utrecht  831    190     47   17  2018-08-17   
#[Out]# 493          Eindeweg    Utrecht  832    190     48   20  2018-08-26   
#[Out]# 494          Eindeweg    Utrecht  833    190     49   11  2018-08-17   
#[Out]# 495          Eindeweg    Utrecht  834    190     50   21  2018-08-22   
#[Out]# 496          Eindeweg    Utrecht  835    190     51   23  2018-08-19   
#[Out]# 497          Eindeweg    Utrecht  836    190     52   23  2018-08-15   
#[Out]# 498          Eindeweg    Utrecht  837    190     53    8  2018-08-18   
#[Out]# 499          Eindeweg    Utrecht  838    190     54    0  2018-08-25   
#[Out]# 500          Eindeweg    Utrecht  839    190     55    8  2018-08-18   
#[Out]# 501          Eindeweg    Utrecht  840    190     56   11  2018-08-15   
#[Out]# 502          Eindeweg    Utrecht  841    190     57   15  2018-08-22   
#[Out]# 503          Eindeweg    Utrecht  842    190     58    2  2018-08-19   
#[Out]# 504          Eindeweg    Utrecht  843    190     59   17  2018-08-26   
#[Out]# 505          Eindeweg    Utrecht  844    190     60    5  2018-08-27   
#[Out]# 506          Eindeweg    Utrecht  845    190     61   19  2018-08-23   
#[Out]# 507          Eindeweg    Utrecht  846    190     62    9  2018-08-16   
#[Out]# 508          Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           2   4.65  
#[Out]# 2           3   1.60  
#[Out]# 3           2   1.25  
#[Out]# 4           4   3.95  
#[Out]# 5           4   2.75  
#[Out]# 6           8   0.90  
#[Out]# 7           6   9.10  
#[Out]# 8           1   2.45  
#[Out]# 9           7   1.35  
#[Out]# 10          6   1.10  
#[Out]# 11          4   3.70  
#[Out]# 12          1   1.55  
#[Out]# 13          2   4.30  
#[Out]# 14          2   2.75  
#[Out]# 15          6   1.45  
#[Out]# 16          2   4.15  
#[Out]# 17          9   9.05  
#[Out]# 18          5  13.60  
#[Out]# 19          2   1.05  
#[Out]# 20          9   3.05  
#[Out]# 21          4   2.75  
#[Out]# 22          6   4.70  
#[Out]# 23          6   8.25  
#[Out]# 24          9   1.10  
#[Out]# 25          2   1.55  
#[Out]# 26          2   1.85  
#[Out]# 27          1   2.20  
#[Out]# 28          2   2.10  
#[Out]# 29          6   1.70  
#[Out]# ..        ...    ...  
#[Out]# 479         4   2.80  
#[Out]# 480         5   0.50  
#[Out]# 481         3   2.55  
#[Out]# 482         4   0.65  
#[Out]# 483         4   0.70  
#[Out]# 484         4   3.70  
#[Out]# 485         2   3.50  
#[Out]# 486         5   2.95  
#[Out]# 487         5   2.75  
#[Out]# 488         7   1.50  
#[Out]# 489         5   0.85  
#[Out]# 490         2   3.55  
#[Out]# 491         4   2.60  
#[Out]# 492         4   3.25  
#[Out]# 493         6   4.30  
#[Out]# 494         3   3.05  
#[Out]# 495         6   4.05  
#[Out]# 496         1   1.50  
#[Out]# 497         5   2.50  
#[Out]# 498         4   3.95  
#[Out]# 499         6   3.50  
#[Out]# 500         7   2.95  
#[Out]# 501         4   1.60  
#[Out]# 502         5   3.25  
#[Out]# 503         7   0.75  
#[Out]# 504         2   3.80  
#[Out]# 505         6   4.35  
#[Out]# 506         5   2.85  
#[Out]# 507         2   3.15  
#[Out]# 508         1   3.30  
#[Out]# 
#[Out]# [509 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(purchase)>1
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer
    having count(purchase.tID)>1
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(purchase.tID)>1
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID     cName  \
#[Out]# 0     36         Lidl     Julianastraat  Eindhoven    1       Sem   
#[Out]# 1     47         Coop     Julianastraat  Rotterdam    2     Lucas   
#[Out]# 2     29       Sligro      Marnixstraat  Amsterdam    3      Finn   
#[Out]# 3     44  Albert Hein     Ambachtstraat    Utrecht    4      Daan   
#[Out]# 4     17    Hoogvliet        Kerkstraat  Eindhoven    5      Levi   
#[Out]# 5     42       Sligro      Kalverstraat  Amsterdam    7      Bram   
#[Out]# 6     51         Coop       Parallelweg    Utrecht    8      Liam   
#[Out]# 7      8  Albert Hein       Molenstraat  Eindhoven   13     James   
#[Out]# 8     26    Hoogvliet   Sint Annastraat      Breda   16    Julian   
#[Out]# 9     44  Albert Hein     Ambachtstraat    Utrecht   17       Dex   
#[Out]# 10     6         Coop    Stadhoudersweg  Rotterdam   18      Hugo   
#[Out]# 11    15         Lidl     Prinsengracht  Amsterdam   19      Lars   
#[Out]# 12    40    Hoogvliet          Hofplein  Rotterdam   20      Gijs   
#[Out]# 13    47         Coop     Julianastraat  Rotterdam   21  Benjamin   
#[Out]# 14    27       Sligro      Kalverstraat  Amsterdam   22      Mats   
#[Out]# 15    59        Jumbo  Rozemarijnstraat      Breda   24      Luca   
#[Out]# 16    34         Coop          Bierkaai  Amsterdam   27       Tim   
#[Out]# 17    29       Sligro      Marnixstraat  Amsterdam   29     Ruben   
#[Out]# 18    57         Dirk       Molenstraat  Eindhoven   30      Teun   
#[Out]# 19    39       Sligro       Dorpsstraat  Eindhoven   31   Olivier   
#[Out]# 20    29       Sligro      Marnixstraat  Amsterdam   33      Sven   
#[Out]# 21    34         Coop          Bierkaai  Amsterdam   35     Stijn   
#[Out]# 22    10        Jumbo        Bergselaan  Rotterdam   37      Guus   
#[Out]# 23     8  Albert Hein       Molenstraat  Eindhoven   38    Floris   
#[Out]# 24    21         Coop      Kasteeldreef    Tilburg   39      Jack   
#[Out]# 25    40    Hoogvliet          Hofplein  Rotterdam   40      Jens   
#[Out]# 26     3       Sligro    Stadhoudersweg  Rotterdam   41     Quinn   
#[Out]# 27    45         Coop      Kasteeldreef    Tilburg   42      Tijn   
#[Out]# 28    40    Hoogvliet          Hofplein  Rotterdam   43       Tom   
#[Out]# 29    32  Albert Hein        Hoogstraat    Utrecht   44     Jason   
#[Out]# ..   ...          ...               ...        ...  ...       ...   
#[Out]# 72    11  Albert Hein          Hofplein  Rotterdam  133    Sophia   
#[Out]# 73     7       Sligro  Wilhelminastraat  Eindhoven  134      Ella   
#[Out]# 74    26    Hoogvliet   Sint Annastraat      Breda  139     Elise   
#[Out]# 75    41  Albert Hein        Bergselaan  Rotterdam  144       Ivy   
#[Out]# 76    33         Dirk       Nieuwstraat  Eindhoven  147    Isabel   
#[Out]# 77    54         Dirk     Julianastraat  Eindhoven  149     Lizzy   
#[Out]# 78    14         Coop     Keizersgracht  Amsterdam  151      Jill   
#[Out]# 79    43         Coop    Gasthuisstraat    Utrecht  152      Anne   
#[Out]# 80    36         Lidl     Julianastraat  Eindhoven  157      Puck   
#[Out]# 81    17    Hoogvliet        Kerkstraat  Eindhoven  159     Fenne   
#[Out]# 82    36         Lidl     Julianastraat  Eindhoven  161     Floor   
#[Out]# 83    41  Albert Hein        Bergselaan  Rotterdam  162     Elena   
#[Out]# 84     6         Coop    Stadhoudersweg  Rotterdam  163      Cato   
#[Out]# 85    46         Lidl        Bergselaan  Rotterdam  165     Hanna   
#[Out]# 86    17    Hoogvliet        Kerkstraat  Eindhoven  167    Veerle   
#[Out]# 87    52         Lidl       Nieuwstraat  Eindhoven  169      Lily   
#[Out]# 88    40    Hoogvliet          Hofplein  Rotterdam  170      Iris   
#[Out]# 89    44  Albert Hein     Ambachtstraat    Utrecht  171     Tessa   
#[Out]# 90     0         Coop      Kalverstraat  Amsterdam  172      Lana   
#[Out]# 91    16         Lidl     Ambachtstraat    Utrecht  175       Sam   
#[Out]# 92     6         Coop    Stadhoudersweg  Rotterdam  176     Amira   
#[Out]# 93    51         Coop       Parallelweg    Utrecht  177     Eline   
#[Out]# 94    39       Sligro       Dorpsstraat  Eindhoven  178      Elif   
#[Out]# 95    45         Coop      Kasteeldreef    Tilburg  179      Juul   
#[Out]# 96    56        Jumbo       Parallelweg  Eindhoven  180     Merel   
#[Out]# 97    27       Sligro      Kalverstraat  Amsterdam  181      Liva   
#[Out]# 98     4    Hoogvliet       Molenstraat  Eindhoven  182   Johanna   
#[Out]# 99    62        Jumbo     Poffertjesweg  Eindhoven  188      Pino   
#[Out]# 100   20        Jumbo      Kasteeldreef    Tilburg  189      Koen   
#[Out]# 101   63        Jumbo     Stationstraat        Oss  190    Kostas   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0        Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 1        Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 2           Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 3            Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 4          Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 5            Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 6           Rijsbergseweg      Breda   35      8     51    8  2018-08-16   
#[Out]# 7         Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 8    Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 9            Kasteeldreef    Tilburg   59     17     44    7  2018-08-19   
#[Out]# 10           Kasteeldreef    Tilburg   62     18      6    8  2018-08-18   
#[Out]# 11          Rijsbergseweg      Breda   66     19     15    3  2018-08-18   
#[Out]# 12             Heiligeweg  Amsterdam   69     20     40   27  2018-08-18   
#[Out]# 13            Stationsweg    Tilburg   72     21     47   27  2018-08-21   
#[Out]# 14            Molenstraat  Eindhoven   74     22     27   10  2018-08-28   
#[Out]# 15           Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 16              Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 17               Hofplein  Rotterdam   94     29     29    4  2018-08-24   
#[Out]# 18             Oosterkade  Rotterdam   97     30     57   12  2018-08-18   
#[Out]# 19          Julianastraat  Rotterdam   99     31     39   24  2018-08-28   
#[Out]# 20         Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 21          Julianastraat    Utrecht  111     35     34   28  2018-08-18   
#[Out]# 22              Koestraat    Tilburg  115     37     10   13  2018-08-15   
#[Out]# 23            Stationsweg  Eindhoven  117     38      8   22  2018-08-19   
#[Out]# 24   Prins Bernhardstraat  Eindhoven  123     39     21   28  2018-08-29   
#[Out]# 25             Bergselaan  Rotterdam  127     40     40   14  2018-08-23   
#[Out]# 26              Koestraat    Utrecht  129     41      3    3  2018-08-23   
#[Out]# 27          Keizersgracht  Amsterdam  131     42     45   21  2018-08-18   
#[Out]# 28         Stadhoudersweg  Rotterdam  135     43     40   27  2018-08-24   
#[Out]# 29           Keizerstraat  Rotterdam  138     44     32   19  2018-08-26   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 72        Raamschoorseweg      Breda  345    133     11   22  2018-08-19   
#[Out]# 73                 Amstel  Amsterdam  348    134      7   27  2018-08-26   
#[Out]# 74         Wilhelminapark    Tilburg  354    139     26    0  2018-08-19   
#[Out]# 75             Pompenburg  Rotterdam  356    144     41   12  2018-08-23   
#[Out]# 76              Damstraat    Utrecht  360    147     33   25  2018-08-25   
#[Out]# 77            Molenstraat  Eindhoven  366    149     54   19  2018-08-25   
#[Out]# 78               Hofplein  Rotterdam  368    151     14   23  2018-08-17   
#[Out]# 79         Gasthuisstraat    Utrecht  371    152     43   19  2018-08-21   
#[Out]# 80          Keizersgracht  Amsterdam  381    157     36    3  2018-08-28   
#[Out]# 81         Gasthuisstraat    Utrecht  385    159     17   12  2018-08-26   
#[Out]# 82              Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 83             Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 84           Kastanjelaan    Tilburg  406    163      6   10  2018-08-22   
#[Out]# 85              Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 86         Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 87         Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 88           Kastanjelaan  Eindhoven  440    170     40   22  2018-08-16   
#[Out]# 89            Haringvliet  Rotterdam  442    171     44   21  2018-08-20   
#[Out]# 90              Eikenlaan    Tilburg  444    172      0   16  2018-08-24   
#[Out]# 91              Bredalaan  Eindhoven  446    175     16   21  2018-08-20   
#[Out]# 92            Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 93           Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 94            Parallelweg    Utrecht  459    178     39   24  2018-08-27   
#[Out]# 95         Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 96           Kalverstraat  Amsterdam  468    180     56   10  2018-08-27   
#[Out]# 97            Fredriklaan  Eindhoven  471    181     27   21  2018-08-27   
#[Out]# 98          Beatrixstraat  Eindhoven  474    182      4   13  2018-08-23   
#[Out]# 99             Maanstraat  Rotterdam  781    188     62   30  2018-09-20   
#[Out]# 100              Akkerweg        Oss  783    189     20   19  2018-08-26   
#[Out]# 101              Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           6   9.10  
#[Out]# 1           1   1.55  
#[Out]# 2           6   1.45  
#[Out]# 3           4   2.75  
#[Out]# 4           1   2.20  
#[Out]# 5           6   2.05  
#[Out]# 6           5   5.30  
#[Out]# 7           6   0.50  
#[Out]# 8           2   9.25  
#[Out]# 9          10   1.65  
#[Out]# 10          4   4.45  
#[Out]# 11          4   1.60  
#[Out]# 12          9   7.10  
#[Out]# 13          9   7.05  
#[Out]# 14          6   0.45  
#[Out]# 15          5   4.00  
#[Out]# 16          7   1.60  
#[Out]# 17          3   0.95  
#[Out]# 18          8  11.45  
#[Out]# 19          4   3.90  
#[Out]# 20          2   1.15  
#[Out]# 21          7   9.45  
#[Out]# 22          4   2.90  
#[Out]# 23          7   2.05  
#[Out]# 24          3   7.05  
#[Out]# 25          6   4.10  
#[Out]# 26          3   1.35  
#[Out]# 27          6   1.90  
#[Out]# 28          4   6.90  
#[Out]# 29          3   2.85  
#[Out]# ..        ...    ...  
#[Out]# 72          5   1.85  
#[Out]# 73          5   9.25  
#[Out]# 74          5   4.90  
#[Out]# 75          9  13.25  
#[Out]# 76          7   4.40  
#[Out]# 77          5   2.25  
#[Out]# 78          5   2.10  
#[Out]# 79          4   2.20  
#[Out]# 80          7   1.80  
#[Out]# 81          3  12.30  
#[Out]# 82          4   7.20  
#[Out]# 83          2   1.65  
#[Out]# 84          6   0.55  
#[Out]# 85          6   1.80  
#[Out]# 86          9   2.05  
#[Out]# 87          7   4.65  
#[Out]# 88          5   2.05  
#[Out]# 89          2   2.35  
#[Out]# 90          4   1.85  
#[Out]# 91          2   2.25  
#[Out]# 92          9   0.50  
#[Out]# 93          6   1.10  
#[Out]# 94          1   3.90  
#[Out]# 95          7   0.45  
#[Out]# 96          3   0.60  
#[Out]# 97          5   2.00  
#[Out]# 98          9   4.20  
#[Out]# 99          1   1.00  
#[Out]# 100         3   2.50  
#[Out]# 101         1   3.30  
#[Out]# 
#[Out]# [102 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(purchase.tID)>1
    order by customer.cID
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID     cName  \
#[Out]# 0     36         Lidl     Julianastraat  Eindhoven    1       Sem   
#[Out]# 1     47         Coop     Julianastraat  Rotterdam    2     Lucas   
#[Out]# 2     29       Sligro      Marnixstraat  Amsterdam    3      Finn   
#[Out]# 3     44  Albert Hein     Ambachtstraat    Utrecht    4      Daan   
#[Out]# 4     17    Hoogvliet        Kerkstraat  Eindhoven    5      Levi   
#[Out]# 5     42       Sligro      Kalverstraat  Amsterdam    7      Bram   
#[Out]# 6     51         Coop       Parallelweg    Utrecht    8      Liam   
#[Out]# 7      8  Albert Hein       Molenstraat  Eindhoven   13     James   
#[Out]# 8     26    Hoogvliet   Sint Annastraat      Breda   16    Julian   
#[Out]# 9     44  Albert Hein     Ambachtstraat    Utrecht   17       Dex   
#[Out]# 10     6         Coop    Stadhoudersweg  Rotterdam   18      Hugo   
#[Out]# 11    15         Lidl     Prinsengracht  Amsterdam   19      Lars   
#[Out]# 12    40    Hoogvliet          Hofplein  Rotterdam   20      Gijs   
#[Out]# 13    47         Coop     Julianastraat  Rotterdam   21  Benjamin   
#[Out]# 14    27       Sligro      Kalverstraat  Amsterdam   22      Mats   
#[Out]# 15    59        Jumbo  Rozemarijnstraat      Breda   24      Luca   
#[Out]# 16    34         Coop          Bierkaai  Amsterdam   27       Tim   
#[Out]# 17    29       Sligro      Marnixstraat  Amsterdam   29     Ruben   
#[Out]# 18    57         Dirk       Molenstraat  Eindhoven   30      Teun   
#[Out]# 19    39       Sligro       Dorpsstraat  Eindhoven   31   Olivier   
#[Out]# 20    29       Sligro      Marnixstraat  Amsterdam   33      Sven   
#[Out]# 21    34         Coop          Bierkaai  Amsterdam   35     Stijn   
#[Out]# 22    10        Jumbo        Bergselaan  Rotterdam   37      Guus   
#[Out]# 23     8  Albert Hein       Molenstraat  Eindhoven   38    Floris   
#[Out]# 24    21         Coop      Kasteeldreef    Tilburg   39      Jack   
#[Out]# 25    40    Hoogvliet          Hofplein  Rotterdam   40      Jens   
#[Out]# 26     3       Sligro    Stadhoudersweg  Rotterdam   41     Quinn   
#[Out]# 27    45         Coop      Kasteeldreef    Tilburg   42      Tijn   
#[Out]# 28    40    Hoogvliet          Hofplein  Rotterdam   43       Tom   
#[Out]# 29    32  Albert Hein        Hoogstraat    Utrecht   44     Jason   
#[Out]# ..   ...          ...               ...        ...  ...       ...   
#[Out]# 72    11  Albert Hein          Hofplein  Rotterdam  133    Sophia   
#[Out]# 73     7       Sligro  Wilhelminastraat  Eindhoven  134      Ella   
#[Out]# 74    26    Hoogvliet   Sint Annastraat      Breda  139     Elise   
#[Out]# 75    41  Albert Hein        Bergselaan  Rotterdam  144       Ivy   
#[Out]# 76    33         Dirk       Nieuwstraat  Eindhoven  147    Isabel   
#[Out]# 77    54         Dirk     Julianastraat  Eindhoven  149     Lizzy   
#[Out]# 78    14         Coop     Keizersgracht  Amsterdam  151      Jill   
#[Out]# 79    43         Coop    Gasthuisstraat    Utrecht  152      Anne   
#[Out]# 80    36         Lidl     Julianastraat  Eindhoven  157      Puck   
#[Out]# 81    17    Hoogvliet        Kerkstraat  Eindhoven  159     Fenne   
#[Out]# 82    36         Lidl     Julianastraat  Eindhoven  161     Floor   
#[Out]# 83    41  Albert Hein        Bergselaan  Rotterdam  162     Elena   
#[Out]# 84     6         Coop    Stadhoudersweg  Rotterdam  163      Cato   
#[Out]# 85    46         Lidl        Bergselaan  Rotterdam  165     Hanna   
#[Out]# 86    17    Hoogvliet        Kerkstraat  Eindhoven  167    Veerle   
#[Out]# 87    52         Lidl       Nieuwstraat  Eindhoven  169      Lily   
#[Out]# 88    40    Hoogvliet          Hofplein  Rotterdam  170      Iris   
#[Out]# 89    44  Albert Hein     Ambachtstraat    Utrecht  171     Tessa   
#[Out]# 90     0         Coop      Kalverstraat  Amsterdam  172      Lana   
#[Out]# 91    16         Lidl     Ambachtstraat    Utrecht  175       Sam   
#[Out]# 92     6         Coop    Stadhoudersweg  Rotterdam  176     Amira   
#[Out]# 93    51         Coop       Parallelweg    Utrecht  177     Eline   
#[Out]# 94    39       Sligro       Dorpsstraat  Eindhoven  178      Elif   
#[Out]# 95    45         Coop      Kasteeldreef    Tilburg  179      Juul   
#[Out]# 96    56        Jumbo       Parallelweg  Eindhoven  180     Merel   
#[Out]# 97    27       Sligro      Kalverstraat  Amsterdam  181      Liva   
#[Out]# 98     4    Hoogvliet       Molenstraat  Eindhoven  182   Johanna   
#[Out]# 99    62        Jumbo     Poffertjesweg  Eindhoven  188      Pino   
#[Out]# 100   20        Jumbo      Kasteeldreef    Tilburg  189      Koen   
#[Out]# 101   63        Jumbo     Stationstraat        Oss  190    Kostas   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0        Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 1        Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 2           Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 3            Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 4          Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 5            Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 6           Rijsbergseweg      Breda   35      8     51    8  2018-08-16   
#[Out]# 7         Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 8    Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 9            Kasteeldreef    Tilburg   59     17     44    7  2018-08-19   
#[Out]# 10           Kasteeldreef    Tilburg   62     18      6    8  2018-08-18   
#[Out]# 11          Rijsbergseweg      Breda   66     19     15    3  2018-08-18   
#[Out]# 12             Heiligeweg  Amsterdam   69     20     40   27  2018-08-18   
#[Out]# 13            Stationsweg    Tilburg   72     21     47   27  2018-08-21   
#[Out]# 14            Molenstraat  Eindhoven   74     22     27   10  2018-08-28   
#[Out]# 15           Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 16              Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 17               Hofplein  Rotterdam   94     29     29    4  2018-08-24   
#[Out]# 18             Oosterkade  Rotterdam   97     30     57   12  2018-08-18   
#[Out]# 19          Julianastraat  Rotterdam   99     31     39   24  2018-08-28   
#[Out]# 20         Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 21          Julianastraat    Utrecht  111     35     34   28  2018-08-18   
#[Out]# 22              Koestraat    Tilburg  115     37     10   13  2018-08-15   
#[Out]# 23            Stationsweg  Eindhoven  117     38      8   22  2018-08-19   
#[Out]# 24   Prins Bernhardstraat  Eindhoven  123     39     21   28  2018-08-29   
#[Out]# 25             Bergselaan  Rotterdam  127     40     40   14  2018-08-23   
#[Out]# 26              Koestraat    Utrecht  129     41      3    3  2018-08-23   
#[Out]# 27          Keizersgracht  Amsterdam  131     42     45   21  2018-08-18   
#[Out]# 28         Stadhoudersweg  Rotterdam  135     43     40   27  2018-08-24   
#[Out]# 29           Keizerstraat  Rotterdam  138     44     32   19  2018-08-26   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 72        Raamschoorseweg      Breda  345    133     11   22  2018-08-19   
#[Out]# 73                 Amstel  Amsterdam  348    134      7   27  2018-08-26   
#[Out]# 74         Wilhelminapark    Tilburg  354    139     26    0  2018-08-19   
#[Out]# 75             Pompenburg  Rotterdam  356    144     41   12  2018-08-23   
#[Out]# 76              Damstraat    Utrecht  360    147     33   25  2018-08-25   
#[Out]# 77            Molenstraat  Eindhoven  366    149     54   19  2018-08-25   
#[Out]# 78               Hofplein  Rotterdam  368    151     14   23  2018-08-17   
#[Out]# 79         Gasthuisstraat    Utrecht  371    152     43   19  2018-08-21   
#[Out]# 80          Keizersgracht  Amsterdam  381    157     36    3  2018-08-28   
#[Out]# 81         Gasthuisstraat    Utrecht  385    159     17   12  2018-08-26   
#[Out]# 82              Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 83             Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 84           Kastanjelaan    Tilburg  406    163      6   10  2018-08-22   
#[Out]# 85              Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 86         Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 87         Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 88           Kastanjelaan  Eindhoven  440    170     40   22  2018-08-16   
#[Out]# 89            Haringvliet  Rotterdam  442    171     44   21  2018-08-20   
#[Out]# 90              Eikenlaan    Tilburg  444    172      0   16  2018-08-24   
#[Out]# 91              Bredalaan  Eindhoven  446    175     16   21  2018-08-20   
#[Out]# 92            Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 93           Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 94            Parallelweg    Utrecht  459    178     39   24  2018-08-27   
#[Out]# 95         Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 96           Kalverstraat  Amsterdam  468    180     56   10  2018-08-27   
#[Out]# 97            Fredriklaan  Eindhoven  471    181     27   21  2018-08-27   
#[Out]# 98          Beatrixstraat  Eindhoven  474    182      4   13  2018-08-23   
#[Out]# 99             Maanstraat  Rotterdam  781    188     62   30  2018-09-20   
#[Out]# 100              Akkerweg        Oss  783    189     20   19  2018-08-26   
#[Out]# 101              Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           6   9.10  
#[Out]# 1           1   1.55  
#[Out]# 2           6   1.45  
#[Out]# 3           4   2.75  
#[Out]# 4           1   2.20  
#[Out]# 5           6   2.05  
#[Out]# 6           5   5.30  
#[Out]# 7           6   0.50  
#[Out]# 8           2   9.25  
#[Out]# 9          10   1.65  
#[Out]# 10          4   4.45  
#[Out]# 11          4   1.60  
#[Out]# 12          9   7.10  
#[Out]# 13          9   7.05  
#[Out]# 14          6   0.45  
#[Out]# 15          5   4.00  
#[Out]# 16          7   1.60  
#[Out]# 17          3   0.95  
#[Out]# 18          8  11.45  
#[Out]# 19          4   3.90  
#[Out]# 20          2   1.15  
#[Out]# 21          7   9.45  
#[Out]# 22          4   2.90  
#[Out]# 23          7   2.05  
#[Out]# 24          3   7.05  
#[Out]# 25          6   4.10  
#[Out]# 26          3   1.35  
#[Out]# 27          6   1.90  
#[Out]# 28          4   6.90  
#[Out]# 29          3   2.85  
#[Out]# ..        ...    ...  
#[Out]# 72          5   1.85  
#[Out]# 73          5   9.25  
#[Out]# 74          5   4.90  
#[Out]# 75          9  13.25  
#[Out]# 76          7   4.40  
#[Out]# 77          5   2.25  
#[Out]# 78          5   2.10  
#[Out]# 79          4   2.20  
#[Out]# 80          7   1.80  
#[Out]# 81          3  12.30  
#[Out]# 82          4   7.20  
#[Out]# 83          2   1.65  
#[Out]# 84          6   0.55  
#[Out]# 85          6   1.80  
#[Out]# 86          9   2.05  
#[Out]# 87          7   4.65  
#[Out]# 88          5   2.05  
#[Out]# 89          2   2.35  
#[Out]# 90          4   1.85  
#[Out]# 91          2   2.25  
#[Out]# 92          9   0.50  
#[Out]# 93          6   1.10  
#[Out]# 94          1   3.90  
#[Out]# 95          7   0.45  
#[Out]# 96          3   0.60  
#[Out]# 97          5   2.00  
#[Out]# 98          9   4.20  
#[Out]# 99          1   1.00  
#[Out]# 100         3   2.50  
#[Out]# 101         1   3.30  
#[Out]# 
#[Out]# [102 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    having count(purchase.tID)>0
    order by customer.cID
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID     cName  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0      Noah   
#[Out]# 1     36         Lidl     Julianastraat  Eindhoven    1       Sem   
#[Out]# 2     47         Coop     Julianastraat  Rotterdam    2     Lucas   
#[Out]# 3     29       Sligro      Marnixstraat  Amsterdam    3      Finn   
#[Out]# 4     44  Albert Hein     Ambachtstraat    Utrecht    4      Daan   
#[Out]# 5     17    Hoogvliet        Kerkstraat  Eindhoven    5      Levi   
#[Out]# 6     42       Sligro      Kalverstraat  Amsterdam    7      Bram   
#[Out]# 7     51         Coop       Parallelweg    Utrecht    8      Liam   
#[Out]# 8     34         Coop          Bierkaai  Amsterdam   10       Sam   
#[Out]# 9      0         Coop      Kalverstraat  Amsterdam   11     Thijs   
#[Out]# 10     8  Albert Hein       Molenstraat  Eindhoven   13     James   
#[Out]# 11    25  Albert Hein     Stationsplein      Breda   15      Noud   
#[Out]# 12    26    Hoogvliet   Sint Annastraat      Breda   16    Julian   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht   17       Dex   
#[Out]# 14     6         Coop    Stadhoudersweg  Rotterdam   18      Hugo   
#[Out]# 15    15         Lidl     Prinsengracht  Amsterdam   19      Lars   
#[Out]# 16    40    Hoogvliet          Hofplein  Rotterdam   20      Gijs   
#[Out]# 17    47         Coop     Julianastraat  Rotterdam   21  Benjamin   
#[Out]# 18    27       Sligro      Kalverstraat  Amsterdam   22      Mats   
#[Out]# 19    59        Jumbo  Rozemarijnstraat      Breda   24      Luca   
#[Out]# 20    12         Lidl  Wilhelminastraat  Eindhoven   25     Mason   
#[Out]# 21    21         Coop      Kasteeldreef    Tilburg   26    Jayden   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam   27       Tim   
#[Out]# 23    43         Coop    Gasthuisstraat    Utrecht   28      Siem   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam   29     Ruben   
#[Out]# 25    57         Dirk       Molenstraat  Eindhoven   30      Teun   
#[Out]# 26    39       Sligro       Dorpsstraat  Eindhoven   31   Olivier   
#[Out]# 27    29       Sligro      Marnixstraat  Amsterdam   33      Sven   
#[Out]# 28    26    Hoogvliet   Sint Annastraat      Breda   34     David   
#[Out]# 29    34         Coop          Bierkaai  Amsterdam   35     Stijn   
#[Out]# ..   ...          ...               ...        ...  ...       ...   
#[Out]# 102   33         Dirk       Nieuwstraat  Eindhoven  147    Isabel   
#[Out]# 103   54         Dirk     Julianastraat  Eindhoven  149     Lizzy   
#[Out]# 104   14         Coop     Keizersgracht  Amsterdam  151      Jill   
#[Out]# 105   43         Coop    Gasthuisstraat    Utrecht  152      Anne   
#[Out]# 106   36         Lidl     Julianastraat  Eindhoven  157      Puck   
#[Out]# 107   17    Hoogvliet        Kerkstraat  Eindhoven  159     Fenne   
#[Out]# 108   36         Lidl     Julianastraat  Eindhoven  161     Floor   
#[Out]# 109   41  Albert Hein        Bergselaan  Rotterdam  162     Elena   
#[Out]# 110    6         Coop    Stadhoudersweg  Rotterdam  163      Cato   
#[Out]# 111   46         Lidl        Bergselaan  Rotterdam  165     Hanna   
#[Out]# 112   17    Hoogvliet        Kerkstraat  Eindhoven  167    Veerle   
#[Out]# 113   28    Hoogvliet         Koestraat    Tilburg  168      Kiki   
#[Out]# 114   52         Lidl       Nieuwstraat  Eindhoven  169      Lily   
#[Out]# 115   40    Hoogvliet          Hofplein  Rotterdam  170      Iris   
#[Out]# 116   44  Albert Hein     Ambachtstraat    Utrecht  171     Tessa   
#[Out]# 117    0         Coop      Kalverstraat  Amsterdam  172      Lana   
#[Out]# 118   16         Lidl     Ambachtstraat    Utrecht  175       Sam   
#[Out]# 119    6         Coop    Stadhoudersweg  Rotterdam  176     Amira   
#[Out]# 120   51         Coop       Parallelweg    Utrecht  177     Eline   
#[Out]# 121   39       Sligro       Dorpsstraat  Eindhoven  178      Elif   
#[Out]# 122   45         Coop      Kasteeldreef    Tilburg  179      Juul   
#[Out]# 123   56        Jumbo       Parallelweg  Eindhoven  180     Merel   
#[Out]# 124   27       Sligro      Kalverstraat  Amsterdam  181      Liva   
#[Out]# 125    4    Hoogvliet       Molenstraat  Eindhoven  182   Johanna   
#[Out]# 126    0         Coop      Kalverstraat  Amsterdam  184     Wilko   
#[Out]# 127   62        Jumbo     Poffertjesweg  Eindhoven  185      Nick   
#[Out]# 128   62        Jumbo     Poffertjesweg  Eindhoven  186    Angela   
#[Out]# 129   62        Jumbo     Poffertjesweg  Eindhoven  188      Pino   
#[Out]# 130   20        Jumbo      Kasteeldreef    Tilburg  189      Koen   
#[Out]# 131   63        Jumbo     Stationstraat        Oss  190    Kostas   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0               Koestraat    Utrecht    0      0      3   10  2018-08-22   
#[Out]# 1        Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 2        Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 3           Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 4            Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 5          Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 6            Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 7           Rijsbergseweg      Breda   35      8     51    8  2018-08-16   
#[Out]# 8             Langestraat    Tilburg   36     10     34   24  2018-08-27   
#[Out]# 9               Koestraat    Tilburg   37     11      0   14  2018-08-25   
#[Out]# 10        Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 11           Koningshoeve    Tilburg   47     15     25   11  2018-08-27   
#[Out]# 12   Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 13           Kasteeldreef    Tilburg   59     17     44    7  2018-08-19   
#[Out]# 14           Kasteeldreef    Tilburg   62     18      6    8  2018-08-18   
#[Out]# 15          Rijsbergseweg      Breda   66     19     15    3  2018-08-18   
#[Out]# 16             Heiligeweg  Amsterdam   69     20     40   27  2018-08-18   
#[Out]# 17            Stationsweg    Tilburg   72     21     47   27  2018-08-21   
#[Out]# 18            Molenstraat  Eindhoven   74     22     27   10  2018-08-28   
#[Out]# 19           Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 20           Keizerstraat  Rotterdam   84     25     12   26  2018-08-28   
#[Out]# 21           Schoolstraat  Eindhoven   85     26     21   23  2018-08-23   
#[Out]# 22              Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 23            Langestraat    Tilburg   92     28     43   11  2018-08-27   
#[Out]# 24               Hofplein  Rotterdam   94     29     29    4  2018-08-24   
#[Out]# 25             Oosterkade  Rotterdam   97     30     57   12  2018-08-18   
#[Out]# 26          Julianastraat  Rotterdam   99     31     39   24  2018-08-28   
#[Out]# 27         Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 28            Parallelweg    Tilburg  109     34     26   26  2018-08-26   
#[Out]# 29          Julianastraat    Utrecht  111     35     34   28  2018-08-18   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 102             Damstraat    Utrecht  360    147     33   25  2018-08-25   
#[Out]# 103           Molenstraat  Eindhoven  366    149     54   19  2018-08-25   
#[Out]# 104              Hofplein  Rotterdam  368    151     14   23  2018-08-17   
#[Out]# 105        Gasthuisstraat    Utrecht  371    152     43   19  2018-08-21   
#[Out]# 106         Keizersgracht  Amsterdam  381    157     36    3  2018-08-28   
#[Out]# 107        Gasthuisstraat    Utrecht  385    159     17   12  2018-08-26   
#[Out]# 108             Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 109            Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 110          Kastanjelaan    Tilburg  406    163      6   10  2018-08-22   
#[Out]# 111             Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 112        Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 113          Keizerstraat  Rotterdam  426    168     28    1  2018-08-16   
#[Out]# 114        Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 115          Kastanjelaan  Eindhoven  440    170     40   22  2018-08-16   
#[Out]# 116           Haringvliet  Rotterdam  442    171     44   21  2018-08-20   
#[Out]# 117             Eikenlaan    Tilburg  444    172      0   16  2018-08-24   
#[Out]# 118             Bredalaan  Eindhoven  446    175     16   21  2018-08-20   
#[Out]# 119           Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 120          Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 121           Parallelweg    Utrecht  459    178     39   24  2018-08-27   
#[Out]# 122        Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 123          Kalverstraat  Amsterdam  468    180     56   10  2018-08-27   
#[Out]# 124           Fredriklaan  Eindhoven  471    181     27   21  2018-08-27   
#[Out]# 125         Beatrixstraat  Eindhoven  474    182      4   13  2018-08-23   
#[Out]# 126          Onbekendeweg  Eindhoven  777    184      0    0  2018-08-20   
#[Out]# 127                Verweg  Eindhoven  778    185     62   29  2018-08-20   
#[Out]# 128              Dichtweg  Eindhoven  779    186     62   29  2018-08-21   
#[Out]# 129            Maanstraat  Rotterdam  781    188     62   30  2018-09-20   
#[Out]# 130              Akkerweg        Oss  783    189     20   19  2018-08-26   
#[Out]# 131              Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           6   9.10  
#[Out]# 2           1   1.55  
#[Out]# 3           6   1.45  
#[Out]# 4           4   2.75  
#[Out]# 5           1   2.20  
#[Out]# 6           6   2.05  
#[Out]# 7           5   5.30  
#[Out]# 8           5   3.20  
#[Out]# 9           8   4.10  
#[Out]# 10          6   0.50  
#[Out]# 11          5   0.90  
#[Out]# 12          2   9.25  
#[Out]# 13         10   1.65  
#[Out]# 14          4   4.45  
#[Out]# 15          4   1.60  
#[Out]# 16          9   7.10  
#[Out]# 17          9   7.05  
#[Out]# 18          6   0.45  
#[Out]# 19          5   4.00  
#[Out]# 20          9   2.55  
#[Out]# 21          6   2.10  
#[Out]# 22          7   1.60  
#[Out]# 23          2   1.10  
#[Out]# 24          3   0.95  
#[Out]# 25          8  11.45  
#[Out]# 26          4   3.90  
#[Out]# 27          2   1.15  
#[Out]# 28          8   3.45  
#[Out]# 29          7   9.45  
#[Out]# ..        ...    ...  
#[Out]# 102         7   4.40  
#[Out]# 103         5   2.25  
#[Out]# 104         5   2.10  
#[Out]# 105         4   2.20  
#[Out]# 106         7   1.80  
#[Out]# 107         3  12.30  
#[Out]# 108         4   7.20  
#[Out]# 109         2   1.65  
#[Out]# 110         6   0.55  
#[Out]# 111         6   1.80  
#[Out]# 112         9   2.05  
#[Out]# 113         6   5.65  
#[Out]# 114         7   4.65  
#[Out]# 115         5   2.05  
#[Out]# 116         2   2.35  
#[Out]# 117         4   1.85  
#[Out]# 118         2   2.25  
#[Out]# 119         9   0.50  
#[Out]# 120         6   1.10  
#[Out]# 121         1   3.90  
#[Out]# 122         7   0.45  
#[Out]# 123         3   0.60  
#[Out]# 124         5   2.00  
#[Out]# 125         9   4.20  
#[Out]# 126         2   3.50  
#[Out]# 127         1   1.00  
#[Out]# 128         5   1.00  
#[Out]# 129         1   1.00  
#[Out]# 130         3   2.50  
#[Out]# 131         1   3.30  
#[Out]# 
#[Out]# [132 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    order by customer.cID
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID     cName  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0      Noah   
#[Out]# 1     36         Lidl     Julianastraat  Eindhoven    1       Sem   
#[Out]# 2     47         Coop     Julianastraat  Rotterdam    2     Lucas   
#[Out]# 3     29       Sligro      Marnixstraat  Amsterdam    3      Finn   
#[Out]# 4     44  Albert Hein     Ambachtstraat    Utrecht    4      Daan   
#[Out]# 5     17    Hoogvliet        Kerkstraat  Eindhoven    5      Levi   
#[Out]# 6     42       Sligro      Kalverstraat  Amsterdam    7      Bram   
#[Out]# 7     51         Coop       Parallelweg    Utrecht    8      Liam   
#[Out]# 8     34         Coop          Bierkaai  Amsterdam   10       Sam   
#[Out]# 9      0         Coop      Kalverstraat  Amsterdam   11     Thijs   
#[Out]# 10     8  Albert Hein       Molenstraat  Eindhoven   13     James   
#[Out]# 11    25  Albert Hein     Stationsplein      Breda   15      Noud   
#[Out]# 12    26    Hoogvliet   Sint Annastraat      Breda   16    Julian   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht   17       Dex   
#[Out]# 14     6         Coop    Stadhoudersweg  Rotterdam   18      Hugo   
#[Out]# 15    15         Lidl     Prinsengracht  Amsterdam   19      Lars   
#[Out]# 16    40    Hoogvliet          Hofplein  Rotterdam   20      Gijs   
#[Out]# 17    47         Coop     Julianastraat  Rotterdam   21  Benjamin   
#[Out]# 18    27       Sligro      Kalverstraat  Amsterdam   22      Mats   
#[Out]# 19    59        Jumbo  Rozemarijnstraat      Breda   24      Luca   
#[Out]# 20    12         Lidl  Wilhelminastraat  Eindhoven   25     Mason   
#[Out]# 21    21         Coop      Kasteeldreef    Tilburg   26    Jayden   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam   27       Tim   
#[Out]# 23    43         Coop    Gasthuisstraat    Utrecht   28      Siem   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam   29     Ruben   
#[Out]# 25    57         Dirk       Molenstraat  Eindhoven   30      Teun   
#[Out]# 26    39       Sligro       Dorpsstraat  Eindhoven   31   Olivier   
#[Out]# 27    29       Sligro      Marnixstraat  Amsterdam   33      Sven   
#[Out]# 28    26    Hoogvliet   Sint Annastraat      Breda   34     David   
#[Out]# 29    34         Coop          Bierkaai  Amsterdam   35     Stijn   
#[Out]# ..   ...          ...               ...        ...  ...       ...   
#[Out]# 102   33         Dirk       Nieuwstraat  Eindhoven  147    Isabel   
#[Out]# 103   54         Dirk     Julianastraat  Eindhoven  149     Lizzy   
#[Out]# 104   14         Coop     Keizersgracht  Amsterdam  151      Jill   
#[Out]# 105   43         Coop    Gasthuisstraat    Utrecht  152      Anne   
#[Out]# 106   36         Lidl     Julianastraat  Eindhoven  157      Puck   
#[Out]# 107   17    Hoogvliet        Kerkstraat  Eindhoven  159     Fenne   
#[Out]# 108   36         Lidl     Julianastraat  Eindhoven  161     Floor   
#[Out]# 109   41  Albert Hein        Bergselaan  Rotterdam  162     Elena   
#[Out]# 110    6         Coop    Stadhoudersweg  Rotterdam  163      Cato   
#[Out]# 111   46         Lidl        Bergselaan  Rotterdam  165     Hanna   
#[Out]# 112   17    Hoogvliet        Kerkstraat  Eindhoven  167    Veerle   
#[Out]# 113   28    Hoogvliet         Koestraat    Tilburg  168      Kiki   
#[Out]# 114   52         Lidl       Nieuwstraat  Eindhoven  169      Lily   
#[Out]# 115   40    Hoogvliet          Hofplein  Rotterdam  170      Iris   
#[Out]# 116   44  Albert Hein     Ambachtstraat    Utrecht  171     Tessa   
#[Out]# 117    0         Coop      Kalverstraat  Amsterdam  172      Lana   
#[Out]# 118   16         Lidl     Ambachtstraat    Utrecht  175       Sam   
#[Out]# 119    6         Coop    Stadhoudersweg  Rotterdam  176     Amira   
#[Out]# 120   51         Coop       Parallelweg    Utrecht  177     Eline   
#[Out]# 121   39       Sligro       Dorpsstraat  Eindhoven  178      Elif   
#[Out]# 122   45         Coop      Kasteeldreef    Tilburg  179      Juul   
#[Out]# 123   56        Jumbo       Parallelweg  Eindhoven  180     Merel   
#[Out]# 124   27       Sligro      Kalverstraat  Amsterdam  181      Liva   
#[Out]# 125    4    Hoogvliet       Molenstraat  Eindhoven  182   Johanna   
#[Out]# 126    0         Coop      Kalverstraat  Amsterdam  184     Wilko   
#[Out]# 127   62        Jumbo     Poffertjesweg  Eindhoven  185      Nick   
#[Out]# 128   62        Jumbo     Poffertjesweg  Eindhoven  186    Angela   
#[Out]# 129   62        Jumbo     Poffertjesweg  Eindhoven  188      Pino   
#[Out]# 130   20        Jumbo      Kasteeldreef    Tilburg  189      Koen   
#[Out]# 131   63        Jumbo     Stationstraat        Oss  190    Kostas   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0               Koestraat    Utrecht    0      0      3   10  2018-08-22   
#[Out]# 1        Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 2        Oude Leliestraat  Amsterdam   12      2     47   22  2018-08-17   
#[Out]# 3           Stationsplein      Breda   15      3     29    9  2018-08-19   
#[Out]# 4            Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 5          Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 6            Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 7           Rijsbergseweg      Breda   35      8     51    8  2018-08-16   
#[Out]# 8             Langestraat    Tilburg   36     10     34   24  2018-08-27   
#[Out]# 9               Koestraat    Tilburg   37     11      0   14  2018-08-25   
#[Out]# 10        Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 11           Koningshoeve    Tilburg   47     15     25   11  2018-08-27   
#[Out]# 12   Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 13           Kasteeldreef    Tilburg   59     17     44    7  2018-08-19   
#[Out]# 14           Kasteeldreef    Tilburg   62     18      6    8  2018-08-18   
#[Out]# 15          Rijsbergseweg      Breda   66     19     15    3  2018-08-18   
#[Out]# 16             Heiligeweg  Amsterdam   69     20     40   27  2018-08-18   
#[Out]# 17            Stationsweg    Tilburg   72     21     47   27  2018-08-21   
#[Out]# 18            Molenstraat  Eindhoven   74     22     27   10  2018-08-28   
#[Out]# 19           Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 20           Keizerstraat  Rotterdam   84     25     12   26  2018-08-28   
#[Out]# 21           Schoolstraat  Eindhoven   85     26     21   23  2018-08-23   
#[Out]# 22              Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 23            Langestraat    Tilburg   92     28     43   11  2018-08-27   
#[Out]# 24               Hofplein  Rotterdam   94     29     29    4  2018-08-24   
#[Out]# 25             Oosterkade  Rotterdam   97     30     57   12  2018-08-18   
#[Out]# 26          Julianastraat  Rotterdam   99     31     39   24  2018-08-28   
#[Out]# 27         Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 28            Parallelweg    Tilburg  109     34     26   26  2018-08-26   
#[Out]# 29          Julianastraat    Utrecht  111     35     34   28  2018-08-18   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 102             Damstraat    Utrecht  360    147     33   25  2018-08-25   
#[Out]# 103           Molenstraat  Eindhoven  366    149     54   19  2018-08-25   
#[Out]# 104              Hofplein  Rotterdam  368    151     14   23  2018-08-17   
#[Out]# 105        Gasthuisstraat    Utrecht  371    152     43   19  2018-08-21   
#[Out]# 106         Keizersgracht  Amsterdam  381    157     36    3  2018-08-28   
#[Out]# 107        Gasthuisstraat    Utrecht  385    159     17   12  2018-08-26   
#[Out]# 108             Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 109            Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 110          Kastanjelaan    Tilburg  406    163      6   10  2018-08-22   
#[Out]# 111             Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 112        Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 113          Keizerstraat  Rotterdam  426    168     28    1  2018-08-16   
#[Out]# 114        Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 115          Kastanjelaan  Eindhoven  440    170     40   22  2018-08-16   
#[Out]# 116           Haringvliet  Rotterdam  442    171     44   21  2018-08-20   
#[Out]# 117             Eikenlaan    Tilburg  444    172      0   16  2018-08-24   
#[Out]# 118             Bredalaan  Eindhoven  446    175     16   21  2018-08-20   
#[Out]# 119           Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 120          Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 121           Parallelweg    Utrecht  459    178     39   24  2018-08-27   
#[Out]# 122        Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 123          Kalverstraat  Amsterdam  468    180     56   10  2018-08-27   
#[Out]# 124           Fredriklaan  Eindhoven  471    181     27   21  2018-08-27   
#[Out]# 125         Beatrixstraat  Eindhoven  474    182      4   13  2018-08-23   
#[Out]# 126          Onbekendeweg  Eindhoven  777    184      0    0  2018-08-20   
#[Out]# 127                Verweg  Eindhoven  778    185     62   29  2018-08-20   
#[Out]# 128              Dichtweg  Eindhoven  779    186     62   29  2018-08-21   
#[Out]# 129            Maanstraat  Rotterdam  781    188     62   30  2018-09-20   
#[Out]# 130              Akkerweg        Oss  783    189     20   19  2018-08-26   
#[Out]# 131              Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           6   9.10  
#[Out]# 2           1   1.55  
#[Out]# 3           6   1.45  
#[Out]# 4           4   2.75  
#[Out]# 5           1   2.20  
#[Out]# 6           6   2.05  
#[Out]# 7           5   5.30  
#[Out]# 8           5   3.20  
#[Out]# 9           8   4.10  
#[Out]# 10          6   0.50  
#[Out]# 11          5   0.90  
#[Out]# 12          2   9.25  
#[Out]# 13         10   1.65  
#[Out]# 14          4   4.45  
#[Out]# 15          4   1.60  
#[Out]# 16          9   7.10  
#[Out]# 17          9   7.05  
#[Out]# 18          6   0.45  
#[Out]# 19          5   4.00  
#[Out]# 20          9   2.55  
#[Out]# 21          6   2.10  
#[Out]# 22          7   1.60  
#[Out]# 23          2   1.10  
#[Out]# 24          3   0.95  
#[Out]# 25          8  11.45  
#[Out]# 26          4   3.90  
#[Out]# 27          2   1.15  
#[Out]# 28          8   3.45  
#[Out]# 29          7   9.45  
#[Out]# ..        ...    ...  
#[Out]# 102         7   4.40  
#[Out]# 103         5   2.25  
#[Out]# 104         5   2.10  
#[Out]# 105         4   2.20  
#[Out]# 106         7   1.80  
#[Out]# 107         3  12.30  
#[Out]# 108         4   7.20  
#[Out]# 109         2   1.65  
#[Out]# 110         6   0.55  
#[Out]# 111         6   1.80  
#[Out]# 112         9   2.05  
#[Out]# 113         6   5.65  
#[Out]# 114         7   4.65  
#[Out]# 115         5   2.05  
#[Out]# 116         2   2.35  
#[Out]# 117         4   1.85  
#[Out]# 118         2   2.25  
#[Out]# 119         9   0.50  
#[Out]# 120         6   1.10  
#[Out]# 121         1   3.90  
#[Out]# 122         7   0.45  
#[Out]# 123         3   0.60  
#[Out]# 124         5   2.00  
#[Out]# 125         9   4.20  
#[Out]# 126         2   3.50  
#[Out]# 127         1   1.00  
#[Out]# 128         5   1.00  
#[Out]# 129         1   1.00  
#[Out]# 130         3   2.50  
#[Out]# 131         1   3.30  
#[Out]# 
#[Out]# [132 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select *
    from store, customer, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    group by customer.cID
    order by count(customer.cID)
) yaw
'''
pd.read_sql_query(queryQ3, conn)


#[Out]#      sID        sName            street       city  cID      cName  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0       Noah   
#[Out]# 1     34         Coop          Bierkaai  Amsterdam   10        Sam   
#[Out]# 2      0         Coop      Kalverstraat  Amsterdam   11      Thijs   
#[Out]# 3     25  Albert Hein     Stationsplein      Breda   15       Noud   
#[Out]# 4     12         Lidl  Wilhelminastraat  Eindhoven   25      Mason   
#[Out]# 5     21         Coop      Kasteeldreef    Tilburg   26     Jayden   
#[Out]# 6     43         Coop    Gasthuisstraat    Utrecht   28       Siem   
#[Out]# 7     26    Hoogvliet   Sint Annastraat      Breda   34      David   
#[Out]# 8     20        Jumbo      Kasteeldreef    Tilburg   47       Xavi   
#[Out]# 9     20        Jumbo      Kasteeldreef    Tilburg   63       Senn   
#[Out]# 10    25  Albert Hein     Stationsplein      Breda   69       Roan   
#[Out]# 11    21         Coop      Kasteeldreef    Tilburg   76  Alexander   
#[Out]# 12     1    Hoogvliet  Rozemarijnstraat      Breda   77      Hidde   
#[Out]# 13     8  Albert Hein       Molenstraat  Eindhoven   80       Niek   
#[Out]# 14    14         Coop     Keizersgracht  Amsterdam   88      Joris   
#[Out]# 15     7       Sligro  Wilhelminastraat  Eindhoven   90       Lenn   
#[Out]# 16    43         Coop    Gasthuisstraat    Utrecht   99       Anna   
#[Out]# 17    13         Coop         Koestraat    Tilburg  103      Lotte   
#[Out]# 18     2        Jumbo    Stadhoudersweg  Rotterdam  104        Liv   
#[Out]# 19    17    Hoogvliet        Kerkstraat  Eindhoven  111     Lauren   
#[Out]# 20    24  Albert Hein     Stationsplein      Breda  128    Jasmijn   
#[Out]# 21    51         Coop       Parallelweg    Utrecht  131        Amy   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam  135      Sofia   
#[Out]# 23    37        Jumbo          Molenweg  Eindhoven  136      Femke   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam  137       Lena   
#[Out]# 25    58         Dirk      Keizerstraat  Rotterdam  145       Fien   
#[Out]# 26    28    Hoogvliet         Koestraat    Tilburg  168       Kiki   
#[Out]# 27     0         Coop      Kalverstraat  Amsterdam  184      Wilko   
#[Out]# 28    62        Jumbo     Poffertjesweg  Eindhoven  185       Nick   
#[Out]# 29    62        Jumbo     Poffertjesweg  Eindhoven  186     Angela   
#[Out]# ..   ...          ...               ...        ...  ...        ...   
#[Out]# 102   53         Coop        Hoogstraat    Utrecht  113      Fenna   
#[Out]# 103   56        Jumbo       Parallelweg  Eindhoven  122       Elin   
#[Out]# 104   51         Coop       Parallelweg    Utrecht  177      Eline   
#[Out]# 105   44  Albert Hein     Ambachtstraat    Utrecht    4       Daan   
#[Out]# 106   17    Hoogvliet        Kerkstraat  Eindhoven    5       Levi   
#[Out]# 107   42       Sligro      Kalverstraat  Amsterdam    7       Bram   
#[Out]# 108   34         Coop          Bierkaai  Amsterdam   27        Tim   
#[Out]# 109   21         Coop      Kasteeldreef    Tilburg   39       Jack   
#[Out]# 110    0         Coop      Kalverstraat  Amsterdam   91    Thijmen   
#[Out]# 111   36         Lidl     Julianastraat  Eindhoven  108       Noor   
#[Out]# 112   29       Sligro      Marnixstraat  Amsterdam  109       Lynn   
#[Out]# 113    9  Albert Hein         Koestraat    Tilburg  123      Milou   
#[Out]# 114   46         Lidl        Bergselaan  Rotterdam  165      Hanna   
#[Out]# 115    6         Coop    Stadhoudersweg  Rotterdam  176      Amira   
#[Out]# 116   45         Coop      Kasteeldreef    Tilburg  179       Juul   
#[Out]# 117   36         Lidl     Julianastraat  Eindhoven    1        Sem   
#[Out]# 118   28    Hoogvliet         Koestraat    Tilburg   86       Stef   
#[Out]# 119   47         Coop     Julianastraat  Rotterdam  100       Sara   
#[Out]# 120   41  Albert Hein        Bergselaan  Rotterdam  162      Elena   
#[Out]# 121    8  Albert Hein       Molenstraat  Eindhoven   13      James   
#[Out]# 122   59        Jumbo  Rozemarijnstraat      Breda   24       Luca   
#[Out]# 123   29       Sligro      Marnixstraat  Amsterdam   33       Sven   
#[Out]# 124   42       Sligro      Kalverstraat  Amsterdam   59       Joep   
#[Out]# 125   26    Hoogvliet   Sint Annastraat      Breda   16     Julian   
#[Out]# 126   17    Hoogvliet        Kerkstraat  Eindhoven  167     Veerle   
#[Out]# 127   42       Sligro      Kalverstraat  Amsterdam   82      Dylan   
#[Out]# 128    6         Coop    Stadhoudersweg  Rotterdam  124      Sofie   
#[Out]# 129   36         Lidl     Julianastraat  Eindhoven  161      Floor   
#[Out]# 130   52         Lidl       Nieuwstraat  Eindhoven  169       Lily   
#[Out]# 131   63        Jumbo     Stationstraat        Oss  190     Kostas   
#[Out]# 
#[Out]#                  street:1     city:1  tID  cID:1  sID:1  pID        date  \
#[Out]# 0               Koestraat    Utrecht    0      0      3   10  2018-08-22   
#[Out]# 1             Langestraat    Tilburg   36     10     34   24  2018-08-27   
#[Out]# 2               Koestraat    Tilburg   37     11      0   14  2018-08-25   
#[Out]# 3            Koningshoeve    Tilburg   47     15     25   11  2018-08-27   
#[Out]# 4            Keizerstraat  Rotterdam   84     25     12   26  2018-08-28   
#[Out]# 5            Schoolstraat  Eindhoven   85     26     21   23  2018-08-23   
#[Out]# 6             Langestraat    Tilburg   92     28     43   11  2018-08-27   
#[Out]# 7             Parallelweg    Tilburg  109     34     26   26  2018-08-26   
#[Out]# 8           Julianastraat    Utrecht  148     47     20   16  2018-08-17   
#[Out]# 9         Raamschoorseweg      Breda  182     63     20   27  2018-08-17   
#[Out]# 10            Parallelweg    Utrecht  195     69     25    1  2018-08-28   
#[Out]# 11           Keizerstraat  Rotterdam  212     76     21   25  2018-08-26   
#[Out]# 12          Ambachtstraat    Utrecht  213     77      1    5  2018-08-23   
#[Out]# 13       Rozemarijnstraat      Breda  216     80      8    8  2018-08-16   
#[Out]# 14           Kastanjelaan  Eindhoven  240     88     14   14  2018-08-25   
#[Out]# 15           Kasteeldreef    Tilburg  241     90      7    9  2018-08-19   
#[Out]# 16            Karrestraat      Breda  267     99     43   26  2018-08-19   
#[Out]# 17           Kalverstraat  Amsterdam  277    103     13   12  2018-08-23   
#[Out]# 18             Pompenburg  Rotterdam  278    104      2   22  2018-08-22   
#[Out]# 19               Hofplein  Rotterdam  293    111     17   21  2018-08-22   
#[Out]# 20         Wilhelminapark    Tilburg  338    128     24    6  2018-08-25   
#[Out]# 21            Parallelweg  Rotterdam  343    131     51    1  2018-08-18   
#[Out]# 22              Koestraat    Utrecht  349    135     34    6  2018-08-19   
#[Out]# 23             Oosterkade  Rotterdam  350    136     37   28  2018-08-24   
#[Out]# 24              Koestraat    Utrecht  351    137     29   20  2018-08-17   
#[Out]# 25           Kasteeldreef    Tilburg  357    145     58    9  2018-08-22   
#[Out]# 26           Keizerstraat  Rotterdam  426    168     28    1  2018-08-16   
#[Out]# 27           Onbekendeweg  Eindhoven  777    184      0    0  2018-08-20   
#[Out]# 28                 Verweg  Eindhoven  778    185     62   29  2018-08-20   
#[Out]# 29               Dichtweg  Eindhoven  779    186     62   29  2018-08-21   
#[Out]# ..                    ...        ...  ...    ...    ...  ...         ...   
#[Out]# 102             Koestraat    Tilburg  301    113     53   13  2018-08-21   
#[Out]# 103           Langestraat    Tilburg  316    122     56    7  2018-08-22   
#[Out]# 104          Kalverstraat  Amsterdam  457    177     51    4  2018-08-22   
#[Out]# 105          Kalverstraat  Amsterdam   21      4     44   26  2018-08-25   
#[Out]# 106        Gasthuisstraat    Utrecht   27      5     17   19  2018-08-23   
#[Out]# 107          Schoolstraat  Eindhoven   33      7     42   20  2018-08-26   
#[Out]# 108             Koestraat    Utrecht   91     27     34   22  2018-08-18   
#[Out]# 109  Prins Bernhardstraat  Eindhoven  123     39     21   28  2018-08-29   
#[Out]# 110                 Markt  Eindhoven  247     91      0   15  2018-08-27   
#[Out]# 111             Eikenlaan    Tilburg  284    108     36   22  2018-08-22   
#[Out]# 112         Stationsplein      Breda  289    109     29   12  2018-08-18   
#[Out]# 113        Stadhoudersweg  Rotterdam  322    123      9   17  2018-08-26   
#[Out]# 114             Eikenlaan    Tilburg  413    165     46    9  2018-08-25   
#[Out]# 115           Parallelweg  Amsterdam  452    176      6    5  2018-08-26   
#[Out]# 116        Wilhelminapark    Tilburg  465    179     45   10  2018-08-23   
#[Out]# 117      Rozemarijnstraat      Breda    7      1     36   27  2018-08-21   
#[Out]# 118           Dorpsstraat  Eindhoven  237     86     28   19  2018-08-19   
#[Out]# 119           Stationsweg    Tilburg  274    100     47   23  2018-08-20   
#[Out]# 120            Bergselaan  Rotterdam  402    162     41   16  2018-08-16   
#[Out]# 121       Sint Annastraat      Breda   46     13      8    5  2018-08-27   
#[Out]# 122          Kasteeldreef    Tilburg   83     24     59   13  2018-08-21   
#[Out]# 123        Ginnekenstraat      Breda  108     33     29    4  2018-08-18   
#[Out]# 124                Amstel  Amsterdam  177     59     42    9  2018-08-16   
#[Out]# 125  Prins Bernhardstraat  Eindhoven   57     16     26   27  2018-08-19   
#[Out]# 126        Ginnekenstraat      Breda  425    167     17   17  2018-08-15   
#[Out]# 127              Molenweg  Eindhoven  227     82     42    0  2018-08-25   
#[Out]# 128         Keizersgracht  Amsterdam  333    124      6   15  2018-08-23   
#[Out]# 129             Eikenlaan    Tilburg  393    161     36   28  2018-08-26   
#[Out]# 130        Gasthuisstraat    Utrecht  437    169     52   14  2018-08-28   
#[Out]# 131              Eindeweg    Utrecht  847    190     63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           5   3.20  
#[Out]# 2           8   4.10  
#[Out]# 3           5   0.90  
#[Out]# 4           9   2.55  
#[Out]# 5           6   2.10  
#[Out]# 6           2   1.10  
#[Out]# 7           8   3.45  
#[Out]# 8           7   2.10  
#[Out]# 9           8   6.85  
#[Out]# 10          8   6.05  
#[Out]# 11          1   3.30  
#[Out]# 12          3   0.45  
#[Out]# 13          9   5.55  
#[Out]# 14          1   4.45  
#[Out]# 15          3   1.40  
#[Out]# 16          9   2.95  
#[Out]# 17          2  11.20  
#[Out]# 18          2   2.00  
#[Out]# 19          8   2.30  
#[Out]# 20          5   0.95  
#[Out]# 21          2   6.40  
#[Out]# 22          7   1.00  
#[Out]# 23          5   7.75  
#[Out]# 24          6   2.35  
#[Out]# 25          9   1.70  
#[Out]# 26          6   5.65  
#[Out]# 27          2   3.50  
#[Out]# 28          1   1.00  
#[Out]# 29          5   1.00  
#[Out]# ..        ...    ...  
#[Out]# 102         4   3.35  
#[Out]# 103         4   2.35  
#[Out]# 104         6   1.10  
#[Out]# 105         4   2.75  
#[Out]# 106         1   2.20  
#[Out]# 107         6   2.05  
#[Out]# 108         7   1.60  
#[Out]# 109         3   7.05  
#[Out]# 110         4   1.20  
#[Out]# 111         1   2.00  
#[Out]# 112        11  13.65  
#[Out]# 113         8   2.60  
#[Out]# 114         6   1.80  
#[Out]# 115         9   0.50  
#[Out]# 116         7   0.45  
#[Out]# 117         6   9.10  
#[Out]# 118         7   2.80  
#[Out]# 119         8   2.55  
#[Out]# 120         2   1.65  
#[Out]# 121         6   0.50  
#[Out]# 122         5   4.00  
#[Out]# 123         2   1.15  
#[Out]# 124         3   1.75  
#[Out]# 125         2   9.25  
#[Out]# 126         9   2.05  
#[Out]# 127         3   5.00  
#[Out]# 128         1   1.00  
#[Out]# 129         4   7.20  
#[Out]# 130         7   4.65  
#[Out]# 131         1   3.30  
#[Out]# 
#[Out]# [132 rows x 15 columns]
# List the ids of the customers that made a purchase at every store


queryQ3 = '''
select *
from (
    select count(purchase.cID), *
    from store, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    order by count(customer.cID)
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM stores''', conn).value

queryQ3 = '''
select *
from (
    select count(purchase.cID), *
    from store, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    order by count(customer.cID)
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM store''', conn).value

queryQ3 = '''
select *
from (
    select count(purchase.cID), *
    from store, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    order by count(customer.cID)
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM store''', conn)['COUNT(*)']

queryQ3 = '''
select *
from (
    select count(purchase.cID), *
    from store, purchase
    where purchase.sID=store.sID
    and purchase.cID=customer.cID
    order by count(customer.cID)
) yaw
'''
pd.read_sql_query(queryQ3, conn)


# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM store''', conn)['COUNT(*)']
#[Out]# 0    64
#[Out]# Name: COUNT(*), dtype: int64
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM store''', conn)
#[Out]#    COUNT(*)
#[Out]# 0        64
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#      sID        sName            street       city  tID  cID  sID:1  pID  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0    0      3   10   
#[Out]# 1     36         Lidl     Julianastraat  Eindhoven    7    1     36   27   
#[Out]# 2     47         Coop     Julianastraat  Rotterdam   12    2     47   22   
#[Out]# 3     29       Sligro      Marnixstraat  Amsterdam   15    3     29    9   
#[Out]# 4     44  Albert Hein     Ambachtstraat    Utrecht   21    4     44   26   
#[Out]# 5     17    Hoogvliet        Kerkstraat  Eindhoven   27    5     17   19   
#[Out]# 6     42       Sligro      Kalverstraat  Amsterdam   33    7     42   20   
#[Out]# 7     51         Coop       Parallelweg    Utrecht   35    8     51    8   
#[Out]# 8     34         Coop          Bierkaai  Amsterdam   36   10     34   24   
#[Out]# 9      0         Coop      Kalverstraat  Amsterdam   37   11      0   14   
#[Out]# 10     8  Albert Hein       Molenstraat  Eindhoven   46   13      8    5   
#[Out]# 11    25  Albert Hein     Stationsplein      Breda   47   15     25   11   
#[Out]# 12    26    Hoogvliet   Sint Annastraat      Breda   57   16     26   27   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht   59   17     44    7   
#[Out]# 14     6         Coop    Stadhoudersweg  Rotterdam   62   18      6    8   
#[Out]# 15    15         Lidl     Prinsengracht  Amsterdam   66   19     15    3   
#[Out]# 16    40    Hoogvliet          Hofplein  Rotterdam   69   20     40   27   
#[Out]# 17    47         Coop     Julianastraat  Rotterdam   72   21     47   27   
#[Out]# 18    27       Sligro      Kalverstraat  Amsterdam   74   22     27   10   
#[Out]# 19    59        Jumbo  Rozemarijnstraat      Breda   83   24     59   13   
#[Out]# 20    12         Lidl  Wilhelminastraat  Eindhoven   84   25     12   26   
#[Out]# 21    21         Coop      Kasteeldreef    Tilburg   85   26     21   23   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam   91   27     34   22   
#[Out]# 23    43         Coop    Gasthuisstraat    Utrecht   92   28     43   11   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam   94   29     29    4   
#[Out]# 25    57         Dirk       Molenstraat  Eindhoven   97   30     57   12   
#[Out]# 26    39       Sligro       Dorpsstraat  Eindhoven   99   31     39   24   
#[Out]# 27    29       Sligro      Marnixstraat  Amsterdam  108   33     29    4   
#[Out]# 28    26    Hoogvliet   Sint Annastraat      Breda  109   34     26   26   
#[Out]# 29    34         Coop          Bierkaai  Amsterdam  111   35     34   28   
#[Out]# ..   ...          ...               ...        ...  ...  ...    ...  ...   
#[Out]# 102   33         Dirk       Nieuwstraat  Eindhoven  360  147     33   25   
#[Out]# 103   54         Dirk     Julianastraat  Eindhoven  366  149     54   19   
#[Out]# 104   14         Coop     Keizersgracht  Amsterdam  368  151     14   23   
#[Out]# 105   43         Coop    Gasthuisstraat    Utrecht  371  152     43   19   
#[Out]# 106   36         Lidl     Julianastraat  Eindhoven  381  157     36    3   
#[Out]# 107   17    Hoogvliet        Kerkstraat  Eindhoven  385  159     17   12   
#[Out]# 108   36         Lidl     Julianastraat  Eindhoven  393  161     36   28   
#[Out]# 109   41  Albert Hein        Bergselaan  Rotterdam  402  162     41   16   
#[Out]# 110    6         Coop    Stadhoudersweg  Rotterdam  406  163      6   10   
#[Out]# 111   46         Lidl        Bergselaan  Rotterdam  413  165     46    9   
#[Out]# 112   17    Hoogvliet        Kerkstraat  Eindhoven  425  167     17   17   
#[Out]# 113   28    Hoogvliet         Koestraat    Tilburg  426  168     28    1   
#[Out]# 114   52         Lidl       Nieuwstraat  Eindhoven  437  169     52   14   
#[Out]# 115   40    Hoogvliet          Hofplein  Rotterdam  440  170     40   22   
#[Out]# 116   44  Albert Hein     Ambachtstraat    Utrecht  442  171     44   21   
#[Out]# 117    0         Coop      Kalverstraat  Amsterdam  444  172      0   16   
#[Out]# 118   16         Lidl     Ambachtstraat    Utrecht  446  175     16   21   
#[Out]# 119    6         Coop    Stadhoudersweg  Rotterdam  452  176      6    5   
#[Out]# 120   51         Coop       Parallelweg    Utrecht  457  177     51    4   
#[Out]# 121   39       Sligro       Dorpsstraat  Eindhoven  459  178     39   24   
#[Out]# 122   45         Coop      Kasteeldreef    Tilburg  465  179     45   10   
#[Out]# 123   56        Jumbo       Parallelweg  Eindhoven  468  180     56   10   
#[Out]# 124   27       Sligro      Kalverstraat  Amsterdam  471  181     27   21   
#[Out]# 125    4    Hoogvliet       Molenstraat  Eindhoven  474  182      4   13   
#[Out]# 126    0         Coop      Kalverstraat  Amsterdam  777  184      0    0   
#[Out]# 127   62        Jumbo     Poffertjesweg  Eindhoven  778  185     62   29   
#[Out]# 128   62        Jumbo     Poffertjesweg  Eindhoven  779  186     62   29   
#[Out]# 129   62        Jumbo     Poffertjesweg  Eindhoven  781  188     62   30   
#[Out]# 130   20        Jumbo      Kasteeldreef    Tilburg  783  189     20   19   
#[Out]# 131   63        Jumbo     Stationstraat        Oss  847  190     63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-21         6   9.10  
#[Out]# 2    2018-08-17         1   1.55  
#[Out]# 3    2018-08-19         6   1.45  
#[Out]# 4    2018-08-25         4   2.75  
#[Out]# 5    2018-08-23         1   2.20  
#[Out]# 6    2018-08-26         6   2.05  
#[Out]# 7    2018-08-16         5   5.30  
#[Out]# 8    2018-08-27         5   3.20  
#[Out]# 9    2018-08-25         8   4.10  
#[Out]# 10   2018-08-27         6   0.50  
#[Out]# 11   2018-08-27         5   0.90  
#[Out]# 12   2018-08-19         2   9.25  
#[Out]# 13   2018-08-19        10   1.65  
#[Out]# 14   2018-08-18         4   4.45  
#[Out]# 15   2018-08-18         4   1.60  
#[Out]# 16   2018-08-18         9   7.10  
#[Out]# 17   2018-08-21         9   7.05  
#[Out]# 18   2018-08-28         6   0.45  
#[Out]# 19   2018-08-21         5   4.00  
#[Out]# 20   2018-08-28         9   2.55  
#[Out]# 21   2018-08-23         6   2.10  
#[Out]# 22   2018-08-18         7   1.60  
#[Out]# 23   2018-08-27         2   1.10  
#[Out]# 24   2018-08-24         3   0.95  
#[Out]# 25   2018-08-18         8  11.45  
#[Out]# 26   2018-08-28         4   3.90  
#[Out]# 27   2018-08-18         2   1.15  
#[Out]# 28   2018-08-26         8   3.45  
#[Out]# 29   2018-08-18         7   9.45  
#[Out]# ..          ...       ...    ...  
#[Out]# 102  2018-08-25         7   4.40  
#[Out]# 103  2018-08-25         5   2.25  
#[Out]# 104  2018-08-17         5   2.10  
#[Out]# 105  2018-08-21         4   2.20  
#[Out]# 106  2018-08-28         7   1.80  
#[Out]# 107  2018-08-26         3  12.30  
#[Out]# 108  2018-08-26         4   7.20  
#[Out]# 109  2018-08-16         2   1.65  
#[Out]# 110  2018-08-22         6   0.55  
#[Out]# 111  2018-08-25         6   1.80  
#[Out]# 112  2018-08-15         9   2.05  
#[Out]# 113  2018-08-16         6   5.65  
#[Out]# 114  2018-08-28         7   4.65  
#[Out]# 115  2018-08-16         5   2.05  
#[Out]# 116  2018-08-20         2   2.35  
#[Out]# 117  2018-08-24         4   1.85  
#[Out]# 118  2018-08-20         2   2.25  
#[Out]# 119  2018-08-26         9   0.50  
#[Out]# 120  2018-08-22         6   1.10  
#[Out]# 121  2018-08-27         1   3.90  
#[Out]# 122  2018-08-23         7   0.45  
#[Out]# 123  2018-08-27         3   0.60  
#[Out]# 124  2018-08-27         5   2.00  
#[Out]# 125  2018-08-23         9   4.20  
#[Out]# 126  2018-08-20         2   3.50  
#[Out]# 127  2018-08-20         1   1.00  
#[Out]# 128  2018-08-21         5   1.00  
#[Out]# 129  2018-09-20         1   1.00  
#[Out]# 130  2018-08-26         3   2.50  
#[Out]# 131  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [132 rows x 11 columns]
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
'''
select count(purchase.sID)
from purchase
where purchase.cID=0
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#      sID        sName            street       city  tID  cID  sID:1  pID  \
#[Out]# 0      3       Sligro    Stadhoudersweg  Rotterdam    0    0      3   10   
#[Out]# 1     36         Lidl     Julianastraat  Eindhoven    7    1     36   27   
#[Out]# 2     47         Coop     Julianastraat  Rotterdam   12    2     47   22   
#[Out]# 3     29       Sligro      Marnixstraat  Amsterdam   15    3     29    9   
#[Out]# 4     44  Albert Hein     Ambachtstraat    Utrecht   21    4     44   26   
#[Out]# 5     17    Hoogvliet        Kerkstraat  Eindhoven   27    5     17   19   
#[Out]# 6     42       Sligro      Kalverstraat  Amsterdam   33    7     42   20   
#[Out]# 7     51         Coop       Parallelweg    Utrecht   35    8     51    8   
#[Out]# 8     34         Coop          Bierkaai  Amsterdam   36   10     34   24   
#[Out]# 9      0         Coop      Kalverstraat  Amsterdam   37   11      0   14   
#[Out]# 10     8  Albert Hein       Molenstraat  Eindhoven   46   13      8    5   
#[Out]# 11    25  Albert Hein     Stationsplein      Breda   47   15     25   11   
#[Out]# 12    26    Hoogvliet   Sint Annastraat      Breda   57   16     26   27   
#[Out]# 13    44  Albert Hein     Ambachtstraat    Utrecht   59   17     44    7   
#[Out]# 14     6         Coop    Stadhoudersweg  Rotterdam   62   18      6    8   
#[Out]# 15    15         Lidl     Prinsengracht  Amsterdam   66   19     15    3   
#[Out]# 16    40    Hoogvliet          Hofplein  Rotterdam   69   20     40   27   
#[Out]# 17    47         Coop     Julianastraat  Rotterdam   72   21     47   27   
#[Out]# 18    27       Sligro      Kalverstraat  Amsterdam   74   22     27   10   
#[Out]# 19    59        Jumbo  Rozemarijnstraat      Breda   83   24     59   13   
#[Out]# 20    12         Lidl  Wilhelminastraat  Eindhoven   84   25     12   26   
#[Out]# 21    21         Coop      Kasteeldreef    Tilburg   85   26     21   23   
#[Out]# 22    34         Coop          Bierkaai  Amsterdam   91   27     34   22   
#[Out]# 23    43         Coop    Gasthuisstraat    Utrecht   92   28     43   11   
#[Out]# 24    29       Sligro      Marnixstraat  Amsterdam   94   29     29    4   
#[Out]# 25    57         Dirk       Molenstraat  Eindhoven   97   30     57   12   
#[Out]# 26    39       Sligro       Dorpsstraat  Eindhoven   99   31     39   24   
#[Out]# 27    29       Sligro      Marnixstraat  Amsterdam  108   33     29    4   
#[Out]# 28    26    Hoogvliet   Sint Annastraat      Breda  109   34     26   26   
#[Out]# 29    34         Coop          Bierkaai  Amsterdam  111   35     34   28   
#[Out]# ..   ...          ...               ...        ...  ...  ...    ...  ...   
#[Out]# 102   33         Dirk       Nieuwstraat  Eindhoven  360  147     33   25   
#[Out]# 103   54         Dirk     Julianastraat  Eindhoven  366  149     54   19   
#[Out]# 104   14         Coop     Keizersgracht  Amsterdam  368  151     14   23   
#[Out]# 105   43         Coop    Gasthuisstraat    Utrecht  371  152     43   19   
#[Out]# 106   36         Lidl     Julianastraat  Eindhoven  381  157     36    3   
#[Out]# 107   17    Hoogvliet        Kerkstraat  Eindhoven  385  159     17   12   
#[Out]# 108   36         Lidl     Julianastraat  Eindhoven  393  161     36   28   
#[Out]# 109   41  Albert Hein        Bergselaan  Rotterdam  402  162     41   16   
#[Out]# 110    6         Coop    Stadhoudersweg  Rotterdam  406  163      6   10   
#[Out]# 111   46         Lidl        Bergselaan  Rotterdam  413  165     46    9   
#[Out]# 112   17    Hoogvliet        Kerkstraat  Eindhoven  425  167     17   17   
#[Out]# 113   28    Hoogvliet         Koestraat    Tilburg  426  168     28    1   
#[Out]# 114   52         Lidl       Nieuwstraat  Eindhoven  437  169     52   14   
#[Out]# 115   40    Hoogvliet          Hofplein  Rotterdam  440  170     40   22   
#[Out]# 116   44  Albert Hein     Ambachtstraat    Utrecht  442  171     44   21   
#[Out]# 117    0         Coop      Kalverstraat  Amsterdam  444  172      0   16   
#[Out]# 118   16         Lidl     Ambachtstraat    Utrecht  446  175     16   21   
#[Out]# 119    6         Coop    Stadhoudersweg  Rotterdam  452  176      6    5   
#[Out]# 120   51         Coop       Parallelweg    Utrecht  457  177     51    4   
#[Out]# 121   39       Sligro       Dorpsstraat  Eindhoven  459  178     39   24   
#[Out]# 122   45         Coop      Kasteeldreef    Tilburg  465  179     45   10   
#[Out]# 123   56        Jumbo       Parallelweg  Eindhoven  468  180     56   10   
#[Out]# 124   27       Sligro      Kalverstraat  Amsterdam  471  181     27   21   
#[Out]# 125    4    Hoogvliet       Molenstraat  Eindhoven  474  182      4   13   
#[Out]# 126    0         Coop      Kalverstraat  Amsterdam  777  184      0    0   
#[Out]# 127   62        Jumbo     Poffertjesweg  Eindhoven  778  185     62   29   
#[Out]# 128   62        Jumbo     Poffertjesweg  Eindhoven  779  186     62   29   
#[Out]# 129   62        Jumbo     Poffertjesweg  Eindhoven  781  188     62   30   
#[Out]# 130   20        Jumbo      Kasteeldreef    Tilburg  783  189     20   19   
#[Out]# 131   63        Jumbo     Stationstraat        Oss  847  190     63   18   
#[Out]# 
#[Out]#            date  quantity  price  
#[Out]# 0    2018-08-22         1   0.45  
#[Out]# 1    2018-08-21         6   9.10  
#[Out]# 2    2018-08-17         1   1.55  
#[Out]# 3    2018-08-19         6   1.45  
#[Out]# 4    2018-08-25         4   2.75  
#[Out]# 5    2018-08-23         1   2.20  
#[Out]# 6    2018-08-26         6   2.05  
#[Out]# 7    2018-08-16         5   5.30  
#[Out]# 8    2018-08-27         5   3.20  
#[Out]# 9    2018-08-25         8   4.10  
#[Out]# 10   2018-08-27         6   0.50  
#[Out]# 11   2018-08-27         5   0.90  
#[Out]# 12   2018-08-19         2   9.25  
#[Out]# 13   2018-08-19        10   1.65  
#[Out]# 14   2018-08-18         4   4.45  
#[Out]# 15   2018-08-18         4   1.60  
#[Out]# 16   2018-08-18         9   7.10  
#[Out]# 17   2018-08-21         9   7.05  
#[Out]# 18   2018-08-28         6   0.45  
#[Out]# 19   2018-08-21         5   4.00  
#[Out]# 20   2018-08-28         9   2.55  
#[Out]# 21   2018-08-23         6   2.10  
#[Out]# 22   2018-08-18         7   1.60  
#[Out]# 23   2018-08-27         2   1.10  
#[Out]# 24   2018-08-24         3   0.95  
#[Out]# 25   2018-08-18         8  11.45  
#[Out]# 26   2018-08-28         4   3.90  
#[Out]# 27   2018-08-18         2   1.15  
#[Out]# 28   2018-08-26         8   3.45  
#[Out]# 29   2018-08-18         7   9.45  
#[Out]# ..          ...       ...    ...  
#[Out]# 102  2018-08-25         7   4.40  
#[Out]# 103  2018-08-25         5   2.25  
#[Out]# 104  2018-08-17         5   2.10  
#[Out]# 105  2018-08-21         4   2.20  
#[Out]# 106  2018-08-28         7   1.80  
#[Out]# 107  2018-08-26         3  12.30  
#[Out]# 108  2018-08-26         4   7.20  
#[Out]# 109  2018-08-16         2   1.65  
#[Out]# 110  2018-08-22         6   0.55  
#[Out]# 111  2018-08-25         6   1.80  
#[Out]# 112  2018-08-15         9   2.05  
#[Out]# 113  2018-08-16         6   5.65  
#[Out]# 114  2018-08-28         7   4.65  
#[Out]# 115  2018-08-16         5   2.05  
#[Out]# 116  2018-08-20         2   2.35  
#[Out]# 117  2018-08-24         4   1.85  
#[Out]# 118  2018-08-20         2   2.25  
#[Out]# 119  2018-08-26         9   0.50  
#[Out]# 120  2018-08-22         6   1.10  
#[Out]# 121  2018-08-27         1   3.90  
#[Out]# 122  2018-08-23         7   0.45  
#[Out]# 123  2018-08-27         3   0.60  
#[Out]# 124  2018-08-27         5   2.00  
#[Out]# 125  2018-08-23         9   4.20  
#[Out]# 126  2018-08-20         2   3.50  
#[Out]# 127  2018-08-20         1   1.00  
#[Out]# 128  2018-08-21         5   1.00  
#[Out]# 129  2018-09-20         1   1.00  
#[Out]# 130  2018-08-26         3   2.50  
#[Out]# 131  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [132 rows x 11 columns]
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(purchase.sID)
from purchase
where purchase.cID=0
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(purchase.sID)
#[Out]# 0                    1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(purchase.sID)
from purchase
where purchase.cID=1
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(purchase.sID)
#[Out]# 0                    1
#[Out]# 1                    1
#[Out]# 2                    1
#[Out]# 3                    1
#[Out]# 4                    1
#[Out]# 5                    1
#[Out]# 6                    1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*)
from purchase
where purchase.cID=1
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(*)
#[Out]# 0         1
#[Out]# 1         1
#[Out]# 2         1
#[Out]# 3         1
#[Out]# 4         1
#[Out]# 5         1
#[Out]# 6         1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=1
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0    2    1    3   16  2018-08-20         3   1.60
#[Out]# 1    5    1   16   26  2018-08-20         4   2.75
#[Out]# 2    3    1   17    9  2018-08-20         2   1.25
#[Out]# 3    1    1   23   14  2018-08-20         2   4.65
#[Out]# 4    4    1   32   25  2018-08-20         4   3.95
#[Out]# 5    7    1   36   27  2018-08-21         6   9.10
#[Out]# 6    6    1   46   11  2018-08-21         8   0.90
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=1

'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0    1    1   23   14  2018-08-20         2   4.65
#[Out]# 1    2    1    3   16  2018-08-20         3   1.60
#[Out]# 2    3    1   17    9  2018-08-20         2   1.25
#[Out]# 3    4    1   32   25  2018-08-20         4   3.95
#[Out]# 4    5    1   16   26  2018-08-20         4   2.75
#[Out]# 5    6    1   46   11  2018-08-21         8   0.90
#[Out]# 6    7    1   36   27  2018-08-21         6   9.10
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=1
group by purchase.cID

'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0    7    1   36   27  2018-08-21         6    9.1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=1


'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0    1    1   23   14  2018-08-20         2   4.65
#[Out]# 1    2    1    3   16  2018-08-20         3   1.60
#[Out]# 2    3    1   17    9  2018-08-20         2   1.25
#[Out]# 3    4    1   32   25  2018-08-20         4   3.95
#[Out]# 4    5    1   16   26  2018-08-20         4   2.75
#[Out]# 5    6    1   46   11  2018-08-21         8   0.90
#[Out]# 6    7    1   36   27  2018-08-21         6   9.10
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
where purchase.cID=1
group by purchase.cID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(*)  tID  cID  sID  pID        date  quantity  price
#[Out]# 0         7    7    1   36   27  2018-08-21         6    9.1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
where purchase.cID=1
group by purchase.cID, puchase.sID
'''
pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
where purchase.cID=1
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(*)  tID  cID  sID  pID        date  quantity  price
#[Out]# 0         1    2    1    3   16  2018-08-20         3   1.60
#[Out]# 1         1    5    1   16   26  2018-08-20         4   2.75
#[Out]# 2         1    3    1   17    9  2018-08-20         2   1.25
#[Out]# 3         1    1    1   23   14  2018-08-20         2   4.65
#[Out]# 4         1    4    1   32   25  2018-08-20         4   3.95
#[Out]# 5         1    7    1   36   27  2018-08-21         6   9.10
#[Out]# 6         1    6    1   46   11  2018-08-21         8   0.90
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#      count(*)  tID  cID  sID  pID        date  quantity  price
#[Out]# 0           1    0    0    3   10  2018-08-22         1   0.45
#[Out]# 1           1    2    1    3   16  2018-08-20         3   1.60
#[Out]# 2           1    5    1   16   26  2018-08-20         4   2.75
#[Out]# 3           1    3    1   17    9  2018-08-20         2   1.25
#[Out]# 4           1    1    1   23   14  2018-08-20         2   4.65
#[Out]# 5           1    4    1   32   25  2018-08-20         4   3.95
#[Out]# 6           1    7    1   36   27  2018-08-21         6   9.10
#[Out]# 7           1    6    1   46   11  2018-08-21         8   0.90
#[Out]# 8           1    8    2   12   20  2018-08-16         1   2.45
#[Out]# 9           1   10    2   13    4  2018-08-17         6   1.10
#[Out]# 10          1    9    2   39    9  2018-08-17         7   1.35
#[Out]# 11          1   12    2   47   22  2018-08-17         1   1.55
#[Out]# 12          1   11    2   51   13  2018-08-17         4   3.70
#[Out]# 13          1   15    3   29    9  2018-08-19         6   1.45
#[Out]# 14          1   14    3   30   26  2018-08-19         2   2.75
#[Out]# 15          1   13    3   44   14  2018-08-18         2   4.30
#[Out]# 16          1   20    4    7   13  2018-08-25         9   3.05
#[Out]# 17          1   17    4   10   27  2018-08-24         9   9.05
#[Out]# 18          1   16    4   17    8  2018-08-24         2   4.15
#[Out]# 19          1   19    4   21    6  2018-08-24         2   1.05
#[Out]# 20          1   21    4   44   26  2018-08-25         4   2.75
#[Out]# 21          1   18    4   53   12  2018-08-25         5  13.60
#[Out]# 22          1   22    5    4   14  2018-08-17         6   4.70
#[Out]# 23          1   26    5    6   16  2018-08-23         2   1.85
#[Out]# 24          1   27    5   17   19  2018-08-23         1   2.20
#[Out]# 25          1   23    5   36   28  2018-08-22         6   8.25
#[Out]# 26          1   25    5   51   22  2018-08-23         2   1.55
#[Out]# 27          1   24    5   55    6  2018-08-23         9   1.10
#[Out]# 28          1   28    7    3   19  2018-08-23         2   2.10
#[Out]# 29          1   30    7   11   16  2018-08-24         4   1.90
#[Out]# ..        ...  ...  ...  ...  ...         ...       ...    ...
#[Out]# 460         1  818  190   34   28  2018-08-20         4   2.80
#[Out]# 461         1  819  190   35   27  2018-08-15         5   0.50
#[Out]# 462         1  820  190   36    5  2018-08-23         3   2.55
#[Out]# 463         1  821  190   37   28  2018-08-15         4   0.65
#[Out]# 464         1  822  190   38    7  2018-08-24         4   0.70
#[Out]# 465         1  823  190   39    0  2018-08-25         4   3.70
#[Out]# 466         1  824  190   40   11  2018-08-15         2   3.50
#[Out]# 467         1  825  190   41    6  2018-08-15         5   2.95
#[Out]# 468         1  826  190   42   19  2018-08-22         5   2.75
#[Out]# 469         1  827  190   43   17  2018-08-17         7   1.50
#[Out]# 470         1  828  190   44    9  2018-08-18         5   0.85
#[Out]# 471         1  829  190   45   11  2018-08-19         2   3.55
#[Out]# 472         1  830  190   46   22  2018-08-25         4   2.60
#[Out]# 473         1  831  190   47   17  2018-08-17         4   3.25
#[Out]# 474         1  832  190   48   20  2018-08-26         6   4.30
#[Out]# 475         1  833  190   49   11  2018-08-17         3   3.05
#[Out]# 476         1  834  190   50   21  2018-08-22         6   4.05
#[Out]# 477         1  835  190   51   23  2018-08-19         1   1.50
#[Out]# 478         1  836  190   52   23  2018-08-15         5   2.50
#[Out]# 479         1  837  190   53    8  2018-08-18         4   3.95
#[Out]# 480         1  838  190   54    0  2018-08-25         6   3.50
#[Out]# 481         1  839  190   55    8  2018-08-18         7   2.95
#[Out]# 482         1  840  190   56   11  2018-08-15         4   1.60
#[Out]# 483         1  841  190   57   15  2018-08-22         5   3.25
#[Out]# 484         1  842  190   58    2  2018-08-19         7   0.75
#[Out]# 485         1  843  190   59   17  2018-08-26         2   3.80
#[Out]# 486         1  844  190   60    5  2018-08-27         6   4.35
#[Out]# 487         1  845  190   61   19  2018-08-23         5   2.85
#[Out]# 488         1  846  190   62    9  2018-08-16         2   3.15
#[Out]# 489         1  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [490 rows x 8 columns]
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
where purchase.cID=2
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(*)  tID  cID  sID  pID        date  quantity  price
#[Out]# 0         1    8    2   12   20  2018-08-16         1   2.45
#[Out]# 1         1   10    2   13    4  2018-08-17         6   1.10
#[Out]# 2         1    9    2   39    9  2018-08-17         7   1.35
#[Out]# 3         1   12    2   47   22  2018-08-17         1   1.55
#[Out]# 4         1   11    2   51   13  2018-08-17         4   3.70
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select count(*), *
from purchase
where purchase.cID=3
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    count(*)  tID  cID  sID  pID        date  quantity  price
#[Out]# 0         1   15    3   29    9  2018-08-19         6   1.45
#[Out]# 1         1   14    3   30   26  2018-08-19         2   2.75
#[Out]# 2         1   13    3   44   14  2018-08-18         2   4.30
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=3
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   15    3   29    9  2018-08-19         6   1.45
#[Out]# 1   14    3   30   26  2018-08-19         2   2.75
#[Out]# 2   13    3   44   14  2018-08-18         2   4.30
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=4
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   20    4    7   13  2018-08-25         9   3.05
#[Out]# 1   17    4   10   27  2018-08-24         9   9.05
#[Out]# 2   16    4   17    8  2018-08-24         2   4.15
#[Out]# 3   19    4   21    6  2018-08-24         2   1.05
#[Out]# 4   21    4   44   26  2018-08-25         4   2.75
#[Out]# 5   18    4   53   12  2018-08-25         5  13.60
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=5
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   22    5    4   14  2018-08-17         6   4.70
#[Out]# 1   26    5    6   16  2018-08-23         2   1.85
#[Out]# 2   27    5   17   19  2018-08-23         1   2.20
#[Out]# 3   23    5   36   28  2018-08-22         6   8.25
#[Out]# 4   25    5   51   22  2018-08-23         2   1.55
#[Out]# 5   24    5   55    6  2018-08-23         9   1.10
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=6
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=7
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   28    7    3   19  2018-08-23         2   2.10
#[Out]# 1   30    7   11   16  2018-08-24         4   1.90
#[Out]# 2   29    7   12    2  2018-08-23         6   1.70
#[Out]# 3   31    7   32   12  2018-08-25         2  10.75
#[Out]# 4   32    7   38    6  2018-08-26         4   1.05
#[Out]# 5   33    7   42   20  2018-08-26         6   2.05
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=8
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   34    8   43    6  2018-08-16         7   0.95
#[Out]# 1   35    8   51    8  2018-08-16         5   5.30
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=190
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0   784  190    0   27  2018-08-19         5   4.45
#[Out]# 1   785  190    1   19  2018-08-24         6   2.55
#[Out]# 2   786  190    2   19  2018-08-19         4   1.40
#[Out]# 3   787  190    3   28  2018-08-23         5   0.50
#[Out]# 4   788  190    4    7  2018-08-26         7   1.30
#[Out]# 5   789  190    5    2  2018-08-23         7   2.00
#[Out]# 6   790  190    6   10  2018-08-15         2   4.15
#[Out]# 7   791  190    7   22  2018-08-20         4   3.20
#[Out]# 8   792  190    8   20  2018-08-16         7   3.25
#[Out]# 9   793  190    9   21  2018-08-26         5   4.25
#[Out]# 10  794  190   10   19  2018-08-22         7   0.90
#[Out]# 11  795  190   11    9  2018-08-22         5   3.00
#[Out]# 12  796  190   12   26  2018-08-17         6   2.75
#[Out]# 13  797  190   13    0  2018-08-26         4   2.00
#[Out]# 14  798  190   14   15  2018-08-17         5   3.80
#[Out]# 15  799  190   15   21  2018-08-20         2   3.10
#[Out]# 16  800  190   16    4  2018-08-26         1   2.40
#[Out]# 17  801  190   17   10  2018-08-23         6   0.95
#[Out]# 18  802  190   18   27  2018-08-21         4   0.55
#[Out]# 19  803  190   19   23  2018-08-15         7   3.75
#[Out]# 20  804  190   20   20  2018-08-17         7   0.50
#[Out]# 21  805  190   21   17  2018-08-16         6   3.15
#[Out]# 22  806  190   22   25  2018-08-19         7   3.20
#[Out]# 23  807  190   23    3  2018-08-18         1   2.75
#[Out]# 24  808  190   24   26  2018-08-16         5   3.25
#[Out]# 25  809  190   25    5  2018-08-20         2   1.75
#[Out]# 26  810  190   26   21  2018-08-22         7   0.60
#[Out]# 27  811  190   27   13  2018-08-17         4   0.90
#[Out]# 28  812  190   28   19  2018-08-23         5   1.75
#[Out]# 29  813  190   29   17  2018-08-27         5   1.20
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...
#[Out]# 34  818  190   34   28  2018-08-20         4   2.80
#[Out]# 35  819  190   35   27  2018-08-15         5   0.50
#[Out]# 36  820  190   36    5  2018-08-23         3   2.55
#[Out]# 37  821  190   37   28  2018-08-15         4   0.65
#[Out]# 38  822  190   38    7  2018-08-24         4   0.70
#[Out]# 39  823  190   39    0  2018-08-25         4   3.70
#[Out]# 40  824  190   40   11  2018-08-15         2   3.50
#[Out]# 41  825  190   41    6  2018-08-15         5   2.95
#[Out]# 42  826  190   42   19  2018-08-22         5   2.75
#[Out]# 43  827  190   43   17  2018-08-17         7   1.50
#[Out]# 44  828  190   44    9  2018-08-18         5   0.85
#[Out]# 45  829  190   45   11  2018-08-19         2   3.55
#[Out]# 46  830  190   46   22  2018-08-25         4   2.60
#[Out]# 47  831  190   47   17  2018-08-17         4   3.25
#[Out]# 48  832  190   48   20  2018-08-26         6   4.30
#[Out]# 49  833  190   49   11  2018-08-17         3   3.05
#[Out]# 50  834  190   50   21  2018-08-22         6   4.05
#[Out]# 51  835  190   51   23  2018-08-19         1   1.50
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50
#[Out]# 53  837  190   53    8  2018-08-18         4   3.95
#[Out]# 54  838  190   54    0  2018-08-25         6   3.50
#[Out]# 55  839  190   55    8  2018-08-18         7   2.95
#[Out]# 56  840  190   56   11  2018-08-15         4   1.60
#[Out]# 57  841  190   57   15  2018-08-22         5   3.25
#[Out]# 58  842  190   58    2  2018-08-19         7   0.75
#[Out]# 59  843  190   59   17  2018-08-26         2   3.80
#[Out]# 60  844  190   60    5  2018-08-27         6   4.35
#[Out]# 61  845  190   61   19  2018-08-23         5   2.85
#[Out]# 62  846  190   62    9  2018-08-16         2   3.15
#[Out]# 63  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [64 rows x 7 columns]
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=180
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  467  180   34   13  2018-08-27         8   4.05
#[Out]# 1  468  180   56   10  2018-08-27         3   0.60
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=10
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   36   10   34   24  2018-08-27         5    3.2
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=11
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   37   11    0   14  2018-08-25         8    4.1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=12
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=14
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price]
#[Out]# Index: []
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=20
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0   68   20   21    0  2018-08-18         3    5.4
#[Out]# 1   67   20   29    7  2018-08-17        12    2.0
#[Out]# 2   69   20   40   27  2018-08-18         9    7.1
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  270  100    5    3  2018-08-21         4   1.40
#[Out]# 1  273  100    8    8  2018-08-19         2   5.70
#[Out]# 2  272  100    9   10  2018-08-22         5   0.50
#[Out]# 3  269  100   30   25  2018-08-21         3   3.45
#[Out]# 4  271  100   40   28  2018-08-22         2   8.25
#[Out]# 5  274  100   47   23  2018-08-20         8   2.55
#[Out]# 6  268  100   50   15  2018-08-20         2   1.30
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  268  100   50   15  2018-08-20         2   1.30
#[Out]# 1  269  100   30   25  2018-08-21         3   3.45
#[Out]# 2  270  100    5    3  2018-08-21         4   1.40
#[Out]# 3  271  100   40   28  2018-08-22         2   8.25
#[Out]# 4  272  100    9   10  2018-08-22         5   0.50
#[Out]# 5  273  100    8    8  2018-08-19         2   5.70
#[Out]# 6  274  100   47   23  2018-08-20         8   2.55
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  268  100   50   15  2018-08-20         2   1.30
#[Out]# 1  269  100   30   25  2018-08-21         3   3.45
#[Out]# 2  270  100    5    3  2018-08-21         4   1.40
#[Out]# 3  271  100   40   28  2018-08-22         2   8.25
#[Out]# 4  272  100    9   10  2018-08-22         5   0.50
#[Out]# 5  273  100    8    8  2018-08-19         2   5.70
#[Out]# 6  274  100   47   23  2018-08-20         8   2.55
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
group by purchase.cID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  274  100   47   23  2018-08-20         8   2.55
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  268  100   50   15  2018-08-20         2   1.30
#[Out]# 1  269  100   30   25  2018-08-21         3   3.45
#[Out]# 2  270  100    5    3  2018-08-21         4   1.40
#[Out]# 3  271  100   40   28  2018-08-22         2   8.25
#[Out]# 4  272  100    9   10  2018-08-22         5   0.50
#[Out]# 5  273  100    8    8  2018-08-19         2   5.70
#[Out]# 6  274  100   47   23  2018-08-20         8   2.55
queryQ3 = '''
select *
from (
    select *
    from store, purchase
    where purchase.sID=store.sID
    group by purchase.cID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
where purchase.cID=100
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  270  100    5    3  2018-08-21         4   1.40
#[Out]# 1  273  100    8    8  2018-08-19         2   5.70
#[Out]# 2  272  100    9   10  2018-08-22         5   0.50
#[Out]# 3  269  100   30   25  2018-08-21         3   3.45
#[Out]# 4  271  100   40   28  2018-08-22         2   8.25
#[Out]# 5  274  100   47   23  2018-08-20         8   2.55
#[Out]# 6  268  100   50   15  2018-08-20         2   1.30
queryQ3 = '''
select *
from (
    select *
    from purchase
    group by purchase.sID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
group by purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0   784  190    0   27  2018-08-19         5   4.45
#[Out]# 1   785  190    1   19  2018-08-24         6   2.55
#[Out]# 2   786  190    2   19  2018-08-19         4   1.40
#[Out]# 3   787  190    3   28  2018-08-23         5   0.50
#[Out]# 4   788  190    4    7  2018-08-26         7   1.30
#[Out]# 5   789  190    5    2  2018-08-23         7   2.00
#[Out]# 6   790  190    6   10  2018-08-15         2   4.15
#[Out]# 7   791  190    7   22  2018-08-20         4   3.20
#[Out]# 8   792  190    8   20  2018-08-16         7   3.25
#[Out]# 9   793  190    9   21  2018-08-26         5   4.25
#[Out]# 10  794  190   10   19  2018-08-22         7   0.90
#[Out]# 11  795  190   11    9  2018-08-22         5   3.00
#[Out]# 12  796  190   12   26  2018-08-17         6   2.75
#[Out]# 13  797  190   13    0  2018-08-26         4   2.00
#[Out]# 14  798  190   14   15  2018-08-17         5   3.80
#[Out]# 15  799  190   15   21  2018-08-20         2   3.10
#[Out]# 16  800  190   16    4  2018-08-26         1   2.40
#[Out]# 17  801  190   17   10  2018-08-23         6   0.95
#[Out]# 18  802  190   18   27  2018-08-21         4   0.55
#[Out]# 19  803  190   19   23  2018-08-15         7   3.75
#[Out]# 20  804  190   20   20  2018-08-17         7   0.50
#[Out]# 21  805  190   21   17  2018-08-16         6   3.15
#[Out]# 22  806  190   22   25  2018-08-19         7   3.20
#[Out]# 23  807  190   23    3  2018-08-18         1   2.75
#[Out]# 24  808  190   24   26  2018-08-16         5   3.25
#[Out]# 25  809  190   25    5  2018-08-20         2   1.75
#[Out]# 26  810  190   26   21  2018-08-22         7   0.60
#[Out]# 27  811  190   27   13  2018-08-17         4   0.90
#[Out]# 28  812  190   28   19  2018-08-23         5   1.75
#[Out]# 29  813  190   29   17  2018-08-27         5   1.20
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...
#[Out]# 34  818  190   34   28  2018-08-20         4   2.80
#[Out]# 35  819  190   35   27  2018-08-15         5   0.50
#[Out]# 36  820  190   36    5  2018-08-23         3   2.55
#[Out]# 37  821  190   37   28  2018-08-15         4   0.65
#[Out]# 38  822  190   38    7  2018-08-24         4   0.70
#[Out]# 39  823  190   39    0  2018-08-25         4   3.70
#[Out]# 40  824  190   40   11  2018-08-15         2   3.50
#[Out]# 41  825  190   41    6  2018-08-15         5   2.95
#[Out]# 42  826  190   42   19  2018-08-22         5   2.75
#[Out]# 43  827  190   43   17  2018-08-17         7   1.50
#[Out]# 44  828  190   44    9  2018-08-18         5   0.85
#[Out]# 45  829  190   45   11  2018-08-19         2   3.55
#[Out]# 46  830  190   46   22  2018-08-25         4   2.60
#[Out]# 47  831  190   47   17  2018-08-17         4   3.25
#[Out]# 48  832  190   48   20  2018-08-26         6   4.30
#[Out]# 49  833  190   49   11  2018-08-17         3   3.05
#[Out]# 50  834  190   50   21  2018-08-22         6   4.05
#[Out]# 51  835  190   51   23  2018-08-19         1   1.50
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50
#[Out]# 53  837  190   53    8  2018-08-18         4   3.95
#[Out]# 54  838  190   54    0  2018-08-25         6   3.50
#[Out]# 55  839  190   55    8  2018-08-18         7   2.95
#[Out]# 56  840  190   56   11  2018-08-15         4   1.60
#[Out]# 57  841  190   57   15  2018-08-22         5   3.25
#[Out]# 58  842  190   58    2  2018-08-19         7   0.75
#[Out]# 59  843  190   59   17  2018-08-26         2   3.80
#[Out]# 60  844  190   60    5  2018-08-27         6   4.35
#[Out]# 61  845  190   61   19  2018-08-23         5   2.85
#[Out]# 62  846  190   62    9  2018-08-16         2   3.15
#[Out]# 63  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [64 rows x 7 columns]
queryQ3 = '''
select *
from (
    select *
    from purchase
    group by purchase.sID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select *
from purchase
group by purchase.cID, purchase.sID
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      2    1    3   16  2018-08-20         3   1.60
#[Out]# 2      5    1   16   26  2018-08-20         4   2.75
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      1    1   23   14  2018-08-20         2   4.65
#[Out]# 5      4    1   32   25  2018-08-20         4   3.95
#[Out]# 6      7    1   36   27  2018-08-21         6   9.10
#[Out]# 7      6    1   46   11  2018-08-21         8   0.90
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9     10    2   13    4  2018-08-17         6   1.10
#[Out]# 10     9    2   39    9  2018-08-17         7   1.35
#[Out]# 11    12    2   47   22  2018-08-17         1   1.55
#[Out]# 12    11    2   51   13  2018-08-17         4   3.70
#[Out]# 13    15    3   29    9  2018-08-19         6   1.45
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    13    3   44   14  2018-08-18         2   4.30
#[Out]# 16    20    4    7   13  2018-08-25         9   3.05
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    16    4   17    8  2018-08-24         2   4.15
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    21    4   44   26  2018-08-25         4   2.75
#[Out]# 21    18    4   53   12  2018-08-25         5  13.60
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    26    5    6   16  2018-08-23         2   1.85
#[Out]# 24    27    5   17   19  2018-08-23         1   2.20
#[Out]# 25    23    5   36   28  2018-08-22         6   8.25
#[Out]# 26    25    5   51   22  2018-08-23         2   1.55
#[Out]# 27    24    5   55    6  2018-08-23         9   1.10
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    30    7   11   16  2018-08-24         4   1.90
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 460  818  190   34   28  2018-08-20         4   2.80
#[Out]# 461  819  190   35   27  2018-08-15         5   0.50
#[Out]# 462  820  190   36    5  2018-08-23         3   2.55
#[Out]# 463  821  190   37   28  2018-08-15         4   0.65
#[Out]# 464  822  190   38    7  2018-08-24         4   0.70
#[Out]# 465  823  190   39    0  2018-08-25         4   3.70
#[Out]# 466  824  190   40   11  2018-08-15         2   3.50
#[Out]# 467  825  190   41    6  2018-08-15         5   2.95
#[Out]# 468  826  190   42   19  2018-08-22         5   2.75
#[Out]# 469  827  190   43   17  2018-08-17         7   1.50
#[Out]# 470  828  190   44    9  2018-08-18         5   0.85
#[Out]# 471  829  190   45   11  2018-08-19         2   3.55
#[Out]# 472  830  190   46   22  2018-08-25         4   2.60
#[Out]# 473  831  190   47   17  2018-08-17         4   3.25
#[Out]# 474  832  190   48   20  2018-08-26         6   4.30
#[Out]# 475  833  190   49   11  2018-08-17         3   3.05
#[Out]# 476  834  190   50   21  2018-08-22         6   4.05
#[Out]# 477  835  190   51   23  2018-08-19         1   1.50
#[Out]# 478  836  190   52   23  2018-08-15         5   2.50
#[Out]# 479  837  190   53    8  2018-08-18         4   3.95
#[Out]# 480  838  190   54    0  2018-08-25         6   3.50
#[Out]# 481  839  190   55    8  2018-08-18         7   2.95
#[Out]# 482  840  190   56   11  2018-08-15         4   1.60
#[Out]# 483  841  190   57   15  2018-08-22         5   3.25
#[Out]# 484  842  190   58    2  2018-08-19         7   0.75
#[Out]# 485  843  190   59   17  2018-08-26         2   3.80
#[Out]# 486  844  190   60    5  2018-08-27         6   4.35
#[Out]# 487  845  190   61   19  2018-08-23         5   2.85
#[Out]# 488  846  190   62    9  2018-08-16         2   3.15
#[Out]# 489  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [490 rows x 7 columns]
queryQ3 = '''
select *
from (
    select *
    from purchase
    group by purchase.sID
) yaw
'''

# How many purchases did customer 0 make
queryQ3= '''
select distinct purchase.cID, purchase.sID
from purchase
'''
pd.read_sql_query(queryQ3, conn)
#[Out]#      cID  sID
#[Out]# 0      0    3
#[Out]# 1      1   23
#[Out]# 2      1    3
#[Out]# 3      1   17
#[Out]# 4      1   32
#[Out]# 5      1   16
#[Out]# 6      1   46
#[Out]# 7      1   36
#[Out]# 8      2   12
#[Out]# 9      2   39
#[Out]# 10     2   13
#[Out]# 11     2   51
#[Out]# 12     2   47
#[Out]# 13     3   44
#[Out]# 14     3   30
#[Out]# 15     3   29
#[Out]# 16     4   17
#[Out]# 17     4   10
#[Out]# 18     4   53
#[Out]# 19     4   21
#[Out]# 20     4    7
#[Out]# 21     4   44
#[Out]# 22     5    4
#[Out]# 23     5   36
#[Out]# 24     5   55
#[Out]# 25     5   51
#[Out]# 26     5    6
#[Out]# 27     5   17
#[Out]# 28     7    3
#[Out]# 29     7   12
#[Out]# ..   ...  ...
#[Out]# 460  190   34
#[Out]# 461  190   35
#[Out]# 462  190   36
#[Out]# 463  190   37
#[Out]# 464  190   38
#[Out]# 465  190   39
#[Out]# 466  190   40
#[Out]# 467  190   41
#[Out]# 468  190   42
#[Out]# 469  190   43
#[Out]# 470  190   44
#[Out]# 471  190   45
#[Out]# 472  190   46
#[Out]# 473  190   47
#[Out]# 474  190   48
#[Out]# 475  190   49
#[Out]# 476  190   50
#[Out]# 477  190   51
#[Out]# 478  190   52
#[Out]# 479  190   53
#[Out]# 480  190   54
#[Out]# 481  190   55
#[Out]# 482  190   56
#[Out]# 483  190   57
#[Out]# 484  190   58
#[Out]# 485  190   59
#[Out]# 486  190   60
#[Out]# 487  190   61
#[Out]# 488  190   62
#[Out]# 489  190   63
#[Out]# 
#[Out]# [490 rows x 2 columns]
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=1
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#     cID  count(*)
#[Out]# 0     0         1
#[Out]# 1    10         1
#[Out]# 2    11         1
#[Out]# 3    15         1
#[Out]# 4    25         1
#[Out]# 5    26         1
#[Out]# 6    28         1
#[Out]# 7    34         1
#[Out]# 8    47         1
#[Out]# 9    63         1
#[Out]# 10   69         1
#[Out]# 11   76         1
#[Out]# 12   77         1
#[Out]# 13   80         1
#[Out]# 14   84         1
#[Out]# 15   88         1
#[Out]# 16   90         1
#[Out]# 17   99         1
#[Out]# 18  103         1
#[Out]# 19  104         1
#[Out]# 20  111         1
#[Out]# 21  128         1
#[Out]# 22  131         1
#[Out]# 23  135         1
#[Out]# 24  136         1
#[Out]# 25  137         1
#[Out]# 26  145         1
#[Out]# 27  168         1
#[Out]# 28  184         1
#[Out]# 29  185         1
#[Out]# 30  186         1
#[Out]# 31  188         1
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=63
'''

pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, count(*)]
#[Out]# Index: []
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=5
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0    2         5
#[Out]# 1   27         5
#[Out]# 2   92         5
#[Out]# 3  109         5
#[Out]# 4  113         5
#[Out]# 5  122         5
#[Out]# 6  177         5
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=select cast(count(*) as unsigned) from store)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=select cast(select count(*) from store)
'''

pd.read_sql_query(queryQ3, conn)
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM store''', conn)
#[Out]#    COUNT(*)
#[Out]# 0        64
pd.read_sql_query('''SELECT cast(COUNT(*) as unsigned) FROM store''', conn)
#[Out]#    cast(COUNT(*) as unsigned)
#[Out]# 0                          64
pd.read_sql_query('''SELECT CAST(COUNT(*) as unsigned) FROM store''', conn)
#[Out]#    CAST(COUNT(*) as unsigned)
#[Out]# 0                          64
pd.read_sql_query('''SELECT CAST(COUNT(*) AS UNSIGNED) FROM store''', conn)
#[Out]#    CAST(COUNT(*) AS UNSIGNED)
#[Out]# 0                          64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
pd.read_sql_query('''SELECT stores=COUNT(*) FROM store''', conn)
pd.read_sql_query('''SELECT @vari=COUNT(*) FROM store''', conn)
pd.read_sql_query('''SELECT @myint = COUNT(*) from store''', conn)
pd.read_sql_query('''set @myint = COUNT(*) from store''', conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=(select @myint = count(*) from store)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
declare @nstores int
set @nstores = (select count(*) from stores)
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=@nstores
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
declare @nstores int
set @nstores = (select count(*) from stores)
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(purchase.sID) FROM purchase''', conn)
#[Out]#    COUNT(purchase.sID)
#[Out]# 0                  509
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM purchase GROUP BY purchase.sID''', conn)
#[Out]#     COUNT(*)
#[Out]# 0          9
#[Out]# 1          8
#[Out]# 2          6
#[Out]# 3         13
#[Out]# 4         11
#[Out]# 5          8
#[Out]# 6         10
#[Out]# 7          9
#[Out]# 8         10
#[Out]# 9          9
#[Out]# 10         5
#[Out]# 11        11
#[Out]# 12         9
#[Out]# 13         9
#[Out]# 14         8
#[Out]# 15         4
#[Out]# 16         6
#[Out]# 17        13
#[Out]# 18        11
#[Out]# 19         7
#[Out]# 20         7
#[Out]# 21        10
#[Out]# 22         4
#[Out]# 23         5
#[Out]# 24         5
#[Out]# 25        10
#[Out]# 26         8
#[Out]# 27         8
#[Out]# 28         7
#[Out]# 29        13
#[Out]# ..       ...
#[Out]# 34        15
#[Out]# 35         7
#[Out]# 36        14
#[Out]# 37         4
#[Out]# 38        10
#[Out]# 39         7
#[Out]# 40        10
#[Out]# 41         6
#[Out]# 42        10
#[Out]# 43        13
#[Out]# 44        10
#[Out]# 45         8
#[Out]# 46        10
#[Out]# 47        11
#[Out]# 48         2
#[Out]# 49         6
#[Out]# 50         7
#[Out]# 51        10
#[Out]# 52         8
#[Out]# 53         5
#[Out]# 54        11
#[Out]# 55        11
#[Out]# 56        10
#[Out]# 57         6
#[Out]# 58         3
#[Out]# 59         6
#[Out]# 60         1
#[Out]# 61         1
#[Out]# 62         5
#[Out]# 63         2
#[Out]# 
#[Out]# [64 rows x 1 columns]
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(ALL *) FROM purchase GROUP BY purchase.sID''', conn)
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(*) FROM purchase GROUP BY purchase.sID''', conn)
#[Out]#     COUNT(*)
#[Out]# 0          9
#[Out]# 1          8
#[Out]# 2          6
#[Out]# 3         13
#[Out]# 4         11
#[Out]# 5          8
#[Out]# 6         10
#[Out]# 7          9
#[Out]# 8         10
#[Out]# 9          9
#[Out]# 10         5
#[Out]# 11        11
#[Out]# 12         9
#[Out]# 13         9
#[Out]# 14         8
#[Out]# 15         4
#[Out]# 16         6
#[Out]# 17        13
#[Out]# 18        11
#[Out]# 19         7
#[Out]# 20         7
#[Out]# 21        10
#[Out]# 22         4
#[Out]# 23         5
#[Out]# 24         5
#[Out]# 25        10
#[Out]# 26         8
#[Out]# 27         8
#[Out]# 28         7
#[Out]# 29        13
#[Out]# ..       ...
#[Out]# 34        15
#[Out]# 35         7
#[Out]# 36        14
#[Out]# 37         4
#[Out]# 38        10
#[Out]# 39         7
#[Out]# 40        10
#[Out]# 41         6
#[Out]# 42        10
#[Out]# 43        13
#[Out]# 44        10
#[Out]# 45         8
#[Out]# 46        10
#[Out]# 47        11
#[Out]# 48         2
#[Out]# 49         6
#[Out]# 50         7
#[Out]# 51        10
#[Out]# 52         8
#[Out]# 53         5
#[Out]# 54        11
#[Out]# 55        11
#[Out]# 56        10
#[Out]# 57         6
#[Out]# 58         3
#[Out]# 59         6
#[Out]# 60         1
#[Out]# 61         1
#[Out]# 62         5
#[Out]# 63         2
#[Out]# 
#[Out]# [64 rows x 1 columns]
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(DISTINCT purchase.sID) FROM purchase''', conn)
#[Out]#    COUNT(DISTINCT purchase.sID)
#[Out]# 0                            64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=count(distinct purchase.sID)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=count(distinct pur.sID)
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#      cID  count(*)
#[Out]# 0      0         1
#[Out]# 1      1         7
#[Out]# 2      2         5
#[Out]# 3      3         3
#[Out]# 4      4         6
#[Out]# 5      5         6
#[Out]# 6      7         6
#[Out]# 7      8         2
#[Out]# 8     10         1
#[Out]# 9     11         1
#[Out]# 10    13         7
#[Out]# 11    15         1
#[Out]# 12    16        10
#[Out]# 13    17         2
#[Out]# 14    18         3
#[Out]# 15    19         4
#[Out]# 16    20         3
#[Out]# 17    21         3
#[Out]# 18    22         2
#[Out]# 19    24         9
#[Out]# 20    25         1
#[Out]# 21    26         1
#[Out]# 22    27         5
#[Out]# 23    28         1
#[Out]# 24    29         2
#[Out]# 25    30         3
#[Out]# 26    31         2
#[Out]# 27    33         9
#[Out]# 28    34         1
#[Out]# 29    35         2
#[Out]# ..   ...       ...
#[Out]# 102  147         3
#[Out]# 103  149         2
#[Out]# 104  151         2
#[Out]# 105  152         3
#[Out]# 106  157         2
#[Out]# 107  159         2
#[Out]# 108  161         9
#[Out]# 109  162         8
#[Out]# 110  163         4
#[Out]# 111  165         6
#[Out]# 112  167        10
#[Out]# 113  168         1
#[Out]# 114  169        11
#[Out]# 115  170         3
#[Out]# 116  171         2
#[Out]# 117  172         2
#[Out]# 118  175         2
#[Out]# 119  176         6
#[Out]# 120  177         5
#[Out]# 121  178         2
#[Out]# 122  179         6
#[Out]# 123  180         2
#[Out]# 124  181         3
#[Out]# 125  182         3
#[Out]# 126  184         1
#[Out]# 127  185         1
#[Out]# 128  186         1
#[Out]# 129  188         1
#[Out]# 130  189         2
#[Out]# 131  190        64
#[Out]# 
#[Out]# [132 rows x 2 columns]
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, store
    from purchase
) pur
group by pur.cID
having count(*)=count(distinct store.sID)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, store
    from purchase, store
    where store.sID=purchase.sID
) pur
group by pur.cID
having count(*)=count(distinct store.sID)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, store
    from purchase, store
    where store.sID=purchase.sID
) pur
group by pur.cID
having count(*)=count(distinct pur.sID)
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*), 8
from (
    select distinct purchase.cID, purchase.sID, count(store.sID)
    from purchase, store
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, count(*), 8]
#[Out]# Index: []
queryQ3 = '''
select pur.cID, count(*), *
from (
    select distinct purchase.cID, purchase.sID, count(store.sID)
    from purchase, store
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, count(*), cID, sID, count(store.sID)]
#[Out]# Index: []
queryQ3 = '''
select pur.cID, count(*), *
from (
    select distinct purchase.cID, purchase.sID, count(store.sID)
    from purchase, store
) pur
group by pur.cID
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)  cID  sID  count(store.sID)
#[Out]# 0  190         1  190   63             32576
queryQ3 = '''
select pur.cID, count(*), *
from (
    select distinct purchase.cID, purchase.sID, count(store.sID)
    from purchase, store
) pur
group by pur.cID
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)  cID  sID  count(store.sID)
#[Out]# 0  190         1  190   63             32576
# List the ids of the customers that made a purchase at every store

# This many stores:
pd.read_sql_query('''SELECT COUNT(DISTINCT store.sID) FROM store''', conn)
#[Out]#    COUNT(DISTINCT store.sID)
#[Out]# 0                         64
queryQ3 = '''
select pur.cID, count(*), *
from (
    select distinct purchase.cID, purchase.sID
    from purchase, store
) pur
group by pur.cID
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#      cID  count(*)  cID  sID
#[Out]# 0      0         1    0    3
#[Out]# 1      1         7    1   36
#[Out]# 2      2         5    2   47
#[Out]# 3      3         3    3   29
#[Out]# 4      4         6    4   44
#[Out]# 5      5         6    5   17
#[Out]# 6      7         6    7   42
#[Out]# 7      8         2    8   51
#[Out]# 8     10         1   10   34
#[Out]# 9     11         1   11    0
#[Out]# 10    13         7   13    8
#[Out]# 11    15         1   15   25
#[Out]# 12    16        10   16   26
#[Out]# 13    17         2   17   44
#[Out]# 14    18         3   18    6
#[Out]# 15    19         4   19   15
#[Out]# 16    20         3   20   40
#[Out]# 17    21         3   21   47
#[Out]# 18    22         2   22   27
#[Out]# 19    24         9   24   59
#[Out]# 20    25         1   25   12
#[Out]# 21    26         1   26   21
#[Out]# 22    27         5   27   34
#[Out]# 23    28         1   28   43
#[Out]# 24    29         2   29   29
#[Out]# 25    30         3   30   57
#[Out]# 26    31         2   31   39
#[Out]# 27    33         9   33   29
#[Out]# 28    34         1   34   26
#[Out]# 29    35         2   35   34
#[Out]# ..   ...       ...  ...  ...
#[Out]# 102  147         3  147   33
#[Out]# 103  149         2  149   54
#[Out]# 104  151         2  151   14
#[Out]# 105  152         3  152   43
#[Out]# 106  157         2  157   49
#[Out]# 107  159         2  159   17
#[Out]# 108  161         9  161   47
#[Out]# 109  162         8  162   41
#[Out]# 110  163         4  163    6
#[Out]# 111  165         6  165   46
#[Out]# 112  167        10  167   17
#[Out]# 113  168         1  168   28
#[Out]# 114  169        11  169   52
#[Out]# 115  170         3  170   40
#[Out]# 116  171         2  171   44
#[Out]# 117  172         2  172    0
#[Out]# 118  175         2  175   16
#[Out]# 119  176         6  176    6
#[Out]# 120  177         5  177   51
#[Out]# 121  178         2  178   39
#[Out]# 122  179         6  179   45
#[Out]# 123  180         2  180   56
#[Out]# 124  181         3  181   27
#[Out]# 125  182         3  182    4
#[Out]# 126  184         1  184    0
#[Out]# 127  185         1  185   62
#[Out]# 128  186         1  186   62
#[Out]# 129  188         1  188   62
#[Out]# 130  189         2  189   20
#[Out]# 131  190        64  190   63
#[Out]# 
#[Out]# [132 rows x 4 columns]
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase, store
) pur
group by pur.cID
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#      cID  count(*)
#[Out]# 0      0         1
#[Out]# 1      1         7
#[Out]# 2      2         5
#[Out]# 3      3         3
#[Out]# 4      4         6
#[Out]# 5      5         6
#[Out]# 6      7         6
#[Out]# 7      8         2
#[Out]# 8     10         1
#[Out]# 9     11         1
#[Out]# 10    13         7
#[Out]# 11    15         1
#[Out]# 12    16        10
#[Out]# 13    17         2
#[Out]# 14    18         3
#[Out]# 15    19         4
#[Out]# 16    20         3
#[Out]# 17    21         3
#[Out]# 18    22         2
#[Out]# 19    24         9
#[Out]# 20    25         1
#[Out]# 21    26         1
#[Out]# 22    27         5
#[Out]# 23    28         1
#[Out]# 24    29         2
#[Out]# 25    30         3
#[Out]# 26    31         2
#[Out]# 27    33         9
#[Out]# 28    34         1
#[Out]# 29    35         2
#[Out]# ..   ...       ...
#[Out]# 102  147         3
#[Out]# 103  149         2
#[Out]# 104  151         2
#[Out]# 105  152         3
#[Out]# 106  157         2
#[Out]# 107  159         2
#[Out]# 108  161         9
#[Out]# 109  162         8
#[Out]# 110  163         4
#[Out]# 111  165         6
#[Out]# 112  167        10
#[Out]# 113  168         1
#[Out]# 114  169        11
#[Out]# 115  170         3
#[Out]# 116  171         2
#[Out]# 117  172         2
#[Out]# 118  175         2
#[Out]# 119  176         6
#[Out]# 120  177         5
#[Out]# 121  178         2
#[Out]# 122  179         6
#[Out]# 123  180         2
#[Out]# 124  181         3
#[Out]# 125  182         3
#[Out]# 126  184         1
#[Out]# 127  185         1
#[Out]# 128  186         1
#[Out]# 129  188         1
#[Out]# 130  189         2
#[Out]# 131  190        64
#[Out]# 
#[Out]# [132 rows x 2 columns]
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#      cID  count(*)
#[Out]# 0      0         1
#[Out]# 1      1         7
#[Out]# 2      2         5
#[Out]# 3      3         3
#[Out]# 4      4         6
#[Out]# 5      5         6
#[Out]# 6      7         6
#[Out]# 7      8         2
#[Out]# 8     10         1
#[Out]# 9     11         1
#[Out]# 10    13         7
#[Out]# 11    15         1
#[Out]# 12    16        10
#[Out]# 13    17         2
#[Out]# 14    18         3
#[Out]# 15    19         4
#[Out]# 16    20         3
#[Out]# 17    21         3
#[Out]# 18    22         2
#[Out]# 19    24         9
#[Out]# 20    25         1
#[Out]# 21    26         1
#[Out]# 22    27         5
#[Out]# 23    28         1
#[Out]# 24    29         2
#[Out]# 25    30         3
#[Out]# 26    31         2
#[Out]# 27    33         9
#[Out]# 28    34         1
#[Out]# 29    35         2
#[Out]# ..   ...       ...
#[Out]# 102  147         3
#[Out]# 103  149         2
#[Out]# 104  151         2
#[Out]# 105  152         3
#[Out]# 106  157         2
#[Out]# 107  159         2
#[Out]# 108  161         9
#[Out]# 109  162         8
#[Out]# 110  163         4
#[Out]# 111  165         6
#[Out]# 112  167        10
#[Out]# 113  168         1
#[Out]# 114  169        11
#[Out]# 115  170         3
#[Out]# 116  171         2
#[Out]# 117  172         2
#[Out]# 118  175         2
#[Out]# 119  176         6
#[Out]# 120  177         5
#[Out]# 121  178         2
#[Out]# 122  179         6
#[Out]# 123  180         2
#[Out]# 124  181         3
#[Out]# 125  182         3
#[Out]# 126  184         1
#[Out]# 127  185         1
#[Out]# 128  186         1
#[Out]# 129  188         1
#[Out]# 130  189         2
#[Out]# 131  190        64
#[Out]# 
#[Out]# [132 rows x 2 columns]
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, count(store.sID)
    from purchase, store
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, count(*)]
#[Out]# Index: []
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase, store
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, 
    from purchase, store
) pur
group by pur.cID
having count(*)=1
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=1
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#     cID  count(*)
#[Out]# 0     0         1
#[Out]# 1    10         1
#[Out]# 2    11         1
#[Out]# 3    15         1
#[Out]# 4    25         1
#[Out]# 5    26         1
#[Out]# 6    28         1
#[Out]# 7    34         1
#[Out]# 8    47         1
#[Out]# 9    63         1
#[Out]# 10   69         1
#[Out]# 11   76         1
#[Out]# 12   77         1
#[Out]# 13   80         1
#[Out]# 14   84         1
#[Out]# 15   88         1
#[Out]# 16   90         1
#[Out]# 17   99         1
#[Out]# 18  103         1
#[Out]# 19  104         1
#[Out]# 20  111         1
#[Out]# 21  128         1
#[Out]# 22  131         1
#[Out]# 23  135         1
#[Out]# 24  136         1
#[Out]# 25  137         1
#[Out]# 26  145         1
#[Out]# 27  168         1
#[Out]# 28  184         1
#[Out]# 29  185         1
#[Out]# 30  186         1
#[Out]# 31  188         1
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID
    from purchase
) pur
group by pur.cID
having count(*)=64
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
group by pur.cID
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
group by pur.cID
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
group by pur.cID
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
# List the ids of the customers that made a purchase at every store

queryQ3 = '''
select pur.cID, count(*)
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
group by pur.cID
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID  count(*)
#[Out]# 0  190        64
# List the ids of the customers that made a purchase at every store

queryQ3 = '''
select pur.cID
from (
    select distinct purchase.cID, purchase.sID, (
        select count(*) from store) as storecount
    from purchase
) pur
group by pur.cID
having count(*)=pur.storecount
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID
#[Out]# 0  190

queryQ4 = '''
select purchase.cID, purchase.sID
from purchase, store
group by store.sName
having avg(purchase.quantity)>4
'''

pd.read_sql_query(queryQ3, conn)
#[Out]#    cID
#[Out]# 0  190

queryQ4 = '''
select purchase.cID, purchase.sID
from purchase, store
group by store.sName
having avg(purchase.quantity)>4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID
#[Out]# 0  190   63
#[Out]# 1  190   63
#[Out]# 2  190   63
#[Out]# 3  190   63
#[Out]# 4  190   63
#[Out]# 5  190   63
#[Out]# 6  190   63

queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
group by store.sName
having avg(purchase.quantity)>4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0  190   63  847  190   63   18  2018-08-21         1    3.3   44   
#[Out]# 1  190   63  847  190   63   18  2018-08-21         1    3.3   55   
#[Out]# 2  190   63  847  190   63   18  2018-08-21         1    3.3   58   
#[Out]# 3  190   63  847  190   63   18  2018-08-21         1    3.3   49   
#[Out]# 4  190   63  847  190   63   18  2018-08-21         1    3.3   63   
#[Out]# 5  190   63  847  190   63   18  2018-08-21         1    3.3   61   
#[Out]# 6  190   63  847  190   63   18  2018-08-21         1    3.3   50   
#[Out]# 
#[Out]#          sName           street       city  
#[Out]# 0  Albert Hein    Ambachtstraat    Utrecht  
#[Out]# 1         Coop  Sint Annastraat      Breda  
#[Out]# 2         Dirk     Keizerstraat  Rotterdam  
#[Out]# 3    Hoogvliet     Keizerstraat  Rotterdam  
#[Out]# 4        Jumbo    Stationstraat        Oss  
#[Out]# 5         Lidl     Pannekoekweg      Breda  
#[Out]# 6       Sligro    Stationsplein      Breda  

queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
group by store.sName
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0  190   63  847  190   63   18  2018-08-21         1    3.3   44   
#[Out]# 1  190   63  847  190   63   18  2018-08-21         1    3.3   55   
#[Out]# 2  190   63  847  190   63   18  2018-08-21         1    3.3   58   
#[Out]# 3  190   63  847  190   63   18  2018-08-21         1    3.3   49   
#[Out]# 4  190   63  847  190   63   18  2018-08-21         1    3.3   63   
#[Out]# 5  190   63  847  190   63   18  2018-08-21         1    3.3   61   
#[Out]# 6  190   63  847  190   63   18  2018-08-21         1    3.3   50   
#[Out]# 
#[Out]#          sName           street       city  
#[Out]# 0  Albert Hein    Ambachtstraat    Utrecht  
#[Out]# 1         Coop  Sint Annastraat      Breda  
#[Out]# 2         Dirk     Keizerstraat  Rotterdam  
#[Out]# 3    Hoogvliet     Keizerstraat  Rotterdam  
#[Out]# 4        Jumbo    Stationstraat        Oss  
#[Out]# 5         Lidl     Pannekoekweg      Breda  
#[Out]# 6       Sligro    Stationsplein      Breda  

queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0        0    3    0    0    3   10  2018-08-22         1   0.45    0   
#[Out]# 1        0    3    0    0    3   10  2018-08-22         1   0.45    1   
#[Out]# 2        0    3    0    0    3   10  2018-08-22         1   0.45    2   
#[Out]# 3        0    3    0    0    3   10  2018-08-22         1   0.45    3   
#[Out]# 4        0    3    0    0    3   10  2018-08-22         1   0.45    4   
#[Out]# 5        0    3    0    0    3   10  2018-08-22         1   0.45    5   
#[Out]# 6        0    3    0    0    3   10  2018-08-22         1   0.45    6   
#[Out]# 7        0    3    0    0    3   10  2018-08-22         1   0.45    7   
#[Out]# 8        0    3    0    0    3   10  2018-08-22         1   0.45    8   
#[Out]# 9        0    3    0    0    3   10  2018-08-22         1   0.45    9   
#[Out]# 10       0    3    0    0    3   10  2018-08-22         1   0.45   10   
#[Out]# 11       0    3    0    0    3   10  2018-08-22         1   0.45   11   
#[Out]# 12       0    3    0    0    3   10  2018-08-22         1   0.45   12   
#[Out]# 13       0    3    0    0    3   10  2018-08-22         1   0.45   13   
#[Out]# 14       0    3    0    0    3   10  2018-08-22         1   0.45   14   
#[Out]# 15       0    3    0    0    3   10  2018-08-22         1   0.45   15   
#[Out]# 16       0    3    0    0    3   10  2018-08-22         1   0.45   16   
#[Out]# 17       0    3    0    0    3   10  2018-08-22         1   0.45   17   
#[Out]# 18       0    3    0    0    3   10  2018-08-22         1   0.45   18   
#[Out]# 19       0    3    0    0    3   10  2018-08-22         1   0.45   19   
#[Out]# 20       0    3    0    0    3   10  2018-08-22         1   0.45   20   
#[Out]# 21       0    3    0    0    3   10  2018-08-22         1   0.45   21   
#[Out]# 22       0    3    0    0    3   10  2018-08-22         1   0.45   22   
#[Out]# 23       0    3    0    0    3   10  2018-08-22         1   0.45   23   
#[Out]# 24       0    3    0    0    3   10  2018-08-22         1   0.45   24   
#[Out]# 25       0    3    0    0    3   10  2018-08-22         1   0.45   25   
#[Out]# 26       0    3    0    0    3   10  2018-08-22         1   0.45   26   
#[Out]# 27       0    3    0    0    3   10  2018-08-22         1   0.45   27   
#[Out]# 28       0    3    0    0    3   10  2018-08-22         1   0.45   28   
#[Out]# 29       0    3    0    0    3   10  2018-08-22         1   0.45   29   
#[Out]# ...    ...  ...  ...  ...  ...  ...         ...       ...    ...  ...   
#[Out]# 32546  190   63  847  190   63   18  2018-08-21         1   3.30   34   
#[Out]# 32547  190   63  847  190   63   18  2018-08-21         1   3.30   35   
#[Out]# 32548  190   63  847  190   63   18  2018-08-21         1   3.30   36   
#[Out]# 32549  190   63  847  190   63   18  2018-08-21         1   3.30   37   
#[Out]# 32550  190   63  847  190   63   18  2018-08-21         1   3.30   38   
#[Out]# 32551  190   63  847  190   63   18  2018-08-21         1   3.30   39   
#[Out]# 32552  190   63  847  190   63   18  2018-08-21         1   3.30   40   
#[Out]# 32553  190   63  847  190   63   18  2018-08-21         1   3.30   41   
#[Out]# 32554  190   63  847  190   63   18  2018-08-21         1   3.30   42   
#[Out]# 32555  190   63  847  190   63   18  2018-08-21         1   3.30   43   
#[Out]# 32556  190   63  847  190   63   18  2018-08-21         1   3.30   44   
#[Out]# 32557  190   63  847  190   63   18  2018-08-21         1   3.30   45   
#[Out]# 32558  190   63  847  190   63   18  2018-08-21         1   3.30   46   
#[Out]# 32559  190   63  847  190   63   18  2018-08-21         1   3.30   47   
#[Out]# 32560  190   63  847  190   63   18  2018-08-21         1   3.30   48   
#[Out]# 32561  190   63  847  190   63   18  2018-08-21         1   3.30   49   
#[Out]# 32562  190   63  847  190   63   18  2018-08-21         1   3.30   50   
#[Out]# 32563  190   63  847  190   63   18  2018-08-21         1   3.30   51   
#[Out]# 32564  190   63  847  190   63   18  2018-08-21         1   3.30   52   
#[Out]# 32565  190   63  847  190   63   18  2018-08-21         1   3.30   53   
#[Out]# 32566  190   63  847  190   63   18  2018-08-21         1   3.30   54   
#[Out]# 32567  190   63  847  190   63   18  2018-08-21         1   3.30   55   
#[Out]# 32568  190   63  847  190   63   18  2018-08-21         1   3.30   56   
#[Out]# 32569  190   63  847  190   63   18  2018-08-21         1   3.30   57   
#[Out]# 32570  190   63  847  190   63   18  2018-08-21         1   3.30   58   
#[Out]# 32571  190   63  847  190   63   18  2018-08-21         1   3.30   59   
#[Out]# 32572  190   63  847  190   63   18  2018-08-21         1   3.30   60   
#[Out]# 32573  190   63  847  190   63   18  2018-08-21         1   3.30   61   
#[Out]# 32574  190   63  847  190   63   18  2018-08-21         1   3.30   62   
#[Out]# 32575  190   63  847  190   63   18  2018-08-21         1   3.30   63   
#[Out]# 
#[Out]#              sName            street       city  
#[Out]# 0             Coop      Kalverstraat  Amsterdam  
#[Out]# 1        Hoogvliet  Rozemarijnstraat      Breda  
#[Out]# 2            Jumbo    Stadhoudersweg  Rotterdam  
#[Out]# 3           Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 4        Hoogvliet       Molenstraat  Eindhoven  
#[Out]# 5           Sligro     Stationsplein      Breda  
#[Out]# 6             Coop    Stadhoudersweg  Rotterdam  
#[Out]# 7           Sligro  Wilhelminastraat  Eindhoven  
#[Out]# 8      Albert Hein       Molenstraat  Eindhoven  
#[Out]# 9      Albert Hein         Koestraat    Tilburg  
#[Out]# 10           Jumbo        Bergselaan  Rotterdam  
#[Out]# 11     Albert Hein          Hofplein  Rotterdam  
#[Out]# 12            Lidl  Wilhelminastraat  Eindhoven  
#[Out]# 13            Coop         Koestraat    Tilburg  
#[Out]# 14            Coop     Keizersgracht  Amsterdam  
#[Out]# 15            Lidl     Prinsengracht  Amsterdam  
#[Out]# 16            Lidl     Ambachtstraat    Utrecht  
#[Out]# 17       Hoogvliet        Kerkstraat  Eindhoven  
#[Out]# 18          Sligro       Parallelweg    Tilburg  
#[Out]# 19            Coop       Karrestraat      Breda  
#[Out]# 20           Jumbo      Kasteeldreef    Tilburg  
#[Out]# 21            Coop      Kasteeldreef    Tilburg  
#[Out]# 22            Lidl     Prinsengracht  Amsterdam  
#[Out]# 23            Dirk     Stationsplein      Breda  
#[Out]# 24     Albert Hein     Stationsplein      Breda  
#[Out]# 25     Albert Hein     Stationsplein      Breda  
#[Out]# 26       Hoogvliet   Sint Annastraat      Breda  
#[Out]# 27          Sligro      Kalverstraat  Amsterdam  
#[Out]# 28       Hoogvliet         Koestraat    Tilburg  
#[Out]# 29          Sligro      Marnixstraat  Amsterdam  
#[Out]# ...            ...               ...        ...  
#[Out]# 32546         Coop          Bierkaai  Amsterdam  
#[Out]# 32547         Lidl     Julianastraat    Utrecht  
#[Out]# 32548         Lidl     Julianastraat  Eindhoven  
#[Out]# 32549        Jumbo          Molenweg  Eindhoven  
#[Out]# 32550    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 32551       Sligro       Dorpsstraat  Eindhoven  
#[Out]# 32552    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 32553  Albert Hein        Bergselaan  Rotterdam  
#[Out]# 32554       Sligro      Kalverstraat  Amsterdam  
#[Out]# 32555         Coop    Gasthuisstraat    Utrecht  
#[Out]# 32556  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 32557         Coop      Kasteeldreef    Tilburg  
#[Out]# 32558         Lidl        Bergselaan  Rotterdam  
#[Out]# 32559         Coop     Julianastraat  Rotterdam  
#[Out]# 32560    Hoogvliet      Kasteeldreef    Tilburg  
#[Out]# 32561    Hoogvliet      Keizerstraat  Rotterdam  
#[Out]# 32562       Sligro     Stationsplein      Breda  
#[Out]# 32563         Coop       Parallelweg    Utrecht  
#[Out]# 32564         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 32565         Coop        Hoogstraat    Utrecht  
#[Out]# 32566         Dirk     Julianastraat  Eindhoven  
#[Out]# 32567         Coop   Sint Annastraat      Breda  
#[Out]# 32568        Jumbo       Parallelweg  Eindhoven  
#[Out]# 32569         Dirk       Molenstraat  Eindhoven  
#[Out]# 32570         Dirk      Keizerstraat  Rotterdam  
#[Out]# 32571        Jumbo  Rozemarijnstraat      Breda  
#[Out]# 32572         Lidl      Pannekoekweg      Breda  
#[Out]# 32573         Lidl      Pannekoekweg      Breda  
#[Out]# 32574        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 32575        Jumbo     Stationstraat        Oss  
#[Out]# 
#[Out]# [32576 rows x 13 columns]

queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
group by store.sName
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0  190   63  847  190   63   18  2018-08-21         1    3.3   44   
#[Out]# 1  190   63  847  190   63   18  2018-08-21         1    3.3   55   
#[Out]# 2  190   63  847  190   63   18  2018-08-21         1    3.3   58   
#[Out]# 3  190   63  847  190   63   18  2018-08-21         1    3.3   49   
#[Out]# 4  190   63  847  190   63   18  2018-08-21         1    3.3   63   
#[Out]# 5  190   63  847  190   63   18  2018-08-21         1    3.3   61   
#[Out]# 6  190   63  847  190   63   18  2018-08-21         1    3.3   50   
#[Out]# 
#[Out]#          sName           street       city  
#[Out]# 0  Albert Hein    Ambachtstraat    Utrecht  
#[Out]# 1         Coop  Sint Annastraat      Breda  
#[Out]# 2         Dirk     Keizerstraat  Rotterdam  
#[Out]# 3    Hoogvliet     Keizerstraat  Rotterdam  
#[Out]# 4        Jumbo    Stationstraat        Oss  
#[Out]# 5         Lidl     Pannekoekweg      Breda  
#[Out]# 6       Sligro    Stationsplein      Breda  
# Group all purchases by store
queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
where purchase.sID=store.sID
group by store.sName
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0  190   44  828  190   44    9  2018-08-18         5   0.85   44   
#[Out]# 1  190   55  839  190   55    8  2018-08-18         7   2.95   55   
#[Out]# 2  190   58  842  190   58    2  2018-08-19         7   0.75   58   
#[Out]# 3  190   49  833  190   49   11  2018-08-17         3   3.05   49   
#[Out]# 4  190   63  847  190   63   18  2018-08-21         1   3.30   63   
#[Out]# 5  190   61  845  190   61   19  2018-08-23         5   2.85   61   
#[Out]# 6  190   50  834  190   50   21  2018-08-22         6   4.05   50   
#[Out]# 
#[Out]#          sName           street       city  
#[Out]# 0  Albert Hein    Ambachtstraat    Utrecht  
#[Out]# 1         Coop  Sint Annastraat      Breda  
#[Out]# 2         Dirk     Keizerstraat  Rotterdam  
#[Out]# 3    Hoogvliet     Keizerstraat  Rotterdam  
#[Out]# 4        Jumbo    Stationstraat        Oss  
#[Out]# 5         Lidl     Pannekoekweg      Breda  
#[Out]# 6       Sligro    Stationsplein      Breda  
# Group all purchases by store
queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
group by store.sName
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#    cID  sID  tID  cID  sID  pID        date  quantity  price  sID  \
#[Out]# 0  190   63  847  190   63   18  2018-08-21         1    3.3   44   
#[Out]# 1  190   63  847  190   63   18  2018-08-21         1    3.3   55   
#[Out]# 2  190   63  847  190   63   18  2018-08-21         1    3.3   58   
#[Out]# 3  190   63  847  190   63   18  2018-08-21         1    3.3   49   
#[Out]# 4  190   63  847  190   63   18  2018-08-21         1    3.3   63   
#[Out]# 5  190   63  847  190   63   18  2018-08-21         1    3.3   61   
#[Out]# 6  190   63  847  190   63   18  2018-08-21         1    3.3   50   
#[Out]# 
#[Out]#          sName           street       city  
#[Out]# 0  Albert Hein    Ambachtstraat    Utrecht  
#[Out]# 1         Coop  Sint Annastraat      Breda  
#[Out]# 2         Dirk     Keizerstraat  Rotterdam  
#[Out]# 3    Hoogvliet     Keizerstraat  Rotterdam  
#[Out]# 4        Jumbo    Stationstraat        Oss  
#[Out]# 5         Lidl     Pannekoekweg      Breda  
#[Out]# 6       Sligro    Stationsplein      Breda  
# Group all purchases by store
queryQ4 = '''
select purchase.cID, purchase.sID, *
from purchase, store
group by store.sName
having sum(purchase.quantity)/count(purchase)>4
'''

pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.tID, p.sID, sum(p.quantity) as 
from purchase p
group by p.sName
'''



pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.tID, p.sID, sum(p.quantity) as summo
from purchase p
group by p.sName
'''



pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.tID, p.sID, sum(p.quantity) as summo
from purchase p
group by p.sID
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     tID  sID  summo
#[Out]# 0   784    0     43
#[Out]# 1   785    1     38
#[Out]# 2   786    2     22
#[Out]# 3   787    3     53
#[Out]# 4   788    4     67
#[Out]# 5   789    5     39
#[Out]# 6   790    6     38
#[Out]# 7   791    7     40
#[Out]# 8   792    8     56
#[Out]# 9   793    9     49
#[Out]# 10  794   10     32
#[Out]# 11  795   11     47
#[Out]# 12  796   12     45
#[Out]# 13  797   13     35
#[Out]# 14  798   14     25
#[Out]# 15  799   15     17
#[Out]# 16  800   16     21
#[Out]# 17  801   17     72
#[Out]# 18  802   18     35
#[Out]# 19  803   19     39
#[Out]# 20  804   20     38
#[Out]# 21  805   21     36
#[Out]# 22  806   22     22
#[Out]# 23  807   23     22
#[Out]# 24  808   24     27
#[Out]# 25  809   25     57
#[Out]# 26  810   26     52
#[Out]# 27  811   27     38
#[Out]# 28  812   28     35
#[Out]# 29  813   29     78
#[Out]# ..  ...  ...    ...
#[Out]# 34  818   34     81
#[Out]# 35  819   35     31
#[Out]# 36  820   36     58
#[Out]# 37  821   37     16
#[Out]# 38  822   38     54
#[Out]# 39  823   39     32
#[Out]# 40  824   40     43
#[Out]# 41  825   41     29
#[Out]# 42  826   42     59
#[Out]# 43  827   43     75
#[Out]# 44  828   44     43
#[Out]# 45  829   45     31
#[Out]# 46  830   46     56
#[Out]# 47  831   47     51
#[Out]# 48  832   48     15
#[Out]# 49  833   49     20
#[Out]# 50  834   50     28
#[Out]# 51  835   51     41
#[Out]# 52  836   52     46
#[Out]# 53  837   53     20
#[Out]# 54  838   54     51
#[Out]# 55  839   55     60
#[Out]# 56  840   56     29
#[Out]# 57  841   57     28
#[Out]# 58  842   58     29
#[Out]# 59  843   59     22
#[Out]# 60  844   60      6
#[Out]# 61  845   61      5
#[Out]# 62  846   62     10
#[Out]# 63  847   63      6
#[Out]# 
#[Out]# [64 rows x 3 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.tID, p.sID, sum(p.quantity), count(p.sID)
from purchase p
group by p.sID
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     tID  sID  sum(p.quantity)  count(p.sID)
#[Out]# 0   784    0               43             9
#[Out]# 1   785    1               38             8
#[Out]# 2   786    2               22             6
#[Out]# 3   787    3               53            13
#[Out]# 4   788    4               67            11
#[Out]# 5   789    5               39             8
#[Out]# 6   790    6               38            10
#[Out]# 7   791    7               40             9
#[Out]# 8   792    8               56            10
#[Out]# 9   793    9               49             9
#[Out]# 10  794   10               32             5
#[Out]# 11  795   11               47            11
#[Out]# 12  796   12               45             9
#[Out]# 13  797   13               35             9
#[Out]# 14  798   14               25             8
#[Out]# 15  799   15               17             4
#[Out]# 16  800   16               21             6
#[Out]# 17  801   17               72            13
#[Out]# 18  802   18               35            11
#[Out]# 19  803   19               39             7
#[Out]# 20  804   20               38             7
#[Out]# 21  805   21               36            10
#[Out]# 22  806   22               22             4
#[Out]# 23  807   23               22             5
#[Out]# 24  808   24               27             5
#[Out]# 25  809   25               57            10
#[Out]# 26  810   26               52             8
#[Out]# 27  811   27               38             8
#[Out]# 28  812   28               35             7
#[Out]# 29  813   29               78            13
#[Out]# ..  ...  ...              ...           ...
#[Out]# 34  818   34               81            15
#[Out]# 35  819   35               31             7
#[Out]# 36  820   36               58            14
#[Out]# 37  821   37               16             4
#[Out]# 38  822   38               54            10
#[Out]# 39  823   39               32             7
#[Out]# 40  824   40               43            10
#[Out]# 41  825   41               29             6
#[Out]# 42  826   42               59            10
#[Out]# 43  827   43               75            13
#[Out]# 44  828   44               43            10
#[Out]# 45  829   45               31             8
#[Out]# 46  830   46               56            10
#[Out]# 47  831   47               51            11
#[Out]# 48  832   48               15             2
#[Out]# 49  833   49               20             6
#[Out]# 50  834   50               28             7
#[Out]# 51  835   51               41            10
#[Out]# 52  836   52               46             8
#[Out]# 53  837   53               20             5
#[Out]# 54  838   54               51            11
#[Out]# 55  839   55               60            11
#[Out]# 56  840   56               29            10
#[Out]# 57  841   57               28             6
#[Out]# 58  842   58               29             3
#[Out]# 59  843   59               22             6
#[Out]# 60  844   60                6             1
#[Out]# 61  845   61                5             1
#[Out]# 62  846   62               10             5
#[Out]# 63  847   63                6             2
#[Out]# 
#[Out]# [64 rows x 4 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.sID, sum(p.quantity), count(p.sID)
from purchase p
group by p.sID
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     sID  sum(p.quantity)  count(p.sID)
#[Out]# 0     0               43             9
#[Out]# 1     1               38             8
#[Out]# 2     2               22             6
#[Out]# 3     3               53            13
#[Out]# 4     4               67            11
#[Out]# 5     5               39             8
#[Out]# 6     6               38            10
#[Out]# 7     7               40             9
#[Out]# 8     8               56            10
#[Out]# 9     9               49             9
#[Out]# 10   10               32             5
#[Out]# 11   11               47            11
#[Out]# 12   12               45             9
#[Out]# 13   13               35             9
#[Out]# 14   14               25             8
#[Out]# 15   15               17             4
#[Out]# 16   16               21             6
#[Out]# 17   17               72            13
#[Out]# 18   18               35            11
#[Out]# 19   19               39             7
#[Out]# 20   20               38             7
#[Out]# 21   21               36            10
#[Out]# 22   22               22             4
#[Out]# 23   23               22             5
#[Out]# 24   24               27             5
#[Out]# 25   25               57            10
#[Out]# 26   26               52             8
#[Out]# 27   27               38             8
#[Out]# 28   28               35             7
#[Out]# 29   29               78            13
#[Out]# ..  ...              ...           ...
#[Out]# 34   34               81            15
#[Out]# 35   35               31             7
#[Out]# 36   36               58            14
#[Out]# 37   37               16             4
#[Out]# 38   38               54            10
#[Out]# 39   39               32             7
#[Out]# 40   40               43            10
#[Out]# 41   41               29             6
#[Out]# 42   42               59            10
#[Out]# 43   43               75            13
#[Out]# 44   44               43            10
#[Out]# 45   45               31             8
#[Out]# 46   46               56            10
#[Out]# 47   47               51            11
#[Out]# 48   48               15             2
#[Out]# 49   49               20             6
#[Out]# 50   50               28             7
#[Out]# 51   51               41            10
#[Out]# 52   52               46             8
#[Out]# 53   53               20             5
#[Out]# 54   54               51            11
#[Out]# 55   55               60            11
#[Out]# 56   56               29            10
#[Out]# 57   57               28             6
#[Out]# 58   58               29             3
#[Out]# 59   59               22             6
#[Out]# 60   60                6             1
#[Out]# 61   61                5             1
#[Out]# 62   62               10             5
#[Out]# 63   63                6             2
#[Out]# 
#[Out]# [64 rows x 3 columns]
pd.read_sql_query('''select * from purchase where purchase.sID=63''')
pd.read_sql_query('''select * from purchase where purchase.sID=63''', conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price
#[Out]# 0  782  189   63    7  2018-08-25         5   1.25
#[Out]# 1  847  190   63   18  2018-08-21         1   3.30
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.sID, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
group by s.sName
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#    sID  total  times
#[Out]# 0   63  19536   4072
#[Out]# 1   63  34188   7126
#[Out]# 2   63  14652   3054
#[Out]# 3   63  21978   4581
#[Out]# 4   63  19536   4072
#[Out]# 5   63  24420   5090
#[Out]# 6   63  21978   4581
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select p.sID, sum(p.quantity) as total, count(p.sID) as times
from purchase p
group by p.sID
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     sID  total  times
#[Out]# 0     0     43      9
#[Out]# 1     1     38      8
#[Out]# 2     2     22      6
#[Out]# 3     3     53     13
#[Out]# 4     4     67     11
#[Out]# 5     5     39      8
#[Out]# 6     6     38     10
#[Out]# 7     7     40      9
#[Out]# 8     8     56     10
#[Out]# 9     9     49      9
#[Out]# 10   10     32      5
#[Out]# 11   11     47     11
#[Out]# 12   12     45      9
#[Out]# 13   13     35      9
#[Out]# 14   14     25      8
#[Out]# 15   15     17      4
#[Out]# 16   16     21      6
#[Out]# 17   17     72     13
#[Out]# 18   18     35     11
#[Out]# 19   19     39      7
#[Out]# 20   20     38      7
#[Out]# 21   21     36     10
#[Out]# 22   22     22      4
#[Out]# 23   23     22      5
#[Out]# 24   24     27      5
#[Out]# 25   25     57     10
#[Out]# 26   26     52      8
#[Out]# 27   27     38      8
#[Out]# 28   28     35      7
#[Out]# 29   29     78     13
#[Out]# ..  ...    ...    ...
#[Out]# 34   34     81     15
#[Out]# 35   35     31      7
#[Out]# 36   36     58     14
#[Out]# 37   37     16      4
#[Out]# 38   38     54     10
#[Out]# 39   39     32      7
#[Out]# 40   40     43     10
#[Out]# 41   41     29      6
#[Out]# 42   42     59     10
#[Out]# 43   43     75     13
#[Out]# 44   44     43     10
#[Out]# 45   45     31      8
#[Out]# 46   46     56     10
#[Out]# 47   47     51     11
#[Out]# 48   48     15      2
#[Out]# 49   49     20      6
#[Out]# 50   50     28      7
#[Out]# 51   51     41     10
#[Out]# 52   52     46      8
#[Out]# 53   53     20      5
#[Out]# 54   54     51     11
#[Out]# 55   55     60     11
#[Out]# 56   56     29     10
#[Out]# 57   57     28      6
#[Out]# 58   58     29      3
#[Out]# 59   59     22      6
#[Out]# 60   60      6      1
#[Out]# 61   61      5      1
#[Out]# 62   62     10      5
#[Out]# 63   63      6      2
#[Out]# 
#[Out]# [64 rows x 3 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select
from (
    select p.sID, s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    group by p.sID
)
'''



pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select * 
from (
    select p.sID, s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    group by p.sID
) a
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     sID  sName  total  times
#[Out]# 0     0  Jumbo   2752    576
#[Out]# 1     1  Jumbo   2432    512
#[Out]# 2     2  Jumbo   1408    384
#[Out]# 3     3  Jumbo   3392    832
#[Out]# 4     4  Jumbo   4288    704
#[Out]# 5     5  Jumbo   2496    512
#[Out]# 6     6  Jumbo   2432    640
#[Out]# 7     7  Jumbo   2560    576
#[Out]# 8     8  Jumbo   3584    640
#[Out]# 9     9  Jumbo   3136    576
#[Out]# 10   10  Jumbo   2048    320
#[Out]# 11   11  Jumbo   3008    704
#[Out]# 12   12  Jumbo   2880    576
#[Out]# 13   13  Jumbo   2240    576
#[Out]# 14   14  Jumbo   1600    512
#[Out]# 15   15  Jumbo   1088    256
#[Out]# 16   16  Jumbo   1344    384
#[Out]# 17   17  Jumbo   4608    832
#[Out]# 18   18  Jumbo   2240    704
#[Out]# 19   19  Jumbo   2496    448
#[Out]# 20   20  Jumbo   2432    448
#[Out]# 21   21  Jumbo   2304    640
#[Out]# 22   22  Jumbo   1408    256
#[Out]# 23   23  Jumbo   1408    320
#[Out]# 24   24  Jumbo   1728    320
#[Out]# 25   25  Jumbo   3648    640
#[Out]# 26   26  Jumbo   3328    512
#[Out]# 27   27  Jumbo   2432    512
#[Out]# 28   28  Jumbo   2240    448
#[Out]# 29   29  Jumbo   4992    832
#[Out]# ..  ...    ...    ...    ...
#[Out]# 34   34  Jumbo   5184    960
#[Out]# 35   35  Jumbo   1984    448
#[Out]# 36   36  Jumbo   3712    896
#[Out]# 37   37  Jumbo   1024    256
#[Out]# 38   38  Jumbo   3456    640
#[Out]# 39   39  Jumbo   2048    448
#[Out]# 40   40  Jumbo   2752    640
#[Out]# 41   41  Jumbo   1856    384
#[Out]# 42   42  Jumbo   3776    640
#[Out]# 43   43  Jumbo   4800    832
#[Out]# 44   44  Jumbo   2752    640
#[Out]# 45   45  Jumbo   1984    512
#[Out]# 46   46  Jumbo   3584    640
#[Out]# 47   47  Jumbo   3264    704
#[Out]# 48   48  Jumbo    960    128
#[Out]# 49   49  Jumbo   1280    384
#[Out]# 50   50  Jumbo   1792    448
#[Out]# 51   51  Jumbo   2624    640
#[Out]# 52   52  Jumbo   2944    512
#[Out]# 53   53  Jumbo   1280    320
#[Out]# 54   54  Jumbo   3264    704
#[Out]# 55   55  Jumbo   3840    704
#[Out]# 56   56  Jumbo   1856    640
#[Out]# 57   57  Jumbo   1792    384
#[Out]# 58   58  Jumbo   1856    192
#[Out]# 59   59  Jumbo   1408    384
#[Out]# 60   60  Jumbo    384     64
#[Out]# 61   61  Jumbo    320     64
#[Out]# 62   62  Jumbo    640    320
#[Out]# 63   63  Jumbo    384    128
#[Out]# 
#[Out]# [64 rows x 4 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select * 
from (
    select p.sID, s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by p.sID
) a
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#     sID        sName  total  times
#[Out]# 0     0         Coop     43      9
#[Out]# 1     1    Hoogvliet     38      8
#[Out]# 2     2        Jumbo     22      6
#[Out]# 3     3       Sligro     53     13
#[Out]# 4     4    Hoogvliet     67     11
#[Out]# 5     5       Sligro     39      8
#[Out]# 6     6         Coop     38     10
#[Out]# 7     7       Sligro     40      9
#[Out]# 8     8  Albert Hein     56     10
#[Out]# 9     9  Albert Hein     49      9
#[Out]# 10   10        Jumbo     32      5
#[Out]# 11   11  Albert Hein     47     11
#[Out]# 12   12         Lidl     45      9
#[Out]# 13   13         Coop     35      9
#[Out]# 14   14         Coop     25      8
#[Out]# 15   15         Lidl     17      4
#[Out]# 16   16         Lidl     21      6
#[Out]# 17   17    Hoogvliet     72     13
#[Out]# 18   18       Sligro     35     11
#[Out]# 19   19         Coop     39      7
#[Out]# 20   20        Jumbo     38      7
#[Out]# 21   21         Coop     36     10
#[Out]# 22   22         Lidl     22      4
#[Out]# 23   23         Dirk     22      5
#[Out]# 24   24  Albert Hein     27      5
#[Out]# 25   25  Albert Hein     57     10
#[Out]# 26   26    Hoogvliet     52      8
#[Out]# 27   27       Sligro     38      8
#[Out]# 28   28    Hoogvliet     35      7
#[Out]# 29   29       Sligro     78     13
#[Out]# ..  ...          ...    ...    ...
#[Out]# 34   34         Coop     81     15
#[Out]# 35   35         Lidl     31      7
#[Out]# 36   36         Lidl     58     14
#[Out]# 37   37        Jumbo     16      4
#[Out]# 38   38    Hoogvliet     54     10
#[Out]# 39   39       Sligro     32      7
#[Out]# 40   40    Hoogvliet     43     10
#[Out]# 41   41  Albert Hein     29      6
#[Out]# 42   42       Sligro     59     10
#[Out]# 43   43         Coop     75     13
#[Out]# 44   44  Albert Hein     43     10
#[Out]# 45   45         Coop     31      8
#[Out]# 46   46         Lidl     56     10
#[Out]# 47   47         Coop     51     11
#[Out]# 48   48    Hoogvliet     15      2
#[Out]# 49   49    Hoogvliet     20      6
#[Out]# 50   50       Sligro     28      7
#[Out]# 51   51         Coop     41     10
#[Out]# 52   52         Lidl     46      8
#[Out]# 53   53         Coop     20      5
#[Out]# 54   54         Dirk     51     11
#[Out]# 55   55         Coop     60     11
#[Out]# 56   56        Jumbo     29     10
#[Out]# 57   57         Dirk     28      6
#[Out]# 58   58         Dirk     29      3
#[Out]# 59   59        Jumbo     22      6
#[Out]# 60   60         Lidl      6      1
#[Out]# 61   61         Lidl      5      1
#[Out]# 62   62        Jumbo     10      5
#[Out]# 63   63        Jumbo      6      2
#[Out]# 
#[Out]# [64 rows x 4 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select * 
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by p.sID
) a
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#           sName  total  times
#[Out]# 0          Coop     43      9
#[Out]# 1     Hoogvliet     38      8
#[Out]# 2         Jumbo     22      6
#[Out]# 3        Sligro     53     13
#[Out]# 4     Hoogvliet     67     11
#[Out]# 5        Sligro     39      8
#[Out]# 6          Coop     38     10
#[Out]# 7        Sligro     40      9
#[Out]# 8   Albert Hein     56     10
#[Out]# 9   Albert Hein     49      9
#[Out]# 10        Jumbo     32      5
#[Out]# 11  Albert Hein     47     11
#[Out]# 12         Lidl     45      9
#[Out]# 13         Coop     35      9
#[Out]# 14         Coop     25      8
#[Out]# 15         Lidl     17      4
#[Out]# 16         Lidl     21      6
#[Out]# 17    Hoogvliet     72     13
#[Out]# 18       Sligro     35     11
#[Out]# 19         Coop     39      7
#[Out]# 20        Jumbo     38      7
#[Out]# 21         Coop     36     10
#[Out]# 22         Lidl     22      4
#[Out]# 23         Dirk     22      5
#[Out]# 24  Albert Hein     27      5
#[Out]# 25  Albert Hein     57     10
#[Out]# 26    Hoogvliet     52      8
#[Out]# 27       Sligro     38      8
#[Out]# 28    Hoogvliet     35      7
#[Out]# 29       Sligro     78     13
#[Out]# ..          ...    ...    ...
#[Out]# 34         Coop     81     15
#[Out]# 35         Lidl     31      7
#[Out]# 36         Lidl     58     14
#[Out]# 37        Jumbo     16      4
#[Out]# 38    Hoogvliet     54     10
#[Out]# 39       Sligro     32      7
#[Out]# 40    Hoogvliet     43     10
#[Out]# 41  Albert Hein     29      6
#[Out]# 42       Sligro     59     10
#[Out]# 43         Coop     75     13
#[Out]# 44  Albert Hein     43     10
#[Out]# 45         Coop     31      8
#[Out]# 46         Lidl     56     10
#[Out]# 47         Coop     51     11
#[Out]# 48    Hoogvliet     15      2
#[Out]# 49    Hoogvliet     20      6
#[Out]# 50       Sligro     28      7
#[Out]# 51         Coop     41     10
#[Out]# 52         Lidl     46      8
#[Out]# 53         Coop     20      5
#[Out]# 54         Dirk     51     11
#[Out]# 55         Coop     60     11
#[Out]# 56        Jumbo     29     10
#[Out]# 57         Dirk     28      6
#[Out]# 58         Dirk     29      3
#[Out]# 59        Jumbo     22      6
#[Out]# 60         Lidl      6      1
#[Out]# 61         Lidl      5      1
#[Out]# 62        Jumbo     10      5
#[Out]# 63        Jumbo      6      2
#[Out]# 
#[Out]# [64 rows x 3 columns]
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select * 
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by s.sName
) a
'''



pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times
#[Out]# 0  Albert Hein    328     66
#[Out]# 1         Coop    618    132
#[Out]# 2         Dirk    216     41
#[Out]# 3    Hoogvliet    396     75
#[Out]# 4        Jumbo    175     45
#[Out]# 5         Lidl    307     64
#[Out]# 6       Sligro    402     86
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sName
having total=328
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times
#[Out]# 0  Albert Hein    328     66
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sName
having total\times > 4
'''

pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sName
having total/times > 4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName  total  times
#[Out]# 0       Dirk    216     41
#[Out]# 1  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sID
having total/times > 4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#           sName  total  times
#[Out]# 0     Hoogvliet     67     11
#[Out]# 1   Albert Hein     56     10
#[Out]# 2   Albert Hein     49      9
#[Out]# 3         Jumbo     32      5
#[Out]# 4          Lidl     45      9
#[Out]# 5     Hoogvliet     72     13
#[Out]# 6          Coop     39      7
#[Out]# 7         Jumbo     38      7
#[Out]# 8          Lidl     22      4
#[Out]# 9   Albert Hein     27      5
#[Out]# 10  Albert Hein     57     10
#[Out]# 11    Hoogvliet     52      8
#[Out]# 12    Hoogvliet     35      7
#[Out]# 13       Sligro     78     13
#[Out]# 14         Coop     43      6
#[Out]# 15         Dirk     37      6
#[Out]# 16         Coop     81     15
#[Out]# 17    Hoogvliet     54     10
#[Out]# 18       Sligro     59     10
#[Out]# 19         Coop     75     13
#[Out]# 20         Lidl     56     10
#[Out]# 21    Hoogvliet     15      2
#[Out]# 22         Lidl     46      8
#[Out]# 23         Coop     60     11
#[Out]# 24         Dirk     29      3
#[Out]# 25         Lidl      6      1
#[Out]# 26         Lidl      5      1
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sName
having total/times > 4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName  total  times
#[Out]# 0       Dirk    216     41
#[Out]# 1  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sID
having total/times > 4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#           sName  total  times
#[Out]# 0     Hoogvliet     67     11
#[Out]# 1   Albert Hein     56     10
#[Out]# 2   Albert Hein     49      9
#[Out]# 3         Jumbo     32      5
#[Out]# 4          Lidl     45      9
#[Out]# 5     Hoogvliet     72     13
#[Out]# 6          Coop     39      7
#[Out]# 7         Jumbo     38      7
#[Out]# 8          Lidl     22      4
#[Out]# 9   Albert Hein     27      5
#[Out]# 10  Albert Hein     57     10
#[Out]# 11    Hoogvliet     52      8
#[Out]# 12    Hoogvliet     35      7
#[Out]# 13       Sligro     78     13
#[Out]# 14         Coop     43      6
#[Out]# 15         Dirk     37      6
#[Out]# 16         Coop     81     15
#[Out]# 17    Hoogvliet     54     10
#[Out]# 18       Sligro     59     10
#[Out]# 19         Coop     75     13
#[Out]# 20         Lidl     56     10
#[Out]# 21    Hoogvliet     15      2
#[Out]# 22         Lidl     46      8
#[Out]# 23         Coop     60     11
#[Out]# 24         Dirk     29      3
#[Out]# 25         Lidl      6      1
#[Out]# 26         Lidl      5      1
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''

select s.sName, sum(p.quantity) as total, count(p.sID) as times
from purchase p, store s
where p.sID=s.sID
group by s.sName
having total/times > 4
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName  total  times
#[Out]# 0       Dirk    216     41
#[Out]# 1  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName
#[Out]# 0       Dirk
#[Out]# 1  Hoogvliet
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ4 = '''
select s.sName, p.pName
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=max(pur.price)
'''

pd.read_sql_query(queryQ4, conn)
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ4 = '''
select s.sName, pro.pName
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=max(pur.price)
'''

pd.read_sql_query(queryQ4, conn)
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ4 = '''
select s.sName, pro.pName, max(pur.price) as price
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=price
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#     sName pName  price
#[Out]# 0  Sligro  Beef   13.8
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ5 = '''
select s.sName, pro.pName, max(pur.price) as price
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=price
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#     sName pName  price
#[Out]# 0  Sligro  Beef   13.8
# List all the product ids of products that were bought by at most two
# different customers

query = '''

SELECT p.pID 
FROM (
    SELECT customer_counted.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID
    ) customer_counted
    GROUP BY customer_counted.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   29
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select *
from purchase p
where p.Date='2018-08-23'
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#     sName pName  price
#[Out]# 0  Sligro  Beef   13.8
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select *
from purchase p
where p.Date='2018-08-23'
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    24    5   55    6  2018-08-23         9   1.10
#[Out]# 1    25    5   51   22  2018-08-23         2   1.55
#[Out]# 2    26    5    6   16  2018-08-23         2   1.85
#[Out]# 3    27    5   17   19  2018-08-23         1   2.20
#[Out]# 4    28    7    3   19  2018-08-23         2   2.10
#[Out]# 5    29    7   12    2  2018-08-23         6   1.70
#[Out]# 6    85   26   21   23  2018-08-23         6   2.10
#[Out]# 7   127   40   40   14  2018-08-23         6   4.10
#[Out]# 8   129   41    3    3  2018-08-23         3   1.35
#[Out]# 9   133   43   16   22  2018-08-23         4   1.60
#[Out]# 10  134   43   50   14  2018-08-23         7   3.85
#[Out]# 11  169   59   46   22  2018-08-23         1   1.70
#[Out]# 12  170   59   44   19  2018-08-23         6   2.65
#[Out]# 13  171   59   58   27  2018-08-23        13   6.45
#[Out]# 14  172   59   12   15  2018-08-23         1   1.25
#[Out]# 15  180   60   30   28  2018-08-23         6   8.90
#[Out]# 16  183   64   29    9  2018-08-23        11   1.25
#[Out]# 17  213   77    1    5  2018-08-23         3   0.45
#[Out]# 18  223   82   44   18  2018-08-23         1  12.00
#[Out]# 19  224   82   52   28  2018-08-23         2   7.35
#[Out]# 20  225   82   15   16  2018-08-23         2   1.95
#[Out]# 21  256   95   38   20  2018-08-23         7   2.40
#[Out]# 22  277  103   13   12  2018-08-23         2  11.20
#[Out]# 23  294  112   35   11  2018-08-23         1   1.20
#[Out]# 24  331  124   21    9  2018-08-23         1   1.65
#[Out]# 25  332  124   35    7  2018-08-23         7   2.20
#[Out]# 26  333  124    6   15  2018-08-23         1   1.00
#[Out]# 27  335  126    7   22  2018-08-23         1   1.50
#[Out]# 28  356  144   41   12  2018-08-23         9  13.25
#[Out]# 29  398  162   57    3  2018-08-23         7   1.25
#[Out]# 30  408  165   26    4  2018-08-23         8   0.95
#[Out]# 31  409  165   38   24  2018-08-23         6   3.55
#[Out]# 32  410  165   56    1  2018-08-23         3   4.40
#[Out]# 33  465  179   45   10  2018-08-23         7   0.45
#[Out]# 34  474  182    4   13  2018-08-23         9   4.20
#[Out]# 35  787  190    3   28  2018-08-23         5   0.50
#[Out]# 36  789  190    5    2  2018-08-23         7   2.00
#[Out]# 37  801  190   17   10  2018-08-23         6   0.95
#[Out]# 38  812  190   28   19  2018-08-23         5   1.75
#[Out]# 39  820  190   36    5  2018-08-23         3   2.55
#[Out]# 40  845  190   61   19  2018-08-23         5   2.85
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ5 = '''
select s.sName, pro.pName, max(pur.price) as price
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=price
'''

pd.read_sql_query(queryQ5, conn)
#[Out]#     sName pName  price
#[Out]# 0  Sligro  Beef   13.8
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName
#[Out]# 0       Dirk
#[Out]# 1  Hoogvliet
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         8.4
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
order by difference desc limit 10
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0        8.40
#[Out]# 1        8.40
#[Out]# 2        6.85
#[Out]# 3        6.85
#[Out]# 4        2.10
#[Out]# 5        2.10
#[Out]# 6        2.05
#[Out]# 7        2.05
#[Out]# 8        1.55
#[Out]# 9        1.55
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         8.4
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
and p1.sID!=p2.sID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         8.4
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
and p1.sID!=p2.sID
order by difference desc limit 10
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0        8.40
#[Out]# 1        8.40
#[Out]# 2        6.85
#[Out]# 3        6.85
#[Out]# 4        2.10
#[Out]# 5        2.10
#[Out]# 6        2.05
#[Out]# 7        2.05
#[Out]# 8        1.55
#[Out]# 9        1.55
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
and p1.sID!=p2.sID
order by difference asc limit 10
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0        0.05
#[Out]# 1        0.05
#[Out]# 2        0.05
#[Out]# 3        0.05
#[Out]# 4        0.10
#[Out]# 5        0.10
#[Out]# 6        0.10
#[Out]# 7        0.10
#[Out]# 8        0.10
#[Out]# 9        0.10
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
order by difference asc limit 10
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         0.0
#[Out]# 1         0.0
#[Out]# 2         0.0
#[Out]# 3         0.0
#[Out]# 4         0.0
#[Out]# 5         0.0
#[Out]# 6         0.0
#[Out]# 7         0.0
#[Out]# 8         0.0
#[Out]# 9         0.0
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(p1.price-p2.price) as difference
from purchase p1, purchase p2
where p1.Date='2018-08-23'
and p2.Date='2018-08-23'
and p1.pID=p2.pID
and p1.sID!=p2.sID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         8.4
# List all the product ids of products that were bought by at most two
# different customers

query = '''

SELECT p.pID 
FROM (
    SELECT customer_counted.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
    ) customer_counted
    GROUP BY customer_counted.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
# List all the product ids of products that were bought by at most two
# different customers

query = '''

SELECT p.pID 
FROM (
    SELECT customer_counted.pID, COUNT(*) AS "count"
    FROM (
        SELECT DISTINCT c.cID, p.pID
        FROM purchase p, customer c
        WHERE p.cID=c.cID
    ) customer_counted
    GROUP BY customer_counted.pID
    ORDER BY COUNT(*)
) p
WHERE p.count <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   29
query = '''

select p.pID, count(p.pID) as times
from purchase p
group by p.cID
having times <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#     pID  times
#[Out]# 0    10      1
#[Out]# 1     8      2
#[Out]# 2    24      1
#[Out]# 3    14      1
#[Out]# 4    11      1
#[Out]# 5     7      2
#[Out]# 6    10      2
#[Out]# 7    26      1
#[Out]# 8    23      1
#[Out]# 9    11      1
#[Out]# 10    4      2
#[Out]# 11   24      2
#[Out]# 12   26      1
#[Out]# 13   28      2
#[Out]# 14   13      2
#[Out]# 15   22      2
#[Out]# 16    3      2
#[Out]# 17   21      2
#[Out]# 18   23      2
#[Out]# 19   16      1
#[Out]# 20    5      2
#[Out]# 21    9      2
#[Out]# 22   27      1
#[Out]# 23   16      2
#[Out]# 24    1      1
#[Out]# 25   28      2
#[Out]# 26   25      1
#[Out]# 27    5      1
#[Out]# 28   13      2
#[Out]# 29    8      1
#[Out]# ..  ...    ...
#[Out]# 34   25      2
#[Out]# 35   26      1
#[Out]# 36   12      1
#[Out]# 37   22      1
#[Out]# 38   21      1
#[Out]# 39   15      2
#[Out]# 40    8      2
#[Out]# 41   22      2
#[Out]# 42   28      2
#[Out]# 43    6      1
#[Out]# 44    1      1
#[Out]# 45   22      2
#[Out]# 46    6      1
#[Out]# 47   28      1
#[Out]# 48   20      1
#[Out]# 49   12      2
#[Out]# 50    9      1
#[Out]# 51   19      2
#[Out]# 52   23      2
#[Out]# 53   12      2
#[Out]# 54    1      1
#[Out]# 55   21      2
#[Out]# 56   16      2
#[Out]# 57   21      2
#[Out]# 58   24      2
#[Out]# 59    0      1
#[Out]# 60   29      1
#[Out]# 61   29      1
#[Out]# 62   30      2
#[Out]# 63   19      2
#[Out]# 
#[Out]# [64 rows x 2 columns]
query = '''

select p.pID, count(p.pID) as times, *
from purchase p
group by p.cID
having times <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#     pID  times  tID  cID  sID  pID        date  quantity  price
#[Out]# 0    10      1    0    0    3   10  2018-08-22         1   0.45
#[Out]# 1     8      2   35    8   51    8  2018-08-16         5   5.30
#[Out]# 2    24      1   36   10   34   24  2018-08-27         5   3.20
#[Out]# 3    14      1   37   11    0   14  2018-08-25         8   4.10
#[Out]# 4    11      1   47   15   25   11  2018-08-27         5   0.90
#[Out]# 5     7      2   59   17   44    7  2018-08-19        10   1.65
#[Out]# 6    10      2   74   22   27   10  2018-08-28         6   0.45
#[Out]# 7    26      1   84   25   12   26  2018-08-28         9   2.55
#[Out]# 8    23      1   85   26   21   23  2018-08-23         6   2.10
#[Out]# 9    11      1   92   28   43   11  2018-08-27         2   1.10
#[Out]# 10    4      2   94   29   29    4  2018-08-24         3   0.95
#[Out]# 11   24      2   99   31   39   24  2018-08-28         4   3.90
#[Out]# 12   26      1  109   34   26   26  2018-08-26         8   3.45
#[Out]# 13   28      2  111   35   34   28  2018-08-18         7   9.45
#[Out]# 14   13      2  115   37   10   13  2018-08-15         4   2.90
#[Out]# 15   22      2  117   38    8   22  2018-08-19         7   2.05
#[Out]# 16    3      2  129   41    3    3  2018-08-23         3   1.35
#[Out]# 17   21      2  131   42   45   21  2018-08-18         6   1.90
#[Out]# 18   23      2  140   45   38   23  2018-08-16         7   1.80
#[Out]# 19   16      1  148   47   20   16  2018-08-17         7   2.10
#[Out]# 20    5      2  163   55   19    5  2018-08-17         8   0.50
#[Out]# 21    9      2  168   58   42    9  2018-08-21         9   1.30
#[Out]# 22   27      1  182   63   20   27  2018-08-17         8   6.85
#[Out]# 23   16      2  184   64    5   16  2018-08-24         5   1.65
#[Out]# 24    1      1  195   69   25    1  2018-08-28         8   6.05
#[Out]# 25   28      2  197   70   54   28  2018-08-25         4   9.70
#[Out]# 26   25      1  212   76   21   25  2018-08-26         1   3.30
#[Out]# 27    5      1  213   77    1    5  2018-08-23         3   0.45
#[Out]# 28   13      2  215   78   56   13  2018-08-18         5   4.15
#[Out]# 29    8      1  216   80    8    8  2018-08-16         9   5.55
#[Out]# ..  ...    ...  ...  ...  ...  ...         ...       ...    ...
#[Out]# 34   25      2  254   94   21   25  2018-08-17         5   4.30
#[Out]# 35   26      1  267   99   43   26  2018-08-19         9   2.95
#[Out]# 36   12      1  277  103   13   12  2018-08-23         2  11.20
#[Out]# 37   22      1  278  104    2   22  2018-08-22         2   2.00
#[Out]# 38   21      1  293  111   17   21  2018-08-22         8   2.30
#[Out]# 39   15      2  308  118   43   15  2018-08-22         1   1.00
#[Out]# 40    8      2  310  119   25    8  2018-08-24         8   5.20
#[Out]# 41   22      2  335  126    7   22  2018-08-23         1   1.50
#[Out]# 42   28      2  337  127   34   28  2018-08-26         7   8.35
#[Out]# 43    6      1  338  128   24    6  2018-08-25         5   0.95
#[Out]# 44    1      1  343  131   51    1  2018-08-18         2   6.40
#[Out]# 45   22      2  345  133   11   22  2018-08-19         5   1.85
#[Out]# 46    6      1  349  135   34    6  2018-08-19         7   1.00
#[Out]# 47   28      1  350  136   37   28  2018-08-24         5   7.75
#[Out]# 48   20      1  351  137   29   20  2018-08-17         6   2.35
#[Out]# 49   12      2  356  144   41   12  2018-08-23         9  13.25
#[Out]# 50    9      1  357  145   58    9  2018-08-22         9   1.70
#[Out]# 51   19      2  366  149   54   19  2018-08-25         5   2.25
#[Out]# 52   23      2  368  151   14   23  2018-08-17         5   2.10
#[Out]# 53   12      2  385  159   17   12  2018-08-26         3  12.30
#[Out]# 54    1      1  426  168   28    1  2018-08-16         6   5.65
#[Out]# 55   21      2  442  171   44   21  2018-08-20         2   2.35
#[Out]# 56   16      2  444  172    0   16  2018-08-24         4   1.85
#[Out]# 57   21      2  446  175   16   21  2018-08-20         2   2.25
#[Out]# 58   24      2  459  178   39   24  2018-08-27         1   3.90
#[Out]# 59    0      1  777  184    0    0  2018-08-20         2   3.50
#[Out]# 60   29      1  778  185   62   29  2018-08-20         1   1.00
#[Out]# 61   29      1  779  186   62   29  2018-08-21         5   1.00
#[Out]# 62   30      2  781  188   62   30  2018-09-20         1   1.00
#[Out]# 63   19      2  783  189   20   19  2018-08-26         3   2.50
#[Out]# 
#[Out]# [64 rows x 9 columns]
query = '''

select p.pID, count(p.cID) as times, *
from purchase p
group by p.pID
having times <= 2

'''

pd.read_sql_query(query, conn)
#[Out]#    pID  times  tID  cID  sID  pID        date  quantity  price
#[Out]# 0   29      2  779  186   62   29  2018-08-21         5      1
#[Out]# 1   30      2  781  188   62   30  2018-09-20         1      1
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID, count(p.cID) as times
from purchase p
group by p.pID
having times <= 2
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID  times
#[Out]# 0   29      2
#[Out]# 1   30      2
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID
from purchase p
group by p.pID
having count(p.cID) <= 2
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID
from purchase p
group by p.pID
having count(distinct p.cID) <= 2
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID, count(p.cID)
from purchase p
group by p.pID

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     pID  count(p.cID)
#[Out]# 0     0            25
#[Out]# 1     1            13
#[Out]# 2     2            10
#[Out]# 3     3            20
#[Out]# 4     4            16
#[Out]# 5     5            16
#[Out]# 6     6            15
#[Out]# 7     7            14
#[Out]# 8     8            13
#[Out]# 9     9            20
#[Out]# 10   10            16
#[Out]# 11   11            16
#[Out]# 12   12            16
#[Out]# 13   13            21
#[Out]# 14   14            18
#[Out]# 15   15            14
#[Out]# 16   16            20
#[Out]# 17   17            18
#[Out]# 18   18            10
#[Out]# 19   19            26
#[Out]# 20   20            18
#[Out]# 21   21            22
#[Out]# 22   22            21
#[Out]# 23   23            13
#[Out]# 24   24            20
#[Out]# 25   25            14
#[Out]# 26   26            20
#[Out]# 27   27            15
#[Out]# 28   28            25
#[Out]# 29   29             2
#[Out]# 30   30             2
queryQ1 = '''
select *
from purchase p
where p.pID=0

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price
#[Out]# 0    38   13   33    0  2018-08-17         5   5.35
#[Out]# 1    48   16   50    0  2018-08-24         1   3.70
#[Out]# 2    63   19   59    0  2018-08-17         1   3.90
#[Out]# 3    68   20   21    0  2018-08-18         3   5.40
#[Out]# 4    81   24   14    0  2018-08-20         3   4.80
#[Out]# 5   104   33   36    0  2018-08-27         6   3.95
#[Out]# 6   187   66   44    0  2018-08-17         8   5.40
#[Out]# 7   214   78   21    0  2018-08-17         4   5.40
#[Out]# 8   227   82   42    0  2018-08-25         3   5.00
#[Out]# 9   259   95    3    0  2018-08-24         5   4.85
#[Out]# 10  297  113    1    0  2018-08-26         5   5.30
#[Out]# 11  321  123   49    0  2018-08-25         2   4.40
#[Out]# 12  336  127    3    0  2018-08-25         9   3.75
#[Out]# 13  354  139   26    0  2018-08-19         5   4.90
#[Out]# 14  355  144   31    0  2018-08-22         6   5.10
#[Out]# 15  380  157   49    0  2018-08-27         3   4.20
#[Out]# 16  403  163   43    0  2018-08-27         3   4.65
#[Out]# 17  423  167    8    0  2018-08-21         9   4.00
#[Out]# 18  439  170   52    0  2018-08-16         7   3.95
#[Out]# 19  449  176   35    0  2018-08-25         2   4.35
#[Out]# 20  777  184    0    0  2018-08-20         2   3.50
#[Out]# 21  797  190   13    0  2018-08-26         4   2.00
#[Out]# 22  816  190   32    0  2018-08-26         4   3.85
#[Out]# 23  823  190   39    0  2018-08-25         4   3.70
#[Out]# 24  838  190   54    0  2018-08-25         6   3.50
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID, count(distinct p.cID)
from purchase p
group by p.pID

'''

pd.read_sql_query(queryQ1, conn)
#[Out]#     pID  count(distinct p.cID)
#[Out]# 0     0                     22
#[Out]# 1     1                     13
#[Out]# 2     2                      9
#[Out]# 3     3                     20
#[Out]# 4     4                     16
#[Out]# 5     5                     14
#[Out]# 6     6                     15
#[Out]# 7     7                     13
#[Out]# 8     8                     12
#[Out]# 9     9                     18
#[Out]# 10   10                     14
#[Out]# 11   11                     13
#[Out]# 12   12                     16
#[Out]# 13   13                     21
#[Out]# 14   14                     18
#[Out]# 15   15                     13
#[Out]# 16   16                     20
#[Out]# 17   17                     13
#[Out]# 18   18                     10
#[Out]# 19   19                     20
#[Out]# 20   20                     16
#[Out]# 21   21                     19
#[Out]# 22   22                     20
#[Out]# 23   23                     11
#[Out]# 24   24                     20
#[Out]# 25   25                     14
#[Out]# 26   26                     19
#[Out]# 27   27                     13
#[Out]# 28   28                     23
#[Out]# 29   29                      2
#[Out]# 30   30                      1
# List all the product ids of products that were bought by at most two
# different customers

queryQ1 = '''
select p.pID
from purchase p
group by p.pID
having count(distinct p.cID) <= 2
'''

pd.read_sql_query(queryQ1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(i1.price-i2.price) as difference
from inventory i1, inventory i2
where i1.Date='2018-08-23'
and i2.Date='2018-08-23'
and i1.pID=i2.pID
and i1.sID!=i2.sID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(i1.unit_price-i2.unit_price) as difference
from inventory i1, inventory i2
where i1.Date='2018-08-23'
and i2.Date='2018-08-23'
and i1.pID=i2.pID
and i1.sID!=i2.sID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         2.0
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(i1.unit_price-i2.unit_price) as difference
from inventory i1, inventory i2
where i1.Date='2018-08-23'
and i2.Date='2018-08-23'
and i1.pID=i2.pID
and i1.sID!=i2.sID
order by difference desc limit 10
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0        2.00
#[Out]# 1        2.00
#[Out]# 2        1.95
#[Out]# 3        1.95
#[Out]# 4        1.75
#[Out]# 5        1.75
#[Out]# 6        1.60
#[Out]# 7        1.60
#[Out]# 8        1.40
#[Out]# 9        1.40
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by s.sName
    having avg(p.quantity)>4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName, *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName      sName  total  times
#[Out]# 0       Dirk       Dirk    216     41
#[Out]# 1  Hoogvliet  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
    SELECT DISTINCT s.sName
    FROM store as s, purchase as p
    WHERE s.sID=p.sID AND s.sName 
    IN (SELECT DISTINCT sName FROM store GROUP BY sName HAVING 
	COUNT(DISTINCT(sID))>=2)
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select distinct store.sName
from store
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
    SELECT DISTINCT s.sName
    FROM store as s, purchase as p
    WHERE s.sID=p.sID AND s.sName 
    IN (SELECT DISTINCT sName FROM store GROUP BY sName HAVING 
	COUNT(DISTINCT(sID))>=2)
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
    SELECT DISTINCT s.sName
    FROM store as s, purchase as p
    GROUP BY s.sName
    HAVING AVG(p.quantity) > 4 
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName, *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName      sName  total  times
#[Out]# 0       Dirk       Dirk    216     41
#[Out]# 1  Hoogvliet  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName, *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)<2)
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sName, sName, total, times]
#[Out]# Index: []
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName, *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName      sName  total  times
#[Out]# 0       Dirk       Dirk    216     41
#[Out]# 1  Hoogvliet  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName  total  times
#[Out]# 0       Dirk    216     41
#[Out]# 1  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times
#[Out]# 0  Albert Hein    328     66
#[Out]# 1         Coop    618    132
#[Out]# 2         Dirk    216     41
#[Out]# 3    Hoogvliet    396     75
#[Out]# 4        Jumbo    175     45
#[Out]# 5         Lidl    307     64
#[Out]# 6       Sligro    402     86
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having avg(p.quantity) > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times
#[Out]# 0  Albert Hein    328     66
#[Out]# 1         Coop    618    132
#[Out]# 2         Dirk    216     41
#[Out]# 3    Hoogvliet    396     75
#[Out]# 4         Lidl    307     64
#[Out]# 5       Sligro    402     86
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#        sName  total  times
#[Out]# 0       Dirk    216     41
#[Out]# 1  Hoogvliet    396     75
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times > 3
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times
#[Out]# 0  Albert Hein    328     66
#[Out]# 1         Coop    618    132
#[Out]# 2         Dirk    216     41
#[Out]# 3    Hoogvliet    396     75
#[Out]# 4         Lidl    307     64
#[Out]# 5       Sligro    402     86
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, total/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times  w
#[Out]# 0  Albert Hein    328     66  4
#[Out]# 1         Coop    618    132  4
#[Out]# 2         Dirk    216     41  5
#[Out]# 3    Hoogvliet    396     75  5
#[Out]# 4        Jumbo    175     45  3
#[Out]# 5         Lidl    307     64  4
#[Out]# 6       Sligro    402     86  4
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, total/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having total/times >= 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times  w
#[Out]# 0  Albert Hein    328     66  4
#[Out]# 1         Coop    618    132  4
#[Out]# 2         Dirk    216     41  5
#[Out]# 3    Hoogvliet    396     75  5
#[Out]# 4         Lidl    307     64  4
#[Out]# 5       Sligro    402     86  4
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, total/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times >= 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times  w
#[Out]# 0  Albert Hein    328     66  4
#[Out]# 1         Coop    618    132  4
#[Out]# 2         Dirk    216     41  5
#[Out]# 3    Hoogvliet    396     75  5
#[Out]# 4         Lidl    307     64  4
#[Out]# 5       Sligro    402     86  4
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, cast(total as float)/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times >= 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times         w
#[Out]# 0  Albert Hein    328     66  4.969697
#[Out]# 1         Coop    618    132  4.681818
#[Out]# 2         Dirk    216     41  5.268293
#[Out]# 3    Hoogvliet    396     75  5.280000
#[Out]# 4         Lidl    307     64  4.796875
#[Out]# 5       Sligro    402     86  4.674419
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, cast(total as float)/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times >2 4
) s
'''

pd.read_sql_query(queryQ4, conn)
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, cast(total as float)/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times > 2
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times         w
#[Out]# 0  Albert Hein    328     66  4.969697
#[Out]# 1         Coop    618    132  4.681818
#[Out]# 2         Dirk    216     41  5.268293
#[Out]# 3    Hoogvliet    396     75  5.280000
#[Out]# 4        Jumbo    175     45  3.888889
#[Out]# 5         Lidl    307     64  4.796875
#[Out]# 6       Sligro    402     86  4.674419
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select *, cast(total as float)/times as w
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName  total  times         w
#[Out]# 0  Albert Hein    328     66  4.969697
#[Out]# 1         Coop    618    132  4.681818
#[Out]# 2         Dirk    216     41  5.268293
#[Out]# 3    Hoogvliet    396     75  5.280000
#[Out]# 4         Lidl    307     64  4.796875
#[Out]# 5       Sligro    402     86  4.674419
# Find the largest difference in price for a product in stock on
# '2018-08-23' between two different stores

queryQ6 = '''
select abs(i1.unit_price-i2.unit_price) as difference
from inventory i1, inventory i2
where i1.Date='2018-08-23'
and i2.Date='2018-08-23'
and i1.pID=i2.pID
and i1.sID!=i2.sID
order by difference desc limit 1
'''

pd.read_sql_query(queryQ6, conn)
#[Out]#    difference
#[Out]# 0         2.0
# Find the names of store-chains that on average sell products in
# quantities of more than 4.

queryQ4 = '''
select s.sName
from (
    select s.sName, sum(p.quantity) as total, count(p.sID) as times
    from purchase p, store s
    where p.sID=s.sID
    and s.sName in (select distinct sName from store
                    group by sName having count(distinct sID)>=2)
    group by s.sName
    having cast(total as float)/times > 4
) s
'''

pd.read_sql_query(queryQ4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
# List the customers (id and name) who purchased on the same date both a
# product with name 'Onions' and a product with name 'Coffee'

queryQ2 = '''
SELECT c.cID, c.cName
FROM customer c, purchase onion, purchase coffee
WHERE c.cID=onion.cID
AND c.cID=coffee.cID 
AND onion.Date=coffee.Date
AND (onion.pID IN (SELECT p.pID FROM product p WHERE p.pName='Onions'))
AND (coffee.pID IN (SELECT p.pID FROM product p WHERE p.pName='Coffee'))
'''

queryQ2_style = '''
'''

pd.read_sql_query(queryQ2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
# Find the name of the product that is sold for the highest price and
# the name of the store that sold that item for that price

queryQ5 = '''
select s.sName, pro.pName, max(pur.price) as price
from store s, purchase pur, product pro
where s.sID=pur.sID
and pur.pID=pro.pID
and pur.price=price
'''

pd.read_sql_query(queryQ5, conn)
#[Out]#     sName pName  price
#[Out]# 0  Sligro  Beef   13.8
