# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x20be5761490>
query1 = '''
    SELECT pID FROM purchase
    WHERE pID NOT IN (
        SELECT p1.pID FROM purchase AS p1, purchase AS p2, purchase AS p3
        WHERE p1.pID = p2.pID
        AND p2.pID = p3.pID
        AND p1.cID <> p2.cID
        AND p2.cID <> p3.cID
        AND p1.cID <> p3.cID);
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   29
#[Out]# 2   30
#[Out]# 3   30
query2 = '''

        SELECT * FROM product AS pro1, product AS pro2, purchase AS pur1, purchase AS pur2
        WHERE pro1.pName = "Onions"
        AND pro2.pName = "Coffee"
        AND pro1.pID = pur1.pID
        AND pro2.pID = pur2.pID
        AND pur1.date = pur2.date
        AND pur1.cID = pur2.cID;
'''

pd.read_sql_query(query2, conn)
#[Out]#    pID   pName suffix  pID   pName suffix  tID  cID  sID  pID        date  \
#[Out]# 0    4  Onions          21  Coffee         323  124   54    4  2018-08-26   
#[Out]# 1    4  Onions          21  Coffee         800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#    quantity  price  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0         4    1.1  328  124    9   21  2018-08-26         6   2.15  
#[Out]# 1         1    2.4  793  190    9   21  2018-08-26         5   4.25  
query2 = '''
    SELECT cID, cName FROM customer
    WHERE cID IN (
        SELECT pur1.cID FROM product AS pro1, product AS pro2, purchase AS pur1, purchase AS pur2
        WHERE pro1.pName = "Onions"
        AND pro2.pName = "Coffee"
        AND pro1.pID = pur1.pID
        AND pro2.pID = pur2.pID
        AND pur1.date = pur2.date
        AND pur1.cID = pur2.cID);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
     SELECT c.cID, cName 
    FROM customer as c, product as pr1, product as pr2, purchase as pu1, purchase as pu2
    WHERE pr1.pID = pu1.pID
    AND pr2.pID = pu2.pID
    AND pu1.date = pu2.date
    AND pr1.pName = "Onions"
    AND pr2.pName = "Coffee"
    AND pr1.cID = pr2.cID
'''

pd.read_sql_query(query2, conn)
query2 = '''
     SELECT c.cID, cName 
    FROM customer as c, product as pr1, product as pr2, purchase as pu1, purchase as pu2
    WHERE pr1.pID = pu1.pID
    AND pr2.pID = pu2.pID
    AND pu1.date = pu2.date
    AND pr1.pName = "Onions"
    AND pr2.pName = "Coffee"
    AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName
#[Out]# 0      0     Noah
#[Out]# 1      0     Noah
#[Out]# 2      1      Sem
#[Out]# 3      1      Sem
#[Out]# 4      2    Lucas
#[Out]# 5      2    Lucas
#[Out]# 6      3     Finn
#[Out]# 7      3     Finn
#[Out]# 8      4     Daan
#[Out]# 9      4     Daan
#[Out]# 10     5     Levi
#[Out]# 11     5     Levi
#[Out]# 12     6    Milan
#[Out]# 13     6    Milan
#[Out]# 14     7     Bram
#[Out]# 15     7     Bram
#[Out]# 16     8     Liam
#[Out]# 17     8     Liam
#[Out]# 18     9   Thomas
#[Out]# 19     9   Thomas
#[Out]# 20    10      Sam
#[Out]# 21    10      Sam
#[Out]# 22    11    Thijs
#[Out]# 23    11    Thijs
#[Out]# 24    12     Adam
#[Out]# 25    12     Adam
#[Out]# 26    13    James
#[Out]# 27    13    James
#[Out]# 28    14      Max
#[Out]# 29    14      Max
#[Out]# ..   ...      ...
#[Out]# 350  175      Sam
#[Out]# 351  175      Sam
#[Out]# 352  176    Amira
#[Out]# 353  176    Amira
#[Out]# 354  177    Eline
#[Out]# 355  177    Eline
#[Out]# 356  178     Elif
#[Out]# 357  178     Elif
#[Out]# 358  179     Juul
#[Out]# 359  179     Juul
#[Out]# 360  180    Merel
#[Out]# 361  180    Merel
#[Out]# 362  181     Liva
#[Out]# 363  181     Liva
#[Out]# 364  182  Johanna
#[Out]# 365  182  Johanna
#[Out]# 366  183    Nikki
#[Out]# 367  183    Nikki
#[Out]# 368  184    Wilko
#[Out]# 369  184    Wilko
#[Out]# 370  185     Nick
#[Out]# 371  185     Nick
#[Out]# 372  186   Angela
#[Out]# 373  186   Angela
#[Out]# 374  188     Pino
#[Out]# 375  188     Pino
#[Out]# 376  189     Koen
#[Out]# 377  189     Koen
#[Out]# 378  190   Kostas
#[Out]# 379  190   Kostas
#[Out]# 
#[Out]# [380 rows x 2 columns]
query2 = '''
     SELECT * FROM product as pr1, product as pr2, purchase as pu1, purchase as pu2
    WHERE pr1.pID = pu1.pID
    AND pr2.pID = pu2.pID
    AND pu1.date = pu2.date
    AND pr1.pName = "Onions"
    AND pr2.pName = "Coffee"
    AND pu1.cID = pu2.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#    pID   pName suffix  pID   pName suffix  tID  cID  sID  pID        date  \
#[Out]# 0    4  Onions          21  Coffee         323  124   54    4  2018-08-26   
#[Out]# 1    4  Onions          21  Coffee         800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#    quantity  price  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0         4    1.1  328  124    9   21  2018-08-26         6   2.15  
#[Out]# 1         1    2.4  793  190    9   21  2018-08-26         5   4.25  
query2 = '''
    SELECT cID, cName FROM customer
    WHERE cID IN (
        SELECT pur1.cID FROM product AS pro1, product AS pro2, purchase AS pur1, purchase AS pur2
        WHERE pro1.pName = "Onions"
        AND pro2.pName = "Coffee"
        AND pro1.pID = pur1.pID
        AND pro2.pID = pur2.pID
        AND pur1.date = pur2.date
        AND pur1.cID = pur2.cID);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT * FROM store

'''

pd.read_sql_query(query3, conn)
#[Out]#     sID        sName            street       city
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven
#[Out]# 5     5       Sligro     Stationsplein      Breda
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven
#[Out]# 13   13         Coop         Koestraat    Tilburg
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven
#[Out]# 18   18       Sligro       Parallelweg    Tilburg
#[Out]# 19   19         Coop       Karrestraat      Breda
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam
#[Out]# 23   23         Dirk     Stationsplein      Breda
#[Out]# 24   24  Albert Hein     Stationsplein      Breda
#[Out]# 25   25  Albert Hein     Stationsplein      Breda
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam
#[Out]# ..  ...          ...               ...        ...
#[Out]# 34   34         Coop          Bierkaai  Amsterdam
#[Out]# 35   35         Lidl     Julianastraat    Utrecht
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam
#[Out]# 47   47         Coop     Julianastraat  Rotterdam
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam
#[Out]# 50   50       Sligro     Stationsplein      Breda
#[Out]# 51   51         Coop       Parallelweg    Utrecht
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven
#[Out]# 53   53         Coop        Hoogstraat    Utrecht
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven
#[Out]# 55   55         Coop   Sint Annastraat      Breda
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda
#[Out]# 60   60         Lidl      Pannekoekweg      Breda
#[Out]# 61   61         Lidl      Pannekoekweg      Breda
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven
#[Out]# 63   63        Jumbo     Stationstraat        Oss
#[Out]# 
#[Out]# [64 rows x 4 columns]
query3 = '''
    SELECT sID FROM store
    
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    SELECT * FROM purchase
    
'''

pd.read_sql_query(query3, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query3 = '''
    SELECT cID FROM purchase
    WHERE pID = ALL (
        SELECT sID from store
    )
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID FROM purchase
    WHERE pID = ALL (SELECT sID from store);
    
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID FROM purchase
    WHERE pID = ALL (SELECT sID from store);
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID FROM purchase
    WHERE sID = ALL (SELECT sID from store);
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT cID FROM purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    SELECT cID FROM purchase
    GROUP BY cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    SELECT cID FROM purchase
    GROUP BY cID
    HAVING COUNT(DISTINCT pID) = (SELECT sID from store)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID FROM purchase 
    WHERE sID IN (SELECT sID FROM store)
    GROUP BY cID
    HAVING COUNT(DISTINCT pID) = (SELECT sID FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID FROM purchase 
    WHERE sID IN (SELECT sID FROM store)
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT sID FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query3 = '''
    SELECT cID FROM purchase 
    WHERE sID IN (SELECT sID FROM store)
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(sID) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT cID FROM purchase 
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(sID) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT cID FROM purchase 
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(*) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT cID FROM purchase 
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(sID) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    
    SELECT * FROM store AS s1, store AS s2,
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    
    SELECT * FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName            street       city  sID        sName  \
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam    0         Coop   
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda    1    Hoogvliet   
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam    2        Jumbo   
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam    3       Sligro   
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven    4    Hoogvliet   
#[Out]# 5     5       Sligro     Stationsplein      Breda    5       Sligro   
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam    6         Coop   
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven    7       Sligro   
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven    8  Albert Hein   
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg    9  Albert Hein   
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam   10        Jumbo   
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam   11  Albert Hein   
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven   12         Lidl   
#[Out]# 13   13         Coop         Koestraat    Tilburg   13         Coop   
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam   14         Coop   
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam   15         Lidl   
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht   16         Lidl   
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven   17    Hoogvliet   
#[Out]# 18   18       Sligro       Parallelweg    Tilburg   18       Sligro   
#[Out]# 19   19         Coop       Karrestraat      Breda   19         Coop   
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg   20        Jumbo   
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg   21         Coop   
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam   22         Lidl   
#[Out]# 23   23         Dirk     Stationsplein      Breda   23         Dirk   
#[Out]# 24   24  Albert Hein     Stationsplein      Breda   24  Albert Hein   
#[Out]# 25   25  Albert Hein     Stationsplein      Breda   25  Albert Hein   
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda   26    Hoogvliet   
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam   27       Sligro   
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg   28    Hoogvliet   
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam   29       Sligro   
#[Out]# ..  ...          ...               ...        ...  ...          ...   
#[Out]# 34   34         Coop          Bierkaai  Amsterdam   34         Coop   
#[Out]# 35   35         Lidl     Julianastraat    Utrecht   35         Lidl   
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven   36         Lidl   
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven   37        Jumbo   
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam   38    Hoogvliet   
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven   39       Sligro   
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam   40    Hoogvliet   
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam   41  Albert Hein   
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam   42       Sligro   
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht   43         Coop   
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht   44  Albert Hein   
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg   45         Coop   
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam   46         Lidl   
#[Out]# 47   47         Coop     Julianastraat  Rotterdam   47         Coop   
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg   48    Hoogvliet   
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam   49    Hoogvliet   
#[Out]# 50   50       Sligro     Stationsplein      Breda   50       Sligro   
#[Out]# 51   51         Coop       Parallelweg    Utrecht   51         Coop   
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven   52         Lidl   
#[Out]# 53   53         Coop        Hoogstraat    Utrecht   53         Coop   
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven   54         Dirk   
#[Out]# 55   55         Coop   Sint Annastraat      Breda   55         Coop   
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven   56        Jumbo   
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven   57         Dirk   
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam   58         Dirk   
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda   59        Jumbo   
#[Out]# 60   60         Lidl      Pannekoekweg      Breda   60         Lidl   
#[Out]# 61   61         Lidl      Pannekoekweg      Breda   61         Lidl   
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven   62        Jumbo   
#[Out]# 63   63        Jumbo     Stationstraat        Oss   63        Jumbo   
#[Out]# 
#[Out]#               street       city  
#[Out]# 0       Kalverstraat  Amsterdam  
#[Out]# 1   Rozemarijnstraat      Breda  
#[Out]# 2     Stadhoudersweg  Rotterdam  
#[Out]# 3     Stadhoudersweg  Rotterdam  
#[Out]# 4        Molenstraat  Eindhoven  
#[Out]# 5      Stationsplein      Breda  
#[Out]# 6     Stadhoudersweg  Rotterdam  
#[Out]# 7   Wilhelminastraat  Eindhoven  
#[Out]# 8        Molenstraat  Eindhoven  
#[Out]# 9          Koestraat    Tilburg  
#[Out]# 10        Bergselaan  Rotterdam  
#[Out]# 11          Hofplein  Rotterdam  
#[Out]# 12  Wilhelminastraat  Eindhoven  
#[Out]# 13         Koestraat    Tilburg  
#[Out]# 14     Keizersgracht  Amsterdam  
#[Out]# 15     Prinsengracht  Amsterdam  
#[Out]# 16     Ambachtstraat    Utrecht  
#[Out]# 17        Kerkstraat  Eindhoven  
#[Out]# 18       Parallelweg    Tilburg  
#[Out]# 19       Karrestraat      Breda  
#[Out]# 20      Kasteeldreef    Tilburg  
#[Out]# 21      Kasteeldreef    Tilburg  
#[Out]# 22     Prinsengracht  Amsterdam  
#[Out]# 23     Stationsplein      Breda  
#[Out]# 24     Stationsplein      Breda  
#[Out]# 25     Stationsplein      Breda  
#[Out]# 26   Sint Annastraat      Breda  
#[Out]# 27      Kalverstraat  Amsterdam  
#[Out]# 28         Koestraat    Tilburg  
#[Out]# 29      Marnixstraat  Amsterdam  
#[Out]# ..               ...        ...  
#[Out]# 34          Bierkaai  Amsterdam  
#[Out]# 35     Julianastraat    Utrecht  
#[Out]# 36     Julianastraat  Eindhoven  
#[Out]# 37          Molenweg  Eindhoven  
#[Out]# 38          Hofplein  Rotterdam  
#[Out]# 39       Dorpsstraat  Eindhoven  
#[Out]# 40          Hofplein  Rotterdam  
#[Out]# 41        Bergselaan  Rotterdam  
#[Out]# 42      Kalverstraat  Amsterdam  
#[Out]# 43    Gasthuisstraat    Utrecht  
#[Out]# 44     Ambachtstraat    Utrecht  
#[Out]# 45      Kasteeldreef    Tilburg  
#[Out]# 46        Bergselaan  Rotterdam  
#[Out]# 47     Julianastraat  Rotterdam  
#[Out]# 48      Kasteeldreef    Tilburg  
#[Out]# 49      Keizerstraat  Rotterdam  
#[Out]# 50     Stationsplein      Breda  
#[Out]# 51       Parallelweg    Utrecht  
#[Out]# 52       Nieuwstraat  Eindhoven  
#[Out]# 53        Hoogstraat    Utrecht  
#[Out]# 54     Julianastraat  Eindhoven  
#[Out]# 55   Sint Annastraat      Breda  
#[Out]# 56       Parallelweg  Eindhoven  
#[Out]# 57       Molenstraat  Eindhoven  
#[Out]# 58      Keizerstraat  Rotterdam  
#[Out]# 59  Rozemarijnstraat      Breda  
#[Out]# 60      Pannekoekweg      Breda  
#[Out]# 61      Pannekoekweg      Breda  
#[Out]# 62     Poffertjesweg  Eindhoven  
#[Out]# 63     Stationstraat        Oss  
#[Out]# 
#[Out]# [64 rows x 8 columns]
query4 = '''
    
    SELECT DISTINCT s1.sName FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query1 = '''
    SELECT pID 
    FROM purchase
    WHERE pID NOT IN (
        SELECT p1.pID FROM purchase AS p1, purchase AS p2, purchase AS p3
        WHERE p1.pID = p2.pID
        AND p2.pID = p3.pID
        AND p1.cID <> p2.cID
        AND p2.cID <> p3.cID
        AND p1.cID <> p3.cID);
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   29
#[Out]# 2   30
#[Out]# 3   30
query2 = '''
    SELECT cID, cName 
    FROM customer
    WHERE cID IN (
        SELECT pur1.cID FROM product AS pro1, product AS pro2, purchase AS pur1, purchase AS pur2
        WHERE pro1.pName = "Onions"
        AND pro2.pName = "Coffee"
        AND pro1.pID = pur1.pID
        AND pro2.pID = pur2.pID
        AND pur1.date = pur2.date
        AND pur1.cID = pur2.cID);
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT cID 
    FROM purchase 
    GROUP BY cID
    HAVING COUNT(DISTINCT sID) = (SELECT COUNT(sID) FROM store)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT DISTINCT s1.sName 
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
    
    SELECT AVG(quantity) FROM 
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sName 
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;

'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
   
    SELECT AVG(quantity)
    FROM inventory
    WHERE sID IN ( SELECT DISTINCT s1.sName 
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;)
'''

pd.read_sql_query(query4, conn)
query4 = '''
   
    SELECT AVG(quantity)
    FROM inventory
    WHERE sID IN ( SELECT DISTINCT s1.sName 
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;);
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT AVG(quantity)
    FROM inventory
    WHERE sID IN (
        SELECT DISTINCT s1.sName 
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID);
'''

pd.read_sql_query(query4, conn)
#[Out]#   AVG(quantity)
#[Out]# 0          None
query4 = '''
    SELECT AVG(quantity)
    FROM inventory
    WHERE sID IN (
        SELECT sID, sName
        FROM store
            WHERE sName IN (
            SELECT DISTINCT s1.sName 
            FROM store AS s1, store AS s2
            WHERE s1.sName = s2.sName
            AND s1.sID = s2.sID));
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT AVG(quantity)
    FROM inventory
    WHERE sID IN (
        SELECT sID, sName
        FROM store
        WHERE sName IN (
            SELECT DISTINCT s1.sName 
            FROM store AS s1, store AS s2
            WHERE s1.sName = s2.sName
            AND s1.sID = s2.sID));
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sName, sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT DISTINCT s1.sName
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
    SELECT MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(unit_price)
#[Out]# 0             14.9
query5 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0    8   12  2018-08-17        14        14.9             14.9
query5 = '''
    SELECT *
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     55   10  2018-08-26        17        0.60
#[Out]# 1     25   12  2018-08-24        30       14.80
#[Out]# 2     15    6  2018-08-26        13        1.15
#[Out]# 3      6   27  2018-08-19        51        7.30
#[Out]# 4     57    2  2018-08-22        24        2.05
#[Out]# 5     33    8  2018-08-19        46        5.70
#[Out]# 6     51   10  2018-08-23        31        0.60
#[Out]# 7     50   21  2018-08-22        32        1.90
#[Out]# 8      0   13  2018-08-25        13        3.05
#[Out]# 9     36    8  2018-08-27        11        5.05
#[Out]# 10    36   23  2018-08-18        35        2.20
#[Out]# 11    54   10  2018-08-24        16        0.55
#[Out]# 12    59    1  2018-08-26        36        6.20
#[Out]# 13     9   19  2018-08-22        28        2.50
#[Out]# 14    33    7  2018-08-26         5        1.60
#[Out]# 15    35   10  2018-08-21        51        0.55
#[Out]# 16     0   21  2018-08-15         0        2.20
#[Out]# 17    31   14  2018-08-17        10        4.50
#[Out]# 18    19   14  2018-08-20        42        4.70
#[Out]# 19    33   20  2018-08-21        51        2.15
#[Out]# 20    17   24  2018-08-16        44        2.85
#[Out]# 21     4   27  2018-08-18        27        9.00
#[Out]# 22     3   25  2018-08-27        24        4.60
#[Out]# 23    22   15  2018-08-20         4        1.30
#[Out]# 24    52   14  2018-08-18        44        4.25
#[Out]# 25    24   26  2018-08-25        18        2.90
#[Out]# 26     7   12  2018-08-20        13       12.55
#[Out]# 27    32   18  2018-08-21        41       11.85
#[Out]# 28    48   24  2018-08-19        10        3.20
#[Out]# 29    54    8  2018-08-17         3        5.55
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   35    0  2018-08-25         1        4.35
#[Out]# 800   19   11  2018-08-25         9        0.90
#[Out]# 801    4   21  2018-08-25         9        2.15
#[Out]# 802    6    5  2018-08-26         6        0.50
#[Out]# 803   47   18  2018-08-20        12        8.85
#[Out]# 804   38   17  2018-08-20        10        2.30
#[Out]# 805   11    3  2018-08-21        15        1.30
#[Out]# 806   34   26  2018-08-21        14        3.40
#[Out]# 807   34   25  2018-08-27        17        3.60
#[Out]# 808   25   14  2018-08-24         3        3.70
#[Out]# 809   24   11  2018-08-24         1        0.85
#[Out]# 810   57   17  2018-08-24         4        2.40
#[Out]# 811   43   27  2018-08-22        15        9.00
#[Out]# 812   35   16  2018-08-22         8        1.85
#[Out]# 813   45   10  2018-08-22        21        0.45
#[Out]# 814   34   26  2018-08-26         9        3.10
#[Out]# 815   34   13  2018-08-26         3        4.05
#[Out]# 816   56   10  2018-08-27         1        0.60
#[Out]# 817    6   26  2018-08-24        13        2.70
#[Out]# 818   45    6  2018-08-24         9        0.90
#[Out]# 819   27   21  2018-08-27         1        2.00
#[Out]# 820   17   25  2018-08-27        14        3.90
#[Out]# 821    5   18  2018-08-28         1        9.70
#[Out]# 822    5    3  2018-08-28        13        1.30
#[Out]# 823    4   13  2018-08-23        23        4.20
#[Out]# 824   27   10  2018-08-20         7        0.55
#[Out]# 825   45   18  2018-08-21         5        9.20
#[Out]# 826   57    6  2018-08-22         9        1.15
#[Out]# 827   60   19  2018-07-10       525        1.75
#[Out]# 828    0    0  2018-07-18        15        5.95
#[Out]# 
#[Out]# [829 rows x 5 columns]
query5 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0    8   12  2018-08-17        14        14.9             14.9
query5 = '''
    SELECT *
    FROM product
    WHERE pID IN ( 
    SELECT *, MAX(unit_price)
    FROM inventory)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
    SELECT *, MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0    8   12  2018-08-17        14        14.9             14.9
query5 = '''
    SELECT *
    FROM product 
    WHERE pID = 12
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID pName suffix
#[Out]# 0   12  Beef       
query5 = '''
    SELECT *, MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID        date  quantity  unit_price  MAX(unit_price)
#[Out]# 0    8   12  2018-08-17        14        14.9             14.9
query5 = '''

    
    SELECT MAX(unit_price)
    FROM inventory
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(unit_price)
#[Out]# 0             14.9
query5 = '''
    SELECT * 
    FROM inventory
    WHERE unit_price = (
        SELECT MAX(unit_price)
        FROM inventory)
'''

pd.read_sql_query(query5, conn)
#[Out]#    sID  pID        date  quantity  unit_price
#[Out]# 0    8   12  2018-08-17        14        14.9
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID, sID IN (
        SELECT * 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID IN (
        SELECT * 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID = (
        SELECT pID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
#[Out]#    pName        sName
#[Out]# 0   Beef         Coop
#[Out]# 1   Beef    Hoogvliet
#[Out]# 2   Beef        Jumbo
#[Out]# 3   Beef       Sligro
#[Out]# 4   Beef    Hoogvliet
#[Out]# 5   Beef       Sligro
#[Out]# 6   Beef         Coop
#[Out]# 7   Beef       Sligro
#[Out]# 8   Beef  Albert Hein
#[Out]# 9   Beef  Albert Hein
#[Out]# 10  Beef        Jumbo
#[Out]# 11  Beef  Albert Hein
#[Out]# 12  Beef         Lidl
#[Out]# 13  Beef         Coop
#[Out]# 14  Beef         Coop
#[Out]# 15  Beef         Lidl
#[Out]# 16  Beef         Lidl
#[Out]# 17  Beef    Hoogvliet
#[Out]# 18  Beef       Sligro
#[Out]# 19  Beef         Coop
#[Out]# 20  Beef        Jumbo
#[Out]# 21  Beef         Coop
#[Out]# 22  Beef         Lidl
#[Out]# 23  Beef         Dirk
#[Out]# 24  Beef  Albert Hein
#[Out]# 25  Beef  Albert Hein
#[Out]# 26  Beef    Hoogvliet
#[Out]# 27  Beef       Sligro
#[Out]# 28  Beef    Hoogvliet
#[Out]# 29  Beef       Sligro
#[Out]# ..   ...          ...
#[Out]# 34  Beef         Coop
#[Out]# 35  Beef         Lidl
#[Out]# 36  Beef         Lidl
#[Out]# 37  Beef        Jumbo
#[Out]# 38  Beef    Hoogvliet
#[Out]# 39  Beef       Sligro
#[Out]# 40  Beef    Hoogvliet
#[Out]# 41  Beef  Albert Hein
#[Out]# 42  Beef       Sligro
#[Out]# 43  Beef         Coop
#[Out]# 44  Beef  Albert Hein
#[Out]# 45  Beef         Coop
#[Out]# 46  Beef         Lidl
#[Out]# 47  Beef         Coop
#[Out]# 48  Beef    Hoogvliet
#[Out]# 49  Beef    Hoogvliet
#[Out]# 50  Beef       Sligro
#[Out]# 51  Beef         Coop
#[Out]# 52  Beef         Lidl
#[Out]# 53  Beef         Coop
#[Out]# 54  Beef         Dirk
#[Out]# 55  Beef         Coop
#[Out]# 56  Beef        Jumbo
#[Out]# 57  Beef         Dirk
#[Out]# 58  Beef         Dirk
#[Out]# 59  Beef        Jumbo
#[Out]# 60  Beef         Lidl
#[Out]# 61  Beef         Lidl
#[Out]# 62  Beef        Jumbo
#[Out]# 63  Beef        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID = (
        SELECT pID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
    AND sID = (
        SELECT sID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName
#[Out]# 0  Beef  Albert Hein
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID, sID = (
        SELECT pID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID = (
        SELECT pID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
    AND sID = (
        SELECT sID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName
#[Out]# 0  Beef  Albert Hein
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID, sID IN (
        SELECT * 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))

'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE pID = (
        SELECT pID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory))
    AND sID = (
        SELECT sID 
        FROM inventory
        WHERE unit_price = (
            SELECT MAX(unit_price)
            FROM inventory));
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName        sName
#[Out]# 0  Beef  Albert Hein
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     51   10  2018-08-23        31        0.60   51   10  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 6     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 7     57   19  2018-08-23        12        2.95   57   19  2018-08-23   
#[Out]# 8     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 9     38   23  2018-08-23        29        1.80   38   23  2018-08-23   
#[Out]# 10    35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 11    35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 12    35   13  2018-08-23        28        4.15   35   13  2018-08-23   
#[Out]# 13    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 14    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 15    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 16    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 17    45   13  2018-08-23        32        4.10   45   13  2018-08-23   
#[Out]# 18     5   17  2018-08-23        34        2.45    5   17  2018-08-23   
#[Out]# 19     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 20    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 21    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 22    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 23    13   15  2018-08-23        11        1.25   13   15  2018-08-23   
#[Out]# 24    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 25    50   10  2018-08-23        54        0.55   50   10  2018-08-23   
#[Out]# 26    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 27     7    1  2018-08-23        18        5.80    7    1  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 192   11   15  2018-08-23        14        1.30   11   15  2018-08-23   
#[Out]# 193   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 194   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 195   35    7  2018-08-23         7        2.20   35    7  2018-08-23   
#[Out]# 196   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 197   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 198    6   15  2018-08-23         4        1.00    6   15  2018-08-23   
#[Out]# 199    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 200    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 201    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 202   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 203   37   28  2018-08-23        19        7.75   37   28  2018-08-23   
#[Out]# 204   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 205   25    8  2018-08-23         6        5.55   25    8  2018-08-23   
#[Out]# 206   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 207    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 208    9   12  2018-08-23         5       13.15    9   12  2018-08-23   
#[Out]# 209    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 210    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 211   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 212   38   24  2018-08-23        10        3.55   38   24  2018-08-23   
#[Out]# 213   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 214   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 215   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 216   56    1  2018-08-23         1        4.40   56    1  2018-08-23   
#[Out]# 217   48    6  2018-08-23        21        1.15   48    6  2018-08-23   
#[Out]# 218    4   13  2018-08-23        23        4.20    4   13  2018-08-23   
#[Out]# 219    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 220    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 221    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          31        0.60  
#[Out]# 3          11        2.10  
#[Out]# 4          10        2.20  
#[Out]# 5          32        2.25  
#[Out]# 6           4        2.65  
#[Out]# 7          12        2.95  
#[Out]# 8          20        2.10  
#[Out]# 9          29        1.80  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13         32        4.10  
#[Out]# 14         23        4.20  
#[Out]# 15         15        3.55  
#[Out]# 16         28        4.15  
#[Out]# 17         32        4.10  
#[Out]# 18         34        2.45  
#[Out]# 19          4        1.95  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22          1        1.25  
#[Out]# 23         11        1.25  
#[Out]# 24          8        0.45  
#[Out]# 25         54        0.55  
#[Out]# 26         31        0.60  
#[Out]# 27         18        5.80  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 192        14        1.30  
#[Out]# 193         1        1.25  
#[Out]# 194        11        1.25  
#[Out]# 195         7        2.20  
#[Out]# 196        20        1.95  
#[Out]# 197        27        1.85  
#[Out]# 198         4        1.00  
#[Out]# 199        14        1.30  
#[Out]# 200         1        1.25  
#[Out]# 201        11        1.25  
#[Out]# 202        36        6.85  
#[Out]# 203        19        7.75  
#[Out]# 204         8        7.35  
#[Out]# 205         6        5.55  
#[Out]# 206        16        4.80  
#[Out]# 207        11       13.40  
#[Out]# 208         5       13.15  
#[Out]# 209        46       11.40  
#[Out]# 210         5       12.55  
#[Out]# 211        32        4.10  
#[Out]# 212        10        3.55  
#[Out]# 213        18        5.80  
#[Out]# 214        53        4.60  
#[Out]# 215         1        4.80  
#[Out]# 216         1        4.40  
#[Out]# 217        21        1.15  
#[Out]# 218        23        4.20  
#[Out]# 219        15        3.55  
#[Out]# 220        28        4.15  
#[Out]# 221        32        4.10  
#[Out]# 
#[Out]# [222 rows x 10 columns]
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i1.quantity > 0
    AND i2.quantity > 0
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     51   10  2018-08-23        31        0.60   51   10  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 6     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 7     57   19  2018-08-23        12        2.95   57   19  2018-08-23   
#[Out]# 8     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 9     38   23  2018-08-23        29        1.80   38   23  2018-08-23   
#[Out]# 10    35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 11    35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 12    35   13  2018-08-23        28        4.15   35   13  2018-08-23   
#[Out]# 13    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 14    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 15    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 16    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 17    45   13  2018-08-23        32        4.10   45   13  2018-08-23   
#[Out]# 18     5   17  2018-08-23        34        2.45    5   17  2018-08-23   
#[Out]# 19     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 20    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 21    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 22    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 23    13   15  2018-08-23        11        1.25   13   15  2018-08-23   
#[Out]# 24    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 25    50   10  2018-08-23        54        0.55   50   10  2018-08-23   
#[Out]# 26    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 27     7    1  2018-08-23        18        5.80    7    1  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 185   11   15  2018-08-23        14        1.30   11   15  2018-08-23   
#[Out]# 186   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 187   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 188   35    7  2018-08-23         7        2.20   35    7  2018-08-23   
#[Out]# 189   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 190   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 191    6   15  2018-08-23         4        1.00    6   15  2018-08-23   
#[Out]# 192    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 193    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 194    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 195   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 196   37   28  2018-08-23        19        7.75   37   28  2018-08-23   
#[Out]# 197   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 198   25    8  2018-08-23         6        5.55   25    8  2018-08-23   
#[Out]# 199   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 200    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 201    9   12  2018-08-23         5       13.15    9   12  2018-08-23   
#[Out]# 202    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 203    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 204   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 205   38   24  2018-08-23        10        3.55   38   24  2018-08-23   
#[Out]# 206   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 207   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 208   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 209   56    1  2018-08-23         1        4.40   56    1  2018-08-23   
#[Out]# 210   48    6  2018-08-23        21        1.15   48    6  2018-08-23   
#[Out]# 211    4   13  2018-08-23        23        4.20    4   13  2018-08-23   
#[Out]# 212    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 213    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 214    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          31        0.60  
#[Out]# 3          11        2.10  
#[Out]# 4          10        2.20  
#[Out]# 5          32        2.25  
#[Out]# 6           4        2.65  
#[Out]# 7          12        2.95  
#[Out]# 8          20        2.10  
#[Out]# 9          29        1.80  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13         32        4.10  
#[Out]# 14         23        4.20  
#[Out]# 15         15        3.55  
#[Out]# 16         28        4.15  
#[Out]# 17         32        4.10  
#[Out]# 18         34        2.45  
#[Out]# 19          4        1.95  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22          1        1.25  
#[Out]# 23         11        1.25  
#[Out]# 24          8        0.45  
#[Out]# 25         54        0.55  
#[Out]# 26         31        0.60  
#[Out]# 27         18        5.80  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 185        14        1.30  
#[Out]# 186         1        1.25  
#[Out]# 187        11        1.25  
#[Out]# 188         7        2.20  
#[Out]# 189        20        1.95  
#[Out]# 190        27        1.85  
#[Out]# 191         4        1.00  
#[Out]# 192        14        1.30  
#[Out]# 193         1        1.25  
#[Out]# 194        11        1.25  
#[Out]# 195        36        6.85  
#[Out]# 196        19        7.75  
#[Out]# 197         8        7.35  
#[Out]# 198         6        5.55  
#[Out]# 199        16        4.80  
#[Out]# 200        11       13.40  
#[Out]# 201         5       13.15  
#[Out]# 202        46       11.40  
#[Out]# 203         5       12.55  
#[Out]# 204        32        4.10  
#[Out]# 205        10        3.55  
#[Out]# 206        18        5.80  
#[Out]# 207        53        4.60  
#[Out]# 208         1        4.80  
#[Out]# 209         1        4.40  
#[Out]# 210        21        1.15  
#[Out]# 211        23        4.20  
#[Out]# 212        15        3.55  
#[Out]# 213        28        4.15  
#[Out]# 214        32        4.10  
#[Out]# 
#[Out]# [215 rows x 10 columns]
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i1.quantity = 0
'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  pID        date  quantity  unit_price  sID  pID        date  quantity  \
#[Out]# 0    2   16  2018-08-23         0           2    2   16  2018-08-23         0   
#[Out]# 1    2   16  2018-08-23         0           2    5   16  2018-08-23         4   
#[Out]# 2    2   16  2018-08-23         0           2    6   16  2018-08-23        14   
#[Out]# 3    2   16  2018-08-23         0           2   11   16  2018-08-23         3   
#[Out]# 
#[Out]#    unit_price  
#[Out]# 0        2.00  
#[Out]# 1        1.65  
#[Out]# 2        1.85  
#[Out]# 3        1.90  
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i2.quantity = 0
'''

pd.read_sql_query(query6, conn)
#[Out]#    sID  pID        date  quantity  unit_price  sID  pID        date  quantity  \
#[Out]# 0    2   16  2018-08-23         0        2.00    2   16  2018-08-23         0   
#[Out]# 1    6   16  2018-08-23        14        1.85    2   16  2018-08-23         0   
#[Out]# 2   11   16  2018-08-23         3        1.90    2   16  2018-08-23         0   
#[Out]# 3    5   16  2018-08-23         4        1.65    2   16  2018-08-23         0   
#[Out]# 
#[Out]#    unit_price  
#[Out]# 0           2  
#[Out]# 1           2  
#[Out]# 2           2  
#[Out]# 3           2  
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i1.quantity > 0
    AND i2.quantity > 0
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     51   10  2018-08-23        31        0.60   51   10  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 6     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 7     57   19  2018-08-23        12        2.95   57   19  2018-08-23   
#[Out]# 8     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 9     38   23  2018-08-23        29        1.80   38   23  2018-08-23   
#[Out]# 10    35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 11    35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 12    35   13  2018-08-23        28        4.15   35   13  2018-08-23   
#[Out]# 13    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 14    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 15    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 16    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 17    45   13  2018-08-23        32        4.10   45   13  2018-08-23   
#[Out]# 18     5   17  2018-08-23        34        2.45    5   17  2018-08-23   
#[Out]# 19     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 20    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 21    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 22    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 23    13   15  2018-08-23        11        1.25   13   15  2018-08-23   
#[Out]# 24    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 25    50   10  2018-08-23        54        0.55   50   10  2018-08-23   
#[Out]# 26    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 27     7    1  2018-08-23        18        5.80    7    1  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 185   11   15  2018-08-23        14        1.30   11   15  2018-08-23   
#[Out]# 186   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 187   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 188   35    7  2018-08-23         7        2.20   35    7  2018-08-23   
#[Out]# 189   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 190   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 191    6   15  2018-08-23         4        1.00    6   15  2018-08-23   
#[Out]# 192    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 193    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 194    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 195   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 196   37   28  2018-08-23        19        7.75   37   28  2018-08-23   
#[Out]# 197   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 198   25    8  2018-08-23         6        5.55   25    8  2018-08-23   
#[Out]# 199   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 200    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 201    9   12  2018-08-23         5       13.15    9   12  2018-08-23   
#[Out]# 202    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 203    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 204   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 205   38   24  2018-08-23        10        3.55   38   24  2018-08-23   
#[Out]# 206   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 207   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 208   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 209   56    1  2018-08-23         1        4.40   56    1  2018-08-23   
#[Out]# 210   48    6  2018-08-23        21        1.15   48    6  2018-08-23   
#[Out]# 211    4   13  2018-08-23        23        4.20    4   13  2018-08-23   
#[Out]# 212    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 213    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 214    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          31        0.60  
#[Out]# 3          11        2.10  
#[Out]# 4          10        2.20  
#[Out]# 5          32        2.25  
#[Out]# 6           4        2.65  
#[Out]# 7          12        2.95  
#[Out]# 8          20        2.10  
#[Out]# 9          29        1.80  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13         32        4.10  
#[Out]# 14         23        4.20  
#[Out]# 15         15        3.55  
#[Out]# 16         28        4.15  
#[Out]# 17         32        4.10  
#[Out]# 18         34        2.45  
#[Out]# 19          4        1.95  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22          1        1.25  
#[Out]# 23         11        1.25  
#[Out]# 24          8        0.45  
#[Out]# 25         54        0.55  
#[Out]# 26         31        0.60  
#[Out]# 27         18        5.80  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 185        14        1.30  
#[Out]# 186         1        1.25  
#[Out]# 187        11        1.25  
#[Out]# 188         7        2.20  
#[Out]# 189        20        1.95  
#[Out]# 190        27        1.85  
#[Out]# 191         4        1.00  
#[Out]# 192        14        1.30  
#[Out]# 193         1        1.25  
#[Out]# 194        11        1.25  
#[Out]# 195        36        6.85  
#[Out]# 196        19        7.75  
#[Out]# 197         8        7.35  
#[Out]# 198         6        5.55  
#[Out]# 199        16        4.80  
#[Out]# 200        11       13.40  
#[Out]# 201         5       13.15  
#[Out]# 202        46       11.40  
#[Out]# 203         5       12.55  
#[Out]# 204        32        4.10  
#[Out]# 205        10        3.55  
#[Out]# 206        18        5.80  
#[Out]# 207        53        4.60  
#[Out]# 208         1        4.80  
#[Out]# 209         1        4.40  
#[Out]# 210        21        1.15  
#[Out]# 211        23        4.20  
#[Out]# 212        15        3.55  
#[Out]# 213        28        4.15  
#[Out]# 214        32        4.10  
#[Out]# 
#[Out]# [215 rows x 10 columns]
query6 = '''
    SELECT unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i1.quantity > 0
    AND i2.quantity > 0
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT i1.unit_price, i2.unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
    AND i1.pID = i2.pID
    AND i1.quantity > 0
    AND i2.quantity > 0
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price  unit_price
#[Out]# 0          0.60        0.45
#[Out]# 1          0.60        0.60
#[Out]# 2          0.60        0.55
#[Out]# 3          2.95        2.65
#[Out]# 4          2.95        2.20
#[Out]# 5          2.95        2.10
#[Out]# 6          2.95        2.95
#[Out]# 7          2.95        2.25
#[Out]# 8          1.80        2.10
#[Out]# 9          1.80        1.80
#[Out]# 10         4.15        3.55
#[Out]# 11         4.15        4.20
#[Out]# 12         4.15        4.15
#[Out]# 13         4.15        4.10
#[Out]# 14         4.10        3.55
#[Out]# 15         4.10        4.20
#[Out]# 16         4.10        4.15
#[Out]# 17         4.10        4.10
#[Out]# 18         2.45        1.95
#[Out]# 19         2.45        2.45
#[Out]# 20         1.25        1.25
#[Out]# 21         1.25        1.00
#[Out]# 22         1.25        1.25
#[Out]# 23         1.25        1.30
#[Out]# 24         0.55        0.45
#[Out]# 25         0.55        0.60
#[Out]# 26         0.55        0.55
#[Out]# 27         5.80        4.40
#[Out]# 28         5.80        4.80
#[Out]# 29         5.80        5.80
#[Out]# ..          ...         ...
#[Out]# 185        1.30        1.00
#[Out]# 186        1.30        1.25
#[Out]# 187        1.30        1.30
#[Out]# 188        2.20        2.20
#[Out]# 189        2.20        1.95
#[Out]# 190        2.20        1.85
#[Out]# 191        1.00        1.25
#[Out]# 192        1.00        1.00
#[Out]# 193        1.00        1.25
#[Out]# 194        1.00        1.30
#[Out]# 195        7.75        7.35
#[Out]# 196        7.75        7.75
#[Out]# 197        7.75        6.85
#[Out]# 198        5.55        5.55
#[Out]# 199        5.55        4.80
#[Out]# 200       13.15       12.55
#[Out]# 201       13.15       13.15
#[Out]# 202       13.15       13.40
#[Out]# 203       13.15       11.40
#[Out]# 204        3.55        3.55
#[Out]# 205        3.55        4.10
#[Out]# 206        4.40        4.40
#[Out]# 207        4.40        4.80
#[Out]# 208        4.40        5.80
#[Out]# 209        4.40        4.60
#[Out]# 210        1.15        1.15
#[Out]# 211        4.20        3.55
#[Out]# 212        4.20        4.20
#[Out]# 213        4.20        4.15
#[Out]# 214        4.20        4.10
#[Out]# 
#[Out]# [215 rows x 2 columns]
query6 = '''
    SELECT MAX(DIFFERENCE (i1.unit_price, i2.unit_price))
    FROM (
        SELECT i1.unit_price, i2.unit_price
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(DIFFERENCE (unit_price_1, unit_price_2))
    FROM (
        SELECT i1.unit_price AS unit_price_1, i2.unit_price AS unit_price_2
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(ABS (unit_price_1 - unit_price_2))
    FROM (
        SELECT i1.unit_price AS unit_price_1, i2.unit_price AS unit_price_2
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(ABS (unit_price_1 - unit_price_2))
#[Out]# 0                                     2.0
query6 = '''
    SELECT MAX(ABS (unit_price_1 - unit_price_2))
    FROM (
        SELECT i1.unit_price AS unit_price_1, i2.unit_price AS unit_price_2
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(ABS (unit_price_1 - unit_price_2))
#[Out]# 0                                     2.0
query6 = '''
    SELECT MAX(ABS (unit_price_1 - unit_price_2)) AS difference
    FROM (
        SELECT i1.unit_price AS unit_price_1, i2.unit_price AS unit_price_2
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query6 = '''
    SELECT MAX(ABS (unit_price_1 - unit_price_2)) AS difference
    FROM (
        SELECT i1.unit_price AS unit_price_1, i2.unit_price AS unit_price_2
        FROM inventory AS i1, inventory AS i2
        WHERE i1.date = '2018-08-23'
        AND i2.date = '2018-08-23'
        AND i1.pID = i2.pID
        AND i1.sID <> i2.sID
        AND i1.quantity > 0
        AND i2.quantity > 0)
    '''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID;
    GROUP BY sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    GROUP BY sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    GROUP BY s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  sID
#[Out]# 0  Albert Hein   44
#[Out]# 1         Coop   55
#[Out]# 2         Dirk   58
#[Out]# 3    Hoogvliet   49
#[Out]# 4        Jumbo   63
#[Out]# 5         Lidl   61
#[Out]# 6       Sligro   50
query4 = '''
    SELECT s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    GROUP BY s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID
#[Out]# 0   44
#[Out]# 1   55
#[Out]# 2   58
#[Out]# 3   49
#[Out]# 4   63
#[Out]# 5   61
#[Out]# 6   50
query4 = '''
    SELECT DISTINCT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0          Coop    0
#[Out]# 1     Hoogvliet    1
#[Out]# 2         Jumbo    2
#[Out]# 3        Sligro    3
#[Out]# 4     Hoogvliet    4
#[Out]# 5        Sligro    5
#[Out]# 6          Coop    6
#[Out]# 7        Sligro    7
#[Out]# 8   Albert Hein    8
#[Out]# 9   Albert Hein    9
#[Out]# 10        Jumbo   10
#[Out]# 11  Albert Hein   11
#[Out]# 12         Lidl   12
#[Out]# 13         Coop   13
#[Out]# 14         Coop   14
#[Out]# 15         Lidl   15
#[Out]# 16         Lidl   16
#[Out]# 17    Hoogvliet   17
#[Out]# 18       Sligro   18
#[Out]# 19         Coop   19
#[Out]# 20        Jumbo   20
#[Out]# 21         Coop   21
#[Out]# 22         Lidl   22
#[Out]# 23         Dirk   23
#[Out]# 24  Albert Hein   24
#[Out]# 25  Albert Hein   25
#[Out]# 26    Hoogvliet   26
#[Out]# 27       Sligro   27
#[Out]# 28    Hoogvliet   28
#[Out]# 29       Sligro   29
#[Out]# ..          ...  ...
#[Out]# 34         Coop   34
#[Out]# 35         Lidl   35
#[Out]# 36         Lidl   36
#[Out]# 37        Jumbo   37
#[Out]# 38    Hoogvliet   38
#[Out]# 39       Sligro   39
#[Out]# 40    Hoogvliet   40
#[Out]# 41  Albert Hein   41
#[Out]# 42       Sligro   42
#[Out]# 43         Coop   43
#[Out]# 44  Albert Hein   44
#[Out]# 45         Coop   45
#[Out]# 46         Lidl   46
#[Out]# 47         Coop   47
#[Out]# 48    Hoogvliet   48
#[Out]# 49    Hoogvliet   49
#[Out]# 50       Sligro   50
#[Out]# 51         Coop   51
#[Out]# 52         Lidl   52
#[Out]# 53         Coop   53
#[Out]# 54         Dirk   54
#[Out]# 55         Coop   55
#[Out]# 56        Jumbo   56
#[Out]# 57         Dirk   57
#[Out]# 58         Dirk   58
#[Out]# 59        Jumbo   59
#[Out]# 60         Lidl   60
#[Out]# 61         Lidl   61
#[Out]# 62        Jumbo   62
#[Out]# 63        Jumbo   63
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sName AS store_chain_name, s1.sID AS store_chain_ID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    GROUP BY store_chain_name
'''

pd.read_sql_query(query4, conn)
#[Out]#   store_chain_name  store_chain_ID
#[Out]# 0      Albert Hein              44
#[Out]# 1             Coop              55
#[Out]# 2             Dirk              58
#[Out]# 3        Hoogvliet              49
#[Out]# 4            Jumbo              63
#[Out]# 5             Lidl              61
#[Out]# 6           Sligro              50
query4 = '''
    SELECT s1.sName AS store_chain_name, s1.sID AS store_chain_ID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    ORDER BY store_chain_name
    '''

pd.read_sql_query(query4, conn)
#[Out]#    store_chain_name  store_chain_ID
#[Out]# 0       Albert Hein               8
#[Out]# 1       Albert Hein               9
#[Out]# 2       Albert Hein              11
#[Out]# 3       Albert Hein              24
#[Out]# 4       Albert Hein              25
#[Out]# 5       Albert Hein              32
#[Out]# 6       Albert Hein              41
#[Out]# 7       Albert Hein              44
#[Out]# 8              Coop               0
#[Out]# 9              Coop               6
#[Out]# 10             Coop              13
#[Out]# 11             Coop              14
#[Out]# 12             Coop              19
#[Out]# 13             Coop              21
#[Out]# 14             Coop              31
#[Out]# 15             Coop              34
#[Out]# 16             Coop              43
#[Out]# 17             Coop              45
#[Out]# 18             Coop              47
#[Out]# 19             Coop              51
#[Out]# 20             Coop              53
#[Out]# 21             Coop              55
#[Out]# 22             Dirk              23
#[Out]# 23             Dirk              30
#[Out]# 24             Dirk              33
#[Out]# 25             Dirk              54
#[Out]# 26             Dirk              57
#[Out]# 27             Dirk              58
#[Out]# 28        Hoogvliet               1
#[Out]# 29        Hoogvliet               4
#[Out]# ..              ...             ...
#[Out]# 34        Hoogvliet              40
#[Out]# 35        Hoogvliet              48
#[Out]# 36        Hoogvliet              49
#[Out]# 37            Jumbo               2
#[Out]# 38            Jumbo              10
#[Out]# 39            Jumbo              20
#[Out]# 40            Jumbo              37
#[Out]# 41            Jumbo              56
#[Out]# 42            Jumbo              59
#[Out]# 43            Jumbo              62
#[Out]# 44            Jumbo              63
#[Out]# 45             Lidl              12
#[Out]# 46             Lidl              15
#[Out]# 47             Lidl              16
#[Out]# 48             Lidl              22
#[Out]# 49             Lidl              35
#[Out]# 50             Lidl              36
#[Out]# 51             Lidl              46
#[Out]# 52             Lidl              52
#[Out]# 53             Lidl              60
#[Out]# 54             Lidl              61
#[Out]# 55           Sligro               3
#[Out]# 56           Sligro               5
#[Out]# 57           Sligro               7
#[Out]# 58           Sligro              18
#[Out]# 59           Sligro              27
#[Out]# 60           Sligro              29
#[Out]# 61           Sligro              39
#[Out]# 62           Sligro              42
#[Out]# 63           Sligro              50
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sName AS store_chain_name, s1.sID AS store_chain_ID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    ORDER BY s1.sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    store_chain_name  store_chain_ID
#[Out]# 0       Albert Hein               8
#[Out]# 1       Albert Hein               9
#[Out]# 2       Albert Hein              11
#[Out]# 3       Albert Hein              24
#[Out]# 4       Albert Hein              25
#[Out]# 5       Albert Hein              32
#[Out]# 6       Albert Hein              41
#[Out]# 7       Albert Hein              44
#[Out]# 8              Coop               0
#[Out]# 9              Coop               6
#[Out]# 10             Coop              13
#[Out]# 11             Coop              14
#[Out]# 12             Coop              19
#[Out]# 13             Coop              21
#[Out]# 14             Coop              31
#[Out]# 15             Coop              34
#[Out]# 16             Coop              43
#[Out]# 17             Coop              45
#[Out]# 18             Coop              47
#[Out]# 19             Coop              51
#[Out]# 20             Coop              53
#[Out]# 21             Coop              55
#[Out]# 22             Dirk              23
#[Out]# 23             Dirk              30
#[Out]# 24             Dirk              33
#[Out]# 25             Dirk              54
#[Out]# 26             Dirk              57
#[Out]# 27             Dirk              58
#[Out]# 28        Hoogvliet               1
#[Out]# 29        Hoogvliet               4
#[Out]# ..              ...             ...
#[Out]# 34        Hoogvliet              40
#[Out]# 35        Hoogvliet              48
#[Out]# 36        Hoogvliet              49
#[Out]# 37            Jumbo               2
#[Out]# 38            Jumbo              10
#[Out]# 39            Jumbo              20
#[Out]# 40            Jumbo              37
#[Out]# 41            Jumbo              56
#[Out]# 42            Jumbo              59
#[Out]# 43            Jumbo              62
#[Out]# 44            Jumbo              63
#[Out]# 45             Lidl              12
#[Out]# 46             Lidl              15
#[Out]# 47             Lidl              16
#[Out]# 48             Lidl              22
#[Out]# 49             Lidl              35
#[Out]# 50             Lidl              36
#[Out]# 51             Lidl              46
#[Out]# 52             Lidl              52
#[Out]# 53             Lidl              60
#[Out]# 54             Lidl              61
#[Out]# 55           Sligro               3
#[Out]# 56           Sligro               5
#[Out]# 57           Sligro               7
#[Out]# 58           Sligro              18
#[Out]# 59           Sligro              27
#[Out]# 60           Sligro              29
#[Out]# 61           Sligro              39
#[Out]# 62           Sligro              42
#[Out]# 63           Sligro              50
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    ORDER BY s1.sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0   Albert Hein    8
#[Out]# 1   Albert Hein    9
#[Out]# 2   Albert Hein   11
#[Out]# 3   Albert Hein   24
#[Out]# 4   Albert Hein   25
#[Out]# 5   Albert Hein   32
#[Out]# 6   Albert Hein   41
#[Out]# 7   Albert Hein   44
#[Out]# 8          Coop    0
#[Out]# 9          Coop    6
#[Out]# 10         Coop   13
#[Out]# 11         Coop   14
#[Out]# 12         Coop   19
#[Out]# 13         Coop   21
#[Out]# 14         Coop   31
#[Out]# 15         Coop   34
#[Out]# 16         Coop   43
#[Out]# 17         Coop   45
#[Out]# 18         Coop   47
#[Out]# 19         Coop   51
#[Out]# 20         Coop   53
#[Out]# 21         Coop   55
#[Out]# 22         Dirk   23
#[Out]# 23         Dirk   30
#[Out]# 24         Dirk   33
#[Out]# 25         Dirk   54
#[Out]# 26         Dirk   57
#[Out]# 27         Dirk   58
#[Out]# 28    Hoogvliet    1
#[Out]# 29    Hoogvliet    4
#[Out]# ..          ...  ...
#[Out]# 34    Hoogvliet   40
#[Out]# 35    Hoogvliet   48
#[Out]# 36    Hoogvliet   49
#[Out]# 37        Jumbo    2
#[Out]# 38        Jumbo   10
#[Out]# 39        Jumbo   20
#[Out]# 40        Jumbo   37
#[Out]# 41        Jumbo   56
#[Out]# 42        Jumbo   59
#[Out]# 43        Jumbo   62
#[Out]# 44        Jumbo   63
#[Out]# 45         Lidl   12
#[Out]# 46         Lidl   15
#[Out]# 47         Lidl   16
#[Out]# 48         Lidl   22
#[Out]# 49         Lidl   35
#[Out]# 50         Lidl   36
#[Out]# 51         Lidl   46
#[Out]# 52         Lidl   52
#[Out]# 53         Lidl   60
#[Out]# 54         Lidl   61
#[Out]# 55       Sligro    3
#[Out]# 56       Sligro    5
#[Out]# 57       Sligro    7
#[Out]# 58       Sligro   18
#[Out]# 59       Sligro   27
#[Out]# 60       Sligro   29
#[Out]# 61       Sligro   39
#[Out]# 62       Sligro   42
#[Out]# 63       Sligro   50
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName)
    '''

pd.read_sql_query(query4, conn)
#[Out]#        sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0       55   10  2018-08-26        17        0.60  Albert Hein    8
#[Out]# 1       25   12  2018-08-24        30       14.80  Albert Hein    8
#[Out]# 2       15    6  2018-08-26        13        1.15  Albert Hein    8
#[Out]# 3        6   27  2018-08-19        51        7.30  Albert Hein    8
#[Out]# 4       57    2  2018-08-22        24        2.05  Albert Hein    8
#[Out]# 5       33    8  2018-08-19        46        5.70  Albert Hein    8
#[Out]# 6       51   10  2018-08-23        31        0.60  Albert Hein    8
#[Out]# 7       50   21  2018-08-22        32        1.90  Albert Hein    8
#[Out]# 8        0   13  2018-08-25        13        3.05  Albert Hein    8
#[Out]# 9       36    8  2018-08-27        11        5.05  Albert Hein    8
#[Out]# 10      36   23  2018-08-18        35        2.20  Albert Hein    8
#[Out]# 11      54   10  2018-08-24        16        0.55  Albert Hein    8
#[Out]# 12      59    1  2018-08-26        36        6.20  Albert Hein    8
#[Out]# 13       9   19  2018-08-22        28        2.50  Albert Hein    8
#[Out]# 14      33    7  2018-08-26         5        1.60  Albert Hein    8
#[Out]# 15      35   10  2018-08-21        51        0.55  Albert Hein    8
#[Out]# 16       0   21  2018-08-15         0        2.20  Albert Hein    8
#[Out]# 17      31   14  2018-08-17        10        4.50  Albert Hein    8
#[Out]# 18      19   14  2018-08-20        42        4.70  Albert Hein    8
#[Out]# 19      33   20  2018-08-21        51        2.15  Albert Hein    8
#[Out]# 20      17   24  2018-08-16        44        2.85  Albert Hein    8
#[Out]# 21       4   27  2018-08-18        27        9.00  Albert Hein    8
#[Out]# 22       3   25  2018-08-27        24        4.60  Albert Hein    8
#[Out]# 23      22   15  2018-08-20         4        1.30  Albert Hein    8
#[Out]# 24      52   14  2018-08-18        44        4.25  Albert Hein    8
#[Out]# 25      24   26  2018-08-25        18        2.90  Albert Hein    8
#[Out]# 26       7   12  2018-08-20        13       12.55  Albert Hein    8
#[Out]# 27      32   18  2018-08-21        41       11.85  Albert Hein    8
#[Out]# 28      48   24  2018-08-19        10        3.20  Albert Hein    8
#[Out]# 29      54    8  2018-08-17         3        5.55  Albert Hein    8
#[Out]# ...    ...  ...         ...       ...         ...          ...  ...
#[Out]# 53026   35    0  2018-08-25         1        4.35       Sligro   50
#[Out]# 53027   19   11  2018-08-25         9        0.90       Sligro   50
#[Out]# 53028    4   21  2018-08-25         9        2.15       Sligro   50
#[Out]# 53029    6    5  2018-08-26         6        0.50       Sligro   50
#[Out]# 53030   47   18  2018-08-20        12        8.85       Sligro   50
#[Out]# 53031   38   17  2018-08-20        10        2.30       Sligro   50
#[Out]# 53032   11    3  2018-08-21        15        1.30       Sligro   50
#[Out]# 53033   34   26  2018-08-21        14        3.40       Sligro   50
#[Out]# 53034   34   25  2018-08-27        17        3.60       Sligro   50
#[Out]# 53035   25   14  2018-08-24         3        3.70       Sligro   50
#[Out]# 53036   24   11  2018-08-24         1        0.85       Sligro   50
#[Out]# 53037   57   17  2018-08-24         4        2.40       Sligro   50
#[Out]# 53038   43   27  2018-08-22        15        9.00       Sligro   50
#[Out]# 53039   35   16  2018-08-22         8        1.85       Sligro   50
#[Out]# 53040   45   10  2018-08-22        21        0.45       Sligro   50
#[Out]# 53041   34   26  2018-08-26         9        3.10       Sligro   50
#[Out]# 53042   34   13  2018-08-26         3        4.05       Sligro   50
#[Out]# 53043   56   10  2018-08-27         1        0.60       Sligro   50
#[Out]# 53044    6   26  2018-08-24        13        2.70       Sligro   50
#[Out]# 53045   45    6  2018-08-24         9        0.90       Sligro   50
#[Out]# 53046   27   21  2018-08-27         1        2.00       Sligro   50
#[Out]# 53047   17   25  2018-08-27        14        3.90       Sligro   50
#[Out]# 53048    5   18  2018-08-28         1        9.70       Sligro   50
#[Out]# 53049    5    3  2018-08-28        13        1.30       Sligro   50
#[Out]# 53050    4   13  2018-08-23        23        4.20       Sligro   50
#[Out]# 53051   27   10  2018-08-20         7        0.55       Sligro   50
#[Out]# 53052   45   18  2018-08-21         5        9.20       Sligro   50
#[Out]# 53053   57    6  2018-08-22         9        1.15       Sligro   50
#[Out]# 53054   60   19  2018-07-10       525        1.75       Sligro   50
#[Out]# 53055    0    0  2018-07-18        15        5.95       Sligro   50
#[Out]# 
#[Out]# [53056 rows x 7 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0     25   12  2018-08-24        30       14.80  Albert Hein   25
#[Out]# 1      9   19  2018-08-22        28        2.50  Albert Hein    9
#[Out]# 2     24   26  2018-08-25        18        2.90  Albert Hein   24
#[Out]# 3     32   18  2018-08-21        41       11.85  Albert Hein   32
#[Out]# 4     32    2  2018-08-15        22        2.35  Albert Hein   32
#[Out]# 5      8   10  2018-08-27        26        0.50  Albert Hein    8
#[Out]# 6      8   11  2018-08-24         7        0.95  Albert Hein    8
#[Out]# 7     32   13  2018-08-21        18        4.05  Albert Hein   32
#[Out]# 8      9   25  2018-08-17        40        4.25  Albert Hein    9
#[Out]# 9     44   17  2018-08-25        23        2.00  Albert Hein   44
#[Out]# 10    41   22  2018-08-26         4        1.95  Albert Hein   41
#[Out]# 11     9   26  2018-08-22        34        2.80  Albert Hein    9
#[Out]# 12     8   16  2018-08-18        53        2.05  Albert Hein    8
#[Out]# 13    11   24  2018-08-17        17        3.30  Albert Hein   11
#[Out]# 14    41   18  2018-08-19        15       11.75  Albert Hein   41
#[Out]# 15    24   24  2018-08-17        20        3.10  Albert Hein   24
#[Out]# 16     8    4  2018-08-16        50        0.85  Albert Hein    8
#[Out]# 17    25   28  2018-08-18        11        7.45  Albert Hein   25
#[Out]# 18    44    9  2018-08-25        23        1.60  Albert Hein   44
#[Out]# 19    44   23  2018-08-22         1        2.40  Albert Hein   44
#[Out]# 20    24   14  2018-08-21        19        3.20  Albert Hein   24
#[Out]# 21     8   23  2018-08-26        46        1.80  Albert Hein    8
#[Out]# 22    44   13  2018-08-15         9        3.60  Albert Hein   44
#[Out]# 23     8   24  2018-08-21        25        3.70  Albert Hein    8
#[Out]# 24    41    1  2018-08-23        53        4.60  Albert Hein   41
#[Out]# 25    41   14  2018-08-27        12        4.00  Albert Hein   41
#[Out]# 26    32   21  2018-08-22         6        1.60  Albert Hein   32
#[Out]# 27    41    4  2018-08-15        18        1.15  Albert Hein   41
#[Out]# 28     9    7  2018-08-19        28        2.30  Albert Hein    9
#[Out]# 29    41   21  2018-08-21        52        2.05  Albert Hein   41
#[Out]# ..   ...  ...         ...       ...         ...          ...  ...
#[Out]# 799   27   12  2018-08-26         2       12.65       Sligro   27
#[Out]# 800    3   14  2018-08-26        10        4.50       Sligro    3
#[Out]# 801   50    1  2018-08-27        17        5.35       Sligro   50
#[Out]# 802   29   20  2018-08-16        10        2.10       Sligro   29
#[Out]# 803    3    0  2018-08-24        18        4.85       Sligro    3
#[Out]# 804   50   15  2018-08-19         5        1.30       Sligro   50
#[Out]# 805    5    3  2018-08-21         1        1.40       Sligro    5
#[Out]# 806    3   21  2018-08-15        12        1.70       Sligro    3
#[Out]# 807   18   24  2018-08-15        12        4.05       Sligro   18
#[Out]# 808   29   12  2018-08-18         4       13.65       Sligro   29
#[Out]# 809   29   20  2018-08-24        11        2.05       Sligro   29
#[Out]# 810   18   10  2018-08-26        16        0.50       Sligro   18
#[Out]# 811    7   22  2018-08-22        14        1.50       Sligro    7
#[Out]# 812    3    0  2018-08-25         5        3.75       Sligro    3
#[Out]# 813    7   27  2018-08-25         7        9.25       Sligro    7
#[Out]# 814   29   20  2018-08-17        16        2.35       Sligro   29
#[Out]# 815   27   28  2018-08-15        14        7.55       Sligro   27
#[Out]# 816   42   20  2018-08-20         1        2.00       Sligro   42
#[Out]# 817    3   16  2018-08-26        15        1.90       Sligro    3
#[Out]# 818   18    7  2018-08-26         5        1.85       Sligro   18
#[Out]# 819   18   28  2018-08-22         9        8.70       Sligro   18
#[Out]# 820   39   15  2018-08-18        10        1.00       Sligro   39
#[Out]# 821   18   19  2018-08-19         4        2.25       Sligro   18
#[Out]# 822    3   11  2018-08-20        16        1.15       Sligro    3
#[Out]# 823   18   28  2018-08-16         7        7.70       Sligro   18
#[Out]# 824   27   28  2018-08-19        14        8.10       Sligro   27
#[Out]# 825   27   21  2018-08-27         1        2.00       Sligro   27
#[Out]# 826    5   18  2018-08-28         1        9.70       Sligro    5
#[Out]# 827    5    3  2018-08-28        13        1.30       Sligro    5
#[Out]# 828   27   10  2018-08-20         7        0.55       Sligro   27
#[Out]# 
#[Out]# [829 rows x 7 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0   44   28  2018-08-27        32        6.90  Albert Hein   44
#[Out]# 1   55   28  2018-08-24        15        7.25         Coop   55
#[Out]# 2   58   27  2018-08-16        54        9.45         Dirk   58
#[Out]# 3   49   27  2018-08-21         7        8.95    Hoogvliet   49
#[Out]# 4   59   28  2018-08-25        16        9.55        Jumbo   59
#[Out]# 5   60   19  2018-07-10       525        1.75         Lidl   60
#[Out]# 6   50   26  2018-08-19        43        3.10       Sligro   50
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0     25   12  2018-08-24        30       14.80  Albert Hein   25
#[Out]# 1      9   19  2018-08-22        28        2.50  Albert Hein    9
#[Out]# 2     24   26  2018-08-25        18        2.90  Albert Hein   24
#[Out]# 3     32   18  2018-08-21        41       11.85  Albert Hein   32
#[Out]# 4     32    2  2018-08-15        22        2.35  Albert Hein   32
#[Out]# 5      8   10  2018-08-27        26        0.50  Albert Hein    8
#[Out]# 6      8   11  2018-08-24         7        0.95  Albert Hein    8
#[Out]# 7     32   13  2018-08-21        18        4.05  Albert Hein   32
#[Out]# 8      9   25  2018-08-17        40        4.25  Albert Hein    9
#[Out]# 9     44   17  2018-08-25        23        2.00  Albert Hein   44
#[Out]# 10    41   22  2018-08-26         4        1.95  Albert Hein   41
#[Out]# 11     9   26  2018-08-22        34        2.80  Albert Hein    9
#[Out]# 12     8   16  2018-08-18        53        2.05  Albert Hein    8
#[Out]# 13    11   24  2018-08-17        17        3.30  Albert Hein   11
#[Out]# 14    41   18  2018-08-19        15       11.75  Albert Hein   41
#[Out]# 15    24   24  2018-08-17        20        3.10  Albert Hein   24
#[Out]# 16     8    4  2018-08-16        50        0.85  Albert Hein    8
#[Out]# 17    25   28  2018-08-18        11        7.45  Albert Hein   25
#[Out]# 18    44    9  2018-08-25        23        1.60  Albert Hein   44
#[Out]# 19    44   23  2018-08-22         1        2.40  Albert Hein   44
#[Out]# 20    24   14  2018-08-21        19        3.20  Albert Hein   24
#[Out]# 21     8   23  2018-08-26        46        1.80  Albert Hein    8
#[Out]# 22    44   13  2018-08-15         9        3.60  Albert Hein   44
#[Out]# 23     8   24  2018-08-21        25        3.70  Albert Hein    8
#[Out]# 24    41    1  2018-08-23        53        4.60  Albert Hein   41
#[Out]# 25    41   14  2018-08-27        12        4.00  Albert Hein   41
#[Out]# 26    32   21  2018-08-22         6        1.60  Albert Hein   32
#[Out]# 27    41    4  2018-08-15        18        1.15  Albert Hein   41
#[Out]# 28     9    7  2018-08-19        28        2.30  Albert Hein    9
#[Out]# 29    41   21  2018-08-21        52        2.05  Albert Hein   41
#[Out]# ..   ...  ...         ...       ...         ...          ...  ...
#[Out]# 799   27   12  2018-08-26         2       12.65       Sligro   27
#[Out]# 800    3   14  2018-08-26        10        4.50       Sligro    3
#[Out]# 801   50    1  2018-08-27        17        5.35       Sligro   50
#[Out]# 802   29   20  2018-08-16        10        2.10       Sligro   29
#[Out]# 803    3    0  2018-08-24        18        4.85       Sligro    3
#[Out]# 804   50   15  2018-08-19         5        1.30       Sligro   50
#[Out]# 805    5    3  2018-08-21         1        1.40       Sligro    5
#[Out]# 806    3   21  2018-08-15        12        1.70       Sligro    3
#[Out]# 807   18   24  2018-08-15        12        4.05       Sligro   18
#[Out]# 808   29   12  2018-08-18         4       13.65       Sligro   29
#[Out]# 809   29   20  2018-08-24        11        2.05       Sligro   29
#[Out]# 810   18   10  2018-08-26        16        0.50       Sligro   18
#[Out]# 811    7   22  2018-08-22        14        1.50       Sligro    7
#[Out]# 812    3    0  2018-08-25         5        3.75       Sligro    3
#[Out]# 813    7   27  2018-08-25         7        9.25       Sligro    7
#[Out]# 814   29   20  2018-08-17        16        2.35       Sligro   29
#[Out]# 815   27   28  2018-08-15        14        7.55       Sligro   27
#[Out]# 816   42   20  2018-08-20         1        2.00       Sligro   42
#[Out]# 817    3   16  2018-08-26        15        1.90       Sligro    3
#[Out]# 818   18    7  2018-08-26         5        1.85       Sligro   18
#[Out]# 819   18   28  2018-08-22         9        8.70       Sligro   18
#[Out]# 820   39   15  2018-08-18        10        1.00       Sligro   39
#[Out]# 821   18   19  2018-08-19         4        2.25       Sligro   18
#[Out]# 822    3   11  2018-08-20        16        1.15       Sligro    3
#[Out]# 823   18   28  2018-08-16         7        7.70       Sligro   18
#[Out]# 824   27   28  2018-08-19        14        8.10       Sligro   27
#[Out]# 825   27   21  2018-08-27         1        2.00       Sligro   27
#[Out]# 826    5   18  2018-08-28         1        9.70       Sligro    5
#[Out]# 827    5    3  2018-08-28        13        1.30       Sligro    5
#[Out]# 828   27   10  2018-08-20         7        0.55       Sligro   27
#[Out]# 
#[Out]# [829 rows x 7 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0      18.008475
#[Out]# 1      16.695000
#[Out]# 2      20.884615
#[Out]# 3      16.898438
#[Out]# 4      16.312500
#[Out]# 5      25.048077
#[Out]# 6      16.795620
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0      18.342581
query4 = '''
    SELECT quantity, inventory
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    AND sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
#[Out]#     quantity  sName
#[Out]# 0          2  Jumbo
#[Out]# 1          7  Jumbo
#[Out]# 2          7  Jumbo
#[Out]# 3         21  Jumbo
#[Out]# 4         10  Jumbo
#[Out]# 5          0  Jumbo
#[Out]# 6         35  Jumbo
#[Out]# 7          7  Jumbo
#[Out]# 8         15  Jumbo
#[Out]# 9         38  Jumbo
#[Out]# 10        49  Jumbo
#[Out]# 11        18  Jumbo
#[Out]# 12        47  Jumbo
#[Out]# 13        45  Jumbo
#[Out]# 14         5  Jumbo
#[Out]# 15        12  Jumbo
#[Out]# 16         2  Jumbo
#[Out]# 17        35  Jumbo
#[Out]# 18        18  Jumbo
#[Out]# 19        37  Jumbo
#[Out]# 20        15  Jumbo
#[Out]# 21        10  Jumbo
#[Out]# 22        16  Jumbo
#[Out]# 23         2  Jumbo
#[Out]# 24        21  Jumbo
#[Out]# 25        17  Jumbo
#[Out]# 26         2  Jumbo
#[Out]# 27         1  Jumbo
#[Out]# 28        22  Jumbo
#[Out]# 29        26  Jumbo
#[Out]# ..       ...    ...
#[Out]# 34        11  Jumbo
#[Out]# 35         1  Jumbo
#[Out]# 36         9  Jumbo
#[Out]# 37         5  Jumbo
#[Out]# 38         1  Jumbo
#[Out]# 39         3  Jumbo
#[Out]# 40         5  Jumbo
#[Out]# 41        53  Jumbo
#[Out]# 42         1  Jumbo
#[Out]# 43         2  Jumbo
#[Out]# 44        16  Jumbo
#[Out]# 45         5  Jumbo
#[Out]# 46        37  Jumbo
#[Out]# 47         5  Jumbo
#[Out]# 48         1  Jumbo
#[Out]# 49        19  Jumbo
#[Out]# 50        14  Jumbo
#[Out]# 51         1  Jumbo
#[Out]# 52        36  Jumbo
#[Out]# 53        52  Jumbo
#[Out]# 54        15  Jumbo
#[Out]# 55        10  Jumbo
#[Out]# 56         1  Jumbo
#[Out]# 57        10  Jumbo
#[Out]# 58        12  Jumbo
#[Out]# 59         5  Jumbo
#[Out]# 60        30  Jumbo
#[Out]# 61         4  Jumbo
#[Out]# 62        27  Jumbo
#[Out]# 63        16  Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    AND sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0        16.3125
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    AND sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0        16.3125
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0     25   12  2018-08-24        30       14.80  Albert Hein   25
#[Out]# 1      9   19  2018-08-22        28        2.50  Albert Hein    9
#[Out]# 2     24   26  2018-08-25        18        2.90  Albert Hein   24
#[Out]# 3     32   18  2018-08-21        41       11.85  Albert Hein   32
#[Out]# 4     32    2  2018-08-15        22        2.35  Albert Hein   32
#[Out]# 5      8   10  2018-08-27        26        0.50  Albert Hein    8
#[Out]# 6      8   11  2018-08-24         7        0.95  Albert Hein    8
#[Out]# 7     32   13  2018-08-21        18        4.05  Albert Hein   32
#[Out]# 8      9   25  2018-08-17        40        4.25  Albert Hein    9
#[Out]# 9     44   17  2018-08-25        23        2.00  Albert Hein   44
#[Out]# 10    41   22  2018-08-26         4        1.95  Albert Hein   41
#[Out]# 11     9   26  2018-08-22        34        2.80  Albert Hein    9
#[Out]# 12     8   16  2018-08-18        53        2.05  Albert Hein    8
#[Out]# 13    11   24  2018-08-17        17        3.30  Albert Hein   11
#[Out]# 14    41   18  2018-08-19        15       11.75  Albert Hein   41
#[Out]# 15    24   24  2018-08-17        20        3.10  Albert Hein   24
#[Out]# 16     8    4  2018-08-16        50        0.85  Albert Hein    8
#[Out]# 17    25   28  2018-08-18        11        7.45  Albert Hein   25
#[Out]# 18    44    9  2018-08-25        23        1.60  Albert Hein   44
#[Out]# 19    44   23  2018-08-22         1        2.40  Albert Hein   44
#[Out]# 20    24   14  2018-08-21        19        3.20  Albert Hein   24
#[Out]# 21     8   23  2018-08-26        46        1.80  Albert Hein    8
#[Out]# 22    44   13  2018-08-15         9        3.60  Albert Hein   44
#[Out]# 23     8   24  2018-08-21        25        3.70  Albert Hein    8
#[Out]# 24    41    1  2018-08-23        53        4.60  Albert Hein   41
#[Out]# 25    41   14  2018-08-27        12        4.00  Albert Hein   41
#[Out]# 26    32   21  2018-08-22         6        1.60  Albert Hein   32
#[Out]# 27    41    4  2018-08-15        18        1.15  Albert Hein   41
#[Out]# 28     9    7  2018-08-19        28        2.30  Albert Hein    9
#[Out]# 29    41   21  2018-08-21        52        2.05  Albert Hein   41
#[Out]# ..   ...  ...         ...       ...         ...          ...  ...
#[Out]# 799   27   12  2018-08-26         2       12.65       Sligro   27
#[Out]# 800    3   14  2018-08-26        10        4.50       Sligro    3
#[Out]# 801   50    1  2018-08-27        17        5.35       Sligro   50
#[Out]# 802   29   20  2018-08-16        10        2.10       Sligro   29
#[Out]# 803    3    0  2018-08-24        18        4.85       Sligro    3
#[Out]# 804   50   15  2018-08-19         5        1.30       Sligro   50
#[Out]# 805    5    3  2018-08-21         1        1.40       Sligro    5
#[Out]# 806    3   21  2018-08-15        12        1.70       Sligro    3
#[Out]# 807   18   24  2018-08-15        12        4.05       Sligro   18
#[Out]# 808   29   12  2018-08-18         4       13.65       Sligro   29
#[Out]# 809   29   20  2018-08-24        11        2.05       Sligro   29
#[Out]# 810   18   10  2018-08-26        16        0.50       Sligro   18
#[Out]# 811    7   22  2018-08-22        14        1.50       Sligro    7
#[Out]# 812    3    0  2018-08-25         5        3.75       Sligro    3
#[Out]# 813    7   27  2018-08-25         7        9.25       Sligro    7
#[Out]# 814   29   20  2018-08-17        16        2.35       Sligro   29
#[Out]# 815   27   28  2018-08-15        14        7.55       Sligro   27
#[Out]# 816   42   20  2018-08-20         1        2.00       Sligro   42
#[Out]# 817    3   16  2018-08-26        15        1.90       Sligro    3
#[Out]# 818   18    7  2018-08-26         5        1.85       Sligro   18
#[Out]# 819   18   28  2018-08-22         9        8.70       Sligro   18
#[Out]# 820   39   15  2018-08-18        10        1.00       Sligro   39
#[Out]# 821   18   19  2018-08-19         4        2.25       Sligro   18
#[Out]# 822    3   11  2018-08-20        16        1.15       Sligro    3
#[Out]# 823   18   28  2018-08-16         7        7.70       Sligro   18
#[Out]# 824   27   28  2018-08-19        14        8.10       Sligro   27
#[Out]# 825   27   21  2018-08-27         1        2.00       Sligro   27
#[Out]# 826    5   18  2018-08-28         1        9.70       Sligro    5
#[Out]# 827    5    3  2018-08-28        13        1.30       Sligro    5
#[Out]# 828   27   10  2018-08-20         7        0.55       Sligro   27
#[Out]# 
#[Out]# [829 rows x 7 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
#[Out]#       sID  pID        date  quantity  unit_price  sName  sID
#[Out]# 0      55   10  2018-08-26        17        0.60  Jumbo    2
#[Out]# 1      55   10  2018-08-26        17        0.60  Jumbo   10
#[Out]# 2      55   10  2018-08-26        17        0.60  Jumbo   20
#[Out]# 3      55   10  2018-08-26        17        0.60  Jumbo   37
#[Out]# 4      55   10  2018-08-26        17        0.60  Jumbo   56
#[Out]# 5      55   10  2018-08-26        17        0.60  Jumbo   59
#[Out]# 6      55   10  2018-08-26        17        0.60  Jumbo   62
#[Out]# 7      55   10  2018-08-26        17        0.60  Jumbo   63
#[Out]# 8      25   12  2018-08-24        30       14.80  Jumbo    2
#[Out]# 9      25   12  2018-08-24        30       14.80  Jumbo   10
#[Out]# 10     25   12  2018-08-24        30       14.80  Jumbo   20
#[Out]# 11     25   12  2018-08-24        30       14.80  Jumbo   37
#[Out]# 12     25   12  2018-08-24        30       14.80  Jumbo   56
#[Out]# 13     25   12  2018-08-24        30       14.80  Jumbo   59
#[Out]# 14     25   12  2018-08-24        30       14.80  Jumbo   62
#[Out]# 15     25   12  2018-08-24        30       14.80  Jumbo   63
#[Out]# 16     15    6  2018-08-26        13        1.15  Jumbo    2
#[Out]# 17     15    6  2018-08-26        13        1.15  Jumbo   10
#[Out]# 18     15    6  2018-08-26        13        1.15  Jumbo   20
#[Out]# 19     15    6  2018-08-26        13        1.15  Jumbo   37
#[Out]# 20     15    6  2018-08-26        13        1.15  Jumbo   56
#[Out]# 21     15    6  2018-08-26        13        1.15  Jumbo   59
#[Out]# 22     15    6  2018-08-26        13        1.15  Jumbo   62
#[Out]# 23     15    6  2018-08-26        13        1.15  Jumbo   63
#[Out]# 24      6   27  2018-08-19        51        7.30  Jumbo    2
#[Out]# 25      6   27  2018-08-19        51        7.30  Jumbo   10
#[Out]# 26      6   27  2018-08-19        51        7.30  Jumbo   20
#[Out]# 27      6   27  2018-08-19        51        7.30  Jumbo   37
#[Out]# 28      6   27  2018-08-19        51        7.30  Jumbo   56
#[Out]# 29      6   27  2018-08-19        51        7.30  Jumbo   59
#[Out]# ...   ...  ...         ...       ...         ...    ...  ...
#[Out]# 6602   45   18  2018-08-21         5        9.20  Jumbo   20
#[Out]# 6603   45   18  2018-08-21         5        9.20  Jumbo   37
#[Out]# 6604   45   18  2018-08-21         5        9.20  Jumbo   56
#[Out]# 6605   45   18  2018-08-21         5        9.20  Jumbo   59
#[Out]# 6606   45   18  2018-08-21         5        9.20  Jumbo   62
#[Out]# 6607   45   18  2018-08-21         5        9.20  Jumbo   63
#[Out]# 6608   57    6  2018-08-22         9        1.15  Jumbo    2
#[Out]# 6609   57    6  2018-08-22         9        1.15  Jumbo   10
#[Out]# 6610   57    6  2018-08-22         9        1.15  Jumbo   20
#[Out]# 6611   57    6  2018-08-22         9        1.15  Jumbo   37
#[Out]# 6612   57    6  2018-08-22         9        1.15  Jumbo   56
#[Out]# 6613   57    6  2018-08-22         9        1.15  Jumbo   59
#[Out]# 6614   57    6  2018-08-22         9        1.15  Jumbo   62
#[Out]# 6615   57    6  2018-08-22         9        1.15  Jumbo   63
#[Out]# 6616   60   19  2018-07-10       525        1.75  Jumbo    2
#[Out]# 6617   60   19  2018-07-10       525        1.75  Jumbo   10
#[Out]# 6618   60   19  2018-07-10       525        1.75  Jumbo   20
#[Out]# 6619   60   19  2018-07-10       525        1.75  Jumbo   37
#[Out]# 6620   60   19  2018-07-10       525        1.75  Jumbo   56
#[Out]# 6621   60   19  2018-07-10       525        1.75  Jumbo   59
#[Out]# 6622   60   19  2018-07-10       525        1.75  Jumbo   62
#[Out]# 6623   60   19  2018-07-10       525        1.75  Jumbo   63
#[Out]# 6624    0    0  2018-07-18        15        5.95  Jumbo    2
#[Out]# 6625    0    0  2018-07-18        15        5.95  Jumbo   10
#[Out]# 6626    0    0  2018-07-18        15        5.95  Jumbo   20
#[Out]# 6627    0    0  2018-07-18        15        5.95  Jumbo   37
#[Out]# 6628    0    0  2018-07-18        15        5.95  Jumbo   56
#[Out]# 6629    0    0  2018-07-18        15        5.95  Jumbo   59
#[Out]# 6630    0    0  2018-07-18        15        5.95  Jumbo   62
#[Out]# 6631    0    0  2018-07-18        15        5.95  Jumbo   63
#[Out]# 
#[Out]# [6632 rows x 7 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE sName = "Jumbo"
    AND inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     sID  pID        date  quantity  unit_price  sName  sID
#[Out]# 0     2    1  2018-08-25         2        5.35  Jumbo    2
#[Out]# 1     2    5  2018-08-24         7        0.50  Jumbo    2
#[Out]# 2     2    9  2018-08-16         7        1.70  Jumbo    2
#[Out]# 3     2   11  2018-08-23        21        1.00  Jumbo    2
#[Out]# 4     2   15  2018-08-18        10        1.05  Jumbo    2
#[Out]# 5     2   16  2018-08-23         0        2.00  Jumbo    2
#[Out]# 6     2   21  2018-08-24        35        2.10  Jumbo    2
#[Out]# 7     2   22  2018-08-22         7        2.00  Jumbo    2
#[Out]# 8     2   23  2018-08-15        15        2.40  Jumbo    2
#[Out]# 9     2   25  2018-08-18        38        3.25  Jumbo    2
#[Out]# 10    2   28  2018-08-25        49        7.75  Jumbo    2
#[Out]# 11   10    0  2018-08-16        18        5.30  Jumbo   10
#[Out]# 12   10    1  2018-08-18        47        5.70  Jumbo   10
#[Out]# 13   10    9  2018-08-21        45        1.75  Jumbo   10
#[Out]# 14   10   13  2018-08-15         5        2.90  Jumbo   10
#[Out]# 15   10   16  2018-08-17        12        2.10  Jumbo   10
#[Out]# 16   10   16  2018-08-22         2        1.50  Jumbo   10
#[Out]# 17   10   19  2018-08-19        35        2.70  Jumbo   10
#[Out]# 18   10   21  2018-08-15        18        1.75  Jumbo   10
#[Out]# 19   10   21  2018-08-21        37        2.25  Jumbo   10
#[Out]# 20   10   24  2018-08-16        15        3.65  Jumbo   10
#[Out]# 21   20    3  2018-08-24        10        1.40  Jumbo   20
#[Out]# 22   20    7  2018-08-26        16        1.65  Jumbo   20
#[Out]# 23   20   15  2018-08-15         2        1.30  Jumbo   20
#[Out]# 24   20   16  2018-08-17        21        2.10  Jumbo   20
#[Out]# 25   20   27  2018-08-17        17        6.85  Jumbo   20
#[Out]# 26   37    1  2018-08-24         2        5.25  Jumbo   37
#[Out]# 27   37    2  2018-08-18         1        2.25  Jumbo   37
#[Out]# 28   37    3  2018-08-15        22        1.50  Jumbo   37
#[Out]# 29   37    9  2018-08-22        26        1.45  Jumbo   37
#[Out]# ..  ...  ...         ...       ...         ...    ...  ...
#[Out]# 34   37   28  2018-08-24        11        9.30  Jumbo   37
#[Out]# 35   56    1  2018-08-23         1        4.40  Jumbo   56
#[Out]# 36   56    3  2018-08-16         9        1.55  Jumbo   56
#[Out]# 37   56    7  2018-08-15         5        2.40  Jumbo   56
#[Out]# 38   56    7  2018-08-20         1        2.10  Jumbo   56
#[Out]# 39   56    7  2018-08-22         3        2.35  Jumbo   56
#[Out]# 40   56    9  2018-08-16         5        1.70  Jumbo   56
#[Out]# 41   56   10  2018-08-22        53        0.50  Jumbo   56
#[Out]# 42   56   10  2018-08-27         1        0.60  Jumbo   56
#[Out]# 43   56   13  2018-08-17         2        4.15  Jumbo   56
#[Out]# 44   56   15  2018-08-16        16        1.10  Jumbo   56
#[Out]# 45   56   15  2018-08-21         5        1.00  Jumbo   56
#[Out]# 46   56   16  2018-08-24        37        2.00  Jumbo   56
#[Out]# 47   56   17  2018-08-18         5        2.10  Jumbo   56
#[Out]# 48   56   19  2018-08-16         1        2.25  Jumbo   56
#[Out]# 49   56   25  2018-08-23        19        4.35  Jumbo   56
#[Out]# 50   56   26  2018-08-20        14        3.25  Jumbo   56
#[Out]# 51   59    0  2018-08-17         1        3.90  Jumbo   59
#[Out]# 52   59    1  2018-08-26        36        6.20  Jumbo   59
#[Out]# 53   59    2  2018-08-18        52        1.65  Jumbo   59
#[Out]# 54   59    4  2018-08-27        15        0.90  Jumbo   59
#[Out]# 55   59    8  2018-08-20        10        5.45  Jumbo   59
#[Out]# 56   59   13  2018-08-20         1        4.00  Jumbo   59
#[Out]# 57   59   14  2018-08-26        10        3.50  Jumbo   59
#[Out]# 58   59   17  2018-08-18        12        2.15  Jumbo   59
#[Out]# 59   59   21  2018-08-15         5        2.20  Jumbo   59
#[Out]# 60   59   22  2018-08-24        30        2.15  Jumbo   59
#[Out]# 61   59   26  2018-08-18         4        3.00  Jumbo   59
#[Out]# 62   59   27  2018-08-25        27        7.60  Jumbo   59
#[Out]# 63   59   28  2018-08-25        16        9.55  Jumbo   59
#[Out]# 
#[Out]# [64 rows x 7 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE sName = "Jumbo"
    AND inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     quantity  sName
#[Out]# 0          2  Jumbo
#[Out]# 1          7  Jumbo
#[Out]# 2          7  Jumbo
#[Out]# 3         21  Jumbo
#[Out]# 4         10  Jumbo
#[Out]# 5          0  Jumbo
#[Out]# 6         35  Jumbo
#[Out]# 7          7  Jumbo
#[Out]# 8         15  Jumbo
#[Out]# 9         38  Jumbo
#[Out]# 10        49  Jumbo
#[Out]# 11        18  Jumbo
#[Out]# 12        47  Jumbo
#[Out]# 13        45  Jumbo
#[Out]# 14         5  Jumbo
#[Out]# 15        12  Jumbo
#[Out]# 16         2  Jumbo
#[Out]# 17        35  Jumbo
#[Out]# 18        18  Jumbo
#[Out]# 19        37  Jumbo
#[Out]# 20        15  Jumbo
#[Out]# 21        10  Jumbo
#[Out]# 22        16  Jumbo
#[Out]# 23         2  Jumbo
#[Out]# 24        21  Jumbo
#[Out]# 25        17  Jumbo
#[Out]# 26         2  Jumbo
#[Out]# 27         1  Jumbo
#[Out]# 28        22  Jumbo
#[Out]# 29        26  Jumbo
#[Out]# ..       ...    ...
#[Out]# 34        11  Jumbo
#[Out]# 35         1  Jumbo
#[Out]# 36         9  Jumbo
#[Out]# 37         5  Jumbo
#[Out]# 38         1  Jumbo
#[Out]# 39         3  Jumbo
#[Out]# 40         5  Jumbo
#[Out]# 41        53  Jumbo
#[Out]# 42         1  Jumbo
#[Out]# 43         2  Jumbo
#[Out]# 44        16  Jumbo
#[Out]# 45         5  Jumbo
#[Out]# 46        37  Jumbo
#[Out]# 47         5  Jumbo
#[Out]# 48         1  Jumbo
#[Out]# 49        19  Jumbo
#[Out]# 50        14  Jumbo
#[Out]# 51         1  Jumbo
#[Out]# 52        36  Jumbo
#[Out]# 53        52  Jumbo
#[Out]# 54        15  Jumbo
#[Out]# 55        10  Jumbo
#[Out]# 56         1  Jumbo
#[Out]# 57        10  Jumbo
#[Out]# 58        12  Jumbo
#[Out]# 59         5  Jumbo
#[Out]# 60        30  Jumbo
#[Out]# 61         4  Jumbo
#[Out]# 62        27  Jumbo
#[Out]# 63        16  Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    AND inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity) sName
#[Out]# 0      18.342581  Coop
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0      18.342581
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0      18.008475
#[Out]# 1      16.695000
#[Out]# 2      20.884615
#[Out]# 3      16.898438
#[Out]# 4      16.312500
#[Out]# 5      25.048077
#[Out]# 6      16.795620
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)        sName
#[Out]# 0      18.008475  Albert Hein
#[Out]# 1      16.695000         Coop
#[Out]# 2      20.884615         Dirk
#[Out]# 3      16.898438    Hoogvliet
#[Out]# 4      16.312500        Jumbo
#[Out]# 5      25.048077         Lidl
#[Out]# 6      16.795620       Sligro
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    quantity        sName
#[Out]# 0        32  Albert Hein
#[Out]# 1        15         Coop
#[Out]# 2        54         Dirk
#[Out]# 3         7    Hoogvliet
#[Out]# 4        16        Jumbo
#[Out]# 5       525         Lidl
#[Out]# 6        43       Sligro
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    '''

pd.read_sql_query(query4, conn)
#[Out]#        quantity        sName
#[Out]# 0            17  Albert Hein
#[Out]# 1            30  Albert Hein
#[Out]# 2            13  Albert Hein
#[Out]# 3            51  Albert Hein
#[Out]# 4            24  Albert Hein
#[Out]# 5            46  Albert Hein
#[Out]# 6            31  Albert Hein
#[Out]# 7            32  Albert Hein
#[Out]# 8            13  Albert Hein
#[Out]# 9            11  Albert Hein
#[Out]# 10           35  Albert Hein
#[Out]# 11           16  Albert Hein
#[Out]# 12           36  Albert Hein
#[Out]# 13           28  Albert Hein
#[Out]# 14            5  Albert Hein
#[Out]# 15           51  Albert Hein
#[Out]# 16            0  Albert Hein
#[Out]# 17           10  Albert Hein
#[Out]# 18           42  Albert Hein
#[Out]# 19           51  Albert Hein
#[Out]# 20           44  Albert Hein
#[Out]# 21           27  Albert Hein
#[Out]# 22           24  Albert Hein
#[Out]# 23            4  Albert Hein
#[Out]# 24           44  Albert Hein
#[Out]# 25           18  Albert Hein
#[Out]# 26           13  Albert Hein
#[Out]# 27           41  Albert Hein
#[Out]# 28           10  Albert Hein
#[Out]# 29            3  Albert Hein
#[Out]# ...         ...          ...
#[Out]# 53026         1       Sligro
#[Out]# 53027         9       Sligro
#[Out]# 53028         9       Sligro
#[Out]# 53029         6       Sligro
#[Out]# 53030        12       Sligro
#[Out]# 53031        10       Sligro
#[Out]# 53032        15       Sligro
#[Out]# 53033        14       Sligro
#[Out]# 53034        17       Sligro
#[Out]# 53035         3       Sligro
#[Out]# 53036         1       Sligro
#[Out]# 53037         4       Sligro
#[Out]# 53038        15       Sligro
#[Out]# 53039         8       Sligro
#[Out]# 53040        21       Sligro
#[Out]# 53041         9       Sligro
#[Out]# 53042         3       Sligro
#[Out]# 53043         1       Sligro
#[Out]# 53044        13       Sligro
#[Out]# 53045         9       Sligro
#[Out]# 53046         1       Sligro
#[Out]# 53047        14       Sligro
#[Out]# 53048         1       Sligro
#[Out]# 53049        13       Sligro
#[Out]# 53050        23       Sligro
#[Out]# 53051         7       Sligro
#[Out]# 53052         5       Sligro
#[Out]# 53053         9       Sligro
#[Out]# 53054       525       Sligro
#[Out]# 53055        15       Sligro
#[Out]# 
#[Out]# [53056 rows x 2 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    '''

pd.read_sql_query(query4, conn)
#[Out]#        sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0       55   10  2018-08-26        17        0.60  Albert Hein    8
#[Out]# 1       25   12  2018-08-24        30       14.80  Albert Hein    8
#[Out]# 2       15    6  2018-08-26        13        1.15  Albert Hein    8
#[Out]# 3        6   27  2018-08-19        51        7.30  Albert Hein    8
#[Out]# 4       57    2  2018-08-22        24        2.05  Albert Hein    8
#[Out]# 5       33    8  2018-08-19        46        5.70  Albert Hein    8
#[Out]# 6       51   10  2018-08-23        31        0.60  Albert Hein    8
#[Out]# 7       50   21  2018-08-22        32        1.90  Albert Hein    8
#[Out]# 8        0   13  2018-08-25        13        3.05  Albert Hein    8
#[Out]# 9       36    8  2018-08-27        11        5.05  Albert Hein    8
#[Out]# 10      36   23  2018-08-18        35        2.20  Albert Hein    8
#[Out]# 11      54   10  2018-08-24        16        0.55  Albert Hein    8
#[Out]# 12      59    1  2018-08-26        36        6.20  Albert Hein    8
#[Out]# 13       9   19  2018-08-22        28        2.50  Albert Hein    8
#[Out]# 14      33    7  2018-08-26         5        1.60  Albert Hein    8
#[Out]# 15      35   10  2018-08-21        51        0.55  Albert Hein    8
#[Out]# 16       0   21  2018-08-15         0        2.20  Albert Hein    8
#[Out]# 17      31   14  2018-08-17        10        4.50  Albert Hein    8
#[Out]# 18      19   14  2018-08-20        42        4.70  Albert Hein    8
#[Out]# 19      33   20  2018-08-21        51        2.15  Albert Hein    8
#[Out]# 20      17   24  2018-08-16        44        2.85  Albert Hein    8
#[Out]# 21       4   27  2018-08-18        27        9.00  Albert Hein    8
#[Out]# 22       3   25  2018-08-27        24        4.60  Albert Hein    8
#[Out]# 23      22   15  2018-08-20         4        1.30  Albert Hein    8
#[Out]# 24      52   14  2018-08-18        44        4.25  Albert Hein    8
#[Out]# 25      24   26  2018-08-25        18        2.90  Albert Hein    8
#[Out]# 26       7   12  2018-08-20        13       12.55  Albert Hein    8
#[Out]# 27      32   18  2018-08-21        41       11.85  Albert Hein    8
#[Out]# 28      48   24  2018-08-19        10        3.20  Albert Hein    8
#[Out]# 29      54    8  2018-08-17         3        5.55  Albert Hein    8
#[Out]# ...    ...  ...         ...       ...         ...          ...  ...
#[Out]# 53026   35    0  2018-08-25         1        4.35       Sligro   50
#[Out]# 53027   19   11  2018-08-25         9        0.90       Sligro   50
#[Out]# 53028    4   21  2018-08-25         9        2.15       Sligro   50
#[Out]# 53029    6    5  2018-08-26         6        0.50       Sligro   50
#[Out]# 53030   47   18  2018-08-20        12        8.85       Sligro   50
#[Out]# 53031   38   17  2018-08-20        10        2.30       Sligro   50
#[Out]# 53032   11    3  2018-08-21        15        1.30       Sligro   50
#[Out]# 53033   34   26  2018-08-21        14        3.40       Sligro   50
#[Out]# 53034   34   25  2018-08-27        17        3.60       Sligro   50
#[Out]# 53035   25   14  2018-08-24         3        3.70       Sligro   50
#[Out]# 53036   24   11  2018-08-24         1        0.85       Sligro   50
#[Out]# 53037   57   17  2018-08-24         4        2.40       Sligro   50
#[Out]# 53038   43   27  2018-08-22        15        9.00       Sligro   50
#[Out]# 53039   35   16  2018-08-22         8        1.85       Sligro   50
#[Out]# 53040   45   10  2018-08-22        21        0.45       Sligro   50
#[Out]# 53041   34   26  2018-08-26         9        3.10       Sligro   50
#[Out]# 53042   34   13  2018-08-26         3        4.05       Sligro   50
#[Out]# 53043   56   10  2018-08-27         1        0.60       Sligro   50
#[Out]# 53044    6   26  2018-08-24        13        2.70       Sligro   50
#[Out]# 53045   45    6  2018-08-24         9        0.90       Sligro   50
#[Out]# 53046   27   21  2018-08-27         1        2.00       Sligro   50
#[Out]# 53047   17   25  2018-08-27        14        3.90       Sligro   50
#[Out]# 53048    5   18  2018-08-28         1        9.70       Sligro   50
#[Out]# 53049    5    3  2018-08-28        13        1.30       Sligro   50
#[Out]# 53050    4   13  2018-08-23        23        4.20       Sligro   50
#[Out]# 53051   27   10  2018-08-20         7        0.55       Sligro   50
#[Out]# 53052   45   18  2018-08-21         5        9.20       Sligro   50
#[Out]# 53053   57    6  2018-08-22         9        1.15       Sligro   50
#[Out]# 53054   60   19  2018-07-10       525        1.75       Sligro   50
#[Out]# 53055    0    0  2018-07-18        15        5.95       Sligro   50
#[Out]# 
#[Out]# [53056 rows x 7 columns]
query4 = '''
    SELECT quantity, pID, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    '''

pd.read_sql_query(query4, conn)
#[Out]#        quantity  pID        sName
#[Out]# 0            17   10  Albert Hein
#[Out]# 1            30   12  Albert Hein
#[Out]# 2            13    6  Albert Hein
#[Out]# 3            51   27  Albert Hein
#[Out]# 4            24    2  Albert Hein
#[Out]# 5            46    8  Albert Hein
#[Out]# 6            31   10  Albert Hein
#[Out]# 7            32   21  Albert Hein
#[Out]# 8            13   13  Albert Hein
#[Out]# 9            11    8  Albert Hein
#[Out]# 10           35   23  Albert Hein
#[Out]# 11           16   10  Albert Hein
#[Out]# 12           36    1  Albert Hein
#[Out]# 13           28   19  Albert Hein
#[Out]# 14            5    7  Albert Hein
#[Out]# 15           51   10  Albert Hein
#[Out]# 16            0   21  Albert Hein
#[Out]# 17           10   14  Albert Hein
#[Out]# 18           42   14  Albert Hein
#[Out]# 19           51   20  Albert Hein
#[Out]# 20           44   24  Albert Hein
#[Out]# 21           27   27  Albert Hein
#[Out]# 22           24   25  Albert Hein
#[Out]# 23            4   15  Albert Hein
#[Out]# 24           44   14  Albert Hein
#[Out]# 25           18   26  Albert Hein
#[Out]# 26           13   12  Albert Hein
#[Out]# 27           41   18  Albert Hein
#[Out]# 28           10   24  Albert Hein
#[Out]# 29            3    8  Albert Hein
#[Out]# ...         ...  ...          ...
#[Out]# 53026         1    0       Sligro
#[Out]# 53027         9   11       Sligro
#[Out]# 53028         9   21       Sligro
#[Out]# 53029         6    5       Sligro
#[Out]# 53030        12   18       Sligro
#[Out]# 53031        10   17       Sligro
#[Out]# 53032        15    3       Sligro
#[Out]# 53033        14   26       Sligro
#[Out]# 53034        17   25       Sligro
#[Out]# 53035         3   14       Sligro
#[Out]# 53036         1   11       Sligro
#[Out]# 53037         4   17       Sligro
#[Out]# 53038        15   27       Sligro
#[Out]# 53039         8   16       Sligro
#[Out]# 53040        21   10       Sligro
#[Out]# 53041         9   26       Sligro
#[Out]# 53042         3   13       Sligro
#[Out]# 53043         1   10       Sligro
#[Out]# 53044        13   26       Sligro
#[Out]# 53045         9    6       Sligro
#[Out]# 53046         1   21       Sligro
#[Out]# 53047        14   25       Sligro
#[Out]# 53048         1   18       Sligro
#[Out]# 53049        13    3       Sligro
#[Out]# 53050        23   13       Sligro
#[Out]# 53051         7   10       Sligro
#[Out]# 53052         5   18       Sligro
#[Out]# 53053         9    6       Sligro
#[Out]# 53054       525   19       Sligro
#[Out]# 53055        15    0       Sligro
#[Out]# 
#[Out]# [53056 rows x 3 columns]
query4 = '''
    SELECT quantity, pID, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    GROUP BY pID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     quantity  pID   sName
#[Out]# 0         15    0  Sligro
#[Out]# 1          9    1  Sligro
#[Out]# 2          2    2  Sligro
#[Out]# 3         13    3  Sligro
#[Out]# 4          6    4  Sligro
#[Out]# 5          6    5  Sligro
#[Out]# 6          9    6  Sligro
#[Out]# 7          1    7  Sligro
#[Out]# 8          6    8  Sligro
#[Out]# 9          1    9  Sligro
#[Out]# 10         7   10  Sligro
#[Out]# 11         1   11  Sligro
#[Out]# 12         5   12  Sligro
#[Out]# 13        23   13  Sligro
#[Out]# 14         3   14  Sligro
#[Out]# 15        10   15  Sligro
#[Out]# 16         8   16  Sligro
#[Out]# 17         4   17  Sligro
#[Out]# 18         5   18  Sligro
#[Out]# 19       525   19  Sligro
#[Out]# 20         7   20  Sligro
#[Out]# 21         1   21  Sligro
#[Out]# 22        18   22  Sligro
#[Out]# 23        22   23  Sligro
#[Out]# 24        19   24  Sligro
#[Out]# 25        14   25  Sligro
#[Out]# 26        13   26  Sligro
#[Out]# 27        15   27  Sligro
#[Out]# 28        14   28  Sligro
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0     25   12  2018-08-24        30       14.80  Albert Hein   25
#[Out]# 1      9   19  2018-08-22        28        2.50  Albert Hein    9
#[Out]# 2     24   26  2018-08-25        18        2.90  Albert Hein   24
#[Out]# 3     32   18  2018-08-21        41       11.85  Albert Hein   32
#[Out]# 4     32    2  2018-08-15        22        2.35  Albert Hein   32
#[Out]# 5      8   10  2018-08-27        26        0.50  Albert Hein    8
#[Out]# 6      8   11  2018-08-24         7        0.95  Albert Hein    8
#[Out]# 7     32   13  2018-08-21        18        4.05  Albert Hein   32
#[Out]# 8      9   25  2018-08-17        40        4.25  Albert Hein    9
#[Out]# 9     44   17  2018-08-25        23        2.00  Albert Hein   44
#[Out]# 10    41   22  2018-08-26         4        1.95  Albert Hein   41
#[Out]# 11     9   26  2018-08-22        34        2.80  Albert Hein    9
#[Out]# 12     8   16  2018-08-18        53        2.05  Albert Hein    8
#[Out]# 13    11   24  2018-08-17        17        3.30  Albert Hein   11
#[Out]# 14    41   18  2018-08-19        15       11.75  Albert Hein   41
#[Out]# 15    24   24  2018-08-17        20        3.10  Albert Hein   24
#[Out]# 16     8    4  2018-08-16        50        0.85  Albert Hein    8
#[Out]# 17    25   28  2018-08-18        11        7.45  Albert Hein   25
#[Out]# 18    44    9  2018-08-25        23        1.60  Albert Hein   44
#[Out]# 19    44   23  2018-08-22         1        2.40  Albert Hein   44
#[Out]# 20    24   14  2018-08-21        19        3.20  Albert Hein   24
#[Out]# 21     8   23  2018-08-26        46        1.80  Albert Hein    8
#[Out]# 22    44   13  2018-08-15         9        3.60  Albert Hein   44
#[Out]# 23     8   24  2018-08-21        25        3.70  Albert Hein    8
#[Out]# 24    41    1  2018-08-23        53        4.60  Albert Hein   41
#[Out]# 25    41   14  2018-08-27        12        4.00  Albert Hein   41
#[Out]# 26    32   21  2018-08-22         6        1.60  Albert Hein   32
#[Out]# 27    41    4  2018-08-15        18        1.15  Albert Hein   41
#[Out]# 28     9    7  2018-08-19        28        2.30  Albert Hein    9
#[Out]# 29    41   21  2018-08-21        52        2.05  Albert Hein   41
#[Out]# ..   ...  ...         ...       ...         ...          ...  ...
#[Out]# 799   27   12  2018-08-26         2       12.65       Sligro   27
#[Out]# 800    3   14  2018-08-26        10        4.50       Sligro    3
#[Out]# 801   50    1  2018-08-27        17        5.35       Sligro   50
#[Out]# 802   29   20  2018-08-16        10        2.10       Sligro   29
#[Out]# 803    3    0  2018-08-24        18        4.85       Sligro    3
#[Out]# 804   50   15  2018-08-19         5        1.30       Sligro   50
#[Out]# 805    5    3  2018-08-21         1        1.40       Sligro    5
#[Out]# 806    3   21  2018-08-15        12        1.70       Sligro    3
#[Out]# 807   18   24  2018-08-15        12        4.05       Sligro   18
#[Out]# 808   29   12  2018-08-18         4       13.65       Sligro   29
#[Out]# 809   29   20  2018-08-24        11        2.05       Sligro   29
#[Out]# 810   18   10  2018-08-26        16        0.50       Sligro   18
#[Out]# 811    7   22  2018-08-22        14        1.50       Sligro    7
#[Out]# 812    3    0  2018-08-25         5        3.75       Sligro    3
#[Out]# 813    7   27  2018-08-25         7        9.25       Sligro    7
#[Out]# 814   29   20  2018-08-17        16        2.35       Sligro   29
#[Out]# 815   27   28  2018-08-15        14        7.55       Sligro   27
#[Out]# 816   42   20  2018-08-20         1        2.00       Sligro   42
#[Out]# 817    3   16  2018-08-26        15        1.90       Sligro    3
#[Out]# 818   18    7  2018-08-26         5        1.85       Sligro   18
#[Out]# 819   18   28  2018-08-22         9        8.70       Sligro   18
#[Out]# 820   39   15  2018-08-18        10        1.00       Sligro   39
#[Out]# 821   18   19  2018-08-19         4        2.25       Sligro   18
#[Out]# 822    3   11  2018-08-20        16        1.15       Sligro    3
#[Out]# 823   18   28  2018-08-16         7        7.70       Sligro   18
#[Out]# 824   27   28  2018-08-19        14        8.10       Sligro   27
#[Out]# 825   27   21  2018-08-27         1        2.00       Sligro   27
#[Out]# 826    5   18  2018-08-28         1        9.70       Sligro    5
#[Out]# 827    5    3  2018-08-28        13        1.30       Sligro    5
#[Out]# 828   27   10  2018-08-20         7        0.55       Sligro   27
#[Out]# 
#[Out]# [829 rows x 7 columns]
query4 = '''

        SELECT *
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    '''

pd.read_sql_query(query4, conn)
query4 = '''

        SELECT *
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName            street       city  sID        sName  \
#[Out]# 0     8  Albert Hein       Molenstraat  Eindhoven    8  Albert Hein   
#[Out]# 1     9  Albert Hein         Koestraat    Tilburg    9  Albert Hein   
#[Out]# 2    11  Albert Hein          Hofplein  Rotterdam   11  Albert Hein   
#[Out]# 3    24  Albert Hein     Stationsplein      Breda   24  Albert Hein   
#[Out]# 4    25  Albert Hein     Stationsplein      Breda   25  Albert Hein   
#[Out]# 5    32  Albert Hein        Hoogstraat    Utrecht   32  Albert Hein   
#[Out]# 6    41  Albert Hein        Bergselaan  Rotterdam   41  Albert Hein   
#[Out]# 7    44  Albert Hein     Ambachtstraat    Utrecht   44  Albert Hein   
#[Out]# 8     0         Coop      Kalverstraat  Amsterdam    0         Coop   
#[Out]# 9     6         Coop    Stadhoudersweg  Rotterdam    6         Coop   
#[Out]# 10   13         Coop         Koestraat    Tilburg   13         Coop   
#[Out]# 11   14         Coop     Keizersgracht  Amsterdam   14         Coop   
#[Out]# 12   19         Coop       Karrestraat      Breda   19         Coop   
#[Out]# 13   21         Coop      Kasteeldreef    Tilburg   21         Coop   
#[Out]# 14   31         Coop       Parallelweg    Utrecht   31         Coop   
#[Out]# 15   34         Coop          Bierkaai  Amsterdam   34         Coop   
#[Out]# 16   43         Coop    Gasthuisstraat    Utrecht   43         Coop   
#[Out]# 17   45         Coop      Kasteeldreef    Tilburg   45         Coop   
#[Out]# 18   47         Coop     Julianastraat  Rotterdam   47         Coop   
#[Out]# 19   51         Coop       Parallelweg    Utrecht   51         Coop   
#[Out]# 20   53         Coop        Hoogstraat    Utrecht   53         Coop   
#[Out]# 21   55         Coop   Sint Annastraat      Breda   55         Coop   
#[Out]# 22   23         Dirk     Stationsplein      Breda   23         Dirk   
#[Out]# 23   30         Dirk       Nieuwstraat  Eindhoven   30         Dirk   
#[Out]# 24   33         Dirk       Nieuwstraat  Eindhoven   33         Dirk   
#[Out]# 25   54         Dirk     Julianastraat  Eindhoven   54         Dirk   
#[Out]# 26   57         Dirk       Molenstraat  Eindhoven   57         Dirk   
#[Out]# 27   58         Dirk      Keizerstraat  Rotterdam   58         Dirk   
#[Out]# 28    1    Hoogvliet  Rozemarijnstraat      Breda    1    Hoogvliet   
#[Out]# 29    4    Hoogvliet       Molenstraat  Eindhoven    4    Hoogvliet   
#[Out]# ..  ...          ...               ...        ...  ...          ...   
#[Out]# 34   40    Hoogvliet          Hofplein  Rotterdam   40    Hoogvliet   
#[Out]# 35   48    Hoogvliet      Kasteeldreef    Tilburg   48    Hoogvliet   
#[Out]# 36   49    Hoogvliet      Keizerstraat  Rotterdam   49    Hoogvliet   
#[Out]# 37    2        Jumbo    Stadhoudersweg  Rotterdam    2        Jumbo   
#[Out]# 38   10        Jumbo        Bergselaan  Rotterdam   10        Jumbo   
#[Out]# 39   20        Jumbo      Kasteeldreef    Tilburg   20        Jumbo   
#[Out]# 40   37        Jumbo          Molenweg  Eindhoven   37        Jumbo   
#[Out]# 41   56        Jumbo       Parallelweg  Eindhoven   56        Jumbo   
#[Out]# 42   59        Jumbo  Rozemarijnstraat      Breda   59        Jumbo   
#[Out]# 43   62        Jumbo     Poffertjesweg  Eindhoven   62        Jumbo   
#[Out]# 44   63        Jumbo     Stationstraat        Oss   63        Jumbo   
#[Out]# 45   12         Lidl  Wilhelminastraat  Eindhoven   12         Lidl   
#[Out]# 46   15         Lidl     Prinsengracht  Amsterdam   15         Lidl   
#[Out]# 47   16         Lidl     Ambachtstraat    Utrecht   16         Lidl   
#[Out]# 48   22         Lidl     Prinsengracht  Amsterdam   22         Lidl   
#[Out]# 49   35         Lidl     Julianastraat    Utrecht   35         Lidl   
#[Out]# 50   36         Lidl     Julianastraat  Eindhoven   36         Lidl   
#[Out]# 51   46         Lidl        Bergselaan  Rotterdam   46         Lidl   
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven   52         Lidl   
#[Out]# 53   60         Lidl      Pannekoekweg      Breda   60         Lidl   
#[Out]# 54   61         Lidl      Pannekoekweg      Breda   61         Lidl   
#[Out]# 55    3       Sligro    Stadhoudersweg  Rotterdam    3       Sligro   
#[Out]# 56    5       Sligro     Stationsplein      Breda    5       Sligro   
#[Out]# 57    7       Sligro  Wilhelminastraat  Eindhoven    7       Sligro   
#[Out]# 58   18       Sligro       Parallelweg    Tilburg   18       Sligro   
#[Out]# 59   27       Sligro      Kalverstraat  Amsterdam   27       Sligro   
#[Out]# 60   29       Sligro      Marnixstraat  Amsterdam   29       Sligro   
#[Out]# 61   39       Sligro       Dorpsstraat  Eindhoven   39       Sligro   
#[Out]# 62   42       Sligro      Kalverstraat  Amsterdam   42       Sligro   
#[Out]# 63   50       Sligro     Stationsplein      Breda   50       Sligro   
#[Out]# 
#[Out]#               street       city  
#[Out]# 0        Molenstraat  Eindhoven  
#[Out]# 1          Koestraat    Tilburg  
#[Out]# 2           Hofplein  Rotterdam  
#[Out]# 3      Stationsplein      Breda  
#[Out]# 4      Stationsplein      Breda  
#[Out]# 5         Hoogstraat    Utrecht  
#[Out]# 6         Bergselaan  Rotterdam  
#[Out]# 7      Ambachtstraat    Utrecht  
#[Out]# 8       Kalverstraat  Amsterdam  
#[Out]# 9     Stadhoudersweg  Rotterdam  
#[Out]# 10         Koestraat    Tilburg  
#[Out]# 11     Keizersgracht  Amsterdam  
#[Out]# 12       Karrestraat      Breda  
#[Out]# 13      Kasteeldreef    Tilburg  
#[Out]# 14       Parallelweg    Utrecht  
#[Out]# 15          Bierkaai  Amsterdam  
#[Out]# 16    Gasthuisstraat    Utrecht  
#[Out]# 17      Kasteeldreef    Tilburg  
#[Out]# 18     Julianastraat  Rotterdam  
#[Out]# 19       Parallelweg    Utrecht  
#[Out]# 20        Hoogstraat    Utrecht  
#[Out]# 21   Sint Annastraat      Breda  
#[Out]# 22     Stationsplein      Breda  
#[Out]# 23       Nieuwstraat  Eindhoven  
#[Out]# 24       Nieuwstraat  Eindhoven  
#[Out]# 25     Julianastraat  Eindhoven  
#[Out]# 26       Molenstraat  Eindhoven  
#[Out]# 27      Keizerstraat  Rotterdam  
#[Out]# 28  Rozemarijnstraat      Breda  
#[Out]# 29       Molenstraat  Eindhoven  
#[Out]# ..               ...        ...  
#[Out]# 34          Hofplein  Rotterdam  
#[Out]# 35      Kasteeldreef    Tilburg  
#[Out]# 36      Keizerstraat  Rotterdam  
#[Out]# 37    Stadhoudersweg  Rotterdam  
#[Out]# 38        Bergselaan  Rotterdam  
#[Out]# 39      Kasteeldreef    Tilburg  
#[Out]# 40          Molenweg  Eindhoven  
#[Out]# 41       Parallelweg  Eindhoven  
#[Out]# 42  Rozemarijnstraat      Breda  
#[Out]# 43     Poffertjesweg  Eindhoven  
#[Out]# 44     Stationstraat        Oss  
#[Out]# 45  Wilhelminastraat  Eindhoven  
#[Out]# 46     Prinsengracht  Amsterdam  
#[Out]# 47     Ambachtstraat    Utrecht  
#[Out]# 48     Prinsengracht  Amsterdam  
#[Out]# 49     Julianastraat    Utrecht  
#[Out]# 50     Julianastraat  Eindhoven  
#[Out]# 51        Bergselaan  Rotterdam  
#[Out]# 52       Nieuwstraat  Eindhoven  
#[Out]# 53      Pannekoekweg      Breda  
#[Out]# 54      Pannekoekweg      Breda  
#[Out]# 55    Stadhoudersweg  Rotterdam  
#[Out]# 56     Stationsplein      Breda  
#[Out]# 57  Wilhelminastraat  Eindhoven  
#[Out]# 58       Parallelweg    Tilburg  
#[Out]# 59      Kalverstraat  Amsterdam  
#[Out]# 60      Marnixstraat  Amsterdam  
#[Out]# 61       Dorpsstraat  Eindhoven  
#[Out]# 62      Kalverstraat  Amsterdam  
#[Out]# 63     Stationsplein      Breda  
#[Out]# 
#[Out]# [64 rows x 8 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT s1.sName, s1.sID
    FROM store AS s1, store AS s2
    WHERE s1.sName = s2.sName
    AND s1.sID = s2.sID
    ORDER BY s1.sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID
#[Out]# 0   Albert Hein    8
#[Out]# 1   Albert Hein    9
#[Out]# 2   Albert Hein   11
#[Out]# 3   Albert Hein   24
#[Out]# 4   Albert Hein   25
#[Out]# 5   Albert Hein   32
#[Out]# 6   Albert Hein   41
#[Out]# 7   Albert Hein   44
#[Out]# 8          Coop    0
#[Out]# 9          Coop    6
#[Out]# 10         Coop   13
#[Out]# 11         Coop   14
#[Out]# 12         Coop   19
#[Out]# 13         Coop   21
#[Out]# 14         Coop   31
#[Out]# 15         Coop   34
#[Out]# 16         Coop   43
#[Out]# 17         Coop   45
#[Out]# 18         Coop   47
#[Out]# 19         Coop   51
#[Out]# 20         Coop   53
#[Out]# 21         Coop   55
#[Out]# 22         Dirk   23
#[Out]# 23         Dirk   30
#[Out]# 24         Dirk   33
#[Out]# 25         Dirk   54
#[Out]# 26         Dirk   57
#[Out]# 27         Dirk   58
#[Out]# 28    Hoogvliet    1
#[Out]# 29    Hoogvliet    4
#[Out]# ..          ...  ...
#[Out]# 34    Hoogvliet   40
#[Out]# 35    Hoogvliet   48
#[Out]# 36    Hoogvliet   49
#[Out]# 37        Jumbo    2
#[Out]# 38        Jumbo   10
#[Out]# 39        Jumbo   20
#[Out]# 40        Jumbo   37
#[Out]# 41        Jumbo   56
#[Out]# 42        Jumbo   59
#[Out]# 43        Jumbo   62
#[Out]# 44        Jumbo   63
#[Out]# 45         Lidl   12
#[Out]# 46         Lidl   15
#[Out]# 47         Lidl   16
#[Out]# 48         Lidl   22
#[Out]# 49         Lidl   35
#[Out]# 50         Lidl   36
#[Out]# 51         Lidl   46
#[Out]# 52         Lidl   52
#[Out]# 53         Lidl   60
#[Out]# 54         Lidl   61
#[Out]# 55       Sligro    3
#[Out]# 56       Sligro    5
#[Out]# 57       Sligro    7
#[Out]# 58       Sligro   18
#[Out]# 59       Sligro   27
#[Out]# 60       Sligro   29
#[Out]# 61       Sligro   39
#[Out]# 62       Sligro   42
#[Out]# 63       Sligro   50
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    SELECT s1.sName, s1.sID
    FROM store
    WHERE sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName, sID
    FROM store
    WHERE sName = "Jumbo"
    '''

pd.read_sql_query(query4, conn)
#[Out]#    sName  sID
#[Out]# 0  Jumbo    2
#[Out]# 1  Jumbo   10
#[Out]# 2  Jumbo   20
#[Out]# 3  Jumbo   37
#[Out]# 4  Jumbo   56
#[Out]# 5  Jumbo   59
#[Out]# 6  Jumbo   62
#[Out]# 7  Jumbo   63
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT sName, sID
        FROM store
        WHERE sName = "Jumbo") as jumbo
    WHERE inventory.sID = jumbo.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     sID  pID        date  quantity  unit_price  sName  sID
#[Out]# 0     2    1  2018-08-25         2        5.35  Jumbo    2
#[Out]# 1     2    5  2018-08-24         7        0.50  Jumbo    2
#[Out]# 2     2    9  2018-08-16         7        1.70  Jumbo    2
#[Out]# 3     2   11  2018-08-23        21        1.00  Jumbo    2
#[Out]# 4     2   15  2018-08-18        10        1.05  Jumbo    2
#[Out]# 5     2   16  2018-08-23         0        2.00  Jumbo    2
#[Out]# 6     2   21  2018-08-24        35        2.10  Jumbo    2
#[Out]# 7     2   22  2018-08-22         7        2.00  Jumbo    2
#[Out]# 8     2   23  2018-08-15        15        2.40  Jumbo    2
#[Out]# 9     2   25  2018-08-18        38        3.25  Jumbo    2
#[Out]# 10    2   28  2018-08-25        49        7.75  Jumbo    2
#[Out]# 11   10    0  2018-08-16        18        5.30  Jumbo   10
#[Out]# 12   10    1  2018-08-18        47        5.70  Jumbo   10
#[Out]# 13   10    9  2018-08-21        45        1.75  Jumbo   10
#[Out]# 14   10   13  2018-08-15         5        2.90  Jumbo   10
#[Out]# 15   10   16  2018-08-17        12        2.10  Jumbo   10
#[Out]# 16   10   16  2018-08-22         2        1.50  Jumbo   10
#[Out]# 17   10   19  2018-08-19        35        2.70  Jumbo   10
#[Out]# 18   10   21  2018-08-15        18        1.75  Jumbo   10
#[Out]# 19   10   21  2018-08-21        37        2.25  Jumbo   10
#[Out]# 20   10   24  2018-08-16        15        3.65  Jumbo   10
#[Out]# 21   20    3  2018-08-24        10        1.40  Jumbo   20
#[Out]# 22   20    7  2018-08-26        16        1.65  Jumbo   20
#[Out]# 23   20   15  2018-08-15         2        1.30  Jumbo   20
#[Out]# 24   20   16  2018-08-17        21        2.10  Jumbo   20
#[Out]# 25   20   27  2018-08-17        17        6.85  Jumbo   20
#[Out]# 26   37    1  2018-08-24         2        5.25  Jumbo   37
#[Out]# 27   37    2  2018-08-18         1        2.25  Jumbo   37
#[Out]# 28   37    3  2018-08-15        22        1.50  Jumbo   37
#[Out]# 29   37    9  2018-08-22        26        1.45  Jumbo   37
#[Out]# ..  ...  ...         ...       ...         ...    ...  ...
#[Out]# 34   37   28  2018-08-24        11        9.30  Jumbo   37
#[Out]# 35   56    1  2018-08-23         1        4.40  Jumbo   56
#[Out]# 36   56    3  2018-08-16         9        1.55  Jumbo   56
#[Out]# 37   56    7  2018-08-15         5        2.40  Jumbo   56
#[Out]# 38   56    7  2018-08-20         1        2.10  Jumbo   56
#[Out]# 39   56    7  2018-08-22         3        2.35  Jumbo   56
#[Out]# 40   56    9  2018-08-16         5        1.70  Jumbo   56
#[Out]# 41   56   10  2018-08-22        53        0.50  Jumbo   56
#[Out]# 42   56   10  2018-08-27         1        0.60  Jumbo   56
#[Out]# 43   56   13  2018-08-17         2        4.15  Jumbo   56
#[Out]# 44   56   15  2018-08-16        16        1.10  Jumbo   56
#[Out]# 45   56   15  2018-08-21         5        1.00  Jumbo   56
#[Out]# 46   56   16  2018-08-24        37        2.00  Jumbo   56
#[Out]# 47   56   17  2018-08-18         5        2.10  Jumbo   56
#[Out]# 48   56   19  2018-08-16         1        2.25  Jumbo   56
#[Out]# 49   56   25  2018-08-23        19        4.35  Jumbo   56
#[Out]# 50   56   26  2018-08-20        14        3.25  Jumbo   56
#[Out]# 51   59    0  2018-08-17         1        3.90  Jumbo   59
#[Out]# 52   59    1  2018-08-26        36        6.20  Jumbo   59
#[Out]# 53   59    2  2018-08-18        52        1.65  Jumbo   59
#[Out]# 54   59    4  2018-08-27        15        0.90  Jumbo   59
#[Out]# 55   59    8  2018-08-20        10        5.45  Jumbo   59
#[Out]# 56   59   13  2018-08-20         1        4.00  Jumbo   59
#[Out]# 57   59   14  2018-08-26        10        3.50  Jumbo   59
#[Out]# 58   59   17  2018-08-18        12        2.15  Jumbo   59
#[Out]# 59   59   21  2018-08-15         5        2.20  Jumbo   59
#[Out]# 60   59   22  2018-08-24        30        2.15  Jumbo   59
#[Out]# 61   59   26  2018-08-18         4        3.00  Jumbo   59
#[Out]# 62   59   27  2018-08-25        27        7.60  Jumbo   59
#[Out]# 63   59   28  2018-08-25        16        9.55  Jumbo   59
#[Out]# 
#[Out]# [64 rows x 7 columns]
query4 = '''
    SELECT quantity
    FROM inventory, (
        SELECT sName, sID
        FROM store
        WHERE sName = "Jumbo") as jumbo
    WHERE inventory.sID = jumbo.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     quantity
#[Out]# 0          2
#[Out]# 1          7
#[Out]# 2          7
#[Out]# 3         21
#[Out]# 4         10
#[Out]# 5          0
#[Out]# 6         35
#[Out]# 7          7
#[Out]# 8         15
#[Out]# 9         38
#[Out]# 10        49
#[Out]# 11        18
#[Out]# 12        47
#[Out]# 13        45
#[Out]# 14         5
#[Out]# 15        12
#[Out]# 16         2
#[Out]# 17        35
#[Out]# 18        18
#[Out]# 19        37
#[Out]# 20        15
#[Out]# 21        10
#[Out]# 22        16
#[Out]# 23         2
#[Out]# 24        21
#[Out]# 25        17
#[Out]# 26         2
#[Out]# 27         1
#[Out]# 28        22
#[Out]# 29        26
#[Out]# ..       ...
#[Out]# 34        11
#[Out]# 35         1
#[Out]# 36         9
#[Out]# 37         5
#[Out]# 38         1
#[Out]# 39         3
#[Out]# 40         5
#[Out]# 41        53
#[Out]# 42         1
#[Out]# 43         2
#[Out]# 44        16
#[Out]# 45         5
#[Out]# 46        37
#[Out]# 47         5
#[Out]# 48         1
#[Out]# 49        19
#[Out]# 50        14
#[Out]# 51         1
#[Out]# 52        36
#[Out]# 53        52
#[Out]# 54        15
#[Out]# 55        10
#[Out]# 56         1
#[Out]# 57        10
#[Out]# 58        12
#[Out]# 59         5
#[Out]# 60        30
#[Out]# 61         4
#[Out]# 62        27
#[Out]# 63        16
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT sName, sID
        FROM store
        WHERE sName = "Jumbo") as jumbo
    WHERE inventory.sID = jumbo.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0        16.3125
query4 = '''
    SELECT quantity
    FROM inventory, (
        SELECT sName, sID
        FROM store
        WHERE sName = "Jumbo") as jumbo
    WHERE inventory.sID = jumbo.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     quantity
#[Out]# 0          2
#[Out]# 1          7
#[Out]# 2          7
#[Out]# 3         21
#[Out]# 4         10
#[Out]# 5          0
#[Out]# 6         35
#[Out]# 7          7
#[Out]# 8         15
#[Out]# 9         38
#[Out]# 10        49
#[Out]# 11        18
#[Out]# 12        47
#[Out]# 13        45
#[Out]# 14         5
#[Out]# 15        12
#[Out]# 16         2
#[Out]# 17        35
#[Out]# 18        18
#[Out]# 19        37
#[Out]# 20        15
#[Out]# 21        10
#[Out]# 22        16
#[Out]# 23         2
#[Out]# 24        21
#[Out]# 25        17
#[Out]# 26         2
#[Out]# 27         1
#[Out]# 28        22
#[Out]# 29        26
#[Out]# ..       ...
#[Out]# 34        11
#[Out]# 35         1
#[Out]# 36         9
#[Out]# 37         5
#[Out]# 38         1
#[Out]# 39         3
#[Out]# 40         5
#[Out]# 41        53
#[Out]# 42         1
#[Out]# 43         2
#[Out]# 44        16
#[Out]# 45         5
#[Out]# 46        37
#[Out]# 47         5
#[Out]# 48         1
#[Out]# 49        19
#[Out]# 50        14
#[Out]# 51         1
#[Out]# 52        36
#[Out]# 53        52
#[Out]# 54        15
#[Out]# 55        10
#[Out]# 56         1
#[Out]# 57        10
#[Out]# 58        12
#[Out]# 59         5
#[Out]# 60        30
#[Out]# 61         4
#[Out]# 62        27
#[Out]# 63        16
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT sName, sID
        FROM store
        WHERE sName = "Jumbo") as jumbo
    WHERE inventory.sID = jumbo.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#     sID  pID        date  quantity  unit_price  sName  sID
#[Out]# 0     2    1  2018-08-25         2        5.35  Jumbo    2
#[Out]# 1     2    5  2018-08-24         7        0.50  Jumbo    2
#[Out]# 2     2    9  2018-08-16         7        1.70  Jumbo    2
#[Out]# 3     2   11  2018-08-23        21        1.00  Jumbo    2
#[Out]# 4     2   15  2018-08-18        10        1.05  Jumbo    2
#[Out]# 5     2   16  2018-08-23         0        2.00  Jumbo    2
#[Out]# 6     2   21  2018-08-24        35        2.10  Jumbo    2
#[Out]# 7     2   22  2018-08-22         7        2.00  Jumbo    2
#[Out]# 8     2   23  2018-08-15        15        2.40  Jumbo    2
#[Out]# 9     2   25  2018-08-18        38        3.25  Jumbo    2
#[Out]# 10    2   28  2018-08-25        49        7.75  Jumbo    2
#[Out]# 11   10    0  2018-08-16        18        5.30  Jumbo   10
#[Out]# 12   10    1  2018-08-18        47        5.70  Jumbo   10
#[Out]# 13   10    9  2018-08-21        45        1.75  Jumbo   10
#[Out]# 14   10   13  2018-08-15         5        2.90  Jumbo   10
#[Out]# 15   10   16  2018-08-17        12        2.10  Jumbo   10
#[Out]# 16   10   16  2018-08-22         2        1.50  Jumbo   10
#[Out]# 17   10   19  2018-08-19        35        2.70  Jumbo   10
#[Out]# 18   10   21  2018-08-15        18        1.75  Jumbo   10
#[Out]# 19   10   21  2018-08-21        37        2.25  Jumbo   10
#[Out]# 20   10   24  2018-08-16        15        3.65  Jumbo   10
#[Out]# 21   20    3  2018-08-24        10        1.40  Jumbo   20
#[Out]# 22   20    7  2018-08-26        16        1.65  Jumbo   20
#[Out]# 23   20   15  2018-08-15         2        1.30  Jumbo   20
#[Out]# 24   20   16  2018-08-17        21        2.10  Jumbo   20
#[Out]# 25   20   27  2018-08-17        17        6.85  Jumbo   20
#[Out]# 26   37    1  2018-08-24         2        5.25  Jumbo   37
#[Out]# 27   37    2  2018-08-18         1        2.25  Jumbo   37
#[Out]# 28   37    3  2018-08-15        22        1.50  Jumbo   37
#[Out]# 29   37    9  2018-08-22        26        1.45  Jumbo   37
#[Out]# ..  ...  ...         ...       ...         ...    ...  ...
#[Out]# 34   37   28  2018-08-24        11        9.30  Jumbo   37
#[Out]# 35   56    1  2018-08-23         1        4.40  Jumbo   56
#[Out]# 36   56    3  2018-08-16         9        1.55  Jumbo   56
#[Out]# 37   56    7  2018-08-15         5        2.40  Jumbo   56
#[Out]# 38   56    7  2018-08-20         1        2.10  Jumbo   56
#[Out]# 39   56    7  2018-08-22         3        2.35  Jumbo   56
#[Out]# 40   56    9  2018-08-16         5        1.70  Jumbo   56
#[Out]# 41   56   10  2018-08-22        53        0.50  Jumbo   56
#[Out]# 42   56   10  2018-08-27         1        0.60  Jumbo   56
#[Out]# 43   56   13  2018-08-17         2        4.15  Jumbo   56
#[Out]# 44   56   15  2018-08-16        16        1.10  Jumbo   56
#[Out]# 45   56   15  2018-08-21         5        1.00  Jumbo   56
#[Out]# 46   56   16  2018-08-24        37        2.00  Jumbo   56
#[Out]# 47   56   17  2018-08-18         5        2.10  Jumbo   56
#[Out]# 48   56   19  2018-08-16         1        2.25  Jumbo   56
#[Out]# 49   56   25  2018-08-23        19        4.35  Jumbo   56
#[Out]# 50   56   26  2018-08-20        14        3.25  Jumbo   56
#[Out]# 51   59    0  2018-08-17         1        3.90  Jumbo   59
#[Out]# 52   59    1  2018-08-26        36        6.20  Jumbo   59
#[Out]# 53   59    2  2018-08-18        52        1.65  Jumbo   59
#[Out]# 54   59    4  2018-08-27        15        0.90  Jumbo   59
#[Out]# 55   59    8  2018-08-20        10        5.45  Jumbo   59
#[Out]# 56   59   13  2018-08-20         1        4.00  Jumbo   59
#[Out]# 57   59   14  2018-08-26        10        3.50  Jumbo   59
#[Out]# 58   59   17  2018-08-18        12        2.15  Jumbo   59
#[Out]# 59   59   21  2018-08-15         5        2.20  Jumbo   59
#[Out]# 60   59   22  2018-08-24        30        2.15  Jumbo   59
#[Out]# 61   59   26  2018-08-18         4        3.00  Jumbo   59
#[Out]# 62   59   27  2018-08-25        27        7.60  Jumbo   59
#[Out]# 63   59   28  2018-08-25        16        9.55  Jumbo   59
#[Out]# 
#[Out]# [64 rows x 7 columns]
query4 = '''
    SELECT quantity, sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      quantity        sName
#[Out]# 0          30  Albert Hein
#[Out]# 1          28  Albert Hein
#[Out]# 2          18  Albert Hein
#[Out]# 3          41  Albert Hein
#[Out]# 4          22  Albert Hein
#[Out]# 5          26  Albert Hein
#[Out]# 6           7  Albert Hein
#[Out]# 7          18  Albert Hein
#[Out]# 8          40  Albert Hein
#[Out]# 9          23  Albert Hein
#[Out]# 10          4  Albert Hein
#[Out]# 11         34  Albert Hein
#[Out]# 12         53  Albert Hein
#[Out]# 13         17  Albert Hein
#[Out]# 14         15  Albert Hein
#[Out]# 15         20  Albert Hein
#[Out]# 16         50  Albert Hein
#[Out]# 17         11  Albert Hein
#[Out]# 18         23  Albert Hein
#[Out]# 19          1  Albert Hein
#[Out]# 20         19  Albert Hein
#[Out]# 21         46  Albert Hein
#[Out]# 22          9  Albert Hein
#[Out]# 23         25  Albert Hein
#[Out]# 24         53  Albert Hein
#[Out]# 25         12  Albert Hein
#[Out]# 26          6  Albert Hein
#[Out]# 27         18  Albert Hein
#[Out]# 28         28  Albert Hein
#[Out]# 29         52  Albert Hein
#[Out]# ..        ...          ...
#[Out]# 799         2       Sligro
#[Out]# 800        10       Sligro
#[Out]# 801        17       Sligro
#[Out]# 802        10       Sligro
#[Out]# 803        18       Sligro
#[Out]# 804         5       Sligro
#[Out]# 805         1       Sligro
#[Out]# 806        12       Sligro
#[Out]# 807        12       Sligro
#[Out]# 808         4       Sligro
#[Out]# 809        11       Sligro
#[Out]# 810        16       Sligro
#[Out]# 811        14       Sligro
#[Out]# 812         5       Sligro
#[Out]# 813         7       Sligro
#[Out]# 814        16       Sligro
#[Out]# 815        14       Sligro
#[Out]# 816         1       Sligro
#[Out]# 817        15       Sligro
#[Out]# 818         5       Sligro
#[Out]# 819         9       Sligro
#[Out]# 820        10       Sligro
#[Out]# 821         4       Sligro
#[Out]# 822        16       Sligro
#[Out]# 823         7       Sligro
#[Out]# 824        14       Sligro
#[Out]# 825         1       Sligro
#[Out]# 826         1       Sligro
#[Out]# 827        13       Sligro
#[Out]# 828         7       Sligro
#[Out]# 
#[Out]# [829 rows x 2 columns]
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity) sName
#[Out]# 0      18.342581  Coop
query4 = '''
    SELECT AVG(quantity)
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)
#[Out]# 0      18.342581
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)        sName
#[Out]# 0      18.008475  Albert Hein
#[Out]# 1      16.695000         Coop
#[Out]# 2      20.884615         Dirk
#[Out]# 3      16.898438    Hoogvliet
#[Out]# 4      16.312500        Jumbo
#[Out]# 5      25.048077         Lidl
#[Out]# 6      16.795620       Sligro
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity) sName
#[Out]# 0      18.342581  Coop
query4 = '''
    SELECT AVG(quantity), sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    AVG(quantity)        sName
#[Out]# 0      18.008475  Albert Hein
#[Out]# 1      16.695000         Coop
#[Out]# 2      20.884615         Dirk
#[Out]# 3      16.898438    Hoogvliet
#[Out]# 4      16.312500        Jumbo
#[Out]# 5      25.048077         Lidl
#[Out]# 6      16.795620       Sligro
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    '''

pd.read_sql_query(query4, conn)
#[Out]#    sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0   44   28  2018-08-27        32        6.90  Albert Hein   44
#[Out]# 1   55   28  2018-08-24        15        7.25         Coop   55
#[Out]# 2   58   27  2018-08-16        54        9.45         Dirk   58
#[Out]# 3   49   27  2018-08-21         7        8.95    Hoogvliet   49
#[Out]# 4   59   28  2018-08-25        16        9.55        Jumbo   59
#[Out]# 5   60   19  2018-07-10       525        1.75         Lidl   60
#[Out]# 6   50   26  2018-08-19        43        3.10       Sligro   50
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    '''

pd.read_sql_query(query4, conn)
#[Out]#      sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0     25   12  2018-08-24        30       14.80  Albert Hein   25
#[Out]# 1      9   19  2018-08-22        28        2.50  Albert Hein    9
#[Out]# 2     24   26  2018-08-25        18        2.90  Albert Hein   24
#[Out]# 3     32   18  2018-08-21        41       11.85  Albert Hein   32
#[Out]# 4     32    2  2018-08-15        22        2.35  Albert Hein   32
#[Out]# 5      8   10  2018-08-27        26        0.50  Albert Hein    8
#[Out]# 6      8   11  2018-08-24         7        0.95  Albert Hein    8
#[Out]# 7     32   13  2018-08-21        18        4.05  Albert Hein   32
#[Out]# 8      9   25  2018-08-17        40        4.25  Albert Hein    9
#[Out]# 9     44   17  2018-08-25        23        2.00  Albert Hein   44
#[Out]# 10    41   22  2018-08-26         4        1.95  Albert Hein   41
#[Out]# 11     9   26  2018-08-22        34        2.80  Albert Hein    9
#[Out]# 12     8   16  2018-08-18        53        2.05  Albert Hein    8
#[Out]# 13    11   24  2018-08-17        17        3.30  Albert Hein   11
#[Out]# 14    41   18  2018-08-19        15       11.75  Albert Hein   41
#[Out]# 15    24   24  2018-08-17        20        3.10  Albert Hein   24
#[Out]# 16     8    4  2018-08-16        50        0.85  Albert Hein    8
#[Out]# 17    25   28  2018-08-18        11        7.45  Albert Hein   25
#[Out]# 18    44    9  2018-08-25        23        1.60  Albert Hein   44
#[Out]# 19    44   23  2018-08-22         1        2.40  Albert Hein   44
#[Out]# 20    24   14  2018-08-21        19        3.20  Albert Hein   24
#[Out]# 21     8   23  2018-08-26        46        1.80  Albert Hein    8
#[Out]# 22    44   13  2018-08-15         9        3.60  Albert Hein   44
#[Out]# 23     8   24  2018-08-21        25        3.70  Albert Hein    8
#[Out]# 24    41    1  2018-08-23        53        4.60  Albert Hein   41
#[Out]# 25    41   14  2018-08-27        12        4.00  Albert Hein   41
#[Out]# 26    32   21  2018-08-22         6        1.60  Albert Hein   32
#[Out]# 27    41    4  2018-08-15        18        1.15  Albert Hein   41
#[Out]# 28     9    7  2018-08-19        28        2.30  Albert Hein    9
#[Out]# 29    41   21  2018-08-21        52        2.05  Albert Hein   41
#[Out]# ..   ...  ...         ...       ...         ...          ...  ...
#[Out]# 799   27   12  2018-08-26         2       12.65       Sligro   27
#[Out]# 800    3   14  2018-08-26        10        4.50       Sligro    3
#[Out]# 801   50    1  2018-08-27        17        5.35       Sligro   50
#[Out]# 802   29   20  2018-08-16        10        2.10       Sligro   29
#[Out]# 803    3    0  2018-08-24        18        4.85       Sligro    3
#[Out]# 804   50   15  2018-08-19         5        1.30       Sligro   50
#[Out]# 805    5    3  2018-08-21         1        1.40       Sligro    5
#[Out]# 806    3   21  2018-08-15        12        1.70       Sligro    3
#[Out]# 807   18   24  2018-08-15        12        4.05       Sligro   18
#[Out]# 808   29   12  2018-08-18         4       13.65       Sligro   29
#[Out]# 809   29   20  2018-08-24        11        2.05       Sligro   29
#[Out]# 810   18   10  2018-08-26        16        0.50       Sligro   18
#[Out]# 811    7   22  2018-08-22        14        1.50       Sligro    7
#[Out]# 812    3    0  2018-08-25         5        3.75       Sligro    3
#[Out]# 813    7   27  2018-08-25         7        9.25       Sligro    7
#[Out]# 814   29   20  2018-08-17        16        2.35       Sligro   29
#[Out]# 815   27   28  2018-08-15        14        7.55       Sligro   27
#[Out]# 816   42   20  2018-08-20         1        2.00       Sligro   42
#[Out]# 817    3   16  2018-08-26        15        1.90       Sligro    3
#[Out]# 818   18    7  2018-08-26         5        1.85       Sligro   18
#[Out]# 819   18   28  2018-08-22         9        8.70       Sligro   18
#[Out]# 820   39   15  2018-08-18        10        1.00       Sligro   39
#[Out]# 821   18   19  2018-08-19         4        2.25       Sligro   18
#[Out]# 822    3   11  2018-08-20        16        1.15       Sligro    3
#[Out]# 823   18   28  2018-08-16         7        7.70       Sligro   18
#[Out]# 824   27   28  2018-08-19        14        8.10       Sligro   27
#[Out]# 825   27   21  2018-08-27         1        2.00       Sligro   27
#[Out]# 826    5   18  2018-08-28         1        9.70       Sligro    5
#[Out]# 827    5    3  2018-08-28        13        1.30       Sligro    5
#[Out]# 828   27   10  2018-08-20         7        0.55       Sligro   27
#[Out]# 
#[Out]# [829 rows x 7 columns]
query4 = '''
    SELECT sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    AND HAVING AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    AND AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    HAVING AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT *
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
#[Out]#    sID  pID        date  quantity  unit_price        sName  sID
#[Out]# 0   44   28  2018-08-27        32        6.90  Albert Hein   44
#[Out]# 1   55   28  2018-08-24        15        7.25         Coop   55
#[Out]# 2   58   27  2018-08-16        54        9.45         Dirk   58
#[Out]# 3   49   27  2018-08-21         7        8.95    Hoogvliet   49
#[Out]# 4   59   28  2018-08-25        16        9.55        Jumbo   59
#[Out]# 5   60   19  2018-07-10       525        1.75         Lidl   60
#[Out]# 6   50   26  2018-08-19        43        3.10       Sligro   50
query4 = '''
    SELECT sName
    FROM inventory, (
        SELECT s1.sName, s1.sID
        FROM store AS s1, store AS s2
        WHERE s1.sName = s2.sName
        AND s1.sID = s2.sID
        ORDER BY s1.sName) AS store_chain
    WHERE inventory.sID = store_chain.sID
    GROUP BY sName
    HAVING AVG(quantity) > 4
    '''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
