# IPython log file

query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    SELECT pID
    FROM PURCHASE 
    GROUP BY pID
    HAVING COUNT(cID) < 3
'''




pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName  pID        date
#[Out]# 0      0     Noah   10  2018-08-22
#[Out]# 1      1      Sem   26  2018-08-20
#[Out]# 2      1      Sem   27  2018-08-21
#[Out]# 3      2    Lucas   20  2018-08-16
#[Out]# 4      2    Lucas   22  2018-08-17
#[Out]# 5      3     Finn   14  2018-08-18
#[Out]# 6      3     Finn    9  2018-08-19
#[Out]# 7      4     Daan    6  2018-08-24
#[Out]# 8      4     Daan   26  2018-08-25
#[Out]# 9      5     Levi   14  2018-08-17
#[Out]# 10     5     Levi   28  2018-08-22
#[Out]# 11     5     Levi   19  2018-08-23
#[Out]# 12     7     Bram    2  2018-08-23
#[Out]# 13     7     Bram   16  2018-08-24
#[Out]# 14     7     Bram   12  2018-08-25
#[Out]# 15     7     Bram   20  2018-08-26
#[Out]# 16     8     Liam    8  2018-08-16
#[Out]# 17    10      Sam   24  2018-08-27
#[Out]# 18    11    Thijs   14  2018-08-25
#[Out]# 19    13    James    8  2018-08-17
#[Out]# 20    13    James    3  2018-08-25
#[Out]# 21    13    James    9  2018-08-26
#[Out]# 22    13    James    5  2018-08-27
#[Out]# 23    15     Noud   11  2018-08-27
#[Out]# 24    16   Julian   13  2018-08-18
#[Out]# 25    16   Julian   27  2018-08-19
#[Out]# 26    16   Julian   21  2018-08-24
#[Out]# 27    16   Julian   23  2018-08-25
#[Out]# 28    16   Julian   19  2018-08-26
#[Out]# 29    16   Julian   16  2018-08-27
#[Out]# ..   ...      ...  ...         ...
#[Out]# 255  178     Elif   24  2018-08-27
#[Out]# 256  179     Juul   16  2018-08-22
#[Out]# 257  179     Juul   10  2018-08-23
#[Out]# 258  179     Juul   17  2018-08-24
#[Out]# 259  180    Merel   26  2018-08-26
#[Out]# 260  180    Merel   10  2018-08-27
#[Out]# 261  181     Liva    6  2018-08-24
#[Out]# 262  181     Liva   21  2018-08-27
#[Out]# 263  182  Johanna   13  2018-08-23
#[Out]# 264  182  Johanna    3  2018-08-28
#[Out]# 265  184    Wilko    0  2018-08-20
#[Out]# 266  185     Nick   29  2018-08-20
#[Out]# 267  186   Angela   29  2018-08-21
#[Out]# 268  188     Pino   30  2018-08-20
#[Out]# 269  188     Pino   30  2018-09-20
#[Out]# 270  189     Koen    7  2018-08-25
#[Out]# 271  189     Koen   19  2018-08-26
#[Out]# 272  190   Kostas   11  2018-08-15
#[Out]# 273  190   Kostas    9  2018-08-16
#[Out]# 274  190   Kostas   11  2018-08-17
#[Out]# 275  190   Kostas    8  2018-08-18
#[Out]# 276  190   Kostas    2  2018-08-19
#[Out]# 277  190   Kostas   28  2018-08-20
#[Out]# 278  190   Kostas   18  2018-08-21
#[Out]# 279  190   Kostas   15  2018-08-22
#[Out]# 280  190   Kostas   19  2018-08-23
#[Out]# 281  190   Kostas    7  2018-08-24
#[Out]# 282  190   Kostas    0  2018-08-25
#[Out]# 283  190   Kostas   17  2018-08-26
#[Out]# 284  190   Kostas    5  2018-08-27
#[Out]# 
#[Out]# [285 rows x 4 columns]
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName  pID        date
#[Out]# 0      0     Noah   10  2018-08-22
#[Out]# 1      1      Sem   26  2018-08-20
#[Out]# 2      1      Sem   27  2018-08-21
#[Out]# 3      2    Lucas   20  2018-08-16
#[Out]# 4      2    Lucas   22  2018-08-17
#[Out]# 5      3     Finn   14  2018-08-18
#[Out]# 6      3     Finn    9  2018-08-19
#[Out]# 7      4     Daan    6  2018-08-24
#[Out]# 8      4     Daan   26  2018-08-25
#[Out]# 9      5     Levi   14  2018-08-17
#[Out]# 10     5     Levi   28  2018-08-22
#[Out]# 11     5     Levi   19  2018-08-23
#[Out]# 12     7     Bram    2  2018-08-23
#[Out]# 13     7     Bram   16  2018-08-24
#[Out]# 14     7     Bram   12  2018-08-25
#[Out]# 15     7     Bram   20  2018-08-26
#[Out]# 16     8     Liam    8  2018-08-16
#[Out]# 17    10      Sam   24  2018-08-27
#[Out]# 18    11    Thijs   14  2018-08-25
#[Out]# 19    13    James    8  2018-08-17
#[Out]# 20    13    James    3  2018-08-25
#[Out]# 21    13    James    9  2018-08-26
#[Out]# 22    13    James    5  2018-08-27
#[Out]# 23    15     Noud   11  2018-08-27
#[Out]# 24    16   Julian   13  2018-08-18
#[Out]# 25    16   Julian   27  2018-08-19
#[Out]# 26    16   Julian   21  2018-08-24
#[Out]# 27    16   Julian   23  2018-08-25
#[Out]# 28    16   Julian   19  2018-08-26
#[Out]# 29    16   Julian   16  2018-08-27
#[Out]# ..   ...      ...  ...         ...
#[Out]# 255  178     Elif   24  2018-08-27
#[Out]# 256  179     Juul   16  2018-08-22
#[Out]# 257  179     Juul   10  2018-08-23
#[Out]# 258  179     Juul   17  2018-08-24
#[Out]# 259  180    Merel   26  2018-08-26
#[Out]# 260  180    Merel   10  2018-08-27
#[Out]# 261  181     Liva    6  2018-08-24
#[Out]# 262  181     Liva   21  2018-08-27
#[Out]# 263  182  Johanna   13  2018-08-23
#[Out]# 264  182  Johanna    3  2018-08-28
#[Out]# 265  184    Wilko    0  2018-08-20
#[Out]# 266  185     Nick   29  2018-08-20
#[Out]# 267  186   Angela   29  2018-08-21
#[Out]# 268  188     Pino   30  2018-08-20
#[Out]# 269  188     Pino   30  2018-09-20
#[Out]# 270  189     Koen    7  2018-08-25
#[Out]# 271  189     Koen   19  2018-08-26
#[Out]# 272  190   Kostas   11  2018-08-15
#[Out]# 273  190   Kostas    9  2018-08-16
#[Out]# 274  190   Kostas   11  2018-08-17
#[Out]# 275  190   Kostas    8  2018-08-18
#[Out]# 276  190   Kostas    2  2018-08-19
#[Out]# 277  190   Kostas   28  2018-08-20
#[Out]# 278  190   Kostas   18  2018-08-21
#[Out]# 279  190   Kostas   15  2018-08-22
#[Out]# 280  190   Kostas   19  2018-08-23
#[Out]# 281  190   Kostas    7  2018-08-24
#[Out]# 282  190   Kostas    0  2018-08-25
#[Out]# 283  190   Kostas   17  2018-08-26
#[Out]# 284  190   Kostas    5  2018-08-27
#[Out]# 
#[Out]# [285 rows x 4 columns]
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    HAVING pName = 'Onions' OR pName = 'Coffee'
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    16   Julian   21  2018-08-24
#[Out]# 1    29    Ruben    4  2018-08-24
#[Out]# 2    31  Olivier    4  2018-08-27
#[Out]# 3    33     Sven    4  2018-08-18
#[Out]# 4    42     Tijn   21  2018-08-18
#[Out]# 5    59     Joep   21  2018-08-15
#[Out]# 6    59     Joep    4  2018-08-25
#[Out]# 7    85   Pieter    4  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9   111   Lauren   21  2018-08-22
#[Out]# 10  129    Esmee    4  2018-08-24
#[Out]# 11  162    Elena    4  2018-08-21
#[Out]# 12  169     Lily   21  2018-08-16
#[Out]# 13  169     Lily    4  2018-08-20
#[Out]# 14  171    Tessa   21  2018-08-20
#[Out]# 15  172     Lana    4  2018-08-27
#[Out]# 16  175      Sam   21  2018-08-20
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID,  date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    16   Julian   21  2018-08-24
#[Out]# 1    29    Ruben    4  2018-08-24
#[Out]# 2    31  Olivier    4  2018-08-27
#[Out]# 3    33     Sven    4  2018-08-18
#[Out]# 4    42     Tijn   21  2018-08-18
#[Out]# 5    59     Joep   21  2018-08-15
#[Out]# 6    59     Joep    4  2018-08-25
#[Out]# 7    85   Pieter    4  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9   111   Lauren   21  2018-08-22
#[Out]# 10  129    Esmee    4  2018-08-24
#[Out]# 11  162    Elena    4  2018-08-21
#[Out]# 12  169     Lily   21  2018-08-16
#[Out]# 13  169     Lily    4  2018-08-20
#[Out]# 14  171    Tessa   21  2018-08-20
#[Out]# 15  172     Lana    4  2018-08-27
#[Out]# 16  175      Sam   21  2018-08-20
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   108     Noor   21  2018-08-15
#[Out]# 2   169     Lily   21  2018-08-16
#[Out]# 3     2    Lucas    4  2018-08-17
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    85   Pieter    4  2018-08-18
#[Out]# 7    86     Stef   21  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10  152     Anne   21  2018-08-20
#[Out]# 11  169     Lily    4  2018-08-20
#[Out]# 12  171    Tessa   21  2018-08-20
#[Out]# 13  175      Sam   21  2018-08-20
#[Out]# 14  190   Kostas   21  2018-08-20
#[Out]# 15  162    Elena    4  2018-08-21
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  190   Kostas   21  2018-08-22
#[Out]# 20  165    Hanna    4  2018-08-23
#[Out]# 21   16   Julian   21  2018-08-24
#[Out]# 22   29    Ruben    4  2018-08-24
#[Out]# 23  129    Esmee    4  2018-08-24
#[Out]# 24   52   Willem    4  2018-08-25
#[Out]# 25   59     Joep    4  2018-08-25
#[Out]# 26   92    Jelte   21  2018-08-25
#[Out]# 27   97   Sophie   21  2018-08-25
#[Out]# 28  122     Elin   21  2018-08-25
#[Out]# 29  124    Sofie    4  2018-08-26
#[Out]# 30  124    Sofie   21  2018-08-26
#[Out]# 31  176    Amira   21  2018-08-26
#[Out]# 32  190   Kostas    4  2018-08-26
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34   31  Olivier    4  2018-08-27
#[Out]# 35  172     Lana    4  2018-08-27
#[Out]# 36  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   169     Lily   21  2018-08-16
#[Out]# 2    33     Sven    4  2018-08-18
#[Out]# 3    42     Tijn   21  2018-08-18
#[Out]# 4    85   Pieter    4  2018-08-18
#[Out]# 5   110     Saar   21  2018-08-18
#[Out]# 6   169     Lily    4  2018-08-20
#[Out]# 7   171    Tessa   21  2018-08-20
#[Out]# 8   175      Sam   21  2018-08-20
#[Out]# 9   162    Elena    4  2018-08-21
#[Out]# 10  111   Lauren   21  2018-08-22
#[Out]# 11  176    Amira    4  2018-08-22
#[Out]# 12  177    Eline    4  2018-08-22
#[Out]# 13   16   Julian   21  2018-08-24
#[Out]# 14   29    Ruben    4  2018-08-24
#[Out]# 15  129    Esmee    4  2018-08-24
#[Out]# 16   59     Joep    4  2018-08-25
#[Out]# 17   31  Olivier    4  2018-08-27
#[Out]# 18  172     Lana    4  2018-08-27
#[Out]# 19  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   108     Noor   21  2018-08-15
#[Out]# 2   169     Lily   21  2018-08-16
#[Out]# 3     2    Lucas    4  2018-08-17
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    85   Pieter    4  2018-08-18
#[Out]# 7    86     Stef   21  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10  152     Anne   21  2018-08-20
#[Out]# 11  169     Lily    4  2018-08-20
#[Out]# 12  171    Tessa   21  2018-08-20
#[Out]# 13  175      Sam   21  2018-08-20
#[Out]# 14  190   Kostas   21  2018-08-20
#[Out]# 15  162    Elena    4  2018-08-21
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  190   Kostas   21  2018-08-22
#[Out]# 20  165    Hanna    4  2018-08-23
#[Out]# 21   16   Julian   21  2018-08-24
#[Out]# 22   29    Ruben    4  2018-08-24
#[Out]# 23  129    Esmee    4  2018-08-24
#[Out]# 24   52   Willem    4  2018-08-25
#[Out]# 25   59     Joep    4  2018-08-25
#[Out]# 26   92    Jelte   21  2018-08-25
#[Out]# 27   97   Sophie   21  2018-08-25
#[Out]# 28  122     Elin   21  2018-08-25
#[Out]# 29  124    Sofie    4  2018-08-26
#[Out]# 30  124    Sofie   21  2018-08-26
#[Out]# 31  176    Amira   21  2018-08-26
#[Out]# 32  190   Kostas    4  2018-08-26
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34   31  Olivier    4  2018-08-27
#[Out]# 35  172     Lana    4  2018-08-27
#[Out]# 36  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   108     Noor   21  2018-08-15
#[Out]# 2   169     Lily   21  2018-08-16
#[Out]# 3     2    Lucas    4  2018-08-17
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    85   Pieter    4  2018-08-18
#[Out]# 7    86     Stef   21  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10  152     Anne   21  2018-08-20
#[Out]# 11  169     Lily    4  2018-08-20
#[Out]# 12  171    Tessa   21  2018-08-20
#[Out]# 13  175      Sam   21  2018-08-20
#[Out]# 14  190   Kostas   21  2018-08-20
#[Out]# 15  162    Elena    4  2018-08-21
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  190   Kostas   21  2018-08-22
#[Out]# 20  165    Hanna    4  2018-08-23
#[Out]# 21   16   Julian   21  2018-08-24
#[Out]# 22   29    Ruben    4  2018-08-24
#[Out]# 23  129    Esmee    4  2018-08-24
#[Out]# 24   52   Willem    4  2018-08-25
#[Out]# 25   59     Joep    4  2018-08-25
#[Out]# 26   92    Jelte   21  2018-08-25
#[Out]# 27   97   Sophie   21  2018-08-25
#[Out]# 28  122     Elin   21  2018-08-25
#[Out]# 29  124    Sofie    4  2018-08-26
#[Out]# 30  124    Sofie   21  2018-08-26
#[Out]# 31  176    Amira   21  2018-08-26
#[Out]# 32  190   Kostas    4  2018-08-26
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34   31  Olivier    4  2018-08-27
#[Out]# 35  172     Lana    4  2018-08-27
#[Out]# 36  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   108     Noor   21  2018-08-15
#[Out]# 2   169     Lily   21  2018-08-16
#[Out]# 3     2    Lucas    4  2018-08-17
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    85   Pieter    4  2018-08-18
#[Out]# 7    86     Stef   21  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10  152     Anne   21  2018-08-20
#[Out]# 11  169     Lily    4  2018-08-20
#[Out]# 12  171    Tessa   21  2018-08-20
#[Out]# 13  175      Sam   21  2018-08-20
#[Out]# 14  190   Kostas   21  2018-08-20
#[Out]# 15  162    Elena    4  2018-08-21
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  190   Kostas   21  2018-08-22
#[Out]# 20  165    Hanna    4  2018-08-23
#[Out]# 21   16   Julian   21  2018-08-24
#[Out]# 22   29    Ruben    4  2018-08-24
#[Out]# 23  129    Esmee    4  2018-08-24
#[Out]# 24   52   Willem    4  2018-08-25
#[Out]# 25   59     Joep    4  2018-08-25
#[Out]# 26   92    Jelte   21  2018-08-25
#[Out]# 27   97   Sophie   21  2018-08-25
#[Out]# 28  122     Elin   21  2018-08-25
#[Out]# 29  124    Sofie    4  2018-08-26
#[Out]# 30  124    Sofie   21  2018-08-26
#[Out]# 31  176    Amira   21  2018-08-26
#[Out]# 32  190   Kostas    4  2018-08-26
#[Out]# 33  190   Kostas   21  2018-08-26
#[Out]# 34   31  Olivier    4  2018-08-27
#[Out]# 35  172     Lana    4  2018-08-27
#[Out]# 36  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    59     Joep   21  2018-08-15
#[Out]# 1   169     Lily   21  2018-08-16
#[Out]# 2    33     Sven    4  2018-08-18
#[Out]# 3    42     Tijn   21  2018-08-18
#[Out]# 4    85   Pieter    4  2018-08-18
#[Out]# 5   110     Saar   21  2018-08-18
#[Out]# 6   169     Lily    4  2018-08-20
#[Out]# 7   171    Tessa   21  2018-08-20
#[Out]# 8   175      Sam   21  2018-08-20
#[Out]# 9   162    Elena    4  2018-08-21
#[Out]# 10  111   Lauren   21  2018-08-22
#[Out]# 11  176    Amira    4  2018-08-22
#[Out]# 12  177    Eline    4  2018-08-22
#[Out]# 13   16   Julian   21  2018-08-24
#[Out]# 14   29    Ruben    4  2018-08-24
#[Out]# 15  129    Esmee    4  2018-08-24
#[Out]# 16   59     Joep    4  2018-08-25
#[Out]# 17   31  Olivier    4  2018-08-27
#[Out]# 18  172     Lana    4  2018-08-27
#[Out]# 19  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    ORDER BY date
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING (pName = 'Onions' AND pName = 'Coffee')
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY date
    HAVING (pName = 'Onions' AND pName = 'Coffee')
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID
    HAVING (pName = 'Onions' AND pName = 'Coffee')
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffe'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID

    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, PURCHASE.date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PURCHASE.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = 'Onions' AND pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, pID, date]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = 'Onions' OR pName = 'Coffee'
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0    16   Julian   21  2018-08-24
#[Out]# 1    29    Ruben    4  2018-08-24
#[Out]# 2    31  Olivier    4  2018-08-27
#[Out]# 3    33     Sven    4  2018-08-18
#[Out]# 4    42     Tijn   21  2018-08-18
#[Out]# 5    59     Joep   21  2018-08-15
#[Out]# 6    59     Joep    4  2018-08-25
#[Out]# 7    85   Pieter    4  2018-08-18
#[Out]# 8   110     Saar   21  2018-08-18
#[Out]# 9   111   Lauren   21  2018-08-22
#[Out]# 10  129    Esmee    4  2018-08-24
#[Out]# 11  162    Elena    4  2018-08-21
#[Out]# 12  169     Lily   21  2018-08-16
#[Out]# 13  169     Lily    4  2018-08-20
#[Out]# 14  171    Tessa   21  2018-08-20
#[Out]# 15  172     Lana    4  2018-08-27
#[Out]# 16  175      Sam   21  2018-08-20
#[Out]# 17  176    Amira    4  2018-08-22
#[Out]# 18  177    Eline    4  2018-08-22
#[Out]# 19  181     Liva   21  2018-08-27
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE PURCHASE.pID IN (
    SELECT pID
    FROM PRODUCT
    WHERE pName = "Onions" OR pName = "Coffee") AND PURCHASE.date
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE PURCHASE.pID IN (
    SELECT pID
    FROM PRODUCT
    WHERE pName = "Onions" OR pName = "Coffee") AND PURCHASE.date
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep   21  2018-08-15
#[Out]# 8    59     Joep    4  2018-08-25
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie   21  2018-08-26
#[Out]# 19  129    Esmee    4  2018-08-24
#[Out]# 20  152     Anne   21  2018-08-20
#[Out]# 21  162    Elena    4  2018-08-21
#[Out]# 22  165    Hanna    4  2018-08-23
#[Out]# 23  169     Lily   21  2018-08-16
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  171    Tessa   21  2018-08-20
#[Out]# 26  172     Lana    4  2018-08-27
#[Out]# 27  175      Sam   21  2018-08-20
#[Out]# 28  176    Amira    4  2018-08-22
#[Out]# 29  176    Amira   21  2018-08-26
#[Out]# 30  177    Eline    4  2018-08-22
#[Out]# 31  181     Liva   21  2018-08-27
#[Out]# 32  190   Kostas   21  2018-08-20
#[Out]# 33  190   Kostas   21  2018-08-22
#[Out]# 34  190   Kostas    4  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE PURCHASE.pID IN (
    SELECT pID
    FROM PRODUCT
    WHERE pName = "Onions" OR pName = "Coffee") AND PURCHASE.date
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  pID        date
#[Out]# 0     2    Lucas    4  2018-08-17
#[Out]# 1    16   Julian   21  2018-08-24
#[Out]# 2    29    Ruben    4  2018-08-24
#[Out]# 3    31  Olivier    4  2018-08-27
#[Out]# 4    33     Sven    4  2018-08-18
#[Out]# 5    42     Tijn   21  2018-08-18
#[Out]# 6    52   Willem    4  2018-08-25
#[Out]# 7    59     Joep    4  2018-08-25
#[Out]# 8    59     Joep   21  2018-08-15
#[Out]# 9    82    Dylan   21  2018-08-19
#[Out]# 10   85   Pieter    4  2018-08-18
#[Out]# 11   86     Stef   21  2018-08-18
#[Out]# 12   92    Jelte   21  2018-08-25
#[Out]# 13   97   Sophie   21  2018-08-25
#[Out]# 14  108     Noor   21  2018-08-15
#[Out]# 15  110     Saar   21  2018-08-18
#[Out]# 16  111   Lauren   21  2018-08-22
#[Out]# 17  122     Elin   21  2018-08-25
#[Out]# 18  124    Sofie    4  2018-08-26
#[Out]# 19  124    Sofie   21  2018-08-26
#[Out]# 20  129    Esmee    4  2018-08-24
#[Out]# 21  152     Anne   21  2018-08-20
#[Out]# 22  162    Elena    4  2018-08-21
#[Out]# 23  165    Hanna    4  2018-08-23
#[Out]# 24  169     Lily    4  2018-08-20
#[Out]# 25  169     Lily   21  2018-08-16
#[Out]# 26  171    Tessa   21  2018-08-20
#[Out]# 27  172     Lana    4  2018-08-27
#[Out]# 28  175      Sam   21  2018-08-20
#[Out]# 29  176    Amira    4  2018-08-22
#[Out]# 30  176    Amira   21  2018-08-26
#[Out]# 31  177    Eline    4  2018-08-22
#[Out]# 32  181     Liva   21  2018-08-27
#[Out]# 33  190   Kostas    4  2018-08-26
#[Out]# 34  190   Kostas   21  2018-08-20
#[Out]# 35  190   Kostas   21  2018-08-22
#[Out]# 36  190   Kostas   21  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, PRODUCT.pID, date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID,  date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName  pID        date
#[Out]# 0      0     Noah   10  2018-08-22
#[Out]# 1      1      Sem   26  2018-08-20
#[Out]# 2      1      Sem   27  2018-08-21
#[Out]# 3      2    Lucas   20  2018-08-16
#[Out]# 4      2    Lucas   22  2018-08-17
#[Out]# 5      3     Finn   14  2018-08-18
#[Out]# 6      3     Finn    9  2018-08-19
#[Out]# 7      4     Daan    6  2018-08-24
#[Out]# 8      4     Daan   26  2018-08-25
#[Out]# 9      5     Levi   14  2018-08-17
#[Out]# 10     5     Levi   28  2018-08-22
#[Out]# 11     5     Levi   19  2018-08-23
#[Out]# 12     7     Bram    2  2018-08-23
#[Out]# 13     7     Bram   16  2018-08-24
#[Out]# 14     7     Bram   12  2018-08-25
#[Out]# 15     7     Bram   20  2018-08-26
#[Out]# 16     8     Liam    8  2018-08-16
#[Out]# 17    10      Sam   24  2018-08-27
#[Out]# 18    11    Thijs   14  2018-08-25
#[Out]# 19    13    James    8  2018-08-17
#[Out]# 20    13    James    3  2018-08-25
#[Out]# 21    13    James    9  2018-08-26
#[Out]# 22    13    James    5  2018-08-27
#[Out]# 23    15     Noud   11  2018-08-27
#[Out]# 24    16   Julian   13  2018-08-18
#[Out]# 25    16   Julian   27  2018-08-19
#[Out]# 26    16   Julian   21  2018-08-24
#[Out]# 27    16   Julian   23  2018-08-25
#[Out]# 28    16   Julian   19  2018-08-26
#[Out]# 29    16   Julian   16  2018-08-27
#[Out]# ..   ...      ...  ...         ...
#[Out]# 255  178     Elif   24  2018-08-27
#[Out]# 256  179     Juul   16  2018-08-22
#[Out]# 257  179     Juul   10  2018-08-23
#[Out]# 258  179     Juul   17  2018-08-24
#[Out]# 259  180    Merel   26  2018-08-26
#[Out]# 260  180    Merel   10  2018-08-27
#[Out]# 261  181     Liva    6  2018-08-24
#[Out]# 262  181     Liva   21  2018-08-27
#[Out]# 263  182  Johanna   13  2018-08-23
#[Out]# 264  182  Johanna    3  2018-08-28
#[Out]# 265  184    Wilko    0  2018-08-20
#[Out]# 266  185     Nick   29  2018-08-20
#[Out]# 267  186   Angela   29  2018-08-21
#[Out]# 268  188     Pino   30  2018-08-20
#[Out]# 269  188     Pino   30  2018-09-20
#[Out]# 270  189     Koen    7  2018-08-25
#[Out]# 271  189     Koen   19  2018-08-26
#[Out]# 272  190   Kostas   11  2018-08-15
#[Out]# 273  190   Kostas    9  2018-08-16
#[Out]# 274  190   Kostas   11  2018-08-17
#[Out]# 275  190   Kostas    8  2018-08-18
#[Out]# 276  190   Kostas    2  2018-08-19
#[Out]# 277  190   Kostas   28  2018-08-20
#[Out]# 278  190   Kostas   18  2018-08-21
#[Out]# 279  190   Kostas   15  2018-08-22
#[Out]# 280  190   Kostas   19  2018-08-23
#[Out]# 281  190   Kostas    7  2018-08-24
#[Out]# 282  190   Kostas    0  2018-08-25
#[Out]# 283  190   Kostas   17  2018-08-26
#[Out]# 284  190   Kostas    5  2018-08-27
#[Out]# 
#[Out]# [285 rows x 4 columns]
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID,  date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName                                group_concat(pName)
#[Out]# 0      0     Noah                                              Water
#[Out]# 1      1      Sem                   Apples,Rice,Bananas,Donuts,Pasta
#[Out]# 2      1      Sem                                         Milk,Pizza
#[Out]# 3      2    Lucas                                              Fanta
#[Out]# 4      2    Lucas                            Bananas,Onions,Eggs,Tea
#[Out]# 5      3     Finn                                             Apples
#[Out]# 6      3     Finn                                      Pasta,Bananas
#[Out]# 7      4     Daan                     Hot Dog Sausages,Pizza,Carrots
#[Out]# 8      4     Daan                                    Beef,Eggs,Pasta
#[Out]# 9      5     Levi                                             Apples
#[Out]# 10     5     Levi                                            Lasanga
#[Out]# 11     5     Levi                              Carrots,Tea,Rice,Coca
#[Out]# 12     7     Bram                                      Coca,Potatoes
#[Out]# 13     7     Bram                                               Rice
#[Out]# 14     7     Bram                                               Beef
#[Out]# 15     7     Bram                                      Carrots,Fanta
#[Out]# 16     8     Liam                           Carrots,Hot Dog Sausages
#[Out]# 17    10      Sam                                            Oranges
#[Out]# 18    11    Thijs                                             Apples
#[Out]# 19    13    James       Cashew Nuts,Spiced Biscuits,Hot Dog Sausages
#[Out]# 20    13    James                      Bread,Coca,Water,Green Pepper
#[Out]# 21    13    James                                            Bananas
#[Out]# 22    13    James                                          Mushrooms
#[Out]# 23    15     Noud                                               Milk
#[Out]# 24    16   Julian                                               Eggs
#[Out]# 25    16   Julian                                     Tomatoes,Pizza
#[Out]# 26    16   Julian                                 Cashew Nuts,Coffee
#[Out]# 27    16   Julian                      Mushrooms,Tea,Spiced Biscuits
#[Out]# 28    16   Julian                                               Coca
#[Out]# 29    16   Julian                                               Rice
#[Out]# ..   ...      ...                                                ...
#[Out]# 255  178     Elif                                     Donuts,Oranges
#[Out]# 256  179     Juul                                         Pizza,Rice
#[Out]# 257  179     Juul                                              Water
#[Out]# 258  179     Juul                                  Apples,Milk,Bread
#[Out]# 259  180    Merel                                              Pasta
#[Out]# 260  180    Merel                                         Eggs,Water
#[Out]# 261  181     Liva                                      Pasta,Carrots
#[Out]# 262  181     Liva                                             Coffee
#[Out]# 263  182  Johanna                                               Eggs
#[Out]# 264  182  Johanna                         Donuts,Cheese,Green Pepper
#[Out]# 265  184    Wilko                                        Cashew Nuts
#[Out]# 266  185     Nick                                             Salmon
#[Out]# 267  186   Angela                                             Salmon
#[Out]# 268  188     Pino                                            Ketchup
#[Out]# 269  188     Pino                                            Ketchup
#[Out]# 270  189     Koen                                           Tomatoes
#[Out]# 271  189     Koen                                               Coca
#[Out]# 272  190   Kostas  Water,Spiced Biscuits,Pizza,Lasanga,Milk,Carro...
#[Out]# 273  190   Kostas                          Fanta,Bread,Pasta,Bananas
#[Out]# 274  190   Kostas        Pasta,Cucumbers,Fanta,Eggs,Bread,Bread,Milk
#[Out]# 275  190   Kostas  Green Pepper,Water,Bananas,Hot Dog Sausages,Ho...
#[Out]# 276  190   Kostas  Pizza,Coca,Donuts,Bread,Coca,Milk,Spiced Biscu...
#[Out]# 277  190   Kostas                       Tea,Coffee,Mushrooms,Lasanga
#[Out]# 278  190   Kostas                                       Pizza,Cheese
#[Out]# 279  190   Kostas          Coca,Bananas,Coffee,Coca,Coffee,Cucumbers
#[Out]# 280  190   Kostas         Lasanga,Potatoes,Water,Coca,Mushrooms,Coca
#[Out]# 281  190   Kostas                                      Coca,Tomatoes
#[Out]# 282  190   Kostas                        Cashew Nuts,Tea,Cashew Nuts
#[Out]# 283  190   Kostas  Tomatoes,Coffee,Cashew Nuts,Onions,Cashew Nuts...
#[Out]# 284  190   Kostas                                    Bread,Mushrooms
#[Out]# 
#[Out]# [285 rows x 3 columns]
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID    cName                                group_concat(pName)
#[Out]# 0      0     Noah                                              Water
#[Out]# 1      1      Sem                   Apples,Rice,Bananas,Donuts,Pasta
#[Out]# 2      1      Sem                                         Milk,Pizza
#[Out]# 3      2    Lucas                                              Fanta
#[Out]# 4      2    Lucas                            Bananas,Onions,Eggs,Tea
#[Out]# 5      3     Finn                                             Apples
#[Out]# 6      3     Finn                                      Pasta,Bananas
#[Out]# 7      4     Daan                     Hot Dog Sausages,Pizza,Carrots
#[Out]# 8      4     Daan                                    Beef,Eggs,Pasta
#[Out]# 9      5     Levi                                             Apples
#[Out]# 10     5     Levi                                            Lasanga
#[Out]# 11     5     Levi                              Carrots,Tea,Rice,Coca
#[Out]# 12     7     Bram                                      Coca,Potatoes
#[Out]# 13     7     Bram                                               Rice
#[Out]# 14     7     Bram                                               Beef
#[Out]# 15     7     Bram                                      Carrots,Fanta
#[Out]# 16     8     Liam                           Carrots,Hot Dog Sausages
#[Out]# 17    10      Sam                                            Oranges
#[Out]# 18    11    Thijs                                             Apples
#[Out]# 19    13    James       Cashew Nuts,Spiced Biscuits,Hot Dog Sausages
#[Out]# 20    13    James                      Bread,Coca,Water,Green Pepper
#[Out]# 21    13    James                                            Bananas
#[Out]# 22    13    James                                          Mushrooms
#[Out]# 23    15     Noud                                               Milk
#[Out]# 24    16   Julian                                               Eggs
#[Out]# 25    16   Julian                                     Tomatoes,Pizza
#[Out]# 26    16   Julian                                 Cashew Nuts,Coffee
#[Out]# 27    16   Julian                      Mushrooms,Tea,Spiced Biscuits
#[Out]# 28    16   Julian                                               Coca
#[Out]# 29    16   Julian                                               Rice
#[Out]# ..   ...      ...                                                ...
#[Out]# 255  178     Elif                                     Donuts,Oranges
#[Out]# 256  179     Juul                                         Pizza,Rice
#[Out]# 257  179     Juul                                              Water
#[Out]# 258  179     Juul                                  Apples,Milk,Bread
#[Out]# 259  180    Merel                                              Pasta
#[Out]# 260  180    Merel                                         Eggs,Water
#[Out]# 261  181     Liva                                      Pasta,Carrots
#[Out]# 262  181     Liva                                             Coffee
#[Out]# 263  182  Johanna                                               Eggs
#[Out]# 264  182  Johanna                         Donuts,Cheese,Green Pepper
#[Out]# 265  184    Wilko                                        Cashew Nuts
#[Out]# 266  185     Nick                                             Salmon
#[Out]# 267  186   Angela                                             Salmon
#[Out]# 268  188     Pino                                            Ketchup
#[Out]# 269  188     Pino                                            Ketchup
#[Out]# 270  189     Koen                                           Tomatoes
#[Out]# 271  189     Koen                                               Coca
#[Out]# 272  190   Kostas  Water,Spiced Biscuits,Pizza,Lasanga,Milk,Carro...
#[Out]# 273  190   Kostas                          Fanta,Bread,Pasta,Bananas
#[Out]# 274  190   Kostas        Pasta,Cucumbers,Fanta,Eggs,Bread,Bread,Milk
#[Out]# 275  190   Kostas  Green Pepper,Water,Bananas,Hot Dog Sausages,Ho...
#[Out]# 276  190   Kostas  Pizza,Coca,Donuts,Bread,Coca,Milk,Spiced Biscu...
#[Out]# 277  190   Kostas                       Tea,Coffee,Mushrooms,Lasanga
#[Out]# 278  190   Kostas                                       Pizza,Cheese
#[Out]# 279  190   Kostas          Coca,Bananas,Coffee,Coca,Coffee,Cucumbers
#[Out]# 280  190   Kostas         Lasanga,Potatoes,Water,Coca,Mushrooms,Coca
#[Out]# 281  190   Kostas                                      Coca,Tomatoes
#[Out]# 282  190   Kostas                        Cashew Nuts,Tea,Cashew Nuts
#[Out]# 283  190   Kostas  Tomatoes,Coffee,Cashew Nuts,Onions,Cashew Nuts...
#[Out]# 284  190   Kostas                                    Bread,Mushrooms
#[Out]# 
#[Out]# [285 rows x 3 columns]
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = "Onions" OR pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  group_concat(pName)
#[Out]# 0    16   Julian   Cashew Nuts,Coffee
#[Out]# 1    29    Ruben      Tomatoes,Onions
#[Out]# 2    31  Olivier               Onions
#[Out]# 3    33     Sven               Onions
#[Out]# 4    42     Tijn               Coffee
#[Out]# 5    59     Joep               Coffee
#[Out]# 6    59     Joep               Onions
#[Out]# 7    85   Pieter               Onions
#[Out]# 8   110     Saar               Coffee
#[Out]# 9   111   Lauren               Coffee
#[Out]# 10  129    Esmee               Onions
#[Out]# 11  162    Elena               Onions
#[Out]# 12  169     Lily               Coffee
#[Out]# 13  169     Lily     Mushrooms,Onions
#[Out]# 14  171    Tessa  Green Pepper,Coffee
#[Out]# 15  172     Lana               Onions
#[Out]# 16  175      Sam               Coffee
#[Out]# 17  176    Amira               Onions
#[Out]# 18  177    Eline         Pasta,Onions
#[Out]# 19  181     Liva               Coffee
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = "Onions" AND pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, group_concat(pName)]
#[Out]# Index: []
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, date
    HAVING pName = "Onions" OR pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName  group_concat(pName)
#[Out]# 0    16   Julian   Cashew Nuts,Coffee
#[Out]# 1    29    Ruben      Tomatoes,Onions
#[Out]# 2    31  Olivier               Onions
#[Out]# 3    33     Sven               Onions
#[Out]# 4    42     Tijn               Coffee
#[Out]# 5    59     Joep               Coffee
#[Out]# 6    59     Joep               Onions
#[Out]# 7    85   Pieter               Onions
#[Out]# 8   110     Saar               Coffee
#[Out]# 9   111   Lauren               Coffee
#[Out]# 10  129    Esmee               Onions
#[Out]# 11  162    Elena               Onions
#[Out]# 12  169     Lily               Coffee
#[Out]# 13  169     Lily     Mushrooms,Onions
#[Out]# 14  171    Tessa  Green Pepper,Coffee
#[Out]# 15  172     Lana               Onions
#[Out]# 16  175      Sam               Coffee
#[Out]# 17  176    Amira               Onions
#[Out]# 18  177    Eline         Pasta,Onions
#[Out]# 19  181     Liva               Coffee
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, PRODUCT.pID, date
    HAVING pName = "Onions" OR pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName group_concat(pName)
#[Out]# 0     2    Lucas              Onions
#[Out]# 1    16   Julian              Coffee
#[Out]# 2    29    Ruben              Onions
#[Out]# 3    31  Olivier              Onions
#[Out]# 4    33     Sven              Onions
#[Out]# 5    42     Tijn              Coffee
#[Out]# 6    52   Willem              Onions
#[Out]# 7    59     Joep              Onions
#[Out]# 8    59     Joep              Coffee
#[Out]# 9    82    Dylan              Coffee
#[Out]# 10   85   Pieter              Onions
#[Out]# 11   86     Stef              Coffee
#[Out]# 12   92    Jelte              Coffee
#[Out]# 13   97   Sophie              Coffee
#[Out]# 14  108     Noor              Coffee
#[Out]# 15  110     Saar              Coffee
#[Out]# 16  111   Lauren              Coffee
#[Out]# 17  122     Elin              Coffee
#[Out]# 18  124    Sofie              Onions
#[Out]# 19  124    Sofie              Coffee
#[Out]# 20  129    Esmee              Onions
#[Out]# 21  152     Anne              Coffee
#[Out]# 22  162    Elena              Onions
#[Out]# 23  165    Hanna              Onions
#[Out]# 24  169     Lily              Onions
#[Out]# 25  169     Lily              Coffee
#[Out]# 26  171    Tessa              Coffee
#[Out]# 27  172     Lana              Onions
#[Out]# 28  175      Sam              Coffee
#[Out]# 29  176    Amira              Onions
#[Out]# 30  176    Amira              Coffee
#[Out]# 31  177    Eline              Onions
#[Out]# 32  181     Liva              Coffee
#[Out]# 33  190   Kostas              Onions
#[Out]# 34  190   Kostas              Coffee
#[Out]# 35  190   Kostas       Coffee,Coffee
#[Out]# 36  190   Kostas              Coffee
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName)
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions" OR pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName group_concat(pName)
#[Out]# 0     2    Lucas              Onions
#[Out]# 1    16   Julian              Coffee
#[Out]# 2    29    Ruben              Onions
#[Out]# 3    31  Olivier              Onions
#[Out]# 4    33     Sven              Onions
#[Out]# 5    42     Tijn              Coffee
#[Out]# 6    52   Willem              Onions
#[Out]# 7    59     Joep              Onions
#[Out]# 8    59     Joep              Coffee
#[Out]# 9    82    Dylan              Coffee
#[Out]# 10   85   Pieter              Onions
#[Out]# 11   86     Stef              Coffee
#[Out]# 12   92    Jelte              Coffee
#[Out]# 13   97   Sophie              Coffee
#[Out]# 14  108     Noor              Coffee
#[Out]# 15  110     Saar              Coffee
#[Out]# 16  111   Lauren              Coffee
#[Out]# 17  122     Elin              Coffee
#[Out]# 18  124    Sofie              Onions
#[Out]# 19  124    Sofie              Coffee
#[Out]# 20  129    Esmee              Onions
#[Out]# 21  152     Anne              Coffee
#[Out]# 22  162    Elena              Onions
#[Out]# 23  165    Hanna              Onions
#[Out]# 24  169     Lily              Onions
#[Out]# 25  169     Lily              Coffee
#[Out]# 26  171    Tessa              Coffee
#[Out]# 27  172     Lana              Onions
#[Out]# 28  175      Sam              Coffee
#[Out]# 29  176    Amira              Onions
#[Out]# 30  176    Amira              Coffee
#[Out]# 31  177    Eline              Onions
#[Out]# 32  181     Liva              Coffee
#[Out]# 33  190   Kostas              Onions
#[Out]# 34  190   Kostas              Coffee
#[Out]# 35  190   Kostas       Coffee,Coffee
#[Out]# 36  190   Kostas              Coffee
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions" OR pName = "Coffee"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName group_concat(pName)        date
#[Out]# 0     2    Lucas              Onions  2018-08-17
#[Out]# 1    16   Julian              Coffee  2018-08-24
#[Out]# 2    29    Ruben              Onions  2018-08-24
#[Out]# 3    31  Olivier              Onions  2018-08-27
#[Out]# 4    33     Sven              Onions  2018-08-18
#[Out]# 5    42     Tijn              Coffee  2018-08-18
#[Out]# 6    52   Willem              Onions  2018-08-25
#[Out]# 7    59     Joep              Onions  2018-08-25
#[Out]# 8    59     Joep              Coffee  2018-08-15
#[Out]# 9    82    Dylan              Coffee  2018-08-19
#[Out]# 10   85   Pieter              Onions  2018-08-18
#[Out]# 11   86     Stef              Coffee  2018-08-18
#[Out]# 12   92    Jelte              Coffee  2018-08-25
#[Out]# 13   97   Sophie              Coffee  2018-08-25
#[Out]# 14  108     Noor              Coffee  2018-08-15
#[Out]# 15  110     Saar              Coffee  2018-08-18
#[Out]# 16  111   Lauren              Coffee  2018-08-22
#[Out]# 17  122     Elin              Coffee  2018-08-25
#[Out]# 18  124    Sofie              Onions  2018-08-26
#[Out]# 19  124    Sofie              Coffee  2018-08-26
#[Out]# 20  129    Esmee              Onions  2018-08-24
#[Out]# 21  152     Anne              Coffee  2018-08-20
#[Out]# 22  162    Elena              Onions  2018-08-21
#[Out]# 23  165    Hanna              Onions  2018-08-23
#[Out]# 24  169     Lily              Onions  2018-08-20
#[Out]# 25  169     Lily              Coffee  2018-08-16
#[Out]# 26  171    Tessa              Coffee  2018-08-20
#[Out]# 27  172     Lana              Onions  2018-08-27
#[Out]# 28  175      Sam              Coffee  2018-08-20
#[Out]# 29  176    Amira              Onions  2018-08-22
#[Out]# 30  176    Amira              Coffee  2018-08-26
#[Out]# 31  177    Eline              Onions  2018-08-22
#[Out]# 32  181     Liva              Coffee  2018-08-27
#[Out]# 33  190   Kostas              Onions  2018-08-26
#[Out]# 34  190   Kostas              Coffee  2018-08-20
#[Out]# 35  190   Kostas       Coffee,Coffee  2018-08-22
#[Out]# 36  190   Kostas              Coffee  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE (PURCHASE.pID IN (
    SELECT pID
    FROM PRODUCT
    WHERE pName = "Onions")).date = (PURCHASE.pID IN (
    SELECT pID
    FROM PRODUCT
    WHERE pName = "Coffee")).date
   
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions"
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName group_concat(pName)        date
#[Out]# 0     2    Lucas              Onions  2018-08-17
#[Out]# 1    29    Ruben              Onions  2018-08-24
#[Out]# 2    31  Olivier              Onions  2018-08-27
#[Out]# 3    33     Sven              Onions  2018-08-18
#[Out]# 4    52   Willem              Onions  2018-08-25
#[Out]# 5    59     Joep              Onions  2018-08-25
#[Out]# 6    85   Pieter              Onions  2018-08-18
#[Out]# 7   124    Sofie              Onions  2018-08-26
#[Out]# 8   129    Esmee              Onions  2018-08-24
#[Out]# 9   162    Elena              Onions  2018-08-21
#[Out]# 10  165    Hanna              Onions  2018-08-23
#[Out]# 11  169     Lily              Onions  2018-08-20
#[Out]# 12  172     Lana              Onions  2018-08-27
#[Out]# 13  176    Amira              Onions  2018-08-22
#[Out]# 14  177    Eline              Onions  2018-08-22
#[Out]# 15  190   Kostas              Onions  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE (SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions")
    
    IN
    
    (SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Coffee")
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID cName group_concat(pName)  date
#[Out]# 0  None  None                None  None
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE (SELECT date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions")
    
    IN
    
    (SELECT date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Coffee")
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID cName group_concat(pName)  date
#[Out]# 0  None  None                None  None
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    
    WHERE (SELECT date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Onions")
    
    =
    
    (SELECT date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    GROUP BY CUSTOMER.cID, cName, PRODUCT.pID, date
    HAVING pName = "Coffee")
    
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID cName group_concat(pName)  date
#[Out]# 0  None  None                None  None
query2 = '''
    SELECT CUSTOMER.cID, cName, group_concat(pName), date
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE pName = "Onions" OR pName = "Coffee"
    GROUP BY CUSTOMER.cID, date
    HAVING COUNT(DISTINCT(pName)) > 1
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName group_concat(pName)        date
#[Out]# 0  124   Sofie       Onions,Coffee  2018-08-26
#[Out]# 1  190  Kostas       Coffee,Onions  2018-08-26
query2 = '''
    SELECT CUSTOMER.cID, cName, group_
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE pName = "Onions" OR pName = "Coffee"
    GROUP BY CUSTOMER.cID, date
    HAVING COUNT(DISTINCT(pName)) > 1
    
    
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT CUSTOMER.cID, cName
    FROM PURCHASE
    JOIN CUSTOMER ON CUSTOMER.cID = PURCHASE.cID
    JOIN PRODUCT ON PRODUCT.pID = PURCHASE.pID
    WHERE pName = "Onions" OR pName = "Coffee"
    GROUP BY CUSTOMER.cID, date
    HAVING COUNT(DISTINCT(pName)) > 1
    
    
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT *
    FROM (SELECT cID, COUNT(distinct(sID))
    FROM PURCHASE
    GROUP BY cID) AS NUM_STORES (cID)
'''

pd.read_sql_query(query3, conn)
query4 = '''
    SELECT cID, COUNT(distinct(sID)) FROM PURCHASE GROUP BY cID
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID  COUNT(distinct(sID))
#[Out]# 0      0                     1
#[Out]# 1      1                     7
#[Out]# 2      2                     5
#[Out]# 3      3                     3
#[Out]# 4      4                     6
#[Out]# 5      5                     6
#[Out]# 6      7                     6
#[Out]# 7      8                     2
#[Out]# 8     10                     1
#[Out]# 9     11                     1
#[Out]# 10    13                     7
#[Out]# 11    15                     1
#[Out]# 12    16                    10
#[Out]# 13    17                     2
#[Out]# 14    18                     3
#[Out]# 15    19                     4
#[Out]# 16    20                     3
#[Out]# 17    21                     3
#[Out]# 18    22                     2
#[Out]# 19    24                     9
#[Out]# 20    25                     1
#[Out]# 21    26                     1
#[Out]# 22    27                     5
#[Out]# 23    28                     1
#[Out]# 24    29                     2
#[Out]# 25    30                     3
#[Out]# 26    31                     2
#[Out]# 27    33                     9
#[Out]# 28    34                     1
#[Out]# 29    35                     2
#[Out]# ..   ...                   ...
#[Out]# 102  147                     3
#[Out]# 103  149                     2
#[Out]# 104  151                     2
#[Out]# 105  152                     3
#[Out]# 106  157                     2
#[Out]# 107  159                     2
#[Out]# 108  161                     9
#[Out]# 109  162                     8
#[Out]# 110  163                     4
#[Out]# 111  165                     6
#[Out]# 112  167                    10
#[Out]# 113  168                     1
#[Out]# 114  169                    11
#[Out]# 115  170                     3
#[Out]# 116  171                     2
#[Out]# 117  172                     2
#[Out]# 118  175                     2
#[Out]# 119  176                     6
#[Out]# 120  177                     5
#[Out]# 121  178                     2
#[Out]# 122  179                     6
#[Out]# 123  180                     2
#[Out]# 124  181                     3
#[Out]# 125  182                     3
#[Out]# 126  184                     1
#[Out]# 127  185                     1
#[Out]# 128  186                     1
#[Out]# 129  188                     1
#[Out]# 130  189                     2
#[Out]# 131  190                    64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query4 = '''
    SELECT cID, COUNT(distinct(sID)) 
    FROM PURCHASE 
   
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID  COUNT(distinct(sID))
#[Out]# 0  190                    64
query4 = '''
    SELECT cID, COUNT(distinct(sID)) 
    FROM PURCHASE 
       
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID  COUNT(distinct(sID))
#[Out]# 0  190                    64
query4 = '''
    SELECT cID, COUNT(distinct(sID)) 
    FROM PURCHASE 
    GROUP BY cID
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID  COUNT(distinct(sID))
#[Out]# 0      0                     1
#[Out]# 1      1                     7
#[Out]# 2      2                     5
#[Out]# 3      3                     3
#[Out]# 4      4                     6
#[Out]# 5      5                     6
#[Out]# 6      7                     6
#[Out]# 7      8                     2
#[Out]# 8     10                     1
#[Out]# 9     11                     1
#[Out]# 10    13                     7
#[Out]# 11    15                     1
#[Out]# 12    16                    10
#[Out]# 13    17                     2
#[Out]# 14    18                     3
#[Out]# 15    19                     4
#[Out]# 16    20                     3
#[Out]# 17    21                     3
#[Out]# 18    22                     2
#[Out]# 19    24                     9
#[Out]# 20    25                     1
#[Out]# 21    26                     1
#[Out]# 22    27                     5
#[Out]# 23    28                     1
#[Out]# 24    29                     2
#[Out]# 25    30                     3
#[Out]# 26    31                     2
#[Out]# 27    33                     9
#[Out]# 28    34                     1
#[Out]# 29    35                     2
#[Out]# ..   ...                   ...
#[Out]# 102  147                     3
#[Out]# 103  149                     2
#[Out]# 104  151                     2
#[Out]# 105  152                     3
#[Out]# 106  157                     2
#[Out]# 107  159                     2
#[Out]# 108  161                     9
#[Out]# 109  162                     8
#[Out]# 110  163                     4
#[Out]# 111  165                     6
#[Out]# 112  167                    10
#[Out]# 113  168                     1
#[Out]# 114  169                    11
#[Out]# 115  170                     3
#[Out]# 116  171                     2
#[Out]# 117  172                     2
#[Out]# 118  175                     2
#[Out]# 119  176                     6
#[Out]# 120  177                     5
#[Out]# 121  178                     2
#[Out]# 122  179                     6
#[Out]# 123  180                     2
#[Out]# 124  181                     3
#[Out]# 125  182                     3
#[Out]# 126  184                     1
#[Out]# 127  185                     1
#[Out]# 128  186                     1
#[Out]# 129  188                     1
#[Out]# 130  189                     2
#[Out]# 131  190                    64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(sID)) = (SELECT COUNT(distinct(sID)) 
        FROM STORE)
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(PURCHASE.sID)) = (SELECT COUNT(distinct(sID)) 
        FROM STORE)
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(PURCHASE.sID)) = (SELECT COUNT(distinct(STORE.sID)) 
        FROM STORE)
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
        FROM STORE)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query4 = '''
    SELECT cID, COUNT(DISTINCT(sID))
    FROM PURCHASE
    GROUP BY cID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID  COUNT(DISTINCT(sID))
#[Out]# 0      0                     1
#[Out]# 1      1                     7
#[Out]# 2      2                     5
#[Out]# 3      3                     3
#[Out]# 4      4                     6
#[Out]# 5      5                     6
#[Out]# 6      7                     6
#[Out]# 7      8                     2
#[Out]# 8     10                     1
#[Out]# 9     11                     1
#[Out]# 10    13                     7
#[Out]# 11    15                     1
#[Out]# 12    16                    10
#[Out]# 13    17                     2
#[Out]# 14    18                     3
#[Out]# 15    19                     4
#[Out]# 16    20                     3
#[Out]# 17    21                     3
#[Out]# 18    22                     2
#[Out]# 19    24                     9
#[Out]# 20    25                     1
#[Out]# 21    26                     1
#[Out]# 22    27                     5
#[Out]# 23    28                     1
#[Out]# 24    29                     2
#[Out]# 25    30                     3
#[Out]# 26    31                     2
#[Out]# 27    33                     9
#[Out]# 28    34                     1
#[Out]# 29    35                     2
#[Out]# ..   ...                   ...
#[Out]# 102  147                     3
#[Out]# 103  149                     2
#[Out]# 104  151                     2
#[Out]# 105  152                     3
#[Out]# 106  157                     2
#[Out]# 107  159                     2
#[Out]# 108  161                     9
#[Out]# 109  162                     8
#[Out]# 110  163                     4
#[Out]# 111  165                     6
#[Out]# 112  167                    10
#[Out]# 113  168                     1
#[Out]# 114  169                    11
#[Out]# 115  170                     3
#[Out]# 116  171                     2
#[Out]# 117  172                     2
#[Out]# 118  175                     2
#[Out]# 119  176                     6
#[Out]# 120  177                     5
#[Out]# 121  178                     2
#[Out]# 122  179                     6
#[Out]# 123  180                     2
#[Out]# 124  181                     3
#[Out]# 125  182                     3
#[Out]# 126  184                     1
#[Out]# 127  185                     1
#[Out]# 128  186                     1
#[Out]# 129  188                     1
#[Out]# 130  189                     2
#[Out]# 131  190                    64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query4 = '''
    SELECT cID, cName, COUNT(DISTINCT(sID))
    FROM PURCHASE, CUSTOMER
    GROUP BY cID
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT CUSTOMER.cID, cName, COUNT(DISTINCT(sID))
    FROM PURCHASE, CUSTOMER
    GROUP BY CUSTOMER.cID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID     cName  COUNT(DISTINCT(sID))
#[Out]# 0      0      Noah                    64
#[Out]# 1      1       Sem                    64
#[Out]# 2      2     Lucas                    64
#[Out]# 3      3      Finn                    64
#[Out]# 4      4      Daan                    64
#[Out]# 5      5      Levi                    64
#[Out]# 6      6     Milan                    64
#[Out]# 7      7      Bram                    64
#[Out]# 8      8      Liam                    64
#[Out]# 9      9    Thomas                    64
#[Out]# 10    10       Sam                    64
#[Out]# 11    11     Thijs                    64
#[Out]# 12    12      Adam                    64
#[Out]# 13    13     James                    64
#[Out]# 14    14       Max                    64
#[Out]# 15    15      Noud                    64
#[Out]# 16    16    Julian                    64
#[Out]# 17    17       Dex                    64
#[Out]# 18    18      Hugo                    64
#[Out]# 19    19      Lars                    64
#[Out]# 20    20      Gijs                    64
#[Out]# 21    21  Benjamin                    64
#[Out]# 22    22      Mats                    64
#[Out]# 23    23       Jan                    64
#[Out]# 24    24      Luca                    64
#[Out]# 25    25     Mason                    64
#[Out]# 26    26    Jayden                    64
#[Out]# 27    27       Tim                    64
#[Out]# 28    28      Siem                    64
#[Out]# 29    29     Ruben                    64
#[Out]# ..   ...       ...                   ...
#[Out]# 160  160      Lara                    64
#[Out]# 161  161     Floor                    64
#[Out]# 162  162     Elena                    64
#[Out]# 163  163      Cato                    64
#[Out]# 164  164       Evy                    64
#[Out]# 165  165     Hanna                    64
#[Out]# 166  166   Rosalie                    64
#[Out]# 167  167    Veerle                    64
#[Out]# 168  168      Kiki                    64
#[Out]# 169  169      Lily                    64
#[Out]# 170  170      Iris                    64
#[Out]# 171  171     Tessa                    64
#[Out]# 172  172      Lana                    64
#[Out]# 173  173     Livia                    64
#[Out]# 174  174      Romy                    64
#[Out]# 175  175       Sam                    64
#[Out]# 176  176     Amira                    64
#[Out]# 177  177     Eline                    64
#[Out]# 178  178      Elif                    64
#[Out]# 179  179      Juul                    64
#[Out]# 180  180     Merel                    64
#[Out]# 181  181      Liva                    64
#[Out]# 182  182   Johanna                    64
#[Out]# 183  183     Nikki                    64
#[Out]# 184  184     Wilko                    64
#[Out]# 185  185      Nick                    64
#[Out]# 186  186    Angela                    64
#[Out]# 187  188      Pino                    64
#[Out]# 188  189      Koen                    64
#[Out]# 189  190    Kostas                    64
#[Out]# 
#[Out]# [190 rows x 3 columns]
query4 = '''
    SELECT CUSTOMER.cID, cName, COUNT(DISTINCT(sID))
    FROM PURCHASE, CUSTOMER
    GROUP BY PURCHASE.cID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#      cID   cName  COUNT(DISTINCT(sID))
#[Out]# 0    190  Kostas                     1
#[Out]# 1    190  Kostas                     7
#[Out]# 2    190  Kostas                     5
#[Out]# 3    190  Kostas                     3
#[Out]# 4    190  Kostas                     6
#[Out]# 5    190  Kostas                     6
#[Out]# 6    190  Kostas                     6
#[Out]# 7    190  Kostas                     2
#[Out]# 8    190  Kostas                     1
#[Out]# 9    190  Kostas                     1
#[Out]# 10   190  Kostas                     7
#[Out]# 11   190  Kostas                     1
#[Out]# 12   190  Kostas                    10
#[Out]# 13   190  Kostas                     2
#[Out]# 14   190  Kostas                     3
#[Out]# 15   190  Kostas                     4
#[Out]# 16   190  Kostas                     3
#[Out]# 17   190  Kostas                     3
#[Out]# 18   190  Kostas                     2
#[Out]# 19   190  Kostas                     9
#[Out]# 20   190  Kostas                     1
#[Out]# 21   190  Kostas                     1
#[Out]# 22   190  Kostas                     5
#[Out]# 23   190  Kostas                     1
#[Out]# 24   190  Kostas                     2
#[Out]# 25   190  Kostas                     3
#[Out]# 26   190  Kostas                     2
#[Out]# 27   190  Kostas                     9
#[Out]# 28   190  Kostas                     1
#[Out]# 29   190  Kostas                     2
#[Out]# ..   ...     ...                   ...
#[Out]# 102  190  Kostas                     3
#[Out]# 103  190  Kostas                     2
#[Out]# 104  190  Kostas                     2
#[Out]# 105  190  Kostas                     3
#[Out]# 106  190  Kostas                     2
#[Out]# 107  190  Kostas                     2
#[Out]# 108  190  Kostas                     9
#[Out]# 109  190  Kostas                     8
#[Out]# 110  190  Kostas                     4
#[Out]# 111  190  Kostas                     6
#[Out]# 112  190  Kostas                    10
#[Out]# 113  190  Kostas                     1
#[Out]# 114  190  Kostas                    11
#[Out]# 115  190  Kostas                     3
#[Out]# 116  190  Kostas                     2
#[Out]# 117  190  Kostas                     2
#[Out]# 118  190  Kostas                     2
#[Out]# 119  190  Kostas                     6
#[Out]# 120  190  Kostas                     5
#[Out]# 121  190  Kostas                     2
#[Out]# 122  190  Kostas                     6
#[Out]# 123  190  Kostas                     2
#[Out]# 124  190  Kostas                     3
#[Out]# 125  190  Kostas                     3
#[Out]# 126  190  Kostas                     1
#[Out]# 127  190  Kostas                     1
#[Out]# 128  190  Kostas                     1
#[Out]# 129  190  Kostas                     1
#[Out]# 130  190  Kostas                     2
#[Out]# 131  190  Kostas                    64
#[Out]# 
#[Out]# [132 rows x 3 columns]
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(PURCHASE.sID)) = (SELECT COUNT(distinct(STORE.sID)) 
        FROM STORE)
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(PURCHASE.sID)) = 
    (SELECT COUNT(distinct(STORE.sID)) 
    FROM STORE)
'''

pd.read_sql_query(query4, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    SELECT cID 
    FROM PURCHASE
    GROUP BY cID
    HAVING COUNT(distinct(PURCHASE.sID)) = 
    (SELECT COUNT(distinct(STORE.sID)) 
    FROM STORE)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    SELECT sName
    FROM STORE
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2         Jumbo
#[Out]# 3        Sligro
#[Out]# 4     Hoogvliet
#[Out]# 5        Sligro
#[Out]# 6          Coop
#[Out]# 7        Sligro
#[Out]# 8   Albert Hein
#[Out]# 9   Albert Hein
#[Out]# 10        Jumbo
#[Out]# 11  Albert Hein
#[Out]# 12         Lidl
#[Out]# 13         Coop
#[Out]# 14         Coop
#[Out]# 15         Lidl
#[Out]# 16         Lidl
#[Out]# 17    Hoogvliet
#[Out]# 18       Sligro
#[Out]# 19         Coop
#[Out]# 20        Jumbo
#[Out]# 21         Coop
#[Out]# 22         Lidl
#[Out]# 23         Dirk
#[Out]# 24  Albert Hein
#[Out]# 25  Albert Hein
#[Out]# 26    Hoogvliet
#[Out]# 27       Sligro
#[Out]# 28    Hoogvliet
#[Out]# 29       Sligro
#[Out]# ..          ...
#[Out]# 34         Coop
#[Out]# 35         Lidl
#[Out]# 36         Lidl
#[Out]# 37        Jumbo
#[Out]# 38    Hoogvliet
#[Out]# 39       Sligro
#[Out]# 40    Hoogvliet
#[Out]# 41  Albert Hein
#[Out]# 42       Sligro
#[Out]# 43         Coop
#[Out]# 44  Albert Hein
#[Out]# 45         Coop
#[Out]# 46         Lidl
#[Out]# 47         Coop
#[Out]# 48    Hoogvliet
#[Out]# 49    Hoogvliet
#[Out]# 50       Sligro
#[Out]# 51         Coop
#[Out]# 52         Lidl
#[Out]# 53         Coop
#[Out]# 54         Dirk
#[Out]# 55         Coop
#[Out]# 56        Jumbo
#[Out]# 57         Dirk
#[Out]# 58         Dirk
#[Out]# 59        Jumbo
#[Out]# 60         Lidl
#[Out]# 61         Lidl
#[Out]# 62        Jumbo
#[Out]# 63        Jumbo
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT sName
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName
#[Out]# 0         Sligro
#[Out]# 1           Dirk
#[Out]# 2         Sligro
#[Out]# 3      Hoogvliet
#[Out]# 4    Albert Hein
#[Out]# 5           Lidl
#[Out]# 6           Lidl
#[Out]# 7           Lidl
#[Out]# 8           Lidl
#[Out]# 9         Sligro
#[Out]# 10          Coop
#[Out]# 11          Coop
#[Out]# 12          Coop
#[Out]# 13   Albert Hein
#[Out]# 14          Dirk
#[Out]# 15        Sligro
#[Out]# 16     Hoogvliet
#[Out]# 17         Jumbo
#[Out]# 18          Coop
#[Out]# 19          Coop
#[Out]# 20        Sligro
#[Out]# 21   Albert Hein
#[Out]# 22     Hoogvliet
#[Out]# 23          Lidl
#[Out]# 24          Coop
#[Out]# 25          Coop
#[Out]# 26          Coop
#[Out]# 27     Hoogvliet
#[Out]# 28        Sligro
#[Out]# 29          Lidl
#[Out]# ..           ...
#[Out]# 479         Coop
#[Out]# 480         Lidl
#[Out]# 481         Lidl
#[Out]# 482        Jumbo
#[Out]# 483    Hoogvliet
#[Out]# 484       Sligro
#[Out]# 485    Hoogvliet
#[Out]# 486  Albert Hein
#[Out]# 487       Sligro
#[Out]# 488         Coop
#[Out]# 489  Albert Hein
#[Out]# 490         Coop
#[Out]# 491         Lidl
#[Out]# 492         Coop
#[Out]# 493    Hoogvliet
#[Out]# 494    Hoogvliet
#[Out]# 495       Sligro
#[Out]# 496         Coop
#[Out]# 497         Lidl
#[Out]# 498         Coop
#[Out]# 499         Dirk
#[Out]# 500         Coop
#[Out]# 501        Jumbo
#[Out]# 502         Dirk
#[Out]# 503         Dirk
#[Out]# 504        Jumbo
#[Out]# 505         Lidl
#[Out]# 506         Lidl
#[Out]# 507        Jumbo
#[Out]# 508        Jumbo
#[Out]# 
#[Out]# [509 rows x 1 columns]
query4 = '''
    SELECT sName
    FROM STORE
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2         Jumbo
#[Out]# 3        Sligro
#[Out]# 4     Hoogvliet
#[Out]# 5        Sligro
#[Out]# 6          Coop
#[Out]# 7        Sligro
#[Out]# 8   Albert Hein
#[Out]# 9   Albert Hein
#[Out]# 10        Jumbo
#[Out]# 11  Albert Hein
#[Out]# 12         Lidl
#[Out]# 13         Coop
#[Out]# 14         Coop
#[Out]# 15         Lidl
#[Out]# 16         Lidl
#[Out]# 17    Hoogvliet
#[Out]# 18       Sligro
#[Out]# 19         Coop
#[Out]# 20        Jumbo
#[Out]# 21         Coop
#[Out]# 22         Lidl
#[Out]# 23         Dirk
#[Out]# 24  Albert Hein
#[Out]# 25  Albert Hein
#[Out]# 26    Hoogvliet
#[Out]# 27       Sligro
#[Out]# 28    Hoogvliet
#[Out]# 29       Sligro
#[Out]# ..          ...
#[Out]# 34         Coop
#[Out]# 35         Lidl
#[Out]# 36         Lidl
#[Out]# 37        Jumbo
#[Out]# 38    Hoogvliet
#[Out]# 39       Sligro
#[Out]# 40    Hoogvliet
#[Out]# 41  Albert Hein
#[Out]# 42       Sligro
#[Out]# 43         Coop
#[Out]# 44  Albert Hein
#[Out]# 45         Coop
#[Out]# 46         Lidl
#[Out]# 47         Coop
#[Out]# 48    Hoogvliet
#[Out]# 49    Hoogvliet
#[Out]# 50       Sligro
#[Out]# 51         Coop
#[Out]# 52         Lidl
#[Out]# 53         Coop
#[Out]# 54         Dirk
#[Out]# 55         Coop
#[Out]# 56        Jumbo
#[Out]# 57         Dirk
#[Out]# 58         Dirk
#[Out]# 59        Jumbo
#[Out]# 60         Lidl
#[Out]# 61         Lidl
#[Out]# 62        Jumbo
#[Out]# 63        Jumbo
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    SELECT sName
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName
#[Out]# 0         Sligro
#[Out]# 1           Dirk
#[Out]# 2         Sligro
#[Out]# 3      Hoogvliet
#[Out]# 4    Albert Hein
#[Out]# 5           Lidl
#[Out]# 6           Lidl
#[Out]# 7           Lidl
#[Out]# 8           Lidl
#[Out]# 9         Sligro
#[Out]# 10          Coop
#[Out]# 11          Coop
#[Out]# 12          Coop
#[Out]# 13   Albert Hein
#[Out]# 14          Dirk
#[Out]# 15        Sligro
#[Out]# 16     Hoogvliet
#[Out]# 17         Jumbo
#[Out]# 18          Coop
#[Out]# 19          Coop
#[Out]# 20        Sligro
#[Out]# 21   Albert Hein
#[Out]# 22     Hoogvliet
#[Out]# 23          Lidl
#[Out]# 24          Coop
#[Out]# 25          Coop
#[Out]# 26          Coop
#[Out]# 27     Hoogvliet
#[Out]# 28        Sligro
#[Out]# 29          Lidl
#[Out]# ..           ...
#[Out]# 479         Coop
#[Out]# 480         Lidl
#[Out]# 481         Lidl
#[Out]# 482        Jumbo
#[Out]# 483    Hoogvliet
#[Out]# 484       Sligro
#[Out]# 485    Hoogvliet
#[Out]# 486  Albert Hein
#[Out]# 487       Sligro
#[Out]# 488         Coop
#[Out]# 489  Albert Hein
#[Out]# 490         Coop
#[Out]# 491         Lidl
#[Out]# 492         Coop
#[Out]# 493    Hoogvliet
#[Out]# 494    Hoogvliet
#[Out]# 495       Sligro
#[Out]# 496         Coop
#[Out]# 497         Lidl
#[Out]# 498         Coop
#[Out]# 499         Dirk
#[Out]# 500         Coop
#[Out]# 501        Jumbo
#[Out]# 502         Dirk
#[Out]# 503         Dirk
#[Out]# 504        Jumbo
#[Out]# 505         Lidl
#[Out]# 506         Lidl
#[Out]# 507        Jumbo
#[Out]# 508        Jumbo
#[Out]# 
#[Out]# [509 rows x 1 columns]
query4 = '''
    SELECT sName, avg(quantity)
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(quantity)
#[Out]# 0  Jumbo       4.797642
query4 = '''
    SELECT sName, avg(quantity)
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    GROUP BY sName
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    SELECT sName, avg(quantity)
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    GROUP BY sName
    HAVING avg(quantity) > 4
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    SELECT sName
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    GROUP BY sName
    HAVING avg(quantity) > 4
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT sName
    FROM STORE

    GROUP BY sName
    HAVING avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT sName
    FROM STORE, PURCHASE

    GROUP BY sName
    HAVING avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    SELECT sName, avg(quantity)
    FROM STORE, PURCHASE

    GROUP BY sName
    HAVING avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.797642
#[Out]# 1         Coop       4.797642
#[Out]# 2         Dirk       4.797642
#[Out]# 3    Hoogvliet       4.797642
#[Out]# 4        Jumbo       4.797642
#[Out]# 5         Lidl       4.797642
#[Out]# 6       Sligro       4.797642
query4 = '''
    SELECT sName
    FROM STORE
    JOIN PURCHASE ON PURCHASE.sID = STORE.sID
    GROUP BY sName
    HAVING avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    SELECT price
    FROM PURCHASE
    GROUP BY price
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      price
#[Out]# 0     0.40
#[Out]# 1     0.45
#[Out]# 2     0.50
#[Out]# 3     0.55
#[Out]# 4     0.60
#[Out]# 5     0.65
#[Out]# 6     0.70
#[Out]# 7     0.75
#[Out]# 8     0.80
#[Out]# 9     0.85
#[Out]# 10    0.90
#[Out]# 11    0.95
#[Out]# 12    1.00
#[Out]# 13    1.05
#[Out]# 14    1.10
#[Out]# 15    1.15
#[Out]# 16    1.20
#[Out]# 17    1.25
#[Out]# 18    1.30
#[Out]# 19    1.35
#[Out]# 20    1.40
#[Out]# 21    1.45
#[Out]# 22    1.50
#[Out]# 23    1.55
#[Out]# 24    1.60
#[Out]# 25    1.65
#[Out]# 26    1.70
#[Out]# 27    1.75
#[Out]# 28    1.80
#[Out]# 29    1.85
#[Out]# ..     ...
#[Out]# 125   9.00
#[Out]# 126   9.05
#[Out]# 127   9.10
#[Out]# 128   9.25
#[Out]# 129   9.45
#[Out]# 130   9.60
#[Out]# 131   9.65
#[Out]# 132   9.70
#[Out]# 133   9.85
#[Out]# 134  10.15
#[Out]# 135  10.30
#[Out]# 136  10.50
#[Out]# 137  10.60
#[Out]# 138  10.75
#[Out]# 139  11.20
#[Out]# 140  11.45
#[Out]# 141  11.55
#[Out]# 142  11.65
#[Out]# 143  12.00
#[Out]# 144  12.20
#[Out]# 145  12.30
#[Out]# 146  12.55
#[Out]# 147  12.65
#[Out]# 148  12.80
#[Out]# 149  13.15
#[Out]# 150  13.25
#[Out]# 151  13.40
#[Out]# 152  13.60
#[Out]# 153  13.65
#[Out]# 154  13.80
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
    SELECT price
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      price
#[Out]# 0     0.40
#[Out]# 1     0.45
#[Out]# 2     0.50
#[Out]# 3     0.55
#[Out]# 4     0.60
#[Out]# 5     0.65
#[Out]# 6     0.70
#[Out]# 7     0.75
#[Out]# 8     0.80
#[Out]# 9     0.85
#[Out]# 10    0.90
#[Out]# 11    0.95
#[Out]# 12    1.00
#[Out]# 13    1.05
#[Out]# 14    1.10
#[Out]# 15    1.15
#[Out]# 16    1.20
#[Out]# 17    1.25
#[Out]# 18    1.30
#[Out]# 19    1.35
#[Out]# 20    1.40
#[Out]# 21    1.45
#[Out]# 22    1.50
#[Out]# 23    1.55
#[Out]# 24    1.60
#[Out]# 25    1.65
#[Out]# 26    1.70
#[Out]# 27    1.75
#[Out]# 28    1.80
#[Out]# 29    1.85
#[Out]# ..     ...
#[Out]# 125   9.00
#[Out]# 126   9.05
#[Out]# 127   9.10
#[Out]# 128   9.25
#[Out]# 129   9.45
#[Out]# 130   9.60
#[Out]# 131   9.65
#[Out]# 132   9.70
#[Out]# 133   9.85
#[Out]# 134  10.15
#[Out]# 135  10.30
#[Out]# 136  10.50
#[Out]# 137  10.60
#[Out]# 138  10.75
#[Out]# 139  11.20
#[Out]# 140  11.45
#[Out]# 141  11.55
#[Out]# 142  11.65
#[Out]# 143  12.00
#[Out]# 144  12.20
#[Out]# 145  12.30
#[Out]# 146  12.55
#[Out]# 147  12.65
#[Out]# 148  12.80
#[Out]# 149  13.15
#[Out]# 150  13.25
#[Out]# 151  13.40
#[Out]# 152  13.60
#[Out]# 153  13.65
#[Out]# 154  13.80
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
    SELECT price
    FROM PURCHASE
    WHERE max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT price
    FROM PURCHASE
    WHERE price = max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT price
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      price
#[Out]# 0     0.40
#[Out]# 1     0.45
#[Out]# 2     0.50
#[Out]# 3     0.55
#[Out]# 4     0.60
#[Out]# 5     0.65
#[Out]# 6     0.70
#[Out]# 7     0.75
#[Out]# 8     0.80
#[Out]# 9     0.85
#[Out]# 10    0.90
#[Out]# 11    0.95
#[Out]# 12    1.00
#[Out]# 13    1.05
#[Out]# 14    1.10
#[Out]# 15    1.15
#[Out]# 16    1.20
#[Out]# 17    1.25
#[Out]# 18    1.30
#[Out]# 19    1.35
#[Out]# 20    1.40
#[Out]# 21    1.45
#[Out]# 22    1.50
#[Out]# 23    1.55
#[Out]# 24    1.60
#[Out]# 25    1.65
#[Out]# 26    1.70
#[Out]# 27    1.75
#[Out]# 28    1.80
#[Out]# 29    1.85
#[Out]# ..     ...
#[Out]# 125   9.00
#[Out]# 126   9.05
#[Out]# 127   9.10
#[Out]# 128   9.25
#[Out]# 129   9.45
#[Out]# 130   9.60
#[Out]# 131   9.65
#[Out]# 132   9.70
#[Out]# 133   9.85
#[Out]# 134  10.15
#[Out]# 135  10.30
#[Out]# 136  10.50
#[Out]# 137  10.60
#[Out]# 138  10.75
#[Out]# 139  11.20
#[Out]# 140  11.45
#[Out]# 141  11.55
#[Out]# 142  11.65
#[Out]# 143  12.00
#[Out]# 144  12.20
#[Out]# 145  12.30
#[Out]# 146  12.55
#[Out]# 147  12.65
#[Out]# 148  12.80
#[Out]# 149  13.15
#[Out]# 150  13.25
#[Out]# 151  13.40
#[Out]# 152  13.60
#[Out]# 153  13.65
#[Out]# 154  13.80
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
    SELECT pID, price
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID  price
#[Out]# 0     10   0.40
#[Out]# 1     10   0.45
#[Out]# 2      5   0.50
#[Out]# 3      5   0.55
#[Out]# 4     10   0.60
#[Out]# 5     28   0.65
#[Out]# 6      7   0.70
#[Out]# 7      2   0.75
#[Out]# 8     11   0.80
#[Out]# 9      4   0.85
#[Out]# 10    11   0.90
#[Out]# 11     6   0.95
#[Out]# 12    15   1.00
#[Out]# 13     6   1.05
#[Out]# 14     4   1.10
#[Out]# 15     6   1.15
#[Out]# 16     3   1.20
#[Out]# 17     9   1.25
#[Out]# 18     9   1.30
#[Out]# 19     9   1.35
#[Out]# 20    16   1.40
#[Out]# 21     9   1.45
#[Out]# 22    22   1.50
#[Out]# 23    22   1.55
#[Out]# 24    16   1.60
#[Out]# 25     9   1.65
#[Out]# 26     2   1.70
#[Out]# 27     9   1.75
#[Out]# 28     7   1.80
#[Out]# 29    16   1.85
#[Out]# ..   ...    ...
#[Out]# 125   27   9.00
#[Out]# 126   27   9.05
#[Out]# 127   27   9.10
#[Out]# 128   27   9.25
#[Out]# 129   28   9.45
#[Out]# 130   28   9.60
#[Out]# 131   18   9.65
#[Out]# 132   28   9.70
#[Out]# 133   28   9.85
#[Out]# 134   12  10.15
#[Out]# 135   18  10.30
#[Out]# 136   18  10.50
#[Out]# 137   18  10.60
#[Out]# 138   12  10.75
#[Out]# 139   12  11.20
#[Out]# 140   12  11.45
#[Out]# 141   18  11.55
#[Out]# 142   12  11.65
#[Out]# 143   18  12.00
#[Out]# 144   12  12.20
#[Out]# 145   12  12.30
#[Out]# 146   12  12.55
#[Out]# 147   12  12.65
#[Out]# 148   12  12.80
#[Out]# 149   12  13.15
#[Out]# 150   12  13.25
#[Out]# 151   12  13.40
#[Out]# 152   12  13.60
#[Out]# 153   12  13.65
#[Out]# 154   12  13.80
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
    SELECT pID, price, max(price)
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID  price  max(price)
#[Out]# 0     10   0.40        0.40
#[Out]# 1     10   0.45        0.45
#[Out]# 2      5   0.50        0.50
#[Out]# 3      5   0.55        0.55
#[Out]# 4     10   0.60        0.60
#[Out]# 5     28   0.65        0.65
#[Out]# 6      7   0.70        0.70
#[Out]# 7      2   0.75        0.75
#[Out]# 8     11   0.80        0.80
#[Out]# 9      4   0.85        0.85
#[Out]# 10    11   0.90        0.90
#[Out]# 11     6   0.95        0.95
#[Out]# 12    15   1.00        1.00
#[Out]# 13     6   1.05        1.05
#[Out]# 14     4   1.10        1.10
#[Out]# 15     6   1.15        1.15
#[Out]# 16     3   1.20        1.20
#[Out]# 17     9   1.25        1.25
#[Out]# 18     9   1.30        1.30
#[Out]# 19     9   1.35        1.35
#[Out]# 20    16   1.40        1.40
#[Out]# 21     9   1.45        1.45
#[Out]# 22    22   1.50        1.50
#[Out]# 23    22   1.55        1.55
#[Out]# 24    16   1.60        1.60
#[Out]# 25     9   1.65        1.65
#[Out]# 26     2   1.70        1.70
#[Out]# 27     9   1.75        1.75
#[Out]# 28     7   1.80        1.80
#[Out]# 29    16   1.85        1.85
#[Out]# ..   ...    ...         ...
#[Out]# 125   27   9.00        9.00
#[Out]# 126   27   9.05        9.05
#[Out]# 127   27   9.10        9.10
#[Out]# 128   27   9.25        9.25
#[Out]# 129   28   9.45        9.45
#[Out]# 130   28   9.60        9.60
#[Out]# 131   18   9.65        9.65
#[Out]# 132   28   9.70        9.70
#[Out]# 133   28   9.85        9.85
#[Out]# 134   12  10.15       10.15
#[Out]# 135   18  10.30       10.30
#[Out]# 136   18  10.50       10.50
#[Out]# 137   18  10.60       10.60
#[Out]# 138   12  10.75       10.75
#[Out]# 139   12  11.20       11.20
#[Out]# 140   12  11.45       11.45
#[Out]# 141   18  11.55       11.55
#[Out]# 142   12  11.65       11.65
#[Out]# 143   18  12.00       12.00
#[Out]# 144   12  12.20       12.20
#[Out]# 145   12  12.30       12.30
#[Out]# 146   12  12.55       12.55
#[Out]# 147   12  12.65       12.65
#[Out]# 148   12  12.80       12.80
#[Out]# 149   12  13.15       13.15
#[Out]# 150   12  13.25       13.25
#[Out]# 151   12  13.40       13.40
#[Out]# 152   12  13.60       13.60
#[Out]# 153   12  13.65       13.65
#[Out]# 154   12  13.80       13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    SELECT pID, price, max(price)
    FROM PURCHASE

'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  price  max(price)
#[Out]# 0   12   13.8        13.8
query5 = '''
    SELECT pID, max(price)
    FROM PURCHASE

'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  max(price)
#[Out]# 0   12        13.8
query5 = '''
    SELECT pID
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     10
#[Out]# 2      5
#[Out]# 3      5
#[Out]# 4     10
#[Out]# 5     28
#[Out]# 6      7
#[Out]# 7      2
#[Out]# 8     11
#[Out]# 9      4
#[Out]# 10    11
#[Out]# 11     6
#[Out]# 12    15
#[Out]# 13     6
#[Out]# 14     4
#[Out]# 15     6
#[Out]# 16     3
#[Out]# 17     9
#[Out]# 18     9
#[Out]# 19     9
#[Out]# 20    16
#[Out]# 21     9
#[Out]# 22    22
#[Out]# 23    22
#[Out]# 24    16
#[Out]# 25     9
#[Out]# 26     2
#[Out]# 27     9
#[Out]# 28     7
#[Out]# 29    16
#[Out]# ..   ...
#[Out]# 125   27
#[Out]# 126   27
#[Out]# 127   27
#[Out]# 128   27
#[Out]# 129   28
#[Out]# 130   28
#[Out]# 131   18
#[Out]# 132   28
#[Out]# 133   28
#[Out]# 134   12
#[Out]# 135   18
#[Out]# 136   18
#[Out]# 137   18
#[Out]# 138   12
#[Out]# 139   12
#[Out]# 140   12
#[Out]# 141   18
#[Out]# 142   12
#[Out]# 143   18
#[Out]# 144   12
#[Out]# 145   12
#[Out]# 146   12
#[Out]# 147   12
#[Out]# 148   12
#[Out]# 149   12
#[Out]# 150   12
#[Out]# 151   12
#[Out]# 152   12
#[Out]# 153   12
#[Out]# 154   12
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
    SELECT pID
    FROM PURCHASE
    GROUP BY pID
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query5 = '''
    SELECT pID
    FROM PURCHASE
    GROUP BY price
    HAVING max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     10
#[Out]# 2      5
#[Out]# 3      5
#[Out]# 4     10
#[Out]# 5     28
#[Out]# 6      7
#[Out]# 7      2
#[Out]# 8     11
#[Out]# 9      4
#[Out]# 10    11
#[Out]# 11     6
#[Out]# 12    15
#[Out]# 13     6
#[Out]# 14     4
#[Out]# 15     6
#[Out]# 16     3
#[Out]# 17     9
#[Out]# 18     9
#[Out]# 19     9
#[Out]# 20    16
#[Out]# 21     9
#[Out]# 22    22
#[Out]# 23    22
#[Out]# 24    16
#[Out]# 25     9
#[Out]# 26     2
#[Out]# 27     9
#[Out]# 28     7
#[Out]# 29    16
#[Out]# ..   ...
#[Out]# 125   27
#[Out]# 126   27
#[Out]# 127   27
#[Out]# 128   27
#[Out]# 129   28
#[Out]# 130   28
#[Out]# 131   18
#[Out]# 132   28
#[Out]# 133   28
#[Out]# 134   12
#[Out]# 135   18
#[Out]# 136   18
#[Out]# 137   18
#[Out]# 138   12
#[Out]# 139   12
#[Out]# 140   12
#[Out]# 141   18
#[Out]# 142   12
#[Out]# 143   18
#[Out]# 144   12
#[Out]# 145   12
#[Out]# 146   12
#[Out]# 147   12
#[Out]# 148   12
#[Out]# 149   12
#[Out]# 150   12
#[Out]# 151   12
#[Out]# 152   12
#[Out]# 153   12
#[Out]# 154   12
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
    SELECT pID, max(price)
    FROM PURCHASE
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  max(price)
#[Out]# 0   12        13.8
query5 = '''
    SELECT pID, sID max(price)
    FROM PURCHASE
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sID, max(price)
    FROM PURCHASE
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  sID  max(price)
#[Out]# 0   12   27        13.8
query5 = '''
    SELECT pID, sID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, STORE.sID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID  sID
#[Out]# 0     0   54
#[Out]# 1     1   43
#[Out]# 2     2   58
#[Out]# 3     3   23
#[Out]# 4     4   16
#[Out]# 5     5   60
#[Out]# 6     6   41
#[Out]# 7     7   38
#[Out]# 8     8   55
#[Out]# 9     9   62
#[Out]# 10   10   30
#[Out]# 11   11   56
#[Out]# 12   12    9
#[Out]# 13   13   27
#[Out]# 14   14   25
#[Out]# 15   15   57
#[Out]# 16   16   35
#[Out]# 17   17   59
#[Out]# 18   18   63
#[Out]# 19   19   61
#[Out]# 20   20   48
#[Out]# 21   21   50
#[Out]# 22   22   46
#[Out]# 23   23   52
#[Out]# 24   24   39
#[Out]# 25   25   22
#[Out]# 26   26   24
#[Out]# 27   27   35
#[Out]# 28   28   37
#[Out]# 29   29   62
#[Out]# 30   30   62
query5 = '''
    SELECT pID, PURCHASE.sID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID  sID
#[Out]# 0     0   54
#[Out]# 1     1   43
#[Out]# 2     2   58
#[Out]# 3     3   23
#[Out]# 4     4   16
#[Out]# 5     5   60
#[Out]# 6     6   41
#[Out]# 7     7   38
#[Out]# 8     8   55
#[Out]# 9     9   62
#[Out]# 10   10   30
#[Out]# 11   11   56
#[Out]# 12   12    9
#[Out]# 13   13   27
#[Out]# 14   14   25
#[Out]# 15   15   57
#[Out]# 16   16   35
#[Out]# 17   17   59
#[Out]# 18   18   63
#[Out]# 19   19   61
#[Out]# 20   20   48
#[Out]# 21   21   50
#[Out]# 22   22   46
#[Out]# 23   23   52
#[Out]# 24   24   39
#[Out]# 25   25   22
#[Out]# 26   26   24
#[Out]# 27   27   35
#[Out]# 28   28   37
#[Out]# 29   29   62
#[Out]# 30   30   62
query5 = '''
    SELECT pID, PURCHASE.sID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID, max(price)
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, PURCHASE.sID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    HAVING max(price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID  sID
#[Out]# 0     0   21
#[Out]# 1     1   43
#[Out]# 2     2   34
#[Out]# 3     3   23
#[Out]# 4     4   16
#[Out]# 5     5   60
#[Out]# 6     6   41
#[Out]# 7     7   56
#[Out]# 8     8    8
#[Out]# 9     9   62
#[Out]# 10   10   30
#[Out]# 11   11   45
#[Out]# 12   12   27
#[Out]# 13   13    4
#[Out]# 14   14    4
#[Out]# 15   15   14
#[Out]# 16   16   20
#[Out]# 17   17   59
#[Out]# 18   18   44
#[Out]# 19   19   33
#[Out]# 20   20   48
#[Out]# 21   21    9
#[Out]# 22   22    7
#[Out]# 23   23   19
#[Out]# 24   24   31
#[Out]# 25   25   37
#[Out]# 26   26   52
#[Out]# 27   27   26
#[Out]# 28   28    9
#[Out]# 29   29   62
#[Out]# 30   30   62
query5 = '''
    SELECT pID, PURCHASE.sID, price
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    HAVING max(price)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID  sID  price
#[Out]# 0     0   21   5.40
#[Out]# 1     1   43   6.55
#[Out]# 2     2   34   2.30
#[Out]# 3     3   23   2.75
#[Out]# 4     4   16   2.40
#[Out]# 5     5   60   4.35
#[Out]# 6     6   41   2.95
#[Out]# 7     7   56   2.35
#[Out]# 8     8    8   5.70
#[Out]# 9     9   62   3.15
#[Out]# 10   10   30   4.35
#[Out]# 11   11   45   3.55
#[Out]# 12   12   27  13.80
#[Out]# 13   13    4   4.20
#[Out]# 14   14    4   4.70
#[Out]# 15   15   14   3.80
#[Out]# 16   16   20   2.10
#[Out]# 17   17   59   3.80
#[Out]# 18   18   44  12.00
#[Out]# 19   19   33   4.25
#[Out]# 20   20   48   4.30
#[Out]# 21   21    9   4.25
#[Out]# 22   22    7   3.20
#[Out]# 23   23   19   3.75
#[Out]# 24   24   31   4.20
#[Out]# 25   25   37   4.70
#[Out]# 26   26   52   3.55
#[Out]# 27   27   26   9.25
#[Out]# 28   28    9   9.85
#[Out]# 29   29   62   1.00
#[Out]# 30   30   62   1.00
query5 = '''
    SELECT pID, PURCHASE.sID, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID  sID  max(price)
#[Out]# 0   12   27        13.8
query5 = '''
    SELECT pName
    (SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID   sName  max(price)
#[Out]# 0   12  Sligro        13.8
query5 = '''
    SELECT pName
    FROM product
    WHERE (SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID = (SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID IN (SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID IN (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName
#[Out]# 0        Cashew Nuts
#[Out]# 1         Mixed Nuts
#[Out]# 2           Potatoes
#[Out]# 3       Green Pepper
#[Out]# 4             Onions
#[Out]# 5          Mushrooms
#[Out]# 6            Carrots
#[Out]# 7           Tomatoes
#[Out]# 8   Hot Dog Sausages
#[Out]# 9            Bananas
#[Out]# 10             Water
#[Out]# 11              Milk
#[Out]# 12              Beef
#[Out]# 13              Eggs
#[Out]# 14            Apples
#[Out]# 15         Cucumbers
#[Out]# 16              Rice
#[Out]# 17             Bread
#[Out]# 18            Cheese
#[Out]# 19              Coca
#[Out]# 20             Fanta
#[Out]# 21            Coffee
#[Out]# 22               Tea
#[Out]# 23   Spiced Biscuits
#[Out]# 24           Oranges
#[Out]# 25            Donuts
#[Out]# 26             Pasta
#[Out]# 27             Pizza
#[Out]# 28           Lasanga
#[Out]# 29            Salmon
#[Out]# 30           Ketchup
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID IN (SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID IN (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName
#[Out]# 0        Cashew Nuts
#[Out]# 1         Mixed Nuts
#[Out]# 2           Potatoes
#[Out]# 3       Green Pepper
#[Out]# 4             Onions
#[Out]# 5          Mushrooms
#[Out]# 6            Carrots
#[Out]# 7           Tomatoes
#[Out]# 8   Hot Dog Sausages
#[Out]# 9            Bananas
#[Out]# 10             Water
#[Out]# 11              Milk
#[Out]# 12              Beef
#[Out]# 13              Eggs
#[Out]# 14            Apples
#[Out]# 15         Cucumbers
#[Out]# 16              Rice
#[Out]# 17             Bread
#[Out]# 18            Cheese
#[Out]# 19              Coca
#[Out]# 20             Fanta
#[Out]# 21            Coffee
#[Out]# 22               Tea
#[Out]# 23   Spiced Biscuits
#[Out]# 24           Oranges
#[Out]# 25            Donuts
#[Out]# 26             Pasta
#[Out]# 27             Pizza
#[Out]# 28           Lasanga
#[Out]# 29            Salmon
#[Out]# 30           Ketchup
query5 = '''
    SELECT pName
    FROM product
    WHERE product.pID IN (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    HAVING max(price))
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName
#[Out]# 0        Cashew Nuts
#[Out]# 1         Mixed Nuts
#[Out]# 2           Potatoes
#[Out]# 3       Green Pepper
#[Out]# 4             Onions
#[Out]# 5          Mushrooms
#[Out]# 6            Carrots
#[Out]# 7           Tomatoes
#[Out]# 8   Hot Dog Sausages
#[Out]# 9            Bananas
#[Out]# 10             Water
#[Out]# 11              Milk
#[Out]# 12              Beef
#[Out]# 13              Eggs
#[Out]# 14            Apples
#[Out]# 15         Cucumbers
#[Out]# 16              Rice
#[Out]# 17             Bread
#[Out]# 18            Cheese
#[Out]# 19              Coca
#[Out]# 20             Fanta
#[Out]# 21            Coffee
#[Out]# 22               Tea
#[Out]# 23   Spiced Biscuits
#[Out]# 24           Oranges
#[Out]# 25            Donuts
#[Out]# 26             Pasta
#[Out]# 27             Pizza
#[Out]# 28           Lasanga
#[Out]# 29            Salmon
#[Out]# 30           Ketchup
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE product.pID IN (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0     Cashew Nuts         Coop
#[Out]# 1     Cashew Nuts    Hoogvliet
#[Out]# 2     Cashew Nuts        Jumbo
#[Out]# 3     Cashew Nuts       Sligro
#[Out]# 4     Cashew Nuts    Hoogvliet
#[Out]# 5     Cashew Nuts       Sligro
#[Out]# 6     Cashew Nuts         Coop
#[Out]# 7     Cashew Nuts       Sligro
#[Out]# 8     Cashew Nuts  Albert Hein
#[Out]# 9     Cashew Nuts  Albert Hein
#[Out]# 10    Cashew Nuts        Jumbo
#[Out]# 11    Cashew Nuts  Albert Hein
#[Out]# 12    Cashew Nuts         Lidl
#[Out]# 13    Cashew Nuts         Coop
#[Out]# 14    Cashew Nuts         Coop
#[Out]# 15    Cashew Nuts         Lidl
#[Out]# 16    Cashew Nuts         Lidl
#[Out]# 17    Cashew Nuts    Hoogvliet
#[Out]# 18    Cashew Nuts       Sligro
#[Out]# 19    Cashew Nuts         Coop
#[Out]# 20    Cashew Nuts        Jumbo
#[Out]# 21    Cashew Nuts         Coop
#[Out]# 22    Cashew Nuts         Lidl
#[Out]# 23    Cashew Nuts         Dirk
#[Out]# 24    Cashew Nuts  Albert Hein
#[Out]# 25    Cashew Nuts  Albert Hein
#[Out]# 26    Cashew Nuts    Hoogvliet
#[Out]# 27    Cashew Nuts       Sligro
#[Out]# 28    Cashew Nuts    Hoogvliet
#[Out]# 29    Cashew Nuts       Sligro
#[Out]# ...           ...          ...
#[Out]# 1954      Ketchup         Coop
#[Out]# 1955      Ketchup         Lidl
#[Out]# 1956      Ketchup         Lidl
#[Out]# 1957      Ketchup        Jumbo
#[Out]# 1958      Ketchup    Hoogvliet
#[Out]# 1959      Ketchup       Sligro
#[Out]# 1960      Ketchup    Hoogvliet
#[Out]# 1961      Ketchup  Albert Hein
#[Out]# 1962      Ketchup       Sligro
#[Out]# 1963      Ketchup         Coop
#[Out]# 1964      Ketchup  Albert Hein
#[Out]# 1965      Ketchup         Coop
#[Out]# 1966      Ketchup         Lidl
#[Out]# 1967      Ketchup         Coop
#[Out]# 1968      Ketchup    Hoogvliet
#[Out]# 1969      Ketchup    Hoogvliet
#[Out]# 1970      Ketchup       Sligro
#[Out]# 1971      Ketchup         Coop
#[Out]# 1972      Ketchup         Lidl
#[Out]# 1973      Ketchup         Coop
#[Out]# 1974      Ketchup         Dirk
#[Out]# 1975      Ketchup         Coop
#[Out]# 1976      Ketchup        Jumbo
#[Out]# 1977      Ketchup         Dirk
#[Out]# 1978      Ketchup         Dirk
#[Out]# 1979      Ketchup        Jumbo
#[Out]# 1980      Ketchup         Lidl
#[Out]# 1981      Ketchup         Lidl
#[Out]# 1982      Ketchup        Jumbo
#[Out]# 1983      Ketchup        Jumbo
#[Out]# 
#[Out]# [1984 rows x 2 columns]
query5 = '''
    SELECT pName, sName, max(price)
    FROM product, store
    WHERE product.pID IN (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM product, store
    WHERE product.pID = (SELECT pID
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName
#[Out]# 0   Water         Coop
#[Out]# 1   Water    Hoogvliet
#[Out]# 2   Water        Jumbo
#[Out]# 3   Water       Sligro
#[Out]# 4   Water    Hoogvliet
#[Out]# 5   Water       Sligro
#[Out]# 6   Water         Coop
#[Out]# 7   Water       Sligro
#[Out]# 8   Water  Albert Hein
#[Out]# 9   Water  Albert Hein
#[Out]# 10  Water        Jumbo
#[Out]# 11  Water  Albert Hein
#[Out]# 12  Water         Lidl
#[Out]# 13  Water         Coop
#[Out]# 14  Water         Coop
#[Out]# 15  Water         Lidl
#[Out]# 16  Water         Lidl
#[Out]# 17  Water    Hoogvliet
#[Out]# 18  Water       Sligro
#[Out]# 19  Water         Coop
#[Out]# 20  Water        Jumbo
#[Out]# 21  Water         Coop
#[Out]# 22  Water         Lidl
#[Out]# 23  Water         Dirk
#[Out]# 24  Water  Albert Hein
#[Out]# 25  Water  Albert Hein
#[Out]# 26  Water    Hoogvliet
#[Out]# 27  Water       Sligro
#[Out]# 28  Water    Hoogvliet
#[Out]# 29  Water       Sligro
#[Out]# ..    ...          ...
#[Out]# 34  Water         Coop
#[Out]# 35  Water         Lidl
#[Out]# 36  Water         Lidl
#[Out]# 37  Water        Jumbo
#[Out]# 38  Water    Hoogvliet
#[Out]# 39  Water       Sligro
#[Out]# 40  Water    Hoogvliet
#[Out]# 41  Water  Albert Hein
#[Out]# 42  Water       Sligro
#[Out]# 43  Water         Coop
#[Out]# 44  Water  Albert Hein
#[Out]# 45  Water         Coop
#[Out]# 46  Water         Lidl
#[Out]# 47  Water         Coop
#[Out]# 48  Water    Hoogvliet
#[Out]# 49  Water    Hoogvliet
#[Out]# 50  Water       Sligro
#[Out]# 51  Water         Coop
#[Out]# 52  Water         Lidl
#[Out]# 53  Water         Coop
#[Out]# 54  Water         Dirk
#[Out]# 55  Water         Coop
#[Out]# 56  Water        Jumbo
#[Out]# 57  Water         Dirk
#[Out]# 58  Water         Dirk
#[Out]# 59  Water        Jumbo
#[Out]# 60  Water         Lidl
#[Out]# 61  Water         Lidl
#[Out]# 62  Water        Jumbo
#[Out]# 63  Water        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    HAVING price = max(price)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID        sName  max(price)
#[Out]# 0     0         Coop        5.40
#[Out]# 1     1         Coop        6.55
#[Out]# 2     2         Coop        2.30
#[Out]# 3     3         Dirk        2.75
#[Out]# 4     4         Lidl        2.40
#[Out]# 5     5         Lidl        4.35
#[Out]# 6     6  Albert Hein        2.95
#[Out]# 7     7        Jumbo        2.35
#[Out]# 8     8  Albert Hein        5.70
#[Out]# 9     9        Jumbo        3.15
#[Out]# 10   10         Dirk        4.35
#[Out]# 11   11         Coop        3.55
#[Out]# 12   12       Sligro       13.80
#[Out]# 13   13    Hoogvliet        4.20
#[Out]# 14   14    Hoogvliet        4.70
#[Out]# 15   15         Coop        3.80
#[Out]# 16   16        Jumbo        2.10
#[Out]# 17   17        Jumbo        3.80
#[Out]# 18   18  Albert Hein       12.00
#[Out]# 19   19         Dirk        4.25
#[Out]# 20   20    Hoogvliet        4.30
#[Out]# 21   21  Albert Hein        4.25
#[Out]# 22   22       Sligro        3.20
#[Out]# 23   23         Coop        3.75
#[Out]# 24   24         Coop        4.20
#[Out]# 25   25        Jumbo        4.70
#[Out]# 26   26         Lidl        3.55
#[Out]# 27   27    Hoogvliet        9.25
#[Out]# 28   28  Albert Hein        9.85
#[Out]# 29   29        Jumbo        1.00
#[Out]# 30   30        Jumbo        1.00
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    WHERE price = max(price)
    
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID
    HAVING price = max(price)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pID        sName  max(price)
#[Out]# 0     0         Coop        5.40
#[Out]# 1     1         Coop        6.55
#[Out]# 2     2         Coop        2.30
#[Out]# 3     3         Dirk        2.75
#[Out]# 4     4         Lidl        2.40
#[Out]# 5     5         Lidl        4.35
#[Out]# 6     6  Albert Hein        2.95
#[Out]# 7     7        Jumbo        2.35
#[Out]# 8     8  Albert Hein        5.70
#[Out]# 9     9        Jumbo        3.15
#[Out]# 10   10         Dirk        4.35
#[Out]# 11   11         Coop        3.55
#[Out]# 12   12       Sligro       13.80
#[Out]# 13   13    Hoogvliet        4.20
#[Out]# 14   14    Hoogvliet        4.70
#[Out]# 15   15         Coop        3.80
#[Out]# 16   16        Jumbo        2.10
#[Out]# 17   17        Jumbo        3.80
#[Out]# 18   18  Albert Hein       12.00
#[Out]# 19   19         Dirk        4.25
#[Out]# 20   20    Hoogvliet        4.30
#[Out]# 21   21  Albert Hein        4.25
#[Out]# 22   22       Sligro        3.20
#[Out]# 23   23         Coop        3.75
#[Out]# 24   24         Coop        4.20
#[Out]# 25   25        Jumbo        4.70
#[Out]# 26   26         Lidl        3.55
#[Out]# 27   27    Hoogvliet        9.25
#[Out]# 28   28  Albert Hein        9.85
#[Out]# 29   29        Jumbo        1.00
#[Out]# 30   30        Jumbo        1.00
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price
    HAVING price = max(price)
    
    
'''

pd.read_sql_query(query5, conn)
#[Out]#      pID        sName  max(price)
#[Out]# 0     10    Hoogvliet        0.40
#[Out]# 1     10       Sligro        0.45
#[Out]# 2      5  Albert Hein        0.50
#[Out]# 3      5         Lidl        0.55
#[Out]# 4     10         Coop        0.60
#[Out]# 5     28        Jumbo        0.65
#[Out]# 6      7    Hoogvliet        0.70
#[Out]# 7      2         Dirk        0.75
#[Out]# 8     11         Lidl        0.80
#[Out]# 9      4         Coop        0.85
#[Out]# 10    11         Lidl        0.90
#[Out]# 11     6         Coop        0.95
#[Out]# 12    15         Coop        1.00
#[Out]# 13     6         Coop        1.05
#[Out]# 14     4         Coop        1.10
#[Out]# 15     6         Lidl        1.15
#[Out]# 16     3       Sligro        1.20
#[Out]# 17     9    Hoogvliet        1.25
#[Out]# 18     9    Hoogvliet        1.30
#[Out]# 19     9       Sligro        1.35
#[Out]# 20    16         Coop        1.40
#[Out]# 21     9       Sligro        1.45
#[Out]# 22    22       Sligro        1.50
#[Out]# 23    22         Coop        1.55
#[Out]# 24    16       Sligro        1.60
#[Out]# 25     9    Hoogvliet        1.65
#[Out]# 26     2         Lidl        1.70
#[Out]# 27     9       Sligro        1.75
#[Out]# 28     7         Coop        1.80
#[Out]# 29    16         Coop        1.85
#[Out]# ..   ...          ...         ...
#[Out]# 125   27         Coop        9.00
#[Out]# 126   27        Jumbo        9.05
#[Out]# 127   27         Lidl        9.10
#[Out]# 128   27    Hoogvliet        9.25
#[Out]# 129   28         Coop        9.45
#[Out]# 130   28         Lidl        9.60
#[Out]# 131   18         Coop        9.65
#[Out]# 132   28         Dirk        9.70
#[Out]# 133   28  Albert Hein        9.85
#[Out]# 134   12         Coop       10.15
#[Out]# 135   18         Coop       10.30
#[Out]# 136   18       Sligro       10.50
#[Out]# 137   18         Coop       10.60
#[Out]# 138   12  Albert Hein       10.75
#[Out]# 139   12         Coop       11.20
#[Out]# 140   12         Dirk       11.45
#[Out]# 141   18  Albert Hein       11.55
#[Out]# 142   12         Dirk       11.65
#[Out]# 143   18  Albert Hein       12.00
#[Out]# 144   12    Hoogvliet       12.20
#[Out]# 145   12    Hoogvliet       12.30
#[Out]# 146   12         Dirk       12.55
#[Out]# 147   12       Sligro       12.65
#[Out]# 148   12         Dirk       12.80
#[Out]# 149   12  Albert Hein       13.15
#[Out]# 150   12  Albert Hein       13.25
#[Out]# 151   12       Sligro       13.40
#[Out]# 152   12         Coop       13.60
#[Out]# 153   12       Sligro       13.65
#[Out]# 154   12       Sligro       13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price
    HAVING price = max(price)
    FETCH FIRST ROW ONLY
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price
    HAVING price = max(price)
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID      sName  max(price)
#[Out]# 0   10  Hoogvliet         0.4
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price DESC
    HAVING price = max(price)
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price 
    ORDER BY price DESC
    HAVING price = max(price)
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pID, sName, max(price)
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID   sName  max(price)
#[Out]# 0   12  Sligro        13.8
query5 = '''
    SELECT pID, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID   sName
#[Out]# 0   12  Sligro
query5 = '''
    SELECT pID, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID   sName
#[Out]# 0   12  Sligro
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT pID, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    GROUP BY price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#    pID   sName
#[Out]# 0   12  Sligro
query6 = '''
    SELECT pName
    FROM PRODUCT
    WHERE pID = 12
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName
#[Out]# 0  Beef
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC

    
'''

pd.read_sql_query(query5, conn)
#[Out]#          pName        sName
#[Out]# 0         Beef       Sligro
#[Out]# 1         Beef       Sligro
#[Out]# 2         Beef         Coop
#[Out]# 3         Beef       Sligro
#[Out]# 4         Beef  Albert Hein
#[Out]# 5         Beef  Albert Hein
#[Out]# 6         Beef         Dirk
#[Out]# 7         Beef       Sligro
#[Out]# 8         Beef         Dirk
#[Out]# 9         Beef    Hoogvliet
#[Out]# 10        Beef    Hoogvliet
#[Out]# 11      Cheese  Albert Hein
#[Out]# 12        Beef         Dirk
#[Out]# 13      Cheese  Albert Hein
#[Out]# 14        Beef         Dirk
#[Out]# 15        Beef         Coop
#[Out]# 16        Beef  Albert Hein
#[Out]# 17      Cheese         Coop
#[Out]# 18      Cheese       Sligro
#[Out]# 19      Cheese         Coop
#[Out]# 20        Beef         Coop
#[Out]# 21     Lasanga  Albert Hein
#[Out]# 22      Cheese       Sligro
#[Out]# 23     Lasanga         Dirk
#[Out]# 24      Cheese         Coop
#[Out]# 25     Lasanga         Lidl
#[Out]# 26     Lasanga         Coop
#[Out]# 27       Pizza    Hoogvliet
#[Out]# 28       Pizza         Lidl
#[Out]# 29       Pizza        Jumbo
#[Out]# ..         ...          ...
#[Out]# 330    Carrots         Coop
#[Out]# 331      Water    Hoogvliet
#[Out]# 332       Milk         Coop
#[Out]# 333     Onions       Sligro
#[Out]# 334    Carrots         Dirk
#[Out]# 335       Milk         Lidl
#[Out]# 336       Eggs       Sligro
#[Out]# 337       Coca        Jumbo
#[Out]# 338     Onions         Coop
#[Out]# 339    Bananas  Albert Hein
#[Out]# 340       Milk  Albert Hein
#[Out]# 341       Milk         Lidl
#[Out]# 342   Potatoes         Dirk
#[Out]# 343   Tomatoes    Hoogvliet
#[Out]# 344    Lasanga        Jumbo
#[Out]# 345  Mushrooms  Albert Hein
#[Out]# 346      Water         Coop
#[Out]# 347     Coffee    Hoogvliet
#[Out]# 348  Mushrooms         Lidl
#[Out]# 349      Water         Coop
#[Out]# 350      Pizza       Sligro
#[Out]# 351  Mushrooms  Albert Hein
#[Out]# 352      Water         Dirk
#[Out]# 353      Fanta        Jumbo
#[Out]# 354      Pizza         Lidl
#[Out]# 355    Lasanga       Sligro
#[Out]# 356  Mushrooms    Hoogvliet
#[Out]# 357      Water       Sligro
#[Out]# 358  Mushrooms  Albert Hein
#[Out]# 359      Water    Hoogvliet
#[Out]# 
#[Out]# [360 rows x 2 columns]
query5 = '''
    SELECT pName, sName, price
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC

    
'''

pd.read_sql_query(query5, conn)
#[Out]#          pName        sName  price
#[Out]# 0         Beef       Sligro  13.80
#[Out]# 1         Beef       Sligro  13.65
#[Out]# 2         Beef         Coop  13.60
#[Out]# 3         Beef       Sligro  13.40
#[Out]# 4         Beef  Albert Hein  13.25
#[Out]# 5         Beef  Albert Hein  13.15
#[Out]# 6         Beef         Dirk  12.80
#[Out]# 7         Beef       Sligro  12.65
#[Out]# 8         Beef         Dirk  12.55
#[Out]# 9         Beef    Hoogvliet  12.30
#[Out]# 10        Beef    Hoogvliet  12.20
#[Out]# 11      Cheese  Albert Hein  12.00
#[Out]# 12        Beef         Dirk  11.65
#[Out]# 13      Cheese  Albert Hein  11.55
#[Out]# 14        Beef         Dirk  11.45
#[Out]# 15        Beef         Coop  11.20
#[Out]# 16        Beef  Albert Hein  10.75
#[Out]# 17      Cheese         Coop  10.60
#[Out]# 18      Cheese       Sligro  10.50
#[Out]# 19      Cheese         Coop  10.30
#[Out]# 20        Beef         Coop  10.15
#[Out]# 21     Lasanga  Albert Hein   9.85
#[Out]# 22      Cheese       Sligro   9.70
#[Out]# 23     Lasanga         Dirk   9.70
#[Out]# 24      Cheese         Coop   9.65
#[Out]# 25     Lasanga         Lidl   9.60
#[Out]# 26     Lasanga         Coop   9.45
#[Out]# 27       Pizza    Hoogvliet   9.25
#[Out]# 28       Pizza         Lidl   9.10
#[Out]# 29       Pizza        Jumbo   9.05
#[Out]# ..         ...          ...    ...
#[Out]# 330    Carrots         Coop   0.95
#[Out]# 331      Water    Hoogvliet   0.95
#[Out]# 332       Milk         Coop   0.95
#[Out]# 333     Onions       Sligro   0.90
#[Out]# 334    Carrots         Dirk   0.90
#[Out]# 335       Milk         Lidl   0.90
#[Out]# 336       Eggs       Sligro   0.90
#[Out]# 337       Coca        Jumbo   0.90
#[Out]# 338     Onions         Coop   0.85
#[Out]# 339    Bananas  Albert Hein   0.85
#[Out]# 340       Milk  Albert Hein   0.85
#[Out]# 341       Milk         Lidl   0.80
#[Out]# 342   Potatoes         Dirk   0.75
#[Out]# 343   Tomatoes    Hoogvliet   0.70
#[Out]# 344    Lasanga        Jumbo   0.65
#[Out]# 345  Mushrooms  Albert Hein   0.60
#[Out]# 346      Water         Coop   0.60
#[Out]# 347     Coffee    Hoogvliet   0.60
#[Out]# 348  Mushrooms         Lidl   0.55
#[Out]# 349      Water         Coop   0.55
#[Out]# 350      Pizza       Sligro   0.55
#[Out]# 351  Mushrooms  Albert Hein   0.50
#[Out]# 352      Water         Dirk   0.50
#[Out]# 353      Fanta        Jumbo   0.50
#[Out]# 354      Pizza         Lidl   0.50
#[Out]# 355    Lasanga       Sligro   0.50
#[Out]# 356  Mushrooms    Hoogvliet   0.45
#[Out]# 357      Water       Sligro   0.45
#[Out]# 358  Mushrooms  Albert Hein   0.40
#[Out]# 359      Water    Hoogvliet   0.40
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    SELECT pName, sName, price
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
    SELECT pName, sName
    FROM PURCHASE
    JOIN STORE ON STORE.sID = PURCHASE.sID
    JOIN PRODUCT ON PURCHASE.pID = PRODUCT.pID
    GROUP BY PRODUCT.pID, price 
    HAVING price = max(price)
    ORDER BY price DESC
    LIMIT 1
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT inventory.price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price
#[Out]# 0          0.60
#[Out]# 1         14.80
#[Out]# 2          1.15
#[Out]# 3          7.30
#[Out]# 4          2.05
#[Out]# 5          5.70
#[Out]# 6          0.60
#[Out]# 7          1.90
#[Out]# 8          3.05
#[Out]# 9          5.05
#[Out]# 10         2.20
#[Out]# 11         0.55
#[Out]# 12         6.20
#[Out]# 13         2.50
#[Out]# 14         1.60
#[Out]# 15         0.55
#[Out]# 16         2.20
#[Out]# 17         4.50
#[Out]# 18         4.70
#[Out]# 19         2.15
#[Out]# 20         2.85
#[Out]# 21         9.00
#[Out]# 22         4.60
#[Out]# 23         1.30
#[Out]# 24         4.25
#[Out]# 25         2.90
#[Out]# 26        12.55
#[Out]# 27        11.85
#[Out]# 28         3.20
#[Out]# 29         5.55
#[Out]# ..          ...
#[Out]# 799        4.35
#[Out]# 800        0.90
#[Out]# 801        2.15
#[Out]# 802        0.50
#[Out]# 803        8.85
#[Out]# 804        2.30
#[Out]# 805        1.30
#[Out]# 806        3.40
#[Out]# 807        3.60
#[Out]# 808        3.70
#[Out]# 809        0.85
#[Out]# 810        2.40
#[Out]# 811        9.00
#[Out]# 812        1.85
#[Out]# 813        0.45
#[Out]# 814        3.10
#[Out]# 815        4.05
#[Out]# 816        0.60
#[Out]# 817        2.70
#[Out]# 818        0.90
#[Out]# 819        2.00
#[Out]# 820        3.90
#[Out]# 821        9.70
#[Out]# 822        1.30
#[Out]# 823        4.20
#[Out]# 824        0.55
#[Out]# 825        9.20
#[Out]# 826        1.15
#[Out]# 827        1.75
#[Out]# 828        5.95
#[Out]# 
#[Out]# [829 rows x 1 columns]
query6 = '''
    SELECT unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#     unit_price
#[Out]# 0         0.60
#[Out]# 1         2.95
#[Out]# 2         1.80
#[Out]# 3         4.15
#[Out]# 4         4.10
#[Out]# 5         2.45
#[Out]# 6         1.25
#[Out]# 7         0.55
#[Out]# 8         5.80
#[Out]# 9         1.00
#[Out]# 10        8.50
#[Out]# 11        4.00
#[Out]# 12        4.60
#[Out]# 13        4.35
#[Out]# 14        1.00
#[Out]# 15        1.20
#[Out]# 16        1.95
#[Out]# 17        2.10
#[Out]# 18        6.85
#[Out]# 19        4.35
#[Out]# 20        1.05
#[Out]# 21        8.85
#[Out]# 22        0.45
#[Out]# 23       11.40
#[Out]# 24        3.35
#[Out]# 25        2.25
#[Out]# 26        2.05
#[Out]# 27        1.95
#[Out]# 28        5.15
#[Out]# 29        1.85
#[Out]# ..         ...
#[Out]# 38        1.90
#[Out]# 39        2.10
#[Out]# 40        1.95
#[Out]# 41        4.10
#[Out]# 42        1.35
#[Out]# 43        1.60
#[Out]# 44        3.85
#[Out]# 45        6.90
#[Out]# 46        4.80
#[Out]# 47        2.65
#[Out]# 48        1.25
#[Out]# 49        3.20
#[Out]# 50        1.65
#[Out]# 51        0.45
#[Out]# 52        7.35
#[Out]# 53       13.40
#[Out]# 54        3.55
#[Out]# 55        1.20
#[Out]# 56        4.80
#[Out]# 57       12.55
#[Out]# 58        1.30
#[Out]# 59        2.20
#[Out]# 60        1.00
#[Out]# 61        7.75
#[Out]# 62        5.55
#[Out]# 63       13.15
#[Out]# 64        3.55
#[Out]# 65        4.40
#[Out]# 66        1.15
#[Out]# 67        4.20
#[Out]# 
#[Out]# [68 rows x 1 columns]
query6 = '''
    SELECT unit_price, date
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#     unit_price        date
#[Out]# 0         0.60  2018-08-23
#[Out]# 1         2.95  2018-08-23
#[Out]# 2         1.80  2018-08-23
#[Out]# 3         4.15  2018-08-23
#[Out]# 4         4.10  2018-08-23
#[Out]# 5         2.45  2018-08-23
#[Out]# 6         1.25  2018-08-23
#[Out]# 7         0.55  2018-08-23
#[Out]# 8         5.80  2018-08-23
#[Out]# 9         1.00  2018-08-23
#[Out]# 10        8.50  2018-08-23
#[Out]# 11        4.00  2018-08-23
#[Out]# 12        4.60  2018-08-23
#[Out]# 13        4.35  2018-08-23
#[Out]# 14        1.00  2018-08-23
#[Out]# 15        1.20  2018-08-23
#[Out]# 16        1.95  2018-08-23
#[Out]# 17        2.10  2018-08-23
#[Out]# 18        6.85  2018-08-23
#[Out]# 19        4.35  2018-08-23
#[Out]# 20        1.05  2018-08-23
#[Out]# 21        8.85  2018-08-23
#[Out]# 22        0.45  2018-08-23
#[Out]# 23       11.40  2018-08-23
#[Out]# 24        3.35  2018-08-23
#[Out]# 25        2.25  2018-08-23
#[Out]# 26        2.05  2018-08-23
#[Out]# 27        1.95  2018-08-23
#[Out]# 28        5.15  2018-08-23
#[Out]# 29        1.85  2018-08-23
#[Out]# ..         ...         ...
#[Out]# 38        1.90  2018-08-23
#[Out]# 39        2.10  2018-08-23
#[Out]# 40        1.95  2018-08-23
#[Out]# 41        4.10  2018-08-23
#[Out]# 42        1.35  2018-08-23
#[Out]# 43        1.60  2018-08-23
#[Out]# 44        3.85  2018-08-23
#[Out]# 45        6.90  2018-08-23
#[Out]# 46        4.80  2018-08-23
#[Out]# 47        2.65  2018-08-23
#[Out]# 48        1.25  2018-08-23
#[Out]# 49        3.20  2018-08-23
#[Out]# 50        1.65  2018-08-23
#[Out]# 51        0.45  2018-08-23
#[Out]# 52        7.35  2018-08-23
#[Out]# 53       13.40  2018-08-23
#[Out]# 54        3.55  2018-08-23
#[Out]# 55        1.20  2018-08-23
#[Out]# 56        4.80  2018-08-23
#[Out]# 57       12.55  2018-08-23
#[Out]# 58        1.30  2018-08-23
#[Out]# 59        2.20  2018-08-23
#[Out]# 60        1.00  2018-08-23
#[Out]# 61        7.75  2018-08-23
#[Out]# 62        5.55  2018-08-23
#[Out]# 63       13.15  2018-08-23
#[Out]# 64        3.55  2018-08-23
#[Out]# 65        4.40  2018-08-23
#[Out]# 66        1.15  2018-08-23
#[Out]# 67        4.20  2018-08-23
#[Out]# 
#[Out]# [68 rows x 2 columns]
query6 = '''
    SELECT unit_price, pID
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#     unit_price  pID
#[Out]# 0         0.60   10
#[Out]# 1         2.95   19
#[Out]# 2         1.80   23
#[Out]# 3         4.15   13
#[Out]# 4         4.10   13
#[Out]# 5         2.45   17
#[Out]# 6         1.25   15
#[Out]# 7         0.55   10
#[Out]# 8         5.80    1
#[Out]# 9         1.00   11
#[Out]# 10        8.50   27
#[Out]# 11        4.00   25
#[Out]# 12        4.60    1
#[Out]# 13        4.35   25
#[Out]# 14        1.00    4
#[Out]# 15        1.20    4
#[Out]# 16        1.95   17
#[Out]# 17        2.10    2
#[Out]# 18        6.85   28
#[Out]# 19        4.35    0
#[Out]# 20        1.05   11
#[Out]# 21        8.85   27
#[Out]# 22        0.45   10
#[Out]# 23       11.40   12
#[Out]# 24        3.35   14
#[Out]# 25        2.25   19
#[Out]# 26        2.05   22
#[Out]# 27        1.95   22
#[Out]# 28        5.15    0
#[Out]# 29        1.85    7
#[Out]# ..         ...  ...
#[Out]# 38        1.90   16
#[Out]# 39        2.10   23
#[Out]# 40        1.95    7
#[Out]# 41        4.10   14
#[Out]# 42        1.35    3
#[Out]# 43        1.60   22
#[Out]# 44        3.85   14
#[Out]# 45        6.90   27
#[Out]# 46        4.80    8
#[Out]# 47        2.65   19
#[Out]# 48        1.25   15
#[Out]# 49        3.20   14
#[Out]# 50        1.65   16
#[Out]# 51        0.45    5
#[Out]# 52        7.35   28
#[Out]# 53       13.40   12
#[Out]# 54        3.55   13
#[Out]# 55        1.20   11
#[Out]# 56        4.80    1
#[Out]# 57       12.55   12
#[Out]# 58        1.30   15
#[Out]# 59        2.20    7
#[Out]# 60        1.00   15
#[Out]# 61        7.75   28
#[Out]# 62        5.55    8
#[Out]# 63       13.15   12
#[Out]# 64        3.55   24
#[Out]# 65        4.40    1
#[Out]# 66        1.15    6
#[Out]# 67        4.20   13
#[Out]# 
#[Out]# [68 rows x 2 columns]
query6 = '''
    SELECT unit_price, pID
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
'''

pd.read_sql_query(query6, conn)
#[Out]#     unit_price  pID
#[Out]# 0         0.60   10
#[Out]# 1         2.95   19
#[Out]# 2         1.80   23
#[Out]# 3         4.15   13
#[Out]# 4         4.10   13
#[Out]# 5         2.45   17
#[Out]# 6         1.25   15
#[Out]# 7         0.55   10
#[Out]# 8         5.80    1
#[Out]# 9         1.00   11
#[Out]# 10        8.50   27
#[Out]# 11        4.00   25
#[Out]# 12        4.60    1
#[Out]# 13        4.35   25
#[Out]# 14        1.00    4
#[Out]# 15        1.20    4
#[Out]# 16        1.95   17
#[Out]# 17        2.10    2
#[Out]# 18        6.85   28
#[Out]# 19        4.35    0
#[Out]# 20        1.05   11
#[Out]# 21        8.85   27
#[Out]# 22        0.45   10
#[Out]# 23       11.40   12
#[Out]# 24        3.35   14
#[Out]# 25        2.25   19
#[Out]# 26        2.05   22
#[Out]# 27        1.95   22
#[Out]# 28        5.15    0
#[Out]# 29        1.85    7
#[Out]# ..         ...  ...
#[Out]# 37        1.90   16
#[Out]# 38        2.10   23
#[Out]# 39        1.95    7
#[Out]# 40        4.10   14
#[Out]# 41        1.35    3
#[Out]# 42        1.60   22
#[Out]# 43        3.85   14
#[Out]# 44        6.90   27
#[Out]# 45        4.80    8
#[Out]# 46        2.65   19
#[Out]# 47        1.25   15
#[Out]# 48        3.20   14
#[Out]# 49        1.65   16
#[Out]# 50        0.45    5
#[Out]# 51        7.35   28
#[Out]# 52       13.40   12
#[Out]# 53        3.55   13
#[Out]# 54        1.20   11
#[Out]# 55        4.80    1
#[Out]# 56       12.55   12
#[Out]# 57        1.30   15
#[Out]# 58        2.20    7
#[Out]# 59        1.00   15
#[Out]# 60        7.75   28
#[Out]# 61        5.55    8
#[Out]# 62       13.15   12
#[Out]# 63        3.55   24
#[Out]# 64        4.40    1
#[Out]# 65        1.15    6
#[Out]# 66        4.20   13
#[Out]# 
#[Out]# [67 rows x 2 columns]
query6 = '''
    SELECT unit_price, pID
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     unit_price  pID
#[Out]# 0         4.60    0
#[Out]# 1         4.40    1
#[Out]# 2         1.70    2
#[Out]# 3         1.35    3
#[Out]# 4         1.20    4
#[Out]# 5         0.45    5
#[Out]# 6         1.15    6
#[Out]# 7         2.20    7
#[Out]# 8         5.55    8
#[Out]# 9         0.45   10
#[Out]# 10        1.20   11
#[Out]# 11       13.15   12
#[Out]# 12        4.20   13
#[Out]# 13        3.20   14
#[Out]# 14        1.00   15
#[Out]# 15        1.65   16
#[Out]# 16        1.95   17
#[Out]# 17        2.65   19
#[Out]# 18        1.60   22
#[Out]# 19        2.10   23
#[Out]# 20        3.55   24
#[Out]# 21        4.35   25
#[Out]# 22        6.90   27
#[Out]# 23        7.75   28
query6 = '''
    SELECT pID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  unit_price
#[Out]# 0     0        4.60
#[Out]# 1     1        4.40
#[Out]# 2     2        1.70
#[Out]# 3     3        1.35
#[Out]# 4     4        1.20
#[Out]# 5     5        0.45
#[Out]# 6     6        1.15
#[Out]# 7     7        2.20
#[Out]# 8     8        5.55
#[Out]# 9    10        0.45
#[Out]# 10   11        1.20
#[Out]# 11   12       13.15
#[Out]# 12   13        4.20
#[Out]# 13   14        3.20
#[Out]# 14   15        1.00
#[Out]# 15   16        1.65
#[Out]# 16   17        1.95
#[Out]# 17   19        2.65
#[Out]# 18   22        1.60
#[Out]# 19   23        2.10
#[Out]# 20   24        3.55
#[Out]# 21   25        4.35
#[Out]# 22   27        6.90
#[Out]# 23   28        7.75
query6 = '''
    SELECT pID, sID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  unit_price
#[Out]# 0     0   31        4.60
#[Out]# 1     1   56        4.40
#[Out]# 2     2   12        1.70
#[Out]# 3     3    3        1.35
#[Out]# 4     4   19        1.20
#[Out]# 5     5    1        0.45
#[Out]# 6     6   48        1.15
#[Out]# 7     7   35        2.20
#[Out]# 8     8   25        5.55
#[Out]# 9    10   34        0.45
#[Out]# 10   11   35        1.20
#[Out]# 11   12    9       13.15
#[Out]# 12   13    4        4.20
#[Out]# 13   14   11        3.20
#[Out]# 14   15    6        1.00
#[Out]# 15   16    5        1.65
#[Out]# 16   17   29        1.95
#[Out]# 17   19   44        2.65
#[Out]# 18   22   16        1.60
#[Out]# 19   23   21        2.10
#[Out]# 20   24   38        3.55
#[Out]# 21   25   56        4.35
#[Out]# 22   27   40        6.90
#[Out]# 23   28   37        7.75
query6 = '''
    SELECT pID, store.sID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  unit_price
#[Out]# 0     0    6        4.35
#[Out]# 1     0   29        5.15
#[Out]# 2     0   31        4.60
#[Out]# 3     1    7        5.80
#[Out]# 4     1   41        4.60
#[Out]# 5     1   55        4.80
#[Out]# 6     1   56        4.40
#[Out]# 7     2   11        2.10
#[Out]# 8     2   12        1.70
#[Out]# 9     3    3        1.35
#[Out]# 10    4   19        1.20
#[Out]# 11    4   45        1.00
#[Out]# 12    5    1        0.45
#[Out]# 13    6   48        1.15
#[Out]# 14    7   35        2.20
#[Out]# 15    7   43        1.95
#[Out]# 16    7   47        1.85
#[Out]# 17    8   25        5.55
#[Out]# 18    8   33        4.80
#[Out]# 19   10   34        0.45
#[Out]# 20   10   50        0.55
#[Out]# 21   10   51        0.60
#[Out]# 22   11    2        1.00
#[Out]# 23   11   33        1.05
#[Out]# 24   11   35        1.20
#[Out]# 25   12    5       13.40
#[Out]# 26   12    9       13.15
#[Out]# 27   12   42       11.40
#[Out]# 28   12   54       12.55
#[Out]# 29   13    4        4.20
#[Out]# ..  ...  ...         ...
#[Out]# 37   15    6        1.00
#[Out]# 38   15   11        1.30
#[Out]# 39   15   12        1.25
#[Out]# 40   15   13        1.25
#[Out]# 41   16    5        1.65
#[Out]# 42   16    6        1.85
#[Out]# 43   16   11        1.90
#[Out]# 44   17    5        2.45
#[Out]# 45   17   29        1.95
#[Out]# 46   19    3        2.10
#[Out]# 47   19   17        2.20
#[Out]# 48   19   33        2.25
#[Out]# 49   19   44        2.65
#[Out]# 50   19   57        2.95
#[Out]# 51   22   16        1.60
#[Out]# 52   22   30        2.05
#[Out]# 53   22   50        1.95
#[Out]# 54   22   51        1.55
#[Out]# 55   23   21        2.10
#[Out]# 56   23   38        1.80
#[Out]# 57   24    5        4.10
#[Out]# 58   24   38        3.55
#[Out]# 59   25   35        4.00
#[Out]# 60   25   56        4.35
#[Out]# 61   27   28        8.50
#[Out]# 62   27   35        8.85
#[Out]# 63   27   40        6.90
#[Out]# 64   28   32        6.85
#[Out]# 65   28   37        7.75
#[Out]# 66   28   52        7.35
#[Out]# 
#[Out]# [67 rows x 3 columns]
query6 = '''
    SELECT pID, store.sID, unit_price
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  unit_price
#[Out]# 0     0    6        4.35
#[Out]# 1     0   29        5.15
#[Out]# 2     0   31        4.60
#[Out]# 3     1    7        5.80
#[Out]# 4     1   41        4.60
#[Out]# 5     1   55        4.80
#[Out]# 6     1   56        4.40
#[Out]# 7     2   11        2.10
#[Out]# 8     2   12        1.70
#[Out]# 9     3    3        1.35
#[Out]# 10    4   19        1.20
#[Out]# 11    4   45        1.00
#[Out]# 12    5    1        0.45
#[Out]# 13    6   48        1.15
#[Out]# 14    7   35        2.20
#[Out]# 15    7   43        1.95
#[Out]# 16    7   47        1.85
#[Out]# 17    8   25        5.55
#[Out]# 18    8   33        4.80
#[Out]# 19   10   34        0.45
#[Out]# 20   10   50        0.55
#[Out]# 21   10   51        0.60
#[Out]# 22   11    2        1.00
#[Out]# 23   11   33        1.05
#[Out]# 24   11   35        1.20
#[Out]# 25   12    5       13.40
#[Out]# 26   12    9       13.15
#[Out]# 27   12   42       11.40
#[Out]# 28   12   54       12.55
#[Out]# 29   13    4        4.20
#[Out]# ..  ...  ...         ...
#[Out]# 37   15    6        1.00
#[Out]# 38   15   11        1.30
#[Out]# 39   15   12        1.25
#[Out]# 40   15   13        1.25
#[Out]# 41   16    5        1.65
#[Out]# 42   16    6        1.85
#[Out]# 43   16   11        1.90
#[Out]# 44   17    5        2.45
#[Out]# 45   17   29        1.95
#[Out]# 46   19    3        2.10
#[Out]# 47   19   17        2.20
#[Out]# 48   19   33        2.25
#[Out]# 49   19   44        2.65
#[Out]# 50   19   57        2.95
#[Out]# 51   22   16        1.60
#[Out]# 52   22   30        2.05
#[Out]# 53   22   50        1.95
#[Out]# 54   22   51        1.55
#[Out]# 55   23   21        2.10
#[Out]# 56   23   38        1.80
#[Out]# 57   24    5        4.10
#[Out]# 58   24   38        3.55
#[Out]# 59   25   35        4.00
#[Out]# 60   25   56        4.35
#[Out]# 61   27   28        8.50
#[Out]# 62   27   35        8.85
#[Out]# 63   27   40        6.90
#[Out]# 64   28   32        6.85
#[Out]# 65   28   37        7.75
#[Out]# 66   28   52        7.35
#[Out]# 
#[Out]# [67 rows x 3 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                              0.0
#[Out]# 1     0   29                              0.0
#[Out]# 2     0   31                              0.0
#[Out]# 3     1    7                              0.0
#[Out]# 4     1   41                              0.0
#[Out]# 5     1   55                              0.0
#[Out]# 6     1   56                              0.0
#[Out]# 7     2   11                              0.0
#[Out]# 8     2   12                              0.0
#[Out]# 9     3    3                              0.0
#[Out]# 10    4   19                              0.0
#[Out]# 11    4   45                              0.0
#[Out]# 12    5    1                              0.0
#[Out]# 13    6   48                              0.0
#[Out]# 14    7   35                              0.0
#[Out]# 15    7   43                              0.0
#[Out]# 16    7   47                              0.0
#[Out]# 17    8   25                              0.0
#[Out]# 18    8   33                              0.0
#[Out]# 19   10   34                              0.0
#[Out]# 20   10   50                              0.0
#[Out]# 21   10   51                              0.0
#[Out]# 22   11    2                              0.0
#[Out]# 23   11   33                              0.0
#[Out]# 24   11   35                              0.0
#[Out]# 25   12    5                              0.0
#[Out]# 26   12    9                              0.0
#[Out]# 27   12   42                              0.0
#[Out]# 28   12   54                              0.0
#[Out]# 29   13    4                              0.0
#[Out]# ..  ...  ...                              ...
#[Out]# 37   15    6                              0.0
#[Out]# 38   15   11                              0.0
#[Out]# 39   15   12                              0.0
#[Out]# 40   15   13                              0.0
#[Out]# 41   16    5                              0.0
#[Out]# 42   16    6                              0.0
#[Out]# 43   16   11                              0.0
#[Out]# 44   17    5                              0.0
#[Out]# 45   17   29                              0.0
#[Out]# 46   19    3                              0.0
#[Out]# 47   19   17                              0.0
#[Out]# 48   19   33                              0.0
#[Out]# 49   19   44                              0.0
#[Out]# 50   19   57                              0.0
#[Out]# 51   22   16                              0.0
#[Out]# 52   22   30                              0.0
#[Out]# 53   22   50                              0.0
#[Out]# 54   22   51                              0.0
#[Out]# 55   23   21                              0.0
#[Out]# 56   23   38                              0.0
#[Out]# 57   24    5                              0.0
#[Out]# 58   24   38                              0.0
#[Out]# 59   25   35                              0.0
#[Out]# 60   25   56                              0.0
#[Out]# 61   27   28                              0.0
#[Out]# 62   27   35                              0.0
#[Out]# 63   27   40                              0.0
#[Out]# 64   28   32                              0.0
#[Out]# 65   28   37                              0.0
#[Out]# 66   28   52                              0.0
#[Out]# 
#[Out]# [67 rows x 3 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0     0    6             4.35             4.35
#[Out]# 1     0   29             5.15             5.15
#[Out]# 2     0   31             4.60             4.60
#[Out]# 3     1    7             5.80             5.80
#[Out]# 4     1   41             4.60             4.60
#[Out]# 5     1   55             4.80             4.80
#[Out]# 6     1   56             4.40             4.40
#[Out]# 7     2   11             2.10             2.10
#[Out]# 8     2   12             1.70             1.70
#[Out]# 9     3    3             1.35             1.35
#[Out]# 10    4   19             1.20             1.20
#[Out]# 11    4   45             1.00             1.00
#[Out]# 12    5    1             0.45             0.45
#[Out]# 13    6   48             1.15             1.15
#[Out]# 14    7   35             2.20             2.20
#[Out]# 15    7   43             1.95             1.95
#[Out]# 16    7   47             1.85             1.85
#[Out]# 17    8   25             5.55             5.55
#[Out]# 18    8   33             4.80             4.80
#[Out]# 19   10   34             0.45             0.45
#[Out]# 20   10   50             0.55             0.55
#[Out]# 21   10   51             0.60             0.60
#[Out]# 22   11    2             1.00             1.00
#[Out]# 23   11   33             1.05             1.05
#[Out]# 24   11   35             1.20             1.20
#[Out]# 25   12    5            13.40            13.40
#[Out]# 26   12    9            13.15            13.15
#[Out]# 27   12   42            11.40            11.40
#[Out]# 28   12   54            12.55            12.55
#[Out]# 29   13    4             4.20             4.20
#[Out]# ..  ...  ...              ...              ...
#[Out]# 37   15    6             1.00             1.00
#[Out]# 38   15   11             1.30             1.30
#[Out]# 39   15   12             1.25             1.25
#[Out]# 40   15   13             1.25             1.25
#[Out]# 41   16    5             1.65             1.65
#[Out]# 42   16    6             1.85             1.85
#[Out]# 43   16   11             1.90             1.90
#[Out]# 44   17    5             2.45             2.45
#[Out]# 45   17   29             1.95             1.95
#[Out]# 46   19    3             2.10             2.10
#[Out]# 47   19   17             2.20             2.20
#[Out]# 48   19   33             2.25             2.25
#[Out]# 49   19   44             2.65             2.65
#[Out]# 50   19   57             2.95             2.95
#[Out]# 51   22   16             1.60             1.60
#[Out]# 52   22   30             2.05             2.05
#[Out]# 53   22   50             1.95             1.95
#[Out]# 54   22   51             1.55             1.55
#[Out]# 55   23   21             2.10             2.10
#[Out]# 56   23   38             1.80             1.80
#[Out]# 57   24    5             4.10             4.10
#[Out]# 58   24   38             3.55             3.55
#[Out]# 59   25   35             4.00             4.00
#[Out]# 60   25   56             4.35             4.35
#[Out]# 61   27   28             8.50             8.50
#[Out]# 62   27   35             8.85             8.85
#[Out]# 63   27   40             6.90             6.90
#[Out]# 64   28   32             6.85             6.85
#[Out]# 65   28   37             7.75             7.75
#[Out]# 66   28   52             7.35             7.35
#[Out]# 
#[Out]# [67 rows x 4 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID, unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0     0    6             4.35             4.35
#[Out]# 1     0   29             5.15             5.15
#[Out]# 2     0   31             4.60             4.60
#[Out]# 3     1    7             5.80             5.80
#[Out]# 4     1   41             4.60             4.60
#[Out]# 5     1   55             4.80             4.80
#[Out]# 6     1   56             4.40             4.40
#[Out]# 7     2   11             2.10             2.10
#[Out]# 8     2   12             1.70             1.70
#[Out]# 9     3    3             1.35             1.35
#[Out]# 10    4   19             1.20             1.20
#[Out]# 11    4   45             1.00             1.00
#[Out]# 12    5    1             0.45             0.45
#[Out]# 13    6   48             1.15             1.15
#[Out]# 14    7   35             2.20             2.20
#[Out]# 15    7   43             1.95             1.95
#[Out]# 16    7   47             1.85             1.85
#[Out]# 17    8   25             5.55             5.55
#[Out]# 18    8   33             4.80             4.80
#[Out]# 19   10   34             0.45             0.45
#[Out]# 20   10   50             0.55             0.55
#[Out]# 21   10   51             0.60             0.60
#[Out]# 22   11    2             1.00             1.00
#[Out]# 23   11   33             1.05             1.05
#[Out]# 24   11   35             1.20             1.20
#[Out]# 25   12    5            13.40            13.40
#[Out]# 26   12    9            13.15            13.15
#[Out]# 27   12   42            11.40            11.40
#[Out]# 28   12   54            12.55            12.55
#[Out]# 29   13    4             4.20             4.20
#[Out]# ..  ...  ...              ...              ...
#[Out]# 37   15    6             1.00             1.00
#[Out]# 38   15   11             1.30             1.30
#[Out]# 39   15   12             1.25             1.25
#[Out]# 40   15   13             1.25             1.25
#[Out]# 41   16    5             1.65             1.65
#[Out]# 42   16    6             1.85             1.85
#[Out]# 43   16   11             1.90             1.90
#[Out]# 44   17    5             2.45             2.45
#[Out]# 45   17   29             1.95             1.95
#[Out]# 46   19    3             2.10             2.10
#[Out]# 47   19   17             2.20             2.20
#[Out]# 48   19   33             2.25             2.25
#[Out]# 49   19   44             2.65             2.65
#[Out]# 50   19   57             2.95             2.95
#[Out]# 51   22   16             1.60             1.60
#[Out]# 52   22   30             2.05             2.05
#[Out]# 53   22   50             1.95             1.95
#[Out]# 54   22   51             1.55             1.55
#[Out]# 55   23   21             2.10             2.10
#[Out]# 56   23   38             1.80             1.80
#[Out]# 57   24    5             4.10             4.10
#[Out]# 58   24   38             3.55             3.55
#[Out]# 59   25   35             4.00             4.00
#[Out]# 60   25   56             4.35             4.35
#[Out]# 61   27   28             8.50             8.50
#[Out]# 62   27   35             8.85             8.85
#[Out]# 63   27   40             6.90             6.90
#[Out]# 64   28   32             6.85             6.85
#[Out]# 65   28   37             7.75             7.75
#[Out]# 66   28   52             7.35             7.35
#[Out]# 
#[Out]# [67 rows x 4 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0

'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0   10   34             13.4             0.45
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID, unit_price
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0     0    6             4.35             4.35
#[Out]# 1     0   29             5.15             5.15
#[Out]# 2     0   31             4.60             4.60
#[Out]# 3     1    7             5.80             5.80
#[Out]# 4     1   41             4.60             4.60
#[Out]# 5     1   55             4.80             4.80
#[Out]# 6     1   56             4.40             4.40
#[Out]# 7     2   11             2.10             2.10
#[Out]# 8     2   12             1.70             1.70
#[Out]# 9     3    3             1.35             1.35
#[Out]# 10    4   19             1.20             1.20
#[Out]# 11    4   45             1.00             1.00
#[Out]# 12    5    1             0.45             0.45
#[Out]# 13    6   48             1.15             1.15
#[Out]# 14    7   35             2.20             2.20
#[Out]# 15    7   43             1.95             1.95
#[Out]# 16    7   47             1.85             1.85
#[Out]# 17    8   25             5.55             5.55
#[Out]# 18    8   33             4.80             4.80
#[Out]# 19   10   34             0.45             0.45
#[Out]# 20   10   50             0.55             0.55
#[Out]# 21   10   51             0.60             0.60
#[Out]# 22   11    2             1.00             1.00
#[Out]# 23   11   33             1.05             1.05
#[Out]# 24   11   35             1.20             1.20
#[Out]# 25   12    5            13.40            13.40
#[Out]# 26   12    9            13.15            13.15
#[Out]# 27   12   42            11.40            11.40
#[Out]# 28   12   54            12.55            12.55
#[Out]# 29   13    4             4.20             4.20
#[Out]# ..  ...  ...              ...              ...
#[Out]# 37   15    6             1.00             1.00
#[Out]# 38   15   11             1.30             1.30
#[Out]# 39   15   12             1.25             1.25
#[Out]# 40   15   13             1.25             1.25
#[Out]# 41   16    5             1.65             1.65
#[Out]# 42   16    6             1.85             1.85
#[Out]# 43   16   11             1.90             1.90
#[Out]# 44   17    5             2.45             2.45
#[Out]# 45   17   29             1.95             1.95
#[Out]# 46   19    3             2.10             2.10
#[Out]# 47   19   17             2.20             2.20
#[Out]# 48   19   33             2.25             2.25
#[Out]# 49   19   44             2.65             2.65
#[Out]# 50   19   57             2.95             2.95
#[Out]# 51   22   16             1.60             1.60
#[Out]# 52   22   30             2.05             2.05
#[Out]# 53   22   50             1.95             1.95
#[Out]# 54   22   51             1.55             1.55
#[Out]# 55   23   21             2.10             2.10
#[Out]# 56   23   38             1.80             1.80
#[Out]# 57   24    5             4.10             4.10
#[Out]# 58   24   38             3.55             3.55
#[Out]# 59   25   35             4.00             4.00
#[Out]# 60   25   56             4.35             4.35
#[Out]# 61   27   28             8.50             8.50
#[Out]# 62   27   35             8.85             8.85
#[Out]# 63   27   40             6.90             6.90
#[Out]# 64   28   32             6.85             6.85
#[Out]# 65   28   37             7.75             7.75
#[Out]# 66   28   52             7.35             7.35
#[Out]# 
#[Out]# [67 rows x 4 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID, max(unit_price)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID, unit_price
    HAVING max(unit_price) - min(unit_price)
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID, sID, max(unit_price), min(unit_price)]
#[Out]# Index: []
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0     0    6             4.35             4.35
#[Out]# 1     0   29             5.15             5.15
#[Out]# 2     0   31             4.60             4.60
#[Out]# 3     1    7             5.80             5.80
#[Out]# 4     1   41             4.60             4.60
#[Out]# 5     1   55             4.80             4.80
#[Out]# 6     1   56             4.40             4.40
#[Out]# 7     2   11             2.10             2.10
#[Out]# 8     2   12             1.70             1.70
#[Out]# 9     3    3             1.35             1.35
#[Out]# 10    4   19             1.20             1.20
#[Out]# 11    4   45             1.00             1.00
#[Out]# 12    5    1             0.45             0.45
#[Out]# 13    6   48             1.15             1.15
#[Out]# 14    7   35             2.20             2.20
#[Out]# 15    7   43             1.95             1.95
#[Out]# 16    7   47             1.85             1.85
#[Out]# 17    8   25             5.55             5.55
#[Out]# 18    8   33             4.80             4.80
#[Out]# 19   10   34             0.45             0.45
#[Out]# 20   10   50             0.55             0.55
#[Out]# 21   10   51             0.60             0.60
#[Out]# 22   11    2             1.00             1.00
#[Out]# 23   11   33             1.05             1.05
#[Out]# 24   11   35             1.20             1.20
#[Out]# 25   12    5            13.40            13.40
#[Out]# 26   12    9            13.15            13.15
#[Out]# 27   12   42            11.40            11.40
#[Out]# 28   12   54            12.55            12.55
#[Out]# 29   13    4             4.20             4.20
#[Out]# ..  ...  ...              ...              ...
#[Out]# 37   15    6             1.00             1.00
#[Out]# 38   15   11             1.30             1.30
#[Out]# 39   15   12             1.25             1.25
#[Out]# 40   15   13             1.25             1.25
#[Out]# 41   16    5             1.65             1.65
#[Out]# 42   16    6             1.85             1.85
#[Out]# 43   16   11             1.90             1.90
#[Out]# 44   17    5             2.45             2.45
#[Out]# 45   17   29             1.95             1.95
#[Out]# 46   19    3             2.10             2.10
#[Out]# 47   19   17             2.20             2.20
#[Out]# 48   19   33             2.25             2.25
#[Out]# 49   19   44             2.65             2.65
#[Out]# 50   19   57             2.95             2.95
#[Out]# 51   22   16             1.60             1.60
#[Out]# 52   22   30             2.05             2.05
#[Out]# 53   22   50             1.95             1.95
#[Out]# 54   22   51             1.55             1.55
#[Out]# 55   23   21             2.10             2.10
#[Out]# 56   23   38             1.80             1.80
#[Out]# 57   24    5             4.10             4.10
#[Out]# 58   24   38             3.55             3.55
#[Out]# 59   25   35             4.00             4.00
#[Out]# 60   25   56             4.35             4.35
#[Out]# 61   27   28             8.50             8.50
#[Out]# 62   27   35             8.85             8.85
#[Out]# 63   27   40             6.90             6.90
#[Out]# 64   28   32             6.85             6.85
#[Out]# 65   28   37             7.75             7.75
#[Out]# 66   28   52             7.35             7.35
#[Out]# 
#[Out]# [67 rows x 4 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)
#[Out]# 0     0    6             5.15             4.35
#[Out]# 1     1   56             5.80             4.40
#[Out]# 2     2   12             2.10             1.70
#[Out]# 3     3    3             1.35             1.35
#[Out]# 4     4   45             1.20             1.00
#[Out]# 5     5    1             0.45             0.45
#[Out]# 6     6   48             1.15             1.15
#[Out]# 7     7   47             2.20             1.85
#[Out]# 8     8   33             5.55             4.80
#[Out]# 9    10   34             0.60             0.45
#[Out]# 10   11    2             1.20             1.00
#[Out]# 11   12   42            13.40            11.40
#[Out]# 12   13   12             4.20             3.55
#[Out]# 13   14   11             4.10             3.20
#[Out]# 14   15    6             1.30             1.00
#[Out]# 15   16    5             1.90             1.65
#[Out]# 16   17   29             2.45             1.95
#[Out]# 17   19    3             2.95             2.10
#[Out]# 18   22   51             2.05             1.55
#[Out]# 19   23   38             2.10             1.80
#[Out]# 20   24   38             4.10             3.55
#[Out]# 21   25   35             4.35             4.00
#[Out]# 22   27   40             8.85             6.90
#[Out]# 23   28   32             7.75             6.85
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                             0.80
#[Out]# 1     1   56                             1.40
#[Out]# 2     2   12                             0.40
#[Out]# 3     3    3                             0.00
#[Out]# 4     4   45                             0.20
#[Out]# 5     5    1                             0.00
#[Out]# 6     6   48                             0.00
#[Out]# 7     7   47                             0.35
#[Out]# 8     8   33                             0.75
#[Out]# 9    10   34                             0.15
#[Out]# 10   11    2                             0.20
#[Out]# 11   12   42                             2.00
#[Out]# 12   13   12                             0.65
#[Out]# 13   14   11                             0.90
#[Out]# 14   15    6                             0.30
#[Out]# 15   16    5                             0.25
#[Out]# 16   17   29                             0.50
#[Out]# 17   19    3                             0.85
#[Out]# 18   22   51                             0.50
#[Out]# 19   23   38                             0.30
#[Out]# 20   24   38                             0.55
#[Out]# 21   25   35                             0.35
#[Out]# 22   27   40                             1.95
#[Out]# 23   28   32                             0.90
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    HAVING max(max(unit_price)-min(unit_price))
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    HAVING max(unit_price)-min(unit_price)
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                             0.80
#[Out]# 1     1   56                             1.40
#[Out]# 2     2   12                             0.40
#[Out]# 3     4   45                             0.20
#[Out]# 4     7   47                             0.35
#[Out]# 5     8   33                             0.75
#[Out]# 6    10   34                             0.15
#[Out]# 7    11    2                             0.20
#[Out]# 8    12   42                             2.00
#[Out]# 9    13   12                             0.65
#[Out]# 10   14   11                             0.90
#[Out]# 11   15    6                             0.30
#[Out]# 12   16    5                             0.25
#[Out]# 13   17   29                             0.50
#[Out]# 14   19    3                             0.85
#[Out]# 15   22   51                             0.50
#[Out]# 16   23   38                             0.30
#[Out]# 17   24   38                             0.55
#[Out]# 18   25   35                             0.35
#[Out]# 19   27   40                             1.95
#[Out]# 20   28   32                             0.90
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID

'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                             0.80
#[Out]# 1     1   56                             1.40
#[Out]# 2     2   12                             0.40
#[Out]# 3     3    3                             0.00
#[Out]# 4     4   45                             0.20
#[Out]# 5     5    1                             0.00
#[Out]# 6     6   48                             0.00
#[Out]# 7     7   47                             0.35
#[Out]# 8     8   33                             0.75
#[Out]# 9    10   34                             0.15
#[Out]# 10   11    2                             0.20
#[Out]# 11   12   42                             2.00
#[Out]# 12   13   12                             0.65
#[Out]# 13   14   11                             0.90
#[Out]# 14   15    6                             0.30
#[Out]# 15   16    5                             0.25
#[Out]# 16   17   29                             0.50
#[Out]# 17   19    3                             0.85
#[Out]# 18   22   51                             0.50
#[Out]# 19   23   38                             0.30
#[Out]# 20   24   38                             0.55
#[Out]# 21   25   35                             0.35
#[Out]# 22   27   40                             1.95
#[Out]# 23   28   32                             0.90
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    HAVING max(unit_price)-min(unit_price)
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                             0.80
#[Out]# 1     1   56                             1.40
#[Out]# 2     2   12                             0.40
#[Out]# 3     4   45                             0.20
#[Out]# 4     7   47                             0.35
#[Out]# 5     8   33                             0.75
#[Out]# 6    10   34                             0.15
#[Out]# 7    11    2                             0.20
#[Out]# 8    12   42                             2.00
#[Out]# 9    13   12                             0.65
#[Out]# 10   14   11                             0.90
#[Out]# 11   15    6                             0.30
#[Out]# 12   16    5                             0.25
#[Out]# 13   17   29                             0.50
#[Out]# 14   19    3                             0.85
#[Out]# 15   22   51                             0.50
#[Out]# 16   23   38                             0.30
#[Out]# 17   24   38                             0.55
#[Out]# 18   25   35                             0.35
#[Out]# 19   27   40                             1.95
#[Out]# 20   28   32                             0.90
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                             0.80
#[Out]# 1     1   56                             1.40
#[Out]# 2     2   12                             0.40
#[Out]# 3     3    3                             0.00
#[Out]# 4     4   45                             0.20
#[Out]# 5     5    1                             0.00
#[Out]# 6     6   48                             0.00
#[Out]# 7     7   47                             0.35
#[Out]# 8     8   33                             0.75
#[Out]# 9    10   34                             0.15
#[Out]# 10   11    2                             0.20
#[Out]# 11   12   42                             2.00
#[Out]# 12   13   12                             0.65
#[Out]# 13   14   11                             0.90
#[Out]# 14   15    6                             0.30
#[Out]# 15   16    5                             0.25
#[Out]# 16   17   29                             0.50
#[Out]# 17   19    3                             0.85
#[Out]# 18   22   51                             0.50
#[Out]# 19   23   38                             0.30
#[Out]# 20   24   38                             0.55
#[Out]# 21   25   35                             0.35
#[Out]# 22   27   40                             1.95
#[Out]# 23   28   32                             0.90
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    ORDER BY max(unit_price)-min(unit_price)
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     3    3                             0.00
#[Out]# 1     5    1                             0.00
#[Out]# 2     6   48                             0.00
#[Out]# 3    10   34                             0.15
#[Out]# 4     4   45                             0.20
#[Out]# 5    11    2                             0.20
#[Out]# 6    16    5                             0.25
#[Out]# 7    15    6                             0.30
#[Out]# 8    23   38                             0.30
#[Out]# 9    25   35                             0.35
#[Out]# 10    7   47                             0.35
#[Out]# 11    2   12                             0.40
#[Out]# 12   22   51                             0.50
#[Out]# 13   17   29                             0.50
#[Out]# 14   24   38                             0.55
#[Out]# 15   13   12                             0.65
#[Out]# 16    8   33                             0.75
#[Out]# 17    0    6                             0.80
#[Out]# 18   19    3                             0.85
#[Out]# 19   14   11                             0.90
#[Out]# 20   28   32                             0.90
#[Out]# 21    1   56                             1.40
#[Out]# 22   27   40                             1.95
#[Out]# 23   12   42                             2.00
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0    12   42                             2.00
#[Out]# 1    27   40                             1.95
#[Out]# 2     1   56                             1.40
#[Out]# 3    28   32                             0.90
#[Out]# 4    14   11                             0.90
#[Out]# 5    19    3                             0.85
#[Out]# 6     0    6                             0.80
#[Out]# 7     8   33                             0.75
#[Out]# 8    13   12                             0.65
#[Out]# 9    24   38                             0.55
#[Out]# 10   17   29                             0.50
#[Out]# 11   22   51                             0.50
#[Out]# 12    2   12                             0.40
#[Out]# 13    7   47                             0.35
#[Out]# 14   25   35                             0.35
#[Out]# 15   15    6                             0.30
#[Out]# 16   23   38                             0.30
#[Out]# 17   16    5                             0.25
#[Out]# 18    4   45                             0.20
#[Out]# 19   11    2                             0.20
#[Out]# 20   10   34                             0.15
#[Out]# 21    3    3                             0.00
#[Out]# 22    5    1                             0.00
#[Out]# 23    6   48                             0.00
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, sID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, storesID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                              0.0
#[Out]# 1     0   29                              0.0
#[Out]# 2     0   31                              0.0
#[Out]# 3     1    7                              0.0
#[Out]# 4     1   41                              0.0
#[Out]# 5     1   55                              0.0
#[Out]# 6     1   56                              0.0
#[Out]# 7     2   11                              0.0
#[Out]# 8     2   12                              0.0
#[Out]# 9     3    3                              0.0
#[Out]# 10    4   19                              0.0
#[Out]# 11    4   45                              0.0
#[Out]# 12    5    1                              0.0
#[Out]# 13    6   48                              0.0
#[Out]# 14    7   35                              0.0
#[Out]# 15    7   43                              0.0
#[Out]# 16    7   47                              0.0
#[Out]# 17    8   25                              0.0
#[Out]# 18    8   33                              0.0
#[Out]# 19   10   34                              0.0
#[Out]# 20   10   50                              0.0
#[Out]# 21   10   51                              0.0
#[Out]# 22   11    2                              0.0
#[Out]# 23   11   33                              0.0
#[Out]# 24   11   35                              0.0
#[Out]# 25   12    5                              0.0
#[Out]# 26   12    9                              0.0
#[Out]# 27   12   42                              0.0
#[Out]# 28   12   54                              0.0
#[Out]# 29   13    4                              0.0
#[Out]# ..  ...  ...                              ...
#[Out]# 37   15    6                              0.0
#[Out]# 38   15   11                              0.0
#[Out]# 39   15   12                              0.0
#[Out]# 40   15   13                              0.0
#[Out]# 41   16    5                              0.0
#[Out]# 42   16    6                              0.0
#[Out]# 43   16   11                              0.0
#[Out]# 44   17    5                              0.0
#[Out]# 45   17   29                              0.0
#[Out]# 46   19    3                              0.0
#[Out]# 47   19   17                              0.0
#[Out]# 48   19   33                              0.0
#[Out]# 49   19   44                              0.0
#[Out]# 50   19   57                              0.0
#[Out]# 51   22   16                              0.0
#[Out]# 52   22   30                              0.0
#[Out]# 53   22   50                              0.0
#[Out]# 54   22   51                              0.0
#[Out]# 55   23   21                              0.0
#[Out]# 56   23   38                              0.0
#[Out]# 57   24    5                              0.0
#[Out]# 58   24   38                              0.0
#[Out]# 59   25   35                              0.0
#[Out]# 60   25   56                              0.0
#[Out]# 61   27   28                              0.0
#[Out]# 62   27   35                              0.0
#[Out]# 63   27   40                              0.0
#[Out]# 64   28   32                              0.0
#[Out]# 65   28   37                              0.0
#[Out]# 66   28   52                              0.0
#[Out]# 
#[Out]# [67 rows x 3 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price), min(unit_price), max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)  min(unit_price)  \
#[Out]# 0     0    6             4.35             4.35   
#[Out]# 1     0   29             5.15             5.15   
#[Out]# 2     0   31             4.60             4.60   
#[Out]# 3     1    7             5.80             5.80   
#[Out]# 4     1   41             4.60             4.60   
#[Out]# 5     1   55             4.80             4.80   
#[Out]# 6     1   56             4.40             4.40   
#[Out]# 7     2   11             2.10             2.10   
#[Out]# 8     2   12             1.70             1.70   
#[Out]# 9     3    3             1.35             1.35   
#[Out]# 10    4   19             1.20             1.20   
#[Out]# 11    4   45             1.00             1.00   
#[Out]# 12    5    1             0.45             0.45   
#[Out]# 13    6   48             1.15             1.15   
#[Out]# 14    7   35             2.20             2.20   
#[Out]# 15    7   43             1.95             1.95   
#[Out]# 16    7   47             1.85             1.85   
#[Out]# 17    8   25             5.55             5.55   
#[Out]# 18    8   33             4.80             4.80   
#[Out]# 19   10   34             0.45             0.45   
#[Out]# 20   10   50             0.55             0.55   
#[Out]# 21   10   51             0.60             0.60   
#[Out]# 22   11    2             1.00             1.00   
#[Out]# 23   11   33             1.05             1.05   
#[Out]# 24   11   35             1.20             1.20   
#[Out]# 25   12    5            13.40            13.40   
#[Out]# 26   12    9            13.15            13.15   
#[Out]# 27   12   42            11.40            11.40   
#[Out]# 28   12   54            12.55            12.55   
#[Out]# 29   13    4             4.20             4.20   
#[Out]# ..  ...  ...              ...              ...   
#[Out]# 37   15    6             1.00             1.00   
#[Out]# 38   15   11             1.30             1.30   
#[Out]# 39   15   12             1.25             1.25   
#[Out]# 40   15   13             1.25             1.25   
#[Out]# 41   16    5             1.65             1.65   
#[Out]# 42   16    6             1.85             1.85   
#[Out]# 43   16   11             1.90             1.90   
#[Out]# 44   17    5             2.45             2.45   
#[Out]# 45   17   29             1.95             1.95   
#[Out]# 46   19    3             2.10             2.10   
#[Out]# 47   19   17             2.20             2.20   
#[Out]# 48   19   33             2.25             2.25   
#[Out]# 49   19   44             2.65             2.65   
#[Out]# 50   19   57             2.95             2.95   
#[Out]# 51   22   16             1.60             1.60   
#[Out]# 52   22   30             2.05             2.05   
#[Out]# 53   22   50             1.95             1.95   
#[Out]# 54   22   51             1.55             1.55   
#[Out]# 55   23   21             2.10             2.10   
#[Out]# 56   23   38             1.80             1.80   
#[Out]# 57   24    5             4.10             4.10   
#[Out]# 58   24   38             3.55             3.55   
#[Out]# 59   25   35             4.00             4.00   
#[Out]# 60   25   56             4.35             4.35   
#[Out]# 61   27   28             8.50             8.50   
#[Out]# 62   27   35             8.85             8.85   
#[Out]# 63   27   40             6.90             6.90   
#[Out]# 64   28   32             6.85             6.85   
#[Out]# 65   28   37             7.75             7.75   
#[Out]# 66   28   52             7.35             7.35   
#[Out]# 
#[Out]#     max(unit_price)-min(unit_price)  
#[Out]# 0                               0.0  
#[Out]# 1                               0.0  
#[Out]# 2                               0.0  
#[Out]# 3                               0.0  
#[Out]# 4                               0.0  
#[Out]# 5                               0.0  
#[Out]# 6                               0.0  
#[Out]# 7                               0.0  
#[Out]# 8                               0.0  
#[Out]# 9                               0.0  
#[Out]# 10                              0.0  
#[Out]# 11                              0.0  
#[Out]# 12                              0.0  
#[Out]# 13                              0.0  
#[Out]# 14                              0.0  
#[Out]# 15                              0.0  
#[Out]# 16                              0.0  
#[Out]# 17                              0.0  
#[Out]# 18                              0.0  
#[Out]# 19                              0.0  
#[Out]# 20                              0.0  
#[Out]# 21                              0.0  
#[Out]# 22                              0.0  
#[Out]# 23                              0.0  
#[Out]# 24                              0.0  
#[Out]# 25                              0.0  
#[Out]# 26                              0.0  
#[Out]# 27                              0.0  
#[Out]# 28                              0.0  
#[Out]# 29                              0.0  
#[Out]# ..                              ...  
#[Out]# 37                              0.0  
#[Out]# 38                              0.0  
#[Out]# 39                              0.0  
#[Out]# 40                              0.0  
#[Out]# 41                              0.0  
#[Out]# 42                              0.0  
#[Out]# 43                              0.0  
#[Out]# 44                              0.0  
#[Out]# 45                              0.0  
#[Out]# 46                              0.0  
#[Out]# 47                              0.0  
#[Out]# 48                              0.0  
#[Out]# 49                              0.0  
#[Out]# 50                              0.0  
#[Out]# 51                              0.0  
#[Out]# 52                              0.0  
#[Out]# 53                              0.0  
#[Out]# 54                              0.0  
#[Out]# 55                              0.0  
#[Out]# 56                              0.0  
#[Out]# 57                              0.0  
#[Out]# 58                              0.0  
#[Out]# 59                              0.0  
#[Out]# 60                              0.0  
#[Out]# 61                              0.0  
#[Out]# 62                              0.0  
#[Out]# 63                              0.0  
#[Out]# 64                              0.0  
#[Out]# 65                              0.0  
#[Out]# 66                              0.0  
#[Out]# 
#[Out]# [67 rows x 5 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID, store.sID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0     0    6                              0.0
#[Out]# 1     0   29                              0.0
#[Out]# 2     0   31                              0.0
#[Out]# 3     1    7                              0.0
#[Out]# 4     1   41                              0.0
#[Out]# 5     1   55                              0.0
#[Out]# 6     1   56                              0.0
#[Out]# 7     2   11                              0.0
#[Out]# 8     2   12                              0.0
#[Out]# 9     3    3                              0.0
#[Out]# 10    4   19                              0.0
#[Out]# 11    4   45                              0.0
#[Out]# 12    5    1                              0.0
#[Out]# 13    6   48                              0.0
#[Out]# 14    7   35                              0.0
#[Out]# 15    7   43                              0.0
#[Out]# 16    7   47                              0.0
#[Out]# 17    8   25                              0.0
#[Out]# 18    8   33                              0.0
#[Out]# 19   10   34                              0.0
#[Out]# 20   10   50                              0.0
#[Out]# 21   10   51                              0.0
#[Out]# 22   11    2                              0.0
#[Out]# 23   11   33                              0.0
#[Out]# 24   11   35                              0.0
#[Out]# 25   12    5                              0.0
#[Out]# 26   12    9                              0.0
#[Out]# 27   12   42                              0.0
#[Out]# 28   12   54                              0.0
#[Out]# 29   13    4                              0.0
#[Out]# ..  ...  ...                              ...
#[Out]# 37   15    6                              0.0
#[Out]# 38   15   11                              0.0
#[Out]# 39   15   12                              0.0
#[Out]# 40   15   13                              0.0
#[Out]# 41   16    5                              0.0
#[Out]# 42   16    6                              0.0
#[Out]# 43   16   11                              0.0
#[Out]# 44   17    5                              0.0
#[Out]# 45   17   29                              0.0
#[Out]# 46   19    3                              0.0
#[Out]# 47   19   17                              0.0
#[Out]# 48   19   33                              0.0
#[Out]# 49   19   44                              0.0
#[Out]# 50   19   57                              0.0
#[Out]# 51   22   16                              0.0
#[Out]# 52   22   30                              0.0
#[Out]# 53   22   50                              0.0
#[Out]# 54   22   51                              0.0
#[Out]# 55   23   21                              0.0
#[Out]# 56   23   38                              0.0
#[Out]# 57   24    5                              0.0
#[Out]# 58   24   38                              0.0
#[Out]# 59   25   35                              0.0
#[Out]# 60   25   56                              0.0
#[Out]# 61   27   28                              0.0
#[Out]# 62   27   35                              0.0
#[Out]# 63   27   40                              0.0
#[Out]# 64   28   32                              0.0
#[Out]# 65   28   37                              0.0
#[Out]# 66   28   52                              0.0
#[Out]# 
#[Out]# [67 rows x 3 columns]
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    ORDER BY max(unit_price)-min(unit_price) DESC
'''

pd.read_sql_query(query6, conn)
#[Out]#     pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0    12   42                             2.00
#[Out]# 1    27   40                             1.95
#[Out]# 2     1   56                             1.40
#[Out]# 3    28   32                             0.90
#[Out]# 4    14   11                             0.90
#[Out]# 5    19    3                             0.85
#[Out]# 6     0    6                             0.80
#[Out]# 7     8   33                             0.75
#[Out]# 8    13   12                             0.65
#[Out]# 9    24   38                             0.55
#[Out]# 10   17   29                             0.50
#[Out]# 11   22   51                             0.50
#[Out]# 12    2   12                             0.40
#[Out]# 13    7   47                             0.35
#[Out]# 14   25   35                             0.35
#[Out]# 15   15    6                             0.30
#[Out]# 16   23   38                             0.30
#[Out]# 17   16    5                             0.25
#[Out]# 18    4   45                             0.20
#[Out]# 19   11    2                             0.20
#[Out]# 20   10   34                             0.15
#[Out]# 21    3    3                             0.00
#[Out]# 22    5    1                             0.00
#[Out]# 23    6   48                             0.00
query6 = '''
    SELECT pID, store.sID, max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    ORDER BY max(unit_price)-min(unit_price) DESC
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    pID  sID  max(unit_price)-min(unit_price)
#[Out]# 0   12   42                              2.0
query6 = '''
    SELECT max(unit_price)-min(unit_price)
    FROM STORE
    JOIN INVENTORY ON store.sID = inventory.sID
    WHERE date = "2018-08-23" and quantity > 0
    GROUP BY pID
    ORDER BY max(unit_price)-min(unit_price) DESC
    LIMIT 1
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(unit_price)-min(unit_price)
#[Out]# 0                              2.0
