# IPython log file

query3 = '''
    select cID 
    from purchase, store
    group by cID
    having count(distinct purchase.sID) = count(distinct store.sID)
'''

pd.read_sql_query(query3, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select customer.cID, cName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and pr1.pID = p1.pID
        and customer.cID = p2.cID and pr2.pID = p2.pID and p1.date = p2.date
        and pr1.pName = "Onions" and pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID 
    from purchase, store
    group by cID
    having count(distinct purchase.sID) = count(distinct store.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  sID        sName  \
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht   25  Albert Hein   
#[Out]# 1   55         Coop  Sint Annastraat      Breda    6         Coop   
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam   23         Dirk   
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam   26    Hoogvliet   
#[Out]# 4   63        Jumbo    Stationstraat        Oss    2        Jumbo   
#[Out]# 5   61         Lidl     Pannekoekweg      Breda   12         Lidl   
#[Out]# 6   50       Sligro    Stationsplein      Breda    7       Sligro   
#[Out]# 
#[Out]#              street       city  
#[Out]# 0     Stationsplein      Breda  
#[Out]# 1    Stadhoudersweg  Rotterdam  
#[Out]# 2     Stationsplein      Breda  
#[Out]# 3   Sint Annastraat      Breda  
#[Out]# 4    Stadhoudersweg  Rotterdam  
#[Out]# 5  Wilhelminastraat  Eindhoven  
#[Out]# 6  Wilhelminastraat  Eindhoven  
query5 = '''
    select pName, sName
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID and price in(
        select max(price)
        from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select max(i1.unit_price - i2.unit_price) as difference
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0
query4 = '''
    SELECT s.sName
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s.sName 
        )
        GROUP BY s.sName
        HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT s.sName
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s1.sName 
        )
        GROUP BY s1.sName
        HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    SELECT s1.sName
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s1.sName 
        )
        GROUP BY s1.sName
        HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s1.sName, avg(p.quantity)
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s1.sName 
        )
        GROUP BY s1.sName
        HAVING AVG(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4         Lidl         4.796875
#[Out]# 5       Sligro         4.674419
practicequery1b = '''
    SELECT s1.sName, avg(p.quantity)
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s1.sName 
        )
        GROUP BY s1.sName
    
'''

pd.read_sql_query(practicequery1b, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419
practicequery1b = '''
    SELECT s1.sName, avg(p.quantity)
        FROM store as s1, purchase as p
        GROUP BY s1.sName
    
'''

pd.read_sql_query(practicequery1b, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.797642
#[Out]# 1         Coop         4.797642
#[Out]# 2         Dirk         4.797642
#[Out]# 3    Hoogvliet         4.797642
#[Out]# 4        Jumbo         4.797642
#[Out]# 5         Lidl         4.797642
#[Out]# 6       Sligro         4.797642
practicequery1b = '''
    SELECT s1.sName, avg(p.quantity)
        FROM store as s1, purchase as p
        GROUP BY s1.sName
    
'''

pd.read_sql_query(practicequery1b, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.797642
#[Out]# 1         Coop         4.797642
#[Out]# 2         Dirk         4.797642
#[Out]# 3    Hoogvliet         4.797642
#[Out]# 4        Jumbo         4.797642
#[Out]# 5         Lidl         4.797642
#[Out]# 6       Sligro         4.797642
practicequery1b = '''
    SELECT s1.sName, avg(p.quantity)
        FROM store as s1, purchase as p
        WHERE p.sID IN (
            SELECT sID
            FROM store s2
            WHERE s2.sName = s1.sName 
        )
        GROUP BY s1.sName
    
'''

pd.read_sql_query(practicequery1b, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4        Jumbo         3.888889
#[Out]# 5         Lidl         4.796875
#[Out]# 6       Sligro         4.674419

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1769c82d490>
query1 = '''
    select pID
    from purchase
    where count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    where count(cID) > 2
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    where count(cID) > 2
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    where count(cID) not in(
        select count(cID)
        from purchase
        where count(cID) > 2)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    where pID not in(
        select pID,count(cID)
        from purchase
        where count(cID) > 2)
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    groupby pID
    having count(cID) <= 2
    
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID, count(cID)
    from purchase
    group by pID
    having count(cID) <= 2
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(cID)
#[Out]# 0   29           2
#[Out]# 1   30           2
query1 = '''
    select *
    from purchase
    
'''

pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
query1 = '''
    select *
    from purchase
    order pID
    
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select *
    from purchase
    order by pID
    
'''

pd.read_sql_query(query1, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0     38   13   33    0  2018-08-17         5   5.35
#[Out]# 1     48   16   50    0  2018-08-24         1   3.70
#[Out]# 2     63   19   59    0  2018-08-17         1   3.90
#[Out]# 3     68   20   21    0  2018-08-18         3   5.40
#[Out]# 4     81   24   14    0  2018-08-20         3   4.80
#[Out]# 5    104   33   36    0  2018-08-27         6   3.95
#[Out]# 6    187   66   44    0  2018-08-17         8   5.40
#[Out]# 7    214   78   21    0  2018-08-17         4   5.40
#[Out]# 8    227   82   42    0  2018-08-25         3   5.00
#[Out]# 9    259   95    3    0  2018-08-24         5   4.85
#[Out]# 10   297  113    1    0  2018-08-26         5   5.30
#[Out]# 11   321  123   49    0  2018-08-25         2   4.40
#[Out]# 12   336  127    3    0  2018-08-25         9   3.75
#[Out]# 13   354  139   26    0  2018-08-19         5   4.90
#[Out]# 14   355  144   31    0  2018-08-22         6   5.10
#[Out]# 15   380  157   49    0  2018-08-27         3   4.20
#[Out]# 16   403  163   43    0  2018-08-27         3   4.65
#[Out]# 17   423  167    8    0  2018-08-21         9   4.00
#[Out]# 18   439  170   52    0  2018-08-16         7   3.95
#[Out]# 19   449  176   35    0  2018-08-25         2   4.35
#[Out]# 20   777  184    0    0  2018-08-20         2   3.50
#[Out]# 21   797  190   13    0  2018-08-26         4   2.00
#[Out]# 22   816  190   32    0  2018-08-26         4   3.85
#[Out]# 23   823  190   39    0  2018-08-25         4   3.70
#[Out]# 24   838  190   54    0  2018-08-25         6   3.50
#[Out]# 25   107   33   26    1  2018-08-17         6   5.95
#[Out]# 26   175   59   47    1  2018-08-26         5   5.85
#[Out]# 27   195   69   25    1  2018-08-28         8   6.05
#[Out]# 28   252   92   50    1  2018-08-27         5   5.35
#[Out]# 29   281  108    0    1  2018-08-15         1   6.35
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  819  190   35   27  2018-08-15         5   0.50
#[Out]# 480   23    5   36   28  2018-08-22         6   8.25
#[Out]# 481   73   22   25   28  2018-08-27         3   8.05
#[Out]# 482  111   35   34   28  2018-08-18         7   9.45
#[Out]# 483  123   39   21   28  2018-08-29         3   7.05
#[Out]# 484  124   40   52   28  2018-08-16         9   9.60
#[Out]# 485  180   60   30   28  2018-08-23         6   8.90
#[Out]# 486  197   70   54   28  2018-08-25         4   9.70
#[Out]# 487  200   71   55   28  2018-08-24         8   7.25
#[Out]# 488  224   82   52   28  2018-08-23         2   7.35
#[Out]# 489  234   86   20   28  2018-08-17         6   8.60
#[Out]# 490  271  100   40   28  2018-08-22         2   8.25
#[Out]# 491  280  108   41   28  2018-08-15         2   7.65
#[Out]# 492  307  118   38   28  2018-08-20         5   6.95
#[Out]# 493  320  123   34   28  2018-08-24         3   8.25
#[Out]# 494  325  124   14   28  2018-08-26         6   8.25
#[Out]# 495  337  127   34   28  2018-08-26         7   8.35
#[Out]# 496  350  136   37   28  2018-08-24         5   7.75
#[Out]# 497  393  161   36   28  2018-08-26         4   7.20
#[Out]# 498  397  162   18   28  2018-08-22         1   8.70
#[Out]# 499  428  169   18   28  2018-08-17         8   7.70
#[Out]# 500  438  170    9   28  2018-08-16         2   9.85
#[Out]# 501  445  175   27   28  2018-08-19         1   8.10
#[Out]# 502  787  190    3   28  2018-08-23         5   0.50
#[Out]# 503  818  190   34   28  2018-08-20         4   2.80
#[Out]# 504  821  190   37   28  2018-08-15         4   0.65
#[Out]# 505  778  185   62   29  2018-08-20         1   1.00
#[Out]# 506  779  186   62   29  2018-08-21         5   1.00
#[Out]# 507  780  188   62   30  2018-08-20         1   1.00
#[Out]# 508  781  188   62   30  2018-09-20         1   1.00
#[Out]# 
#[Out]# [509 rows x 7 columns]
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select customer.cID, cName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and pr1.pID = p1.pID
        and customer.cID = p2.cID and pr2.pID = p2.pID and p1.date = p2.date
        and pr1.pName = "Onions" and pr2.pName = "Cofffee"
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select customer.cID, cName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and pr1.pID = p1.pID
        and customer.cID = p2.cID and pr2.pID = p2.pID and p1.date = p2.date
        and pr1.pName = "Onions" and pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    select customer.cID, cName, pr1.pName, pr2.pName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and pr1.pID = p1.pID
        and customer.cID = p2.cID and pr2.pID = p2.pID and p1.date = p2.date
        and pr1.pName = "Onions" and pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName   pName   pName
#[Out]# 0  124   Sofie  Onions  Coffee
#[Out]# 1  190  Kostas  Onions  Coffee
query3 = '''
    select *
    from customer, purchase, product
    where customer.cID = purchase.cID and product.pID = purchase.pID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query3 = '''
    select *
    from customer, purchase, product
    where customer.cID = purchase.cID and product.pID = purchase.pID and (pName = "Onions" or pName = "Coffee")
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
query3 = '''
    select *
    from customer, purchase, product
    where customer.cID = purchase.cID and product.pID = purchase.pID and (pName = "Onions" or pName = "Coffee")
    order by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
query2 = '''
    select customer.cID, cName
    from customer, purchase as p1, purchase as p2, product as pr1, product as pr2
    where customer.cID = p1.cID and pr1.pID = p1.pID
        and customer.cID = p2.cID and pr2.pID = p2.pID and p1.date = p2.date
        and pr1.pName = "Onions" and pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID
    from purchase, store
    group by sID
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from purchase
    group by sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0   190
#[Out]# 1   190
#[Out]# 2   190
#[Out]# 3   190
#[Out]# 4   190
#[Out]# 5   190
#[Out]# 6   190
#[Out]# 7   190
#[Out]# 8   190
#[Out]# 9   190
#[Out]# 10  190
#[Out]# 11  190
#[Out]# 12  190
#[Out]# 13  190
#[Out]# 14  190
#[Out]# 15  190
#[Out]# 16  190
#[Out]# 17  190
#[Out]# 18  190
#[Out]# 19  190
#[Out]# 20  190
#[Out]# 21  190
#[Out]# 22  190
#[Out]# 23  190
#[Out]# 24  190
#[Out]# 25  190
#[Out]# 26  190
#[Out]# 27  190
#[Out]# 28  190
#[Out]# 29  190
#[Out]# ..  ...
#[Out]# 34  190
#[Out]# 35  190
#[Out]# 36  190
#[Out]# 37  190
#[Out]# 38  190
#[Out]# 39  190
#[Out]# 40  190
#[Out]# 41  190
#[Out]# 42  190
#[Out]# 43  190
#[Out]# 44  190
#[Out]# 45  190
#[Out]# 46  190
#[Out]# 47  190
#[Out]# 48  190
#[Out]# 49  190
#[Out]# 50  190
#[Out]# 51  190
#[Out]# 52  190
#[Out]# 53  190
#[Out]# 54  190
#[Out]# 55  190
#[Out]# 56  190
#[Out]# 57  190
#[Out]# 58  190
#[Out]# 59  190
#[Out]# 60  190
#[Out]# 61  190
#[Out]# 62  190
#[Out]# 63  190
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    select distinct sID
    from purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     3
#[Out]# 1    23
#[Out]# 2    17
#[Out]# 3    32
#[Out]# 4    16
#[Out]# 5    46
#[Out]# 6    36
#[Out]# 7    12
#[Out]# 8    39
#[Out]# 9    13
#[Out]# 10   51
#[Out]# 11   47
#[Out]# 12   44
#[Out]# 13   30
#[Out]# 14   29
#[Out]# 15   10
#[Out]# 16   53
#[Out]# 17   21
#[Out]# 18    7
#[Out]# 19    4
#[Out]# 20   55
#[Out]# 21    6
#[Out]# 22   11
#[Out]# 23   38
#[Out]# 24   42
#[Out]# 25   43
#[Out]# 26   34
#[Out]# 27    0
#[Out]# 28   33
#[Out]# 29   50
#[Out]# ..  ...
#[Out]# 34   14
#[Out]# 35   22
#[Out]# 36   31
#[Out]# 37   27
#[Out]# 38    2
#[Out]# 39   59
#[Out]# 40   15
#[Out]# 41   40
#[Out]# 42    1
#[Out]# 43   45
#[Out]# 44   49
#[Out]# 45    9
#[Out]# 46   57
#[Out]# 47   54
#[Out]# 48   37
#[Out]# 49   52
#[Out]# 50   56
#[Out]# 51    5
#[Out]# 52   20
#[Out]# 53   18
#[Out]# 54   19
#[Out]# 55   58
#[Out]# 56   35
#[Out]# 57   41
#[Out]# 58   24
#[Out]# 59   48
#[Out]# 60   62
#[Out]# 61   63
#[Out]# 62   60
#[Out]# 63   61
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    select distinct sID
    from purchase
    order by sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    select distinct sID
    from store
    order by sID
'''

pd.read_sql_query(query3, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query3 = '''
    select cID
    from purchase, store
    groupby cID
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from purchase, store
    group by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 = '''
    select *
    from purchase, store
    group by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  sID  sName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45   63  Jumbo   
#[Out]# 1      7    1   36   27  2018-08-21         6   9.10   63  Jumbo   
#[Out]# 2     12    2   47   22  2018-08-17         1   1.55   63  Jumbo   
#[Out]# 3     15    3   29    9  2018-08-19         6   1.45   63  Jumbo   
#[Out]# 4     21    4   44   26  2018-08-25         4   2.75   63  Jumbo   
#[Out]# 5     27    5   17   19  2018-08-23         1   2.20   63  Jumbo   
#[Out]# 6     33    7   42   20  2018-08-26         6   2.05   63  Jumbo   
#[Out]# 7     35    8   51    8  2018-08-16         5   5.30   63  Jumbo   
#[Out]# 8     36   10   34   24  2018-08-27         5   3.20   63  Jumbo   
#[Out]# 9     37   11    0   14  2018-08-25         8   4.10   63  Jumbo   
#[Out]# 10    46   13    8    5  2018-08-27         6   0.50   63  Jumbo   
#[Out]# 11    47   15   25   11  2018-08-27         5   0.90   63  Jumbo   
#[Out]# 12    57   16   26   27  2018-08-19         2   9.25   63  Jumbo   
#[Out]# 13    59   17   44    7  2018-08-19        10   1.65   63  Jumbo   
#[Out]# 14    62   18    6    8  2018-08-18         4   4.45   63  Jumbo   
#[Out]# 15    66   19   15    3  2018-08-18         4   1.60   63  Jumbo   
#[Out]# 16    69   20   40   27  2018-08-18         9   7.10   63  Jumbo   
#[Out]# 17    72   21   47   27  2018-08-21         9   7.05   63  Jumbo   
#[Out]# 18    74   22   27   10  2018-08-28         6   0.45   63  Jumbo   
#[Out]# 19    83   24   59   13  2018-08-21         5   4.00   63  Jumbo   
#[Out]# 20    84   25   12   26  2018-08-28         9   2.55   63  Jumbo   
#[Out]# 21    85   26   21   23  2018-08-23         6   2.10   63  Jumbo   
#[Out]# 22    91   27   34   22  2018-08-18         7   1.60   63  Jumbo   
#[Out]# 23    92   28   43   11  2018-08-27         2   1.10   63  Jumbo   
#[Out]# 24    94   29   29    4  2018-08-24         3   0.95   63  Jumbo   
#[Out]# 25    97   30   57   12  2018-08-18         8  11.45   63  Jumbo   
#[Out]# 26    99   31   39   24  2018-08-28         4   3.90   63  Jumbo   
#[Out]# 27   108   33   29    4  2018-08-18         2   1.15   63  Jumbo   
#[Out]# 28   109   34   26   26  2018-08-26         8   3.45   63  Jumbo   
#[Out]# 29   111   35   34   28  2018-08-18         7   9.45   63  Jumbo   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...    ...   
#[Out]# 102  360  147   33   25  2018-08-25         7   4.40   63  Jumbo   
#[Out]# 103  366  149   54   19  2018-08-25         5   2.25   63  Jumbo   
#[Out]# 104  368  151   14   23  2018-08-17         5   2.10   63  Jumbo   
#[Out]# 105  371  152   43   19  2018-08-21         4   2.20   63  Jumbo   
#[Out]# 106  381  157   36    3  2018-08-28         7   1.80   63  Jumbo   
#[Out]# 107  385  159   17   12  2018-08-26         3  12.30   63  Jumbo   
#[Out]# 108  393  161   36   28  2018-08-26         4   7.20   63  Jumbo   
#[Out]# 109  402  162   41   16  2018-08-16         2   1.65   63  Jumbo   
#[Out]# 110  406  163    6   10  2018-08-22         6   0.55   63  Jumbo   
#[Out]# 111  413  165   46    9  2018-08-25         6   1.80   63  Jumbo   
#[Out]# 112  425  167   17   17  2018-08-15         9   2.05   63  Jumbo   
#[Out]# 113  426  168   28    1  2018-08-16         6   5.65   63  Jumbo   
#[Out]# 114  437  169   52   14  2018-08-28         7   4.65   63  Jumbo   
#[Out]# 115  440  170   40   22  2018-08-16         5   2.05   63  Jumbo   
#[Out]# 116  442  171   44   21  2018-08-20         2   2.35   63  Jumbo   
#[Out]# 117  444  172    0   16  2018-08-24         4   1.85   63  Jumbo   
#[Out]# 118  446  175   16   21  2018-08-20         2   2.25   63  Jumbo   
#[Out]# 119  452  176    6    5  2018-08-26         9   0.50   63  Jumbo   
#[Out]# 120  457  177   51    4  2018-08-22         6   1.10   63  Jumbo   
#[Out]# 121  459  178   39   24  2018-08-27         1   3.90   63  Jumbo   
#[Out]# 122  465  179   45   10  2018-08-23         7   0.45   63  Jumbo   
#[Out]# 123  468  180   56   10  2018-08-27         3   0.60   63  Jumbo   
#[Out]# 124  471  181   27   21  2018-08-27         5   2.00   63  Jumbo   
#[Out]# 125  474  182    4   13  2018-08-23         9   4.20   63  Jumbo   
#[Out]# 126  777  184    0    0  2018-08-20         2   3.50   63  Jumbo   
#[Out]# 127  778  185   62   29  2018-08-20         1   1.00   63  Jumbo   
#[Out]# 128  779  186   62   29  2018-08-21         5   1.00   63  Jumbo   
#[Out]# 129  781  188   62   30  2018-09-20         1   1.00   63  Jumbo   
#[Out]# 130  783  189   20   19  2018-08-26         3   2.50   63  Jumbo   
#[Out]# 131  847  190   63   18  2018-08-21         1   3.30   63  Jumbo   
#[Out]# 
#[Out]#             street city  
#[Out]# 0    Stationstraat  Oss  
#[Out]# 1    Stationstraat  Oss  
#[Out]# 2    Stationstraat  Oss  
#[Out]# 3    Stationstraat  Oss  
#[Out]# 4    Stationstraat  Oss  
#[Out]# 5    Stationstraat  Oss  
#[Out]# 6    Stationstraat  Oss  
#[Out]# 7    Stationstraat  Oss  
#[Out]# 8    Stationstraat  Oss  
#[Out]# 9    Stationstraat  Oss  
#[Out]# 10   Stationstraat  Oss  
#[Out]# 11   Stationstraat  Oss  
#[Out]# 12   Stationstraat  Oss  
#[Out]# 13   Stationstraat  Oss  
#[Out]# 14   Stationstraat  Oss  
#[Out]# 15   Stationstraat  Oss  
#[Out]# 16   Stationstraat  Oss  
#[Out]# 17   Stationstraat  Oss  
#[Out]# 18   Stationstraat  Oss  
#[Out]# 19   Stationstraat  Oss  
#[Out]# 20   Stationstraat  Oss  
#[Out]# 21   Stationstraat  Oss  
#[Out]# 22   Stationstraat  Oss  
#[Out]# 23   Stationstraat  Oss  
#[Out]# 24   Stationstraat  Oss  
#[Out]# 25   Stationstraat  Oss  
#[Out]# 26   Stationstraat  Oss  
#[Out]# 27   Stationstraat  Oss  
#[Out]# 28   Stationstraat  Oss  
#[Out]# 29   Stationstraat  Oss  
#[Out]# ..             ...  ...  
#[Out]# 102  Stationstraat  Oss  
#[Out]# 103  Stationstraat  Oss  
#[Out]# 104  Stationstraat  Oss  
#[Out]# 105  Stationstraat  Oss  
#[Out]# 106  Stationstraat  Oss  
#[Out]# 107  Stationstraat  Oss  
#[Out]# 108  Stationstraat  Oss  
#[Out]# 109  Stationstraat  Oss  
#[Out]# 110  Stationstraat  Oss  
#[Out]# 111  Stationstraat  Oss  
#[Out]# 112  Stationstraat  Oss  
#[Out]# 113  Stationstraat  Oss  
#[Out]# 114  Stationstraat  Oss  
#[Out]# 115  Stationstraat  Oss  
#[Out]# 116  Stationstraat  Oss  
#[Out]# 117  Stationstraat  Oss  
#[Out]# 118  Stationstraat  Oss  
#[Out]# 119  Stationstraat  Oss  
#[Out]# 120  Stationstraat  Oss  
#[Out]# 121  Stationstraat  Oss  
#[Out]# 122  Stationstraat  Oss  
#[Out]# 123  Stationstraat  Oss  
#[Out]# 124  Stationstraat  Oss  
#[Out]# 125  Stationstraat  Oss  
#[Out]# 126  Stationstraat  Oss  
#[Out]# 127  Stationstraat  Oss  
#[Out]# 128  Stationstraat  Oss  
#[Out]# 129  Stationstraat  Oss  
#[Out]# 130  Stationstraat  Oss  
#[Out]# 131  Stationstraat  Oss  
#[Out]# 
#[Out]# [132 rows x 11 columns]
query3 = '''
    select cID, count(purchase.sID) , count(store.sID) 
    from purchase, store
    group by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count(purchase.sID)  count(store.sID)
#[Out]# 0      0                   64                64
#[Out]# 1      1                  448               448
#[Out]# 2      2                  320               320
#[Out]# 3      3                  192               192
#[Out]# 4      4                  384               384
#[Out]# 5      5                  384               384
#[Out]# 6      7                  384               384
#[Out]# 7      8                  128               128
#[Out]# 8     10                   64                64
#[Out]# 9     11                   64                64
#[Out]# 10    13                  576               576
#[Out]# 11    15                   64                64
#[Out]# 12    16                  640               640
#[Out]# 13    17                  128               128
#[Out]# 14    18                  192               192
#[Out]# 15    19                  256               256
#[Out]# 16    20                  192               192
#[Out]# 17    21                  192               192
#[Out]# 18    22                  128               128
#[Out]# 19    24                  576               576
#[Out]# 20    25                   64                64
#[Out]# 21    26                   64                64
#[Out]# 22    27                  384               384
#[Out]# 23    28                   64                64
#[Out]# 24    29                  128               128
#[Out]# 25    30                  192               192
#[Out]# 26    31                  128               128
#[Out]# 27    33                  576               576
#[Out]# 28    34                   64                64
#[Out]# 29    35                  128               128
#[Out]# ..   ...                  ...               ...
#[Out]# 102  147                  192               192
#[Out]# 103  149                  128               128
#[Out]# 104  151                  128               128
#[Out]# 105  152                  192               192
#[Out]# 106  157                  192               192
#[Out]# 107  159                  128               128
#[Out]# 108  161                  704               704
#[Out]# 109  162                  512               512
#[Out]# 110  163                  256               256
#[Out]# 111  165                  384               384
#[Out]# 112  167                  640               640
#[Out]# 113  168                   64                64
#[Out]# 114  169                  704               704
#[Out]# 115  170                  192               192
#[Out]# 116  171                  128               128
#[Out]# 117  172                  128               128
#[Out]# 118  175                  128               128
#[Out]# 119  176                  384               384
#[Out]# 120  177                  320               320
#[Out]# 121  178                  128               128
#[Out]# 122  179                  384               384
#[Out]# 123  180                  192               192
#[Out]# 124  181                  192               192
#[Out]# 125  182                  256               256
#[Out]# 126  184                   64                64
#[Out]# 127  185                   64                64
#[Out]# 128  186                   64                64
#[Out]# 129  188                  128               128
#[Out]# 130  189                  128               128
#[Out]# 131  190                 4096              4096
#[Out]# 
#[Out]# [132 rows x 3 columns]
query3 = '''
    select cID, count(distinct purchase.sID) , count(distinct store.sID) 
    from purchase, store
    group by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count(distinct purchase.sID)  count(distinct store.sID)
#[Out]# 0      0                             1                         64
#[Out]# 1      1                             7                         64
#[Out]# 2      2                             5                         64
#[Out]# 3      3                             3                         64
#[Out]# 4      4                             6                         64
#[Out]# 5      5                             6                         64
#[Out]# 6      7                             6                         64
#[Out]# 7      8                             2                         64
#[Out]# 8     10                             1                         64
#[Out]# 9     11                             1                         64
#[Out]# 10    13                             7                         64
#[Out]# 11    15                             1                         64
#[Out]# 12    16                            10                         64
#[Out]# 13    17                             2                         64
#[Out]# 14    18                             3                         64
#[Out]# 15    19                             4                         64
#[Out]# 16    20                             3                         64
#[Out]# 17    21                             3                         64
#[Out]# 18    22                             2                         64
#[Out]# 19    24                             9                         64
#[Out]# 20    25                             1                         64
#[Out]# 21    26                             1                         64
#[Out]# 22    27                             5                         64
#[Out]# 23    28                             1                         64
#[Out]# 24    29                             2                         64
#[Out]# 25    30                             3                         64
#[Out]# 26    31                             2                         64
#[Out]# 27    33                             9                         64
#[Out]# 28    34                             1                         64
#[Out]# 29    35                             2                         64
#[Out]# ..   ...                           ...                        ...
#[Out]# 102  147                             3                         64
#[Out]# 103  149                             2                         64
#[Out]# 104  151                             2                         64
#[Out]# 105  152                             3                         64
#[Out]# 106  157                             2                         64
#[Out]# 107  159                             2                         64
#[Out]# 108  161                             9                         64
#[Out]# 109  162                             8                         64
#[Out]# 110  163                             4                         64
#[Out]# 111  165                             6                         64
#[Out]# 112  167                            10                         64
#[Out]# 113  168                             1                         64
#[Out]# 114  169                            11                         64
#[Out]# 115  170                             3                         64
#[Out]# 116  171                             2                         64
#[Out]# 117  172                             2                         64
#[Out]# 118  175                             2                         64
#[Out]# 119  176                             6                         64
#[Out]# 120  177                             5                         64
#[Out]# 121  178                             2                         64
#[Out]# 122  179                             6                         64
#[Out]# 123  180                             2                         64
#[Out]# 124  181                             3                         64
#[Out]# 125  182                             3                         64
#[Out]# 126  184                             1                         64
#[Out]# 127  185                             1                         64
#[Out]# 128  186                             1                         64
#[Out]# 129  188                             1                         64
#[Out]# 130  189                             2                         64
#[Out]# 131  190                            64                         64
#[Out]# 
#[Out]# [132 rows x 3 columns]
query3 = '''
    select cID, count(distinct purchase.sID) , count(distinct store.sID) 
    from purchase, store
    group by cID
    having count(distinct purchase.sID) = count(distinct store.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(distinct purchase.sID)  count(distinct store.sID)
#[Out]# 0  190                            64                         64
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    group by sName
    having count(sName) > 1 and avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht          4072       4.797642  
#[Out]# 1  Sint Annastraat      Breda          7126       4.797642  
#[Out]# 2     Keizerstraat  Rotterdam          3054       4.797642  
#[Out]# 3     Keizerstraat  Rotterdam          4581       4.797642  
#[Out]# 4    Stationstraat        Oss          4072       4.797642  
#[Out]# 5     Pannekoekweg      Breda          5090       4.797642  
#[Out]# 6    Stationsplein      Breda          4581       4.797642  
query4 = '''
    select *, count(distinct sName), avg(quantity)
    from purchase, store
    group by sName
    having count(distinct sName) > 1 and avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, sID, sName, street, city, count(distinct sName), avg(quantity)]
#[Out]# Index: []
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  847  190   63   18  2018-08-21         1    3.3   44  Albert Hein   
#[Out]# 1  847  190   63   18  2018-08-21         1    3.3   55         Coop   
#[Out]# 2  847  190   63   18  2018-08-21         1    3.3   58         Dirk   
#[Out]# 3  847  190   63   18  2018-08-21         1    3.3   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1    3.3   63        Jumbo   
#[Out]# 5  847  190   63   18  2018-08-21         1    3.3   61         Lidl   
#[Out]# 6  847  190   63   18  2018-08-21         1    3.3   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht          4072       4.797642  
#[Out]# 1  Sint Annastraat      Breda          7126       4.797642  
#[Out]# 2     Keizerstraat  Rotterdam          3054       4.797642  
#[Out]# 3     Keizerstraat  Rotterdam          4581       4.797642  
#[Out]# 4    Stationstraat        Oss          4072       4.797642  
#[Out]# 5     Pannekoekweg      Breda          5090       4.797642  
#[Out]# 6    Stationsplein      Breda          4581       4.797642  
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    where purchase.sID = store.sID
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 1  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 3  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 5  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 6  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht            66       4.969697  
#[Out]# 1  Sint Annastraat      Breda           132       4.681818  
#[Out]# 2     Keizerstraat  Rotterdam            41       5.268293  
#[Out]# 3     Keizerstraat  Rotterdam            75       5.280000  
#[Out]# 4    Stationstraat        Oss            45       3.888889  
#[Out]# 5     Pannekoekweg      Breda            64       4.796875  
#[Out]# 6    Stationsplein      Breda            86       4.674419  
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    where purchase.sID = store.sID
    group by sName
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 1  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 3  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 5  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 6  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht            66       4.969697  
#[Out]# 1  Sint Annastraat      Breda           132       4.681818  
#[Out]# 2     Keizerstraat  Rotterdam            41       5.268293  
#[Out]# 3     Keizerstraat  Rotterdam            75       5.280000  
#[Out]# 4    Stationstraat        Oss            45       3.888889  
#[Out]# 5     Pannekoekweg      Breda            64       4.796875  
#[Out]# 6    Stationsplein      Breda            86       4.674419  
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    where purchase.sID = store.sID
    group by sName
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 1  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 3  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 5  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 6  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht            66       4.969697  
#[Out]# 1  Sint Annastraat      Breda           132       4.681818  
#[Out]# 2     Keizerstraat  Rotterdam            41       5.268293  
#[Out]# 3     Keizerstraat  Rotterdam            75       5.280000  
#[Out]# 4    Stationstraat        Oss            45       3.888889  
#[Out]# 5     Pannekoekweg      Breda            64       4.796875  
#[Out]# 6    Stationsplein      Breda            86       4.674419  
query4 = '''
    select *, count(sName), avg(quantity)
    from purchase, store
    where purchase.sID = store.sID
    group by sName
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 1  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 3  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 5  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 6  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  avg(quantity)  
#[Out]# 0    Ambachtstraat    Utrecht            66       4.969697  
#[Out]# 1  Sint Annastraat      Breda           132       4.681818  
#[Out]# 2     Keizerstraat  Rotterdam            41       5.268293  
#[Out]# 3     Keizerstraat  Rotterdam            75       5.280000  
#[Out]# 4    Stationstraat        Oss            45       3.888889  
#[Out]# 5     Pannekoekweg      Breda            64       4.796875  
#[Out]# 6    Stationsplein      Breda            86       4.674419  
query4 = '''
    select *
    from store
    where sName not in (
        select *, count(sName), avg(quantity)
        from purchase, store
        where purchase.sID = store.sID
        group by sName
        having count(sName) > 0
        )
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store
    where sName not in (
        select sName
        from purchase, store
        where purchase.sID = store.sID
        group by sName
        having count(sName) > 0
        )
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sName, street, city]
#[Out]# Index: []
query4 = '''
    select *, count(sName)
    from store
    group by sName
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  count(sName)
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht             8
#[Out]# 1   55         Coop  Sint Annastraat      Breda            14
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam             6
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam             9
#[Out]# 4   63        Jumbo    Stationstraat        Oss             8
#[Out]# 5   61         Lidl     Pannekoekweg      Breda            10
#[Out]# 6   50       Sligro    Stationsplein      Breda             9
query4 = '''
    select *, count(sName)
    from store
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  sName         street city  count(sName)
#[Out]# 0   63  Jumbo  Stationstraat  Oss            64
query4 = '''
    select *
    from store
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName            street       city
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven
#[Out]# 5     5       Sligro     Stationsplein      Breda
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven
#[Out]# 13   13         Coop         Koestraat    Tilburg
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven
#[Out]# 18   18       Sligro       Parallelweg    Tilburg
#[Out]# 19   19         Coop       Karrestraat      Breda
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam
#[Out]# 23   23         Dirk     Stationsplein      Breda
#[Out]# 24   24  Albert Hein     Stationsplein      Breda
#[Out]# 25   25  Albert Hein     Stationsplein      Breda
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam
#[Out]# ..  ...          ...               ...        ...
#[Out]# 34   34         Coop          Bierkaai  Amsterdam
#[Out]# 35   35         Lidl     Julianastraat    Utrecht
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam
#[Out]# 47   47         Coop     Julianastraat  Rotterdam
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam
#[Out]# 50   50       Sligro     Stationsplein      Breda
#[Out]# 51   51         Coop       Parallelweg    Utrecht
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven
#[Out]# 53   53         Coop        Hoogstraat    Utrecht
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven
#[Out]# 55   55         Coop   Sint Annastraat      Breda
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda
#[Out]# 60   60         Lidl      Pannekoekweg      Breda
#[Out]# 61   61         Lidl      Pannekoekweg      Breda
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven
#[Out]# 63   63        Jumbo     Stationstraat        Oss
#[Out]# 
#[Out]# [64 rows x 4 columns]
query4 = '''
    select *
    from store
    where sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID sName         street       city
#[Out]# 0   23  Dirk  Stationsplein      Breda
#[Out]# 1   30  Dirk    Nieuwstraat  Eindhoven
#[Out]# 2   33  Dirk    Nieuwstraat  Eindhoven
#[Out]# 3   54  Dirk  Julianastraat  Eindhoven
#[Out]# 4   57  Dirk    Molenstraat  Eindhoven
#[Out]# 5   58  Dirk   Keizerstraat  Rotterdam
query4 = '''
    select *, count(sName)
    from store
    where sName = "Dirk"
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID sName        street       city  count(sName)
#[Out]# 0   58  Dirk  Keizerstraat  Rotterdam             6
query4 = '''
    select *, count(sName)
    from store
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  sName         street city  count(sName)
#[Out]# 0   63  Jumbo  Stationstraat  Oss            64
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by sName
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 1  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 2  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 3  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 4  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 5  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 6  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#             street       city  count(sName)  
#[Out]# 0    Ambachtstraat    Utrecht            66  
#[Out]# 1  Sint Annastraat      Breda           132  
#[Out]# 2     Keizerstraat  Rotterdam            41  
#[Out]# 3     Keizerstraat  Rotterdam            75  
#[Out]# 4    Stationstraat        Oss            45  
#[Out]# 5     Pannekoekweg      Breda            64  
#[Out]# 6    Stationsplein      Breda            86  
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by sName, sID
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by sName, store.sID
    having count(sName) > 0
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0   792  190    8   20  2018-08-16         7   3.25    8  Albert Hein   
#[Out]# 1   793  190    9   21  2018-08-26         5   4.25    9  Albert Hein   
#[Out]# 2   795  190   11    9  2018-08-22         5   3.00   11  Albert Hein   
#[Out]# 3   808  190   24   26  2018-08-16         5   3.25   24  Albert Hein   
#[Out]# 4   809  190   25    5  2018-08-20         2   1.75   25  Albert Hein   
#[Out]# 5   816  190   32    0  2018-08-26         4   3.85   32  Albert Hein   
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95   41  Albert Hein   
#[Out]# 7   828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 8   784  190    0   27  2018-08-19         5   4.45    0         Coop   
#[Out]# 9   790  190    6   10  2018-08-15         2   4.15    6         Coop   
#[Out]# 10  797  190   13    0  2018-08-26         4   2.00   13         Coop   
#[Out]# 11  798  190   14   15  2018-08-17         5   3.80   14         Coop   
#[Out]# 12  803  190   19   23  2018-08-15         7   3.75   19         Coop   
#[Out]# 13  805  190   21   17  2018-08-16         6   3.15   21         Coop   
#[Out]# 14  815  190   31   17  2018-08-19         7   1.20   31         Coop   
#[Out]# 15  818  190   34   28  2018-08-20         4   2.80   34         Coop   
#[Out]# 16  827  190   43   17  2018-08-17         7   1.50   43         Coop   
#[Out]# 17  829  190   45   11  2018-08-19         2   3.55   45         Coop   
#[Out]# 18  831  190   47   17  2018-08-17         4   3.25   47         Coop   
#[Out]# 19  835  190   51   23  2018-08-19         1   1.50   51         Coop   
#[Out]# 20  837  190   53    8  2018-08-18         4   3.95   53         Coop   
#[Out]# 21  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 22  807  190   23    3  2018-08-18         1   2.75   23         Dirk   
#[Out]# 23  814  190   30   10  2018-08-18         4   4.35   30         Dirk   
#[Out]# 24  817  190   33   19  2018-08-19         5   4.25   33         Dirk   
#[Out]# 25  838  190   54    0  2018-08-25         6   3.50   54         Dirk   
#[Out]# 26  841  190   57   15  2018-08-22         5   3.25   57         Dirk   
#[Out]# 27  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 28  785  190    1   19  2018-08-24         6   2.55    1    Hoogvliet   
#[Out]# 29  788  190    4    7  2018-08-26         7   1.30    4    Hoogvliet   
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...  ...          ...   
#[Out]# 34  824  190   40   11  2018-08-15         2   3.50   40    Hoogvliet   
#[Out]# 35  832  190   48   20  2018-08-26         6   4.30   48    Hoogvliet   
#[Out]# 36  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 37  786  190    2   19  2018-08-19         4   1.40    2        Jumbo   
#[Out]# 38  794  190   10   19  2018-08-22         7   0.90   10        Jumbo   
#[Out]# 39  804  190   20   20  2018-08-17         7   0.50   20        Jumbo   
#[Out]# 40  821  190   37   28  2018-08-15         4   0.65   37        Jumbo   
#[Out]# 41  840  190   56   11  2018-08-15         4   1.60   56        Jumbo   
#[Out]# 42  843  190   59   17  2018-08-26         2   3.80   59        Jumbo   
#[Out]# 43  846  190   62    9  2018-08-16         2   3.15   62        Jumbo   
#[Out]# 44  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 45  796  190   12   26  2018-08-17         6   2.75   12         Lidl   
#[Out]# 46  799  190   15   21  2018-08-20         2   3.10   15         Lidl   
#[Out]# 47  800  190   16    4  2018-08-26         1   2.40   16         Lidl   
#[Out]# 48  806  190   22   25  2018-08-19         7   3.20   22         Lidl   
#[Out]# 49  819  190   35   27  2018-08-15         5   0.50   35         Lidl   
#[Out]# 50  820  190   36    5  2018-08-23         3   2.55   36         Lidl   
#[Out]# 51  830  190   46   22  2018-08-25         4   2.60   46         Lidl   
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50   52         Lidl   
#[Out]# 53  844  190   60    5  2018-08-27         6   4.35   60         Lidl   
#[Out]# 54  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 55  787  190    3   28  2018-08-23         5   0.50    3       Sligro   
#[Out]# 56  789  190    5    2  2018-08-23         7   2.00    5       Sligro   
#[Out]# 57  791  190    7   22  2018-08-20         4   3.20    7       Sligro   
#[Out]# 58  802  190   18   27  2018-08-21         4   0.55   18       Sligro   
#[Out]# 59  811  190   27   13  2018-08-17         4   0.90   27       Sligro   
#[Out]# 60  813  190   29   17  2018-08-27         5   1.20   29       Sligro   
#[Out]# 61  823  190   39    0  2018-08-25         4   3.70   39       Sligro   
#[Out]# 62  826  190   42   19  2018-08-22         5   2.75   42       Sligro   
#[Out]# 63  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#               street       city  count(sName)  
#[Out]# 0        Molenstraat  Eindhoven            10  
#[Out]# 1          Koestraat    Tilburg             9  
#[Out]# 2           Hofplein  Rotterdam            11  
#[Out]# 3      Stationsplein      Breda             5  
#[Out]# 4      Stationsplein      Breda            10  
#[Out]# 5         Hoogstraat    Utrecht             5  
#[Out]# 6         Bergselaan  Rotterdam             6  
#[Out]# 7      Ambachtstraat    Utrecht            10  
#[Out]# 8       Kalverstraat  Amsterdam             9  
#[Out]# 9     Stadhoudersweg  Rotterdam            10  
#[Out]# 10         Koestraat    Tilburg             9  
#[Out]# 11     Keizersgracht  Amsterdam             8  
#[Out]# 12       Karrestraat      Breda             7  
#[Out]# 13      Kasteeldreef    Tilburg            10  
#[Out]# 14       Parallelweg    Utrecht             6  
#[Out]# 15          Bierkaai  Amsterdam            15  
#[Out]# 16    Gasthuisstraat    Utrecht            13  
#[Out]# 17      Kasteeldreef    Tilburg             8  
#[Out]# 18     Julianastraat  Rotterdam            11  
#[Out]# 19       Parallelweg    Utrecht            10  
#[Out]# 20        Hoogstraat    Utrecht             5  
#[Out]# 21   Sint Annastraat      Breda            11  
#[Out]# 22     Stationsplein      Breda             5  
#[Out]# 23       Nieuwstraat  Eindhoven            10  
#[Out]# 24       Nieuwstraat  Eindhoven             6  
#[Out]# 25     Julianastraat  Eindhoven            11  
#[Out]# 26       Molenstraat  Eindhoven             6  
#[Out]# 27      Keizerstraat  Rotterdam             3  
#[Out]# 28  Rozemarijnstraat      Breda             8  
#[Out]# 29       Molenstraat  Eindhoven            11  
#[Out]# ..               ...        ...           ...  
#[Out]# 34          Hofplein  Rotterdam            10  
#[Out]# 35      Kasteeldreef    Tilburg             2  
#[Out]# 36      Keizerstraat  Rotterdam             6  
#[Out]# 37    Stadhoudersweg  Rotterdam             6  
#[Out]# 38        Bergselaan  Rotterdam             5  
#[Out]# 39      Kasteeldreef    Tilburg             7  
#[Out]# 40          Molenweg  Eindhoven             4  
#[Out]# 41       Parallelweg  Eindhoven            10  
#[Out]# 42  Rozemarijnstraat      Breda             6  
#[Out]# 43     Poffertjesweg  Eindhoven             5  
#[Out]# 44     Stationstraat        Oss             2  
#[Out]# 45  Wilhelminastraat  Eindhoven             9  
#[Out]# 46     Prinsengracht  Amsterdam             4  
#[Out]# 47     Ambachtstraat    Utrecht             6  
#[Out]# 48     Prinsengracht  Amsterdam             4  
#[Out]# 49     Julianastraat    Utrecht             7  
#[Out]# 50     Julianastraat  Eindhoven            14  
#[Out]# 51        Bergselaan  Rotterdam            10  
#[Out]# 52       Nieuwstraat  Eindhoven             8  
#[Out]# 53      Pannekoekweg      Breda             1  
#[Out]# 54      Pannekoekweg      Breda             1  
#[Out]# 55    Stadhoudersweg  Rotterdam            13  
#[Out]# 56     Stationsplein      Breda             8  
#[Out]# 57  Wilhelminastraat  Eindhoven             9  
#[Out]# 58       Parallelweg    Tilburg            11  
#[Out]# 59      Kalverstraat  Amsterdam             8  
#[Out]# 60      Marnixstraat  Amsterdam            13  
#[Out]# 61       Dorpsstraat  Eindhoven             7  
#[Out]# 62      Kalverstraat  Amsterdam            10  
#[Out]# 63     Stationsplein      Breda             7  
#[Out]# 
#[Out]# [64 rows x 12 columns]
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by sName, store.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0   792  190    8   20  2018-08-16         7   3.25    8  Albert Hein   
#[Out]# 1   793  190    9   21  2018-08-26         5   4.25    9  Albert Hein   
#[Out]# 2   795  190   11    9  2018-08-22         5   3.00   11  Albert Hein   
#[Out]# 3   808  190   24   26  2018-08-16         5   3.25   24  Albert Hein   
#[Out]# 4   809  190   25    5  2018-08-20         2   1.75   25  Albert Hein   
#[Out]# 5   816  190   32    0  2018-08-26         4   3.85   32  Albert Hein   
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95   41  Albert Hein   
#[Out]# 7   828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 8   784  190    0   27  2018-08-19         5   4.45    0         Coop   
#[Out]# 9   790  190    6   10  2018-08-15         2   4.15    6         Coop   
#[Out]# 10  797  190   13    0  2018-08-26         4   2.00   13         Coop   
#[Out]# 11  798  190   14   15  2018-08-17         5   3.80   14         Coop   
#[Out]# 12  803  190   19   23  2018-08-15         7   3.75   19         Coop   
#[Out]# 13  805  190   21   17  2018-08-16         6   3.15   21         Coop   
#[Out]# 14  815  190   31   17  2018-08-19         7   1.20   31         Coop   
#[Out]# 15  818  190   34   28  2018-08-20         4   2.80   34         Coop   
#[Out]# 16  827  190   43   17  2018-08-17         7   1.50   43         Coop   
#[Out]# 17  829  190   45   11  2018-08-19         2   3.55   45         Coop   
#[Out]# 18  831  190   47   17  2018-08-17         4   3.25   47         Coop   
#[Out]# 19  835  190   51   23  2018-08-19         1   1.50   51         Coop   
#[Out]# 20  837  190   53    8  2018-08-18         4   3.95   53         Coop   
#[Out]# 21  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 22  807  190   23    3  2018-08-18         1   2.75   23         Dirk   
#[Out]# 23  814  190   30   10  2018-08-18         4   4.35   30         Dirk   
#[Out]# 24  817  190   33   19  2018-08-19         5   4.25   33         Dirk   
#[Out]# 25  838  190   54    0  2018-08-25         6   3.50   54         Dirk   
#[Out]# 26  841  190   57   15  2018-08-22         5   3.25   57         Dirk   
#[Out]# 27  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 28  785  190    1   19  2018-08-24         6   2.55    1    Hoogvliet   
#[Out]# 29  788  190    4    7  2018-08-26         7   1.30    4    Hoogvliet   
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...  ...          ...   
#[Out]# 34  824  190   40   11  2018-08-15         2   3.50   40    Hoogvliet   
#[Out]# 35  832  190   48   20  2018-08-26         6   4.30   48    Hoogvliet   
#[Out]# 36  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 37  786  190    2   19  2018-08-19         4   1.40    2        Jumbo   
#[Out]# 38  794  190   10   19  2018-08-22         7   0.90   10        Jumbo   
#[Out]# 39  804  190   20   20  2018-08-17         7   0.50   20        Jumbo   
#[Out]# 40  821  190   37   28  2018-08-15         4   0.65   37        Jumbo   
#[Out]# 41  840  190   56   11  2018-08-15         4   1.60   56        Jumbo   
#[Out]# 42  843  190   59   17  2018-08-26         2   3.80   59        Jumbo   
#[Out]# 43  846  190   62    9  2018-08-16         2   3.15   62        Jumbo   
#[Out]# 44  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 45  796  190   12   26  2018-08-17         6   2.75   12         Lidl   
#[Out]# 46  799  190   15   21  2018-08-20         2   3.10   15         Lidl   
#[Out]# 47  800  190   16    4  2018-08-26         1   2.40   16         Lidl   
#[Out]# 48  806  190   22   25  2018-08-19         7   3.20   22         Lidl   
#[Out]# 49  819  190   35   27  2018-08-15         5   0.50   35         Lidl   
#[Out]# 50  820  190   36    5  2018-08-23         3   2.55   36         Lidl   
#[Out]# 51  830  190   46   22  2018-08-25         4   2.60   46         Lidl   
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50   52         Lidl   
#[Out]# 53  844  190   60    5  2018-08-27         6   4.35   60         Lidl   
#[Out]# 54  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 55  787  190    3   28  2018-08-23         5   0.50    3       Sligro   
#[Out]# 56  789  190    5    2  2018-08-23         7   2.00    5       Sligro   
#[Out]# 57  791  190    7   22  2018-08-20         4   3.20    7       Sligro   
#[Out]# 58  802  190   18   27  2018-08-21         4   0.55   18       Sligro   
#[Out]# 59  811  190   27   13  2018-08-17         4   0.90   27       Sligro   
#[Out]# 60  813  190   29   17  2018-08-27         5   1.20   29       Sligro   
#[Out]# 61  823  190   39    0  2018-08-25         4   3.70   39       Sligro   
#[Out]# 62  826  190   42   19  2018-08-22         5   2.75   42       Sligro   
#[Out]# 63  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#               street       city  count(sName)  
#[Out]# 0        Molenstraat  Eindhoven            10  
#[Out]# 1          Koestraat    Tilburg             9  
#[Out]# 2           Hofplein  Rotterdam            11  
#[Out]# 3      Stationsplein      Breda             5  
#[Out]# 4      Stationsplein      Breda            10  
#[Out]# 5         Hoogstraat    Utrecht             5  
#[Out]# 6         Bergselaan  Rotterdam             6  
#[Out]# 7      Ambachtstraat    Utrecht            10  
#[Out]# 8       Kalverstraat  Amsterdam             9  
#[Out]# 9     Stadhoudersweg  Rotterdam            10  
#[Out]# 10         Koestraat    Tilburg             9  
#[Out]# 11     Keizersgracht  Amsterdam             8  
#[Out]# 12       Karrestraat      Breda             7  
#[Out]# 13      Kasteeldreef    Tilburg            10  
#[Out]# 14       Parallelweg    Utrecht             6  
#[Out]# 15          Bierkaai  Amsterdam            15  
#[Out]# 16    Gasthuisstraat    Utrecht            13  
#[Out]# 17      Kasteeldreef    Tilburg             8  
#[Out]# 18     Julianastraat  Rotterdam            11  
#[Out]# 19       Parallelweg    Utrecht            10  
#[Out]# 20        Hoogstraat    Utrecht             5  
#[Out]# 21   Sint Annastraat      Breda            11  
#[Out]# 22     Stationsplein      Breda             5  
#[Out]# 23       Nieuwstraat  Eindhoven            10  
#[Out]# 24       Nieuwstraat  Eindhoven             6  
#[Out]# 25     Julianastraat  Eindhoven            11  
#[Out]# 26       Molenstraat  Eindhoven             6  
#[Out]# 27      Keizerstraat  Rotterdam             3  
#[Out]# 28  Rozemarijnstraat      Breda             8  
#[Out]# 29       Molenstraat  Eindhoven            11  
#[Out]# ..               ...        ...           ...  
#[Out]# 34          Hofplein  Rotterdam            10  
#[Out]# 35      Kasteeldreef    Tilburg             2  
#[Out]# 36      Keizerstraat  Rotterdam             6  
#[Out]# 37    Stadhoudersweg  Rotterdam             6  
#[Out]# 38        Bergselaan  Rotterdam             5  
#[Out]# 39      Kasteeldreef    Tilburg             7  
#[Out]# 40          Molenweg  Eindhoven             4  
#[Out]# 41       Parallelweg  Eindhoven            10  
#[Out]# 42  Rozemarijnstraat      Breda             6  
#[Out]# 43     Poffertjesweg  Eindhoven             5  
#[Out]# 44     Stationstraat        Oss             2  
#[Out]# 45  Wilhelminastraat  Eindhoven             9  
#[Out]# 46     Prinsengracht  Amsterdam             4  
#[Out]# 47     Ambachtstraat    Utrecht             6  
#[Out]# 48     Prinsengracht  Amsterdam             4  
#[Out]# 49     Julianastraat    Utrecht             7  
#[Out]# 50     Julianastraat  Eindhoven            14  
#[Out]# 51        Bergselaan  Rotterdam            10  
#[Out]# 52       Nieuwstraat  Eindhoven             8  
#[Out]# 53      Pannekoekweg      Breda             1  
#[Out]# 54      Pannekoekweg      Breda             1  
#[Out]# 55    Stadhoudersweg  Rotterdam            13  
#[Out]# 56     Stationsplein      Breda             8  
#[Out]# 57  Wilhelminastraat  Eindhoven             9  
#[Out]# 58       Parallelweg    Tilburg            11  
#[Out]# 59      Kalverstraat  Amsterdam             8  
#[Out]# 60      Marnixstraat  Amsterdam            13  
#[Out]# 61       Dorpsstraat  Eindhoven             7  
#[Out]# 62      Kalverstraat  Amsterdam            10  
#[Out]# 63     Stationsplein      Breda             7  
#[Out]# 
#[Out]# [64 rows x 12 columns]
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by distinct sName, store.sID
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *, count(distinct sName)
    from purchase, store
    where purchase.sID = store.sID
    group by sName, store.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0   792  190    8   20  2018-08-16         7   3.25    8  Albert Hein   
#[Out]# 1   793  190    9   21  2018-08-26         5   4.25    9  Albert Hein   
#[Out]# 2   795  190   11    9  2018-08-22         5   3.00   11  Albert Hein   
#[Out]# 3   808  190   24   26  2018-08-16         5   3.25   24  Albert Hein   
#[Out]# 4   809  190   25    5  2018-08-20         2   1.75   25  Albert Hein   
#[Out]# 5   816  190   32    0  2018-08-26         4   3.85   32  Albert Hein   
#[Out]# 6   825  190   41    6  2018-08-15         5   2.95   41  Albert Hein   
#[Out]# 7   828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 8   784  190    0   27  2018-08-19         5   4.45    0         Coop   
#[Out]# 9   790  190    6   10  2018-08-15         2   4.15    6         Coop   
#[Out]# 10  797  190   13    0  2018-08-26         4   2.00   13         Coop   
#[Out]# 11  798  190   14   15  2018-08-17         5   3.80   14         Coop   
#[Out]# 12  803  190   19   23  2018-08-15         7   3.75   19         Coop   
#[Out]# 13  805  190   21   17  2018-08-16         6   3.15   21         Coop   
#[Out]# 14  815  190   31   17  2018-08-19         7   1.20   31         Coop   
#[Out]# 15  818  190   34   28  2018-08-20         4   2.80   34         Coop   
#[Out]# 16  827  190   43   17  2018-08-17         7   1.50   43         Coop   
#[Out]# 17  829  190   45   11  2018-08-19         2   3.55   45         Coop   
#[Out]# 18  831  190   47   17  2018-08-17         4   3.25   47         Coop   
#[Out]# 19  835  190   51   23  2018-08-19         1   1.50   51         Coop   
#[Out]# 20  837  190   53    8  2018-08-18         4   3.95   53         Coop   
#[Out]# 21  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 22  807  190   23    3  2018-08-18         1   2.75   23         Dirk   
#[Out]# 23  814  190   30   10  2018-08-18         4   4.35   30         Dirk   
#[Out]# 24  817  190   33   19  2018-08-19         5   4.25   33         Dirk   
#[Out]# 25  838  190   54    0  2018-08-25         6   3.50   54         Dirk   
#[Out]# 26  841  190   57   15  2018-08-22         5   3.25   57         Dirk   
#[Out]# 27  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 28  785  190    1   19  2018-08-24         6   2.55    1    Hoogvliet   
#[Out]# 29  788  190    4    7  2018-08-26         7   1.30    4    Hoogvliet   
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...  ...          ...   
#[Out]# 34  824  190   40   11  2018-08-15         2   3.50   40    Hoogvliet   
#[Out]# 35  832  190   48   20  2018-08-26         6   4.30   48    Hoogvliet   
#[Out]# 36  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 37  786  190    2   19  2018-08-19         4   1.40    2        Jumbo   
#[Out]# 38  794  190   10   19  2018-08-22         7   0.90   10        Jumbo   
#[Out]# 39  804  190   20   20  2018-08-17         7   0.50   20        Jumbo   
#[Out]# 40  821  190   37   28  2018-08-15         4   0.65   37        Jumbo   
#[Out]# 41  840  190   56   11  2018-08-15         4   1.60   56        Jumbo   
#[Out]# 42  843  190   59   17  2018-08-26         2   3.80   59        Jumbo   
#[Out]# 43  846  190   62    9  2018-08-16         2   3.15   62        Jumbo   
#[Out]# 44  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 45  796  190   12   26  2018-08-17         6   2.75   12         Lidl   
#[Out]# 46  799  190   15   21  2018-08-20         2   3.10   15         Lidl   
#[Out]# 47  800  190   16    4  2018-08-26         1   2.40   16         Lidl   
#[Out]# 48  806  190   22   25  2018-08-19         7   3.20   22         Lidl   
#[Out]# 49  819  190   35   27  2018-08-15         5   0.50   35         Lidl   
#[Out]# 50  820  190   36    5  2018-08-23         3   2.55   36         Lidl   
#[Out]# 51  830  190   46   22  2018-08-25         4   2.60   46         Lidl   
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50   52         Lidl   
#[Out]# 53  844  190   60    5  2018-08-27         6   4.35   60         Lidl   
#[Out]# 54  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 55  787  190    3   28  2018-08-23         5   0.50    3       Sligro   
#[Out]# 56  789  190    5    2  2018-08-23         7   2.00    5       Sligro   
#[Out]# 57  791  190    7   22  2018-08-20         4   3.20    7       Sligro   
#[Out]# 58  802  190   18   27  2018-08-21         4   0.55   18       Sligro   
#[Out]# 59  811  190   27   13  2018-08-17         4   0.90   27       Sligro   
#[Out]# 60  813  190   29   17  2018-08-27         5   1.20   29       Sligro   
#[Out]# 61  823  190   39    0  2018-08-25         4   3.70   39       Sligro   
#[Out]# 62  826  190   42   19  2018-08-22         5   2.75   42       Sligro   
#[Out]# 63  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 
#[Out]#               street       city  count(distinct sName)  
#[Out]# 0        Molenstraat  Eindhoven                      1  
#[Out]# 1          Koestraat    Tilburg                      1  
#[Out]# 2           Hofplein  Rotterdam                      1  
#[Out]# 3      Stationsplein      Breda                      1  
#[Out]# 4      Stationsplein      Breda                      1  
#[Out]# 5         Hoogstraat    Utrecht                      1  
#[Out]# 6         Bergselaan  Rotterdam                      1  
#[Out]# 7      Ambachtstraat    Utrecht                      1  
#[Out]# 8       Kalverstraat  Amsterdam                      1  
#[Out]# 9     Stadhoudersweg  Rotterdam                      1  
#[Out]# 10         Koestraat    Tilburg                      1  
#[Out]# 11     Keizersgracht  Amsterdam                      1  
#[Out]# 12       Karrestraat      Breda                      1  
#[Out]# 13      Kasteeldreef    Tilburg                      1  
#[Out]# 14       Parallelweg    Utrecht                      1  
#[Out]# 15          Bierkaai  Amsterdam                      1  
#[Out]# 16    Gasthuisstraat    Utrecht                      1  
#[Out]# 17      Kasteeldreef    Tilburg                      1  
#[Out]# 18     Julianastraat  Rotterdam                      1  
#[Out]# 19       Parallelweg    Utrecht                      1  
#[Out]# 20        Hoogstraat    Utrecht                      1  
#[Out]# 21   Sint Annastraat      Breda                      1  
#[Out]# 22     Stationsplein      Breda                      1  
#[Out]# 23       Nieuwstraat  Eindhoven                      1  
#[Out]# 24       Nieuwstraat  Eindhoven                      1  
#[Out]# 25     Julianastraat  Eindhoven                      1  
#[Out]# 26       Molenstraat  Eindhoven                      1  
#[Out]# 27      Keizerstraat  Rotterdam                      1  
#[Out]# 28  Rozemarijnstraat      Breda                      1  
#[Out]# 29       Molenstraat  Eindhoven                      1  
#[Out]# ..               ...        ...                    ...  
#[Out]# 34          Hofplein  Rotterdam                      1  
#[Out]# 35      Kasteeldreef    Tilburg                      1  
#[Out]# 36      Keizerstraat  Rotterdam                      1  
#[Out]# 37    Stadhoudersweg  Rotterdam                      1  
#[Out]# 38        Bergselaan  Rotterdam                      1  
#[Out]# 39      Kasteeldreef    Tilburg                      1  
#[Out]# 40          Molenweg  Eindhoven                      1  
#[Out]# 41       Parallelweg  Eindhoven                      1  
#[Out]# 42  Rozemarijnstraat      Breda                      1  
#[Out]# 43     Poffertjesweg  Eindhoven                      1  
#[Out]# 44     Stationstraat        Oss                      1  
#[Out]# 45  Wilhelminastraat  Eindhoven                      1  
#[Out]# 46     Prinsengracht  Amsterdam                      1  
#[Out]# 47     Ambachtstraat    Utrecht                      1  
#[Out]# 48     Prinsengracht  Amsterdam                      1  
#[Out]# 49     Julianastraat    Utrecht                      1  
#[Out]# 50     Julianastraat  Eindhoven                      1  
#[Out]# 51        Bergselaan  Rotterdam                      1  
#[Out]# 52       Nieuwstraat  Eindhoven                      1  
#[Out]# 53      Pannekoekweg      Breda                      1  
#[Out]# 54      Pannekoekweg      Breda                      1  
#[Out]# 55    Stadhoudersweg  Rotterdam                      1  
#[Out]# 56     Stationsplein      Breda                      1  
#[Out]# 57  Wilhelminastraat  Eindhoven                      1  
#[Out]# 58       Parallelweg    Tilburg                      1  
#[Out]# 59      Kalverstraat  Amsterdam                      1  
#[Out]# 60      Marnixstraat  Amsterdam                      1  
#[Out]# 61       Dorpsstraat  Eindhoven                      1  
#[Out]# 62      Kalverstraat  Amsterdam                      1  
#[Out]# 63     Stationsplein      Breda                      1  
#[Out]# 
#[Out]# [64 rows x 12 columns]
query4 = '''
    select *, count(distinct sName)
    from purchase, store
    where purchase.sID = store.sID
    group store.sID
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *, count(distinct sName)
    from purchase, store
    where purchase.sID = store.sID
    group by store.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0   784  190    0   27  2018-08-19         5   4.45    0         Coop   
#[Out]# 1   785  190    1   19  2018-08-24         6   2.55    1    Hoogvliet   
#[Out]# 2   786  190    2   19  2018-08-19         4   1.40    2        Jumbo   
#[Out]# 3   787  190    3   28  2018-08-23         5   0.50    3       Sligro   
#[Out]# 4   788  190    4    7  2018-08-26         7   1.30    4    Hoogvliet   
#[Out]# 5   789  190    5    2  2018-08-23         7   2.00    5       Sligro   
#[Out]# 6   790  190    6   10  2018-08-15         2   4.15    6         Coop   
#[Out]# 7   791  190    7   22  2018-08-20         4   3.20    7       Sligro   
#[Out]# 8   792  190    8   20  2018-08-16         7   3.25    8  Albert Hein   
#[Out]# 9   793  190    9   21  2018-08-26         5   4.25    9  Albert Hein   
#[Out]# 10  794  190   10   19  2018-08-22         7   0.90   10        Jumbo   
#[Out]# 11  795  190   11    9  2018-08-22         5   3.00   11  Albert Hein   
#[Out]# 12  796  190   12   26  2018-08-17         6   2.75   12         Lidl   
#[Out]# 13  797  190   13    0  2018-08-26         4   2.00   13         Coop   
#[Out]# 14  798  190   14   15  2018-08-17         5   3.80   14         Coop   
#[Out]# 15  799  190   15   21  2018-08-20         2   3.10   15         Lidl   
#[Out]# 16  800  190   16    4  2018-08-26         1   2.40   16         Lidl   
#[Out]# 17  801  190   17   10  2018-08-23         6   0.95   17    Hoogvliet   
#[Out]# 18  802  190   18   27  2018-08-21         4   0.55   18       Sligro   
#[Out]# 19  803  190   19   23  2018-08-15         7   3.75   19         Coop   
#[Out]# 20  804  190   20   20  2018-08-17         7   0.50   20        Jumbo   
#[Out]# 21  805  190   21   17  2018-08-16         6   3.15   21         Coop   
#[Out]# 22  806  190   22   25  2018-08-19         7   3.20   22         Lidl   
#[Out]# 23  807  190   23    3  2018-08-18         1   2.75   23         Dirk   
#[Out]# 24  808  190   24   26  2018-08-16         5   3.25   24  Albert Hein   
#[Out]# 25  809  190   25    5  2018-08-20         2   1.75   25  Albert Hein   
#[Out]# 26  810  190   26   21  2018-08-22         7   0.60   26    Hoogvliet   
#[Out]# 27  811  190   27   13  2018-08-17         4   0.90   27       Sligro   
#[Out]# 28  812  190   28   19  2018-08-23         5   1.75   28    Hoogvliet   
#[Out]# 29  813  190   29   17  2018-08-27         5   1.20   29       Sligro   
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...  ...          ...   
#[Out]# 34  818  190   34   28  2018-08-20         4   2.80   34         Coop   
#[Out]# 35  819  190   35   27  2018-08-15         5   0.50   35         Lidl   
#[Out]# 36  820  190   36    5  2018-08-23         3   2.55   36         Lidl   
#[Out]# 37  821  190   37   28  2018-08-15         4   0.65   37        Jumbo   
#[Out]# 38  822  190   38    7  2018-08-24         4   0.70   38    Hoogvliet   
#[Out]# 39  823  190   39    0  2018-08-25         4   3.70   39       Sligro   
#[Out]# 40  824  190   40   11  2018-08-15         2   3.50   40    Hoogvliet   
#[Out]# 41  825  190   41    6  2018-08-15         5   2.95   41  Albert Hein   
#[Out]# 42  826  190   42   19  2018-08-22         5   2.75   42       Sligro   
#[Out]# 43  827  190   43   17  2018-08-17         7   1.50   43         Coop   
#[Out]# 44  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 45  829  190   45   11  2018-08-19         2   3.55   45         Coop   
#[Out]# 46  830  190   46   22  2018-08-25         4   2.60   46         Lidl   
#[Out]# 47  831  190   47   17  2018-08-17         4   3.25   47         Coop   
#[Out]# 48  832  190   48   20  2018-08-26         6   4.30   48    Hoogvliet   
#[Out]# 49  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 50  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 51  835  190   51   23  2018-08-19         1   1.50   51         Coop   
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50   52         Lidl   
#[Out]# 53  837  190   53    8  2018-08-18         4   3.95   53         Coop   
#[Out]# 54  838  190   54    0  2018-08-25         6   3.50   54         Dirk   
#[Out]# 55  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 56  840  190   56   11  2018-08-15         4   1.60   56        Jumbo   
#[Out]# 57  841  190   57   15  2018-08-22         5   3.25   57         Dirk   
#[Out]# 58  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 59  843  190   59   17  2018-08-26         2   3.80   59        Jumbo   
#[Out]# 60  844  190   60    5  2018-08-27         6   4.35   60         Lidl   
#[Out]# 61  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 62  846  190   62    9  2018-08-16         2   3.15   62        Jumbo   
#[Out]# 63  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 
#[Out]#               street       city  count(distinct sName)  
#[Out]# 0       Kalverstraat  Amsterdam                      1  
#[Out]# 1   Rozemarijnstraat      Breda                      1  
#[Out]# 2     Stadhoudersweg  Rotterdam                      1  
#[Out]# 3     Stadhoudersweg  Rotterdam                      1  
#[Out]# 4        Molenstraat  Eindhoven                      1  
#[Out]# 5      Stationsplein      Breda                      1  
#[Out]# 6     Stadhoudersweg  Rotterdam                      1  
#[Out]# 7   Wilhelminastraat  Eindhoven                      1  
#[Out]# 8        Molenstraat  Eindhoven                      1  
#[Out]# 9          Koestraat    Tilburg                      1  
#[Out]# 10        Bergselaan  Rotterdam                      1  
#[Out]# 11          Hofplein  Rotterdam                      1  
#[Out]# 12  Wilhelminastraat  Eindhoven                      1  
#[Out]# 13         Koestraat    Tilburg                      1  
#[Out]# 14     Keizersgracht  Amsterdam                      1  
#[Out]# 15     Prinsengracht  Amsterdam                      1  
#[Out]# 16     Ambachtstraat    Utrecht                      1  
#[Out]# 17        Kerkstraat  Eindhoven                      1  
#[Out]# 18       Parallelweg    Tilburg                      1  
#[Out]# 19       Karrestraat      Breda                      1  
#[Out]# 20      Kasteeldreef    Tilburg                      1  
#[Out]# 21      Kasteeldreef    Tilburg                      1  
#[Out]# 22     Prinsengracht  Amsterdam                      1  
#[Out]# 23     Stationsplein      Breda                      1  
#[Out]# 24     Stationsplein      Breda                      1  
#[Out]# 25     Stationsplein      Breda                      1  
#[Out]# 26   Sint Annastraat      Breda                      1  
#[Out]# 27      Kalverstraat  Amsterdam                      1  
#[Out]# 28         Koestraat    Tilburg                      1  
#[Out]# 29      Marnixstraat  Amsterdam                      1  
#[Out]# ..               ...        ...                    ...  
#[Out]# 34          Bierkaai  Amsterdam                      1  
#[Out]# 35     Julianastraat    Utrecht                      1  
#[Out]# 36     Julianastraat  Eindhoven                      1  
#[Out]# 37          Molenweg  Eindhoven                      1  
#[Out]# 38          Hofplein  Rotterdam                      1  
#[Out]# 39       Dorpsstraat  Eindhoven                      1  
#[Out]# 40          Hofplein  Rotterdam                      1  
#[Out]# 41        Bergselaan  Rotterdam                      1  
#[Out]# 42      Kalverstraat  Amsterdam                      1  
#[Out]# 43    Gasthuisstraat    Utrecht                      1  
#[Out]# 44     Ambachtstraat    Utrecht                      1  
#[Out]# 45      Kasteeldreef    Tilburg                      1  
#[Out]# 46        Bergselaan  Rotterdam                      1  
#[Out]# 47     Julianastraat  Rotterdam                      1  
#[Out]# 48      Kasteeldreef    Tilburg                      1  
#[Out]# 49      Keizerstraat  Rotterdam                      1  
#[Out]# 50     Stationsplein      Breda                      1  
#[Out]# 51       Parallelweg    Utrecht                      1  
#[Out]# 52       Nieuwstraat  Eindhoven                      1  
#[Out]# 53        Hoogstraat    Utrecht                      1  
#[Out]# 54     Julianastraat  Eindhoven                      1  
#[Out]# 55   Sint Annastraat      Breda                      1  
#[Out]# 56       Parallelweg  Eindhoven                      1  
#[Out]# 57       Molenstraat  Eindhoven                      1  
#[Out]# 58      Keizerstraat  Rotterdam                      1  
#[Out]# 59  Rozemarijnstraat      Breda                      1  
#[Out]# 60      Pannekoekweg      Breda                      1  
#[Out]# 61      Pannekoekweg      Breda                      1  
#[Out]# 62     Poffertjesweg  Eindhoven                      1  
#[Out]# 63     Stationstraat        Oss                      1  
#[Out]# 
#[Out]# [64 rows x 12 columns]
query4 = '''
    select *, count(sName)
    from purchase, store
    where purchase.sID = store.sID
    group by store.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     tID  cID  sID  pID        date  quantity  price  sID        sName  \
#[Out]# 0   784  190    0   27  2018-08-19         5   4.45    0         Coop   
#[Out]# 1   785  190    1   19  2018-08-24         6   2.55    1    Hoogvliet   
#[Out]# 2   786  190    2   19  2018-08-19         4   1.40    2        Jumbo   
#[Out]# 3   787  190    3   28  2018-08-23         5   0.50    3       Sligro   
#[Out]# 4   788  190    4    7  2018-08-26         7   1.30    4    Hoogvliet   
#[Out]# 5   789  190    5    2  2018-08-23         7   2.00    5       Sligro   
#[Out]# 6   790  190    6   10  2018-08-15         2   4.15    6         Coop   
#[Out]# 7   791  190    7   22  2018-08-20         4   3.20    7       Sligro   
#[Out]# 8   792  190    8   20  2018-08-16         7   3.25    8  Albert Hein   
#[Out]# 9   793  190    9   21  2018-08-26         5   4.25    9  Albert Hein   
#[Out]# 10  794  190   10   19  2018-08-22         7   0.90   10        Jumbo   
#[Out]# 11  795  190   11    9  2018-08-22         5   3.00   11  Albert Hein   
#[Out]# 12  796  190   12   26  2018-08-17         6   2.75   12         Lidl   
#[Out]# 13  797  190   13    0  2018-08-26         4   2.00   13         Coop   
#[Out]# 14  798  190   14   15  2018-08-17         5   3.80   14         Coop   
#[Out]# 15  799  190   15   21  2018-08-20         2   3.10   15         Lidl   
#[Out]# 16  800  190   16    4  2018-08-26         1   2.40   16         Lidl   
#[Out]# 17  801  190   17   10  2018-08-23         6   0.95   17    Hoogvliet   
#[Out]# 18  802  190   18   27  2018-08-21         4   0.55   18       Sligro   
#[Out]# 19  803  190   19   23  2018-08-15         7   3.75   19         Coop   
#[Out]# 20  804  190   20   20  2018-08-17         7   0.50   20        Jumbo   
#[Out]# 21  805  190   21   17  2018-08-16         6   3.15   21         Coop   
#[Out]# 22  806  190   22   25  2018-08-19         7   3.20   22         Lidl   
#[Out]# 23  807  190   23    3  2018-08-18         1   2.75   23         Dirk   
#[Out]# 24  808  190   24   26  2018-08-16         5   3.25   24  Albert Hein   
#[Out]# 25  809  190   25    5  2018-08-20         2   1.75   25  Albert Hein   
#[Out]# 26  810  190   26   21  2018-08-22         7   0.60   26    Hoogvliet   
#[Out]# 27  811  190   27   13  2018-08-17         4   0.90   27       Sligro   
#[Out]# 28  812  190   28   19  2018-08-23         5   1.75   28    Hoogvliet   
#[Out]# 29  813  190   29   17  2018-08-27         5   1.20   29       Sligro   
#[Out]# ..  ...  ...  ...  ...         ...       ...    ...  ...          ...   
#[Out]# 34  818  190   34   28  2018-08-20         4   2.80   34         Coop   
#[Out]# 35  819  190   35   27  2018-08-15         5   0.50   35         Lidl   
#[Out]# 36  820  190   36    5  2018-08-23         3   2.55   36         Lidl   
#[Out]# 37  821  190   37   28  2018-08-15         4   0.65   37        Jumbo   
#[Out]# 38  822  190   38    7  2018-08-24         4   0.70   38    Hoogvliet   
#[Out]# 39  823  190   39    0  2018-08-25         4   3.70   39       Sligro   
#[Out]# 40  824  190   40   11  2018-08-15         2   3.50   40    Hoogvliet   
#[Out]# 41  825  190   41    6  2018-08-15         5   2.95   41  Albert Hein   
#[Out]# 42  826  190   42   19  2018-08-22         5   2.75   42       Sligro   
#[Out]# 43  827  190   43   17  2018-08-17         7   1.50   43         Coop   
#[Out]# 44  828  190   44    9  2018-08-18         5   0.85   44  Albert Hein   
#[Out]# 45  829  190   45   11  2018-08-19         2   3.55   45         Coop   
#[Out]# 46  830  190   46   22  2018-08-25         4   2.60   46         Lidl   
#[Out]# 47  831  190   47   17  2018-08-17         4   3.25   47         Coop   
#[Out]# 48  832  190   48   20  2018-08-26         6   4.30   48    Hoogvliet   
#[Out]# 49  833  190   49   11  2018-08-17         3   3.05   49    Hoogvliet   
#[Out]# 50  834  190   50   21  2018-08-22         6   4.05   50       Sligro   
#[Out]# 51  835  190   51   23  2018-08-19         1   1.50   51         Coop   
#[Out]# 52  836  190   52   23  2018-08-15         5   2.50   52         Lidl   
#[Out]# 53  837  190   53    8  2018-08-18         4   3.95   53         Coop   
#[Out]# 54  838  190   54    0  2018-08-25         6   3.50   54         Dirk   
#[Out]# 55  839  190   55    8  2018-08-18         7   2.95   55         Coop   
#[Out]# 56  840  190   56   11  2018-08-15         4   1.60   56        Jumbo   
#[Out]# 57  841  190   57   15  2018-08-22         5   3.25   57         Dirk   
#[Out]# 58  842  190   58    2  2018-08-19         7   0.75   58         Dirk   
#[Out]# 59  843  190   59   17  2018-08-26         2   3.80   59        Jumbo   
#[Out]# 60  844  190   60    5  2018-08-27         6   4.35   60         Lidl   
#[Out]# 61  845  190   61   19  2018-08-23         5   2.85   61         Lidl   
#[Out]# 62  846  190   62    9  2018-08-16         2   3.15   62        Jumbo   
#[Out]# 63  847  190   63   18  2018-08-21         1   3.30   63        Jumbo   
#[Out]# 
#[Out]#               street       city  count(sName)  
#[Out]# 0       Kalverstraat  Amsterdam             9  
#[Out]# 1   Rozemarijnstraat      Breda             8  
#[Out]# 2     Stadhoudersweg  Rotterdam             6  
#[Out]# 3     Stadhoudersweg  Rotterdam            13  
#[Out]# 4        Molenstraat  Eindhoven            11  
#[Out]# 5      Stationsplein      Breda             8  
#[Out]# 6     Stadhoudersweg  Rotterdam            10  
#[Out]# 7   Wilhelminastraat  Eindhoven             9  
#[Out]# 8        Molenstraat  Eindhoven            10  
#[Out]# 9          Koestraat    Tilburg             9  
#[Out]# 10        Bergselaan  Rotterdam             5  
#[Out]# 11          Hofplein  Rotterdam            11  
#[Out]# 12  Wilhelminastraat  Eindhoven             9  
#[Out]# 13         Koestraat    Tilburg             9  
#[Out]# 14     Keizersgracht  Amsterdam             8  
#[Out]# 15     Prinsengracht  Amsterdam             4  
#[Out]# 16     Ambachtstraat    Utrecht             6  
#[Out]# 17        Kerkstraat  Eindhoven            13  
#[Out]# 18       Parallelweg    Tilburg            11  
#[Out]# 19       Karrestraat      Breda             7  
#[Out]# 20      Kasteeldreef    Tilburg             7  
#[Out]# 21      Kasteeldreef    Tilburg            10  
#[Out]# 22     Prinsengracht  Amsterdam             4  
#[Out]# 23     Stationsplein      Breda             5  
#[Out]# 24     Stationsplein      Breda             5  
#[Out]# 25     Stationsplein      Breda            10  
#[Out]# 26   Sint Annastraat      Breda             8  
#[Out]# 27      Kalverstraat  Amsterdam             8  
#[Out]# 28         Koestraat    Tilburg             7  
#[Out]# 29      Marnixstraat  Amsterdam            13  
#[Out]# ..               ...        ...           ...  
#[Out]# 34          Bierkaai  Amsterdam            15  
#[Out]# 35     Julianastraat    Utrecht             7  
#[Out]# 36     Julianastraat  Eindhoven            14  
#[Out]# 37          Molenweg  Eindhoven             4  
#[Out]# 38          Hofplein  Rotterdam            10  
#[Out]# 39       Dorpsstraat  Eindhoven             7  
#[Out]# 40          Hofplein  Rotterdam            10  
#[Out]# 41        Bergselaan  Rotterdam             6  
#[Out]# 42      Kalverstraat  Amsterdam            10  
#[Out]# 43    Gasthuisstraat    Utrecht            13  
#[Out]# 44     Ambachtstraat    Utrecht            10  
#[Out]# 45      Kasteeldreef    Tilburg             8  
#[Out]# 46        Bergselaan  Rotterdam            10  
#[Out]# 47     Julianastraat  Rotterdam            11  
#[Out]# 48      Kasteeldreef    Tilburg             2  
#[Out]# 49      Keizerstraat  Rotterdam             6  
#[Out]# 50     Stationsplein      Breda             7  
#[Out]# 51       Parallelweg    Utrecht            10  
#[Out]# 52       Nieuwstraat  Eindhoven             8  
#[Out]# 53        Hoogstraat    Utrecht             5  
#[Out]# 54     Julianastraat  Eindhoven            11  
#[Out]# 55   Sint Annastraat      Breda            11  
#[Out]# 56       Parallelweg  Eindhoven            10  
#[Out]# 57       Molenstraat  Eindhoven             6  
#[Out]# 58      Keizerstraat  Rotterdam             3  
#[Out]# 59  Rozemarijnstraat      Breda             6  
#[Out]# 60      Pannekoekweg      Breda             1  
#[Out]# 61      Pannekoekweg      Breda             1  
#[Out]# 62     Poffertjesweg  Eindhoven             5  
#[Out]# 63     Stationstraat        Oss             2  
#[Out]# 
#[Out]# [64 rows x 12 columns]
query4 = '''
    select *
    from store
    where sName in (
        select sName
        from store
        where count(sID) > 1
    )
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store
    where sName in (
        select sName
        from store
        groupby sID
        having count(sID) > 1
    )
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store
    where sName in (
        select sName
        from store
        group by sID
        having count(sID) > 1
    )
'''

pd.read_sql_query(query4, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sName, street, city]
#[Out]# Index: []
query4 = '''
    select *
    from store
    groupby sID
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store
    group by sID
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName            street       city
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven
#[Out]# 5     5       Sligro     Stationsplein      Breda
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven
#[Out]# 13   13         Coop         Koestraat    Tilburg
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven
#[Out]# 18   18       Sligro       Parallelweg    Tilburg
#[Out]# 19   19         Coop       Karrestraat      Breda
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam
#[Out]# 23   23         Dirk     Stationsplein      Breda
#[Out]# 24   24  Albert Hein     Stationsplein      Breda
#[Out]# 25   25  Albert Hein     Stationsplein      Breda
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam
#[Out]# ..  ...          ...               ...        ...
#[Out]# 34   34         Coop          Bierkaai  Amsterdam
#[Out]# 35   35         Lidl     Julianastraat    Utrecht
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam
#[Out]# 47   47         Coop     Julianastraat  Rotterdam
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam
#[Out]# 50   50       Sligro     Stationsplein      Breda
#[Out]# 51   51         Coop       Parallelweg    Utrecht
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven
#[Out]# 53   53         Coop        Hoogstraat    Utrecht
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven
#[Out]# 55   55         Coop   Sint Annastraat      Breda
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda
#[Out]# 60   60         Lidl      Pannekoekweg      Breda
#[Out]# 61   61         Lidl      Pannekoekweg      Breda
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven
#[Out]# 63   63        Jumbo     Stationstraat        Oss
#[Out]# 
#[Out]# [64 rows x 4 columns]
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 13     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 21     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 22     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   63      Jumbo   
#[Out]# 28     3     Sligro    Stadhoudersweg  Rotterdam   39     Sligro   
#[Out]# 29     3     Sligro    Stadhoudersweg  Rotterdam   27     Sligro   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 528   60       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 529   60       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 530   60       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 531   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 532   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 533   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 534   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 535   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 536   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 537   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 538   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 539   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 540   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 541   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 542   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 543   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 544   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 545   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 546   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 547   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 548   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 549   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 550   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 551   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 552   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 553   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 554   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 555   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 556   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 557   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4         Karrestraat      Breda  
#[Out]# 5        Kasteeldreef    Tilburg  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7       Keizersgracht  Amsterdam  
#[Out]# 8           Koestraat    Tilburg  
#[Out]# 9         Parallelweg    Utrecht  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11    Sint Annastraat      Breda  
#[Out]# 12     Stadhoudersweg  Rotterdam  
#[Out]# 13           Hofplein  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15       Kasteeldreef    Tilburg  
#[Out]# 16       Keizerstraat  Rotterdam  
#[Out]# 17         Kerkstraat  Eindhoven  
#[Out]# 18          Koestraat    Tilburg  
#[Out]# 19        Molenstraat  Eindhoven  
#[Out]# 20    Sint Annastraat      Breda  
#[Out]# 21         Bergselaan  Rotterdam  
#[Out]# 22       Kasteeldreef    Tilburg  
#[Out]# 23           Molenweg  Eindhoven  
#[Out]# 24        Parallelweg  Eindhoven  
#[Out]# 25      Poffertjesweg  Eindhoven  
#[Out]# 26   Rozemarijnstraat      Breda  
#[Out]# 27      Stationstraat        Oss  
#[Out]# 28        Dorpsstraat  Eindhoven  
#[Out]# 29       Kalverstraat  Amsterdam  
#[Out]# ..                ...        ...  
#[Out]# 528     Julianastraat  Eindhoven  
#[Out]# 529     Julianastraat    Utrecht  
#[Out]# 530       Nieuwstraat  Eindhoven  
#[Out]# 531      Pannekoekweg      Breda  
#[Out]# 532     Prinsengracht  Amsterdam  
#[Out]# 533     Prinsengracht  Amsterdam  
#[Out]# 534  Wilhelminastraat  Eindhoven  
#[Out]# 535     Ambachtstraat    Utrecht  
#[Out]# 536        Bergselaan  Rotterdam  
#[Out]# 537     Julianastraat  Eindhoven  
#[Out]# 538     Julianastraat    Utrecht  
#[Out]# 539       Nieuwstraat  Eindhoven  
#[Out]# 540      Pannekoekweg      Breda  
#[Out]# 541     Prinsengracht  Amsterdam  
#[Out]# 542     Prinsengracht  Amsterdam  
#[Out]# 543  Wilhelminastraat  Eindhoven  
#[Out]# 544        Bergselaan  Rotterdam  
#[Out]# 545      Kasteeldreef    Tilburg  
#[Out]# 546          Molenweg  Eindhoven  
#[Out]# 547       Parallelweg  Eindhoven  
#[Out]# 548  Rozemarijnstraat      Breda  
#[Out]# 549    Stadhoudersweg  Rotterdam  
#[Out]# 550     Stationstraat        Oss  
#[Out]# 551        Bergselaan  Rotterdam  
#[Out]# 552      Kasteeldreef    Tilburg  
#[Out]# 553          Molenweg  Eindhoven  
#[Out]# 554       Parallelweg  Eindhoven  
#[Out]# 555     Poffertjesweg  Eindhoven  
#[Out]# 556  Rozemarijnstraat      Breda  
#[Out]# 557    Stadhoudersweg  Rotterdam  
#[Out]# 
#[Out]# [558 rows x 8 columns]
query4 = '''
    select *
    from store as s1, store as s2, purchase
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store as s1, store as s2, purchase
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  sID        sName  \
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht   25  Albert Hein   
#[Out]# 1   55         Coop  Sint Annastraat      Breda    6         Coop   
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam   23         Dirk   
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam   26    Hoogvliet   
#[Out]# 4   63        Jumbo    Stationstraat        Oss    2        Jumbo   
#[Out]# 5   61         Lidl     Pannekoekweg      Breda   12         Lidl   
#[Out]# 6   50       Sligro    Stationsplein      Breda    7       Sligro   
#[Out]# 
#[Out]#              street       city  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 1    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 2     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 3   Sint Annastraat      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 4    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 5  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 6  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#    price  
#[Out]# 0    3.3  
#[Out]# 1    3.3  
#[Out]# 2    3.3  
#[Out]# 3    3.3  
#[Out]# 4    3.3  
#[Out]# 5    3.3  
#[Out]# 6    3.3  
query4 = '''
    select *, count(s1.sID)
    from store as s1, store as s2, purchase
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  sID        sName  \
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht   25  Albert Hein   
#[Out]# 1   55         Coop  Sint Annastraat      Breda    6         Coop   
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam   23         Dirk   
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam   26    Hoogvliet   
#[Out]# 4   63        Jumbo    Stationstraat        Oss    2        Jumbo   
#[Out]# 5   61         Lidl     Pannekoekweg      Breda   12         Lidl   
#[Out]# 6   50       Sligro    Stationsplein      Breda    7       Sligro   
#[Out]# 
#[Out]#              street       city  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 1    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 2     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 3   Sint Annastraat      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 4    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 5  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 6  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#    price  count(s1.sID)  
#[Out]# 0    3.3          28504  
#[Out]# 1    3.3          92638  
#[Out]# 2    3.3          15270  
#[Out]# 3    3.3          36648  
#[Out]# 4    3.3          28504  
#[Out]# 5    3.3          45810  
#[Out]# 6    3.3          36648  
query4 = '''
    select *, count(distinct s1.sID)
    from store as s1, store as s2, purchase
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  sID        sName  \
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht   25  Albert Hein   
#[Out]# 1   55         Coop  Sint Annastraat      Breda    6         Coop   
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam   23         Dirk   
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam   26    Hoogvliet   
#[Out]# 4   63        Jumbo    Stationstraat        Oss    2        Jumbo   
#[Out]# 5   61         Lidl     Pannekoekweg      Breda   12         Lidl   
#[Out]# 6   50       Sligro    Stationsplein      Breda    7       Sligro   
#[Out]# 
#[Out]#              street       city  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 1    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 2     Stationsplein      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 3   Sint Annastraat      Breda  847  190   63   18  2018-08-21         1   
#[Out]# 4    Stadhoudersweg  Rotterdam  847  190   63   18  2018-08-21         1   
#[Out]# 5  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 6  Wilhelminastraat  Eindhoven  847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#    price  count(distinct s1.sID)  
#[Out]# 0    3.3                       8  
#[Out]# 1    3.3                      14  
#[Out]# 2    3.3                       6  
#[Out]# 3    3.3                       9  
#[Out]# 4    3.3                       8  
#[Out]# 5    3.3                      10  
#[Out]# 6    3.3                       9  
query4 = '''
    select *
    from store as s1, store as s2, purchase
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#         sID  sName         street       city  sID  sName            street  \
#[Out]# 0         0   Coop   Kalverstraat  Amsterdam   34   Coop          Bierkaai   
#[Out]# 1         0   Coop   Kalverstraat  Amsterdam   43   Coop    Gasthuisstraat   
#[Out]# 2         0   Coop   Kalverstraat  Amsterdam   53   Coop        Hoogstraat   
#[Out]# 3         0   Coop   Kalverstraat  Amsterdam   47   Coop     Julianastraat   
#[Out]# 4         0   Coop   Kalverstraat  Amsterdam   19   Coop       Karrestraat   
#[Out]# 5         0   Coop   Kalverstraat  Amsterdam   21   Coop      Kasteeldreef   
#[Out]# 6         0   Coop   Kalverstraat  Amsterdam   45   Coop      Kasteeldreef   
#[Out]# 7         0   Coop   Kalverstraat  Amsterdam   14   Coop     Keizersgracht   
#[Out]# 8         0   Coop   Kalverstraat  Amsterdam   13   Coop         Koestraat   
#[Out]# 9         0   Coop   Kalverstraat  Amsterdam   31   Coop       Parallelweg   
#[Out]# 10        0   Coop   Kalverstraat  Amsterdam   51   Coop       Parallelweg   
#[Out]# 11        0   Coop   Kalverstraat  Amsterdam   55   Coop   Sint Annastraat   
#[Out]# 12        0   Coop   Kalverstraat  Amsterdam    6   Coop    Stadhoudersweg   
#[Out]# 13        0   Coop   Kalverstraat  Amsterdam   34   Coop          Bierkaai   
#[Out]# 14        0   Coop   Kalverstraat  Amsterdam   43   Coop    Gasthuisstraat   
#[Out]# 15        0   Coop   Kalverstraat  Amsterdam   53   Coop        Hoogstraat   
#[Out]# 16        0   Coop   Kalverstraat  Amsterdam   47   Coop     Julianastraat   
#[Out]# 17        0   Coop   Kalverstraat  Amsterdam   19   Coop       Karrestraat   
#[Out]# 18        0   Coop   Kalverstraat  Amsterdam   21   Coop      Kasteeldreef   
#[Out]# 19        0   Coop   Kalverstraat  Amsterdam   45   Coop      Kasteeldreef   
#[Out]# 20        0   Coop   Kalverstraat  Amsterdam   14   Coop     Keizersgracht   
#[Out]# 21        0   Coop   Kalverstraat  Amsterdam   13   Coop         Koestraat   
#[Out]# 22        0   Coop   Kalverstraat  Amsterdam   31   Coop       Parallelweg   
#[Out]# 23        0   Coop   Kalverstraat  Amsterdam   51   Coop       Parallelweg   
#[Out]# 24        0   Coop   Kalverstraat  Amsterdam   55   Coop   Sint Annastraat   
#[Out]# 25        0   Coop   Kalverstraat  Amsterdam    6   Coop    Stadhoudersweg   
#[Out]# 26        0   Coop   Kalverstraat  Amsterdam   34   Coop          Bierkaai   
#[Out]# 27        0   Coop   Kalverstraat  Amsterdam   43   Coop    Gasthuisstraat   
#[Out]# 28        0   Coop   Kalverstraat  Amsterdam   53   Coop        Hoogstraat   
#[Out]# 29        0   Coop   Kalverstraat  Amsterdam   47   Coop     Julianastraat   
#[Out]# ...     ...    ...            ...        ...  ...    ...               ...   
#[Out]# 283992   63  Jumbo  Stationstraat        Oss   59  Jumbo  Rozemarijnstraat   
#[Out]# 283993   63  Jumbo  Stationstraat        Oss    2  Jumbo    Stadhoudersweg   
#[Out]# 283994   63  Jumbo  Stationstraat        Oss   10  Jumbo        Bergselaan   
#[Out]# 283995   63  Jumbo  Stationstraat        Oss   20  Jumbo      Kasteeldreef   
#[Out]# 283996   63  Jumbo  Stationstraat        Oss   37  Jumbo          Molenweg   
#[Out]# 283997   63  Jumbo  Stationstraat        Oss   56  Jumbo       Parallelweg   
#[Out]# 283998   63  Jumbo  Stationstraat        Oss   62  Jumbo     Poffertjesweg   
#[Out]# 283999   63  Jumbo  Stationstraat        Oss   59  Jumbo  Rozemarijnstraat   
#[Out]# 284000   63  Jumbo  Stationstraat        Oss    2  Jumbo    Stadhoudersweg   
#[Out]# 284001   63  Jumbo  Stationstraat        Oss   10  Jumbo        Bergselaan   
#[Out]# 284002   63  Jumbo  Stationstraat        Oss   20  Jumbo      Kasteeldreef   
#[Out]# 284003   63  Jumbo  Stationstraat        Oss   37  Jumbo          Molenweg   
#[Out]# 284004   63  Jumbo  Stationstraat        Oss   56  Jumbo       Parallelweg   
#[Out]# 284005   63  Jumbo  Stationstraat        Oss   62  Jumbo     Poffertjesweg   
#[Out]# 284006   63  Jumbo  Stationstraat        Oss   59  Jumbo  Rozemarijnstraat   
#[Out]# 284007   63  Jumbo  Stationstraat        Oss    2  Jumbo    Stadhoudersweg   
#[Out]# 284008   63  Jumbo  Stationstraat        Oss   10  Jumbo        Bergselaan   
#[Out]# 284009   63  Jumbo  Stationstraat        Oss   20  Jumbo      Kasteeldreef   
#[Out]# 284010   63  Jumbo  Stationstraat        Oss   37  Jumbo          Molenweg   
#[Out]# 284011   63  Jumbo  Stationstraat        Oss   56  Jumbo       Parallelweg   
#[Out]# 284012   63  Jumbo  Stationstraat        Oss   62  Jumbo     Poffertjesweg   
#[Out]# 284013   63  Jumbo  Stationstraat        Oss   59  Jumbo  Rozemarijnstraat   
#[Out]# 284014   63  Jumbo  Stationstraat        Oss    2  Jumbo    Stadhoudersweg   
#[Out]# 284015   63  Jumbo  Stationstraat        Oss   10  Jumbo        Bergselaan   
#[Out]# 284016   63  Jumbo  Stationstraat        Oss   20  Jumbo      Kasteeldreef   
#[Out]# 284017   63  Jumbo  Stationstraat        Oss   37  Jumbo          Molenweg   
#[Out]# 284018   63  Jumbo  Stationstraat        Oss   56  Jumbo       Parallelweg   
#[Out]# 284019   63  Jumbo  Stationstraat        Oss   62  Jumbo     Poffertjesweg   
#[Out]# 284020   63  Jumbo  Stationstraat        Oss   59  Jumbo  Rozemarijnstraat   
#[Out]# 284021   63  Jumbo  Stationstraat        Oss    2  Jumbo    Stadhoudersweg   
#[Out]# 
#[Out]#              city  tID  cID  sID  pID        date  quantity  price  
#[Out]# 0       Amsterdam    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 1         Utrecht    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 2         Utrecht    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 3       Rotterdam    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 4           Breda    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 5         Tilburg    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 6         Tilburg    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 7       Amsterdam    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 8         Tilburg    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 9         Utrecht    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 10        Utrecht    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 11          Breda    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 12      Rotterdam    0    0    3   10  2018-08-22         1   0.45  
#[Out]# 13      Amsterdam    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 14        Utrecht    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 15        Utrecht    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 16      Rotterdam    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 17          Breda    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 18        Tilburg    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 19        Tilburg    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 20      Amsterdam    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 21        Tilburg    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 22        Utrecht    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 23        Utrecht    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 24          Breda    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 25      Rotterdam    1    1   23   14  2018-08-20         2   4.65  
#[Out]# 26      Amsterdam    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 27        Utrecht    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 28        Utrecht    2    1    3   16  2018-08-20         3   1.60  
#[Out]# 29      Rotterdam    2    1    3   16  2018-08-20         3   1.60  
#[Out]# ...           ...  ...  ...  ...  ...         ...       ...    ...  
#[Out]# 283992      Breda  843  190   59   17  2018-08-26         2   3.80  
#[Out]# 283993  Rotterdam  843  190   59   17  2018-08-26         2   3.80  
#[Out]# 283994  Rotterdam  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 283995    Tilburg  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 283996  Eindhoven  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 283997  Eindhoven  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 283998  Eindhoven  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 283999      Breda  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 284000  Rotterdam  844  190   60    5  2018-08-27         6   4.35  
#[Out]# 284001  Rotterdam  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284002    Tilburg  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284003  Eindhoven  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284004  Eindhoven  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284005  Eindhoven  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284006      Breda  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284007  Rotterdam  845  190   61   19  2018-08-23         5   2.85  
#[Out]# 284008  Rotterdam  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284009    Tilburg  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284010  Eindhoven  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284011  Eindhoven  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284012  Eindhoven  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284013      Breda  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284014  Rotterdam  846  190   62    9  2018-08-16         2   3.15  
#[Out]# 284015  Rotterdam  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284016    Tilburg  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284017  Eindhoven  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284018  Eindhoven  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284019  Eindhoven  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284020      Breda  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 284021  Rotterdam  847  190   63   18  2018-08-21         1   3.30  
#[Out]# 
#[Out]# [284022 rows x 15 columns]
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 13     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 21     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 22     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   63      Jumbo   
#[Out]# 28     3     Sligro    Stadhoudersweg  Rotterdam   39     Sligro   
#[Out]# 29     3     Sligro    Stadhoudersweg  Rotterdam   27     Sligro   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 528   60       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 529   60       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 530   60       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 531   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 532   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 533   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 534   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 535   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 536   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 537   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 538   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 539   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 540   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 541   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 542   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 543   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 544   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 545   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 546   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 547   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 548   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 549   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 550   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 551   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 552   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 553   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 554   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 555   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 556   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 557   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4         Karrestraat      Breda  
#[Out]# 5        Kasteeldreef    Tilburg  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7       Keizersgracht  Amsterdam  
#[Out]# 8           Koestraat    Tilburg  
#[Out]# 9         Parallelweg    Utrecht  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11    Sint Annastraat      Breda  
#[Out]# 12     Stadhoudersweg  Rotterdam  
#[Out]# 13           Hofplein  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15       Kasteeldreef    Tilburg  
#[Out]# 16       Keizerstraat  Rotterdam  
#[Out]# 17         Kerkstraat  Eindhoven  
#[Out]# 18          Koestraat    Tilburg  
#[Out]# 19        Molenstraat  Eindhoven  
#[Out]# 20    Sint Annastraat      Breda  
#[Out]# 21         Bergselaan  Rotterdam  
#[Out]# 22       Kasteeldreef    Tilburg  
#[Out]# 23           Molenweg  Eindhoven  
#[Out]# 24        Parallelweg  Eindhoven  
#[Out]# 25      Poffertjesweg  Eindhoven  
#[Out]# 26   Rozemarijnstraat      Breda  
#[Out]# 27      Stationstraat        Oss  
#[Out]# 28        Dorpsstraat  Eindhoven  
#[Out]# 29       Kalverstraat  Amsterdam  
#[Out]# ..                ...        ...  
#[Out]# 528     Julianastraat  Eindhoven  
#[Out]# 529     Julianastraat    Utrecht  
#[Out]# 530       Nieuwstraat  Eindhoven  
#[Out]# 531      Pannekoekweg      Breda  
#[Out]# 532     Prinsengracht  Amsterdam  
#[Out]# 533     Prinsengracht  Amsterdam  
#[Out]# 534  Wilhelminastraat  Eindhoven  
#[Out]# 535     Ambachtstraat    Utrecht  
#[Out]# 536        Bergselaan  Rotterdam  
#[Out]# 537     Julianastraat  Eindhoven  
#[Out]# 538     Julianastraat    Utrecht  
#[Out]# 539       Nieuwstraat  Eindhoven  
#[Out]# 540      Pannekoekweg      Breda  
#[Out]# 541     Prinsengracht  Amsterdam  
#[Out]# 542     Prinsengracht  Amsterdam  
#[Out]# 543  Wilhelminastraat  Eindhoven  
#[Out]# 544        Bergselaan  Rotterdam  
#[Out]# 545      Kasteeldreef    Tilburg  
#[Out]# 546          Molenweg  Eindhoven  
#[Out]# 547       Parallelweg  Eindhoven  
#[Out]# 548  Rozemarijnstraat      Breda  
#[Out]# 549    Stadhoudersweg  Rotterdam  
#[Out]# 550     Stationstraat        Oss  
#[Out]# 551        Bergselaan  Rotterdam  
#[Out]# 552      Kasteeldreef    Tilburg  
#[Out]# 553          Molenweg  Eindhoven  
#[Out]# 554       Parallelweg  Eindhoven  
#[Out]# 555     Poffertjesweg  Eindhoven  
#[Out]# 556  Rozemarijnstraat      Breda  
#[Out]# 557    Stadhoudersweg  Rotterdam  
#[Out]# 
#[Out]# [558 rows x 8 columns]
query4 = '''
    select s2.sID
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID
#[Out]# 0      6
#[Out]# 1     13
#[Out]# 2     14
#[Out]# 3     19
#[Out]# 4     21
#[Out]# 5     31
#[Out]# 6     34
#[Out]# 7     43
#[Out]# 8     45
#[Out]# 9     47
#[Out]# 10    51
#[Out]# 11    53
#[Out]# 12    55
#[Out]# 13     4
#[Out]# 14    17
#[Out]# 15    26
#[Out]# 16    28
#[Out]# 17    38
#[Out]# 18    40
#[Out]# 19    48
#[Out]# 20    49
#[Out]# 21    10
#[Out]# 22    20
#[Out]# 23    37
#[Out]# 24    56
#[Out]# 25    59
#[Out]# 26    62
#[Out]# 27    63
#[Out]# 28     5
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 528   16
#[Out]# 529   22
#[Out]# 530   35
#[Out]# 531   36
#[Out]# 532   46
#[Out]# 533   52
#[Out]# 534   61
#[Out]# 535   12
#[Out]# 536   15
#[Out]# 537   16
#[Out]# 538   22
#[Out]# 539   35
#[Out]# 540   36
#[Out]# 541   46
#[Out]# 542   52
#[Out]# 543   60
#[Out]# 544    2
#[Out]# 545   10
#[Out]# 546   20
#[Out]# 547   37
#[Out]# 548   56
#[Out]# 549   59
#[Out]# 550   63
#[Out]# 551    2
#[Out]# 552   10
#[Out]# 553   20
#[Out]# 554   37
#[Out]# 555   56
#[Out]# 556   59
#[Out]# 557   62
#[Out]# 
#[Out]# [558 rows x 1 columns]
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 13     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 21     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 22     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   63      Jumbo   
#[Out]# 28     3     Sligro    Stadhoudersweg  Rotterdam   39     Sligro   
#[Out]# 29     3     Sligro    Stadhoudersweg  Rotterdam   27     Sligro   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 528   60       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 529   60       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 530   60       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 531   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 532   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 533   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 534   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 535   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 536   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 537   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 538   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 539   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 540   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 541   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 542   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 543   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 544   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 545   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 546   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 547   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 548   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 549   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 550   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 551   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 552   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 553   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 554   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 555   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 556   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 557   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4         Karrestraat      Breda  
#[Out]# 5        Kasteeldreef    Tilburg  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7       Keizersgracht  Amsterdam  
#[Out]# 8           Koestraat    Tilburg  
#[Out]# 9         Parallelweg    Utrecht  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11    Sint Annastraat      Breda  
#[Out]# 12     Stadhoudersweg  Rotterdam  
#[Out]# 13           Hofplein  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15       Kasteeldreef    Tilburg  
#[Out]# 16       Keizerstraat  Rotterdam  
#[Out]# 17         Kerkstraat  Eindhoven  
#[Out]# 18          Koestraat    Tilburg  
#[Out]# 19        Molenstraat  Eindhoven  
#[Out]# 20    Sint Annastraat      Breda  
#[Out]# 21         Bergselaan  Rotterdam  
#[Out]# 22       Kasteeldreef    Tilburg  
#[Out]# 23           Molenweg  Eindhoven  
#[Out]# 24        Parallelweg  Eindhoven  
#[Out]# 25      Poffertjesweg  Eindhoven  
#[Out]# 26   Rozemarijnstraat      Breda  
#[Out]# 27      Stationstraat        Oss  
#[Out]# 28        Dorpsstraat  Eindhoven  
#[Out]# 29       Kalverstraat  Amsterdam  
#[Out]# ..                ...        ...  
#[Out]# 528     Julianastraat  Eindhoven  
#[Out]# 529     Julianastraat    Utrecht  
#[Out]# 530       Nieuwstraat  Eindhoven  
#[Out]# 531      Pannekoekweg      Breda  
#[Out]# 532     Prinsengracht  Amsterdam  
#[Out]# 533     Prinsengracht  Amsterdam  
#[Out]# 534  Wilhelminastraat  Eindhoven  
#[Out]# 535     Ambachtstraat    Utrecht  
#[Out]# 536        Bergselaan  Rotterdam  
#[Out]# 537     Julianastraat  Eindhoven  
#[Out]# 538     Julianastraat    Utrecht  
#[Out]# 539       Nieuwstraat  Eindhoven  
#[Out]# 540      Pannekoekweg      Breda  
#[Out]# 541     Prinsengracht  Amsterdam  
#[Out]# 542     Prinsengracht  Amsterdam  
#[Out]# 543  Wilhelminastraat  Eindhoven  
#[Out]# 544        Bergselaan  Rotterdam  
#[Out]# 545      Kasteeldreef    Tilburg  
#[Out]# 546          Molenweg  Eindhoven  
#[Out]# 547       Parallelweg  Eindhoven  
#[Out]# 548  Rozemarijnstraat      Breda  
#[Out]# 549    Stadhoudersweg  Rotterdam  
#[Out]# 550     Stationstraat        Oss  
#[Out]# 551        Bergselaan  Rotterdam  
#[Out]# 552      Kasteeldreef    Tilburg  
#[Out]# 553          Molenweg  Eindhoven  
#[Out]# 554       Parallelweg  Eindhoven  
#[Out]# 555     Poffertjesweg  Eindhoven  
#[Out]# 556  Rozemarijnstraat      Breda  
#[Out]# 557    Stadhoudersweg  Rotterdam  
#[Out]# 
#[Out]# [558 rows x 8 columns]
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and distinct s1.sID != distinct s2.sID 
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#      sID      sName            street       city  sID      sName  \
#[Out]# 0      0       Coop      Kalverstraat  Amsterdam   34       Coop   
#[Out]# 1      0       Coop      Kalverstraat  Amsterdam   43       Coop   
#[Out]# 2      0       Coop      Kalverstraat  Amsterdam   53       Coop   
#[Out]# 3      0       Coop      Kalverstraat  Amsterdam   47       Coop   
#[Out]# 4      0       Coop      Kalverstraat  Amsterdam   19       Coop   
#[Out]# 5      0       Coop      Kalverstraat  Amsterdam   21       Coop   
#[Out]# 6      0       Coop      Kalverstraat  Amsterdam   45       Coop   
#[Out]# 7      0       Coop      Kalverstraat  Amsterdam   14       Coop   
#[Out]# 8      0       Coop      Kalverstraat  Amsterdam   13       Coop   
#[Out]# 9      0       Coop      Kalverstraat  Amsterdam   31       Coop   
#[Out]# 10     0       Coop      Kalverstraat  Amsterdam   51       Coop   
#[Out]# 11     0       Coop      Kalverstraat  Amsterdam   55       Coop   
#[Out]# 12     0       Coop      Kalverstraat  Amsterdam    6       Coop   
#[Out]# 13     1  Hoogvliet  Rozemarijnstraat      Breda   38  Hoogvliet   
#[Out]# 14     1  Hoogvliet  Rozemarijnstraat      Breda   40  Hoogvliet   
#[Out]# 15     1  Hoogvliet  Rozemarijnstraat      Breda   48  Hoogvliet   
#[Out]# 16     1  Hoogvliet  Rozemarijnstraat      Breda   49  Hoogvliet   
#[Out]# 17     1  Hoogvliet  Rozemarijnstraat      Breda   17  Hoogvliet   
#[Out]# 18     1  Hoogvliet  Rozemarijnstraat      Breda   28  Hoogvliet   
#[Out]# 19     1  Hoogvliet  Rozemarijnstraat      Breda    4  Hoogvliet   
#[Out]# 20     1  Hoogvliet  Rozemarijnstraat      Breda   26  Hoogvliet   
#[Out]# 21     2      Jumbo    Stadhoudersweg  Rotterdam   10      Jumbo   
#[Out]# 22     2      Jumbo    Stadhoudersweg  Rotterdam   20      Jumbo   
#[Out]# 23     2      Jumbo    Stadhoudersweg  Rotterdam   37      Jumbo   
#[Out]# 24     2      Jumbo    Stadhoudersweg  Rotterdam   56      Jumbo   
#[Out]# 25     2      Jumbo    Stadhoudersweg  Rotterdam   62      Jumbo   
#[Out]# 26     2      Jumbo    Stadhoudersweg  Rotterdam   59      Jumbo   
#[Out]# 27     2      Jumbo    Stadhoudersweg  Rotterdam   63      Jumbo   
#[Out]# 28     3     Sligro    Stadhoudersweg  Rotterdam   39     Sligro   
#[Out]# 29     3     Sligro    Stadhoudersweg  Rotterdam   27     Sligro   
#[Out]# ..   ...        ...               ...        ...  ...        ...   
#[Out]# 528   60       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 529   60       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 530   60       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 531   60       Lidl      Pannekoekweg      Breda   61       Lidl   
#[Out]# 532   60       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 533   60       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 534   60       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 535   61       Lidl      Pannekoekweg      Breda   16       Lidl   
#[Out]# 536   61       Lidl      Pannekoekweg      Breda   46       Lidl   
#[Out]# 537   61       Lidl      Pannekoekweg      Breda   36       Lidl   
#[Out]# 538   61       Lidl      Pannekoekweg      Breda   35       Lidl   
#[Out]# 539   61       Lidl      Pannekoekweg      Breda   52       Lidl   
#[Out]# 540   61       Lidl      Pannekoekweg      Breda   60       Lidl   
#[Out]# 541   61       Lidl      Pannekoekweg      Breda   15       Lidl   
#[Out]# 542   61       Lidl      Pannekoekweg      Breda   22       Lidl   
#[Out]# 543   61       Lidl      Pannekoekweg      Breda   12       Lidl   
#[Out]# 544   62      Jumbo     Poffertjesweg  Eindhoven   10      Jumbo   
#[Out]# 545   62      Jumbo     Poffertjesweg  Eindhoven   20      Jumbo   
#[Out]# 546   62      Jumbo     Poffertjesweg  Eindhoven   37      Jumbo   
#[Out]# 547   62      Jumbo     Poffertjesweg  Eindhoven   56      Jumbo   
#[Out]# 548   62      Jumbo     Poffertjesweg  Eindhoven   59      Jumbo   
#[Out]# 549   62      Jumbo     Poffertjesweg  Eindhoven    2      Jumbo   
#[Out]# 550   62      Jumbo     Poffertjesweg  Eindhoven   63      Jumbo   
#[Out]# 551   63      Jumbo     Stationstraat        Oss   10      Jumbo   
#[Out]# 552   63      Jumbo     Stationstraat        Oss   20      Jumbo   
#[Out]# 553   63      Jumbo     Stationstraat        Oss   37      Jumbo   
#[Out]# 554   63      Jumbo     Stationstraat        Oss   56      Jumbo   
#[Out]# 555   63      Jumbo     Stationstraat        Oss   62      Jumbo   
#[Out]# 556   63      Jumbo     Stationstraat        Oss   59      Jumbo   
#[Out]# 557   63      Jumbo     Stationstraat        Oss    2      Jumbo   
#[Out]# 
#[Out]#                street       city  
#[Out]# 0            Bierkaai  Amsterdam  
#[Out]# 1      Gasthuisstraat    Utrecht  
#[Out]# 2          Hoogstraat    Utrecht  
#[Out]# 3       Julianastraat  Rotterdam  
#[Out]# 4         Karrestraat      Breda  
#[Out]# 5        Kasteeldreef    Tilburg  
#[Out]# 6        Kasteeldreef    Tilburg  
#[Out]# 7       Keizersgracht  Amsterdam  
#[Out]# 8           Koestraat    Tilburg  
#[Out]# 9         Parallelweg    Utrecht  
#[Out]# 10        Parallelweg    Utrecht  
#[Out]# 11    Sint Annastraat      Breda  
#[Out]# 12     Stadhoudersweg  Rotterdam  
#[Out]# 13           Hofplein  Rotterdam  
#[Out]# 14           Hofplein  Rotterdam  
#[Out]# 15       Kasteeldreef    Tilburg  
#[Out]# 16       Keizerstraat  Rotterdam  
#[Out]# 17         Kerkstraat  Eindhoven  
#[Out]# 18          Koestraat    Tilburg  
#[Out]# 19        Molenstraat  Eindhoven  
#[Out]# 20    Sint Annastraat      Breda  
#[Out]# 21         Bergselaan  Rotterdam  
#[Out]# 22       Kasteeldreef    Tilburg  
#[Out]# 23           Molenweg  Eindhoven  
#[Out]# 24        Parallelweg  Eindhoven  
#[Out]# 25      Poffertjesweg  Eindhoven  
#[Out]# 26   Rozemarijnstraat      Breda  
#[Out]# 27      Stationstraat        Oss  
#[Out]# 28        Dorpsstraat  Eindhoven  
#[Out]# 29       Kalverstraat  Amsterdam  
#[Out]# ..                ...        ...  
#[Out]# 528     Julianastraat  Eindhoven  
#[Out]# 529     Julianastraat    Utrecht  
#[Out]# 530       Nieuwstraat  Eindhoven  
#[Out]# 531      Pannekoekweg      Breda  
#[Out]# 532     Prinsengracht  Amsterdam  
#[Out]# 533     Prinsengracht  Amsterdam  
#[Out]# 534  Wilhelminastraat  Eindhoven  
#[Out]# 535     Ambachtstraat    Utrecht  
#[Out]# 536        Bergselaan  Rotterdam  
#[Out]# 537     Julianastraat  Eindhoven  
#[Out]# 538     Julianastraat    Utrecht  
#[Out]# 539       Nieuwstraat  Eindhoven  
#[Out]# 540      Pannekoekweg      Breda  
#[Out]# 541     Prinsengracht  Amsterdam  
#[Out]# 542     Prinsengracht  Amsterdam  
#[Out]# 543  Wilhelminastraat  Eindhoven  
#[Out]# 544        Bergselaan  Rotterdam  
#[Out]# 545      Kasteeldreef    Tilburg  
#[Out]# 546          Molenweg  Eindhoven  
#[Out]# 547       Parallelweg  Eindhoven  
#[Out]# 548  Rozemarijnstraat      Breda  
#[Out]# 549    Stadhoudersweg  Rotterdam  
#[Out]# 550     Stationstraat        Oss  
#[Out]# 551        Bergselaan  Rotterdam  
#[Out]# 552      Kasteeldreef    Tilburg  
#[Out]# 553          Molenweg  Eindhoven  
#[Out]# 554       Parallelweg  Eindhoven  
#[Out]# 555     Poffertjesweg  Eindhoven  
#[Out]# 556  Rozemarijnstraat      Breda  
#[Out]# 557    Stadhoudersweg  Rotterdam  
#[Out]# 
#[Out]# [558 rows x 8 columns]
query4 = '''
    select distinct s2.sID
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by sName
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select *
    from store as s1, store as s2
    where s1.sName = s2.sName and s1.sID != s2.sID 
    group by s1.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID        sName           street       city  sID        sName  \
#[Out]# 0   44  Albert Hein    Ambachtstraat    Utrecht   25  Albert Hein   
#[Out]# 1   55         Coop  Sint Annastraat      Breda    6         Coop   
#[Out]# 2   58         Dirk     Keizerstraat  Rotterdam   23         Dirk   
#[Out]# 3   49    Hoogvliet     Keizerstraat  Rotterdam   26    Hoogvliet   
#[Out]# 4   63        Jumbo    Stationstraat        Oss    2        Jumbo   
#[Out]# 5   61         Lidl     Pannekoekweg      Breda   12         Lidl   
#[Out]# 6   50       Sligro    Stationsplein      Breda    7       Sligro   
#[Out]# 
#[Out]#              street       city  
#[Out]# 0     Stationsplein      Breda  
#[Out]# 1    Stadhoudersweg  Rotterdam  
#[Out]# 2     Stationsplein      Breda  
#[Out]# 3   Sint Annastraat      Breda  
#[Out]# 4    Stadhoudersweg  Rotterdam  
#[Out]# 5  Wilhelminastraat  Eindhoven  
#[Out]# 6  Wilhelminastraat  Eindhoven  
query5 = '''
    select pName, sName
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID and price = max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID and price in(
        select max(price)
        from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    select pName, sName, price
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID and price in(
        select max(price)
        from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query6 = '''
    select pName, pID
    from product
    where pName = Beef
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select pName, pID
    from product
    where pName = "Beef"
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName  pID
#[Out]# 0  Beef   12
query5 = '''
    select pName, sName
    from purchase, product, store
    where purchase.pID = product.pID and purchase.sID = store.sID and price in(
        select max(price)
        from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select min(i1.unit_price), min(i2.unit_price), max(i1.unit_price), max(i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select min(i1.unit_price), min(i2.unit_price), max(i1.unit_price), max(i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        i1.date = 2018-08-23 
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select min(i1.unit_price), min(i2.unit_price), max(i1.unit_price), max(i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
#[Out]#    min(i1.unit_price)  min(i2.unit_price)  max(i1.unit_price)  \
#[Out]# 0                0.45                0.45                13.4   
#[Out]# 
#[Out]#    max(i2.unit_price)  
#[Out]# 0                13.4  
practicequery1a = '''
    select s.ID, unit_price
    from inventory
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    select sID, unit_price
    from inventory
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  unit_price
#[Out]# 0     55        0.60
#[Out]# 1     25       14.80
#[Out]# 2     15        1.15
#[Out]# 3      6        7.30
#[Out]# 4     57        2.05
#[Out]# 5     33        5.70
#[Out]# 6     51        0.60
#[Out]# 7     50        1.90
#[Out]# 8      0        3.05
#[Out]# 9     36        5.05
#[Out]# 10    36        2.20
#[Out]# 11    54        0.55
#[Out]# 12    59        6.20
#[Out]# 13     9        2.50
#[Out]# 14    33        1.60
#[Out]# 15    35        0.55
#[Out]# 16     0        2.20
#[Out]# 17    31        4.50
#[Out]# 18    19        4.70
#[Out]# 19    33        2.15
#[Out]# 20    17        2.85
#[Out]# 21     4        9.00
#[Out]# 22     3        4.60
#[Out]# 23    22        1.30
#[Out]# 24    52        4.25
#[Out]# 25    24        2.90
#[Out]# 26     7       12.55
#[Out]# 27    32       11.85
#[Out]# 28    48        3.20
#[Out]# 29    54        5.55
#[Out]# ..   ...         ...
#[Out]# 799   35        4.35
#[Out]# 800   19        0.90
#[Out]# 801    4        2.15
#[Out]# 802    6        0.50
#[Out]# 803   47        8.85
#[Out]# 804   38        2.30
#[Out]# 805   11        1.30
#[Out]# 806   34        3.40
#[Out]# 807   34        3.60
#[Out]# 808   25        3.70
#[Out]# 809   24        0.85
#[Out]# 810   57        2.40
#[Out]# 811   43        9.00
#[Out]# 812   35        1.85
#[Out]# 813   45        0.45
#[Out]# 814   34        3.10
#[Out]# 815   34        4.05
#[Out]# 816   56        0.60
#[Out]# 817    6        2.70
#[Out]# 818   45        0.90
#[Out]# 819   27        2.00
#[Out]# 820   17        3.90
#[Out]# 821    5        9.70
#[Out]# 822    5        1.30
#[Out]# 823    4        4.20
#[Out]# 824   27        0.55
#[Out]# 825   45        9.20
#[Out]# 826   57        1.15
#[Out]# 827   60        1.75
#[Out]# 828    0        5.95
#[Out]# 
#[Out]# [829 rows x 2 columns]
practicequery1a = '''
    select sID, unit_price
    from inventory
    order by unit_price
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  unit_price
#[Out]# 0     28        0.40
#[Out]# 1     34        0.40
#[Out]# 2     40        0.40
#[Out]# 3     12        0.40
#[Out]# 4     28        0.40
#[Out]# 5     25        0.40
#[Out]# 6     30        0.40
#[Out]# 7     32        0.40
#[Out]# 8      4        0.45
#[Out]# 9      1        0.45
#[Out]# 10    41        0.45
#[Out]# 11    30        0.45
#[Out]# 12    34        0.45
#[Out]# 13    17        0.45
#[Out]# 14    53        0.45
#[Out]# 15     3        0.45
#[Out]# 16    27        0.45
#[Out]# 17     1        0.45
#[Out]# 18    24        0.45
#[Out]# 19    45        0.45
#[Out]# 20    45        0.45
#[Out]# 21     8        0.50
#[Out]# 22    38        0.50
#[Out]# 23    45        0.50
#[Out]# 24    57        0.50
#[Out]# 25    56        0.50
#[Out]# 26     1        0.50
#[Out]# 27    15        0.50
#[Out]# 28     8        0.50
#[Out]# 29    43        0.50
#[Out]# ..   ...         ...
#[Out]# 799   13       11.20
#[Out]# 800   50       11.35
#[Out]# 801   42       11.40
#[Out]# 802   57       11.45
#[Out]# 803   11       11.55
#[Out]# 804   23       11.65
#[Out]# 805   41       11.75
#[Out]# 806   32       11.85
#[Out]# 807   44       12.00
#[Out]# 808   38       12.20
#[Out]# 809   17       12.30
#[Out]# 810    7       12.55
#[Out]# 811   54       12.55
#[Out]# 812   27       12.65
#[Out]# 813   23       12.80
#[Out]# 814   50       13.10
#[Out]# 815    8       13.10
#[Out]# 816   58       13.10
#[Out]# 817    9       13.15
#[Out]# 818   41       13.25
#[Out]# 819    5       13.40
#[Out]# 820   53       13.60
#[Out]# 821   42       13.65
#[Out]# 822   29       13.65
#[Out]# 823   27       13.80
#[Out]# 824   53       13.85
#[Out]# 825    0       14.05
#[Out]# 826   12       14.05
#[Out]# 827   25       14.80
#[Out]# 828    8       14.90
#[Out]# 
#[Out]# [829 rows x 2 columns]
practicequery1a = '''
    select *
    from inventory
    order by unit_price
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     28   10  2018-08-16        15        0.40
#[Out]# 1     34   10  2018-08-22        31        0.40
#[Out]# 2     40    5  2018-08-24        52        0.40
#[Out]# 3     12    5  2018-08-27        17        0.40
#[Out]# 4     28   10  2018-08-25         7        0.40
#[Out]# 5     25    5  2018-08-20         5        0.40
#[Out]# 6     30    5  2018-08-22         5        0.40
#[Out]# 7     32    5  2018-08-19        20        0.40
#[Out]# 8      4    5  2018-08-15        48        0.45
#[Out]# 9      1   10  2018-08-17        29        0.45
#[Out]# 10    41    5  2018-08-24        15        0.45
#[Out]# 11    30    5  2018-08-20         4        0.45
#[Out]# 12    34   10  2018-08-23         8        0.45
#[Out]# 13    17    5  2018-08-18        33        0.45
#[Out]# 14    53   10  2018-08-24        32        0.45
#[Out]# 15     3   10  2018-08-21        13        0.45
#[Out]# 16    27   10  2018-08-27        19        0.45
#[Out]# 17     1    5  2018-08-23         2        0.45
#[Out]# 18    24    5  2018-08-20        13        0.45
#[Out]# 19    45   10  2018-08-24        11        0.45
#[Out]# 20    45   10  2018-08-22        21        0.45
#[Out]# 21     8   10  2018-08-27        26        0.50
#[Out]# 22    38   10  2018-08-27        33        0.50
#[Out]# 23    45   10  2018-08-26        54        0.50
#[Out]# 24    57    5  2018-08-15        48        0.50
#[Out]# 25    56   10  2018-08-22        53        0.50
#[Out]# 26     1    5  2018-08-21        49        0.50
#[Out]# 27    15    5  2018-08-19        30        0.50
#[Out]# 28     8    5  2018-08-26         8        0.50
#[Out]# 29    43   10  2018-08-27        12        0.50
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   13   12  2018-08-22        14       11.20
#[Out]# 800   50   18  2018-08-18        24       11.35
#[Out]# 801   42   12  2018-08-23        46       11.40
#[Out]# 802   57   12  2018-08-18        16       11.45
#[Out]# 803   11   18  2018-08-19         1       11.55
#[Out]# 804   23   12  2018-08-26        17       11.65
#[Out]# 805   41   18  2018-08-19        15       11.75
#[Out]# 806   32   18  2018-08-21        41       11.85
#[Out]# 807   44   18  2018-08-22        14       12.00
#[Out]# 808   38   12  2018-08-21        10       12.20
#[Out]# 809   17   12  2018-08-26        11       12.30
#[Out]# 810    7   12  2018-08-20        13       12.55
#[Out]# 811   54   12  2018-08-23         5       12.55
#[Out]# 812   27   12  2018-08-26         2       12.65
#[Out]# 813   23   12  2018-08-27        17       12.80
#[Out]# 814   50   12  2018-08-24        38       13.10
#[Out]# 815    8   12  2018-08-15        45       13.10
#[Out]# 816   58   12  2018-08-20        51       13.10
#[Out]# 817    9   12  2018-08-23         5       13.15
#[Out]# 818   41   12  2018-08-22        14       13.25
#[Out]# 819    5   12  2018-08-23        11       13.40
#[Out]# 820   53   12  2018-08-24         3       13.60
#[Out]# 821   42   12  2018-08-19        41       13.65
#[Out]# 822   29   12  2018-08-18         4       13.65
#[Out]# 823   27   12  2018-08-25         5       13.80
#[Out]# 824   53   12  2018-08-16         3       13.85
#[Out]# 825    0   12  2018-08-15         9       14.05
#[Out]# 826   12   12  2018-08-19        19       14.05
#[Out]# 827   25   12  2018-08-24        30       14.80
#[Out]# 828    8   12  2018-08-17        14       14.90
#[Out]# 
#[Out]# [829 rows x 5 columns]
practicequery1a = '''
    select *
    from inventory
    where date = '2018-08-23'
    order by unit_price
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0    34   10  2018-08-23         8        0.45
#[Out]# 1     1    5  2018-08-23         2        0.45
#[Out]# 2    50   10  2018-08-23        54        0.55
#[Out]# 3    51   10  2018-08-23        31        0.60
#[Out]# 4     2   11  2018-08-23        21        1.00
#[Out]# 5    45    4  2018-08-23        50        1.00
#[Out]# 6     6   15  2018-08-23         4        1.00
#[Out]# 7    33   11  2018-08-23        32        1.05
#[Out]# 8    48    6  2018-08-23        21        1.15
#[Out]# 9    19    4  2018-08-23        53        1.20
#[Out]# 10   35   11  2018-08-23        15        1.20
#[Out]# 11   13   15  2018-08-23        11        1.25
#[Out]# 12   12   15  2018-08-23         1        1.25
#[Out]# 13   11   15  2018-08-23        14        1.30
#[Out]# 14    3    3  2018-08-23        17        1.35
#[Out]# 15   51   22  2018-08-23        13        1.55
#[Out]# 16   16   22  2018-08-23        14        1.60
#[Out]# 17    5   16  2018-08-23         4        1.65
#[Out]# 18   12    2  2018-08-23         3        1.70
#[Out]# 19   38   23  2018-08-23        29        1.80
#[Out]# 20   47    7  2018-08-23        27        1.85
#[Out]# 21    6   16  2018-08-23        14        1.85
#[Out]# 22   11   16  2018-08-23         3        1.90
#[Out]# 23   29   17  2018-08-23         4        1.95
#[Out]# 24   50   22  2018-08-23         5        1.95
#[Out]# 25   43    7  2018-08-23        20        1.95
#[Out]# 26    2   16  2018-08-23         0        2.00
#[Out]# 27   30   22  2018-08-23        29        2.05
#[Out]# 28   11    2  2018-08-23        22        2.10
#[Out]# 29    3   19  2018-08-23        11        2.10
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 38   41   14  2018-08-23         3        3.35
#[Out]# 39   12   13  2018-08-23        15        3.55
#[Out]# 40   38   24  2018-08-23        10        3.55
#[Out]# 41   50   14  2018-08-23        19        3.85
#[Out]# 42   35   25  2018-08-23        36        4.00
#[Out]# 43   45   13  2018-08-23        32        4.10
#[Out]# 44    5   24  2018-08-23        32        4.10
#[Out]# 45   40   14  2018-08-23         3        4.10
#[Out]# 46   35   13  2018-08-23        28        4.15
#[Out]# 47    4   13  2018-08-23        23        4.20
#[Out]# 48   56   25  2018-08-23        19        4.35
#[Out]# 49    6    0  2018-08-23        37        4.35
#[Out]# 50   56    1  2018-08-23         1        4.40
#[Out]# 51   41    1  2018-08-23        53        4.60
#[Out]# 52   31    0  2018-08-23        25        4.60
#[Out]# 53   33    8  2018-08-23        16        4.80
#[Out]# 54   55    1  2018-08-23         1        4.80
#[Out]# 55   29    0  2018-08-23        28        5.15
#[Out]# 56   25    8  2018-08-23         6        5.55
#[Out]# 57    7    1  2018-08-23        18        5.80
#[Out]# 58   32   28  2018-08-23        36        6.85
#[Out]# 59   40   27  2018-08-23        17        6.90
#[Out]# 60   52   28  2018-08-23         8        7.35
#[Out]# 61   37   28  2018-08-23        19        7.75
#[Out]# 62   28   27  2018-08-23        43        8.50
#[Out]# 63   35   27  2018-08-23        54        8.85
#[Out]# 64   42   12  2018-08-23        46       11.40
#[Out]# 65   54   12  2018-08-23         5       12.55
#[Out]# 66    9   12  2018-08-23         5       13.15
#[Out]# 67    5   12  2018-08-23        11       13.40
#[Out]# 
#[Out]# [68 rows x 5 columns]
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7     35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8     35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9     35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26    35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27    41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     34   10  2018-08-23         8        0.45   50   10  2018-08-23   
#[Out]# 1     34   10  2018-08-23         8        0.45   51   10  2018-08-23   
#[Out]# 2     50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 3     50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 4     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 5     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 6      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 7      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 8     45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 9      6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 10     6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 11     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 12    33   11  2018-08-23        32        1.05    2   11  2018-08-23   
#[Out]# 13    33   11  2018-08-23        32        1.05   35   11  2018-08-23   
#[Out]# 14    19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 15    35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 16    35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 17    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 18    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 19    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 20    12   15  2018-08-23         1        1.25    6   15  2018-08-23   
#[Out]# 21    12   15  2018-08-23         1        1.25   11   15  2018-08-23   
#[Out]# 22    12   15  2018-08-23         1        1.25   13   15  2018-08-23   
#[Out]# 23    11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 24    11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 25    11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 26    51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 27    51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 28    51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 29    16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   29    0  2018-08-23        28        5.15    6    0  2018-08-23   
#[Out]# 125   29    0  2018-08-23        28        5.15   31    0  2018-08-23   
#[Out]# 126   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 127    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 128    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 129    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 130   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 131   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 132   40   27  2018-08-23        17        6.90   28   27  2018-08-23   
#[Out]# 133   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 134   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 135   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 136   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 137   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 138   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 139   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 140   35   27  2018-08-23        54        8.85   28   27  2018-08-23   
#[Out]# 141   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 142   42   12  2018-08-23        46       11.40    5   12  2018-08-23   
#[Out]# 143   42   12  2018-08-23        46       11.40    9   12  2018-08-23   
#[Out]# 144   42   12  2018-08-23        46       11.40   54   12  2018-08-23   
#[Out]# 145   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 146   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 147   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 148    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 149    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 150    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 151    5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 152    5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 153    5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          54        0.55  
#[Out]# 1          31        0.60  
#[Out]# 2           8        0.45  
#[Out]# 3          31        0.60  
#[Out]# 4           8        0.45  
#[Out]# 5          54        0.55  
#[Out]# 6          32        1.05  
#[Out]# 7          15        1.20  
#[Out]# 8          53        1.20  
#[Out]# 9          14        1.30  
#[Out]# 10          1        1.25  
#[Out]# 11         11        1.25  
#[Out]# 12         21        1.00  
#[Out]# 13         15        1.20  
#[Out]# 14         50        1.00  
#[Out]# 15         21        1.00  
#[Out]# 16         32        1.05  
#[Out]# 17          4        1.00  
#[Out]# 18         14        1.30  
#[Out]# 19          1        1.25  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22         11        1.25  
#[Out]# 23          4        1.00  
#[Out]# 24          1        1.25  
#[Out]# 25         11        1.25  
#[Out]# 26         14        1.60  
#[Out]# 27         29        2.05  
#[Out]# 28          5        1.95  
#[Out]# 29         29        2.05  
#[Out]# ..        ...         ...  
#[Out]# 124        37        4.35  
#[Out]# 125        25        4.60  
#[Out]# 126        16        4.80  
#[Out]# 127        53        4.60  
#[Out]# 128         1        4.80  
#[Out]# 129         1        4.40  
#[Out]# 130        19        7.75  
#[Out]# 131         8        7.35  
#[Out]# 132        43        8.50  
#[Out]# 133        54        8.85  
#[Out]# 134        36        6.85  
#[Out]# 135        19        7.75  
#[Out]# 136        36        6.85  
#[Out]# 137         8        7.35  
#[Out]# 138        54        8.85  
#[Out]# 139        17        6.90  
#[Out]# 140        43        8.50  
#[Out]# 141        17        6.90  
#[Out]# 142        11       13.40  
#[Out]# 143         5       13.15  
#[Out]# 144         5       12.55  
#[Out]# 145        11       13.40  
#[Out]# 146         5       13.15  
#[Out]# 147        46       11.40  
#[Out]# 148        11       13.40  
#[Out]# 149        46       11.40  
#[Out]# 150         5       12.55  
#[Out]# 151         5       13.15  
#[Out]# 152        46       11.40  
#[Out]# 153         5       12.55  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by sID,unit_price
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 1      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 2      2   16  2018-08-23         0        2.00    5   16  2018-08-23   
#[Out]# 3      2   16  2018-08-23         0        2.00    6   16  2018-08-23   
#[Out]# 4      2   16  2018-08-23         0        2.00   11   16  2018-08-23   
#[Out]# 5      3   19  2018-08-23        11        2.10   17   19  2018-08-23   
#[Out]# 6      3   19  2018-08-23        11        2.10   33   19  2018-08-23   
#[Out]# 7      3   19  2018-08-23        11        2.10   44   19  2018-08-23   
#[Out]# 8      3   19  2018-08-23        11        2.10   57   19  2018-08-23   
#[Out]# 9      4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 10     4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 11     4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 12     5   16  2018-08-23         4        1.65    2   16  2018-08-23   
#[Out]# 13     5   16  2018-08-23         4        1.65    6   16  2018-08-23   
#[Out]# 14     5   16  2018-08-23         4        1.65   11   16  2018-08-23   
#[Out]# 15     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 16     5   24  2018-08-23        32        4.10   38   24  2018-08-23   
#[Out]# 17     5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 18     5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 19     5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 20     6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 21     6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 22     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 23     6   16  2018-08-23        14        1.85    2   16  2018-08-23   
#[Out]# 24     6   16  2018-08-23        14        1.85    5   16  2018-08-23   
#[Out]# 25     6   16  2018-08-23        14        1.85   11   16  2018-08-23   
#[Out]# 26     6    0  2018-08-23        37        4.35   29    0  2018-08-23   
#[Out]# 27     6    0  2018-08-23        37        4.35   31    0  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   47    7  2018-08-23        27        1.85   43    7  2018-08-23   
#[Out]# 125   50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 126   50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 127   50   22  2018-08-23         5        1.95   16   22  2018-08-23   
#[Out]# 128   50   22  2018-08-23         5        1.95   30   22  2018-08-23   
#[Out]# 129   50   22  2018-08-23         5        1.95   51   22  2018-08-23   
#[Out]# 130   50   14  2018-08-23        19        3.85   11   14  2018-08-23   
#[Out]# 131   50   14  2018-08-23        19        3.85   40   14  2018-08-23   
#[Out]# 132   50   14  2018-08-23        19        3.85   41   14  2018-08-23   
#[Out]# 133   51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 134   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 135   51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 136   51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 137   51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 138   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 139   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 140   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 141   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 142   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 143   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 144   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 145   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 146   56   25  2018-08-23        19        4.35   35   25  2018-08-23   
#[Out]# 147   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 150   57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 151   57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 152   57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 153   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          32        1.05  
#[Out]# 1          15        1.20  
#[Out]# 2           4        1.65  
#[Out]# 3          14        1.85  
#[Out]# 4           3        1.90  
#[Out]# 5          10        2.20  
#[Out]# 6          32        2.25  
#[Out]# 7           4        2.65  
#[Out]# 8          12        2.95  
#[Out]# 9          15        3.55  
#[Out]# 10         28        4.15  
#[Out]# 11         32        4.10  
#[Out]# 12          0        2.00  
#[Out]# 13         14        1.85  
#[Out]# 14          3        1.90  
#[Out]# 15          4        1.95  
#[Out]# 16         10        3.55  
#[Out]# 17          5       13.15  
#[Out]# 18         46       11.40  
#[Out]# 19          5       12.55  
#[Out]# 20         14        1.30  
#[Out]# 21          1        1.25  
#[Out]# 22         11        1.25  
#[Out]# 23          0        2.00  
#[Out]# 24          4        1.65  
#[Out]# 25          3        1.90  
#[Out]# 26         28        5.15  
#[Out]# 27         25        4.60  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 124        20        1.95  
#[Out]# 125         8        0.45  
#[Out]# 126        31        0.60  
#[Out]# 127        14        1.60  
#[Out]# 128        29        2.05  
#[Out]# 129        13        1.55  
#[Out]# 130        12        3.20  
#[Out]# 131         3        4.10  
#[Out]# 132         3        3.35  
#[Out]# 133         8        0.45  
#[Out]# 134        54        0.55  
#[Out]# 135        14        1.60  
#[Out]# 136        29        2.05  
#[Out]# 137         5        1.95  
#[Out]# 138        36        6.85  
#[Out]# 139        19        7.75  
#[Out]# 140        11       13.40  
#[Out]# 141         5       13.15  
#[Out]# 142        46       11.40  
#[Out]# 143        18        5.80  
#[Out]# 144        53        4.60  
#[Out]# 145         1        4.40  
#[Out]# 146        36        4.00  
#[Out]# 147        18        5.80  
#[Out]# 148        53        4.60  
#[Out]# 149         1        4.80  
#[Out]# 150        11        2.10  
#[Out]# 151        10        2.20  
#[Out]# 152        32        2.25  
#[Out]# 153         4        2.65  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price, sID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     34   10  2018-08-23         8        0.45   50   10  2018-08-23   
#[Out]# 1     34   10  2018-08-23         8        0.45   51   10  2018-08-23   
#[Out]# 2     50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 3     50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 4     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 5     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 6      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 7      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 8      6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 9      6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 10     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 11    45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 12    33   11  2018-08-23        32        1.05    2   11  2018-08-23   
#[Out]# 13    33   11  2018-08-23        32        1.05   35   11  2018-08-23   
#[Out]# 14    19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 15    35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 16    35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 17    12   15  2018-08-23         1        1.25    6   15  2018-08-23   
#[Out]# 18    12   15  2018-08-23         1        1.25   11   15  2018-08-23   
#[Out]# 19    12   15  2018-08-23         1        1.25   13   15  2018-08-23   
#[Out]# 20    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 21    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 22    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 23    11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 24    11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 25    11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 26    51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 27    51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 28    51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 29    16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   29    0  2018-08-23        28        5.15    6    0  2018-08-23   
#[Out]# 125   29    0  2018-08-23        28        5.15   31    0  2018-08-23   
#[Out]# 126   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 127    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 128    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 129    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 130   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 131   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 132   40   27  2018-08-23        17        6.90   28   27  2018-08-23   
#[Out]# 133   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 134   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 135   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 136   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 137   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 138   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 139   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 140   35   27  2018-08-23        54        8.85   28   27  2018-08-23   
#[Out]# 141   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 142   42   12  2018-08-23        46       11.40    5   12  2018-08-23   
#[Out]# 143   42   12  2018-08-23        46       11.40    9   12  2018-08-23   
#[Out]# 144   42   12  2018-08-23        46       11.40   54   12  2018-08-23   
#[Out]# 145   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 146   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 147   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 148    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 149    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 150    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 151    5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 152    5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 153    5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          54        0.55  
#[Out]# 1          31        0.60  
#[Out]# 2           8        0.45  
#[Out]# 3          31        0.60  
#[Out]# 4           8        0.45  
#[Out]# 5          54        0.55  
#[Out]# 6          32        1.05  
#[Out]# 7          15        1.20  
#[Out]# 8          14        1.30  
#[Out]# 9           1        1.25  
#[Out]# 10         11        1.25  
#[Out]# 11         53        1.20  
#[Out]# 12         21        1.00  
#[Out]# 13         15        1.20  
#[Out]# 14         50        1.00  
#[Out]# 15         21        1.00  
#[Out]# 16         32        1.05  
#[Out]# 17          4        1.00  
#[Out]# 18         14        1.30  
#[Out]# 19         11        1.25  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22          1        1.25  
#[Out]# 23          4        1.00  
#[Out]# 24          1        1.25  
#[Out]# 25         11        1.25  
#[Out]# 26         14        1.60  
#[Out]# 27         29        2.05  
#[Out]# 28          5        1.95  
#[Out]# 29         29        2.05  
#[Out]# ..        ...         ...  
#[Out]# 124        37        4.35  
#[Out]# 125        25        4.60  
#[Out]# 126        16        4.80  
#[Out]# 127        53        4.60  
#[Out]# 128         1        4.80  
#[Out]# 129         1        4.40  
#[Out]# 130        19        7.75  
#[Out]# 131         8        7.35  
#[Out]# 132        43        8.50  
#[Out]# 133        54        8.85  
#[Out]# 134        36        6.85  
#[Out]# 135        19        7.75  
#[Out]# 136        36        6.85  
#[Out]# 137         8        7.35  
#[Out]# 138        54        8.85  
#[Out]# 139        17        6.90  
#[Out]# 140        43        8.50  
#[Out]# 141        17        6.90  
#[Out]# 142        11       13.40  
#[Out]# 143         5       13.15  
#[Out]# 144         5       12.55  
#[Out]# 145        11       13.40  
#[Out]# 146         5       13.15  
#[Out]# 147        46       11.40  
#[Out]# 148        11       13.40  
#[Out]# 149        46       11.40  
#[Out]# 150         5       12.55  
#[Out]# 151         5       13.15  
#[Out]# 152        46       11.40  
#[Out]# 153         5       12.55  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price, pID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     34   10  2018-08-23         8        0.45   50   10  2018-08-23   
#[Out]# 1     34   10  2018-08-23         8        0.45   51   10  2018-08-23   
#[Out]# 2     50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 3     50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 4     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 5     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 6     45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 7      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 8      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 9      6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 10     6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 11     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 12    33   11  2018-08-23        32        1.05    2   11  2018-08-23   
#[Out]# 13    33   11  2018-08-23        32        1.05   35   11  2018-08-23   
#[Out]# 14    19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 15    35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 16    35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 17    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 18    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 19    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 20    12   15  2018-08-23         1        1.25    6   15  2018-08-23   
#[Out]# 21    12   15  2018-08-23         1        1.25   11   15  2018-08-23   
#[Out]# 22    12   15  2018-08-23         1        1.25   13   15  2018-08-23   
#[Out]# 23    11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 24    11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 25    11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 26    51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 27    51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 28    51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 29    16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   29    0  2018-08-23        28        5.15    6    0  2018-08-23   
#[Out]# 125   29    0  2018-08-23        28        5.15   31    0  2018-08-23   
#[Out]# 126   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 127    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 128    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 129    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 130   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 131   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 132   40   27  2018-08-23        17        6.90   28   27  2018-08-23   
#[Out]# 133   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 134   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 135   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 136   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 137   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 138   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 139   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 140   35   27  2018-08-23        54        8.85   28   27  2018-08-23   
#[Out]# 141   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 142   42   12  2018-08-23        46       11.40    5   12  2018-08-23   
#[Out]# 143   42   12  2018-08-23        46       11.40    9   12  2018-08-23   
#[Out]# 144   42   12  2018-08-23        46       11.40   54   12  2018-08-23   
#[Out]# 145   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 146   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 147   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 148    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 149    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 150    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 151    5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 152    5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 153    5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          54        0.55  
#[Out]# 1          31        0.60  
#[Out]# 2           8        0.45  
#[Out]# 3          31        0.60  
#[Out]# 4           8        0.45  
#[Out]# 5          54        0.55  
#[Out]# 6          53        1.20  
#[Out]# 7          32        1.05  
#[Out]# 8          15        1.20  
#[Out]# 9          14        1.30  
#[Out]# 10          1        1.25  
#[Out]# 11         11        1.25  
#[Out]# 12         21        1.00  
#[Out]# 13         15        1.20  
#[Out]# 14         50        1.00  
#[Out]# 15         21        1.00  
#[Out]# 16         32        1.05  
#[Out]# 17          4        1.00  
#[Out]# 18         14        1.30  
#[Out]# 19          1        1.25  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22         11        1.25  
#[Out]# 23          4        1.00  
#[Out]# 24          1        1.25  
#[Out]# 25         11        1.25  
#[Out]# 26         14        1.60  
#[Out]# 27         29        2.05  
#[Out]# 28          5        1.95  
#[Out]# 29         29        2.05  
#[Out]# ..        ...         ...  
#[Out]# 124        37        4.35  
#[Out]# 125        25        4.60  
#[Out]# 126        16        4.80  
#[Out]# 127        53        4.60  
#[Out]# 128         1        4.80  
#[Out]# 129         1        4.40  
#[Out]# 130        19        7.75  
#[Out]# 131         8        7.35  
#[Out]# 132        43        8.50  
#[Out]# 133        54        8.85  
#[Out]# 134        36        6.85  
#[Out]# 135        19        7.75  
#[Out]# 136        36        6.85  
#[Out]# 137         8        7.35  
#[Out]# 138        54        8.85  
#[Out]# 139        17        6.90  
#[Out]# 140        43        8.50  
#[Out]# 141        17        6.90  
#[Out]# 142        11       13.40  
#[Out]# 143         5       13.15  
#[Out]# 144         5       12.55  
#[Out]# 145        11       13.40  
#[Out]# 146         5       13.15  
#[Out]# 147        46       11.40  
#[Out]# 148        11       13.40  
#[Out]# 149        46       11.40  
#[Out]# 150         5       12.55  
#[Out]# 151         5       13.15  
#[Out]# 152        46       11.40  
#[Out]# 153         5       12.55  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select *, max(i1.unit_price-i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price, pID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#    sID  pID        date  quantity  unit_price  sID  pID        date  quantity  \
#[Out]# 0    5   12  2018-08-23        11        13.4   42   12  2018-08-23        46   
#[Out]# 
#[Out]#    unit_price  max(i1.unit_price-i2.unit_price)  
#[Out]# 0        11.4                               2.0  
practicequery1a = '''
    select *
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price, pID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     34   10  2018-08-23         8        0.45   50   10  2018-08-23   
#[Out]# 1     34   10  2018-08-23         8        0.45   51   10  2018-08-23   
#[Out]# 2     50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 3     50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 4     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 5     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 6     45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 7      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 8      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 9      6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 10     6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 11     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 12    33   11  2018-08-23        32        1.05    2   11  2018-08-23   
#[Out]# 13    33   11  2018-08-23        32        1.05   35   11  2018-08-23   
#[Out]# 14    19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 15    35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 16    35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 17    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 18    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 19    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 20    12   15  2018-08-23         1        1.25    6   15  2018-08-23   
#[Out]# 21    12   15  2018-08-23         1        1.25   11   15  2018-08-23   
#[Out]# 22    12   15  2018-08-23         1        1.25   13   15  2018-08-23   
#[Out]# 23    11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 24    11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 25    11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 26    51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 27    51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 28    51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 29    16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   29    0  2018-08-23        28        5.15    6    0  2018-08-23   
#[Out]# 125   29    0  2018-08-23        28        5.15   31    0  2018-08-23   
#[Out]# 126   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 127    7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 128    7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 129    7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 130   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 131   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 132   40   27  2018-08-23        17        6.90   28   27  2018-08-23   
#[Out]# 133   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 134   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 135   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 136   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 137   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 138   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 139   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 140   35   27  2018-08-23        54        8.85   28   27  2018-08-23   
#[Out]# 141   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 142   42   12  2018-08-23        46       11.40    5   12  2018-08-23   
#[Out]# 143   42   12  2018-08-23        46       11.40    9   12  2018-08-23   
#[Out]# 144   42   12  2018-08-23        46       11.40   54   12  2018-08-23   
#[Out]# 145   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 146   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 147   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 148    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 149    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 150    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 151    5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 152    5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 153    5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          54        0.55  
#[Out]# 1          31        0.60  
#[Out]# 2           8        0.45  
#[Out]# 3          31        0.60  
#[Out]# 4           8        0.45  
#[Out]# 5          54        0.55  
#[Out]# 6          53        1.20  
#[Out]# 7          32        1.05  
#[Out]# 8          15        1.20  
#[Out]# 9          14        1.30  
#[Out]# 10          1        1.25  
#[Out]# 11         11        1.25  
#[Out]# 12         21        1.00  
#[Out]# 13         15        1.20  
#[Out]# 14         50        1.00  
#[Out]# 15         21        1.00  
#[Out]# 16         32        1.05  
#[Out]# 17          4        1.00  
#[Out]# 18         14        1.30  
#[Out]# 19          1        1.25  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22         11        1.25  
#[Out]# 23          4        1.00  
#[Out]# 24          1        1.25  
#[Out]# 25         11        1.25  
#[Out]# 26         14        1.60  
#[Out]# 27         29        2.05  
#[Out]# 28          5        1.95  
#[Out]# 29         29        2.05  
#[Out]# ..        ...         ...  
#[Out]# 124        37        4.35  
#[Out]# 125        25        4.60  
#[Out]# 126        16        4.80  
#[Out]# 127        53        4.60  
#[Out]# 128         1        4.80  
#[Out]# 129         1        4.40  
#[Out]# 130        19        7.75  
#[Out]# 131         8        7.35  
#[Out]# 132        43        8.50  
#[Out]# 133        54        8.85  
#[Out]# 134        36        6.85  
#[Out]# 135        19        7.75  
#[Out]# 136        36        6.85  
#[Out]# 137         8        7.35  
#[Out]# 138        54        8.85  
#[Out]# 139        17        6.90  
#[Out]# 140        43        8.50  
#[Out]# 141        17        6.90  
#[Out]# 142        11       13.40  
#[Out]# 143         5       13.15  
#[Out]# 144         5       12.55  
#[Out]# 145        11       13.40  
#[Out]# 146         5       13.15  
#[Out]# 147        46       11.40  
#[Out]# 148        11       13.40  
#[Out]# 149        46       11.40  
#[Out]# 150         5       12.55  
#[Out]# 151         5       13.15  
#[Out]# 152        46       11.40  
#[Out]# 153         5       12.55  
#[Out]# 
#[Out]# [154 rows x 10 columns]
practicequery1a = '''
    select i1.unit_price, i2.unit_price
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by unit_price, pID
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    select i1.unit_price, i2.unit_price
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by i1.unit_price, pID
'''

pd.read_sql_query(practicequery1a, conn)
practicequery1a = '''
    select i1.unit_price, i2.unit_price
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23'
    order by i1.unit_price, i1.pID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      unit_price  unit_price
#[Out]# 0          0.45        0.55
#[Out]# 1          0.45        0.60
#[Out]# 2          0.55        0.45
#[Out]# 3          0.55        0.60
#[Out]# 4          0.60        0.45
#[Out]# 5          0.60        0.55
#[Out]# 6          1.00        1.20
#[Out]# 7          1.00        1.05
#[Out]# 8          1.00        1.20
#[Out]# 9          1.00        1.30
#[Out]# 10         1.00        1.25
#[Out]# 11         1.00        1.25
#[Out]# 12         1.05        1.00
#[Out]# 13         1.05        1.20
#[Out]# 14         1.20        1.00
#[Out]# 15         1.20        1.00
#[Out]# 16         1.20        1.05
#[Out]# 17         1.25        1.00
#[Out]# 18         1.25        1.30
#[Out]# 19         1.25        1.25
#[Out]# 20         1.25        1.00
#[Out]# 21         1.25        1.30
#[Out]# 22         1.25        1.25
#[Out]# 23         1.30        1.00
#[Out]# 24         1.30        1.25
#[Out]# 25         1.30        1.25
#[Out]# 26         1.55        1.60
#[Out]# 27         1.55        2.05
#[Out]# 28         1.55        1.95
#[Out]# 29         1.60        2.05
#[Out]# ..          ...         ...
#[Out]# 124        5.15        4.35
#[Out]# 125        5.15        4.60
#[Out]# 126        5.55        4.80
#[Out]# 127        5.80        4.60
#[Out]# 128        5.80        4.80
#[Out]# 129        5.80        4.40
#[Out]# 130        6.85        7.75
#[Out]# 131        6.85        7.35
#[Out]# 132        6.90        8.50
#[Out]# 133        6.90        8.85
#[Out]# 134        7.35        6.85
#[Out]# 135        7.35        7.75
#[Out]# 136        7.75        6.85
#[Out]# 137        7.75        7.35
#[Out]# 138        8.50        8.85
#[Out]# 139        8.50        6.90
#[Out]# 140        8.85        8.50
#[Out]# 141        8.85        6.90
#[Out]# 142       11.40       13.40
#[Out]# 143       11.40       13.15
#[Out]# 144       11.40       12.55
#[Out]# 145       12.55       13.40
#[Out]# 146       12.55       13.15
#[Out]# 147       12.55       11.40
#[Out]# 148       13.15       13.40
#[Out]# 149       13.15       11.40
#[Out]# 150       13.15       12.55
#[Out]# 151       13.40       13.15
#[Out]# 152       13.40       11.40
#[Out]# 153       13.40       12.55
#[Out]# 
#[Out]# [154 rows x 2 columns]
query6 = '''
    select max(i1.unit_price - i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
    select max(i1.unit_price - i2.unit_price) as difference
    from inventory as i1, inventory as i2
    where i1.pID = i2.pID and i1.sID != i2.sID and i1.date = i2.date
        and i1.date = '2018-08-23' 
'''

pd.read_sql_query(query6, conn)
#[Out]#    difference
#[Out]# 0         2.0

