# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price / pu1.quantity)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName
#[Out]# 0  Cheese  Albert Hein

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select distinct pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select distinct c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
                    )
                

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select distinct cID
    from purchase
    where cID not in (select cID 
                        from purchase, store
                        where 
                        group by sID)

'''

pd.read_sql_query(query3, conn)
query6 = '''
    select max(inv1.unit_price - inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(inv1.unit_price - inv2.unit_price)
#[Out]# 0                                     2.0
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query4 = '''
    select distinct s.sName
    from store s
    where s.sName in (select s1.sName
                        from store s1, inventory i
                        where s.sName = s1.sName and s.sID <> s1.sID
                        group by store1.sID
                        having avg(i.quantity)> 4
                        )

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s.sName
    from store s
    where s.sName in (select s1.sName
                        from store s1, inventory i
                        where s.sName = s1.sName and s.sID <> s1.sID
                        group by s1.sID
                        having avg(i.quantity)> 4
                        )

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s.sName, avg(i2.quantity)
    from store s, inventory i2
    where s.sName in (select s1.sName
                        from store s1, inventory i
                        where s.sName = s1.sName and s.sID <> s1.sID
                        group by s1.sID
                        having avg(i.quantity)> 4
                        )

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i2.quantity)
#[Out]# 0  Jumbo         18.342581
query4 = '''
    select distinct s.sName
    from store s
    where s.sName in (select s1.sName
                        from store s1, inventory i
                        where s.sName = s1.sName and s.sID <> s1.sID
                        group by s1.sID
                        having avg(i.quantity)> 4
                        )

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s2.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select s.sName, avg(i.quantity)
from stores s, inventory i
where s.sName in(    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)


    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select s.sName, avg(i.quantity)
from store s, inventory i
where s.sName in(    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)


    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo        18.342581
query4 = '''
select s.sName
from store s, inventory i
where s.sName in(    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)


    
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0       Coop
#[Out]# 1       Coop
#[Out]# 2       Coop
#[Out]# 3       Coop
#[Out]# 4       Coop
#[Out]# 5       Coop
#[Out]# 6       Coop
#[Out]# 7       Coop
#[Out]# 8       Coop
#[Out]# 9       Coop
#[Out]# 10      Coop
#[Out]# 11      Coop
#[Out]# 12      Coop
#[Out]# 13      Coop
#[Out]# 14      Coop
#[Out]# 15      Coop
#[Out]# 16      Coop
#[Out]# 17      Coop
#[Out]# 18      Coop
#[Out]# 19      Coop
#[Out]# 20      Coop
#[Out]# 21      Coop
#[Out]# 22      Coop
#[Out]# 23      Coop
#[Out]# 24      Coop
#[Out]# 25      Coop
#[Out]# 26      Coop
#[Out]# 27      Coop
#[Out]# 28      Coop
#[Out]# 29      Coop
#[Out]# ...      ...
#[Out]# 53026  Jumbo
#[Out]# 53027  Jumbo
#[Out]# 53028  Jumbo
#[Out]# 53029  Jumbo
#[Out]# 53030  Jumbo
#[Out]# 53031  Jumbo
#[Out]# 53032  Jumbo
#[Out]# 53033  Jumbo
#[Out]# 53034  Jumbo
#[Out]# 53035  Jumbo
#[Out]# 53036  Jumbo
#[Out]# 53037  Jumbo
#[Out]# 53038  Jumbo
#[Out]# 53039  Jumbo
#[Out]# 53040  Jumbo
#[Out]# 53041  Jumbo
#[Out]# 53042  Jumbo
#[Out]# 53043  Jumbo
#[Out]# 53044  Jumbo
#[Out]# 53045  Jumbo
#[Out]# 53046  Jumbo
#[Out]# 53047  Jumbo
#[Out]# 53048  Jumbo
#[Out]# 53049  Jumbo
#[Out]# 53050  Jumbo
#[Out]# 53051  Jumbo
#[Out]# 53052  Jumbo
#[Out]# 53053  Jumbo
#[Out]# 53054  Jumbo
#[Out]# 53055  Jumbo
#[Out]# 
#[Out]# [53056 rows x 1 columns]
query4 = '''
select distinct s.sName
from store s, inventory i
where s.sName in(    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)


    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select distinct s.sName
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)
group by s.sName

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
select distinct s.sName, avg(i.quantity)
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)
group by s.sName

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(i.quantity)
#[Out]# 0  Albert Hein        18.342581
#[Out]# 1         Coop        18.342581
#[Out]# 2         Dirk        18.342581
#[Out]# 3    Hoogvliet        18.342581
#[Out]# 4        Jumbo        18.342581
#[Out]# 5         Lidl        18.342581
#[Out]# 6       Sligro        18.342581
query4 = '''
select distinct s.s, avg(i.quantity)
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)
group by s.sName

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct s.sID, avg(i.quantity)
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)
group by s.sName

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID  avg(i.quantity)
#[Out]# 0   44        18.342581
#[Out]# 1   55        18.342581
#[Out]# 2   58        18.342581
#[Out]# 3   49        18.342581
#[Out]# 4   63        18.342581
#[Out]# 5   61        18.342581
#[Out]# 6   50        18.342581
query4 = '''
select distinct s.sID, avg(i.quantity)
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)
group by s.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  avg(i.quantity)
#[Out]# 0     0        18.342581
#[Out]# 1     1        18.342581
#[Out]# 2     2        18.342581
#[Out]# 3     3        18.342581
#[Out]# 4     4        18.342581
#[Out]# 5     5        18.342581
#[Out]# 6     6        18.342581
#[Out]# 7     7        18.342581
#[Out]# 8     8        18.342581
#[Out]# 9     9        18.342581
#[Out]# 10   10        18.342581
#[Out]# 11   11        18.342581
#[Out]# 12   12        18.342581
#[Out]# 13   13        18.342581
#[Out]# 14   14        18.342581
#[Out]# 15   15        18.342581
#[Out]# 16   16        18.342581
#[Out]# 17   17        18.342581
#[Out]# 18   18        18.342581
#[Out]# 19   19        18.342581
#[Out]# 20   20        18.342581
#[Out]# 21   21        18.342581
#[Out]# 22   22        18.342581
#[Out]# 23   23        18.342581
#[Out]# 24   24        18.342581
#[Out]# 25   25        18.342581
#[Out]# 26   26        18.342581
#[Out]# 27   27        18.342581
#[Out]# 28   28        18.342581
#[Out]# 29   29        18.342581
#[Out]# ..  ...              ...
#[Out]# 34   34        18.342581
#[Out]# 35   35        18.342581
#[Out]# 36   36        18.342581
#[Out]# 37   37        18.342581
#[Out]# 38   38        18.342581
#[Out]# 39   39        18.342581
#[Out]# 40   40        18.342581
#[Out]# 41   41        18.342581
#[Out]# 42   42        18.342581
#[Out]# 43   43        18.342581
#[Out]# 44   44        18.342581
#[Out]# 45   45        18.342581
#[Out]# 46   46        18.342581
#[Out]# 47   47        18.342581
#[Out]# 48   48        18.342581
#[Out]# 49   49        18.342581
#[Out]# 50   50        18.342581
#[Out]# 51   51        18.342581
#[Out]# 52   52        18.342581
#[Out]# 53   53        18.342581
#[Out]# 54   54        18.342581
#[Out]# 55   55        18.342581
#[Out]# 56   56        18.342581
#[Out]# 57   57        18.342581
#[Out]# 58   58        18.342581
#[Out]# 59   59        18.342581
#[Out]# 60   60        18.342581
#[Out]# 61   61        18.342581
#[Out]# 62   62        18.342581
#[Out]# 63   63        18.342581
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
select distinct s.sID, avg(i.quantity)
from store s, inventory i
where s.sName in(select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID)\
group by s.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  avg(i.quantity)
#[Out]# 0     0        18.342581
#[Out]# 1     1        18.342581
#[Out]# 2     2        18.342581
#[Out]# 3     3        18.342581
#[Out]# 4     4        18.342581
#[Out]# 5     5        18.342581
#[Out]# 6     6        18.342581
#[Out]# 7     7        18.342581
#[Out]# 8     8        18.342581
#[Out]# 9     9        18.342581
#[Out]# 10   10        18.342581
#[Out]# 11   11        18.342581
#[Out]# 12   12        18.342581
#[Out]# 13   13        18.342581
#[Out]# 14   14        18.342581
#[Out]# 15   15        18.342581
#[Out]# 16   16        18.342581
#[Out]# 17   17        18.342581
#[Out]# 18   18        18.342581
#[Out]# 19   19        18.342581
#[Out]# 20   20        18.342581
#[Out]# 21   21        18.342581
#[Out]# 22   22        18.342581
#[Out]# 23   23        18.342581
#[Out]# 24   24        18.342581
#[Out]# 25   25        18.342581
#[Out]# 26   26        18.342581
#[Out]# 27   27        18.342581
#[Out]# 28   28        18.342581
#[Out]# 29   29        18.342581
#[Out]# ..  ...              ...
#[Out]# 34   34        18.342581
#[Out]# 35   35        18.342581
#[Out]# 36   36        18.342581
#[Out]# 37   37        18.342581
#[Out]# 38   38        18.342581
#[Out]# 39   39        18.342581
#[Out]# 40   40        18.342581
#[Out]# 41   41        18.342581
#[Out]# 42   42        18.342581
#[Out]# 43   43        18.342581
#[Out]# 44   44        18.342581
#[Out]# 45   45        18.342581
#[Out]# 46   46        18.342581
#[Out]# 47   47        18.342581
#[Out]# 48   48        18.342581
#[Out]# 49   49        18.342581
#[Out]# 50   50        18.342581
#[Out]# 51   51        18.342581
#[Out]# 52   52        18.342581
#[Out]# 53   53        18.342581
#[Out]# 54   54        18.342581
#[Out]# 55   55        18.342581
#[Out]# 56   56        18.342581
#[Out]# 57   57        18.342581
#[Out]# 58   58        18.342581
#[Out]# 59   59        18.342581
#[Out]# 60   60        18.342581
#[Out]# 61   61        18.342581
#[Out]# 62   62        18.342581
#[Out]# 63   63        18.342581
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
select sID, quantity
from inventory
group by sID
having avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct sID, quantity
from inventory
group by sID
having avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct i.sID, i.quantity
from inventory i, store s1, store s2
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct i.sID, i.quantity
from inventory i, store s1, store s2
where s1.sID <> s2.sID and s1.sName = s2.sName
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct i.sID, i.quantity
from inventory i
where where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct i.sID, i.quantity
from inventory i
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct i.sID, i.quantity
from inventory i
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName)
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct i.sID, i.quantity
from inventory i, store s1, store s2
group by i.sID
having avg(quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID  quantity
#[Out]# 0     0        22
#[Out]# 1     1        45
#[Out]# 2     2        49
#[Out]# 3     3        24
#[Out]# 4     4        27
#[Out]# 5     5         0
#[Out]# 6     6        51
#[Out]# 7     7         7
#[Out]# 8     8        25
#[Out]# 9     9        25
#[Out]# 10   10        15
#[Out]# 11   11         3
#[Out]# 12   12        51
#[Out]# 13   13         6
#[Out]# 14   14         2
#[Out]# 15   15         7
#[Out]# 16   16        11
#[Out]# 17   17         7
#[Out]# 18   18         9
#[Out]# 19   19         7
#[Out]# 20   20        17
#[Out]# 21   21        17
#[Out]# 22   22        52
#[Out]# 23   23        21
#[Out]# 24   24         8
#[Out]# 25   25         6
#[Out]# 26   26        25
#[Out]# 27   27        14
#[Out]# 28   28         8
#[Out]# 29   29        11
#[Out]# ..  ...       ...
#[Out]# 31   31        18
#[Out]# 32   32        36
#[Out]# 33   33        41
#[Out]# 34   34        13
#[Out]# 35   35        32
#[Out]# 36   36         7
#[Out]# 37   37        11
#[Out]# 38   38         3
#[Out]# 39   39        37
#[Out]# 40   40         9
#[Out]# 41   41        14
#[Out]# 42   42        12
#[Out]# 43   43        15
#[Out]# 44   44        32
#[Out]# 45   45         1
#[Out]# 46   46        10
#[Out]# 47   47         2
#[Out]# 48   48        10
#[Out]# 49   49         7
#[Out]# 50   50        43
#[Out]# 51   51        17
#[Out]# 52   52         8
#[Out]# 53   53         9
#[Out]# 54   54        13
#[Out]# 55   55        15
#[Out]# 56   56        14
#[Out]# 57   57        12
#[Out]# 58   58        54
#[Out]# 59   59        16
#[Out]# 60   60       525
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct s.sName, i.sID, i.quantity
from inventory i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName) and s.sID = i.sID
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  sID  quantity
#[Out]# 0          Coop    0        22
#[Out]# 1     Hoogvliet    1        45
#[Out]# 2         Jumbo    2        49
#[Out]# 3        Sligro    3        24
#[Out]# 4     Hoogvliet    4        27
#[Out]# 5        Sligro    5         0
#[Out]# 6          Coop    6        51
#[Out]# 7        Sligro    7         7
#[Out]# 8   Albert Hein    8        25
#[Out]# 9   Albert Hein    9        25
#[Out]# 10        Jumbo   10        15
#[Out]# 11  Albert Hein   11         3
#[Out]# 12         Lidl   12        51
#[Out]# 13         Coop   13         6
#[Out]# 14         Coop   14         2
#[Out]# 15         Lidl   15         7
#[Out]# 16         Lidl   16        11
#[Out]# 17    Hoogvliet   17         7
#[Out]# 18       Sligro   18         9
#[Out]# 19         Coop   19         7
#[Out]# 20        Jumbo   20        17
#[Out]# 21         Coop   21        17
#[Out]# 22         Lidl   22        52
#[Out]# 23         Dirk   23        21
#[Out]# 24  Albert Hein   24         8
#[Out]# 25  Albert Hein   25         6
#[Out]# 26    Hoogvliet   26        25
#[Out]# 27       Sligro   27        14
#[Out]# 28    Hoogvliet   28         8
#[Out]# 29       Sligro   29        11
#[Out]# ..          ...  ...       ...
#[Out]# 31         Coop   31        18
#[Out]# 32  Albert Hein   32        36
#[Out]# 33         Dirk   33        41
#[Out]# 34         Coop   34        13
#[Out]# 35         Lidl   35        32
#[Out]# 36         Lidl   36         7
#[Out]# 37        Jumbo   37        11
#[Out]# 38    Hoogvliet   38         3
#[Out]# 39       Sligro   39        37
#[Out]# 40    Hoogvliet   40         9
#[Out]# 41  Albert Hein   41        14
#[Out]# 42       Sligro   42        12
#[Out]# 43         Coop   43        15
#[Out]# 44  Albert Hein   44        32
#[Out]# 45         Coop   45         1
#[Out]# 46         Lidl   46        10
#[Out]# 47         Coop   47         2
#[Out]# 48    Hoogvliet   48        10
#[Out]# 49    Hoogvliet   49         7
#[Out]# 50       Sligro   50        43
#[Out]# 51         Coop   51        17
#[Out]# 52         Lidl   52         8
#[Out]# 53         Coop   53         9
#[Out]# 54         Dirk   54        13
#[Out]# 55         Coop   55        15
#[Out]# 56        Jumbo   56        14
#[Out]# 57         Dirk   57        12
#[Out]# 58         Dirk   58        54
#[Out]# 59        Jumbo   59        16
#[Out]# 60         Lidl   60       525
#[Out]# 
#[Out]# [61 rows x 3 columns]
query4 = '''
select distinct s.sName
from inventory i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName) and s.sID = i.sID
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select distinct s.sName, avg(i.quantity)
from inventory i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName) and s.sID = i.sID
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(i.quantity)
#[Out]# 0          Coop        16.142857
#[Out]# 1     Hoogvliet        18.500000
#[Out]# 2         Jumbo        17.363636
#[Out]# 3        Sligro        17.611111
#[Out]# 4     Hoogvliet        18.421053
#[Out]# 5        Sligro        14.583333
#[Out]# 6          Coop        24.772727
#[Out]# 7        Sligro        14.800000
#[Out]# 8   Albert Hein        22.500000
#[Out]# 9   Albert Hein        17.500000
#[Out]# 10        Jumbo        23.400000
#[Out]# 11  Albert Hein        10.250000
#[Out]# 12         Lidl        15.583333
#[Out]# 13         Coop        20.250000
#[Out]# 14         Coop        13.000000
#[Out]# 15         Lidl        22.625000
#[Out]# 16         Lidl        22.000000
#[Out]# 17    Hoogvliet        15.800000
#[Out]# 18       Sligro        16.062500
#[Out]# 19         Coop        19.692308
#[Out]# 20        Jumbo        13.200000
#[Out]# 21         Coop        12.166667
#[Out]# 22         Lidl        24.333333
#[Out]# 23         Dirk        19.600000
#[Out]# 24  Albert Hein        20.400000
#[Out]# 25  Albert Hein        14.785714
#[Out]# 26    Hoogvliet        19.562500
#[Out]# 27       Sligro        15.750000
#[Out]# 28    Hoogvliet        16.307692
#[Out]# 29       Sligro        13.875000
#[Out]# ..          ...              ...
#[Out]# 31         Coop        22.800000
#[Out]# 32  Albert Hein        20.250000
#[Out]# 33         Dirk        25.666667
#[Out]# 34         Coop         9.777778
#[Out]# 35         Lidl        26.055556
#[Out]# 36         Lidl        18.555556
#[Out]# 37        Jumbo        17.444444
#[Out]# 38    Hoogvliet        14.562500
#[Out]# 39       Sligro        17.900000
#[Out]# 40    Hoogvliet        18.187500
#[Out]# 41  Albert Hein        20.705882
#[Out]# 42       Sligro        16.789474
#[Out]# 43         Coop        12.562500
#[Out]# 44  Albert Hein        15.647059
#[Out]# 45         Coop        21.461538
#[Out]# 46         Lidl        14.666667
#[Out]# 47         Coop        10.933333
#[Out]# 48    Hoogvliet        15.600000
#[Out]# 49    Hoogvliet        12.333333
#[Out]# 50       Sligro        23.866667
#[Out]# 51         Coop        17.923077
#[Out]# 52         Lidl        16.583333
#[Out]# 53         Coop        14.090909
#[Out]# 54         Dirk        14.687500
#[Out]# 55         Coop        17.428571
#[Out]# 56        Jumbo        11.062500
#[Out]# 57         Dirk        23.562500
#[Out]# 58         Dirk        36.833333
#[Out]# 59        Jumbo        16.846154
#[Out]# 60         Lidl       525.000000
#[Out]# 
#[Out]# [61 rows x 2 columns]
query4 = '''
select distinct s1.sName
from store s1, store s2, purchase p
where s1.sName = s2.sName and s1.sID <> s2.sID
group by s1.sID
having avg(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName) and s.sID = i.sID
group by i.sID
having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(i.quantity)
#[Out]# 0          Coop         4.777778
#[Out]# 1     Hoogvliet         4.750000
#[Out]# 2        Sligro         4.076923
#[Out]# 3     Hoogvliet         6.090909
#[Out]# 4        Sligro         4.875000
#[Out]# 5        Sligro         4.444444
#[Out]# 6   Albert Hein         5.600000
#[Out]# 7   Albert Hein         5.444444
#[Out]# 8         Jumbo         6.400000
#[Out]# 9   Albert Hein         4.272727
#[Out]# 10         Lidl         5.000000
#[Out]# 11         Lidl         4.250000
#[Out]# 12    Hoogvliet         5.538462
#[Out]# 13         Coop         5.571429
#[Out]# 14        Jumbo         5.428571
#[Out]# 15         Lidl         5.500000
#[Out]# 16         Dirk         4.400000
#[Out]# 17  Albert Hein         5.400000
#[Out]# 18  Albert Hein         5.700000
#[Out]# 19    Hoogvliet         6.500000
#[Out]# 20       Sligro         4.750000
#[Out]# 21    Hoogvliet         5.000000
#[Out]# 22       Sligro         6.000000
#[Out]# 23         Dirk         4.900000
#[Out]# 24         Coop         7.166667
#[Out]# 25         Dirk         6.166667
#[Out]# 26         Coop         5.400000
#[Out]# 27         Lidl         4.428571
#[Out]# 28         Lidl         4.142857
#[Out]# 29    Hoogvliet         5.400000
#[Out]# 30       Sligro         4.571429
#[Out]# 31    Hoogvliet         4.300000
#[Out]# 32  Albert Hein         4.833333
#[Out]# 33       Sligro         5.900000
#[Out]# 34         Coop         5.769231
#[Out]# 35  Albert Hein         4.300000
#[Out]# 36         Lidl         5.600000
#[Out]# 37         Coop         4.636364
#[Out]# 38    Hoogvliet         7.500000
#[Out]# 39         Coop         4.100000
#[Out]# 40         Lidl         5.750000
#[Out]# 41         Dirk         4.636364
#[Out]# 42         Coop         5.454545
#[Out]# 43         Dirk         4.666667
#[Out]# 44         Dirk         9.666667
#[Out]# 45         Lidl         6.000000
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i.sID
having avg(i.quantity) > 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i.sID
                        having avg(i.quantity) > 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i.sID
                        having avg(i.quantity) > 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        having avg(i2.quantity) > 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        having avg(i2.quantity)  4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        having avg(i2.quantity) < 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        having avg(i2.quantity) > 4
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by s1.sID
                        
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo         4.797642
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by s1.sID
                        
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo         4.797642
query4 = '''
select distinct s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select s.sName, avg(i.quantity)
from purchase i, store s
where i.sID in (select s1.sID
                        from store s1, store s2, purchase i2
                        where s1.sID <> s2.sID and s1.sName = s2.sName
                        group by i2.sID
                        
) and s.sID = i.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName  avg(i.quantity)
#[Out]# 0  Jumbo              3.0
query4 = '''
select sName
from purchase
group by pID
having avg(quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select sID
from purchase
group by pID
having avg(quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0    54
#[Out]# 1    43
#[Out]# 2    58
#[Out]# 3    16
#[Out]# 4    60
#[Out]# 5    41
#[Out]# 6    38
#[Out]# 7    55
#[Out]# 8    62
#[Out]# 9    56
#[Out]# 10    9
#[Out]# 11   27
#[Out]# 12   25
#[Out]# 13   35
#[Out]# 14   59
#[Out]# 15   61
#[Out]# 16   48
#[Out]# 17   50
#[Out]# 18   52
#[Out]# 19   39
#[Out]# 20   22
#[Out]# 21   24
#[Out]# 22   35
#[Out]# 23   37
query4 = '''
select sID
from purchase
group by sID
having avg(quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     3
#[Out]# 3     4
#[Out]# 4     5
#[Out]# 5     7
#[Out]# 6     8
#[Out]# 7     9
#[Out]# 8    10
#[Out]# 9    11
#[Out]# 10   12
#[Out]# 11   15
#[Out]# 12   17
#[Out]# 13   19
#[Out]# 14   20
#[Out]# 15   22
#[Out]# 16   23
#[Out]# 17   24
#[Out]# 18   25
#[Out]# 19   26
#[Out]# 20   27
#[Out]# 21   28
#[Out]# 22   29
#[Out]# 23   30
#[Out]# 24   31
#[Out]# 25   33
#[Out]# 26   34
#[Out]# 27   35
#[Out]# 28   36
#[Out]# 29   38
#[Out]# 30   39
#[Out]# 31   40
#[Out]# 32   41
#[Out]# 33   42
#[Out]# 34   43
#[Out]# 35   44
#[Out]# 36   46
#[Out]# 37   47
#[Out]# 38   48
#[Out]# 39   51
#[Out]# 40   52
#[Out]# 41   54
#[Out]# 42   55
#[Out]# 43   57
#[Out]# 44   58
#[Out]# 45   60
#[Out]# 46   61
query4 = '''
select s.sName
from purchase, store s
where sID = s.sID
group by sID
having avg(quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select s.sName
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2        Sligro
#[Out]# 3     Hoogvliet
#[Out]# 4        Sligro
#[Out]# 5        Sligro
#[Out]# 6   Albert Hein
#[Out]# 7   Albert Hein
#[Out]# 8         Jumbo
#[Out]# 9   Albert Hein
#[Out]# 10         Lidl
#[Out]# 11         Lidl
#[Out]# 12    Hoogvliet
#[Out]# 13         Coop
#[Out]# 14        Jumbo
#[Out]# 15         Lidl
#[Out]# 16         Dirk
#[Out]# 17  Albert Hein
#[Out]# 18  Albert Hein
#[Out]# 19    Hoogvliet
#[Out]# 20       Sligro
#[Out]# 21    Hoogvliet
#[Out]# 22       Sligro
#[Out]# 23         Dirk
#[Out]# 24         Coop
#[Out]# 25         Dirk
#[Out]# 26         Coop
#[Out]# 27         Lidl
#[Out]# 28         Lidl
#[Out]# 29    Hoogvliet
#[Out]# 30       Sligro
#[Out]# 31    Hoogvliet
#[Out]# 32  Albert Hein
#[Out]# 33       Sligro
#[Out]# 34         Coop
#[Out]# 35  Albert Hein
#[Out]# 36         Lidl
#[Out]# 37         Coop
#[Out]# 38    Hoogvliet
#[Out]# 39         Coop
#[Out]# 40         Lidl
#[Out]# 41         Dirk
#[Out]# 42         Coop
#[Out]# 43         Dirk
#[Out]# 44         Dirk
#[Out]# 45         Lidl
#[Out]# 46         Lidl
query4 = '''
select distinct s.sName
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2       Sligro
#[Out]# 3  Albert Hein
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
select s.sName
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0          Coop
#[Out]# 1     Hoogvliet
#[Out]# 2        Sligro
#[Out]# 3     Hoogvliet
#[Out]# 4        Sligro
#[Out]# 5        Sligro
#[Out]# 6   Albert Hein
#[Out]# 7   Albert Hein
#[Out]# 8         Jumbo
#[Out]# 9   Albert Hein
#[Out]# 10         Lidl
#[Out]# 11         Lidl
#[Out]# 12    Hoogvliet
#[Out]# 13         Coop
#[Out]# 14        Jumbo
#[Out]# 15         Lidl
#[Out]# 16         Dirk
#[Out]# 17  Albert Hein
#[Out]# 18  Albert Hein
#[Out]# 19    Hoogvliet
#[Out]# 20       Sligro
#[Out]# 21    Hoogvliet
#[Out]# 22       Sligro
#[Out]# 23         Dirk
#[Out]# 24         Coop
#[Out]# 25         Dirk
#[Out]# 26         Coop
#[Out]# 27         Lidl
#[Out]# 28         Lidl
#[Out]# 29    Hoogvliet
#[Out]# 30       Sligro
#[Out]# 31    Hoogvliet
#[Out]# 32  Albert Hein
#[Out]# 33       Sligro
#[Out]# 34         Coop
#[Out]# 35  Albert Hein
#[Out]# 36         Lidl
#[Out]# 37         Coop
#[Out]# 38    Hoogvliet
#[Out]# 39         Coop
#[Out]# 40         Lidl
#[Out]# 41         Dirk
#[Out]# 42         Coop
#[Out]# 43         Dirk
#[Out]# 44         Dirk
#[Out]# 45         Lidl
#[Out]# 46         Lidl
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(p.quantity)
#[Out]# 0          Coop         4.777778
#[Out]# 1     Hoogvliet         4.750000
#[Out]# 2        Sligro         4.076923
#[Out]# 3     Hoogvliet         6.090909
#[Out]# 4        Sligro         4.875000
#[Out]# 5        Sligro         4.444444
#[Out]# 6   Albert Hein         5.600000
#[Out]# 7   Albert Hein         5.444444
#[Out]# 8         Jumbo         6.400000
#[Out]# 9   Albert Hein         4.272727
#[Out]# 10         Lidl         5.000000
#[Out]# 11         Lidl         4.250000
#[Out]# 12    Hoogvliet         5.538462
#[Out]# 13         Coop         5.571429
#[Out]# 14        Jumbo         5.428571
#[Out]# 15         Lidl         5.500000
#[Out]# 16         Dirk         4.400000
#[Out]# 17  Albert Hein         5.400000
#[Out]# 18  Albert Hein         5.700000
#[Out]# 19    Hoogvliet         6.500000
#[Out]# 20       Sligro         4.750000
#[Out]# 21    Hoogvliet         5.000000
#[Out]# 22       Sligro         6.000000
#[Out]# 23         Dirk         4.900000
#[Out]# 24         Coop         7.166667
#[Out]# 25         Dirk         6.166667
#[Out]# 26         Coop         5.400000
#[Out]# 27         Lidl         4.428571
#[Out]# 28         Lidl         4.142857
#[Out]# 29    Hoogvliet         5.400000
#[Out]# 30       Sligro         4.571429
#[Out]# 31    Hoogvliet         4.300000
#[Out]# 32  Albert Hein         4.833333
#[Out]# 33       Sligro         5.900000
#[Out]# 34         Coop         5.769231
#[Out]# 35  Albert Hein         4.300000
#[Out]# 36         Lidl         5.600000
#[Out]# 37         Coop         4.636364
#[Out]# 38    Hoogvliet         7.500000
#[Out]# 39         Coop         4.100000
#[Out]# 40         Lidl         5.750000
#[Out]# 41         Dirk         4.636364
#[Out]# 42         Coop         5.454545
#[Out]# 43         Dirk         4.666667
#[Out]# 44         Dirk         9.666667
#[Out]# 45         Lidl         6.000000
#[Out]# 46         Lidl         5.000000
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 1

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(p.quantity)
#[Out]# 0          Coop         4.777778
#[Out]# 1     Hoogvliet         4.750000
#[Out]# 2         Jumbo         3.666667
#[Out]# 3        Sligro         4.076923
#[Out]# 4     Hoogvliet         6.090909
#[Out]# 5        Sligro         4.875000
#[Out]# 6          Coop         3.800000
#[Out]# 7        Sligro         4.444444
#[Out]# 8   Albert Hein         5.600000
#[Out]# 9   Albert Hein         5.444444
#[Out]# 10        Jumbo         6.400000
#[Out]# 11  Albert Hein         4.272727
#[Out]# 12         Lidl         5.000000
#[Out]# 13         Coop         3.888889
#[Out]# 14         Coop         3.125000
#[Out]# 15         Lidl         4.250000
#[Out]# 16         Lidl         3.500000
#[Out]# 17    Hoogvliet         5.538462
#[Out]# 18       Sligro         3.181818
#[Out]# 19         Coop         5.571429
#[Out]# 20        Jumbo         5.428571
#[Out]# 21         Coop         3.600000
#[Out]# 22         Lidl         5.500000
#[Out]# 23         Dirk         4.400000
#[Out]# 24  Albert Hein         5.400000
#[Out]# 25  Albert Hein         5.700000
#[Out]# 26    Hoogvliet         6.500000
#[Out]# 27       Sligro         4.750000
#[Out]# 28    Hoogvliet         5.000000
#[Out]# 29       Sligro         6.000000
#[Out]# ..          ...              ...
#[Out]# 34         Coop         5.400000
#[Out]# 35         Lidl         4.428571
#[Out]# 36         Lidl         4.142857
#[Out]# 37        Jumbo         4.000000
#[Out]# 38    Hoogvliet         5.400000
#[Out]# 39       Sligro         4.571429
#[Out]# 40    Hoogvliet         4.300000
#[Out]# 41  Albert Hein         4.833333
#[Out]# 42       Sligro         5.900000
#[Out]# 43         Coop         5.769231
#[Out]# 44  Albert Hein         4.300000
#[Out]# 45         Coop         3.875000
#[Out]# 46         Lidl         5.600000
#[Out]# 47         Coop         4.636364
#[Out]# 48    Hoogvliet         7.500000
#[Out]# 49    Hoogvliet         3.333333
#[Out]# 50       Sligro         4.000000
#[Out]# 51         Coop         4.100000
#[Out]# 52         Lidl         5.750000
#[Out]# 53         Coop         4.000000
#[Out]# 54         Dirk         4.636364
#[Out]# 55         Coop         5.454545
#[Out]# 56        Jumbo         2.900000
#[Out]# 57         Dirk         4.666667
#[Out]# 58         Dirk         9.666667
#[Out]# 59        Jumbo         3.666667
#[Out]# 60         Lidl         6.000000
#[Out]# 61         Lidl         5.000000
#[Out]# 62        Jumbo         2.000000
#[Out]# 63        Jumbo         3.000000
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > -1

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(p.quantity)
#[Out]# 0          Coop         4.777778
#[Out]# 1     Hoogvliet         4.750000
#[Out]# 2         Jumbo         3.666667
#[Out]# 3        Sligro         4.076923
#[Out]# 4     Hoogvliet         6.090909
#[Out]# 5        Sligro         4.875000
#[Out]# 6          Coop         3.800000
#[Out]# 7        Sligro         4.444444
#[Out]# 8   Albert Hein         5.600000
#[Out]# 9   Albert Hein         5.444444
#[Out]# 10        Jumbo         6.400000
#[Out]# 11  Albert Hein         4.272727
#[Out]# 12         Lidl         5.000000
#[Out]# 13         Coop         3.888889
#[Out]# 14         Coop         3.125000
#[Out]# 15         Lidl         4.250000
#[Out]# 16         Lidl         3.500000
#[Out]# 17    Hoogvliet         5.538462
#[Out]# 18       Sligro         3.181818
#[Out]# 19         Coop         5.571429
#[Out]# 20        Jumbo         5.428571
#[Out]# 21         Coop         3.600000
#[Out]# 22         Lidl         5.500000
#[Out]# 23         Dirk         4.400000
#[Out]# 24  Albert Hein         5.400000
#[Out]# 25  Albert Hein         5.700000
#[Out]# 26    Hoogvliet         6.500000
#[Out]# 27       Sligro         4.750000
#[Out]# 28    Hoogvliet         5.000000
#[Out]# 29       Sligro         6.000000
#[Out]# ..          ...              ...
#[Out]# 34         Coop         5.400000
#[Out]# 35         Lidl         4.428571
#[Out]# 36         Lidl         4.142857
#[Out]# 37        Jumbo         4.000000
#[Out]# 38    Hoogvliet         5.400000
#[Out]# 39       Sligro         4.571429
#[Out]# 40    Hoogvliet         4.300000
#[Out]# 41  Albert Hein         4.833333
#[Out]# 42       Sligro         5.900000
#[Out]# 43         Coop         5.769231
#[Out]# 44  Albert Hein         4.300000
#[Out]# 45         Coop         3.875000
#[Out]# 46         Lidl         5.600000
#[Out]# 47         Coop         4.636364
#[Out]# 48    Hoogvliet         7.500000
#[Out]# 49    Hoogvliet         3.333333
#[Out]# 50       Sligro         4.000000
#[Out]# 51         Coop         4.100000
#[Out]# 52         Lidl         5.750000
#[Out]# 53         Coop         4.000000
#[Out]# 54         Dirk         4.636364
#[Out]# 55         Coop         5.454545
#[Out]# 56        Jumbo         2.900000
#[Out]# 57         Dirk         4.666667
#[Out]# 58         Dirk         9.666667
#[Out]# 59        Jumbo         3.666667
#[Out]# 60         Lidl         6.000000
#[Out]# 61         Lidl         5.000000
#[Out]# 62        Jumbo         2.000000
#[Out]# 63        Jumbo         3.000000
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by p.sID
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  avg(p.quantity)
#[Out]# 0          Coop         4.777778
#[Out]# 1     Hoogvliet         4.750000
#[Out]# 2        Sligro         4.076923
#[Out]# 3     Hoogvliet         6.090909
#[Out]# 4        Sligro         4.875000
#[Out]# 5        Sligro         4.444444
#[Out]# 6   Albert Hein         5.600000
#[Out]# 7   Albert Hein         5.444444
#[Out]# 8         Jumbo         6.400000
#[Out]# 9   Albert Hein         4.272727
#[Out]# 10         Lidl         5.000000
#[Out]# 11         Lidl         4.250000
#[Out]# 12    Hoogvliet         5.538462
#[Out]# 13         Coop         5.571429
#[Out]# 14        Jumbo         5.428571
#[Out]# 15         Lidl         5.500000
#[Out]# 16         Dirk         4.400000
#[Out]# 17  Albert Hein         5.400000
#[Out]# 18  Albert Hein         5.700000
#[Out]# 19    Hoogvliet         6.500000
#[Out]# 20       Sligro         4.750000
#[Out]# 21    Hoogvliet         5.000000
#[Out]# 22       Sligro         6.000000
#[Out]# 23         Dirk         4.900000
#[Out]# 24         Coop         7.166667
#[Out]# 25         Dirk         6.166667
#[Out]# 26         Coop         5.400000
#[Out]# 27         Lidl         4.428571
#[Out]# 28         Lidl         4.142857
#[Out]# 29    Hoogvliet         5.400000
#[Out]# 30       Sligro         4.571429
#[Out]# 31    Hoogvliet         4.300000
#[Out]# 32  Albert Hein         4.833333
#[Out]# 33       Sligro         5.900000
#[Out]# 34         Coop         5.769231
#[Out]# 35  Albert Hein         4.300000
#[Out]# 36         Lidl         5.600000
#[Out]# 37         Coop         4.636364
#[Out]# 38    Hoogvliet         7.500000
#[Out]# 39         Coop         4.100000
#[Out]# 40         Lidl         5.750000
#[Out]# 41         Dirk         4.636364
#[Out]# 42         Coop         5.454545
#[Out]# 43         Dirk         4.666667
#[Out]# 44         Dirk         9.666667
#[Out]# 45         Lidl         6.000000
#[Out]# 46         Lidl         5.000000
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by p.sName
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
query4 = '''
select s.sName, avg(p.quantity)
from purchase p, store s
where p.sID = s.sID
group by s.sName
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(p.quantity)
#[Out]# 0  Albert Hein         4.969697
#[Out]# 1         Coop         4.681818
#[Out]# 2         Dirk         5.268293
#[Out]# 3    Hoogvliet         5.280000
#[Out]# 4         Lidl         4.796875
#[Out]# 5       Sligro         4.674419
query4 = '''
select s.sName
from purchase p, store s
where p.sID = s.sID
group by s.sName
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query3 = '''
    select pur.cID
    from purchase pur
    where exists (select cID
                from purchase p, store s
                group by s.sID)

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    select pur.cID
    from purchase pur
    where exists (select cID
                from purchase p, store s, purchase p1, store s2
                where p.sID = s.sID and p1.sID = s1.sID and p.cID = p1.cID)

'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pur.cID
    from purchase pur
    where exists (select p.cID
                from purchase p, store s, purchase p1, store s2
                where p.sID = s.sID and p1.sID = s1.sID and p.cID = p1.cID)

'''

pd.read_sql_query(query3, conn)
query3 = '''
    select pur.cID
    from purchase pur
    where exists (select p.cID
                from purchase p, store s, purchase p1, store s1
                where p.sID = s.sID and p1.sID = s1.sID and p.cID = p1.cID)

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    select cID, count(distinct(sID))
    from purchase 
    group by customer
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID, count(distinct(sID))
    from purchase 
    group by cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count(distinct(sID))
#[Out]# 0      0                     1
#[Out]# 1      1                     7
#[Out]# 2      2                     5
#[Out]# 3      3                     3
#[Out]# 4      4                     6
#[Out]# 5      5                     6
#[Out]# 6      7                     6
#[Out]# 7      8                     2
#[Out]# 8     10                     1
#[Out]# 9     11                     1
#[Out]# 10    13                     7
#[Out]# 11    15                     1
#[Out]# 12    16                    10
#[Out]# 13    17                     2
#[Out]# 14    18                     3
#[Out]# 15    19                     4
#[Out]# 16    20                     3
#[Out]# 17    21                     3
#[Out]# 18    22                     2
#[Out]# 19    24                     9
#[Out]# 20    25                     1
#[Out]# 21    26                     1
#[Out]# 22    27                     5
#[Out]# 23    28                     1
#[Out]# 24    29                     2
#[Out]# 25    30                     3
#[Out]# 26    31                     2
#[Out]# 27    33                     9
#[Out]# 28    34                     1
#[Out]# 29    35                     2
#[Out]# ..   ...                   ...
#[Out]# 102  147                     3
#[Out]# 103  149                     2
#[Out]# 104  151                     2
#[Out]# 105  152                     3
#[Out]# 106  157                     2
#[Out]# 107  159                     2
#[Out]# 108  161                     9
#[Out]# 109  162                     8
#[Out]# 110  163                     4
#[Out]# 111  165                     6
#[Out]# 112  167                    10
#[Out]# 113  168                     1
#[Out]# 114  169                    11
#[Out]# 115  170                     3
#[Out]# 116  171                     2
#[Out]# 117  172                     2
#[Out]# 118  175                     2
#[Out]# 119  176                     6
#[Out]# 120  177                     5
#[Out]# 121  178                     2
#[Out]# 122  179                     6
#[Out]# 123  180                     2
#[Out]# 124  181                     3
#[Out]# 125  182                     3
#[Out]# 126  184                     1
#[Out]# 127  185                     1
#[Out]# 128  186                     1
#[Out]# 129  188                     1
#[Out]# 130  189                     2
#[Out]# 131  190                    64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 = '''
select p.cID
from purchase p, store s
where p.sID = s.sID
group by s.sID
having count(s.sID) = (    select cID, count(distinct(sID))
    from purchase p1
    group by cID)

'''

pd.read_sql_query(query3, conn)
query3 = '''
select p.cID
from purchase p, store s
where p.sID = s.sID
group by s.sID
having count(s.sID) = (select count(distinct(p1.sID))
    from purchase p1
    group by p1.cID)

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
#[Out]# 1  190
query3 = '''
select distinct p.cID
from purchase p, store s
where p.sID = s.sID
group by s.sID
having count(s.sID) = (select count(distinct(p1.sID))
    from purchase p1
    group by p1.cID)

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query1 = '''
    select distinct pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select distinct c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
                    )
                

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
select distinct p.cID
from purchase p, store s
where p.sID = s.sID
group by s.sID
having count(s.sID) = (select count(distinct(p1.sID))
    from purchase p1
    group by p1.cID)

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
select s.sName
from purchase p, store s
where p.sID = s.sID
group by s.sName
having avg(p.quantity) > 4

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    select max(inv1.unit_price - inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(inv1.unit_price - inv2.unit_price)
#[Out]# 0                                     2.0
query3 = '''
select distinct p.cID
from purchase p, store s
where p.sID = s.sID
group by s.sID
having count(s.sID) = (select count(distinct(p1.sID))
            from purchase p1
            group by p1.cID)

'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
    select pID
    from purchase
    group by pID
    
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select cID
    from purchase
    group by pID = '29'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID
#[Out]# 0  190
#[Out]# 1  186
query1 = '''
    select cID
    from purchase
    group by pID = '28'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID
#[Out]# 0  190
#[Out]# 1  190
query1 = '''
    select cID
    from purchase
    group by pID = '27'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID
#[Out]# 0  190
#[Out]# 1  190
query1 = '''
    select cID
    from purchase
    select by pID = '27'
    
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select cID
    from purchase
    where by pID = '27'
    
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select cID
    from purchase
    where pID = '27'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#     cID
#[Out]# 0     1
#[Out]# 1     4
#[Out]# 2    16
#[Out]# 3    20
#[Out]# 4    21
#[Out]# 5    43
#[Out]# 6    59
#[Out]# 7    63
#[Out]# 8    92
#[Out]# 9   134
#[Out]# 10  161
#[Out]# 11  179
#[Out]# 12  190
#[Out]# 13  190
#[Out]# 14  190
query1 = '''
    select cID
    from purchase
    where pID = '30'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID
#[Out]# 0  188
#[Out]# 1  188
query1 = '''
    select cID
    from purchase
    where pID = '29'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#    cID
#[Out]# 0  185
#[Out]# 1  186
query1 = '''
    select cID
    from purchase
    where pID = '28'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#     cID
#[Out]# 0     5
#[Out]# 1    22
#[Out]# 2    35
#[Out]# 3    39
#[Out]# 4    40
#[Out]# 5    60
#[Out]# 6    70
#[Out]# 7    71
#[Out]# 8    82
#[Out]# 9    86
#[Out]# 10  100
#[Out]# 11  108
#[Out]# 12  118
#[Out]# 13  123
#[Out]# 14  124
#[Out]# 15  127
#[Out]# 16  136
#[Out]# 17  161
#[Out]# 18  162
#[Out]# 19  169
#[Out]# 20  170
#[Out]# 21  175
#[Out]# 22  190
#[Out]# 23  190
#[Out]# 24  190
query1 = '''
    select cID
    from purchase
    where pID = '5'
    
'''

pd.read_sql_query(query1, conn)
#[Out]#     cID
#[Out]# 0    13
#[Out]# 1    16
#[Out]# 2    24
#[Out]# 3    30
#[Out]# 4    52
#[Out]# 5    55
#[Out]# 6    58
#[Out]# 7    72
#[Out]# 8    77
#[Out]# 9   129
#[Out]# 10  163
#[Out]# 11  169
#[Out]# 12  176
#[Out]# 13  190
#[Out]# 14  190
#[Out]# 15  190
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu.cID
                    from purchase pu, product pr
                    where pu.date in (select pu1.date
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu2.pID = pr2.pID and pr2.pName = 'Coffee')
                    group by pu.date)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0    29    Ruben
#[Out]# 1    31  Olivier
#[Out]# 2    33     Sven
#[Out]# 3    52   Willem
#[Out]# 4    59     Joep
#[Out]# 5    85   Pieter
#[Out]# 6   124    Sofie
#[Out]# 7   129    Esmee
#[Out]# 8   169     Lily
#[Out]# 9   172     Lana
#[Out]# 10  176    Amira
#[Out]# 11  177    Eline
#[Out]# 12  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date
                    group by pu1.date)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1   85  Pieter
#[Out]# 2  129   Esmee
#[Out]# 3  169    Lily
#[Out]# 4  172    Lana
#[Out]# 5  177   Eline
#[Out]# 6  190  Kostas
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

f
#[Out]# <_io.TextIOWrapper name='shoppingDB.sql' mode='r' encoding='cp1252'>
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                    group by pu1.date)
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0    2   Lucas
#[Out]# 1   59    Joep
#[Out]# 2   85  Pieter
#[Out]# 3  129   Esmee
#[Out]# 4  162   Elena
#[Out]# 5  165   Hanna
#[Out]# 6  169    Lily
#[Out]# 7  172    Lana
#[Out]# 8  177   Eline
#[Out]# 9  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                    )
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query3 = '''
    select p1.cID
    from purchase p1
    where p1.cID not in (select distinct p2.cID
                            from purchase p2
                            where p2.sID not in (select s.SID
                                                from store s
                                                group by sID))
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr1.pName = 'Coffee')
                    )
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee')
                    )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
                    )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            )
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cName = 'Kostas' and c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            )
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  190  Kostas
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Kostas' and pu.pID = pr.pID and pr.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date   cName
#[Out]# 0   2018-08-17  Kostas
#[Out]# 1   2018-08-24  Kostas
#[Out]# 2   2018-08-27  Kostas
#[Out]# 3   2018-08-18  Kostas
#[Out]# 4   2018-08-25  Kostas
#[Out]# 5   2018-08-25  Kostas
#[Out]# 6   2018-08-18  Kostas
#[Out]# 7   2018-08-26  Kostas
#[Out]# 8   2018-08-24  Kostas
#[Out]# 9   2018-08-21  Kostas
#[Out]# 10  2018-08-23  Kostas
#[Out]# 11  2018-08-20  Kostas
#[Out]# 12  2018-08-27  Kostas
#[Out]# 13  2018-08-22  Kostas
#[Out]# 14  2018-08-22  Kostas
#[Out]# 15  2018-08-26  Kostas
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Kostas' and pu.pID = pr.pID and pr.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date   cName
#[Out]# 0   2018-08-24  Kostas
#[Out]# 1   2018-08-18  Kostas
#[Out]# 2   2018-08-15  Kostas
#[Out]# 3   2018-08-19  Kostas
#[Out]# 4   2018-08-18  Kostas
#[Out]# 5   2018-08-25  Kostas
#[Out]# 6   2018-08-25  Kostas
#[Out]# 7   2018-08-15  Kostas
#[Out]# 8   2018-08-18  Kostas
#[Out]# 9   2018-08-22  Kostas
#[Out]# 10  2018-08-25  Kostas
#[Out]# 11  2018-08-26  Kostas
#[Out]# 12  2018-08-20  Kostas
#[Out]# 13  2018-08-16  Kostas
#[Out]# 14  2018-08-20  Kostas
#[Out]# 15  2018-08-20  Kostas
#[Out]# 16  2018-08-26  Kostas
#[Out]# 17  2018-08-27  Kostas
#[Out]# 18  2018-08-26  Kostas
#[Out]# 19  2018-08-20  Kostas
#[Out]# 20  2018-08-22  Kostas
#[Out]# 21  2018-08-22  Kostas
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Kostas' and pu.pID = pr.pID and pr.pName = 'Joep'
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [date, cName]
#[Out]# Index: []
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date cName
#[Out]# 0   2018-08-24  Joep
#[Out]# 1   2018-08-18  Joep
#[Out]# 2   2018-08-15  Joep
#[Out]# 3   2018-08-19  Joep
#[Out]# 4   2018-08-18  Joep
#[Out]# 5   2018-08-25  Joep
#[Out]# 6   2018-08-25  Joep
#[Out]# 7   2018-08-15  Joep
#[Out]# 8   2018-08-18  Joep
#[Out]# 9   2018-08-22  Joep
#[Out]# 10  2018-08-25  Joep
#[Out]# 11  2018-08-26  Joep
#[Out]# 12  2018-08-20  Joep
#[Out]# 13  2018-08-16  Joep
#[Out]# 14  2018-08-20  Joep
#[Out]# 15  2018-08-20  Joep
#[Out]# 16  2018-08-26  Joep
#[Out]# 17  2018-08-27  Joep
#[Out]# 18  2018-08-26  Joep
#[Out]# 19  2018-08-20  Joep
#[Out]# 20  2018-08-22  Joep
#[Out]# 21  2018-08-22  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date cName
#[Out]# 0   2018-08-17  Joep
#[Out]# 1   2018-08-24  Joep
#[Out]# 2   2018-08-27  Joep
#[Out]# 3   2018-08-18  Joep
#[Out]# 4   2018-08-25  Joep
#[Out]# 5   2018-08-25  Joep
#[Out]# 6   2018-08-18  Joep
#[Out]# 7   2018-08-26  Joep
#[Out]# 8   2018-08-24  Joep
#[Out]# 9   2018-08-21  Joep
#[Out]# 10  2018-08-23  Joep
#[Out]# 11  2018-08-20  Joep
#[Out]# 12  2018-08-27  Joep
#[Out]# 13  2018-08-22  Joep
#[Out]# 14  2018-08-22  Joep
#[Out]# 15  2018-08-26  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date cName
#[Out]# 0   2018-08-24  Joep
#[Out]# 1   2018-08-18  Joep
#[Out]# 2   2018-08-15  Joep
#[Out]# 3   2018-08-19  Joep
#[Out]# 4   2018-08-18  Joep
#[Out]# 5   2018-08-25  Joep
#[Out]# 6   2018-08-25  Joep
#[Out]# 7   2018-08-15  Joep
#[Out]# 8   2018-08-18  Joep
#[Out]# 9   2018-08-22  Joep
#[Out]# 10  2018-08-25  Joep
#[Out]# 11  2018-08-26  Joep
#[Out]# 12  2018-08-20  Joep
#[Out]# 13  2018-08-16  Joep
#[Out]# 14  2018-08-20  Joep
#[Out]# 15  2018-08-20  Joep
#[Out]# 16  2018-08-26  Joep
#[Out]# 17  2018-08-27  Joep
#[Out]# 18  2018-08-26  Joep
#[Out]# 19  2018-08-20  Joep
#[Out]# 20  2018-08-22  Joep
#[Out]# 21  2018-08-22  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date cName
#[Out]# 0   2018-08-17  Joep
#[Out]# 1   2018-08-24  Joep
#[Out]# 2   2018-08-27  Joep
#[Out]# 3   2018-08-18  Joep
#[Out]# 4   2018-08-25  Joep
#[Out]# 5   2018-08-25  Joep
#[Out]# 6   2018-08-18  Joep
#[Out]# 7   2018-08-26  Joep
#[Out]# 8   2018-08-24  Joep
#[Out]# 9   2018-08-21  Joep
#[Out]# 10  2018-08-23  Joep
#[Out]# 11  2018-08-20  Joep
#[Out]# 12  2018-08-27  Joep
#[Out]# 13  2018-08-22  Joep
#[Out]# 14  2018-08-22  Joep
#[Out]# 15  2018-08-26  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Onions'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#          date cName
#[Out]# 0  2018-08-17  Joep
#[Out]# 1  2018-08-18  Joep
#[Out]# 2  2018-08-20  Joep
#[Out]# 3  2018-08-21  Joep
#[Out]# 4  2018-08-22  Joep
#[Out]# 5  2018-08-23  Joep
#[Out]# 6  2018-08-24  Joep
#[Out]# 7  2018-08-25  Joep
#[Out]# 8  2018-08-26  Joep
#[Out]# 9  2018-08-27  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Joep' and pu.pID = pr.pID and pr.pName = 'Coffee'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#          date cName
#[Out]# 0  2018-08-15  Joep
#[Out]# 1  2018-08-16  Joep
#[Out]# 2  2018-08-18  Joep
#[Out]# 3  2018-08-19  Joep
#[Out]# 4  2018-08-20  Joep
#[Out]# 5  2018-08-22  Joep
#[Out]# 6  2018-08-24  Joep
#[Out]# 7  2018-08-25  Joep
#[Out]# 8  2018-08-26  Joep
#[Out]# 9  2018-08-27  Joep
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie' and pu.pID = pr.pID and pr.pName = 'Coffee'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#          date  cName
#[Out]# 0  2018-08-15  Sofie
#[Out]# 1  2018-08-16  Sofie
#[Out]# 2  2018-08-18  Sofie
#[Out]# 3  2018-08-19  Sofie
#[Out]# 4  2018-08-20  Sofie
#[Out]# 5  2018-08-22  Sofie
#[Out]# 6  2018-08-24  Sofie
#[Out]# 7  2018-08-25  Sofie
#[Out]# 8  2018-08-26  Sofie
#[Out]# 9  2018-08-27  Sofie
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie' and pu.pID = pr.pID and pr.pName = 'Onions'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#          date  cName
#[Out]# 0  2018-08-17  Sofie
#[Out]# 1  2018-08-18  Sofie
#[Out]# 2  2018-08-20  Sofie
#[Out]# 3  2018-08-21  Sofie
#[Out]# 4  2018-08-22  Sofie
#[Out]# 5  2018-08-23  Sofie
#[Out]# 6  2018-08-24  Sofie
#[Out]# 7  2018-08-25  Sofie
#[Out]# 8  2018-08-26  Sofie
#[Out]# 9  2018-08-27  Sofie
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie' and pu.pID = pr.pID and pr.pName = 'Coffee'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#          date  cName
#[Out]# 0  2018-08-15  Sofie
#[Out]# 1  2018-08-16  Sofie
#[Out]# 2  2018-08-18  Sofie
#[Out]# 3  2018-08-19  Sofie
#[Out]# 4  2018-08-20  Sofie
#[Out]# 5  2018-08-22  Sofie
#[Out]# 6  2018-08-24  Sofie
#[Out]# 7  2018-08-25  Sofie
#[Out]# 8  2018-08-26  Sofie
#[Out]# 9  2018-08-27  Sofie
query2 = '''
    select pu.date, c.cName
    from purchase pu, product pr, customer c, purchase pu2, product pu2
    where c.cName = 'Sofie' and pu.pID = pr.pID and pr.pName = 'Coffee' and pu2.pID = pr2.pID and pr2.pName = 'Onions'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select pu.date, c.cName, pr.pName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie'
    group by pu.date
'''

pd.read_sql_query(query2, conn)
#[Out]#           date  cName            pName
#[Out]# 0   2018-08-15  Sofie  French baguette
#[Out]# 1   2018-08-16  Sofie  French baguette
#[Out]# 2   2018-08-17  Sofie  French baguette
#[Out]# 3   2018-08-18  Sofie  French baguette
#[Out]# 4   2018-08-19  Sofie  French baguette
#[Out]# 5   2018-08-20  Sofie  French baguette
#[Out]# 6   2018-08-21  Sofie  French baguette
#[Out]# 7   2018-08-22  Sofie  French baguette
#[Out]# 8   2018-08-23  Sofie  French baguette
#[Out]# 9   2018-08-24  Sofie  French baguette
#[Out]# 10  2018-08-25  Sofie  French baguette
#[Out]# 11  2018-08-26  Sofie  French baguette
#[Out]# 12  2018-08-27  Sofie  French baguette
#[Out]# 13  2018-08-28  Sofie  French baguette
#[Out]# 14  2018-08-29  Sofie  French baguette
#[Out]# 15  2018-09-20  Sofie  French baguette
query2 = '''
    select pu.date, c.cName, pr.pName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie'

'''

pd.read_sql_query(query2, conn)
#[Out]#              date  cName             pName
#[Out]# 0      2018-08-22  Sofie       Cashew Nuts
#[Out]# 1      2018-08-22  Sofie        Mixed Nuts
#[Out]# 2      2018-08-22  Sofie          Potatoes
#[Out]# 3      2018-08-22  Sofie      Green Pepper
#[Out]# 4      2018-08-22  Sofie            Onions
#[Out]# 5      2018-08-22  Sofie         Mushrooms
#[Out]# 6      2018-08-22  Sofie           Carrots
#[Out]# 7      2018-08-22  Sofie          Tomatoes
#[Out]# 8      2018-08-22  Sofie  Hot Dog Sausages
#[Out]# 9      2018-08-22  Sofie           Bananas
#[Out]# 10     2018-08-22  Sofie             Water
#[Out]# 11     2018-08-22  Sofie              Milk
#[Out]# 12     2018-08-22  Sofie              Beef
#[Out]# 13     2018-08-22  Sofie              Eggs
#[Out]# 14     2018-08-22  Sofie            Apples
#[Out]# 15     2018-08-22  Sofie         Cucumbers
#[Out]# 16     2018-08-22  Sofie              Rice
#[Out]# 17     2018-08-22  Sofie             Bread
#[Out]# 18     2018-08-22  Sofie            Cheese
#[Out]# 19     2018-08-22  Sofie              Coca
#[Out]# 20     2018-08-22  Sofie             Fanta
#[Out]# 21     2018-08-22  Sofie            Coffee
#[Out]# 22     2018-08-22  Sofie               Tea
#[Out]# 23     2018-08-22  Sofie   Spiced Biscuits
#[Out]# 24     2018-08-22  Sofie           Oranges
#[Out]# 25     2018-08-22  Sofie            Donuts
#[Out]# 26     2018-08-22  Sofie             Pasta
#[Out]# 27     2018-08-22  Sofie             Pizza
#[Out]# 28     2018-08-22  Sofie           Lasanga
#[Out]# 29     2018-08-22  Sofie            Salmon
#[Out]# ...           ...    ...               ...
#[Out]# 16258  2018-08-21  Sofie          Potatoes
#[Out]# 16259  2018-08-21  Sofie      Green Pepper
#[Out]# 16260  2018-08-21  Sofie            Onions
#[Out]# 16261  2018-08-21  Sofie         Mushrooms
#[Out]# 16262  2018-08-21  Sofie           Carrots
#[Out]# 16263  2018-08-21  Sofie          Tomatoes
#[Out]# 16264  2018-08-21  Sofie  Hot Dog Sausages
#[Out]# 16265  2018-08-21  Sofie           Bananas
#[Out]# 16266  2018-08-21  Sofie             Water
#[Out]# 16267  2018-08-21  Sofie              Milk
#[Out]# 16268  2018-08-21  Sofie              Beef
#[Out]# 16269  2018-08-21  Sofie              Eggs
#[Out]# 16270  2018-08-21  Sofie            Apples
#[Out]# 16271  2018-08-21  Sofie         Cucumbers
#[Out]# 16272  2018-08-21  Sofie              Rice
#[Out]# 16273  2018-08-21  Sofie             Bread
#[Out]# 16274  2018-08-21  Sofie            Cheese
#[Out]# 16275  2018-08-21  Sofie              Coca
#[Out]# 16276  2018-08-21  Sofie             Fanta
#[Out]# 16277  2018-08-21  Sofie            Coffee
#[Out]# 16278  2018-08-21  Sofie               Tea
#[Out]# 16279  2018-08-21  Sofie   Spiced Biscuits
#[Out]# 16280  2018-08-21  Sofie           Oranges
#[Out]# 16281  2018-08-21  Sofie            Donuts
#[Out]# 16282  2018-08-21  Sofie             Pasta
#[Out]# 16283  2018-08-21  Sofie             Pizza
#[Out]# 16284  2018-08-21  Sofie           Lasanga
#[Out]# 16285  2018-08-21  Sofie            Salmon
#[Out]# 16286  2018-08-21  Sofie           Ketchup
#[Out]# 16287  2018-08-21  Sofie   French baguette
#[Out]# 
#[Out]# [16288 rows x 3 columns]
query2 = '''
    select distinct pu.date, c.cName, pr.pName
    from purchase pu, product pr, customer c
    where c.cName = 'Sofie'

'''

pd.read_sql_query(query2, conn)
#[Out]#            date  cName             pName
#[Out]# 0    2018-08-22  Sofie       Cashew Nuts
#[Out]# 1    2018-08-22  Sofie        Mixed Nuts
#[Out]# 2    2018-08-22  Sofie          Potatoes
#[Out]# 3    2018-08-22  Sofie      Green Pepper
#[Out]# 4    2018-08-22  Sofie            Onions
#[Out]# 5    2018-08-22  Sofie         Mushrooms
#[Out]# 6    2018-08-22  Sofie           Carrots
#[Out]# 7    2018-08-22  Sofie          Tomatoes
#[Out]# 8    2018-08-22  Sofie  Hot Dog Sausages
#[Out]# 9    2018-08-22  Sofie           Bananas
#[Out]# 10   2018-08-22  Sofie             Water
#[Out]# 11   2018-08-22  Sofie              Milk
#[Out]# 12   2018-08-22  Sofie              Beef
#[Out]# 13   2018-08-22  Sofie              Eggs
#[Out]# 14   2018-08-22  Sofie            Apples
#[Out]# 15   2018-08-22  Sofie         Cucumbers
#[Out]# 16   2018-08-22  Sofie              Rice
#[Out]# 17   2018-08-22  Sofie             Bread
#[Out]# 18   2018-08-22  Sofie            Cheese
#[Out]# 19   2018-08-22  Sofie              Coca
#[Out]# 20   2018-08-22  Sofie             Fanta
#[Out]# 21   2018-08-22  Sofie            Coffee
#[Out]# 22   2018-08-22  Sofie               Tea
#[Out]# 23   2018-08-22  Sofie   Spiced Biscuits
#[Out]# 24   2018-08-22  Sofie           Oranges
#[Out]# 25   2018-08-22  Sofie            Donuts
#[Out]# 26   2018-08-22  Sofie             Pasta
#[Out]# 27   2018-08-22  Sofie             Pizza
#[Out]# 28   2018-08-22  Sofie           Lasanga
#[Out]# 29   2018-08-22  Sofie            Salmon
#[Out]# ..          ...    ...               ...
#[Out]# 482  2018-09-20  Sofie          Potatoes
#[Out]# 483  2018-09-20  Sofie      Green Pepper
#[Out]# 484  2018-09-20  Sofie            Onions
#[Out]# 485  2018-09-20  Sofie         Mushrooms
#[Out]# 486  2018-09-20  Sofie           Carrots
#[Out]# 487  2018-09-20  Sofie          Tomatoes
#[Out]# 488  2018-09-20  Sofie  Hot Dog Sausages
#[Out]# 489  2018-09-20  Sofie           Bananas
#[Out]# 490  2018-09-20  Sofie             Water
#[Out]# 491  2018-09-20  Sofie              Milk
#[Out]# 492  2018-09-20  Sofie              Beef
#[Out]# 493  2018-09-20  Sofie              Eggs
#[Out]# 494  2018-09-20  Sofie            Apples
#[Out]# 495  2018-09-20  Sofie         Cucumbers
#[Out]# 496  2018-09-20  Sofie              Rice
#[Out]# 497  2018-09-20  Sofie             Bread
#[Out]# 498  2018-09-20  Sofie            Cheese
#[Out]# 499  2018-09-20  Sofie              Coca
#[Out]# 500  2018-09-20  Sofie             Fanta
#[Out]# 501  2018-09-20  Sofie            Coffee
#[Out]# 502  2018-09-20  Sofie               Tea
#[Out]# 503  2018-09-20  Sofie   Spiced Biscuits
#[Out]# 504  2018-09-20  Sofie           Oranges
#[Out]# 505  2018-09-20  Sofie            Donuts
#[Out]# 506  2018-09-20  Sofie             Pasta
#[Out]# 507  2018-09-20  Sofie             Pizza
#[Out]# 508  2018-09-20  Sofie           Lasanga
#[Out]# 509  2018-09-20  Sofie            Salmon
#[Out]# 510  2018-09-20  Sofie           Ketchup
#[Out]# 511  2018-09-20  Sofie   French baguette
#[Out]# 
#[Out]# [512 rows x 3 columns]
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
                    )
                

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query3 = '''
    select cID
    from purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    select distinct cID
    from purchase
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query2 = '''
    select distinct c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and pu1.cID in (select pu2.cID
                                                                                        from purchase pu2, product pr2
                                                                                        where pu2.pID = pr2.pID and pr2.pName = 'Coffee' and pu1.date = pu2.date)
                    )
                

'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query1 = '''
    select distinct pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query3 = '''
    select distinct cID
    from purchase
    where 
    group by sID
'''

pd.read_sql_query(query3, conn)
query6 = '''
    4 - 2
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select inv1.unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select inv1.unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#         unit_price
#[Out]# 0             0.60
#[Out]# 1             0.60
#[Out]# 2             0.60
#[Out]# 3             0.60
#[Out]# 4             0.60
#[Out]# 5             0.60
#[Out]# 6             0.60
#[Out]# 7             0.60
#[Out]# 8             0.60
#[Out]# 9             0.60
#[Out]# 10            0.60
#[Out]# 11            0.60
#[Out]# 12            0.60
#[Out]# 13            0.60
#[Out]# 14            0.60
#[Out]# 15            0.60
#[Out]# 16            0.60
#[Out]# 17            0.60
#[Out]# 18            0.60
#[Out]# 19            0.60
#[Out]# 20            0.60
#[Out]# 21            0.60
#[Out]# 22            0.60
#[Out]# 23            0.60
#[Out]# 24            0.60
#[Out]# 25            0.60
#[Out]# 26            0.60
#[Out]# 27            0.60
#[Out]# 28            0.60
#[Out]# 29            0.60
#[Out]# ...            ...
#[Out]# 674944        5.95
#[Out]# 674945        5.95
#[Out]# 674946        5.95
#[Out]# 674947        5.95
#[Out]# 674948        5.95
#[Out]# 674949        5.95
#[Out]# 674950        5.95
#[Out]# 674951        5.95
#[Out]# 674952        5.95
#[Out]# 674953        5.95
#[Out]# 674954        5.95
#[Out]# 674955        5.95
#[Out]# 674956        5.95
#[Out]# 674957        5.95
#[Out]# 674958        5.95
#[Out]# 674959        5.95
#[Out]# 674960        5.95
#[Out]# 674961        5.95
#[Out]# 674962        5.95
#[Out]# 674963        5.95
#[Out]# 674964        5.95
#[Out]# 674965        5.95
#[Out]# 674966        5.95
#[Out]# 674967        5.95
#[Out]# 674968        5.95
#[Out]# 674969        5.95
#[Out]# 674970        5.95
#[Out]# 674971        5.95
#[Out]# 674972        5.95
#[Out]# 674973        5.95
#[Out]# 
#[Out]# [674974 rows x 1 columns]
query6 = '''
    select inv1.unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0            0.6
#[Out]# 1            0.6
#[Out]# 2            0.6
#[Out]# 3            0.6
#[Out]# 4            0.6
#[Out]# 5            0.6
#[Out]# 6            0.6
#[Out]# 7            0.6
#[Out]# 8            0.6
#[Out]# 9            0.6
#[Out]# 10           0.6
#[Out]# 11           0.6
#[Out]# 12           0.6
#[Out]# 13           0.6
#[Out]# 14           0.6
#[Out]# 15           0.6
#[Out]# 16           0.6
#[Out]# 17           0.6
#[Out]# 18           0.6
#[Out]# 19           0.6
#[Out]# 20           0.6
#[Out]# 21           0.6
#[Out]# 22           0.6
#[Out]# 23           0.6
#[Out]# 24           0.6
#[Out]# 25           0.6
#[Out]# 26           0.6
#[Out]# 27           0.6
#[Out]# 28           0.6
#[Out]# 29           0.6
#[Out]# ...          ...
#[Out]# 4440         4.2
#[Out]# 4441         4.2
#[Out]# 4442         4.2
#[Out]# 4443         4.2
#[Out]# 4444         4.2
#[Out]# 4445         4.2
#[Out]# 4446         4.2
#[Out]# 4447         4.2
#[Out]# 4448         4.2
#[Out]# 4449         4.2
#[Out]# 4450         4.2
#[Out]# 4451         4.2
#[Out]# 4452         4.2
#[Out]# 4453         4.2
#[Out]# 4454         4.2
#[Out]# 4455         4.2
#[Out]# 4456         4.2
#[Out]# 4457         4.2
#[Out]# 4458         4.2
#[Out]# 4459         4.2
#[Out]# 4460         4.2
#[Out]# 4461         4.2
#[Out]# 4462         4.2
#[Out]# 4463         4.2
#[Out]# 4464         4.2
#[Out]# 4465         4.2
#[Out]# 4466         4.2
#[Out]# 4467         4.2
#[Out]# 4468         4.2
#[Out]# 4469         4.2
#[Out]# 
#[Out]# [4470 rows x 1 columns]
query6 = '''
    select min(inv1.unit_price, inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#       min(inv1.unit_price, inv2.unit_price)
#[Out]# 0                                      0.45
#[Out]# 1                                      0.60
#[Out]# 2                                      0.60
#[Out]# 3                                      0.60
#[Out]# 4                                      0.60
#[Out]# 5                                      0.60
#[Out]# 6                                      0.60
#[Out]# 7                                      0.60
#[Out]# 8                                      0.60
#[Out]# 9                                      0.60
#[Out]# 10                                     0.60
#[Out]# 11                                     0.60
#[Out]# 12                                     0.60
#[Out]# 13                                     0.60
#[Out]# 14                                     0.60
#[Out]# 15                                     0.60
#[Out]# 16                                     0.60
#[Out]# 17                                     0.60
#[Out]# 18                                     0.60
#[Out]# 19                                     0.60
#[Out]# 20                                     0.60
#[Out]# 21                                     0.60
#[Out]# 22                                     0.60
#[Out]# 23                                     0.60
#[Out]# 24                                     0.60
#[Out]# 25                                     0.60
#[Out]# 26                                     0.60
#[Out]# 27                                     0.60
#[Out]# 28                                     0.60
#[Out]# 29                                     0.60
#[Out]# ...                                     ...
#[Out]# 4440                                   1.20
#[Out]# 4441                                   2.20
#[Out]# 4442                                   4.00
#[Out]# 4443                                   4.15
#[Out]# 4444                                   4.20
#[Out]# 4445                                   4.20
#[Out]# 4446                                   1.80
#[Out]# 4447                                   3.55
#[Out]# 4448                                   4.10
#[Out]# 4449                                   4.20
#[Out]# 4450                                   3.35
#[Out]# 4451                                   4.20
#[Out]# 4452                                   4.20
#[Out]# 4453                                   1.95
#[Out]# 4454                                   2.65
#[Out]# 4455                                   1.00
#[Out]# 4456                                   4.10
#[Out]# 4457                                   1.85
#[Out]# 4458                                   1.15
#[Out]# 4459                                   0.55
#[Out]# 4460                                   1.95
#[Out]# 4461                                   3.85
#[Out]# 4462                                   0.60
#[Out]# 4463                                   1.55
#[Out]# 4464                                   4.20
#[Out]# 4465                                   4.20
#[Out]# 4466                                   4.20
#[Out]# 4467                                   4.20
#[Out]# 4468                                   4.20
#[Out]# 4469                                   2.95
#[Out]# 
#[Out]# [4470 rows x 1 columns]
query6 = '''
    select min(inv1.unit_price, inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      min(inv1.unit_price, inv2.unit_price)
#[Out]# 0                                     0.45
#[Out]# 1                                     0.55
#[Out]# 2                                     2.10
#[Out]# 3                                     2.20
#[Out]# 4                                     2.25
#[Out]# 5                                     2.65
#[Out]# 6                                     1.80
#[Out]# 7                                     4.15
#[Out]# 8                                     3.55
#[Out]# 9                                     4.10
#[Out]# 10                                    4.10
#[Out]# 11                                    3.55
#[Out]# 12                                    4.10
#[Out]# 13                                    1.95
#[Out]# 14                                    1.00
#[Out]# 15                                    1.25
#[Out]# 16                                    1.25
#[Out]# 17                                    0.45
#[Out]# 18                                    0.55
#[Out]# 19                                    4.60
#[Out]# 20                                    4.80
#[Out]# 21                                    4.40
#[Out]# 22                                    1.00
#[Out]# 23                                    1.00
#[Out]# 24                                    8.50
#[Out]# 25                                    6.90
#[Out]# 26                                    4.00
#[Out]# 27                                    4.60
#[Out]# 28                                    4.60
#[Out]# 29                                    4.40
#[Out]# ..                                     ...
#[Out]# 124                                   3.55
#[Out]# 125                                   1.00
#[Out]# 126                                   1.05
#[Out]# 127                                   4.80
#[Out]# 128                                   4.60
#[Out]# 129                                   4.40
#[Out]# 130                                  12.55
#[Out]# 131                                  12.55
#[Out]# 132                                  11.40
#[Out]# 133                                   1.00
#[Out]# 134                                   1.25
#[Out]# 135                                   1.25
#[Out]# 136                                   1.95
#[Out]# 137                                   1.85
#[Out]# 138                                   1.00
#[Out]# 139                                   1.00
#[Out]# 140                                   1.00
#[Out]# 141                                   6.85
#[Out]# 142                                   7.35
#[Out]# 143                                   4.80
#[Out]# 144                                  13.15
#[Out]# 145                                  11.40
#[Out]# 146                                  12.55
#[Out]# 147                                   3.55
#[Out]# 148                                   4.40
#[Out]# 149                                   4.40
#[Out]# 150                                   4.40
#[Out]# 151                                   3.55
#[Out]# 152                                   4.15
#[Out]# 153                                   4.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    select inv1.unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price
#[Out]# 0          0.60
#[Out]# 1          0.60
#[Out]# 2          2.95
#[Out]# 3          2.95
#[Out]# 4          2.95
#[Out]# 5          2.95
#[Out]# 6          1.80
#[Out]# 7          4.15
#[Out]# 8          4.15
#[Out]# 9          4.15
#[Out]# 10         4.10
#[Out]# 11         4.10
#[Out]# 12         4.10
#[Out]# 13         2.45
#[Out]# 14         1.25
#[Out]# 15         1.25
#[Out]# 16         1.25
#[Out]# 17         0.55
#[Out]# 18         0.55
#[Out]# 19         5.80
#[Out]# 20         5.80
#[Out]# 21         5.80
#[Out]# 22         1.00
#[Out]# 23         1.00
#[Out]# 24         8.50
#[Out]# 25         8.50
#[Out]# 26         4.00
#[Out]# 27         4.60
#[Out]# 28         4.60
#[Out]# 29         4.60
#[Out]# ..          ...
#[Out]# 124        3.55
#[Out]# 125        1.20
#[Out]# 126        1.20
#[Out]# 127        4.80
#[Out]# 128        4.80
#[Out]# 129        4.80
#[Out]# 130       12.55
#[Out]# 131       12.55
#[Out]# 132       12.55
#[Out]# 133        1.30
#[Out]# 134        1.30
#[Out]# 135        1.30
#[Out]# 136        2.20
#[Out]# 137        2.20
#[Out]# 138        1.00
#[Out]# 139        1.00
#[Out]# 140        1.00
#[Out]# 141        7.75
#[Out]# 142        7.75
#[Out]# 143        5.55
#[Out]# 144       13.15
#[Out]# 145       13.15
#[Out]# 146       13.15
#[Out]# 147        3.55
#[Out]# 148        4.40
#[Out]# 149        4.40
#[Out]# 150        4.40
#[Out]# 151        4.20
#[Out]# 152        4.20
#[Out]# 153        4.20
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    select inv1.unit_price, inv2.unite_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select inv1.unit_price, inv2.unit_price
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      unit_price  unit_price
#[Out]# 0          0.60        0.45
#[Out]# 1          0.60        0.55
#[Out]# 2          2.95        2.10
#[Out]# 3          2.95        2.20
#[Out]# 4          2.95        2.25
#[Out]# 5          2.95        2.65
#[Out]# 6          1.80        2.10
#[Out]# 7          4.15        4.20
#[Out]# 8          4.15        3.55
#[Out]# 9          4.15        4.10
#[Out]# 10         4.10        4.20
#[Out]# 11         4.10        3.55
#[Out]# 12         4.10        4.15
#[Out]# 13         2.45        1.95
#[Out]# 14         1.25        1.00
#[Out]# 15         1.25        1.30
#[Out]# 16         1.25        1.25
#[Out]# 17         0.55        0.45
#[Out]# 18         0.55        0.60
#[Out]# 19         5.80        4.60
#[Out]# 20         5.80        4.80
#[Out]# 21         5.80        4.40
#[Out]# 22         1.00        1.05
#[Out]# 23         1.00        1.20
#[Out]# 24         8.50        8.85
#[Out]# 25         8.50        6.90
#[Out]# 26         4.00        4.35
#[Out]# 27         4.60        5.80
#[Out]# 28         4.60        4.80
#[Out]# 29         4.60        4.40
#[Out]# ..          ...         ...
#[Out]# 124        3.55        4.10
#[Out]# 125        1.20        1.00
#[Out]# 126        1.20        1.05
#[Out]# 127        4.80        5.80
#[Out]# 128        4.80        4.60
#[Out]# 129        4.80        4.40
#[Out]# 130       12.55       13.40
#[Out]# 131       12.55       13.15
#[Out]# 132       12.55       11.40
#[Out]# 133        1.30        1.00
#[Out]# 134        1.30        1.25
#[Out]# 135        1.30        1.25
#[Out]# 136        2.20        1.95
#[Out]# 137        2.20        1.85
#[Out]# 138        1.00        1.30
#[Out]# 139        1.00        1.25
#[Out]# 140        1.00        1.25
#[Out]# 141        7.75        6.85
#[Out]# 142        7.75        7.35
#[Out]# 143        5.55        4.80
#[Out]# 144       13.15       13.40
#[Out]# 145       13.15       11.40
#[Out]# 146       13.15       12.55
#[Out]# 147        3.55        4.10
#[Out]# 148        4.40        5.80
#[Out]# 149        4.40        4.60
#[Out]# 150        4.40        4.80
#[Out]# 151        4.20        3.55
#[Out]# 152        4.20        4.15
#[Out]# 153        4.20        4.10
#[Out]# 
#[Out]# [154 rows x 2 columns]
query6 = '''
    select max(difference(inv1.unit_price, inv2.unit_price))
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(difference(inv1.unit_price - inv2.unit_price))
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max((inv1.unit_price - inv2.unit_price))
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max((inv1.unit_price - inv2.unit_price))
#[Out]# 0                                       2.0
query6 = '''
    select max(inv1.unit_price - inv2.unit_price))
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(inv1.unit_price - inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(inv1.unit_price - inv2.unit_price)
#[Out]# 0                                     2.0
query6 = '''
    select max(inv1.unit_price - inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID  and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(inv1.unit_price - inv2.unit_price)
#[Out]# 0                                    4.75
query6 = '''
    select max(inv1.unit_price - inv2.unit_price)
    from inventory inv1, inventory inv2
    where inv1.sID <> inv2.sID and inv1.date = '2018-08-23' and inv2.date = '2018-08-23' and inv1.pID = inv2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(inv1.unit_price - inv2.unit_price)
#[Out]# 0                                     2.0
query5 = '''
    select pr.pName
    from product pr, purchase pu
    where pr.pID = pu.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName
#[Out]# 0               Water
#[Out]# 1              Apples
#[Out]# 2                Rice
#[Out]# 3             Bananas
#[Out]# 4              Donuts
#[Out]# 5               Pasta
#[Out]# 6                Milk
#[Out]# 7               Pizza
#[Out]# 8               Fanta
#[Out]# 9             Bananas
#[Out]# 10             Onions
#[Out]# 11               Eggs
#[Out]# 12                Tea
#[Out]# 13             Apples
#[Out]# 14              Pasta
#[Out]# 15            Bananas
#[Out]# 16   Hot Dog Sausages
#[Out]# 17              Pizza
#[Out]# 18               Beef
#[Out]# 19            Carrots
#[Out]# 20               Eggs
#[Out]# 21              Pasta
#[Out]# 22             Apples
#[Out]# 23            Lasanga
#[Out]# 24            Carrots
#[Out]# 25                Tea
#[Out]# 26               Rice
#[Out]# 27               Coca
#[Out]# 28               Coca
#[Out]# 29           Potatoes
#[Out]# ..                ...
#[Out]# 479           Lasanga
#[Out]# 480             Pizza
#[Out]# 481         Mushrooms
#[Out]# 482           Lasanga
#[Out]# 483          Tomatoes
#[Out]# 484       Cashew Nuts
#[Out]# 485              Milk
#[Out]# 486           Carrots
#[Out]# 487              Coca
#[Out]# 488             Bread
#[Out]# 489           Bananas
#[Out]# 490              Milk
#[Out]# 491               Tea
#[Out]# 492             Bread
#[Out]# 493             Fanta
#[Out]# 494              Milk
#[Out]# 495            Coffee
#[Out]# 496   Spiced Biscuits
#[Out]# 497   Spiced Biscuits
#[Out]# 498  Hot Dog Sausages
#[Out]# 499       Cashew Nuts
#[Out]# 500  Hot Dog Sausages
#[Out]# 501              Milk
#[Out]# 502         Cucumbers
#[Out]# 503          Potatoes
#[Out]# 504             Bread
#[Out]# 505         Mushrooms
#[Out]# 506              Coca
#[Out]# 507           Bananas
#[Out]# 508            Cheese
#[Out]# 
#[Out]# [509 rows x 1 columns]
query5 = '''
    select pr.pName, s.sID
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName  sID
#[Out]# 0               Water    3
#[Out]# 1              Apples   23
#[Out]# 2                Rice    3
#[Out]# 3             Bananas   17
#[Out]# 4              Donuts   32
#[Out]# 5               Pasta   16
#[Out]# 6                Milk   46
#[Out]# 7               Pizza   36
#[Out]# 8               Fanta   12
#[Out]# 9             Bananas   39
#[Out]# 10             Onions   13
#[Out]# 11               Eggs   51
#[Out]# 12                Tea   47
#[Out]# 13             Apples   44
#[Out]# 14              Pasta   30
#[Out]# 15            Bananas   29
#[Out]# 16   Hot Dog Sausages   17
#[Out]# 17              Pizza   10
#[Out]# 18               Beef   53
#[Out]# 19            Carrots   21
#[Out]# 20               Eggs    7
#[Out]# 21              Pasta   44
#[Out]# 22             Apples    4
#[Out]# 23            Lasanga   36
#[Out]# 24            Carrots   55
#[Out]# 25                Tea   51
#[Out]# 26               Rice    6
#[Out]# 27               Coca   17
#[Out]# 28               Coca    3
#[Out]# 29           Potatoes   12
#[Out]# ..                ...  ...
#[Out]# 479           Lasanga   34
#[Out]# 480             Pizza   35
#[Out]# 481         Mushrooms   36
#[Out]# 482           Lasanga   37
#[Out]# 483          Tomatoes   38
#[Out]# 484       Cashew Nuts   39
#[Out]# 485              Milk   40
#[Out]# 486           Carrots   41
#[Out]# 487              Coca   42
#[Out]# 488             Bread   43
#[Out]# 489           Bananas   44
#[Out]# 490              Milk   45
#[Out]# 491               Tea   46
#[Out]# 492             Bread   47
#[Out]# 493             Fanta   48
#[Out]# 494              Milk   49
#[Out]# 495            Coffee   50
#[Out]# 496   Spiced Biscuits   51
#[Out]# 497   Spiced Biscuits   52
#[Out]# 498  Hot Dog Sausages   53
#[Out]# 499       Cashew Nuts   54
#[Out]# 500  Hot Dog Sausages   55
#[Out]# 501              Milk   56
#[Out]# 502         Cucumbers   57
#[Out]# 503          Potatoes   58
#[Out]# 504             Bread   59
#[Out]# 505         Mushrooms   60
#[Out]# 506              Coca   61
#[Out]# 507           Bananas   62
#[Out]# 508            Cheese   63
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    select pr.pName, s.sID
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pr.price = (select max(pr1.price)
                                                                from purchase pr1)
    
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pr.pName, s.sID
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName  sID
#[Out]# 0  Beef   27
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select min(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#        pName        sName
#[Out]# 0      Water    Hoogvliet
#[Out]# 1  Mushrooms  Albert Hein
#[Out]# 2  Mushrooms         Dirk
#[Out]# 3  Mushrooms  Albert Hein
query5 = '''
    select pr.pName, s.sName
    from product pr, purchase pu, store s
    where pr.pID = pu.pID and pu.sID = s.sID and pu.price = (select max(pu1.price)
                                                                from purchase pu1)
    
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query4 = '''
    select distinct s1.sName
    from store s1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sName
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID
    having avg(select i.quantity
                from inventory i
                where i.sID = s1.sID JOIN i.sID = s2.sID) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    having avg(select i.quantity
                from inventory i
                where i.sID = s1.sID) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID

'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s2.sName
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName and s2.sName
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sName
#[Out]# 0  Jumbo
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select distinct s1.sID
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    select distinct s1.sID, s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID        sName
#[Out]# 0     0         Coop
#[Out]# 1     1    Hoogvliet
#[Out]# 2     2        Jumbo
#[Out]# 3     3       Sligro
#[Out]# 4     4    Hoogvliet
#[Out]# 5     5       Sligro
#[Out]# 6     6         Coop
#[Out]# 7     7       Sligro
#[Out]# 8     8  Albert Hein
#[Out]# 9     9  Albert Hein
#[Out]# 10   10        Jumbo
#[Out]# 11   11  Albert Hein
#[Out]# 12   12         Lidl
#[Out]# 13   13         Coop
#[Out]# 14   14         Coop
#[Out]# 15   15         Lidl
#[Out]# 16   16         Lidl
#[Out]# 17   17    Hoogvliet
#[Out]# 18   18       Sligro
#[Out]# 19   19         Coop
#[Out]# 20   20        Jumbo
#[Out]# 21   21         Coop
#[Out]# 22   22         Lidl
#[Out]# 23   23         Dirk
#[Out]# 24   24  Albert Hein
#[Out]# 25   25  Albert Hein
#[Out]# 26   26    Hoogvliet
#[Out]# 27   27       Sligro
#[Out]# 28   28    Hoogvliet
#[Out]# 29   29       Sligro
#[Out]# ..  ...          ...
#[Out]# 34   34         Coop
#[Out]# 35   35         Lidl
#[Out]# 36   36         Lidl
#[Out]# 37   37        Jumbo
#[Out]# 38   38    Hoogvliet
#[Out]# 39   39       Sligro
#[Out]# 40   40    Hoogvliet
#[Out]# 41   41  Albert Hein
#[Out]# 42   42       Sligro
#[Out]# 43   43         Coop
#[Out]# 44   44  Albert Hein
#[Out]# 45   45         Coop
#[Out]# 46   46         Lidl
#[Out]# 47   47         Coop
#[Out]# 48   48    Hoogvliet
#[Out]# 49   49    Hoogvliet
#[Out]# 50   50       Sligro
#[Out]# 51   51         Coop
#[Out]# 52   52         Lidl
#[Out]# 53   53         Coop
#[Out]# 54   54         Dirk
#[Out]# 55   55         Coop
#[Out]# 56   56        Jumbo
#[Out]# 57   57         Dirk
#[Out]# 58   58         Dirk
#[Out]# 59   59        Jumbo
#[Out]# 60   60         Lidl
#[Out]# 61   61         Lidl
#[Out]# 62   62        Jumbo
#[Out]# 63   63        Jumbo
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by sID
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4 = '''
    select distinct s1.sID
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    select distinct s1.sID
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    select distinct s1.sID
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    having avg(select i.quantity
            ) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sID
    from store s1, store s2
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select distinct s1.sID
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sID
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#     sID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# ..  ...
#[Out]# 34   34
#[Out]# 35   35
#[Out]# 36   36
#[Out]# 37   37
#[Out]# 38   38
#[Out]# 39   39
#[Out]# 40   40
#[Out]# 41   41
#[Out]# 42   42
#[Out]# 43   43
#[Out]# 44   44
#[Out]# 45   45
#[Out]# 46   46
#[Out]# 47   47
#[Out]# 48   48
#[Out]# 49   49
#[Out]# 50   50
#[Out]# 51   51
#[Out]# 52   52
#[Out]# 53   53
#[Out]# 54   54
#[Out]# 55   55
#[Out]# 56   56
#[Out]# 57   57
#[Out]# 58   58
#[Out]# 59   59
#[Out]# 60   60
#[Out]# 61   61
#[Out]# 62   62
#[Out]# 63   63
#[Out]# 
#[Out]# [64 rows x 1 columns]
query4 = '''
    select distinct s1.sID
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(i.quantity) > 4
    
'''

pd.read_sql_query(query4, conn)
#[Out]#    sID
#[Out]# 0   44
#[Out]# 1   55
#[Out]# 2   58
#[Out]# 3   49
#[Out]# 4   63
#[Out]# 5   61
#[Out]# 6   50
query4 = '''
    select distinct s1.sName
    from store s1, store s2, inventory i
    where s1.sName = s2.sName and s1.sID <> s2.sID

    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk

# IPython log file

query1 = '''
    select pID
    from purchase
    group by pID
    
'''

pd.read_sql_query(query1, conn)
get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)

# IPython log file

query1 = '''
    select pID
    from purchase
    group by pID
    
'''

pd.read_sql_query(query1, conn)
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x18e9c129340>
query1 = '''
    select pID
    from product
    group by cID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    group by cID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     27
#[Out]# 2     22
#[Out]# 3      9
#[Out]# 4     26
#[Out]# 5     19
#[Out]# 6     20
#[Out]# 7      8
#[Out]# 8     24
#[Out]# 9     14
#[Out]# 10     5
#[Out]# 11    11
#[Out]# 12    27
#[Out]# 13     7
#[Out]# 14     8
#[Out]# 15     3
#[Out]# 16    27
#[Out]# 17    27
#[Out]# 18    10
#[Out]# 19    13
#[Out]# 20    26
#[Out]# 21    23
#[Out]# 22    22
#[Out]# 23    11
#[Out]# 24     4
#[Out]# 25    12
#[Out]# 26    24
#[Out]# 27     4
#[Out]# 28    26
#[Out]# 29    28
#[Out]# ..   ...
#[Out]# 102   25
#[Out]# 103   19
#[Out]# 104   23
#[Out]# 105   19
#[Out]# 106    3
#[Out]# 107   12
#[Out]# 108   28
#[Out]# 109   16
#[Out]# 110   10
#[Out]# 111    9
#[Out]# 112   17
#[Out]# 113    1
#[Out]# 114   14
#[Out]# 115   22
#[Out]# 116   21
#[Out]# 117   16
#[Out]# 118   21
#[Out]# 119    5
#[Out]# 120    4
#[Out]# 121   24
#[Out]# 122   10
#[Out]# 123   10
#[Out]# 124   21
#[Out]# 125   13
#[Out]# 126    0
#[Out]# 127   29
#[Out]# 128   29
#[Out]# 129   30
#[Out]# 130   19
#[Out]# 131   18
#[Out]# 
#[Out]# [132 rows x 1 columns]
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 50;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     0
#[Out]# 1     1
#[Out]# 2     2
#[Out]# 3     3
#[Out]# 4     4
#[Out]# 5     5
#[Out]# 6     6
#[Out]# 7     7
#[Out]# 8     8
#[Out]# 9     9
#[Out]# 10   10
#[Out]# 11   11
#[Out]# 12   12
#[Out]# 13   13
#[Out]# 14   14
#[Out]# 15   15
#[Out]# 16   16
#[Out]# 17   17
#[Out]# 18   18
#[Out]# 19   19
#[Out]# 20   20
#[Out]# 21   21
#[Out]# 22   22
#[Out]# 23   23
#[Out]# 24   24
#[Out]# 25   25
#[Out]# 26   26
#[Out]# 27   27
#[Out]# 28   28
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 10;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0    2
#[Out]# 1   18
#[Out]# 2   29
#[Out]# 3   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count cID <= 2;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    group by pID
    having count cID) <= 2;
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select pID
    from purchase
    group by pID
    having count (cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (cID) <= 5;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (cID) <= 10;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0    2
#[Out]# 1   18
#[Out]# 2   29
#[Out]# 3   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (distinct cID) <= 10;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0    2
#[Out]# 1   18
#[Out]# 2   29
#[Out]# 3   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (distinct cID) <= 15;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     1
#[Out]# 1     2
#[Out]# 2     5
#[Out]# 3     6
#[Out]# 4     7
#[Out]# 5     8
#[Out]# 6    10
#[Out]# 7    11
#[Out]# 8    15
#[Out]# 9    17
#[Out]# 10   18
#[Out]# 11   23
#[Out]# 12   25
#[Out]# 13   27
#[Out]# 14   29
#[Out]# 15   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (cID) <= 15;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     1
#[Out]# 1     2
#[Out]# 2     6
#[Out]# 3     7
#[Out]# 4     8
#[Out]# 5    15
#[Out]# 6    18
#[Out]# 7    23
#[Out]# 8    25
#[Out]# 9    27
#[Out]# 10   29
#[Out]# 11   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count (distinct cID) <= 15;
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0     1
#[Out]# 1     2
#[Out]# 2     5
#[Out]# 3     6
#[Out]# 4     7
#[Out]# 5     8
#[Out]# 6    10
#[Out]# 7    11
#[Out]# 8    15
#[Out]# 9    17
#[Out]# 10   18
#[Out]# 11   23
#[Out]# 12   25
#[Out]# 13   27
#[Out]# 14   29
#[Out]# 15   30
query1 = '''
    select pID
    from purchase
    group by pID
    having count(distinct cID) <= 2;
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select customer.cID and customer.cName
    from customer
'''

pd.read_sql_query(query2, conn)
#[Out]#      customer.cID and customer.cName
#[Out]# 0                                  0
#[Out]# 1                                  0
#[Out]# 2                                  0
#[Out]# 3                                  0
#[Out]# 4                                  0
#[Out]# 5                                  0
#[Out]# 6                                  0
#[Out]# 7                                  0
#[Out]# 8                                  0
#[Out]# 9                                  0
#[Out]# 10                                 0
#[Out]# 11                                 0
#[Out]# 12                                 0
#[Out]# 13                                 0
#[Out]# 14                                 0
#[Out]# 15                                 0
#[Out]# 16                                 0
#[Out]# 17                                 0
#[Out]# 18                                 0
#[Out]# 19                                 0
#[Out]# 20                                 0
#[Out]# 21                                 0
#[Out]# 22                                 0
#[Out]# 23                                 0
#[Out]# 24                                 0
#[Out]# 25                                 0
#[Out]# 26                                 0
#[Out]# 27                                 0
#[Out]# 28                                 0
#[Out]# 29                                 0
#[Out]# ..                               ...
#[Out]# 160                                0
#[Out]# 161                                0
#[Out]# 162                                0
#[Out]# 163                                0
#[Out]# 164                                0
#[Out]# 165                                0
#[Out]# 166                                0
#[Out]# 167                                0
#[Out]# 168                                0
#[Out]# 169                                0
#[Out]# 170                                0
#[Out]# 171                                0
#[Out]# 172                                0
#[Out]# 173                                0
#[Out]# 174                                0
#[Out]# 175                                0
#[Out]# 176                                0
#[Out]# 177                                0
#[Out]# 178                                0
#[Out]# 179                                0
#[Out]# 180                                0
#[Out]# 181                                0
#[Out]# 182                                0
#[Out]# 183                                0
#[Out]# 184                                0
#[Out]# 185                                0
#[Out]# 186                                0
#[Out]# 187                                0
#[Out]# 188                                0
#[Out]# 189                                0
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    select cName
    from customer
'''

pd.read_sql_query(query2, conn)
#[Out]#         cName
#[Out]# 0        Noah
#[Out]# 1         Sem
#[Out]# 2       Lucas
#[Out]# 3        Finn
#[Out]# 4        Daan
#[Out]# 5        Levi
#[Out]# 6       Milan
#[Out]# 7        Bram
#[Out]# 8        Liam
#[Out]# 9      Thomas
#[Out]# 10        Sam
#[Out]# 11      Thijs
#[Out]# 12       Adam
#[Out]# 13      James
#[Out]# 14        Max
#[Out]# 15       Noud
#[Out]# 16     Julian
#[Out]# 17        Dex
#[Out]# 18       Hugo
#[Out]# 19       Lars
#[Out]# 20       Gijs
#[Out]# 21   Benjamin
#[Out]# 22       Mats
#[Out]# 23        Jan
#[Out]# 24       Luca
#[Out]# 25      Mason
#[Out]# 26     Jayden
#[Out]# 27        Tim
#[Out]# 28       Siem
#[Out]# 29      Ruben
#[Out]# ..        ...
#[Out]# 160      Lara
#[Out]# 161     Floor
#[Out]# 162     Elena
#[Out]# 163      Cato
#[Out]# 164       Evy
#[Out]# 165     Hanna
#[Out]# 166   Rosalie
#[Out]# 167    Veerle
#[Out]# 168      Kiki
#[Out]# 169      Lily
#[Out]# 170      Iris
#[Out]# 171     Tessa
#[Out]# 172      Lana
#[Out]# 173     Livia
#[Out]# 174      Romy
#[Out]# 175       Sam
#[Out]# 176     Amira
#[Out]# 177     Eline
#[Out]# 178      Elif
#[Out]# 179      Juul
#[Out]# 180     Merel
#[Out]# 181      Liva
#[Out]# 182   Johanna
#[Out]# 183     Nikki
#[Out]# 184     Wilko
#[Out]# 185      Nick
#[Out]# 186    Angela
#[Out]# 187      Pino
#[Out]# 188      Koen
#[Out]# 189    Kostas
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    select cName
    from customer c
'''

pd.read_sql_query(query2, conn)
#[Out]#         cName
#[Out]# 0        Noah
#[Out]# 1         Sem
#[Out]# 2       Lucas
#[Out]# 3        Finn
#[Out]# 4        Daan
#[Out]# 5        Levi
#[Out]# 6       Milan
#[Out]# 7        Bram
#[Out]# 8        Liam
#[Out]# 9      Thomas
#[Out]# 10        Sam
#[Out]# 11      Thijs
#[Out]# 12       Adam
#[Out]# 13      James
#[Out]# 14        Max
#[Out]# 15       Noud
#[Out]# 16     Julian
#[Out]# 17        Dex
#[Out]# 18       Hugo
#[Out]# 19       Lars
#[Out]# 20       Gijs
#[Out]# 21   Benjamin
#[Out]# 22       Mats
#[Out]# 23        Jan
#[Out]# 24       Luca
#[Out]# 25      Mason
#[Out]# 26     Jayden
#[Out]# 27        Tim
#[Out]# 28       Siem
#[Out]# 29      Ruben
#[Out]# ..        ...
#[Out]# 160      Lara
#[Out]# 161     Floor
#[Out]# 162     Elena
#[Out]# 163      Cato
#[Out]# 164       Evy
#[Out]# 165     Hanna
#[Out]# 166   Rosalie
#[Out]# 167    Veerle
#[Out]# 168      Kiki
#[Out]# 169      Lily
#[Out]# 170      Iris
#[Out]# 171     Tessa
#[Out]# 172      Lana
#[Out]# 173     Livia
#[Out]# 174      Romy
#[Out]# 175       Sam
#[Out]# 176     Amira
#[Out]# 177     Eline
#[Out]# 178      Elif
#[Out]# 179      Juul
#[Out]# 180     Merel
#[Out]# 181      Liva
#[Out]# 182   Johanna
#[Out]# 183     Nikki
#[Out]# 184     Wilko
#[Out]# 185      Nick
#[Out]# 186    Angela
#[Out]# 187      Pino
#[Out]# 188      Koen
#[Out]# 189    Kostas
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    select c.cName
    from customer c
'''

pd.read_sql_query(query2, conn)
#[Out]#         cName
#[Out]# 0        Noah
#[Out]# 1         Sem
#[Out]# 2       Lucas
#[Out]# 3        Finn
#[Out]# 4        Daan
#[Out]# 5        Levi
#[Out]# 6       Milan
#[Out]# 7        Bram
#[Out]# 8        Liam
#[Out]# 9      Thomas
#[Out]# 10        Sam
#[Out]# 11      Thijs
#[Out]# 12       Adam
#[Out]# 13      James
#[Out]# 14        Max
#[Out]# 15       Noud
#[Out]# 16     Julian
#[Out]# 17        Dex
#[Out]# 18       Hugo
#[Out]# 19       Lars
#[Out]# 20       Gijs
#[Out]# 21   Benjamin
#[Out]# 22       Mats
#[Out]# 23        Jan
#[Out]# 24       Luca
#[Out]# 25      Mason
#[Out]# 26     Jayden
#[Out]# 27        Tim
#[Out]# 28       Siem
#[Out]# 29      Ruben
#[Out]# ..        ...
#[Out]# 160      Lara
#[Out]# 161     Floor
#[Out]# 162     Elena
#[Out]# 163      Cato
#[Out]# 164       Evy
#[Out]# 165     Hanna
#[Out]# 166   Rosalie
#[Out]# 167    Veerle
#[Out]# 168      Kiki
#[Out]# 169      Lily
#[Out]# 170      Iris
#[Out]# 171     Tessa
#[Out]# 172      Lana
#[Out]# 173     Livia
#[Out]# 174      Romy
#[Out]# 175       Sam
#[Out]# 176     Amira
#[Out]# 177     Eline
#[Out]# 178      Elif
#[Out]# 179      Juul
#[Out]# 180     Merel
#[Out]# 181      Liva
#[Out]# 182   Johanna
#[Out]# 183     Nikki
#[Out]# 184     Wilko
#[Out]# 185      Nick
#[Out]# 186    Angela
#[Out]# 187      Pino
#[Out]# 188      Koen
#[Out]# 189    Kostas
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    select c.cID and c.cName
    from customer c
'''

pd.read_sql_query(query2, conn)
#[Out]#      c.cID and c.cName
#[Out]# 0                    0
#[Out]# 1                    0
#[Out]# 2                    0
#[Out]# 3                    0
#[Out]# 4                    0
#[Out]# 5                    0
#[Out]# 6                    0
#[Out]# 7                    0
#[Out]# 8                    0
#[Out]# 9                    0
#[Out]# 10                   0
#[Out]# 11                   0
#[Out]# 12                   0
#[Out]# 13                   0
#[Out]# 14                   0
#[Out]# 15                   0
#[Out]# 16                   0
#[Out]# 17                   0
#[Out]# 18                   0
#[Out]# 19                   0
#[Out]# 20                   0
#[Out]# 21                   0
#[Out]# 22                   0
#[Out]# 23                   0
#[Out]# 24                   0
#[Out]# 25                   0
#[Out]# 26                   0
#[Out]# 27                   0
#[Out]# 28                   0
#[Out]# 29                   0
#[Out]# ..                 ...
#[Out]# 160                  0
#[Out]# 161                  0
#[Out]# 162                  0
#[Out]# 163                  0
#[Out]# 164                  0
#[Out]# 165                  0
#[Out]# 166                  0
#[Out]# 167                  0
#[Out]# 168                  0
#[Out]# 169                  0
#[Out]# 170                  0
#[Out]# 171                  0
#[Out]# 172                  0
#[Out]# 173                  0
#[Out]# 174                  0
#[Out]# 175                  0
#[Out]# 176                  0
#[Out]# 177                  0
#[Out]# 178                  0
#[Out]# 179                  0
#[Out]# 180                  0
#[Out]# 181                  0
#[Out]# 182                  0
#[Out]# 183                  0
#[Out]# 184                  0
#[Out]# 185                  0
#[Out]# 186                  0
#[Out]# 187                  0
#[Out]# 188                  0
#[Out]# 189                  0
#[Out]# 
#[Out]# [190 rows x 1 columns]
query2 = '''
    select c.cID, c.cName
    from customer c
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      6     Milan
#[Out]# 7      7      Bram
#[Out]# 8      8      Liam
#[Out]# 9      9    Thomas
#[Out]# 10    10       Sam
#[Out]# 11    11     Thijs
#[Out]# 12    12      Adam
#[Out]# 13    13     James
#[Out]# 14    14       Max
#[Out]# 15    15      Noud
#[Out]# 16    16    Julian
#[Out]# 17    17       Dex
#[Out]# 18    18      Hugo
#[Out]# 19    19      Lars
#[Out]# 20    20      Gijs
#[Out]# 21    21  Benjamin
#[Out]# 22    22      Mats
#[Out]# 23    23       Jan
#[Out]# 24    24      Luca
#[Out]# 25    25     Mason
#[Out]# 26    26    Jayden
#[Out]# 27    27       Tim
#[Out]# 28    28      Siem
#[Out]# 29    29     Ruben
#[Out]# ..   ...       ...
#[Out]# 160  160      Lara
#[Out]# 161  161     Floor
#[Out]# 162  162     Elena
#[Out]# 163  163      Cato
#[Out]# 164  164       Evy
#[Out]# 165  165     Hanna
#[Out]# 166  166   Rosalie
#[Out]# 167  167    Veerle
#[Out]# 168  168      Kiki
#[Out]# 169  169      Lily
#[Out]# 170  170      Iris
#[Out]# 171  171     Tessa
#[Out]# 172  172      Lana
#[Out]# 173  173     Livia
#[Out]# 174  174      Romy
#[Out]# 175  175       Sam
#[Out]# 176  176     Amira
#[Out]# 177  177     Eline
#[Out]# 178  178      Elif
#[Out]# 179  179      Juul
#[Out]# 180  180     Merel
#[Out]# 181  181      Liva
#[Out]# 182  182   Johanna
#[Out]# 183  183     Nikki
#[Out]# 184  184     Wilko
#[Out]# 185  185      Nick
#[Out]# 186  186    Angela
#[Out]# 187  188      Pino
#[Out]# 188  189      Koen
#[Out]# 189  190    Kostas
#[Out]# 
#[Out]# [190 rows x 2 columns]
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    59    Joep
#[Out]# 3    82   Dylan
#[Out]# 4    86    Stef
#[Out]# 5    92   Jelte
#[Out]# 6    97  Sophie
#[Out]# 7   108    Noor
#[Out]# 8   110    Saar
#[Out]# 9   111  Lauren
#[Out]# 10  122    Elin
#[Out]# 11  124   Sofie
#[Out]# 12  152    Anne
#[Out]# 13  169    Lily
#[Out]# 14  171   Tessa
#[Out]# 15  175     Sam
#[Out]# 16  176   Amira
#[Out]# 17  181    Liva
#[Out]# 18  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            pu2.pID = pr2.pID and pr1.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu2.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID   cName
#[Out]# 0    16  Julian
#[Out]# 1    42    Tijn
#[Out]# 2    59    Joep
#[Out]# 3    82   Dylan
#[Out]# 4    86    Stef
#[Out]# 5    92   Jelte
#[Out]# 6    97  Sophie
#[Out]# 7   108    Noor
#[Out]# 8   110    Saar
#[Out]# 9   111  Lauren
#[Out]# 10  122    Elin
#[Out]# 11  124   Sofie
#[Out]# 12  152    Anne
#[Out]# 13  169    Lily
#[Out]# 14  171   Tessa
#[Out]# 15  175     Sam
#[Out]# 16  176   Amira
#[Out]# 17  181    Liva
#[Out]# 18  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select pu1.cID, pu2.cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' and
                            pu2.pID = pr2.pID and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1, purchase pu2, product pr2
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID
#[Out]# 0     2
#[Out]# 1    29
#[Out]# 2    31
#[Out]# 3    33
#[Out]# 4    52
#[Out]# 5    59
#[Out]# 6    85
#[Out]# 7   124
#[Out]# 8   129
#[Out]# 9   162
#[Out]# 10  165
#[Out]# 11  169
#[Out]# 12  172
#[Out]# 13  176
#[Out]# 14  177
#[Out]# 15  190
query2 = '''
select pu1.date
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date
#[Out]# 0   2018-08-17
#[Out]# 1   2018-08-24
#[Out]# 2   2018-08-27
#[Out]# 3   2018-08-18
#[Out]# 4   2018-08-25
#[Out]# 5   2018-08-25
#[Out]# 6   2018-08-18
#[Out]# 7   2018-08-26
#[Out]# 8   2018-08-24
#[Out]# 9   2018-08-21
#[Out]# 10  2018-08-23
#[Out]# 11  2018-08-20
#[Out]# 12  2018-08-27
#[Out]# 13  2018-08-22
#[Out]# 14  2018-08-22
#[Out]# 15  2018-08-26
query2 = '''
select pu1.date, pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date  cID
#[Out]# 0   2018-08-17    2
#[Out]# 1   2018-08-24   29
#[Out]# 2   2018-08-27   31
#[Out]# 3   2018-08-18   33
#[Out]# 4   2018-08-25   52
#[Out]# 5   2018-08-25   59
#[Out]# 6   2018-08-18   85
#[Out]# 7   2018-08-26  124
#[Out]# 8   2018-08-24  129
#[Out]# 9   2018-08-21  162
#[Out]# 10  2018-08-23  165
#[Out]# 11  2018-08-20  169
#[Out]# 12  2018-08-27  172
#[Out]# 13  2018-08-22  176
#[Out]# 14  2018-08-22  177
#[Out]# 15  2018-08-26  190
query2 = '''
select pu1.date, pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Coffee'
'''

pd.read_sql_query(query2, conn)
#[Out]#           date  cID
#[Out]# 0   2018-08-24   16
#[Out]# 1   2018-08-18   42
#[Out]# 2   2018-08-15   59
#[Out]# 3   2018-08-19   82
#[Out]# 4   2018-08-18   86
#[Out]# 5   2018-08-25   92
#[Out]# 6   2018-08-25   97
#[Out]# 7   2018-08-15  108
#[Out]# 8   2018-08-18  110
#[Out]# 9   2018-08-22  111
#[Out]# 10  2018-08-25  122
#[Out]# 11  2018-08-26  124
#[Out]# 12  2018-08-20  152
#[Out]# 13  2018-08-16  169
#[Out]# 14  2018-08-20  171
#[Out]# 15  2018-08-20  175
#[Out]# 16  2018-08-26  176
#[Out]# 17  2018-08-27  181
#[Out]# 18  2018-08-26  190
#[Out]# 19  2018-08-20  190
#[Out]# 20  2018-08-22  190
#[Out]# 21  2018-08-22  190
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.cID = (select pu2.cID
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.cID in (select pu2.cID
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date in (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0    29    Ruben
#[Out]# 1    31  Olivier
#[Out]# 2    33     Sven
#[Out]# 3    52   Willem
#[Out]# 4    59     Joep
#[Out]# 5    85   Pieter
#[Out]# 6   124    Sofie
#[Out]# 7   129    Esmee
#[Out]# 8   169     Lily
#[Out]# 9   172     Lana
#[Out]# 10  176    Amira
#[Out]# 11  177    Eline
#[Out]# 12  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.cID = (select pu2.cID
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.cID in (select pu2.cID
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date <> (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Onions'))
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0    29    Ruben
#[Out]# 1    31  Olivier
#[Out]# 2    33     Sven
#[Out]# 3    52   Willem
#[Out]# 4    59     Joep
#[Out]# 5    85   Pieter
#[Out]# 6   124    Sofie
#[Out]# 7   129    Esmee
#[Out]# 8   162    Elena
#[Out]# 9   165    Hanna
#[Out]# 10  169     Lily
#[Out]# 11  172     Lana
#[Out]# 12  176    Amira
#[Out]# 13  177    Eline
#[Out]# 14  190   Kostas
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Onions'))
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID  cName
#[Out]# 0    2  Lucas
query2 = '''
    (select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Onions'))
'''

pd.read_sql_query(query2, conn)
query2 = '''
    select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Onions')
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0    2
query2 = '''
    select distinct pu1.cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions' 
                        and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee')
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    select c.cID, c.cName
    from customer c
    where c.cID in (select cID
                    from purchase pu1, product pr1
                    where pu1.pID = pr1.pID and pr1.pName = 'Onions'
                            and pu1.date = (select pu2.date
                                            from purchase pu2, product pr2
                                            where pu2.pID = pr2.pID
                                                    and pr2.pName = 'Coffee'))
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query3 = '''
    select p1.cID
    from purchase p1
    where p1.cID not in (select p2.cID
                            from purchase p2
                            where p2.sID not in (select s.SID
                                                from store s
                                                group by sID))
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 = '''
    select p1.cID
    from purchase p1
    where p1.cID not in (select distinct p2.cID
                            from purchase p2
                            where p2.sID not in (select s.SID
                                                from store s
                                                group by sID))
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]

