# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
        intersect
        select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID
    from customer
    except
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity >= (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12
query6 = '''
    select max(i1.unit_price - i2.unit_price) as 'largest difference'
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest difference
#[Out]# 0                 2.0
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
# db_location = 'shoppingDB.sql'

# f = open(db_location,'r')
# sql = f.read()
# cur.executescript(sql)
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
        intersect
        select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select cID
    from customer
    except
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select sName
    from store as s, purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query6 = '''
    select max(i1.unit_price - i2.unit_price) as 'largest difference'
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest difference
#[Out]# 0                 2.0
practicequery1a = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(practicequery1a, conn)
query4 = '''
    select sName
    from store as s1, and store as s2 purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s1.sName
    from store as s1, and store as s2 purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName <> s2.sName
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName <> s2.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#         sName
#[Out]# 0      Sligro
#[Out]# 1      Sligro
#[Out]# 2      Sligro
#[Out]# 3      Sligro
#[Out]# 4      Sligro
#[Out]# 5      Sligro
#[Out]# 6      Sligro
#[Out]# 7      Sligro
#[Out]# 8      Sligro
#[Out]# 9      Sligro
#[Out]# 10     Sligro
#[Out]# 11     Sligro
#[Out]# 12     Sligro
#[Out]# 13     Sligro
#[Out]# 14     Sligro
#[Out]# 15     Sligro
#[Out]# 16     Sligro
#[Out]# 17     Sligro
#[Out]# 18     Sligro
#[Out]# 19     Sligro
#[Out]# 20     Sligro
#[Out]# 21     Sligro
#[Out]# 22     Sligro
#[Out]# 23     Sligro
#[Out]# 24     Sligro
#[Out]# 25     Sligro
#[Out]# 26     Sligro
#[Out]# 27     Sligro
#[Out]# 28     Sligro
#[Out]# 29     Sligro
#[Out]# ...       ...
#[Out]# 27475   Jumbo
#[Out]# 27476   Jumbo
#[Out]# 27477   Jumbo
#[Out]# 27478   Jumbo
#[Out]# 27479   Jumbo
#[Out]# 27480   Jumbo
#[Out]# 27481   Jumbo
#[Out]# 27482   Jumbo
#[Out]# 27483   Jumbo
#[Out]# 27484   Jumbo
#[Out]# 27485   Jumbo
#[Out]# 27486   Jumbo
#[Out]# 27487   Jumbo
#[Out]# 27488   Jumbo
#[Out]# 27489   Jumbo
#[Out]# 27490   Jumbo
#[Out]# 27491   Jumbo
#[Out]# 27492   Jumbo
#[Out]# 27493   Jumbo
#[Out]# 27494   Jumbo
#[Out]# 27495   Jumbo
#[Out]# 27496   Jumbo
#[Out]# 27497   Jumbo
#[Out]# 27498   Jumbo
#[Out]# 27499   Jumbo
#[Out]# 27500   Jumbo
#[Out]# 27501   Jumbo
#[Out]# 27502   Jumbo
#[Out]# 27503   Jumbo
#[Out]# 27504   Jumbo
#[Out]# 
#[Out]# [27505 rows x 1 columns]
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#             sName
#[Out]# 0          Sligro
#[Out]# 1          Sligro
#[Out]# 2          Sligro
#[Out]# 3          Sligro
#[Out]# 4          Sligro
#[Out]# 5          Sligro
#[Out]# 6          Sligro
#[Out]# 7          Sligro
#[Out]# 8            Dirk
#[Out]# 9            Dirk
#[Out]# 10           Dirk
#[Out]# 11           Dirk
#[Out]# 12           Dirk
#[Out]# 13         Sligro
#[Out]# 14         Sligro
#[Out]# 15         Sligro
#[Out]# 16         Sligro
#[Out]# 17         Sligro
#[Out]# 18         Sligro
#[Out]# 19         Sligro
#[Out]# 20         Sligro
#[Out]# 21      Hoogvliet
#[Out]# 22      Hoogvliet
#[Out]# 23      Hoogvliet
#[Out]# 24      Hoogvliet
#[Out]# 25      Hoogvliet
#[Out]# 26      Hoogvliet
#[Out]# 27      Hoogvliet
#[Out]# 28      Hoogvliet
#[Out]# 29    Albert Hein
#[Out]# ...           ...
#[Out]# 4532         Lidl
#[Out]# 4533         Lidl
#[Out]# 4534         Lidl
#[Out]# 4535         Lidl
#[Out]# 4536         Lidl
#[Out]# 4537         Lidl
#[Out]# 4538         Lidl
#[Out]# 4539         Lidl
#[Out]# 4540         Lidl
#[Out]# 4541         Lidl
#[Out]# 4542         Lidl
#[Out]# 4543         Lidl
#[Out]# 4544         Lidl
#[Out]# 4545         Lidl
#[Out]# 4546         Lidl
#[Out]# 4547         Lidl
#[Out]# 4548        Jumbo
#[Out]# 4549        Jumbo
#[Out]# 4550        Jumbo
#[Out]# 4551        Jumbo
#[Out]# 4552        Jumbo
#[Out]# 4553        Jumbo
#[Out]# 4554        Jumbo
#[Out]# 4555        Jumbo
#[Out]# 4556        Jumbo
#[Out]# 4557        Jumbo
#[Out]# 4558        Jumbo
#[Out]# 4559        Jumbo
#[Out]# 4560        Jumbo
#[Out]# 4561        Jumbo
#[Out]# 
#[Out]# [4562 rows x 1 columns]
query4 = '''
    select s1.sName, s2.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#             sName        sName
#[Out]# 0          Sligro       Sligro
#[Out]# 1          Sligro       Sligro
#[Out]# 2          Sligro       Sligro
#[Out]# 3          Sligro       Sligro
#[Out]# 4          Sligro       Sligro
#[Out]# 5          Sligro       Sligro
#[Out]# 6          Sligro       Sligro
#[Out]# 7          Sligro       Sligro
#[Out]# 8            Dirk         Dirk
#[Out]# 9            Dirk         Dirk
#[Out]# 10           Dirk         Dirk
#[Out]# 11           Dirk         Dirk
#[Out]# 12           Dirk         Dirk
#[Out]# 13         Sligro       Sligro
#[Out]# 14         Sligro       Sligro
#[Out]# 15         Sligro       Sligro
#[Out]# 16         Sligro       Sligro
#[Out]# 17         Sligro       Sligro
#[Out]# 18         Sligro       Sligro
#[Out]# 19         Sligro       Sligro
#[Out]# 20         Sligro       Sligro
#[Out]# 21      Hoogvliet    Hoogvliet
#[Out]# 22      Hoogvliet    Hoogvliet
#[Out]# 23      Hoogvliet    Hoogvliet
#[Out]# 24      Hoogvliet    Hoogvliet
#[Out]# 25      Hoogvliet    Hoogvliet
#[Out]# 26      Hoogvliet    Hoogvliet
#[Out]# 27      Hoogvliet    Hoogvliet
#[Out]# 28      Hoogvliet    Hoogvliet
#[Out]# 29    Albert Hein  Albert Hein
#[Out]# ...           ...          ...
#[Out]# 4532         Lidl         Lidl
#[Out]# 4533         Lidl         Lidl
#[Out]# 4534         Lidl         Lidl
#[Out]# 4535         Lidl         Lidl
#[Out]# 4536         Lidl         Lidl
#[Out]# 4537         Lidl         Lidl
#[Out]# 4538         Lidl         Lidl
#[Out]# 4539         Lidl         Lidl
#[Out]# 4540         Lidl         Lidl
#[Out]# 4541         Lidl         Lidl
#[Out]# 4542         Lidl         Lidl
#[Out]# 4543         Lidl         Lidl
#[Out]# 4544         Lidl         Lidl
#[Out]# 4545         Lidl         Lidl
#[Out]# 4546         Lidl         Lidl
#[Out]# 4547         Lidl         Lidl
#[Out]# 4548        Jumbo        Jumbo
#[Out]# 4549        Jumbo        Jumbo
#[Out]# 4550        Jumbo        Jumbo
#[Out]# 4551        Jumbo        Jumbo
#[Out]# 4552        Jumbo        Jumbo
#[Out]# 4553        Jumbo        Jumbo
#[Out]# 4554        Jumbo        Jumbo
#[Out]# 4555        Jumbo        Jumbo
#[Out]# 4556        Jumbo        Jumbo
#[Out]# 4557        Jumbo        Jumbo
#[Out]# 4558        Jumbo        Jumbo
#[Out]# 4559        Jumbo        Jumbo
#[Out]# 4560        Jumbo        Jumbo
#[Out]# 4561        Jumbo        Jumbo
#[Out]# 
#[Out]# [4562 rows x 2 columns]
query4 = '''
    select s1.sName, s2.sName, s1.sID, s2.sID
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#             sName        sName  sID  sID
#[Out]# 0          Sligro       Sligro    3    5
#[Out]# 1          Sligro       Sligro    3    7
#[Out]# 2          Sligro       Sligro    3   18
#[Out]# 3          Sligro       Sligro    3   27
#[Out]# 4          Sligro       Sligro    3   29
#[Out]# 5          Sligro       Sligro    3   39
#[Out]# 6          Sligro       Sligro    3   42
#[Out]# 7          Sligro       Sligro    3   50
#[Out]# 8            Dirk         Dirk   23   30
#[Out]# 9            Dirk         Dirk   23   33
#[Out]# 10           Dirk         Dirk   23   54
#[Out]# 11           Dirk         Dirk   23   57
#[Out]# 12           Dirk         Dirk   23   58
#[Out]# 13         Sligro       Sligro    3    5
#[Out]# 14         Sligro       Sligro    3    7
#[Out]# 15         Sligro       Sligro    3   18
#[Out]# 16         Sligro       Sligro    3   27
#[Out]# 17         Sligro       Sligro    3   29
#[Out]# 18         Sligro       Sligro    3   39
#[Out]# 19         Sligro       Sligro    3   42
#[Out]# 20         Sligro       Sligro    3   50
#[Out]# 21      Hoogvliet    Hoogvliet   17    1
#[Out]# 22      Hoogvliet    Hoogvliet   17    4
#[Out]# 23      Hoogvliet    Hoogvliet   17   26
#[Out]# 24      Hoogvliet    Hoogvliet   17   28
#[Out]# 25      Hoogvliet    Hoogvliet   17   38
#[Out]# 26      Hoogvliet    Hoogvliet   17   40
#[Out]# 27      Hoogvliet    Hoogvliet   17   48
#[Out]# 28      Hoogvliet    Hoogvliet   17   49
#[Out]# 29    Albert Hein  Albert Hein   32    8
#[Out]# ...           ...          ...  ...  ...
#[Out]# 4532         Lidl         Lidl   60   16
#[Out]# 4533         Lidl         Lidl   60   22
#[Out]# 4534         Lidl         Lidl   60   35
#[Out]# 4535         Lidl         Lidl   60   36
#[Out]# 4536         Lidl         Lidl   60   46
#[Out]# 4537         Lidl         Lidl   60   52
#[Out]# 4538         Lidl         Lidl   60   61
#[Out]# 4539         Lidl         Lidl   61   12
#[Out]# 4540         Lidl         Lidl   61   15
#[Out]# 4541         Lidl         Lidl   61   16
#[Out]# 4542         Lidl         Lidl   61   22
#[Out]# 4543         Lidl         Lidl   61   35
#[Out]# 4544         Lidl         Lidl   61   36
#[Out]# 4545         Lidl         Lidl   61   46
#[Out]# 4546         Lidl         Lidl   61   52
#[Out]# 4547         Lidl         Lidl   61   60
#[Out]# 4548        Jumbo        Jumbo   62    2
#[Out]# 4549        Jumbo        Jumbo   62   10
#[Out]# 4550        Jumbo        Jumbo   62   20
#[Out]# 4551        Jumbo        Jumbo   62   37
#[Out]# 4552        Jumbo        Jumbo   62   56
#[Out]# 4553        Jumbo        Jumbo   62   59
#[Out]# 4554        Jumbo        Jumbo   62   63
#[Out]# 4555        Jumbo        Jumbo   63    2
#[Out]# 4556        Jumbo        Jumbo   63   10
#[Out]# 4557        Jumbo        Jumbo   63   20
#[Out]# 4558        Jumbo        Jumbo   63   37
#[Out]# 4559        Jumbo        Jumbo   63   56
#[Out]# 4560        Jumbo        Jumbo   63   59
#[Out]# 4561        Jumbo        Jumbo   63   62
#[Out]# 
#[Out]# [4562 rows x 4 columns]
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    select s1.sName, avg(quantity)
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    select s1.sName, avg(quantity)
    from store as s1, purchase as p
    where s1.sID = p.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    select s1.sName, avg(quantity)
    from store as s1, purchase as p
    where s1.sID = p.sID
    group by s1.sName
    having avg(quantity) > 5
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName  avg(quantity)
#[Out]# 0       Dirk       5.268293
#[Out]# 1  Hoogvliet       5.280000
query4 = '''
    select s1.sName, avg(quantity)
    from store as s1, purchase as p
    where s1.sID = p.sID
    group by s1.sName
    having avg(quantity) > 3
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    select s1.sName, avg(quantity)
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    select s1.sName
    from store as s1, store as s2, purchase as p
    where s1.sID = p.sID and s1.sName = s2.sName and s1.sID <> s2.sID
    group by s1.sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pName        sName  price
#[Out]# 0     Beef         Coop  13.60
#[Out]# 1     Beef         Dirk  12.80
#[Out]# 2     Beef       Sligro  13.80
#[Out]# 3   Cheese  Albert Hein  12.00
#[Out]# 4     Beef       Sligro  13.40
#[Out]# 5     Beef       Sligro  12.65
#[Out]# 6     Beef       Sligro  13.65
#[Out]# 7     Beef    Hoogvliet  12.20
#[Out]# 8     Beef         Dirk  12.55
#[Out]# 9     Beef  Albert Hein  13.25
#[Out]# 10    Beef    Hoogvliet  12.30
#[Out]# 11    Beef  Albert Hein  13.15
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
    select pName, sName, price, quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price  quantity
#[Out]# 0  Beef  Sligro   13.8         6
practicequery1a = '''
    select *
    from purchase
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
practicequery1a = '''
    select *
    from purchase, product
    where purchase.pID = product.pID
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  pID             pName  \
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45   10             Water   
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65   14            Apples   
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60   16              Rice   
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    9           Bananas   
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95   25            Donuts   
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75   26             Pasta   
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90   11              Milk   
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10   27             Pizza   
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45   20             Fanta   
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    9           Bananas   
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    4            Onions   
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   13              Eggs   
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   22               Tea   
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   14            Apples   
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   26             Pasta   
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    9           Bananas   
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    8  Hot Dog Sausages   
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   27             Pizza   
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   12              Beef   
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    6           Carrots   
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   13              Eggs   
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   26             Pasta   
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   14            Apples   
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   28           Lasanga   
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    6           Carrots   
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   22               Tea   
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   16              Rice   
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   19              Coca   
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   19              Coca   
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    2          Potatoes   
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...  ...               ...   
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80   28           Lasanga   
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50   27             Pizza   
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55    5         Mushrooms   
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65   28           Lasanga   
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70    7          Tomatoes   
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70    0       Cashew Nuts   
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50   11              Milk   
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95    6           Carrots   
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75   19              Coca   
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50   17             Bread   
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85    9           Bananas   
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55   11              Milk   
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60   22               Tea   
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25   17             Bread   
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30   20             Fanta   
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05   11              Milk   
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05   21            Coffee   
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50   23   Spiced Biscuits   
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50   23   Spiced Biscuits   
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95    8  Hot Dog Sausages   
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50    0       Cashew Nuts   
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95    8  Hot Dog Sausages   
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60   11              Milk   
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25   15         Cucumbers   
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75    2          Potatoes   
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80   17             Bread   
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35    5         Mushrooms   
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85   19              Coca   
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15    9           Bananas   
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30   18            Cheese   
#[Out]# 
#[Out]#     suffix  
#[Out]# 0           
#[Out]# 1           
#[Out]# 2           
#[Out]# 3           
#[Out]# 4           
#[Out]# 5           
#[Out]# 6           
#[Out]# 7           
#[Out]# 8           
#[Out]# 9           
#[Out]# 10          
#[Out]# 11          
#[Out]# 12          
#[Out]# 13          
#[Out]# 14          
#[Out]# 15          
#[Out]# 16          
#[Out]# 17          
#[Out]# 18          
#[Out]# 19          
#[Out]# 20          
#[Out]# 21          
#[Out]# 22          
#[Out]# 23          
#[Out]# 24          
#[Out]# 25          
#[Out]# 26          
#[Out]# 27          
#[Out]# 28          
#[Out]# 29          
#[Out]# ..     ...  
#[Out]# 479         
#[Out]# 480         
#[Out]# 481         
#[Out]# 482         
#[Out]# 483         
#[Out]# 484         
#[Out]# 485         
#[Out]# 486         
#[Out]# 487         
#[Out]# 488         
#[Out]# 489         
#[Out]# 490         
#[Out]# 491         
#[Out]# 492         
#[Out]# 493         
#[Out]# 494         
#[Out]# 495         
#[Out]# 496         
#[Out]# 497         
#[Out]# 498         
#[Out]# 499         
#[Out]# 500         
#[Out]# 501         
#[Out]# 502         
#[Out]# 503         
#[Out]# 504         
#[Out]# 505         
#[Out]# 506         
#[Out]# 507         
#[Out]# 508         
#[Out]# 
#[Out]# [509 rows x 10 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select price/quantity from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0               Water       Sligro   0.45
#[Out]# 1              Apples         Dirk   4.65
#[Out]# 2                Rice       Sligro   1.60
#[Out]# 3             Bananas    Hoogvliet   1.25
#[Out]# 4              Donuts  Albert Hein   3.95
#[Out]# 5               Pasta         Lidl   2.75
#[Out]# 6                Milk         Lidl   0.90
#[Out]# 7               Pizza         Lidl   9.10
#[Out]# 8               Fanta         Lidl   2.45
#[Out]# 9             Bananas       Sligro   1.35
#[Out]# 10             Onions         Coop   1.10
#[Out]# 11               Eggs         Coop   3.70
#[Out]# 12                Tea         Coop   1.55
#[Out]# 13             Apples  Albert Hein   4.30
#[Out]# 14              Pasta         Dirk   2.75
#[Out]# 15            Bananas       Sligro   1.45
#[Out]# 16   Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 17              Pizza        Jumbo   9.05
#[Out]# 18               Beef         Coop  13.60
#[Out]# 19            Carrots         Coop   1.05
#[Out]# 20               Eggs       Sligro   3.05
#[Out]# 21              Pasta  Albert Hein   2.75
#[Out]# 22             Apples    Hoogvliet   4.70
#[Out]# 23            Lasanga         Lidl   8.25
#[Out]# 24            Carrots         Coop   1.10
#[Out]# 25                Tea         Coop   1.55
#[Out]# 26               Rice         Coop   1.85
#[Out]# 27               Coca    Hoogvliet   2.20
#[Out]# 28               Coca       Sligro   2.10
#[Out]# 29           Potatoes         Lidl   1.70
#[Out]# ..                ...          ...    ...
#[Out]# 475           Lasanga         Coop   2.80
#[Out]# 476             Pizza         Lidl   0.50
#[Out]# 477         Mushrooms         Lidl   2.55
#[Out]# 478           Lasanga        Jumbo   0.65
#[Out]# 479          Tomatoes    Hoogvliet   0.70
#[Out]# 480       Cashew Nuts       Sligro   3.70
#[Out]# 481              Milk    Hoogvliet   3.50
#[Out]# 482           Carrots  Albert Hein   2.95
#[Out]# 483              Coca       Sligro   2.75
#[Out]# 484             Bread         Coop   1.50
#[Out]# 485           Bananas  Albert Hein   0.85
#[Out]# 486              Milk         Coop   3.55
#[Out]# 487               Tea         Lidl   2.60
#[Out]# 488             Bread         Coop   3.25
#[Out]# 489             Fanta    Hoogvliet   4.30
#[Out]# 490              Milk    Hoogvliet   3.05
#[Out]# 491            Coffee       Sligro   4.05
#[Out]# 492   Spiced Biscuits         Coop   1.50
#[Out]# 493   Spiced Biscuits         Lidl   2.50
#[Out]# 494  Hot Dog Sausages         Coop   3.95
#[Out]# 495       Cashew Nuts         Dirk   3.50
#[Out]# 496  Hot Dog Sausages         Coop   2.95
#[Out]# 497              Milk        Jumbo   1.60
#[Out]# 498         Cucumbers         Dirk   3.25
#[Out]# 499          Potatoes         Dirk   0.75
#[Out]# 500             Bread        Jumbo   3.80
#[Out]# 501         Mushrooms         Lidl   4.35
#[Out]# 502              Coca         Lidl   2.85
#[Out]# 503           Bananas        Jumbo   3.15
#[Out]# 504            Cheese        Jumbo   3.30
#[Out]# 
#[Out]# [505 rows x 3 columns]
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select price/quantity from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price/quantity
#[Out]# 0               Water       Sligro        0.450000
#[Out]# 1              Apples         Dirk        2.325000
#[Out]# 2                Rice       Sligro        0.533333
#[Out]# 3             Bananas    Hoogvliet        0.625000
#[Out]# 4              Donuts  Albert Hein        0.987500
#[Out]# 5               Pasta         Lidl        0.687500
#[Out]# 6                Milk         Lidl        0.112500
#[Out]# 7               Pizza         Lidl        1.516667
#[Out]# 8               Fanta         Lidl        2.450000
#[Out]# 9             Bananas       Sligro        0.192857
#[Out]# 10             Onions         Coop        0.183333
#[Out]# 11               Eggs         Coop        0.925000
#[Out]# 12                Tea         Coop        1.550000
#[Out]# 13             Apples  Albert Hein        2.150000
#[Out]# 14              Pasta         Dirk        1.375000
#[Out]# 15            Bananas       Sligro        0.241667
#[Out]# 16   Hot Dog Sausages    Hoogvliet        2.075000
#[Out]# 17              Pizza        Jumbo        1.005556
#[Out]# 18               Beef         Coop        2.720000
#[Out]# 19            Carrots         Coop        0.525000
#[Out]# 20               Eggs       Sligro        0.338889
#[Out]# 21              Pasta  Albert Hein        0.687500
#[Out]# 22             Apples    Hoogvliet        0.783333
#[Out]# 23            Lasanga         Lidl        1.375000
#[Out]# 24            Carrots         Coop        0.122222
#[Out]# 25                Tea         Coop        0.775000
#[Out]# 26               Rice         Coop        0.925000
#[Out]# 27               Coca    Hoogvliet        2.200000
#[Out]# 28               Coca       Sligro        1.050000
#[Out]# 29           Potatoes         Lidl        0.283333
#[Out]# ..                ...          ...             ...
#[Out]# 475           Lasanga         Coop        0.700000
#[Out]# 476             Pizza         Lidl        0.100000
#[Out]# 477         Mushrooms         Lidl        0.850000
#[Out]# 478           Lasanga        Jumbo        0.162500
#[Out]# 479          Tomatoes    Hoogvliet        0.175000
#[Out]# 480       Cashew Nuts       Sligro        0.925000
#[Out]# 481              Milk    Hoogvliet        1.750000
#[Out]# 482           Carrots  Albert Hein        0.590000
#[Out]# 483              Coca       Sligro        0.550000
#[Out]# 484             Bread         Coop        0.214286
#[Out]# 485           Bananas  Albert Hein        0.170000
#[Out]# 486              Milk         Coop        1.775000
#[Out]# 487               Tea         Lidl        0.650000
#[Out]# 488             Bread         Coop        0.812500
#[Out]# 489             Fanta    Hoogvliet        0.716667
#[Out]# 490              Milk    Hoogvliet        1.016667
#[Out]# 491            Coffee       Sligro        0.675000
#[Out]# 492   Spiced Biscuits         Coop        1.500000
#[Out]# 493   Spiced Biscuits         Lidl        0.500000
#[Out]# 494  Hot Dog Sausages         Coop        0.987500
#[Out]# 495       Cashew Nuts         Dirk        0.583333
#[Out]# 496  Hot Dog Sausages         Coop        0.421429
#[Out]# 497              Milk        Jumbo        0.400000
#[Out]# 498         Cucumbers         Dirk        0.650000
#[Out]# 499          Potatoes         Dirk        0.107143
#[Out]# 500             Bread        Jumbo        1.900000
#[Out]# 501         Mushrooms         Lidl        0.725000
#[Out]# 502              Coca         Lidl        0.570000
#[Out]# 503           Bananas        Jumbo        1.575000
#[Out]# 504            Cheese        Jumbo        3.300000
#[Out]# 
#[Out]# [505 rows x 3 columns]
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select price/quantity, price, quantity from purchase)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select price/quantity, quantity from purchase)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select price/quantity from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price/quantity
#[Out]# 0               Water       Sligro        0.450000
#[Out]# 1              Apples         Dirk        2.325000
#[Out]# 2                Rice       Sligro        0.533333
#[Out]# 3             Bananas    Hoogvliet        0.625000
#[Out]# 4              Donuts  Albert Hein        0.987500
#[Out]# 5               Pasta         Lidl        0.687500
#[Out]# 6                Milk         Lidl        0.112500
#[Out]# 7               Pizza         Lidl        1.516667
#[Out]# 8               Fanta         Lidl        2.450000
#[Out]# 9             Bananas       Sligro        0.192857
#[Out]# 10             Onions         Coop        0.183333
#[Out]# 11               Eggs         Coop        0.925000
#[Out]# 12                Tea         Coop        1.550000
#[Out]# 13             Apples  Albert Hein        2.150000
#[Out]# 14              Pasta         Dirk        1.375000
#[Out]# 15            Bananas       Sligro        0.241667
#[Out]# 16   Hot Dog Sausages    Hoogvliet        2.075000
#[Out]# 17              Pizza        Jumbo        1.005556
#[Out]# 18               Beef         Coop        2.720000
#[Out]# 19            Carrots         Coop        0.525000
#[Out]# 20               Eggs       Sligro        0.338889
#[Out]# 21              Pasta  Albert Hein        0.687500
#[Out]# 22             Apples    Hoogvliet        0.783333
#[Out]# 23            Lasanga         Lidl        1.375000
#[Out]# 24            Carrots         Coop        0.122222
#[Out]# 25                Tea         Coop        0.775000
#[Out]# 26               Rice         Coop        0.925000
#[Out]# 27               Coca    Hoogvliet        2.200000
#[Out]# 28               Coca       Sligro        1.050000
#[Out]# 29           Potatoes         Lidl        0.283333
#[Out]# ..                ...          ...             ...
#[Out]# 475           Lasanga         Coop        0.700000
#[Out]# 476             Pizza         Lidl        0.100000
#[Out]# 477         Mushrooms         Lidl        0.850000
#[Out]# 478           Lasanga        Jumbo        0.162500
#[Out]# 479          Tomatoes    Hoogvliet        0.175000
#[Out]# 480       Cashew Nuts       Sligro        0.925000
#[Out]# 481              Milk    Hoogvliet        1.750000
#[Out]# 482           Carrots  Albert Hein        0.590000
#[Out]# 483              Coca       Sligro        0.550000
#[Out]# 484             Bread         Coop        0.214286
#[Out]# 485           Bananas  Albert Hein        0.170000
#[Out]# 486              Milk         Coop        1.775000
#[Out]# 487               Tea         Lidl        0.650000
#[Out]# 488             Bread         Coop        0.812500
#[Out]# 489             Fanta    Hoogvliet        0.716667
#[Out]# 490              Milk    Hoogvliet        1.016667
#[Out]# 491            Coffee       Sligro        0.675000
#[Out]# 492   Spiced Biscuits         Coop        1.500000
#[Out]# 493   Spiced Biscuits         Lidl        0.500000
#[Out]# 494  Hot Dog Sausages         Coop        0.987500
#[Out]# 495       Cashew Nuts         Dirk        0.583333
#[Out]# 496  Hot Dog Sausages         Coop        0.421429
#[Out]# 497              Milk        Jumbo        0.400000
#[Out]# 498         Cucumbers         Dirk        0.650000
#[Out]# 499          Potatoes         Dirk        0.107143
#[Out]# 500             Bread        Jumbo        1.900000
#[Out]# 501         Mushrooms         Lidl        0.725000
#[Out]# 502              Coca         Lidl        0.570000
#[Out]# 503           Bananas        Jumbo        1.575000
#[Out]# 504            Cheese        Jumbo        3.300000
#[Out]# 
#[Out]# [505 rows x 3 columns]
query5 = '''
    select pName, sName
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity >= (select price/quantity from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6               Pizza         Lidl
#[Out]# 7               Fanta         Lidl
#[Out]# 8                Eggs         Coop
#[Out]# 9                 Tea         Coop
#[Out]# 10             Apples  Albert Hein
#[Out]# 11              Pasta         Dirk
#[Out]# 12   Hot Dog Sausages    Hoogvliet
#[Out]# 13              Pizza        Jumbo
#[Out]# 14               Beef         Coop
#[Out]# 15            Carrots         Coop
#[Out]# 16              Pasta  Albert Hein
#[Out]# 17             Apples    Hoogvliet
#[Out]# 18            Lasanga         Lidl
#[Out]# 19                Tea         Coop
#[Out]# 20               Rice         Coop
#[Out]# 21               Coca    Hoogvliet
#[Out]# 22               Coca       Sligro
#[Out]# 23               Rice  Albert Hein
#[Out]# 24               Beef  Albert Hein
#[Out]# 25   Hot Dog Sausages         Coop
#[Out]# 26            Oranges         Coop
#[Out]# 27             Apples         Coop
#[Out]# 28        Cashew Nuts         Dirk
#[Out]# 29   Hot Dog Sausages         Lidl
#[Out]# ..                ...          ...
#[Out]# 280             Bread         Coop
#[Out]# 281            Donuts         Lidl
#[Out]# 282      Green Pepper         Dirk
#[Out]# 283             Pasta  Albert Hein
#[Out]# 284         Mushrooms  Albert Hein
#[Out]# 285             Water         Dirk
#[Out]# 286       Cashew Nuts  Albert Hein
#[Out]# 287              Coca         Dirk
#[Out]# 288           Lasanga         Coop
#[Out]# 289         Mushrooms         Lidl
#[Out]# 290       Cashew Nuts       Sligro
#[Out]# 291              Milk    Hoogvliet
#[Out]# 292           Carrots  Albert Hein
#[Out]# 293              Coca       Sligro
#[Out]# 294              Milk         Coop
#[Out]# 295               Tea         Lidl
#[Out]# 296             Bread         Coop
#[Out]# 297             Fanta    Hoogvliet
#[Out]# 298              Milk    Hoogvliet
#[Out]# 299            Coffee       Sligro
#[Out]# 300   Spiced Biscuits         Coop
#[Out]# 301   Spiced Biscuits         Lidl
#[Out]# 302  Hot Dog Sausages         Coop
#[Out]# 303       Cashew Nuts         Dirk
#[Out]# 304         Cucumbers         Dirk
#[Out]# 305             Bread        Jumbo
#[Out]# 306         Mushrooms         Lidl
#[Out]# 307              Coca         Lidl
#[Out]# 308           Bananas        Jumbo
#[Out]# 309            Cheese        Jumbo
#[Out]# 
#[Out]# [310 rows x 2 columns]
query5 = '''
    select pName, sName
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity >= (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName
#[Out]# 0  Cheese  Albert Hein
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity >= (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity in (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12
practicequery1a = '''
    select max(price/quantity) from purchase
'''

pd.read_sql_query(practicequery1a, conn)
#[Out]#    max(price/quantity)
#[Out]# 0                   12
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity in (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12
query5 = '''
    select pName, sName, max(price/quantity)
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  max(price/quantity)
#[Out]# 0  Cheese  Albert Hein                   12
query5 = '''
    select pName, sName, max(price/quantity)
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  max(price/quantity)
#[Out]# 0  Cheese  Albert Hein                   12
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity in (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12
query5 = '''
    select pName, sName, price/quantity
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price/quantity >= (select max(price/quantity) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#     pName        sName  price/quantity
#[Out]# 0  Cheese  Albert Hein              12

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
query1 = '''
    select pID, count(pID) as "purchased by distinct customers"
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  purchased by distinct customers
#[Out]# 0   29                                2
#[Out]# 1   30                                2
query1 = '''
    select pID
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p
   where c.cID = p.cID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 493  190  Kostas
#[Out]# 494  190  Kostas
#[Out]# 495  190  Kostas
#[Out]# 496  190  Kostas
#[Out]# 497  190  Kostas
#[Out]# 498  190  Kostas
#[Out]# 499  190  Kostas
#[Out]# 500  190  Kostas
#[Out]# 501  190  Kostas
#[Out]# 502  190  Kostas
#[Out]# 503  190  Kostas
#[Out]# 504  190  Kostas
#[Out]# 505  190  Kostas
#[Out]# 506  190  Kostas
#[Out]# 507  190  Kostas
#[Out]# 508  190  Kostas
#[Out]# 
#[Out]# [509 rows x 2 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.Name
'''

pd.read_sql_query(query2, conn)
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName
#[Out]# 0      0      Noah
#[Out]# 1      1       Sem
#[Out]# 2      2     Lucas
#[Out]# 3      3      Finn
#[Out]# 4      4      Daan
#[Out]# 5      5      Levi
#[Out]# 6      7      Bram
#[Out]# 7      8      Liam
#[Out]# 8     10       Sam
#[Out]# 9     11     Thijs
#[Out]# 10    13     James
#[Out]# 11    15      Noud
#[Out]# 12    16    Julian
#[Out]# 13    17       Dex
#[Out]# 14    18      Hugo
#[Out]# 15    19      Lars
#[Out]# 16    20      Gijs
#[Out]# 17    21  Benjamin
#[Out]# 18    22      Mats
#[Out]# 19    24      Luca
#[Out]# 20    25     Mason
#[Out]# 21    26    Jayden
#[Out]# 22    27       Tim
#[Out]# 23    28      Siem
#[Out]# 24    29     Ruben
#[Out]# 25    30      Teun
#[Out]# 26    31   Olivier
#[Out]# 27    33      Sven
#[Out]# 28    34     David
#[Out]# 29    35     Stijn
#[Out]# ..   ...       ...
#[Out]# 102  147    Isabel
#[Out]# 103  149     Lizzy
#[Out]# 104  151      Jill
#[Out]# 105  152      Anne
#[Out]# 106  157      Puck
#[Out]# 107  159     Fenne
#[Out]# 108  161     Floor
#[Out]# 109  162     Elena
#[Out]# 110  163      Cato
#[Out]# 111  165     Hanna
#[Out]# 112  167    Veerle
#[Out]# 113  168      Kiki
#[Out]# 114  169      Lily
#[Out]# 115  170      Iris
#[Out]# 116  171     Tessa
#[Out]# 117  172      Lana
#[Out]# 118  175       Sam
#[Out]# 119  176     Amira
#[Out]# 120  177     Eline
#[Out]# 121  178      Elif
#[Out]# 122  179      Juul
#[Out]# 123  180     Merel
#[Out]# 124  181      Liva
#[Out]# 125  182   Johanna
#[Out]# 126  184     Wilko
#[Out]# 127  185      Nick
#[Out]# 128  186    Angela
#[Out]# 129  188      Pino
#[Out]# 130  189      Koen
#[Out]# 131  190    Kostas
#[Out]# 
#[Out]# [132 rows x 2 columns]
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID    cName
#[Out]# 0   31  Olivier
#[Out]# 1   85   Pieter
#[Out]# 2  124    Sofie
#[Out]# 3  129    Esmee
#[Out]# 4  162    Elena
#[Out]# 5  165    Hanna
#[Out]# 6  172     Lana
#[Out]# 7  176    Amira
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" and pr.pName = "Coffee" 
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" and pr.pName = "Coffee" 
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID    cName         street       city  tID  cID  sID  pID        date  \
#[Out]# 0   31  Olivier  Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 1   85   Pieter      Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 2  124    Sofie  Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 3  129    Esmee    Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  162    Elena     Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 5  165    Hanna      Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 6  172     Lana      Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 7  176    Amira    Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         9   0.90    4  Onions         
#[Out]# 1         1   0.85    4  Onions         
#[Out]# 2         4   1.10    4  Onions         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         5   1.05    4  Onions         
#[Out]# 5         8   0.95    4  Onions         
#[Out]# 6         4   0.90    4  Onions         
#[Out]# 7         7   0.90    4  Onions         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Coffee" 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0   82   Dylan        Molenweg  Eindhoven  217   82   12   21  2018-08-19   
#[Out]# 1   92   Jelte      Bergselaan  Rotterdam  248   92   55   21  2018-08-25   
#[Out]# 2  108    Noor       Eikenlaan    Tilburg  279  108    3   21  2018-08-15   
#[Out]# 3  111  Lauren        Hofplein  Rotterdam  293  111   17   21  2018-08-22   
#[Out]# 4  122    Elin     Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  152    Anne  Gasthuisstraat    Utrecht  369  152   14   21  2018-08-20   
#[Out]# 6  169    Lily  Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         2   2.05   21  Coffee         
#[Out]# 1         6   2.05   21  Coffee         
#[Out]# 2         6   1.70   21  Coffee         
#[Out]# 3         8   2.30   21  Coffee         
#[Out]# 4         6   1.70   21  Coffee         
#[Out]# 5         1   1.85   21  Coffee         
#[Out]# 6         2   1.90   21  Coffee         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID    cName         street       city  tID  cID  sID  pID        date  \
#[Out]# 0   31  Olivier  Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 1   85   Pieter      Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 2  124    Sofie  Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 3  129    Esmee    Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  162    Elena     Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 5  165    Hanna      Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 6  172     Lana      Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 7  176    Amira    Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         9   0.90    4  Onions         
#[Out]# 1         1   0.85    4  Onions         
#[Out]# 2         4   1.10    4  Onions         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         5   1.05    4  Onions         
#[Out]# 5         8   0.95    4  Onions         
#[Out]# 6         4   0.90    4  Onions         
#[Out]# 7         7   0.90    4  Onions         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   having pr.pName = "Onions" 
'''

pd.read_sql_query(query2, conn)
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" 
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID    cName         street       city  tID  cID  sID  pID        date  \
#[Out]# 0   31  Olivier  Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 1   85   Pieter      Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 2  124    Sofie  Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 3  129    Esmee    Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 4  162    Elena     Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 5  165    Hanna      Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 6  172     Lana      Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 7  176    Amira    Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         9   0.90    4  Onions         
#[Out]# 1         1   0.85    4  Onions         
#[Out]# 2         4   1.10    4  Onions         
#[Out]# 3         7   1.10    4  Onions         
#[Out]# 4         5   1.05    4  Onions         
#[Out]# 5         8   0.95    4  Onions         
#[Out]# 6         4   0.90    4  Onions         
#[Out]# 7         7   0.90    4  Onions         
query3 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Coffee" 
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID   cName          street       city  tID  cID  sID  pID        date  \
#[Out]# 0   82   Dylan        Molenweg  Eindhoven  217   82   12   21  2018-08-19   
#[Out]# 1   92   Jelte      Bergselaan  Rotterdam  248   92   55   21  2018-08-25   
#[Out]# 2  108    Noor       Eikenlaan    Tilburg  279  108    3   21  2018-08-15   
#[Out]# 3  111  Lauren        Hofplein  Rotterdam  293  111   17   21  2018-08-22   
#[Out]# 4  122    Elin     Langestraat    Tilburg  312  122    8   21  2018-08-25   
#[Out]# 5  152    Anne  Gasthuisstraat    Utrecht  369  152   14   21  2018-08-20   
#[Out]# 6  169    Lily  Gasthuisstraat    Utrecht  427  169   35   21  2018-08-16   
#[Out]# 
#[Out]#    quantity  price  pID   pName suffix  
#[Out]# 0         2   2.05   21  Coffee         
#[Out]# 1         6   2.05   21  Coffee         
#[Out]# 2         6   1.70   21  Coffee         
#[Out]# 3         8   2.30   21  Coffee         
#[Out]# 4         6   1.70   21  Coffee         
#[Out]# 5         1   1.85   21  Coffee         
#[Out]# 6         2   1.90   21  Coffee         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID     cName                street       city  tID  cID  sID  pID  \
#[Out]# 0      0      Noah             Koestraat    Utrecht    0    0    3   10   
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda    1    1   23   14   
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam    8    2   12   20   
#[Out]# 3      3      Finn         Stationsplein      Breda   13    3   44   14   
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam   16    4   17    8   
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht   22    5    4   14   
#[Out]# 6      7      Bram          Schoolstraat  Eindhoven   28    7    3   19   
#[Out]# 7      8      Liam         Rijsbergseweg      Breda   34    8   43    6   
#[Out]# 8     10       Sam           Langestraat    Tilburg   36   10   34   24   
#[Out]# 9     11     Thijs             Koestraat    Tilburg   37   11    0   14   
#[Out]# 10    13     James       Sint Annastraat      Breda   38   13   33    0   
#[Out]# 11    15      Noud          Koningshoeve    Tilburg   47   15   25   11   
#[Out]# 12    16    Julian  Prins Bernhardstraat  Eindhoven   48   16   50    0   
#[Out]# 13    17       Dex          Kasteeldreef    Tilburg   58   17   51   14   
#[Out]# 14    18      Hugo          Kasteeldreef    Tilburg   60   18   29   20   
#[Out]# 15    19      Lars         Rijsbergseweg      Breda   63   19   59    0   
#[Out]# 16    20      Gijs            Heiligeweg  Amsterdam   67   20   29    7   
#[Out]# 17    21  Benjamin           Stationsweg    Tilburg   70   21    1   26   
#[Out]# 18    22      Mats           Molenstraat  Eindhoven   73   22   25   28   
#[Out]# 19    24      Luca          Kasteeldreef    Tilburg   75   24   22   24   
#[Out]# 20    25     Mason          Keizerstraat  Rotterdam   84   25   12   26   
#[Out]# 21    26    Jayden          Schoolstraat  Eindhoven   85   26   21   23   
#[Out]# 22    27       Tim             Koestraat    Utrecht   86   27    8    6   
#[Out]# 23    28      Siem           Langestraat    Tilburg   92   28   43   11   
#[Out]# 24    29     Ruben              Hofplein  Rotterdam   93   29   43    7   
#[Out]# 25    30      Teun            Oosterkade  Rotterdam   95   30    9    5   
#[Out]# 26    31   Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 27    33      Sven        Ginnekenstraat      Breda  100   33   39    6   
#[Out]# 28    34     David           Parallelweg    Tilburg  109   34   26   26   
#[Out]# 29    35     Stijn         Julianastraat    Utrecht  110   35   25   24   
#[Out]# ..   ...       ...                   ...        ...  ...  ...  ...  ...   
#[Out]# 102  147    Isabel             Damstraat    Utrecht  358  147   25    8   
#[Out]# 103  149     Lizzy           Molenstraat  Eindhoven  365  149    4   17   
#[Out]# 104  151      Jill              Hofplein  Rotterdam  367  151    6    9   
#[Out]# 105  152      Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 106  157      Puck         Keizersgracht  Amsterdam  379  157   36   16   
#[Out]# 107  159     Fenne        Gasthuisstraat    Utrecht  384  159   46   26   
#[Out]# 108  161     Floor             Eikenlaan    Tilburg  386  161   15   19   
#[Out]# 109  162     Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 110  163      Cato          Kastanjelaan    Tilburg  403  163   43    0   
#[Out]# 111  165     Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 112  167    Veerle        Ginnekenstraat      Breda  416  167   39   15   
#[Out]# 113  168      Kiki          Keizerstraat  Rotterdam  426  168   28    1   
#[Out]# 114  169      Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 115  170      Iris          Kastanjelaan  Eindhoven  438  170    9   28   
#[Out]# 116  171     Tessa           Haringvliet  Rotterdam  441  171   56    3   
#[Out]# 117  172      Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 118  175       Sam             Bredalaan  Eindhoven  445  175   27   28   
#[Out]# 119  176     Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 120  177     Eline          Kalverstraat  Amsterdam  453  177   47   18   
#[Out]# 121  178      Elif           Parallelweg    Utrecht  458  178   34   25   
#[Out]# 122  179      Juul        Wilhelminapark    Tilburg  460  179   25   14   
#[Out]# 123  180     Merel          Kalverstraat  Amsterdam  466  180   34   26   
#[Out]# 124  181      Liva           Fredriklaan  Eindhoven  469  181    6   26   
#[Out]# 125  182   Johanna         Beatrixstraat  Eindhoven  472  182   17   25   
#[Out]# 126  184     Wilko          Onbekendeweg  Eindhoven  777  184    0    0   
#[Out]# 127  185      Nick                Verweg  Eindhoven  778  185   62   29   
#[Out]# 128  186    Angela              Dichtweg  Eindhoven  779  186   62   29   
#[Out]# 129  188      Pino            Maanstraat  Rotterdam  780  188   62   30   
#[Out]# 130  189      Koen              Akkerweg        Oss  782  189   63    7   
#[Out]# 131  190    Kostas              Eindeweg    Utrecht  784  190    0   27   
#[Out]# 
#[Out]#            date  quantity  price  pID             pName suffix  
#[Out]# 0    2018-08-22         1   0.45   10             Water         
#[Out]# 1    2018-08-20         2   4.65   14            Apples         
#[Out]# 2    2018-08-16         1   2.45   20             Fanta         
#[Out]# 3    2018-08-18         2   4.30   14            Apples         
#[Out]# 4    2018-08-24         2   4.15    8  Hot Dog Sausages         
#[Out]# 5    2018-08-17         6   4.70   14            Apples         
#[Out]# 6    2018-08-23         2   2.10   19              Coca         
#[Out]# 7    2018-08-16         7   0.95    6           Carrots         
#[Out]# 8    2018-08-27         5   3.20   24           Oranges         
#[Out]# 9    2018-08-25         8   4.10   14            Apples         
#[Out]# 10   2018-08-17         5   5.35    0       Cashew Nuts         
#[Out]# 11   2018-08-27         5   0.90   11              Milk         
#[Out]# 12   2018-08-24         1   3.70    0       Cashew Nuts         
#[Out]# 13   2018-08-19         9   3.80   14            Apples         
#[Out]# 14   2018-08-16         4   2.70   20             Fanta         
#[Out]# 15   2018-08-17         1   3.90    0       Cashew Nuts         
#[Out]# 16   2018-08-17        12   2.00    7          Tomatoes         
#[Out]# 17   2018-08-15         3   3.45   26             Pasta         
#[Out]# 18   2018-08-27         3   8.05   28           Lasanga         
#[Out]# 19   2018-08-19         1   3.15   24           Oranges         
#[Out]# 20   2018-08-28         9   2.55   26             Pasta         
#[Out]# 21   2018-08-23         6   2.10   23   Spiced Biscuits         
#[Out]# 22   2018-08-26         1   0.95    6           Carrots         
#[Out]# 23   2018-08-27         2   1.10   11              Milk         
#[Out]# 24   2018-08-24         8   1.95    7          Tomatoes         
#[Out]# 25   2018-08-15         9   0.60    5         Mushrooms         
#[Out]# 26   2018-08-27         9   0.90    4            Onions         
#[Out]# 27   2018-08-26         6   1.05    6           Carrots         
#[Out]# 28   2018-08-26         8   3.45   26             Pasta         
#[Out]# 29   2018-08-18         3   2.80   24           Oranges         
#[Out]# ..          ...       ...    ...  ...               ...    ...  
#[Out]# 102  2018-08-24         9   5.55    8  Hot Dog Sausages         
#[Out]# 103  2018-08-25         8   1.80   17             Bread         
#[Out]# 104  2018-08-17         3   1.30    9           Bananas         
#[Out]# 105  2018-08-20         1   1.85   21            Coffee         
#[Out]# 106  2018-08-27         6   2.05   16              Rice         
#[Out]# 107  2018-08-26         8   3.45   26             Pasta         
#[Out]# 108  2018-08-26         9   2.15   19              Coca         
#[Out]# 109  2018-08-21         5   1.05    4            Onions         
#[Out]# 110  2018-08-27         3   4.65    0       Cashew Nuts         
#[Out]# 111  2018-08-23         8   0.95    4            Onions         
#[Out]# 112  2018-08-18         7   1.00   15         Cucumbers         
#[Out]# 113  2018-08-16         6   5.65    1        Mixed Nuts         
#[Out]# 114  2018-08-16         2   1.90   21            Coffee         
#[Out]# 115  2018-08-16         2   9.85   28           Lasanga         
#[Out]# 116  2018-08-20         1   1.50    3      Green Pepper         
#[Out]# 117  2018-08-27         4   0.90    4            Onions         
#[Out]# 118  2018-08-19         1   8.10   28           Lasanga         
#[Out]# 119  2018-08-22         7   0.90    4            Onions         
#[Out]# 120  2018-08-20         1   8.85   18            Cheese         
#[Out]# 121  2018-08-27         9   3.60   25            Donuts         
#[Out]# 122  2018-08-24         5   3.70   14            Apples         
#[Out]# 123  2018-08-26         3   3.10   26             Pasta         
#[Out]# 124  2018-08-24         4   2.70   26             Pasta         
#[Out]# 125  2018-08-28         8   3.90   25            Donuts         
#[Out]# 126  2018-08-20         2   3.50    0       Cashew Nuts         
#[Out]# 127  2018-08-20         1   1.00   29            Salmon         
#[Out]# 128  2018-08-21         5   1.00   29            Salmon         
#[Out]# 129  2018-08-20         1   1.00   30           Ketchup         
#[Out]# 130  2018-08-25         5   1.25    7          Tomatoes         
#[Out]# 131  2018-08-19         5   4.45   27             Pizza         
#[Out]# 
#[Out]# [132 rows x 14 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0     2    Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 1    29    Ruben          Hofplein  Rotterdam   94   29   29    4  2018-08-24   
#[Out]# 2    31  Olivier     Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 3    33     Sven    Ginnekenstraat      Breda  108   33   29    4  2018-08-18   
#[Out]# 4    52   Willem  Rozemarijnstraat      Breda  160   52    3    4  2018-08-25   
#[Out]# 5    59     Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 6    85   Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 7   124    Sofie     Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 8   129    Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 9   162    Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 10  165    Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 11  169     Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 12  172     Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 13  176    Amira       Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 14  177    Eline      Kalverstraat  Amsterdam  457  177   51    4  2018-08-22   
#[Out]# 15  190   Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#     quantity  price  pID   pName suffix  
#[Out]# 0          6   1.10    4  Onions         
#[Out]# 1          3   0.95    4  Onions         
#[Out]# 2          9   0.90    4  Onions         
#[Out]# 3          2   1.15    4  Onions         
#[Out]# 4          3   0.90    4  Onions         
#[Out]# 5          5   1.05    4  Onions         
#[Out]# 6          1   0.85    4  Onions         
#[Out]# 7          4   1.10    4  Onions         
#[Out]# 8          7   1.10    4  Onions         
#[Out]# 9          5   1.05    4  Onions         
#[Out]# 10         8   0.95    4  Onions         
#[Out]# 11         3   1.10    4  Onions         
#[Out]# 12         4   0.90    4  Onions         
#[Out]# 13         7   0.90    4  Onions         
#[Out]# 14         6   1.10    4  Onions         
#[Out]# 15         1   2.40    4  Onions         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions" and pr.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0     2    Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 1    29    Ruben          Hofplein  Rotterdam   94   29   29    4  2018-08-24   
#[Out]# 2    31  Olivier     Julianastraat  Rotterdam   98   31   42    4  2018-08-27   
#[Out]# 3    33     Sven    Ginnekenstraat      Breda  108   33   29    4  2018-08-18   
#[Out]# 4    52   Willem  Rozemarijnstraat      Breda  160   52    3    4  2018-08-25   
#[Out]# 5    59     Joep            Amstel  Amsterdam  174   59   47    4  2018-08-25   
#[Out]# 6    85   Pieter         Koestraat    Utrecht  229   85   19    4  2018-08-18   
#[Out]# 7   124    Sofie     Keizersgracht  Amsterdam  323  124   54    4  2018-08-26   
#[Out]# 8   129    Esmee       Parallelweg    Utrecht  339  129   43    4  2018-08-24   
#[Out]# 9   162    Elena        Bergselaan  Rotterdam  395  162   19    4  2018-08-21   
#[Out]# 10  165    Hanna         Eikenlaan    Tilburg  408  165   26    4  2018-08-23   
#[Out]# 11  169     Lily    Gasthuisstraat    Utrecht  434  169    1    4  2018-08-20   
#[Out]# 12  172     Lana         Eikenlaan    Tilburg  443  172   59    4  2018-08-27   
#[Out]# 13  176    Amira       Parallelweg  Amsterdam  447  176   52    4  2018-08-22   
#[Out]# 14  177    Eline      Kalverstraat  Amsterdam  457  177   51    4  2018-08-22   
#[Out]# 15  190   Kostas          Eindeweg    Utrecht  800  190   16    4  2018-08-26   
#[Out]# 
#[Out]#     quantity  price  pID   pName suffix  
#[Out]# 0          6   1.10    4  Onions         
#[Out]# 1          3   0.95    4  Onions         
#[Out]# 2          9   0.90    4  Onions         
#[Out]# 3          2   1.15    4  Onions         
#[Out]# 4          3   0.90    4  Onions         
#[Out]# 5          5   1.05    4  Onions         
#[Out]# 6          1   0.85    4  Onions         
#[Out]# 7          4   1.10    4  Onions         
#[Out]# 8          7   1.10    4  Onions         
#[Out]# 9          5   1.05    4  Onions         
#[Out]# 10         8   0.95    4  Onions         
#[Out]# 11         3   1.10    4  Onions         
#[Out]# 12         4   0.90    4  Onions         
#[Out]# 13         7   0.90    4  Onions         
#[Out]# 14         6   1.10    4  Onions         
#[Out]# 15         1   2.40    4  Onions         
query3 = '''
       select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee"
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID   cName                street       city  tID  cID  sID  pID  \
#[Out]# 0    16  Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 1    42    Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 2    59    Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 3    82   Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 4    86    Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 5    92   Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 6    97  Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 7   108    Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 8   110    Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 9   111  Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 10  122    Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 11  124   Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 12  152    Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 13  169    Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 14  171   Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 15  175     Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 16  176   Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 17  181    Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 18  190  Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 19  190  Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 20  190  Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 21  190  Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-24         3   2.35   21  Coffee         
#[Out]# 1   2018-08-18         6   1.90   21  Coffee         
#[Out]# 2   2018-08-15         6   2.20   21  Coffee         
#[Out]# 3   2018-08-19         2   2.05   21  Coffee         
#[Out]# 4   2018-08-18         2   2.30   21  Coffee         
#[Out]# 5   2018-08-25         6   2.05   21  Coffee         
#[Out]# 6   2018-08-25         8   2.20   21  Coffee         
#[Out]# 7   2018-08-15         6   1.70   21  Coffee         
#[Out]# 8   2018-08-18         2   1.95   21  Coffee         
#[Out]# 9   2018-08-22         8   2.30   21  Coffee         
#[Out]# 10  2018-08-25         6   1.70   21  Coffee         
#[Out]# 11  2018-08-26         6   2.15   21  Coffee         
#[Out]# 12  2018-08-20         1   1.85   21  Coffee         
#[Out]# 13  2018-08-16         2   1.90   21  Coffee         
#[Out]# 14  2018-08-20         2   2.35   21  Coffee         
#[Out]# 15  2018-08-20         2   2.25   21  Coffee         
#[Out]# 16  2018-08-26         8   2.15   21  Coffee         
#[Out]# 17  2018-08-27         5   2.00   21  Coffee         
#[Out]# 18  2018-08-26         5   4.25   21  Coffee         
#[Out]# 19  2018-08-20         2   3.10   21  Coffee         
#[Out]# 20  2018-08-22         7   0.60   21  Coffee         
#[Out]# 21  2018-08-22         6   4.05   21  Coffee         
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   union
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
query2 = '''
   select p.cID, c.cName
   from (select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   union
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   group by p.cID, c.cName
   having pr.pName = "Onions" and pr.pName = "Coffe"
'''

pd.read_sql_query(query2, conn)
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
   group by p.cID, c.cName
   having pr.pName = "Onions" and pr.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName, street, city, tID, cID, sID, pID, date, quantity, price, pID, pName, suffix]
#[Out]# Index: []
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and (pr.pName = "Coffee" or pr.pName = "Onions")
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName                street       city  tID  cID  sID  pID  \
#[Out]# 0     2    Lucas      Oude Leliestraat  Amsterdam   10    2   13    4   
#[Out]# 1    16   Julian  Prins Bernhardstraat  Eindhoven   49   16   14   21   
#[Out]# 2    29    Ruben              Hofplein  Rotterdam   94   29   29    4   
#[Out]# 3    31  Olivier         Julianastraat  Rotterdam   98   31   42    4   
#[Out]# 4    33     Sven        Ginnekenstraat      Breda  108   33   29    4   
#[Out]# 5    42     Tijn         Keizersgracht  Amsterdam  131   42   45   21   
#[Out]# 6    52   Willem      Rozemarijnstraat      Breda  160   52    3    4   
#[Out]# 7    59     Joep                Amstel  Amsterdam  174   59   47    4   
#[Out]# 8    59     Joep                Amstel  Amsterdam  176   59   59   21   
#[Out]# 9    82    Dylan              Molenweg  Eindhoven  217   82   12   21   
#[Out]# 10   85   Pieter             Koestraat    Utrecht  229   85   19    4   
#[Out]# 11   86     Stef           Dorpsstraat  Eindhoven  235   86   46   21   
#[Out]# 12   92    Jelte            Bergselaan  Rotterdam  248   92   55   21   
#[Out]# 13   97   Sophie        Stadhoudersweg  Rotterdam  264   97   54   21   
#[Out]# 14  108     Noor             Eikenlaan    Tilburg  279  108    3   21   
#[Out]# 15  110     Saar                Amstel  Amsterdam  292  110   55   21   
#[Out]# 16  111   Lauren              Hofplein  Rotterdam  293  111   17   21   
#[Out]# 17  122     Elin           Langestraat    Tilburg  312  122    8   21   
#[Out]# 18  124    Sofie         Keizersgracht  Amsterdam  323  124   54    4   
#[Out]# 19  124    Sofie         Keizersgracht  Amsterdam  328  124    9   21   
#[Out]# 20  129    Esmee           Parallelweg    Utrecht  339  129   43    4   
#[Out]# 21  152     Anne        Gasthuisstraat    Utrecht  369  152   14   21   
#[Out]# 22  162    Elena            Bergselaan  Rotterdam  395  162   19    4   
#[Out]# 23  165    Hanna             Eikenlaan    Tilburg  408  165   26    4   
#[Out]# 24  169     Lily        Gasthuisstraat    Utrecht  427  169   35   21   
#[Out]# 25  169     Lily        Gasthuisstraat    Utrecht  434  169    1    4   
#[Out]# 26  171    Tessa           Haringvliet  Rotterdam  442  171   44   21   
#[Out]# 27  172     Lana             Eikenlaan    Tilburg  443  172   59    4   
#[Out]# 28  175      Sam             Bredalaan  Eindhoven  446  175   16   21   
#[Out]# 29  176    Amira           Parallelweg  Amsterdam  447  176   52    4   
#[Out]# 30  176    Amira           Parallelweg  Amsterdam  451  176    4   21   
#[Out]# 31  177    Eline          Kalverstraat  Amsterdam  457  177   51    4   
#[Out]# 32  181     Liva           Fredriklaan  Eindhoven  471  181   27   21   
#[Out]# 33  190   Kostas              Eindeweg    Utrecht  793  190    9   21   
#[Out]# 34  190   Kostas              Eindeweg    Utrecht  799  190   15   21   
#[Out]# 35  190   Kostas              Eindeweg    Utrecht  800  190   16    4   
#[Out]# 36  190   Kostas              Eindeweg    Utrecht  810  190   26   21   
#[Out]# 37  190   Kostas              Eindeweg    Utrecht  834  190   50   21   
#[Out]# 
#[Out]#           date  quantity  price  pID   pName suffix  
#[Out]# 0   2018-08-17         6   1.10    4  Onions         
#[Out]# 1   2018-08-24         3   2.35   21  Coffee         
#[Out]# 2   2018-08-24         3   0.95    4  Onions         
#[Out]# 3   2018-08-27         9   0.90    4  Onions         
#[Out]# 4   2018-08-18         2   1.15    4  Onions         
#[Out]# 5   2018-08-18         6   1.90   21  Coffee         
#[Out]# 6   2018-08-25         3   0.90    4  Onions         
#[Out]# 7   2018-08-25         5   1.05    4  Onions         
#[Out]# 8   2018-08-15         6   2.20   21  Coffee         
#[Out]# 9   2018-08-19         2   2.05   21  Coffee         
#[Out]# 10  2018-08-18         1   0.85    4  Onions         
#[Out]# 11  2018-08-18         2   2.30   21  Coffee         
#[Out]# 12  2018-08-25         6   2.05   21  Coffee         
#[Out]# 13  2018-08-25         8   2.20   21  Coffee         
#[Out]# 14  2018-08-15         6   1.70   21  Coffee         
#[Out]# 15  2018-08-18         2   1.95   21  Coffee         
#[Out]# 16  2018-08-22         8   2.30   21  Coffee         
#[Out]# 17  2018-08-25         6   1.70   21  Coffee         
#[Out]# 18  2018-08-26         4   1.10    4  Onions         
#[Out]# 19  2018-08-26         6   2.15   21  Coffee         
#[Out]# 20  2018-08-24         7   1.10    4  Onions         
#[Out]# 21  2018-08-20         1   1.85   21  Coffee         
#[Out]# 22  2018-08-21         5   1.05    4  Onions         
#[Out]# 23  2018-08-23         8   0.95    4  Onions         
#[Out]# 24  2018-08-16         2   1.90   21  Coffee         
#[Out]# 25  2018-08-20         3   1.10    4  Onions         
#[Out]# 26  2018-08-20         2   2.35   21  Coffee         
#[Out]# 27  2018-08-27         4   0.90    4  Onions         
#[Out]# 28  2018-08-20         2   2.25   21  Coffee         
#[Out]# 29  2018-08-22         7   0.90    4  Onions         
#[Out]# 30  2018-08-26         8   2.15   21  Coffee         
#[Out]# 31  2018-08-22         6   1.10    4  Onions         
#[Out]# 32  2018-08-27         5   2.00   21  Coffee         
#[Out]# 33  2018-08-26         5   4.25   21  Coffee         
#[Out]# 34  2018-08-20         2   3.10   21  Coffee         
#[Out]# 35  2018-08-26         1   2.40    4  Onions         
#[Out]# 36  2018-08-22         7   0.60   21  Coffee         
#[Out]# 37  2018-08-22         6   4.05   21  Coffee         
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and (pr.pName = "Coffee" or pr.pName = "Onions")
   group by p.cID, c.cName
   having pr.pName = "Coffee" and pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and (pr.pName = "Coffee" or pr.pName = "Onions")
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    16   Julian
#[Out]# 2    29    Ruben
#[Out]# 3    31  Olivier
#[Out]# 4    33     Sven
#[Out]# 5    42     Tijn
#[Out]# 6    52   Willem
#[Out]# 7    59     Joep
#[Out]# 8    59     Joep
#[Out]# 9    82    Dylan
#[Out]# 10   85   Pieter
#[Out]# 11   86     Stef
#[Out]# 12   92    Jelte
#[Out]# 13   97   Sophie
#[Out]# 14  108     Noor
#[Out]# 15  110     Saar
#[Out]# 16  111   Lauren
#[Out]# 17  122     Elin
#[Out]# 18  124    Sofie
#[Out]# 19  124    Sofie
#[Out]# 20  129    Esmee
#[Out]# 21  152     Anne
#[Out]# 22  162    Elena
#[Out]# 23  165    Hanna
#[Out]# 24  169     Lily
#[Out]# 25  169     Lily
#[Out]# 26  171    Tessa
#[Out]# 27  172     Lana
#[Out]# 28  175      Sam
#[Out]# 29  176    Amira
#[Out]# 30  176    Amira
#[Out]# 31  177    Eline
#[Out]# 32  181     Liva
#[Out]# 33  190   Kostas
#[Out]# 34  190   Kostas
#[Out]# 35  190   Kostas
#[Out]# 36  190   Kostas
#[Out]# 37  190   Kostas
query2 = '''
   select p.cID, c.cName
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName
#[Out]# 0      0    Noah
#[Out]# 1      1     Sem
#[Out]# 2      1     Sem
#[Out]# 3      1     Sem
#[Out]# 4      1     Sem
#[Out]# 5      1     Sem
#[Out]# 6      1     Sem
#[Out]# 7      1     Sem
#[Out]# 8      2   Lucas
#[Out]# 9      2   Lucas
#[Out]# 10     2   Lucas
#[Out]# 11     2   Lucas
#[Out]# 12     2   Lucas
#[Out]# 13     3    Finn
#[Out]# 14     3    Finn
#[Out]# 15     3    Finn
#[Out]# 16     4    Daan
#[Out]# 17     4    Daan
#[Out]# 18     4    Daan
#[Out]# 19     4    Daan
#[Out]# 20     4    Daan
#[Out]# 21     4    Daan
#[Out]# 22     5    Levi
#[Out]# 23     5    Levi
#[Out]# 24     5    Levi
#[Out]# 25     5    Levi
#[Out]# 26     5    Levi
#[Out]# 27     5    Levi
#[Out]# 28     7    Bram
#[Out]# 29     7    Bram
#[Out]# ..   ...     ...
#[Out]# 479  190  Kostas
#[Out]# 480  190  Kostas
#[Out]# 481  190  Kostas
#[Out]# 482  190  Kostas
#[Out]# 483  190  Kostas
#[Out]# 484  190  Kostas
#[Out]# 485  190  Kostas
#[Out]# 486  190  Kostas
#[Out]# 487  190  Kostas
#[Out]# 488  190  Kostas
#[Out]# 489  190  Kostas
#[Out]# 490  190  Kostas
#[Out]# 491  190  Kostas
#[Out]# 492  190  Kostas
#[Out]# 493  190  Kostas
#[Out]# 494  190  Kostas
#[Out]# 495  190  Kostas
#[Out]# 496  190  Kostas
#[Out]# 497  190  Kostas
#[Out]# 498  190  Kostas
#[Out]# 499  190  Kostas
#[Out]# 500  190  Kostas
#[Out]# 501  190  Kostas
#[Out]# 502  190  Kostas
#[Out]# 503  190  Kostas
#[Out]# 504  190  Kostas
#[Out]# 505  190  Kostas
#[Out]# 506  190  Kostas
#[Out]# 507  190  Kostas
#[Out]# 508  190  Kostas
#[Out]# 
#[Out]# [509 rows x 2 columns]
query2 = '''
   select *
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID
'''

pd.read_sql_query(query2, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  pID             pName suffix  
#[Out]# 0           1   0.45   10             Water         
#[Out]# 1           2   4.65   14            Apples         
#[Out]# 2           3   1.60   16              Rice         
#[Out]# 3           2   1.25    9           Bananas         
#[Out]# 4           4   3.95   25            Donuts         
#[Out]# 5           4   2.75   26             Pasta         
#[Out]# 6           8   0.90   11              Milk         
#[Out]# 7           6   9.10   27             Pizza         
#[Out]# 8           1   2.45   20             Fanta         
#[Out]# 9           7   1.35    9           Bananas         
#[Out]# 10          6   1.10    4            Onions         
#[Out]# 11          4   3.70   13              Eggs         
#[Out]# 12          1   1.55   22               Tea         
#[Out]# 13          2   4.30   14            Apples         
#[Out]# 14          2   2.75   26             Pasta         
#[Out]# 15          6   1.45    9           Bananas         
#[Out]# 16          2   4.15    8  Hot Dog Sausages         
#[Out]# 17          9   9.05   27             Pizza         
#[Out]# 18          5  13.60   12              Beef         
#[Out]# 19          2   1.05    6           Carrots         
#[Out]# 20          9   3.05   13              Eggs         
#[Out]# 21          4   2.75   26             Pasta         
#[Out]# 22          6   4.70   14            Apples         
#[Out]# 23          6   8.25   28           Lasanga         
#[Out]# 24          9   1.10    6           Carrots         
#[Out]# 25          2   1.55   22               Tea         
#[Out]# 26          2   1.85   16              Rice         
#[Out]# 27          1   2.20   19              Coca         
#[Out]# 28          2   2.10   19              Coca         
#[Out]# 29          6   1.70    2          Potatoes         
#[Out]# ..        ...    ...  ...               ...    ...  
#[Out]# 479         4   2.80   28           Lasanga         
#[Out]# 480         5   0.50   27             Pizza         
#[Out]# 481         3   2.55    5         Mushrooms         
#[Out]# 482         4   0.65   28           Lasanga         
#[Out]# 483         4   0.70    7          Tomatoes         
#[Out]# 484         4   3.70    0       Cashew Nuts         
#[Out]# 485         2   3.50   11              Milk         
#[Out]# 486         5   2.95    6           Carrots         
#[Out]# 487         5   2.75   19              Coca         
#[Out]# 488         7   1.50   17             Bread         
#[Out]# 489         5   0.85    9           Bananas         
#[Out]# 490         2   3.55   11              Milk         
#[Out]# 491         4   2.60   22               Tea         
#[Out]# 492         4   3.25   17             Bread         
#[Out]# 493         6   4.30   20             Fanta         
#[Out]# 494         3   3.05   11              Milk         
#[Out]# 495         6   4.05   21            Coffee         
#[Out]# 496         1   1.50   23   Spiced Biscuits         
#[Out]# 497         5   2.50   23   Spiced Biscuits         
#[Out]# 498         4   3.95    8  Hot Dog Sausages         
#[Out]# 499         6   3.50    0       Cashew Nuts         
#[Out]# 500         7   2.95    8  Hot Dog Sausages         
#[Out]# 501         4   1.60   11              Milk         
#[Out]# 502         5   3.25   15         Cucumbers         
#[Out]# 503         7   0.75    2          Potatoes         
#[Out]# 504         2   3.80   17             Bread         
#[Out]# 505         6   4.35    5         Mushrooms         
#[Out]# 506         5   2.85   19              Coca         
#[Out]# 507         2   3.15    9           Bananas         
#[Out]# 508         1   3.30   18            Cheese         
#[Out]# 
#[Out]# [509 rows x 14 columns]
query2 = '''
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   intersect
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
'''

pd.read_sql_query(query2, conn)
#[Out]#     cID    cName        date
#[Out]# 0     2    Lucas  2018-08-17
#[Out]# 1    29    Ruben  2018-08-24
#[Out]# 2    31  Olivier  2018-08-27
#[Out]# 3    33     Sven  2018-08-18
#[Out]# 4    52   Willem  2018-08-25
#[Out]# 5    59     Joep  2018-08-25
#[Out]# 6    85   Pieter  2018-08-18
#[Out]# 7   124    Sofie  2018-08-26
#[Out]# 8   129    Esmee  2018-08-24
#[Out]# 9   162    Elena  2018-08-21
#[Out]# 10  165    Hanna  2018-08-23
#[Out]# 11  169     Lily  2018-08-20
#[Out]# 12  172     Lana  2018-08-27
#[Out]# 13  176    Amira  2018-08-22
#[Out]# 14  177    Eline  2018-08-22
#[Out]# 15  190   Kostas  2018-08-26
query2 = '''
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   intersect
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName        date
#[Out]# 0  124   Sofie  2018-08-26
#[Out]# 1  190  Kostas  2018-08-26
query2 = '''
    select p.cID, c.cName
    from (select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   intersect
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
   intersect
   select p.cID, c.cName, p.date
   from customer as c, purchase as p, product as pr
   where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
        intersect
        select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
        intersect all
        select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
query2 = '''
    select cID, cName
    from (select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
        intersect
        select p.cID, c.cName, p.date
        from customer as c, purchase as p, product as pr
        where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
   '''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    select p.cID, c.cName
    from customer as c, purchase as p, product as pr
    where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID    cName
#[Out]# 0     2    Lucas
#[Out]# 1    29    Ruben
#[Out]# 2    31  Olivier
#[Out]# 3    33     Sven
#[Out]# 4    52   Willem
#[Out]# 5    59     Joep
#[Out]# 6    85   Pieter
#[Out]# 7   124    Sofie
#[Out]# 8   129    Esmee
#[Out]# 9   162    Elena
#[Out]# 10  165    Hanna
#[Out]# 11  169     Lily
#[Out]# 12  172     Lana
#[Out]# 13  176    Amira
#[Out]# 14  177    Eline
#[Out]# 15  190   Kostas
query3 = '''
    select cID, cName
    from customer as c, purchase as p, product as pr
    where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions"
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select p.cID, c.cName
    from customer as c, purchase as p, product as pr
    where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions" and 
        (cID, cName) in 
            (select p.cID, c.cName
            from customer as c, purchase as p, product as pr
            where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select p.cID, c.cName
    from customer as c, purchase as p, product as pr
    where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions" and 
        (cID, cName) in 
            (select p.cID, c.cName
            from customer as c, purchase as p, product as pr
            where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select p.cID, c.cName
    from customer as c, purchase as p, product as pr
    where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Onions" and 
        (p.cID, c.cName) in 
            (select p.cID, c.cName
            from customer as c, purchase as p, product as pr
            where c.cID = p.cID and p.pID = pr.pID and pr.pName = "Coffee")
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID   cName
#[Out]# 0   59    Joep
#[Out]# 1  124   Sofie
#[Out]# 2  169    Lily
#[Out]# 3  176   Amira
#[Out]# 4  190  Kostas
query3 = '''
    select distinct c.cID
    from customer as c inner join purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query3 = '''
    select *
    from customer as c inner join purchase as p
    where  
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select *
    from customer as c inner join purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID   cName     street     city  tID  cID  sID  pID        date  \
#[Out]# 0        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1        0    Noah  Koestraat  Utrecht    1    1   23   14  2018-08-20   
#[Out]# 2        0    Noah  Koestraat  Utrecht    2    1    3   16  2018-08-20   
#[Out]# 3        0    Noah  Koestraat  Utrecht    3    1   17    9  2018-08-20   
#[Out]# 4        0    Noah  Koestraat  Utrecht    4    1   32   25  2018-08-20   
#[Out]# 5        0    Noah  Koestraat  Utrecht    5    1   16   26  2018-08-20   
#[Out]# 6        0    Noah  Koestraat  Utrecht    6    1   46   11  2018-08-21   
#[Out]# 7        0    Noah  Koestraat  Utrecht    7    1   36   27  2018-08-21   
#[Out]# 8        0    Noah  Koestraat  Utrecht    8    2   12   20  2018-08-16   
#[Out]# 9        0    Noah  Koestraat  Utrecht    9    2   39    9  2018-08-17   
#[Out]# 10       0    Noah  Koestraat  Utrecht   10    2   13    4  2018-08-17   
#[Out]# 11       0    Noah  Koestraat  Utrecht   11    2   51   13  2018-08-17   
#[Out]# 12       0    Noah  Koestraat  Utrecht   12    2   47   22  2018-08-17   
#[Out]# 13       0    Noah  Koestraat  Utrecht   13    3   44   14  2018-08-18   
#[Out]# 14       0    Noah  Koestraat  Utrecht   14    3   30   26  2018-08-19   
#[Out]# 15       0    Noah  Koestraat  Utrecht   15    3   29    9  2018-08-19   
#[Out]# 16       0    Noah  Koestraat  Utrecht   16    4   17    8  2018-08-24   
#[Out]# 17       0    Noah  Koestraat  Utrecht   17    4   10   27  2018-08-24   
#[Out]# 18       0    Noah  Koestraat  Utrecht   18    4   53   12  2018-08-25   
#[Out]# 19       0    Noah  Koestraat  Utrecht   19    4   21    6  2018-08-24   
#[Out]# 20       0    Noah  Koestraat  Utrecht   20    4    7   13  2018-08-25   
#[Out]# 21       0    Noah  Koestraat  Utrecht   21    4   44   26  2018-08-25   
#[Out]# 22       0    Noah  Koestraat  Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23       0    Noah  Koestraat  Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24       0    Noah  Koestraat  Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25       0    Noah  Koestraat  Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26       0    Noah  Koestraat  Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27       0    Noah  Koestraat  Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28       0    Noah  Koestraat  Utrecht   28    7    3   19  2018-08-23   
#[Out]# 29       0    Noah  Koestraat  Utrecht   29    7   12    2  2018-08-23   
#[Out]# ...    ...     ...        ...      ...  ...  ...  ...  ...         ...   
#[Out]# 96680  190  Kostas   Eindeweg  Utrecht  818  190   34   28  2018-08-20   
#[Out]# 96681  190  Kostas   Eindeweg  Utrecht  819  190   35   27  2018-08-15   
#[Out]# 96682  190  Kostas   Eindeweg  Utrecht  820  190   36    5  2018-08-23   
#[Out]# 96683  190  Kostas   Eindeweg  Utrecht  821  190   37   28  2018-08-15   
#[Out]# 96684  190  Kostas   Eindeweg  Utrecht  822  190   38    7  2018-08-24   
#[Out]# 96685  190  Kostas   Eindeweg  Utrecht  823  190   39    0  2018-08-25   
#[Out]# 96686  190  Kostas   Eindeweg  Utrecht  824  190   40   11  2018-08-15   
#[Out]# 96687  190  Kostas   Eindeweg  Utrecht  825  190   41    6  2018-08-15   
#[Out]# 96688  190  Kostas   Eindeweg  Utrecht  826  190   42   19  2018-08-22   
#[Out]# 96689  190  Kostas   Eindeweg  Utrecht  827  190   43   17  2018-08-17   
#[Out]# 96690  190  Kostas   Eindeweg  Utrecht  828  190   44    9  2018-08-18   
#[Out]# 96691  190  Kostas   Eindeweg  Utrecht  829  190   45   11  2018-08-19   
#[Out]# 96692  190  Kostas   Eindeweg  Utrecht  830  190   46   22  2018-08-25   
#[Out]# 96693  190  Kostas   Eindeweg  Utrecht  831  190   47   17  2018-08-17   
#[Out]# 96694  190  Kostas   Eindeweg  Utrecht  832  190   48   20  2018-08-26   
#[Out]# 96695  190  Kostas   Eindeweg  Utrecht  833  190   49   11  2018-08-17   
#[Out]# 96696  190  Kostas   Eindeweg  Utrecht  834  190   50   21  2018-08-22   
#[Out]# 96697  190  Kostas   Eindeweg  Utrecht  835  190   51   23  2018-08-19   
#[Out]# 96698  190  Kostas   Eindeweg  Utrecht  836  190   52   23  2018-08-15   
#[Out]# 96699  190  Kostas   Eindeweg  Utrecht  837  190   53    8  2018-08-18   
#[Out]# 96700  190  Kostas   Eindeweg  Utrecht  838  190   54    0  2018-08-25   
#[Out]# 96701  190  Kostas   Eindeweg  Utrecht  839  190   55    8  2018-08-18   
#[Out]# 96702  190  Kostas   Eindeweg  Utrecht  840  190   56   11  2018-08-15   
#[Out]# 96703  190  Kostas   Eindeweg  Utrecht  841  190   57   15  2018-08-22   
#[Out]# 96704  190  Kostas   Eindeweg  Utrecht  842  190   58    2  2018-08-19   
#[Out]# 96705  190  Kostas   Eindeweg  Utrecht  843  190   59   17  2018-08-26   
#[Out]# 96706  190  Kostas   Eindeweg  Utrecht  844  190   60    5  2018-08-27   
#[Out]# 96707  190  Kostas   Eindeweg  Utrecht  845  190   61   19  2018-08-23   
#[Out]# 96708  190  Kostas   Eindeweg  Utrecht  846  190   62    9  2018-08-16   
#[Out]# 96709  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#        quantity  price  
#[Out]# 0             1   0.45  
#[Out]# 1             2   4.65  
#[Out]# 2             3   1.60  
#[Out]# 3             2   1.25  
#[Out]# 4             4   3.95  
#[Out]# 5             4   2.75  
#[Out]# 6             8   0.90  
#[Out]# 7             6   9.10  
#[Out]# 8             1   2.45  
#[Out]# 9             7   1.35  
#[Out]# 10            6   1.10  
#[Out]# 11            4   3.70  
#[Out]# 12            1   1.55  
#[Out]# 13            2   4.30  
#[Out]# 14            2   2.75  
#[Out]# 15            6   1.45  
#[Out]# 16            2   4.15  
#[Out]# 17            9   9.05  
#[Out]# 18            5  13.60  
#[Out]# 19            2   1.05  
#[Out]# 20            9   3.05  
#[Out]# 21            4   2.75  
#[Out]# 22            6   4.70  
#[Out]# 23            6   8.25  
#[Out]# 24            9   1.10  
#[Out]# 25            2   1.55  
#[Out]# 26            2   1.85  
#[Out]# 27            1   2.20  
#[Out]# 28            2   2.10  
#[Out]# 29            6   1.70  
#[Out]# ...         ...    ...  
#[Out]# 96680         4   2.80  
#[Out]# 96681         5   0.50  
#[Out]# 96682         3   2.55  
#[Out]# 96683         4   0.65  
#[Out]# 96684         4   0.70  
#[Out]# 96685         4   3.70  
#[Out]# 96686         2   3.50  
#[Out]# 96687         5   2.95  
#[Out]# 96688         5   2.75  
#[Out]# 96689         7   1.50  
#[Out]# 96690         5   0.85  
#[Out]# 96691         2   3.55  
#[Out]# 96692         4   2.60  
#[Out]# 96693         4   3.25  
#[Out]# 96694         6   4.30  
#[Out]# 96695         3   3.05  
#[Out]# 96696         6   4.05  
#[Out]# 96697         1   1.50  
#[Out]# 96698         5   2.50  
#[Out]# 96699         4   3.95  
#[Out]# 96700         6   3.50  
#[Out]# 96701         7   2.95  
#[Out]# 96702         4   1.60  
#[Out]# 96703         5   3.25  
#[Out]# 96704         7   0.75  
#[Out]# 96705         2   3.80  
#[Out]# 96706         6   4.35  
#[Out]# 96707         5   2.85  
#[Out]# 96708         2   3.15  
#[Out]# 96709         1   3.30  
#[Out]# 
#[Out]# [96710 rows x 11 columns]
query3 = '''
    select *
    from customer as c, purchase as p
    where c.cID =  p.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           2   4.65  
#[Out]# 2           3   1.60  
#[Out]# 3           2   1.25  
#[Out]# 4           4   3.95  
#[Out]# 5           4   2.75  
#[Out]# 6           8   0.90  
#[Out]# 7           6   9.10  
#[Out]# 8           1   2.45  
#[Out]# 9           7   1.35  
#[Out]# 10          6   1.10  
#[Out]# 11          4   3.70  
#[Out]# 12          1   1.55  
#[Out]# 13          2   4.30  
#[Out]# 14          2   2.75  
#[Out]# 15          6   1.45  
#[Out]# 16          2   4.15  
#[Out]# 17          9   9.05  
#[Out]# 18          5  13.60  
#[Out]# 19          2   1.05  
#[Out]# 20          9   3.05  
#[Out]# 21          4   2.75  
#[Out]# 22          6   4.70  
#[Out]# 23          6   8.25  
#[Out]# 24          9   1.10  
#[Out]# 25          2   1.55  
#[Out]# 26          2   1.85  
#[Out]# 27          1   2.20  
#[Out]# 28          2   2.10  
#[Out]# 29          6   1.70  
#[Out]# ..        ...    ...  
#[Out]# 479         4   2.80  
#[Out]# 480         5   0.50  
#[Out]# 481         3   2.55  
#[Out]# 482         4   0.65  
#[Out]# 483         4   0.70  
#[Out]# 484         4   3.70  
#[Out]# 485         2   3.50  
#[Out]# 486         5   2.95  
#[Out]# 487         5   2.75  
#[Out]# 488         7   1.50  
#[Out]# 489         5   0.85  
#[Out]# 490         2   3.55  
#[Out]# 491         4   2.60  
#[Out]# 492         4   3.25  
#[Out]# 493         6   4.30  
#[Out]# 494         3   3.05  
#[Out]# 495         6   4.05  
#[Out]# 496         1   1.50  
#[Out]# 497         5   2.50  
#[Out]# 498         4   3.95  
#[Out]# 499         6   3.50  
#[Out]# 500         7   2.95  
#[Out]# 501         4   1.60  
#[Out]# 502         5   3.25  
#[Out]# 503         7   0.75  
#[Out]# 504         2   3.80  
#[Out]# 505         6   4.35  
#[Out]# 506         5   2.85  
#[Out]# 507         2   3.15  
#[Out]# 508         1   3.30  
#[Out]# 
#[Out]# [509 rows x 11 columns]
query3 = '''
    select *
    from customer as c, purchase as p, store as s
    where c.cID =  p.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID   cName     street     city  tID  cID  sID  pID        date  \
#[Out]# 0        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 2        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 3        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 4        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 5        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 6        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 7        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 8        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 9        0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 10       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 11       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 12       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 13       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 14       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 15       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 16       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 17       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 18       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 19       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 20       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 21       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 22       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 23       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 24       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 25       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 26       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 27       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 28       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# 29       0    Noah  Koestraat  Utrecht    0    0    3   10  2018-08-22   
#[Out]# ...    ...     ...        ...      ...  ...  ...  ...  ...         ...   
#[Out]# 32546  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32547  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32548  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32549  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32550  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32551  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32552  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32553  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32554  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32555  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32556  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32557  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32558  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32559  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32560  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32561  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32562  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32563  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32564  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32565  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32566  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32567  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32568  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32569  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32570  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32571  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32572  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32573  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32574  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 32575  190  Kostas   Eindeweg  Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#        quantity  price  sID        sName            street       city  
#[Out]# 0             1   0.45    0         Coop      Kalverstraat  Amsterdam  
#[Out]# 1             1   0.45    1    Hoogvliet  Rozemarijnstraat      Breda  
#[Out]# 2             1   0.45    2        Jumbo    Stadhoudersweg  Rotterdam  
#[Out]# 3             1   0.45    3       Sligro    Stadhoudersweg  Rotterdam  
#[Out]# 4             1   0.45    4    Hoogvliet       Molenstraat  Eindhoven  
#[Out]# 5             1   0.45    5       Sligro     Stationsplein      Breda  
#[Out]# 6             1   0.45    6         Coop    Stadhoudersweg  Rotterdam  
#[Out]# 7             1   0.45    7       Sligro  Wilhelminastraat  Eindhoven  
#[Out]# 8             1   0.45    8  Albert Hein       Molenstraat  Eindhoven  
#[Out]# 9             1   0.45    9  Albert Hein         Koestraat    Tilburg  
#[Out]# 10            1   0.45   10        Jumbo        Bergselaan  Rotterdam  
#[Out]# 11            1   0.45   11  Albert Hein          Hofplein  Rotterdam  
#[Out]# 12            1   0.45   12         Lidl  Wilhelminastraat  Eindhoven  
#[Out]# 13            1   0.45   13         Coop         Koestraat    Tilburg  
#[Out]# 14            1   0.45   14         Coop     Keizersgracht  Amsterdam  
#[Out]# 15            1   0.45   15         Lidl     Prinsengracht  Amsterdam  
#[Out]# 16            1   0.45   16         Lidl     Ambachtstraat    Utrecht  
#[Out]# 17            1   0.45   17    Hoogvliet        Kerkstraat  Eindhoven  
#[Out]# 18            1   0.45   18       Sligro       Parallelweg    Tilburg  
#[Out]# 19            1   0.45   19         Coop       Karrestraat      Breda  
#[Out]# 20            1   0.45   20        Jumbo      Kasteeldreef    Tilburg  
#[Out]# 21            1   0.45   21         Coop      Kasteeldreef    Tilburg  
#[Out]# 22            1   0.45   22         Lidl     Prinsengracht  Amsterdam  
#[Out]# 23            1   0.45   23         Dirk     Stationsplein      Breda  
#[Out]# 24            1   0.45   24  Albert Hein     Stationsplein      Breda  
#[Out]# 25            1   0.45   25  Albert Hein     Stationsplein      Breda  
#[Out]# 26            1   0.45   26    Hoogvliet   Sint Annastraat      Breda  
#[Out]# 27            1   0.45   27       Sligro      Kalverstraat  Amsterdam  
#[Out]# 28            1   0.45   28    Hoogvliet         Koestraat    Tilburg  
#[Out]# 29            1   0.45   29       Sligro      Marnixstraat  Amsterdam  
#[Out]# ...         ...    ...  ...          ...               ...        ...  
#[Out]# 32546         1   3.30   34         Coop          Bierkaai  Amsterdam  
#[Out]# 32547         1   3.30   35         Lidl     Julianastraat    Utrecht  
#[Out]# 32548         1   3.30   36         Lidl     Julianastraat  Eindhoven  
#[Out]# 32549         1   3.30   37        Jumbo          Molenweg  Eindhoven  
#[Out]# 32550         1   3.30   38    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 32551         1   3.30   39       Sligro       Dorpsstraat  Eindhoven  
#[Out]# 32552         1   3.30   40    Hoogvliet          Hofplein  Rotterdam  
#[Out]# 32553         1   3.30   41  Albert Hein        Bergselaan  Rotterdam  
#[Out]# 32554         1   3.30   42       Sligro      Kalverstraat  Amsterdam  
#[Out]# 32555         1   3.30   43         Coop    Gasthuisstraat    Utrecht  
#[Out]# 32556         1   3.30   44  Albert Hein     Ambachtstraat    Utrecht  
#[Out]# 32557         1   3.30   45         Coop      Kasteeldreef    Tilburg  
#[Out]# 32558         1   3.30   46         Lidl        Bergselaan  Rotterdam  
#[Out]# 32559         1   3.30   47         Coop     Julianastraat  Rotterdam  
#[Out]# 32560         1   3.30   48    Hoogvliet      Kasteeldreef    Tilburg  
#[Out]# 32561         1   3.30   49    Hoogvliet      Keizerstraat  Rotterdam  
#[Out]# 32562         1   3.30   50       Sligro     Stationsplein      Breda  
#[Out]# 32563         1   3.30   51         Coop       Parallelweg    Utrecht  
#[Out]# 32564         1   3.30   52         Lidl       Nieuwstraat  Eindhoven  
#[Out]# 32565         1   3.30   53         Coop        Hoogstraat    Utrecht  
#[Out]# 32566         1   3.30   54         Dirk     Julianastraat  Eindhoven  
#[Out]# 32567         1   3.30   55         Coop   Sint Annastraat      Breda  
#[Out]# 32568         1   3.30   56        Jumbo       Parallelweg  Eindhoven  
#[Out]# 32569         1   3.30   57         Dirk       Molenstraat  Eindhoven  
#[Out]# 32570         1   3.30   58         Dirk      Keizerstraat  Rotterdam  
#[Out]# 32571         1   3.30   59        Jumbo  Rozemarijnstraat      Breda  
#[Out]# 32572         1   3.30   60         Lidl      Pannekoekweg      Breda  
#[Out]# 32573         1   3.30   61         Lidl      Pannekoekweg      Breda  
#[Out]# 32574         1   3.30   62        Jumbo     Poffertjesweg  Eindhoven  
#[Out]# 32575         1   3.30   63        Jumbo     Stationstraat        Oss  
#[Out]# 
#[Out]# [32576 rows x 15 columns]
query3 = '''
    select *
    from customer as c, purchase as p
    where c.cID =  p.cID 
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID   cName            street       city  tID  cID  sID  pID        date  \
#[Out]# 0      0    Noah         Koestraat    Utrecht    0    0    3   10  2018-08-22   
#[Out]# 1      1     Sem  Rozemarijnstraat      Breda    1    1   23   14  2018-08-20   
#[Out]# 2      1     Sem  Rozemarijnstraat      Breda    2    1    3   16  2018-08-20   
#[Out]# 3      1     Sem  Rozemarijnstraat      Breda    3    1   17    9  2018-08-20   
#[Out]# 4      1     Sem  Rozemarijnstraat      Breda    4    1   32   25  2018-08-20   
#[Out]# 5      1     Sem  Rozemarijnstraat      Breda    5    1   16   26  2018-08-20   
#[Out]# 6      1     Sem  Rozemarijnstraat      Breda    6    1   46   11  2018-08-21   
#[Out]# 7      1     Sem  Rozemarijnstraat      Breda    7    1   36   27  2018-08-21   
#[Out]# 8      2   Lucas  Oude Leliestraat  Amsterdam    8    2   12   20  2018-08-16   
#[Out]# 9      2   Lucas  Oude Leliestraat  Amsterdam    9    2   39    9  2018-08-17   
#[Out]# 10     2   Lucas  Oude Leliestraat  Amsterdam   10    2   13    4  2018-08-17   
#[Out]# 11     2   Lucas  Oude Leliestraat  Amsterdam   11    2   51   13  2018-08-17   
#[Out]# 12     2   Lucas  Oude Leliestraat  Amsterdam   12    2   47   22  2018-08-17   
#[Out]# 13     3    Finn     Stationsplein      Breda   13    3   44   14  2018-08-18   
#[Out]# 14     3    Finn     Stationsplein      Breda   14    3   30   26  2018-08-19   
#[Out]# 15     3    Finn     Stationsplein      Breda   15    3   29    9  2018-08-19   
#[Out]# 16     4    Daan      Kalverstraat  Amsterdam   16    4   17    8  2018-08-24   
#[Out]# 17     4    Daan      Kalverstraat  Amsterdam   17    4   10   27  2018-08-24   
#[Out]# 18     4    Daan      Kalverstraat  Amsterdam   18    4   53   12  2018-08-25   
#[Out]# 19     4    Daan      Kalverstraat  Amsterdam   19    4   21    6  2018-08-24   
#[Out]# 20     4    Daan      Kalverstraat  Amsterdam   20    4    7   13  2018-08-25   
#[Out]# 21     4    Daan      Kalverstraat  Amsterdam   21    4   44   26  2018-08-25   
#[Out]# 22     5    Levi    Gasthuisstraat    Utrecht   22    5    4   14  2018-08-17   
#[Out]# 23     5    Levi    Gasthuisstraat    Utrecht   23    5   36   28  2018-08-22   
#[Out]# 24     5    Levi    Gasthuisstraat    Utrecht   24    5   55    6  2018-08-23   
#[Out]# 25     5    Levi    Gasthuisstraat    Utrecht   25    5   51   22  2018-08-23   
#[Out]# 26     5    Levi    Gasthuisstraat    Utrecht   26    5    6   16  2018-08-23   
#[Out]# 27     5    Levi    Gasthuisstraat    Utrecht   27    5   17   19  2018-08-23   
#[Out]# 28     7    Bram      Schoolstraat  Eindhoven   28    7    3   19  2018-08-23   
#[Out]# 29     7    Bram      Schoolstraat  Eindhoven   29    7   12    2  2018-08-23   
#[Out]# ..   ...     ...               ...        ...  ...  ...  ...  ...         ...   
#[Out]# 479  190  Kostas          Eindeweg    Utrecht  818  190   34   28  2018-08-20   
#[Out]# 480  190  Kostas          Eindeweg    Utrecht  819  190   35   27  2018-08-15   
#[Out]# 481  190  Kostas          Eindeweg    Utrecht  820  190   36    5  2018-08-23   
#[Out]# 482  190  Kostas          Eindeweg    Utrecht  821  190   37   28  2018-08-15   
#[Out]# 483  190  Kostas          Eindeweg    Utrecht  822  190   38    7  2018-08-24   
#[Out]# 484  190  Kostas          Eindeweg    Utrecht  823  190   39    0  2018-08-25   
#[Out]# 485  190  Kostas          Eindeweg    Utrecht  824  190   40   11  2018-08-15   
#[Out]# 486  190  Kostas          Eindeweg    Utrecht  825  190   41    6  2018-08-15   
#[Out]# 487  190  Kostas          Eindeweg    Utrecht  826  190   42   19  2018-08-22   
#[Out]# 488  190  Kostas          Eindeweg    Utrecht  827  190   43   17  2018-08-17   
#[Out]# 489  190  Kostas          Eindeweg    Utrecht  828  190   44    9  2018-08-18   
#[Out]# 490  190  Kostas          Eindeweg    Utrecht  829  190   45   11  2018-08-19   
#[Out]# 491  190  Kostas          Eindeweg    Utrecht  830  190   46   22  2018-08-25   
#[Out]# 492  190  Kostas          Eindeweg    Utrecht  831  190   47   17  2018-08-17   
#[Out]# 493  190  Kostas          Eindeweg    Utrecht  832  190   48   20  2018-08-26   
#[Out]# 494  190  Kostas          Eindeweg    Utrecht  833  190   49   11  2018-08-17   
#[Out]# 495  190  Kostas          Eindeweg    Utrecht  834  190   50   21  2018-08-22   
#[Out]# 496  190  Kostas          Eindeweg    Utrecht  835  190   51   23  2018-08-19   
#[Out]# 497  190  Kostas          Eindeweg    Utrecht  836  190   52   23  2018-08-15   
#[Out]# 498  190  Kostas          Eindeweg    Utrecht  837  190   53    8  2018-08-18   
#[Out]# 499  190  Kostas          Eindeweg    Utrecht  838  190   54    0  2018-08-25   
#[Out]# 500  190  Kostas          Eindeweg    Utrecht  839  190   55    8  2018-08-18   
#[Out]# 501  190  Kostas          Eindeweg    Utrecht  840  190   56   11  2018-08-15   
#[Out]# 502  190  Kostas          Eindeweg    Utrecht  841  190   57   15  2018-08-22   
#[Out]# 503  190  Kostas          Eindeweg    Utrecht  842  190   58    2  2018-08-19   
#[Out]# 504  190  Kostas          Eindeweg    Utrecht  843  190   59   17  2018-08-26   
#[Out]# 505  190  Kostas          Eindeweg    Utrecht  844  190   60    5  2018-08-27   
#[Out]# 506  190  Kostas          Eindeweg    Utrecht  845  190   61   19  2018-08-23   
#[Out]# 507  190  Kostas          Eindeweg    Utrecht  846  190   62    9  2018-08-16   
#[Out]# 508  190  Kostas          Eindeweg    Utrecht  847  190   63   18  2018-08-21   
#[Out]# 
#[Out]#      quantity  price  
#[Out]# 0           1   0.45  
#[Out]# 1           2   4.65  
#[Out]# 2           3   1.60  
#[Out]# 3           2   1.25  
#[Out]# 4           4   3.95  
#[Out]# 5           4   2.75  
#[Out]# 6           8   0.90  
#[Out]# 7           6   9.10  
#[Out]# 8           1   2.45  
#[Out]# 9           7   1.35  
#[Out]# 10          6   1.10  
#[Out]# 11          4   3.70  
#[Out]# 12          1   1.55  
#[Out]# 13          2   4.30  
#[Out]# 14          2   2.75  
#[Out]# 15          6   1.45  
#[Out]# 16          2   4.15  
#[Out]# 17          9   9.05  
#[Out]# 18          5  13.60  
#[Out]# 19          2   1.05  
#[Out]# 20          9   3.05  
#[Out]# 21          4   2.75  
#[Out]# 22          6   4.70  
#[Out]# 23          6   8.25  
#[Out]# 24          9   1.10  
#[Out]# 25          2   1.55  
#[Out]# 26          2   1.85  
#[Out]# 27          1   2.20  
#[Out]# 28          2   2.10  
#[Out]# 29          6   1.70  
#[Out]# ..        ...    ...  
#[Out]# 479         4   2.80  
#[Out]# 480         5   0.50  
#[Out]# 481         3   2.55  
#[Out]# 482         4   0.65  
#[Out]# 483         4   0.70  
#[Out]# 484         4   3.70  
#[Out]# 485         2   3.50  
#[Out]# 486         5   2.95  
#[Out]# 487         5   2.75  
#[Out]# 488         7   1.50  
#[Out]# 489         5   0.85  
#[Out]# 490         2   3.55  
#[Out]# 491         4   2.60  
#[Out]# 492         4   3.25  
#[Out]# 493         6   4.30  
#[Out]# 494         3   3.05  
#[Out]# 495         6   4.05  
#[Out]# 496         1   1.50  
#[Out]# 497         5   2.50  
#[Out]# 498         4   3.95  
#[Out]# 499         6   3.50  
#[Out]# 500         7   2.95  
#[Out]# 501         4   1.60  
#[Out]# 502         5   3.25  
#[Out]# 503         7   0.75  
#[Out]# 504         2   3.80  
#[Out]# 505         6   4.35  
#[Out]# 506         5   2.85  
#[Out]# 507         2   3.15  
#[Out]# 508         1   3.30  
#[Out]# 
#[Out]# [509 rows x 11 columns]
# test queries, assignment 4

query = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query, conn)
# test queries, assignment 4

query = '''

'''

pd.read_sql_query(query, conn)
# test queries, assignment 4

query = '''
    select *
    from product
'''

pd.read_sql_query(query, conn)
#[Out]#     pID             pName suffix
#[Out]# 0     0       Cashew Nuts       
#[Out]# 1     1        Mixed Nuts       
#[Out]# 2     2          Potatoes       
#[Out]# 3     3      Green Pepper       
#[Out]# 4     4            Onions       
#[Out]# 5     5         Mushrooms       
#[Out]# 6     6           Carrots       
#[Out]# 7     7          Tomatoes       
#[Out]# 8     8  Hot Dog Sausages       
#[Out]# 9     9           Bananas       
#[Out]# 10   10             Water       
#[Out]# 11   11              Milk       
#[Out]# 12   12              Beef       
#[Out]# 13   13              Eggs       
#[Out]# 14   14            Apples       
#[Out]# 15   15         Cucumbers       
#[Out]# 16   16              Rice       
#[Out]# 17   17             Bread       
#[Out]# 18   18            Cheese       
#[Out]# 19   19              Coca       
#[Out]# 20   20             Fanta       
#[Out]# 21   21            Coffee       
#[Out]# 22   22               Tea       
#[Out]# 23   23   Spiced Biscuits       
#[Out]# 24   24           Oranges       
#[Out]# 25   25            Donuts       
#[Out]# 26   26             Pasta       
#[Out]# 27   27             Pizza       
#[Out]# 28   28           Lasanga       
#[Out]# 29   29            Salmon       
#[Out]# 30   30           Ketchup       
#[Out]# 31   31   French baguette       
# test queries, assignment 4

query = '''
    select distinct p.pID 
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD
    having count(pur.cID) <= 2
'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# test queries, assignment 4

query = '''
    select p.pID 
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD
    having count(pur.cID) <= 2
'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# test queries, assignment 4

query = '''
    select distinct p.pID 
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD
    having count(pur.cID) <= 2
'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# test queries, assignment 4

query = '''
    select p.pID 
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD
    having count(pur.cID) <= 2
'''

pd.read_sql_query(query, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
# test queries, assignment 4

query = '''
    select p.pID 
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD, count(pur.cID)
'''

pd.read_sql_query(query, conn)
# test queries, assignment 4

query = '''
    select p.pID, count(pur.cID)
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by p.piD
'''

pd.read_sql_query(query, conn)
#[Out]#     pID  count(pur.cID)
#[Out]# 0     0              25
#[Out]# 1     1              13
#[Out]# 2     2              10
#[Out]# 3     3              20
#[Out]# 4     4              16
#[Out]# 5     5              16
#[Out]# 6     6              15
#[Out]# 7     7              14
#[Out]# 8     8              13
#[Out]# 9     9              20
#[Out]# 10   10              16
#[Out]# 11   11              16
#[Out]# 12   12              16
#[Out]# 13   13              21
#[Out]# 14   14              18
#[Out]# 15   15              14
#[Out]# 16   16              20
#[Out]# 17   17              18
#[Out]# 18   18              10
#[Out]# 19   19              26
#[Out]# 20   20              18
#[Out]# 21   21              22
#[Out]# 22   22              21
#[Out]# 23   23              13
#[Out]# 24   24              20
#[Out]# 25   25              14
#[Out]# 26   26              20
#[Out]# 27   27              15
#[Out]# 28   28              25
#[Out]# 29   29               2
#[Out]# 30   30               2
# test queries, assignment 4

query = '''
    select pur.pID, count(pur.cID)
    from product as p, purchase as pur
    where p.pID = pur.piD
    group by pur.piD
'''

pd.read_sql_query(query, conn)
#[Out]#     pID  count(pur.cID)
#[Out]# 0     0              25
#[Out]# 1     1              13
#[Out]# 2     2              10
#[Out]# 3     3              20
#[Out]# 4     4              16
#[Out]# 5     5              16
#[Out]# 6     6              15
#[Out]# 7     7              14
#[Out]# 8     8              13
#[Out]# 9     9              20
#[Out]# 10   10              16
#[Out]# 11   11              16
#[Out]# 12   12              16
#[Out]# 13   13              21
#[Out]# 14   14              18
#[Out]# 15   15              14
#[Out]# 16   16              20
#[Out]# 17   17              18
#[Out]# 18   18              10
#[Out]# 19   19              26
#[Out]# 20   20              18
#[Out]# 21   21              22
#[Out]# 22   22              21
#[Out]# 23   23              13
#[Out]# 24   24              20
#[Out]# 25   25              14
#[Out]# 26   26              20
#[Out]# 27   27              15
#[Out]# 28   28              25
#[Out]# 29   29               2
#[Out]# 30   30               2
# test queries, assignment 4

query = '''
    select pur.pID, count(pur.cID)
    from purchase as pur
    group by pur.piD
'''

pd.read_sql_query(query, conn)
#[Out]#     pID  count(pur.cID)
#[Out]# 0     0              25
#[Out]# 1     1              13
#[Out]# 2     2              10
#[Out]# 3     3              20
#[Out]# 4     4              16
#[Out]# 5     5              16
#[Out]# 6     6              15
#[Out]# 7     7              14
#[Out]# 8     8              13
#[Out]# 9     9              20
#[Out]# 10   10              16
#[Out]# 11   11              16
#[Out]# 12   12              16
#[Out]# 13   13              21
#[Out]# 14   14              18
#[Out]# 15   15              14
#[Out]# 16   16              20
#[Out]# 17   17              18
#[Out]# 18   18              10
#[Out]# 19   19              26
#[Out]# 20   20              18
#[Out]# 21   21              22
#[Out]# 22   22              21
#[Out]# 23   23              13
#[Out]# 24   24              20
#[Out]# 25   25              14
#[Out]# 26   26              20
#[Out]# 27   27              15
#[Out]# 28   28              25
#[Out]# 29   29               2
#[Out]# 30   30               2
# test queries, assignment 4

query = '''
    select pID, count(cID)
    from purchase
    group by pur.piD
    having count(cID) <= 2
'''

pd.read_sql_query(query, conn)
# test queries, assignment 4

query = '''
    select pID, count(cID)
    from purchase
    group by piD
    having count(cID) <= 2
'''

pd.read_sql_query(query, conn)
#[Out]#    pID  count(cID)
#[Out]# 0   29           2
#[Out]# 1   30           2
query3 = '''
    select *
    from customer as c, product as p
'''

pd.read_sql_query(query3, conn)
#[Out]#       cID   cName     street     city  pID             pName suffix
#[Out]# 0       0    Noah  Koestraat  Utrecht    0       Cashew Nuts       
#[Out]# 1       0    Noah  Koestraat  Utrecht    1        Mixed Nuts       
#[Out]# 2       0    Noah  Koestraat  Utrecht    2          Potatoes       
#[Out]# 3       0    Noah  Koestraat  Utrecht    3      Green Pepper       
#[Out]# 4       0    Noah  Koestraat  Utrecht    4            Onions       
#[Out]# 5       0    Noah  Koestraat  Utrecht    5         Mushrooms       
#[Out]# 6       0    Noah  Koestraat  Utrecht    6           Carrots       
#[Out]# 7       0    Noah  Koestraat  Utrecht    7          Tomatoes       
#[Out]# 8       0    Noah  Koestraat  Utrecht    8  Hot Dog Sausages       
#[Out]# 9       0    Noah  Koestraat  Utrecht    9           Bananas       
#[Out]# 10      0    Noah  Koestraat  Utrecht   10             Water       
#[Out]# 11      0    Noah  Koestraat  Utrecht   11              Milk       
#[Out]# 12      0    Noah  Koestraat  Utrecht   12              Beef       
#[Out]# 13      0    Noah  Koestraat  Utrecht   13              Eggs       
#[Out]# 14      0    Noah  Koestraat  Utrecht   14            Apples       
#[Out]# 15      0    Noah  Koestraat  Utrecht   15         Cucumbers       
#[Out]# 16      0    Noah  Koestraat  Utrecht   16              Rice       
#[Out]# 17      0    Noah  Koestraat  Utrecht   17             Bread       
#[Out]# 18      0    Noah  Koestraat  Utrecht   18            Cheese       
#[Out]# 19      0    Noah  Koestraat  Utrecht   19              Coca       
#[Out]# 20      0    Noah  Koestraat  Utrecht   20             Fanta       
#[Out]# 21      0    Noah  Koestraat  Utrecht   21            Coffee       
#[Out]# 22      0    Noah  Koestraat  Utrecht   22               Tea       
#[Out]# 23      0    Noah  Koestraat  Utrecht   23   Spiced Biscuits       
#[Out]# 24      0    Noah  Koestraat  Utrecht   24           Oranges       
#[Out]# 25      0    Noah  Koestraat  Utrecht   25            Donuts       
#[Out]# 26      0    Noah  Koestraat  Utrecht   26             Pasta       
#[Out]# 27      0    Noah  Koestraat  Utrecht   27             Pizza       
#[Out]# 28      0    Noah  Koestraat  Utrecht   28           Lasanga       
#[Out]# 29      0    Noah  Koestraat  Utrecht   29            Salmon       
#[Out]# ...   ...     ...        ...      ...  ...               ...    ...
#[Out]# 6050  190  Kostas   Eindeweg  Utrecht    2          Potatoes       
#[Out]# 6051  190  Kostas   Eindeweg  Utrecht    3      Green Pepper       
#[Out]# 6052  190  Kostas   Eindeweg  Utrecht    4            Onions       
#[Out]# 6053  190  Kostas   Eindeweg  Utrecht    5         Mushrooms       
#[Out]# 6054  190  Kostas   Eindeweg  Utrecht    6           Carrots       
#[Out]# 6055  190  Kostas   Eindeweg  Utrecht    7          Tomatoes       
#[Out]# 6056  190  Kostas   Eindeweg  Utrecht    8  Hot Dog Sausages       
#[Out]# 6057  190  Kostas   Eindeweg  Utrecht    9           Bananas       
#[Out]# 6058  190  Kostas   Eindeweg  Utrecht   10             Water       
#[Out]# 6059  190  Kostas   Eindeweg  Utrecht   11              Milk       
#[Out]# 6060  190  Kostas   Eindeweg  Utrecht   12              Beef       
#[Out]# 6061  190  Kostas   Eindeweg  Utrecht   13              Eggs       
#[Out]# 6062  190  Kostas   Eindeweg  Utrecht   14            Apples       
#[Out]# 6063  190  Kostas   Eindeweg  Utrecht   15         Cucumbers       
#[Out]# 6064  190  Kostas   Eindeweg  Utrecht   16              Rice       
#[Out]# 6065  190  Kostas   Eindeweg  Utrecht   17             Bread       
#[Out]# 6066  190  Kostas   Eindeweg  Utrecht   18            Cheese       
#[Out]# 6067  190  Kostas   Eindeweg  Utrecht   19              Coca       
#[Out]# 6068  190  Kostas   Eindeweg  Utrecht   20             Fanta       
#[Out]# 6069  190  Kostas   Eindeweg  Utrecht   21            Coffee       
#[Out]# 6070  190  Kostas   Eindeweg  Utrecht   22               Tea       
#[Out]# 6071  190  Kostas   Eindeweg  Utrecht   23   Spiced Biscuits       
#[Out]# 6072  190  Kostas   Eindeweg  Utrecht   24           Oranges       
#[Out]# 6073  190  Kostas   Eindeweg  Utrecht   25            Donuts       
#[Out]# 6074  190  Kostas   Eindeweg  Utrecht   26             Pasta       
#[Out]# 6075  190  Kostas   Eindeweg  Utrecht   27             Pizza       
#[Out]# 6076  190  Kostas   Eindeweg  Utrecht   28           Lasanga       
#[Out]# 6077  190  Kostas   Eindeweg  Utrecht   29            Salmon       
#[Out]# 6078  190  Kostas   Eindeweg  Utrecht   30           Ketchup       
#[Out]# 6079  190  Kostas   Eindeweg  Utrecht   31   French baguette       
#[Out]# 
#[Out]# [6080 rows x 7 columns]
query3 = '''
    select *
    from customer as c, store as s
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID   cName     street     city  sID        sName            street  \
#[Out]# 0        0    Noah  Koestraat  Utrecht    0         Coop      Kalverstraat   
#[Out]# 1        0    Noah  Koestraat  Utrecht    1    Hoogvliet  Rozemarijnstraat   
#[Out]# 2        0    Noah  Koestraat  Utrecht    2        Jumbo    Stadhoudersweg   
#[Out]# 3        0    Noah  Koestraat  Utrecht    3       Sligro    Stadhoudersweg   
#[Out]# 4        0    Noah  Koestraat  Utrecht    4    Hoogvliet       Molenstraat   
#[Out]# 5        0    Noah  Koestraat  Utrecht    5       Sligro     Stationsplein   
#[Out]# 6        0    Noah  Koestraat  Utrecht    6         Coop    Stadhoudersweg   
#[Out]# 7        0    Noah  Koestraat  Utrecht    7       Sligro  Wilhelminastraat   
#[Out]# 8        0    Noah  Koestraat  Utrecht    8  Albert Hein       Molenstraat   
#[Out]# 9        0    Noah  Koestraat  Utrecht    9  Albert Hein         Koestraat   
#[Out]# 10       0    Noah  Koestraat  Utrecht   10        Jumbo        Bergselaan   
#[Out]# 11       0    Noah  Koestraat  Utrecht   11  Albert Hein          Hofplein   
#[Out]# 12       0    Noah  Koestraat  Utrecht   12         Lidl  Wilhelminastraat   
#[Out]# 13       0    Noah  Koestraat  Utrecht   13         Coop         Koestraat   
#[Out]# 14       0    Noah  Koestraat  Utrecht   14         Coop     Keizersgracht   
#[Out]# 15       0    Noah  Koestraat  Utrecht   15         Lidl     Prinsengracht   
#[Out]# 16       0    Noah  Koestraat  Utrecht   16         Lidl     Ambachtstraat   
#[Out]# 17       0    Noah  Koestraat  Utrecht   17    Hoogvliet        Kerkstraat   
#[Out]# 18       0    Noah  Koestraat  Utrecht   18       Sligro       Parallelweg   
#[Out]# 19       0    Noah  Koestraat  Utrecht   19         Coop       Karrestraat   
#[Out]# 20       0    Noah  Koestraat  Utrecht   20        Jumbo      Kasteeldreef   
#[Out]# 21       0    Noah  Koestraat  Utrecht   21         Coop      Kasteeldreef   
#[Out]# 22       0    Noah  Koestraat  Utrecht   22         Lidl     Prinsengracht   
#[Out]# 23       0    Noah  Koestraat  Utrecht   23         Dirk     Stationsplein   
#[Out]# 24       0    Noah  Koestraat  Utrecht   24  Albert Hein     Stationsplein   
#[Out]# 25       0    Noah  Koestraat  Utrecht   25  Albert Hein     Stationsplein   
#[Out]# 26       0    Noah  Koestraat  Utrecht   26    Hoogvliet   Sint Annastraat   
#[Out]# 27       0    Noah  Koestraat  Utrecht   27       Sligro      Kalverstraat   
#[Out]# 28       0    Noah  Koestraat  Utrecht   28    Hoogvliet         Koestraat   
#[Out]# 29       0    Noah  Koestraat  Utrecht   29       Sligro      Marnixstraat   
#[Out]# ...    ...     ...        ...      ...  ...          ...               ...   
#[Out]# 12130  190  Kostas   Eindeweg  Utrecht   34         Coop          Bierkaai   
#[Out]# 12131  190  Kostas   Eindeweg  Utrecht   35         Lidl     Julianastraat   
#[Out]# 12132  190  Kostas   Eindeweg  Utrecht   36         Lidl     Julianastraat   
#[Out]# 12133  190  Kostas   Eindeweg  Utrecht   37        Jumbo          Molenweg   
#[Out]# 12134  190  Kostas   Eindeweg  Utrecht   38    Hoogvliet          Hofplein   
#[Out]# 12135  190  Kostas   Eindeweg  Utrecht   39       Sligro       Dorpsstraat   
#[Out]# 12136  190  Kostas   Eindeweg  Utrecht   40    Hoogvliet          Hofplein   
#[Out]# 12137  190  Kostas   Eindeweg  Utrecht   41  Albert Hein        Bergselaan   
#[Out]# 12138  190  Kostas   Eindeweg  Utrecht   42       Sligro      Kalverstraat   
#[Out]# 12139  190  Kostas   Eindeweg  Utrecht   43         Coop    Gasthuisstraat   
#[Out]# 12140  190  Kostas   Eindeweg  Utrecht   44  Albert Hein     Ambachtstraat   
#[Out]# 12141  190  Kostas   Eindeweg  Utrecht   45         Coop      Kasteeldreef   
#[Out]# 12142  190  Kostas   Eindeweg  Utrecht   46         Lidl        Bergselaan   
#[Out]# 12143  190  Kostas   Eindeweg  Utrecht   47         Coop     Julianastraat   
#[Out]# 12144  190  Kostas   Eindeweg  Utrecht   48    Hoogvliet      Kasteeldreef   
#[Out]# 12145  190  Kostas   Eindeweg  Utrecht   49    Hoogvliet      Keizerstraat   
#[Out]# 12146  190  Kostas   Eindeweg  Utrecht   50       Sligro     Stationsplein   
#[Out]# 12147  190  Kostas   Eindeweg  Utrecht   51         Coop       Parallelweg   
#[Out]# 12148  190  Kostas   Eindeweg  Utrecht   52         Lidl       Nieuwstraat   
#[Out]# 12149  190  Kostas   Eindeweg  Utrecht   53         Coop        Hoogstraat   
#[Out]# 12150  190  Kostas   Eindeweg  Utrecht   54         Dirk     Julianastraat   
#[Out]# 12151  190  Kostas   Eindeweg  Utrecht   55         Coop   Sint Annastraat   
#[Out]# 12152  190  Kostas   Eindeweg  Utrecht   56        Jumbo       Parallelweg   
#[Out]# 12153  190  Kostas   Eindeweg  Utrecht   57         Dirk       Molenstraat   
#[Out]# 12154  190  Kostas   Eindeweg  Utrecht   58         Dirk      Keizerstraat   
#[Out]# 12155  190  Kostas   Eindeweg  Utrecht   59        Jumbo  Rozemarijnstraat   
#[Out]# 12156  190  Kostas   Eindeweg  Utrecht   60         Lidl      Pannekoekweg   
#[Out]# 12157  190  Kostas   Eindeweg  Utrecht   61         Lidl      Pannekoekweg   
#[Out]# 12158  190  Kostas   Eindeweg  Utrecht   62        Jumbo     Poffertjesweg   
#[Out]# 12159  190  Kostas   Eindeweg  Utrecht   63        Jumbo     Stationstraat   
#[Out]# 
#[Out]#             city  
#[Out]# 0      Amsterdam  
#[Out]# 1          Breda  
#[Out]# 2      Rotterdam  
#[Out]# 3      Rotterdam  
#[Out]# 4      Eindhoven  
#[Out]# 5          Breda  
#[Out]# 6      Rotterdam  
#[Out]# 7      Eindhoven  
#[Out]# 8      Eindhoven  
#[Out]# 9        Tilburg  
#[Out]# 10     Rotterdam  
#[Out]# 11     Rotterdam  
#[Out]# 12     Eindhoven  
#[Out]# 13       Tilburg  
#[Out]# 14     Amsterdam  
#[Out]# 15     Amsterdam  
#[Out]# 16       Utrecht  
#[Out]# 17     Eindhoven  
#[Out]# 18       Tilburg  
#[Out]# 19         Breda  
#[Out]# 20       Tilburg  
#[Out]# 21       Tilburg  
#[Out]# 22     Amsterdam  
#[Out]# 23         Breda  
#[Out]# 24         Breda  
#[Out]# 25         Breda  
#[Out]# 26         Breda  
#[Out]# 27     Amsterdam  
#[Out]# 28       Tilburg  
#[Out]# 29     Amsterdam  
#[Out]# ...          ...  
#[Out]# 12130  Amsterdam  
#[Out]# 12131    Utrecht  
#[Out]# 12132  Eindhoven  
#[Out]# 12133  Eindhoven  
#[Out]# 12134  Rotterdam  
#[Out]# 12135  Eindhoven  
#[Out]# 12136  Rotterdam  
#[Out]# 12137  Rotterdam  
#[Out]# 12138  Amsterdam  
#[Out]# 12139    Utrecht  
#[Out]# 12140    Utrecht  
#[Out]# 12141    Tilburg  
#[Out]# 12142  Rotterdam  
#[Out]# 12143  Rotterdam  
#[Out]# 12144    Tilburg  
#[Out]# 12145  Rotterdam  
#[Out]# 12146      Breda  
#[Out]# 12147    Utrecht  
#[Out]# 12148  Eindhoven  
#[Out]# 12149    Utrecht  
#[Out]# 12150  Eindhoven  
#[Out]# 12151      Breda  
#[Out]# 12152  Eindhoven  
#[Out]# 12153  Eindhoven  
#[Out]# 12154  Rotterdam  
#[Out]# 12155      Breda  
#[Out]# 12156      Breda  
#[Out]# 12157      Breda  
#[Out]# 12158  Eindhoven  
#[Out]# 12159        Oss  
#[Out]# 
#[Out]# [12160 rows x 8 columns]
query3 = '''
    select cID
    from customer
    where not in 
    (select c.cID, s.sID
    from customer as c, store as s
    where
    except
    (select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    where not in 
    (select c.cID, s.sID
    from customer as c, store as s
    where
    except
    (select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    where not in 
    (select c.cID, s.sID
    from customer as c, store as s
    except
    (select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    where not in 
    ((select c.cID, s.sID
    from customer as c, store as s)
    except
    (select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    (select c.cID, s.sID
    from customer as c, store as s)
    except
    (select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    (select c.cID, s.sID
    from customer as c, store as s)

'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID  sID
#[Out]# 0        0    0
#[Out]# 1        0    1
#[Out]# 2        0    2
#[Out]# 3        0    4
#[Out]# 4        0    5
#[Out]# 5        0    6
#[Out]# 6        0    7
#[Out]# 7        0    8
#[Out]# 8        0    9
#[Out]# 9        0   10
#[Out]# 10       0   11
#[Out]# 11       0   12
#[Out]# 12       0   13
#[Out]# 13       0   14
#[Out]# 14       0   15
#[Out]# 15       0   16
#[Out]# 16       0   17
#[Out]# 17       0   18
#[Out]# 18       0   19
#[Out]# 19       0   20
#[Out]# 20       0   21
#[Out]# 21       0   22
#[Out]# 22       0   23
#[Out]# 23       0   24
#[Out]# 24       0   25
#[Out]# 25       0   26
#[Out]# 26       0   27
#[Out]# 27       0   28
#[Out]# 28       0   29
#[Out]# 29       0   30
#[Out]# ...    ...  ...
#[Out]# 11640  189   33
#[Out]# 11641  189   34
#[Out]# 11642  189   35
#[Out]# 11643  189   36
#[Out]# 11644  189   37
#[Out]# 11645  189   38
#[Out]# 11646  189   39
#[Out]# 11647  189   40
#[Out]# 11648  189   41
#[Out]# 11649  189   42
#[Out]# 11650  189   43
#[Out]# 11651  189   44
#[Out]# 11652  189   45
#[Out]# 11653  189   46
#[Out]# 11654  189   47
#[Out]# 11655  189   48
#[Out]# 11656  189   49
#[Out]# 11657  189   50
#[Out]# 11658  189   51
#[Out]# 11659  189   52
#[Out]# 11660  189   53
#[Out]# 11661  189   54
#[Out]# 11662  189   55
#[Out]# 11663  189   56
#[Out]# 11664  189   57
#[Out]# 11665  189   58
#[Out]# 11666  189   59
#[Out]# 11667  189   60
#[Out]# 11668  189   61
#[Out]# 11669  189   62
#[Out]# 
#[Out]# [11670 rows x 2 columns]
query3 = '''
    select cID
    from customer
    where not in
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    where in
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    except
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    except
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID  sID
#[Out]# 0        0    0
#[Out]# 1        0    1
#[Out]# 2        0    2
#[Out]# 3        0    4
#[Out]# 4        0    5
#[Out]# 5        0    6
#[Out]# 6        0    7
#[Out]# 7        0    8
#[Out]# 8        0    9
#[Out]# 9        0   10
#[Out]# 10       0   11
#[Out]# 11       0   12
#[Out]# 12       0   13
#[Out]# 13       0   14
#[Out]# 14       0   15
#[Out]# 15       0   16
#[Out]# 16       0   17
#[Out]# 17       0   18
#[Out]# 18       0   19
#[Out]# 19       0   20
#[Out]# 20       0   21
#[Out]# 21       0   22
#[Out]# 22       0   23
#[Out]# 23       0   24
#[Out]# 24       0   25
#[Out]# 25       0   26
#[Out]# 26       0   27
#[Out]# 27       0   28
#[Out]# 28       0   29
#[Out]# 29       0   30
#[Out]# ...    ...  ...
#[Out]# 11640  189   33
#[Out]# 11641  189   34
#[Out]# 11642  189   35
#[Out]# 11643  189   36
#[Out]# 11644  189   37
#[Out]# 11645  189   38
#[Out]# 11646  189   39
#[Out]# 11647  189   40
#[Out]# 11648  189   41
#[Out]# 11649  189   42
#[Out]# 11650  189   43
#[Out]# 11651  189   44
#[Out]# 11652  189   45
#[Out]# 11653  189   46
#[Out]# 11654  189   47
#[Out]# 11655  189   48
#[Out]# 11656  189   49
#[Out]# 11657  189   50
#[Out]# 11658  189   51
#[Out]# 11659  189   52
#[Out]# 11660  189   53
#[Out]# 11661  189   54
#[Out]# 11662  189   55
#[Out]# 11663  189   56
#[Out]# 11664  189   57
#[Out]# 11665  189   58
#[Out]# 11666  189   59
#[Out]# 11667  189   60
#[Out]# 11668  189   61
#[Out]# 11669  189   62
#[Out]# 
#[Out]# [11670 rows x 2 columns]
query3 = '''
    select c.ID, s.sID
    from from customer as c, store as s
    except 
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.ID, s.sID
    from customer as c, store as s
    except 
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except 
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, sID]
#[Out]# Index: []
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except 
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except
    (select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID  sID
#[Out]# 0        0    0
#[Out]# 1        0    1
#[Out]# 2        0    2
#[Out]# 3        0    4
#[Out]# 4        0    5
#[Out]# 5        0    6
#[Out]# 6        0    7
#[Out]# 7        0    8
#[Out]# 8        0    9
#[Out]# 9        0   10
#[Out]# 10       0   11
#[Out]# 11       0   12
#[Out]# 12       0   13
#[Out]# 13       0   14
#[Out]# 14       0   15
#[Out]# 15       0   16
#[Out]# 16       0   17
#[Out]# 17       0   18
#[Out]# 18       0   19
#[Out]# 19       0   20
#[Out]# 20       0   21
#[Out]# 21       0   22
#[Out]# 22       0   23
#[Out]# 23       0   24
#[Out]# 24       0   25
#[Out]# 25       0   26
#[Out]# 26       0   27
#[Out]# 27       0   28
#[Out]# 28       0   29
#[Out]# 29       0   30
#[Out]# ...    ...  ...
#[Out]# 11640  189   33
#[Out]# 11641  189   34
#[Out]# 11642  189   35
#[Out]# 11643  189   36
#[Out]# 11644  189   37
#[Out]# 11645  189   38
#[Out]# 11646  189   39
#[Out]# 11647  189   40
#[Out]# 11648  189   41
#[Out]# 11649  189   42
#[Out]# 11650  189   43
#[Out]# 11651  189   44
#[Out]# 11652  189   45
#[Out]# 11653  189   46
#[Out]# 11654  189   47
#[Out]# 11655  189   48
#[Out]# 11656  189   49
#[Out]# 11657  189   50
#[Out]# 11658  189   51
#[Out]# 11659  189   52
#[Out]# 11660  189   53
#[Out]# 11661  189   54
#[Out]# 11662  189   55
#[Out]# 11663  189   56
#[Out]# 11664  189   57
#[Out]# 11665  189   58
#[Out]# 11666  189   59
#[Out]# 11667  189   60
#[Out]# 11668  189   61
#[Out]# 11669  189   62
#[Out]# 
#[Out]# [11670 rows x 2 columns]
query3 = '''
    select cID
    from customer
    where cID not in
    select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    where cID not in
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
#[Out]#        cID
#[Out]# 0        0
#[Out]# 1        0
#[Out]# 2        0
#[Out]# 3        0
#[Out]# 4        0
#[Out]# 5        0
#[Out]# 6        0
#[Out]# 7        0
#[Out]# 8        0
#[Out]# 9        0
#[Out]# 10       0
#[Out]# 11       0
#[Out]# 12       0
#[Out]# 13       0
#[Out]# 14       0
#[Out]# 15       0
#[Out]# 16       0
#[Out]# 17       0
#[Out]# 18       0
#[Out]# 19       0
#[Out]# 20       0
#[Out]# 21       0
#[Out]# 22       0
#[Out]# 23       0
#[Out]# 24       0
#[Out]# 25       0
#[Out]# 26       0
#[Out]# 27       0
#[Out]# 28       0
#[Out]# 29       0
#[Out]# ...    ...
#[Out]# 11640  189
#[Out]# 11641  189
#[Out]# 11642  189
#[Out]# 11643  189
#[Out]# 11644  189
#[Out]# 11645  189
#[Out]# 11646  189
#[Out]# 11647  189
#[Out]# 11648  189
#[Out]# 11649  189
#[Out]# 11650  189
#[Out]# 11651  189
#[Out]# 11652  189
#[Out]# 11653  189
#[Out]# 11654  189
#[Out]# 11655  189
#[Out]# 11656  189
#[Out]# 11657  189
#[Out]# 11658  189
#[Out]# 11659  189
#[Out]# 11660  189
#[Out]# 11661  189
#[Out]# 11662  189
#[Out]# 11663  189
#[Out]# 11664  189
#[Out]# 11665  189
#[Out]# 11666  189
#[Out]# 11667  189
#[Out]# 11668  189
#[Out]# 11669  189
#[Out]# 
#[Out]# [11670 rows x 1 columns]
query3 = '''

    (select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    cID not in
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    cID not in
    (select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p))
'''

pd.read_sql_query(query3, conn)
query3 = '''
    select cID
    from customer
    cID 
    except
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 = '''
    select cID
    from customer
    except
    select cID from
    (select c.cID, s.sID
    from customer as c, store as s
    except
    select cID, sID from purchase as p)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query4 = '''
    select sName, count(sName)
    from store
    group by sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  count(sName)
#[Out]# 0  Albert Hein             8
#[Out]# 1         Coop            14
#[Out]# 2         Dirk             6
#[Out]# 3    Hoogvliet             9
#[Out]# 4        Jumbo             8
#[Out]# 5         Lidl            10
#[Out]# 6       Sligro             9
query4 = '''
    select sName
    from store
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query5 = '''
    select *
    from store
'''

pd.read_sql_query(query5, conn)
#[Out]#     sID        sName            street       city
#[Out]# 0     0         Coop      Kalverstraat  Amsterdam
#[Out]# 1     1    Hoogvliet  Rozemarijnstraat      Breda
#[Out]# 2     2        Jumbo    Stadhoudersweg  Rotterdam
#[Out]# 3     3       Sligro    Stadhoudersweg  Rotterdam
#[Out]# 4     4    Hoogvliet       Molenstraat  Eindhoven
#[Out]# 5     5       Sligro     Stationsplein      Breda
#[Out]# 6     6         Coop    Stadhoudersweg  Rotterdam
#[Out]# 7     7       Sligro  Wilhelminastraat  Eindhoven
#[Out]# 8     8  Albert Hein       Molenstraat  Eindhoven
#[Out]# 9     9  Albert Hein         Koestraat    Tilburg
#[Out]# 10   10        Jumbo        Bergselaan  Rotterdam
#[Out]# 11   11  Albert Hein          Hofplein  Rotterdam
#[Out]# 12   12         Lidl  Wilhelminastraat  Eindhoven
#[Out]# 13   13         Coop         Koestraat    Tilburg
#[Out]# 14   14         Coop     Keizersgracht  Amsterdam
#[Out]# 15   15         Lidl     Prinsengracht  Amsterdam
#[Out]# 16   16         Lidl     Ambachtstraat    Utrecht
#[Out]# 17   17    Hoogvliet        Kerkstraat  Eindhoven
#[Out]# 18   18       Sligro       Parallelweg    Tilburg
#[Out]# 19   19         Coop       Karrestraat      Breda
#[Out]# 20   20        Jumbo      Kasteeldreef    Tilburg
#[Out]# 21   21         Coop      Kasteeldreef    Tilburg
#[Out]# 22   22         Lidl     Prinsengracht  Amsterdam
#[Out]# 23   23         Dirk     Stationsplein      Breda
#[Out]# 24   24  Albert Hein     Stationsplein      Breda
#[Out]# 25   25  Albert Hein     Stationsplein      Breda
#[Out]# 26   26    Hoogvliet   Sint Annastraat      Breda
#[Out]# 27   27       Sligro      Kalverstraat  Amsterdam
#[Out]# 28   28    Hoogvliet         Koestraat    Tilburg
#[Out]# 29   29       Sligro      Marnixstraat  Amsterdam
#[Out]# ..  ...          ...               ...        ...
#[Out]# 34   34         Coop          Bierkaai  Amsterdam
#[Out]# 35   35         Lidl     Julianastraat    Utrecht
#[Out]# 36   36         Lidl     Julianastraat  Eindhoven
#[Out]# 37   37        Jumbo          Molenweg  Eindhoven
#[Out]# 38   38    Hoogvliet          Hofplein  Rotterdam
#[Out]# 39   39       Sligro       Dorpsstraat  Eindhoven
#[Out]# 40   40    Hoogvliet          Hofplein  Rotterdam
#[Out]# 41   41  Albert Hein        Bergselaan  Rotterdam
#[Out]# 42   42       Sligro      Kalverstraat  Amsterdam
#[Out]# 43   43         Coop    Gasthuisstraat    Utrecht
#[Out]# 44   44  Albert Hein     Ambachtstraat    Utrecht
#[Out]# 45   45         Coop      Kasteeldreef    Tilburg
#[Out]# 46   46         Lidl        Bergselaan  Rotterdam
#[Out]# 47   47         Coop     Julianastraat  Rotterdam
#[Out]# 48   48    Hoogvliet      Kasteeldreef    Tilburg
#[Out]# 49   49    Hoogvliet      Keizerstraat  Rotterdam
#[Out]# 50   50       Sligro     Stationsplein      Breda
#[Out]# 51   51         Coop       Parallelweg    Utrecht
#[Out]# 52   52         Lidl       Nieuwstraat  Eindhoven
#[Out]# 53   53         Coop        Hoogstraat    Utrecht
#[Out]# 54   54         Dirk     Julianastraat  Eindhoven
#[Out]# 55   55         Coop   Sint Annastraat      Breda
#[Out]# 56   56        Jumbo       Parallelweg  Eindhoven
#[Out]# 57   57         Dirk       Molenstraat  Eindhoven
#[Out]# 58   58         Dirk      Keizerstraat  Rotterdam
#[Out]# 59   59        Jumbo  Rozemarijnstraat      Breda
#[Out]# 60   60         Lidl      Pannekoekweg      Breda
#[Out]# 61   61         Lidl      Pannekoekweg      Breda
#[Out]# 62   62        Jumbo     Poffertjesweg  Eindhoven
#[Out]# 63   63        Jumbo     Stationstraat        Oss
#[Out]# 
#[Out]# [64 rows x 4 columns]
query4 = '''
    select sName, 
    from store, purchase
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sName
    from store, purchase
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select sName, quantity
    from store, purchase
    group by sName
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  quantity
#[Out]# 0  Albert Hein         1
#[Out]# 1         Coop         1
#[Out]# 2         Dirk         1
#[Out]# 3    Hoogvliet         1
#[Out]# 4        Jumbo         1
#[Out]# 5         Lidl         1
#[Out]# 6       Sligro         1
query4 = '''
    select sName, quantity
    from store, purchase
    group by sName, quantity
    having count(sName) > 1
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName  quantity
#[Out]# 0   Albert Hein         1
#[Out]# 1   Albert Hein         2
#[Out]# 2   Albert Hein         3
#[Out]# 3   Albert Hein         4
#[Out]# 4   Albert Hein         5
#[Out]# 5   Albert Hein         6
#[Out]# 6   Albert Hein         7
#[Out]# 7   Albert Hein         8
#[Out]# 8   Albert Hein         9
#[Out]# 9   Albert Hein        10
#[Out]# 10  Albert Hein        11
#[Out]# 11  Albert Hein        12
#[Out]# 12  Albert Hein        13
#[Out]# 13         Coop         1
#[Out]# 14         Coop         2
#[Out]# 15         Coop         3
#[Out]# 16         Coop         4
#[Out]# 17         Coop         5
#[Out]# 18         Coop         6
#[Out]# 19         Coop         7
#[Out]# 20         Coop         8
#[Out]# 21         Coop         9
#[Out]# 22         Coop        10
#[Out]# 23         Coop        11
#[Out]# 24         Coop        12
#[Out]# 25         Coop        13
#[Out]# 26         Dirk         1
#[Out]# 27         Dirk         2
#[Out]# 28         Dirk         3
#[Out]# 29         Dirk         4
#[Out]# ..          ...       ...
#[Out]# 61        Jumbo        10
#[Out]# 62        Jumbo        11
#[Out]# 63        Jumbo        12
#[Out]# 64        Jumbo        13
#[Out]# 65         Lidl         1
#[Out]# 66         Lidl         2
#[Out]# 67         Lidl         3
#[Out]# 68         Lidl         4
#[Out]# 69         Lidl         5
#[Out]# 70         Lidl         6
#[Out]# 71         Lidl         7
#[Out]# 72         Lidl         8
#[Out]# 73         Lidl         9
#[Out]# 74         Lidl        10
#[Out]# 75         Lidl        11
#[Out]# 76         Lidl        12
#[Out]# 77         Lidl        13
#[Out]# 78       Sligro         1
#[Out]# 79       Sligro         2
#[Out]# 80       Sligro         3
#[Out]# 81       Sligro         4
#[Out]# 82       Sligro         5
#[Out]# 83       Sligro         6
#[Out]# 84       Sligro         7
#[Out]# 85       Sligro         8
#[Out]# 86       Sligro         9
#[Out]# 87       Sligro        10
#[Out]# 88       Sligro        11
#[Out]# 89       Sligro        12
#[Out]# 90       Sligro        13
#[Out]# 
#[Out]# [91 rows x 2 columns]
query4 = '''
    select sName, quantity
    from store, purchase

'''

pd.read_sql_query(query4, conn)
#[Out]#        sName  quantity
#[Out]# 0       Coop         1
#[Out]# 1       Coop         2
#[Out]# 2       Coop         3
#[Out]# 3       Coop         2
#[Out]# 4       Coop         4
#[Out]# 5       Coop         4
#[Out]# 6       Coop         8
#[Out]# 7       Coop         6
#[Out]# 8       Coop         1
#[Out]# 9       Coop         7
#[Out]# 10      Coop         6
#[Out]# 11      Coop         4
#[Out]# 12      Coop         1
#[Out]# 13      Coop         2
#[Out]# 14      Coop         2
#[Out]# 15      Coop         6
#[Out]# 16      Coop         2
#[Out]# 17      Coop         9
#[Out]# 18      Coop         5
#[Out]# 19      Coop         2
#[Out]# 20      Coop         9
#[Out]# 21      Coop         4
#[Out]# 22      Coop         6
#[Out]# 23      Coop         6
#[Out]# 24      Coop         9
#[Out]# 25      Coop         2
#[Out]# 26      Coop         2
#[Out]# 27      Coop         1
#[Out]# 28      Coop         2
#[Out]# 29      Coop         6
#[Out]# ...      ...       ...
#[Out]# 32546  Jumbo         4
#[Out]# 32547  Jumbo         5
#[Out]# 32548  Jumbo         3
#[Out]# 32549  Jumbo         4
#[Out]# 32550  Jumbo         4
#[Out]# 32551  Jumbo         4
#[Out]# 32552  Jumbo         2
#[Out]# 32553  Jumbo         5
#[Out]# 32554  Jumbo         5
#[Out]# 32555  Jumbo         7
#[Out]# 32556  Jumbo         5
#[Out]# 32557  Jumbo         2
#[Out]# 32558  Jumbo         4
#[Out]# 32559  Jumbo         4
#[Out]# 32560  Jumbo         6
#[Out]# 32561  Jumbo         3
#[Out]# 32562  Jumbo         6
#[Out]# 32563  Jumbo         1
#[Out]# 32564  Jumbo         5
#[Out]# 32565  Jumbo         4
#[Out]# 32566  Jumbo         6
#[Out]# 32567  Jumbo         7
#[Out]# 32568  Jumbo         4
#[Out]# 32569  Jumbo         5
#[Out]# 32570  Jumbo         7
#[Out]# 32571  Jumbo         2
#[Out]# 32572  Jumbo         6
#[Out]# 32573  Jumbo         5
#[Out]# 32574  Jumbo         2
#[Out]# 32575  Jumbo         1
#[Out]# 
#[Out]# [32576 rows x 2 columns]
query4 = '''
    select sName, avg(quantity)
    from store, purchase
    group by sName
    
    
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.797642
#[Out]# 1         Coop       4.797642
#[Out]# 2         Dirk       4.797642
#[Out]# 3    Hoogvliet       4.797642
#[Out]# 4        Jumbo       4.797642
#[Out]# 5         Lidl       4.797642
#[Out]# 6       Sligro       4.797642
query4 = '''
    select sName, avg(quantity)
    from store, purchase
    group by sName, avg(quantity)
'''

pd.read_sql_query(query4, conn)
query4 = '''
    select sName, avg(quantity)
    from store, purchase
'''

pd.read_sql_query(query4, conn)
#[Out]#   sName  avg(quantity)
#[Out]# 0  Coop       4.797642
query4 = '''
    select sName, avg(quantity)
    from store, purchase
'''

pd.read_sql_query(query4, conn)
#[Out]#   sName  avg(quantity)
#[Out]# 0  Coop       4.797642
query4 = '''
    select sName
    from store, purchase
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName
#[Out]# 0       Coop
#[Out]# 1       Coop
#[Out]# 2       Coop
#[Out]# 3       Coop
#[Out]# 4       Coop
#[Out]# 5       Coop
#[Out]# 6       Coop
#[Out]# 7       Coop
#[Out]# 8       Coop
#[Out]# 9       Coop
#[Out]# 10      Coop
#[Out]# 11      Coop
#[Out]# 12      Coop
#[Out]# 13      Coop
#[Out]# 14      Coop
#[Out]# 15      Coop
#[Out]# 16      Coop
#[Out]# 17      Coop
#[Out]# 18      Coop
#[Out]# 19      Coop
#[Out]# 20      Coop
#[Out]# 21      Coop
#[Out]# 22      Coop
#[Out]# 23      Coop
#[Out]# 24      Coop
#[Out]# 25      Coop
#[Out]# 26      Coop
#[Out]# 27      Coop
#[Out]# 28      Coop
#[Out]# 29      Coop
#[Out]# ...      ...
#[Out]# 32546  Jumbo
#[Out]# 32547  Jumbo
#[Out]# 32548  Jumbo
#[Out]# 32549  Jumbo
#[Out]# 32550  Jumbo
#[Out]# 32551  Jumbo
#[Out]# 32552  Jumbo
#[Out]# 32553  Jumbo
#[Out]# 32554  Jumbo
#[Out]# 32555  Jumbo
#[Out]# 32556  Jumbo
#[Out]# 32557  Jumbo
#[Out]# 32558  Jumbo
#[Out]# 32559  Jumbo
#[Out]# 32560  Jumbo
#[Out]# 32561  Jumbo
#[Out]# 32562  Jumbo
#[Out]# 32563  Jumbo
#[Out]# 32564  Jumbo
#[Out]# 32565  Jumbo
#[Out]# 32566  Jumbo
#[Out]# 32567  Jumbo
#[Out]# 32568  Jumbo
#[Out]# 32569  Jumbo
#[Out]# 32570  Jumbo
#[Out]# 32571  Jumbo
#[Out]# 32572  Jumbo
#[Out]# 32573  Jumbo
#[Out]# 32574  Jumbo
#[Out]# 32575  Jumbo
#[Out]# 
#[Out]# [32576 rows x 1 columns]
query4 = '''
    select sName, quantity
    from store, purchase
'''

pd.read_sql_query(query4, conn)
#[Out]#        sName  quantity
#[Out]# 0       Coop         1
#[Out]# 1       Coop         2
#[Out]# 2       Coop         3
#[Out]# 3       Coop         2
#[Out]# 4       Coop         4
#[Out]# 5       Coop         4
#[Out]# 6       Coop         8
#[Out]# 7       Coop         6
#[Out]# 8       Coop         1
#[Out]# 9       Coop         7
#[Out]# 10      Coop         6
#[Out]# 11      Coop         4
#[Out]# 12      Coop         1
#[Out]# 13      Coop         2
#[Out]# 14      Coop         2
#[Out]# 15      Coop         6
#[Out]# 16      Coop         2
#[Out]# 17      Coop         9
#[Out]# 18      Coop         5
#[Out]# 19      Coop         2
#[Out]# 20      Coop         9
#[Out]# 21      Coop         4
#[Out]# 22      Coop         6
#[Out]# 23      Coop         6
#[Out]# 24      Coop         9
#[Out]# 25      Coop         2
#[Out]# 26      Coop         2
#[Out]# 27      Coop         1
#[Out]# 28      Coop         2
#[Out]# 29      Coop         6
#[Out]# ...      ...       ...
#[Out]# 32546  Jumbo         4
#[Out]# 32547  Jumbo         5
#[Out]# 32548  Jumbo         3
#[Out]# 32549  Jumbo         4
#[Out]# 32550  Jumbo         4
#[Out]# 32551  Jumbo         4
#[Out]# 32552  Jumbo         2
#[Out]# 32553  Jumbo         5
#[Out]# 32554  Jumbo         5
#[Out]# 32555  Jumbo         7
#[Out]# 32556  Jumbo         5
#[Out]# 32557  Jumbo         2
#[Out]# 32558  Jumbo         4
#[Out]# 32559  Jumbo         4
#[Out]# 32560  Jumbo         6
#[Out]# 32561  Jumbo         3
#[Out]# 32562  Jumbo         6
#[Out]# 32563  Jumbo         1
#[Out]# 32564  Jumbo         5
#[Out]# 32565  Jumbo         4
#[Out]# 32566  Jumbo         6
#[Out]# 32567  Jumbo         7
#[Out]# 32568  Jumbo         4
#[Out]# 32569  Jumbo         5
#[Out]# 32570  Jumbo         7
#[Out]# 32571  Jumbo         2
#[Out]# 32572  Jumbo         6
#[Out]# 32573  Jumbo         5
#[Out]# 32574  Jumbo         2
#[Out]# 32575  Jumbo         1
#[Out]# 
#[Out]# [32576 rows x 2 columns]
query4 = '''
    select sName, quantity
    from store as s, purchase as p
    where s.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#            sName  quantity
#[Out]# 0         Sligro         1
#[Out]# 1           Dirk         2
#[Out]# 2         Sligro         3
#[Out]# 3      Hoogvliet         2
#[Out]# 4    Albert Hein         4
#[Out]# 5           Lidl         4
#[Out]# 6           Lidl         8
#[Out]# 7           Lidl         6
#[Out]# 8           Lidl         1
#[Out]# 9         Sligro         7
#[Out]# 10          Coop         6
#[Out]# 11          Coop         4
#[Out]# 12          Coop         1
#[Out]# 13   Albert Hein         2
#[Out]# 14          Dirk         2
#[Out]# 15        Sligro         6
#[Out]# 16     Hoogvliet         2
#[Out]# 17         Jumbo         9
#[Out]# 18          Coop         5
#[Out]# 19          Coop         2
#[Out]# 20        Sligro         9
#[Out]# 21   Albert Hein         4
#[Out]# 22     Hoogvliet         6
#[Out]# 23          Lidl         6
#[Out]# 24          Coop         9
#[Out]# 25          Coop         2
#[Out]# 26          Coop         2
#[Out]# 27     Hoogvliet         1
#[Out]# 28        Sligro         2
#[Out]# 29          Lidl         6
#[Out]# ..           ...       ...
#[Out]# 479         Coop         4
#[Out]# 480         Lidl         5
#[Out]# 481         Lidl         3
#[Out]# 482        Jumbo         4
#[Out]# 483    Hoogvliet         4
#[Out]# 484       Sligro         4
#[Out]# 485    Hoogvliet         2
#[Out]# 486  Albert Hein         5
#[Out]# 487       Sligro         5
#[Out]# 488         Coop         7
#[Out]# 489  Albert Hein         5
#[Out]# 490         Coop         2
#[Out]# 491         Lidl         4
#[Out]# 492         Coop         4
#[Out]# 493    Hoogvliet         6
#[Out]# 494    Hoogvliet         3
#[Out]# 495       Sligro         6
#[Out]# 496         Coop         1
#[Out]# 497         Lidl         5
#[Out]# 498         Coop         4
#[Out]# 499         Dirk         6
#[Out]# 500         Coop         7
#[Out]# 501        Jumbo         4
#[Out]# 502         Dirk         5
#[Out]# 503         Dirk         7
#[Out]# 504        Jumbo         2
#[Out]# 505         Lidl         6
#[Out]# 506         Lidl         5
#[Out]# 507        Jumbo         2
#[Out]# 508        Jumbo         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4 = '''
    select sName
    from store as s, purchase as p
    where s.sID = p.sID
    group by sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4        Jumbo
#[Out]# 5         Lidl
#[Out]# 6       Sligro
query4 = '''
    select sName, avg(quantity)
    from store as s, purchase as p
    where s.sID = p.sID
    group by sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4        Jumbo       3.888889
#[Out]# 5         Lidl       4.796875
#[Out]# 6       Sligro       4.674419
query4 = '''
    select sName, avg(quantity)
    from store as s, purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName  avg(quantity)
#[Out]# 0  Albert Hein       4.969697
#[Out]# 1         Coop       4.681818
#[Out]# 2         Dirk       5.268293
#[Out]# 3    Hoogvliet       5.280000
#[Out]# 4         Lidl       4.796875
#[Out]# 5       Sligro       4.674419
query4 = '''
    select sName
    from store as s, purchase as p
    where s.sID = p.sID
    group by sName
    having avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query5 = '''
    select p.pName, pur.price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and max(pur.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName  price
#[Out]# 0      Apples   3.20
#[Out]# 1      Apples   3.25
#[Out]# 2      Apples   3.50
#[Out]# 3      Apples   3.70
#[Out]# 4      Apples   3.80
#[Out]# 5      Apples   3.85
#[Out]# 6      Apples   3.95
#[Out]# 7      Apples   4.10
#[Out]# 8      Apples   4.20
#[Out]# 9      Apples   4.25
#[Out]# 10     Apples   4.30
#[Out]# 11     Apples   4.45
#[Out]# 12     Apples   4.50
#[Out]# 13     Apples   4.65
#[Out]# 14     Apples   4.70
#[Out]# 15    Bananas   0.85
#[Out]# 16    Bananas   1.25
#[Out]# 17    Bananas   1.30
#[Out]# 18    Bananas   1.35
#[Out]# 19    Bananas   1.40
#[Out]# 20    Bananas   1.45
#[Out]# 21    Bananas   1.50
#[Out]# 22    Bananas   1.60
#[Out]# 23    Bananas   1.65
#[Out]# 24    Bananas   1.70
#[Out]# 25    Bananas   1.75
#[Out]# 26    Bananas   1.80
#[Out]# 27    Bananas   3.00
#[Out]# 28    Bananas   3.15
#[Out]# 29       Beef  10.15
#[Out]# ..        ...    ...
#[Out]# 330       Tea   1.50
#[Out]# 331       Tea   1.55
#[Out]# 332       Tea   1.60
#[Out]# 333       Tea   1.70
#[Out]# 334       Tea   1.85
#[Out]# 335       Tea   1.90
#[Out]# 336       Tea   2.00
#[Out]# 337       Tea   2.05
#[Out]# 338       Tea   2.60
#[Out]# 339       Tea   3.20
#[Out]# 340  Tomatoes   0.70
#[Out]# 341  Tomatoes   1.25
#[Out]# 342  Tomatoes   1.30
#[Out]# 343  Tomatoes   1.65
#[Out]# 344  Tomatoes   1.80
#[Out]# 345  Tomatoes   1.85
#[Out]# 346  Tomatoes   1.95
#[Out]# 347  Tomatoes   2.00
#[Out]# 348  Tomatoes   2.05
#[Out]# 349  Tomatoes   2.10
#[Out]# 350  Tomatoes   2.20
#[Out]# 351  Tomatoes   2.35
#[Out]# 352     Water   0.40
#[Out]# 353     Water   0.45
#[Out]# 354     Water   0.50
#[Out]# 355     Water   0.55
#[Out]# 356     Water   0.60
#[Out]# 357     Water   0.95
#[Out]# 358     Water   4.15
#[Out]# 359     Water   4.35
#[Out]# 
#[Out]# [360 rows x 2 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples         Dirk   4.65
#[Out]# 1            Bananas    Hoogvliet   1.25
#[Out]# 2               Beef         Coop  13.60
#[Out]# 3              Bread         Dirk   2.00
#[Out]# 4            Carrots         Coop   1.05
#[Out]# 5        Cashew Nuts         Dirk   5.35
#[Out]# 6             Cheese  Albert Hein  11.55
#[Out]# 7               Coca    Hoogvliet   2.20
#[Out]# 8             Coffee         Coop   2.35
#[Out]# 9          Cucumbers        Jumbo   1.05
#[Out]# 10            Donuts  Albert Hein   3.95
#[Out]# 11              Eggs         Coop   3.70
#[Out]# 12             Fanta         Lidl   2.45
#[Out]# 13      Green Pepper    Hoogvliet   1.70
#[Out]# 14  Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga         Lidl   8.25
#[Out]# 17              Milk         Lidl   0.90
#[Out]# 18        Mixed Nuts    Hoogvliet   5.95
#[Out]# 19         Mushrooms  Albert Hein   0.50
#[Out]# 20            Onions         Coop   1.10
#[Out]# 21           Oranges         Coop   3.20
#[Out]# 22             Pasta         Lidl   2.75
#[Out]# 23             Pizza         Lidl   9.10
#[Out]# 24          Potatoes         Lidl   1.70
#[Out]# 25              Rice       Sligro   1.60
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits    Hoogvliet   2.55
#[Out]# 28               Tea         Coop   1.55
#[Out]# 29          Tomatoes         Coop   1.80
#[Out]# 30             Water       Sligro   0.45
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0               Water       Sligro   0.45
#[Out]# 1              Apples         Dirk   4.65
#[Out]# 2                Rice       Sligro   1.60
#[Out]# 3             Bananas    Hoogvliet   1.25
#[Out]# 4              Donuts  Albert Hein   3.95
#[Out]# 5               Pasta         Lidl   2.75
#[Out]# 6                Milk         Lidl   0.90
#[Out]# 7               Pizza         Lidl   9.10
#[Out]# 8               Fanta         Lidl   2.45
#[Out]# 9             Bananas       Sligro   1.35
#[Out]# 10             Onions         Coop   1.10
#[Out]# 11               Eggs         Coop   3.70
#[Out]# 12                Tea         Coop   1.55
#[Out]# 13             Apples  Albert Hein   4.30
#[Out]# 14              Pasta         Dirk   2.75
#[Out]# 15            Bananas       Sligro   1.45
#[Out]# 16   Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 17              Pizza        Jumbo   9.05
#[Out]# 18               Beef         Coop  13.60
#[Out]# 19            Carrots         Coop   1.05
#[Out]# 20               Eggs       Sligro   3.05
#[Out]# 21              Pasta  Albert Hein   2.75
#[Out]# 22             Apples    Hoogvliet   4.70
#[Out]# 23            Lasanga         Lidl   8.25
#[Out]# 24            Carrots         Coop   1.10
#[Out]# 25                Tea         Coop   1.55
#[Out]# 26               Rice         Coop   1.85
#[Out]# 27               Coca    Hoogvliet   2.20
#[Out]# 28               Coca       Sligro   2.10
#[Out]# 29           Potatoes         Lidl   1.70
#[Out]# ..                ...          ...    ...
#[Out]# 479           Lasanga         Coop   2.80
#[Out]# 480             Pizza         Lidl   0.50
#[Out]# 481         Mushrooms         Lidl   2.55
#[Out]# 482           Lasanga        Jumbo   0.65
#[Out]# 483          Tomatoes    Hoogvliet   0.70
#[Out]# 484       Cashew Nuts       Sligro   3.70
#[Out]# 485              Milk    Hoogvliet   3.50
#[Out]# 486           Carrots  Albert Hein   2.95
#[Out]# 487              Coca       Sligro   2.75
#[Out]# 488             Bread         Coop   1.50
#[Out]# 489           Bananas  Albert Hein   0.85
#[Out]# 490              Milk         Coop   3.55
#[Out]# 491               Tea         Lidl   2.60
#[Out]# 492             Bread         Coop   3.25
#[Out]# 493             Fanta    Hoogvliet   4.30
#[Out]# 494              Milk    Hoogvliet   3.05
#[Out]# 495            Coffee       Sligro   4.05
#[Out]# 496   Spiced Biscuits         Coop   1.50
#[Out]# 497   Spiced Biscuits         Lidl   2.50
#[Out]# 498  Hot Dog Sausages         Coop   3.95
#[Out]# 499       Cashew Nuts         Dirk   3.50
#[Out]# 500  Hot Dog Sausages         Coop   2.95
#[Out]# 501              Milk        Jumbo   1.60
#[Out]# 502         Cucumbers         Dirk   3.25
#[Out]# 503          Potatoes         Dirk   0.75
#[Out]# 504             Bread        Jumbo   3.80
#[Out]# 505         Mushrooms         Lidl   4.35
#[Out]# 506              Coca         Lidl   2.85
#[Out]# 507           Bananas        Jumbo   3.15
#[Out]# 508            Cheese        Jumbo   3.30
#[Out]# 
#[Out]# [509 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName

'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples         Dirk   4.65
#[Out]# 1            Bananas    Hoogvliet   1.25
#[Out]# 2               Beef         Coop  13.60
#[Out]# 3              Bread         Dirk   2.00
#[Out]# 4            Carrots         Coop   1.05
#[Out]# 5        Cashew Nuts         Dirk   5.35
#[Out]# 6             Cheese  Albert Hein  11.55
#[Out]# 7               Coca    Hoogvliet   2.20
#[Out]# 8             Coffee         Coop   2.35
#[Out]# 9          Cucumbers        Jumbo   1.05
#[Out]# 10            Donuts  Albert Hein   3.95
#[Out]# 11              Eggs         Coop   3.70
#[Out]# 12             Fanta         Lidl   2.45
#[Out]# 13      Green Pepper    Hoogvliet   1.70
#[Out]# 14  Hot Dog Sausages    Hoogvliet   4.15
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga         Lidl   8.25
#[Out]# 17              Milk         Lidl   0.90
#[Out]# 18        Mixed Nuts    Hoogvliet   5.95
#[Out]# 19         Mushrooms  Albert Hein   0.50
#[Out]# 20            Onions         Coop   1.10
#[Out]# 21           Oranges         Coop   3.20
#[Out]# 22             Pasta         Lidl   2.75
#[Out]# 23             Pizza         Lidl   9.10
#[Out]# 24          Potatoes         Lidl   1.70
#[Out]# 25              Rice       Sligro   1.60
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits    Hoogvliet   2.55
#[Out]# 28               Tea         Coop   1.55
#[Out]# 29          Tomatoes         Coop   1.80
#[Out]# 30             Water       Sligro   0.45
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName  price
#[Out]# 0           Water    Hoogvliet   0.40
#[Out]# 1           Water       Sligro   0.45
#[Out]# 2       Mushrooms  Albert Hein   0.50
#[Out]# 3       Mushrooms         Lidl   0.55
#[Out]# 4           Water         Coop   0.60
#[Out]# 5         Lasanga        Jumbo   0.65
#[Out]# 6        Tomatoes    Hoogvliet   0.70
#[Out]# 7        Potatoes         Dirk   0.75
#[Out]# 8            Milk         Lidl   0.80
#[Out]# 9          Onions         Coop   0.85
#[Out]# 10           Milk         Lidl   0.90
#[Out]# 11        Carrots         Coop   0.95
#[Out]# 12      Cucumbers         Coop   1.00
#[Out]# 13        Carrots         Coop   1.05
#[Out]# 14         Onions         Coop   1.10
#[Out]# 15        Carrots         Lidl   1.15
#[Out]# 16   Green Pepper       Sligro   1.20
#[Out]# 17        Bananas    Hoogvliet   1.25
#[Out]# 18        Bananas    Hoogvliet   1.30
#[Out]# 19        Bananas       Sligro   1.35
#[Out]# 20           Rice         Coop   1.40
#[Out]# 21        Bananas       Sligro   1.45
#[Out]# 22            Tea       Sligro   1.50
#[Out]# 23            Tea         Coop   1.55
#[Out]# 24           Rice       Sligro   1.60
#[Out]# 25        Bananas    Hoogvliet   1.65
#[Out]# 26       Potatoes         Lidl   1.70
#[Out]# 27        Bananas       Sligro   1.75
#[Out]# 28       Tomatoes         Coop   1.80
#[Out]# 29           Rice         Coop   1.85
#[Out]# ..            ...          ...    ...
#[Out]# 125         Pizza         Coop   9.00
#[Out]# 126         Pizza        Jumbo   9.05
#[Out]# 127         Pizza         Lidl   9.10
#[Out]# 128         Pizza    Hoogvliet   9.25
#[Out]# 129       Lasanga         Coop   9.45
#[Out]# 130       Lasanga         Lidl   9.60
#[Out]# 131        Cheese         Coop   9.65
#[Out]# 132       Lasanga         Dirk   9.70
#[Out]# 133       Lasanga  Albert Hein   9.85
#[Out]# 134          Beef         Coop  10.15
#[Out]# 135        Cheese         Coop  10.30
#[Out]# 136        Cheese       Sligro  10.50
#[Out]# 137        Cheese         Coop  10.60
#[Out]# 138          Beef  Albert Hein  10.75
#[Out]# 139          Beef         Coop  11.20
#[Out]# 140          Beef         Dirk  11.45
#[Out]# 141        Cheese  Albert Hein  11.55
#[Out]# 142          Beef         Dirk  11.65
#[Out]# 143        Cheese  Albert Hein  12.00
#[Out]# 144          Beef    Hoogvliet  12.20
#[Out]# 145          Beef    Hoogvliet  12.30
#[Out]# 146          Beef         Dirk  12.55
#[Out]# 147          Beef       Sligro  12.65
#[Out]# 148          Beef         Dirk  12.80
#[Out]# 149          Beef  Albert Hein  13.15
#[Out]# 150          Beef  Albert Hein  13.25
#[Out]# 151          Beef       Sligro  13.40
#[Out]# 152          Beef         Coop  13.60
#[Out]# 153          Beef       Sligro  13.65
#[Out]# 154          Beef       Sligro  13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group *
    having max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by *
    having max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by
    having max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    having max(price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    
    select pName, sName
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pName        sName
#[Out]# 0     Beef  Albert Hein
#[Out]# 1     Beef         Coop
#[Out]# 2     Beef         Dirk
#[Out]# 3     Beef    Hoogvliet
#[Out]# 4    Pizza        Jumbo
#[Out]# 5  Lasanga         Lidl
#[Out]# 6     Beef       Sligro
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      pName        sName  price
#[Out]# 0     Beef  Albert Hein  13.25
#[Out]# 1     Beef         Coop  13.60
#[Out]# 2     Beef         Dirk  12.80
#[Out]# 3     Beef    Hoogvliet  12.30
#[Out]# 4    Pizza        Jumbo   9.05
#[Out]# 5  Lasanga         Lidl   9.60
#[Out]# 6     Beef       Sligro  13.80
query5 = '''
    
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName, pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0              Apples  Albert Hein   4.30
#[Out]# 1             Bananas  Albert Hein   3.00
#[Out]# 2                Beef  Albert Hein  13.25
#[Out]# 3               Bread  Albert Hein   2.60
#[Out]# 4             Carrots  Albert Hein   2.95
#[Out]# 5         Cashew Nuts  Albert Hein   5.40
#[Out]# 6              Cheese  Albert Hein  12.00
#[Out]# 7                Coca  Albert Hein   2.85
#[Out]# 8              Coffee  Albert Hein   4.25
#[Out]# 9           Cucumbers  Albert Hein   1.30
#[Out]# 10             Donuts  Albert Hein   3.95
#[Out]# 11               Eggs  Albert Hein   3.85
#[Out]# 12              Fanta  Albert Hein   3.25
#[Out]# 13       Green Pepper  Albert Hein   1.40
#[Out]# 14   Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15            Lasanga  Albert Hein   9.85
#[Out]# 16               Milk  Albert Hein   0.90
#[Out]# 17         Mixed Nuts  Albert Hein   6.05
#[Out]# 18          Mushrooms  Albert Hein   1.75
#[Out]# 19            Oranges  Albert Hein   3.40
#[Out]# 20              Pasta  Albert Hein   3.25
#[Out]# 21               Rice  Albert Hein   1.90
#[Out]# 22    Spiced Biscuits  Albert Hein   2.00
#[Out]# 23                Tea  Albert Hein   2.05
#[Out]# 24           Tomatoes  Albert Hein   1.65
#[Out]# 25              Water  Albert Hein   0.55
#[Out]# 26             Apples         Coop   4.45
#[Out]# 27            Bananas         Coop   1.65
#[Out]# 28               Beef         Coop  13.60
#[Out]# 29              Bread         Coop   3.25
#[Out]# ..                ...          ...    ...
#[Out]# 155   Spiced Biscuits         Lidl   2.50
#[Out]# 156               Tea         Lidl   2.60
#[Out]# 157          Tomatoes         Lidl   2.20
#[Out]# 158            Apples       Sligro   4.50
#[Out]# 159           Bananas       Sligro   1.75
#[Out]# 160              Beef       Sligro  13.80
#[Out]# 161             Bread       Sligro   1.20
#[Out]# 162           Carrots       Sligro   1.05
#[Out]# 163       Cashew Nuts       Sligro   5.00
#[Out]# 164            Cheese       Sligro  10.50
#[Out]# 165              Coca       Sligro   3.00
#[Out]# 166            Coffee       Sligro   4.05
#[Out]# 167         Cucumbers       Sligro   1.30
#[Out]# 168            Donuts       Sligro   4.70
#[Out]# 169              Eggs       Sligro   3.05
#[Out]# 170             Fanta       Sligro   2.70
#[Out]# 171      Green Pepper       Sligro   1.70
#[Out]# 172  Hot Dog Sausages       Sligro   4.25
#[Out]# 173           Lasanga       Sligro   8.70
#[Out]# 174              Milk       Sligro   1.15
#[Out]# 175        Mixed Nuts       Sligro   5.35
#[Out]# 176            Onions       Sligro   1.15
#[Out]# 177           Oranges       Sligro   4.05
#[Out]# 178             Pasta       Sligro   2.80
#[Out]# 179             Pizza       Sligro   9.25
#[Out]# 180          Potatoes       Sligro   2.00
#[Out]# 181              Rice       Sligro   1.90
#[Out]# 182               Tea       Sligro   3.20
#[Out]# 183          Tomatoes       Sligro   2.00
#[Out]# 184             Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select sName, price
    from (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price)
    group by sName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#            sName  price
#[Out]# 0    Albert Hein   0.40
#[Out]# 1    Albert Hein   0.50
#[Out]# 2    Albert Hein   0.60
#[Out]# 3    Albert Hein   0.85
#[Out]# 4    Albert Hein   1.40
#[Out]# 5    Albert Hein   1.60
#[Out]# 6    Albert Hein   1.65
#[Out]# 7    Albert Hein   1.75
#[Out]# 8    Albert Hein   1.85
#[Out]# 9    Albert Hein   1.90
#[Out]# 10   Albert Hein   2.00
#[Out]# 11   Albert Hein   2.05
#[Out]# 12   Albert Hein   2.15
#[Out]# 13   Albert Hein   2.60
#[Out]# 14   Albert Hein   2.65
#[Out]# 15   Albert Hein   2.80
#[Out]# 16   Albert Hein   2.85
#[Out]# 17   Albert Hein   2.95
#[Out]# 18   Albert Hein   3.00
#[Out]# 19   Albert Hein   3.20
#[Out]# 20   Albert Hein   3.25
#[Out]# 21   Albert Hein   3.40
#[Out]# 22   Albert Hein   3.70
#[Out]# 23   Albert Hein   3.85
#[Out]# 24   Albert Hein   3.95
#[Out]# 25   Albert Hein   4.00
#[Out]# 26   Albert Hein   4.25
#[Out]# 27   Albert Hein   4.30
#[Out]# 28   Albert Hein   5.00
#[Out]# 29   Albert Hein   5.20
#[Out]# ..           ...    ...
#[Out]# 280       Sligro   2.30
#[Out]# 281       Sligro   2.35
#[Out]# 282       Sligro   2.40
#[Out]# 283       Sligro   2.70
#[Out]# 284       Sligro   2.75
#[Out]# 285       Sligro   2.80
#[Out]# 286       Sligro   3.00
#[Out]# 287       Sligro   3.05
#[Out]# 288       Sligro   3.20
#[Out]# 289       Sligro   3.60
#[Out]# 290       Sligro   3.70
#[Out]# 291       Sligro   3.75
#[Out]# 292       Sligro   3.85
#[Out]# 293       Sligro   3.90
#[Out]# 294       Sligro   4.05
#[Out]# 295       Sligro   4.25
#[Out]# 296       Sligro   4.30
#[Out]# 297       Sligro   4.50
#[Out]# 298       Sligro   4.85
#[Out]# 299       Sligro   5.00
#[Out]# 300       Sligro   5.35
#[Out]# 301       Sligro   7.70
#[Out]# 302       Sligro   8.10
#[Out]# 303       Sligro   8.70
#[Out]# 304       Sligro   9.70
#[Out]# 305       Sligro  10.50
#[Out]# 306       Sligro  12.65
#[Out]# 307       Sligro  13.40
#[Out]# 308       Sligro  13.65
#[Out]# 309       Sligro  13.80
#[Out]# 
#[Out]# [310 rows x 2 columns]
query5 = '''
    select sName, pName, price
    from (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price)
    group by price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#            sName      pName  price
#[Out]# 0    Albert Hein  Mushrooms   0.40
#[Out]# 1      Hoogvliet  Mushrooms   0.45
#[Out]# 2          Jumbo      Fanta   0.50
#[Out]# 3           Lidl  Mushrooms   0.55
#[Out]# 4      Hoogvliet     Coffee   0.60
#[Out]# 5          Jumbo    Lasanga   0.65
#[Out]# 6      Hoogvliet   Tomatoes   0.70
#[Out]# 7           Dirk   Potatoes   0.75
#[Out]# 8           Lidl       Milk   0.80
#[Out]# 9    Albert Hein    Bananas   0.85
#[Out]# 10          Dirk    Carrots   0.90
#[Out]# 11          Coop    Carrots   0.95
#[Out]# 12          Coop    Carrots   1.00
#[Out]# 13          Coop    Carrots   1.05
#[Out]# 14          Coop    Carrots   1.10
#[Out]# 15          Lidl    Carrots   1.15
#[Out]# 16        Sligro      Bread   1.20
#[Out]# 17     Hoogvliet    Bananas   1.25
#[Out]# 18     Hoogvliet    Bananas   1.30
#[Out]# 19        Sligro    Bananas   1.35
#[Out]# 20        Sligro    Bananas   1.40
#[Out]# 21        Sligro    Bananas   1.45
#[Out]# 22     Hoogvliet    Bananas   1.50
#[Out]# 23     Hoogvliet       Rice   1.55
#[Out]# 24   Albert Hein    Bananas   1.60
#[Out]# 25     Hoogvliet    Bananas   1.65
#[Out]# 26         Jumbo    Bananas   1.70
#[Out]# 27        Sligro    Bananas   1.75
#[Out]# 28          Lidl    Bananas   1.80
#[Out]# 29          Coop     Coffee   1.85
#[Out]# ..           ...        ...    ...
#[Out]# 125         Coop      Pizza   9.00
#[Out]# 126        Jumbo      Pizza   9.05
#[Out]# 127         Lidl      Pizza   9.10
#[Out]# 128    Hoogvliet      Pizza   9.25
#[Out]# 129         Coop    Lasanga   9.45
#[Out]# 130         Lidl    Lasanga   9.60
#[Out]# 131         Coop     Cheese   9.65
#[Out]# 132       Sligro     Cheese   9.70
#[Out]# 133  Albert Hein    Lasanga   9.85
#[Out]# 134         Coop       Beef  10.15
#[Out]# 135         Coop     Cheese  10.30
#[Out]# 136       Sligro     Cheese  10.50
#[Out]# 137         Coop     Cheese  10.60
#[Out]# 138  Albert Hein       Beef  10.75
#[Out]# 139         Coop       Beef  11.20
#[Out]# 140         Dirk       Beef  11.45
#[Out]# 141  Albert Hein     Cheese  11.55
#[Out]# 142         Dirk       Beef  11.65
#[Out]# 143  Albert Hein     Cheese  12.00
#[Out]# 144    Hoogvliet       Beef  12.20
#[Out]# 145    Hoogvliet       Beef  12.30
#[Out]# 146         Dirk       Beef  12.55
#[Out]# 147       Sligro       Beef  12.65
#[Out]# 148         Dirk       Beef  12.80
#[Out]# 149  Albert Hein       Beef  13.15
#[Out]# 150  Albert Hein       Beef  13.25
#[Out]# 151       Sligro       Beef  13.40
#[Out]# 152         Coop       Beef  13.60
#[Out]# 153       Sligro       Beef  13.65
#[Out]# 154       Sligro       Beef  13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName, pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0              Apples  Albert Hein   4.30
#[Out]# 1             Bananas  Albert Hein   3.00
#[Out]# 2                Beef  Albert Hein  13.25
#[Out]# 3               Bread  Albert Hein   2.60
#[Out]# 4             Carrots  Albert Hein   2.95
#[Out]# 5         Cashew Nuts  Albert Hein   5.40
#[Out]# 6              Cheese  Albert Hein  12.00
#[Out]# 7                Coca  Albert Hein   2.85
#[Out]# 8              Coffee  Albert Hein   4.25
#[Out]# 9           Cucumbers  Albert Hein   1.30
#[Out]# 10             Donuts  Albert Hein   3.95
#[Out]# 11               Eggs  Albert Hein   3.85
#[Out]# 12              Fanta  Albert Hein   3.25
#[Out]# 13       Green Pepper  Albert Hein   1.40
#[Out]# 14   Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15            Lasanga  Albert Hein   9.85
#[Out]# 16               Milk  Albert Hein   0.90
#[Out]# 17         Mixed Nuts  Albert Hein   6.05
#[Out]# 18          Mushrooms  Albert Hein   1.75
#[Out]# 19            Oranges  Albert Hein   3.40
#[Out]# 20              Pasta  Albert Hein   3.25
#[Out]# 21               Rice  Albert Hein   1.90
#[Out]# 22    Spiced Biscuits  Albert Hein   2.00
#[Out]# 23                Tea  Albert Hein   2.05
#[Out]# 24           Tomatoes  Albert Hein   1.65
#[Out]# 25              Water  Albert Hein   0.55
#[Out]# 26             Apples         Coop   4.45
#[Out]# 27            Bananas         Coop   1.65
#[Out]# 28               Beef         Coop  13.60
#[Out]# 29              Bread         Coop   3.25
#[Out]# ..                ...          ...    ...
#[Out]# 155   Spiced Biscuits         Lidl   2.50
#[Out]# 156               Tea         Lidl   2.60
#[Out]# 157          Tomatoes         Lidl   2.20
#[Out]# 158            Apples       Sligro   4.50
#[Out]# 159           Bananas       Sligro   1.75
#[Out]# 160              Beef       Sligro  13.80
#[Out]# 161             Bread       Sligro   1.20
#[Out]# 162           Carrots       Sligro   1.05
#[Out]# 163       Cashew Nuts       Sligro   5.00
#[Out]# 164            Cheese       Sligro  10.50
#[Out]# 165              Coca       Sligro   3.00
#[Out]# 166            Coffee       Sligro   4.05
#[Out]# 167         Cucumbers       Sligro   1.30
#[Out]# 168            Donuts       Sligro   4.70
#[Out]# 169              Eggs       Sligro   3.05
#[Out]# 170             Fanta       Sligro   2.70
#[Out]# 171      Green Pepper       Sligro   1.70
#[Out]# 172  Hot Dog Sausages       Sligro   4.25
#[Out]# 173           Lasanga       Sligro   8.70
#[Out]# 174              Milk       Sligro   1.15
#[Out]# 175        Mixed Nuts       Sligro   5.35
#[Out]# 176            Onions       Sligro   1.15
#[Out]# 177           Oranges       Sligro   4.05
#[Out]# 178             Pasta       Sligro   2.80
#[Out]# 179             Pizza       Sligro   9.25
#[Out]# 180          Potatoes       Sligro   2.00
#[Out]# 181              Rice       Sligro   1.90
#[Out]# 182               Tea       Sligro   3.20
#[Out]# 183          Tomatoes       Sligro   2.00
#[Out]# 184             Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName, pName
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0              Apples  Albert Hein   4.30
#[Out]# 1             Bananas  Albert Hein   1.60
#[Out]# 2                Beef  Albert Hein  10.75
#[Out]# 3               Bread  Albert Hein   2.60
#[Out]# 4             Carrots  Albert Hein   0.95
#[Out]# 5         Cashew Nuts  Albert Hein   5.40
#[Out]# 6              Cheese  Albert Hein  11.55
#[Out]# 7                Coca  Albert Hein   2.85
#[Out]# 8              Coffee  Albert Hein   1.70
#[Out]# 9           Cucumbers  Albert Hein   1.30
#[Out]# 10             Donuts  Albert Hein   3.95
#[Out]# 11               Eggs  Albert Hein   3.85
#[Out]# 12              Fanta  Albert Hein   3.25
#[Out]# 13       Green Pepper  Albert Hein   1.40
#[Out]# 14   Hot Dog Sausages  Albert Hein   5.55
#[Out]# 15            Lasanga  Albert Hein   8.05
#[Out]# 16               Milk  Albert Hein   0.90
#[Out]# 17         Mixed Nuts  Albert Hein   6.05
#[Out]# 18          Mushrooms  Albert Hein   0.50
#[Out]# 19            Oranges  Albert Hein   2.80
#[Out]# 20              Pasta  Albert Hein   2.75
#[Out]# 21               Rice  Albert Hein   1.90
#[Out]# 22    Spiced Biscuits  Albert Hein   2.00
#[Out]# 23                Tea  Albert Hein   1.90
#[Out]# 24           Tomatoes  Albert Hein   1.65
#[Out]# 25              Water  Albert Hein   0.50
#[Out]# 26             Apples         Coop   4.10
#[Out]# 27            Bananas         Coop   1.65
#[Out]# 28               Beef         Coop  13.60
#[Out]# 29              Bread         Coop   1.75
#[Out]# ..                ...          ...    ...
#[Out]# 155   Spiced Biscuits         Lidl   2.50
#[Out]# 156               Tea         Lidl   1.60
#[Out]# 157          Tomatoes         Lidl   2.20
#[Out]# 158            Apples       Sligro   3.85
#[Out]# 159           Bananas       Sligro   1.35
#[Out]# 160              Beef       Sligro  13.80
#[Out]# 161             Bread       Sligro   1.20
#[Out]# 162           Carrots       Sligro   1.05
#[Out]# 163       Cashew Nuts       Sligro   3.70
#[Out]# 164            Cheese       Sligro  10.50
#[Out]# 165              Coca       Sligro   2.10
#[Out]# 166            Coffee       Sligro   1.70
#[Out]# 167         Cucumbers       Sligro   1.30
#[Out]# 168            Donuts       Sligro   4.70
#[Out]# 169              Eggs       Sligro   3.05
#[Out]# 170             Fanta       Sligro   2.05
#[Out]# 171      Green Pepper       Sligro   1.20
#[Out]# 172  Hot Dog Sausages       Sligro   4.25
#[Out]# 173           Lasanga       Sligro   8.70
#[Out]# 174              Milk       Sligro   1.15
#[Out]# 175        Mixed Nuts       Sligro   5.35
#[Out]# 176            Onions       Sligro   0.95
#[Out]# 177           Oranges       Sligro   3.90
#[Out]# 178             Pasta       Sligro   2.80
#[Out]# 179             Pizza       Sligro   9.25
#[Out]# 180          Potatoes       Sligro   2.00
#[Out]# 181              Rice       Sligro   1.60
#[Out]# 182               Tea       Sligro   1.50
#[Out]# 183          Tomatoes       Sligro   2.00
#[Out]# 184             Water       Sligro   0.45
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName, pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0              Apples  Albert Hein   4.30
#[Out]# 1             Bananas  Albert Hein   3.00
#[Out]# 2                Beef  Albert Hein  13.25
#[Out]# 3               Bread  Albert Hein   2.60
#[Out]# 4             Carrots  Albert Hein   2.95
#[Out]# 5         Cashew Nuts  Albert Hein   5.40
#[Out]# 6              Cheese  Albert Hein  12.00
#[Out]# 7                Coca  Albert Hein   2.85
#[Out]# 8              Coffee  Albert Hein   4.25
#[Out]# 9           Cucumbers  Albert Hein   1.30
#[Out]# 10             Donuts  Albert Hein   3.95
#[Out]# 11               Eggs  Albert Hein   3.85
#[Out]# 12              Fanta  Albert Hein   3.25
#[Out]# 13       Green Pepper  Albert Hein   1.40
#[Out]# 14   Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15            Lasanga  Albert Hein   9.85
#[Out]# 16               Milk  Albert Hein   0.90
#[Out]# 17         Mixed Nuts  Albert Hein   6.05
#[Out]# 18          Mushrooms  Albert Hein   1.75
#[Out]# 19            Oranges  Albert Hein   3.40
#[Out]# 20              Pasta  Albert Hein   3.25
#[Out]# 21               Rice  Albert Hein   1.90
#[Out]# 22    Spiced Biscuits  Albert Hein   2.00
#[Out]# 23                Tea  Albert Hein   2.05
#[Out]# 24           Tomatoes  Albert Hein   1.65
#[Out]# 25              Water  Albert Hein   0.55
#[Out]# 26             Apples         Coop   4.45
#[Out]# 27            Bananas         Coop   1.65
#[Out]# 28               Beef         Coop  13.60
#[Out]# 29              Bread         Coop   3.25
#[Out]# ..                ...          ...    ...
#[Out]# 155   Spiced Biscuits         Lidl   2.50
#[Out]# 156               Tea         Lidl   2.60
#[Out]# 157          Tomatoes         Lidl   2.20
#[Out]# 158            Apples       Sligro   4.50
#[Out]# 159           Bananas       Sligro   1.75
#[Out]# 160              Beef       Sligro  13.80
#[Out]# 161             Bread       Sligro   1.20
#[Out]# 162           Carrots       Sligro   1.05
#[Out]# 163       Cashew Nuts       Sligro   5.00
#[Out]# 164            Cheese       Sligro  10.50
#[Out]# 165              Coca       Sligro   3.00
#[Out]# 166            Coffee       Sligro   4.05
#[Out]# 167         Cucumbers       Sligro   1.30
#[Out]# 168            Donuts       Sligro   4.70
#[Out]# 169              Eggs       Sligro   3.05
#[Out]# 170             Fanta       Sligro   2.70
#[Out]# 171      Green Pepper       Sligro   1.70
#[Out]# 172  Hot Dog Sausages       Sligro   4.25
#[Out]# 173           Lasanga       Sligro   8.70
#[Out]# 174              Milk       Sligro   1.15
#[Out]# 175        Mixed Nuts       Sligro   5.35
#[Out]# 176            Onions       Sligro   1.15
#[Out]# 177           Oranges       Sligro   4.05
#[Out]# 178             Pasta       Sligro   2.80
#[Out]# 179             Pizza       Sligro   9.25
#[Out]# 180          Potatoes       Sligro   2.00
#[Out]# 181              Rice       Sligro   1.90
#[Out]# 182               Tea       Sligro   3.20
#[Out]# 183          Tomatoes       Sligro   2.00
#[Out]# 184             Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by sName, pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName  price
#[Out]# 0              Apples  Albert Hein   4.30
#[Out]# 1             Bananas  Albert Hein   3.00
#[Out]# 2                Beef  Albert Hein  13.25
#[Out]# 3               Bread  Albert Hein   2.60
#[Out]# 4             Carrots  Albert Hein   2.95
#[Out]# 5         Cashew Nuts  Albert Hein   5.40
#[Out]# 6              Cheese  Albert Hein  12.00
#[Out]# 7                Coca  Albert Hein   2.85
#[Out]# 8              Coffee  Albert Hein   4.25
#[Out]# 9           Cucumbers  Albert Hein   1.30
#[Out]# 10             Donuts  Albert Hein   3.95
#[Out]# 11               Eggs  Albert Hein   3.85
#[Out]# 12              Fanta  Albert Hein   3.25
#[Out]# 13       Green Pepper  Albert Hein   1.40
#[Out]# 14   Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15            Lasanga  Albert Hein   9.85
#[Out]# 16               Milk  Albert Hein   0.90
#[Out]# 17         Mixed Nuts  Albert Hein   6.05
#[Out]# 18          Mushrooms  Albert Hein   1.75
#[Out]# 19            Oranges  Albert Hein   3.40
#[Out]# 20              Pasta  Albert Hein   3.25
#[Out]# 21               Rice  Albert Hein   1.90
#[Out]# 22    Spiced Biscuits  Albert Hein   2.00
#[Out]# 23                Tea  Albert Hein   2.05
#[Out]# 24           Tomatoes  Albert Hein   1.65
#[Out]# 25              Water  Albert Hein   0.55
#[Out]# 26             Apples         Coop   4.45
#[Out]# 27            Bananas         Coop   1.65
#[Out]# 28               Beef         Coop  13.60
#[Out]# 29              Bread         Coop   3.25
#[Out]# ..                ...          ...    ...
#[Out]# 155   Spiced Biscuits         Lidl   2.50
#[Out]# 156               Tea         Lidl   2.60
#[Out]# 157          Tomatoes         Lidl   2.20
#[Out]# 158            Apples       Sligro   4.50
#[Out]# 159           Bananas       Sligro   1.75
#[Out]# 160              Beef       Sligro  13.80
#[Out]# 161             Bread       Sligro   1.20
#[Out]# 162           Carrots       Sligro   1.05
#[Out]# 163       Cashew Nuts       Sligro   5.00
#[Out]# 164            Cheese       Sligro  10.50
#[Out]# 165              Coca       Sligro   3.00
#[Out]# 166            Coffee       Sligro   4.05
#[Out]# 167         Cucumbers       Sligro   1.30
#[Out]# 168            Donuts       Sligro   4.70
#[Out]# 169              Eggs       Sligro   3.05
#[Out]# 170             Fanta       Sligro   2.70
#[Out]# 171      Green Pepper       Sligro   1.70
#[Out]# 172  Hot Dog Sausages       Sligro   4.25
#[Out]# 173           Lasanga       Sligro   8.70
#[Out]# 174              Milk       Sligro   1.15
#[Out]# 175        Mixed Nuts       Sligro   5.35
#[Out]# 176            Onions       Sligro   1.15
#[Out]# 177           Oranges       Sligro   4.05
#[Out]# 178             Pasta       Sligro   2.80
#[Out]# 179             Pizza       Sligro   9.25
#[Out]# 180          Potatoes       Sligro   2.00
#[Out]# 181              Rice       Sligro   1.90
#[Out]# 182               Tea       Sligro   3.20
#[Out]# 183          Tomatoes       Sligro   2.00
#[Out]# 184             Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName  price
#[Out]# 0           Water    Hoogvliet   0.40
#[Out]# 1           Water       Sligro   0.45
#[Out]# 2       Mushrooms  Albert Hein   0.50
#[Out]# 3       Mushrooms         Lidl   0.55
#[Out]# 4           Water         Coop   0.60
#[Out]# 5         Lasanga        Jumbo   0.65
#[Out]# 6        Tomatoes    Hoogvliet   0.70
#[Out]# 7        Potatoes         Dirk   0.75
#[Out]# 8            Milk         Lidl   0.80
#[Out]# 9          Onions         Coop   0.85
#[Out]# 10           Milk         Lidl   0.90
#[Out]# 11        Carrots         Coop   0.95
#[Out]# 12      Cucumbers         Coop   1.00
#[Out]# 13        Carrots         Coop   1.05
#[Out]# 14         Onions         Coop   1.10
#[Out]# 15        Carrots         Lidl   1.15
#[Out]# 16   Green Pepper       Sligro   1.20
#[Out]# 17        Bananas    Hoogvliet   1.25
#[Out]# 18        Bananas    Hoogvliet   1.30
#[Out]# 19        Bananas       Sligro   1.35
#[Out]# 20           Rice         Coop   1.40
#[Out]# 21        Bananas       Sligro   1.45
#[Out]# 22            Tea       Sligro   1.50
#[Out]# 23            Tea         Coop   1.55
#[Out]# 24           Rice       Sligro   1.60
#[Out]# 25        Bananas    Hoogvliet   1.65
#[Out]# 26       Potatoes         Lidl   1.70
#[Out]# 27        Bananas       Sligro   1.75
#[Out]# 28       Tomatoes         Coop   1.80
#[Out]# 29           Rice         Coop   1.85
#[Out]# ..            ...          ...    ...
#[Out]# 125         Pizza         Coop   9.00
#[Out]# 126         Pizza        Jumbo   9.05
#[Out]# 127         Pizza         Lidl   9.10
#[Out]# 128         Pizza    Hoogvliet   9.25
#[Out]# 129       Lasanga         Coop   9.45
#[Out]# 130       Lasanga         Lidl   9.60
#[Out]# 131        Cheese         Coop   9.65
#[Out]# 132       Lasanga         Dirk   9.70
#[Out]# 133       Lasanga  Albert Hein   9.85
#[Out]# 134          Beef         Coop  10.15
#[Out]# 135        Cheese         Coop  10.30
#[Out]# 136        Cheese       Sligro  10.50
#[Out]# 137        Cheese         Coop  10.60
#[Out]# 138          Beef  Albert Hein  10.75
#[Out]# 139          Beef         Coop  11.20
#[Out]# 140          Beef         Dirk  11.45
#[Out]# 141        Cheese  Albert Hein  11.55
#[Out]# 142          Beef         Dirk  11.65
#[Out]# 143        Cheese  Albert Hein  12.00
#[Out]# 144          Beef    Hoogvliet  12.20
#[Out]# 145          Beef    Hoogvliet  12.30
#[Out]# 146          Beef         Dirk  12.55
#[Out]# 147          Beef       Sligro  12.65
#[Out]# 148          Beef         Dirk  12.80
#[Out]# 149          Beef  Albert Hein  13.15
#[Out]# 150          Beef  Albert Hein  13.25
#[Out]# 151          Beef       Sligro  13.40
#[Out]# 152          Beef         Coop  13.60
#[Out]# 153          Beef       Sligro  13.65
#[Out]# 154          Beef       Sligro  13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples    Hoogvliet   4.70
#[Out]# 1            Bananas        Jumbo   3.15
#[Out]# 2               Beef       Sligro  13.80
#[Out]# 3              Bread        Jumbo   3.80
#[Out]# 4            Carrots  Albert Hein   2.95
#[Out]# 5        Cashew Nuts         Coop   5.40
#[Out]# 6             Cheese  Albert Hein  12.00
#[Out]# 7               Coca         Dirk   4.25
#[Out]# 8             Coffee  Albert Hein   4.25
#[Out]# 9          Cucumbers         Coop   3.80
#[Out]# 10            Donuts        Jumbo   4.70
#[Out]# 11              Eggs    Hoogvliet   4.20
#[Out]# 12             Fanta    Hoogvliet   4.30
#[Out]# 13      Green Pepper         Dirk   2.75
#[Out]# 14  Hot Dog Sausages  Albert Hein   5.70
#[Out]# 15           Ketchup        Jumbo   1.00
#[Out]# 16           Lasanga  Albert Hein   9.85
#[Out]# 17              Milk         Coop   3.55
#[Out]# 18        Mixed Nuts         Coop   6.55
#[Out]# 19         Mushrooms         Lidl   4.35
#[Out]# 20            Onions         Lidl   2.40
#[Out]# 21           Oranges         Coop   4.20
#[Out]# 22             Pasta         Lidl   3.55
#[Out]# 23             Pizza    Hoogvliet   9.25
#[Out]# 24          Potatoes         Coop   2.30
#[Out]# 25              Rice        Jumbo   2.10
#[Out]# 26            Salmon        Jumbo   1.00
#[Out]# 27   Spiced Biscuits         Coop   3.75
#[Out]# 28               Tea       Sligro   3.20
#[Out]# 29          Tomatoes        Jumbo   2.35
#[Out]# 30             Water         Dirk   4.35
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples  Albert Hein   4.30
#[Out]# 1             Apples         Coop   4.45
#[Out]# 2             Apples         Dirk   4.65
#[Out]# 3             Apples    Hoogvliet   4.70
#[Out]# 4             Apples        Jumbo   3.50
#[Out]# 5             Apples         Lidl   4.65
#[Out]# 6             Apples       Sligro   4.50
#[Out]# 7            Bananas  Albert Hein   3.00
#[Out]# 8            Bananas         Coop   1.65
#[Out]# 9            Bananas         Dirk   1.70
#[Out]# 10           Bananas    Hoogvliet   1.65
#[Out]# 11           Bananas        Jumbo   3.15
#[Out]# 12           Bananas         Lidl   1.80
#[Out]# 13           Bananas       Sligro   1.75
#[Out]# 14              Beef  Albert Hein  13.25
#[Out]# 15              Beef         Coop  13.60
#[Out]# 16              Beef         Dirk  12.80
#[Out]# 17              Beef    Hoogvliet  12.30
#[Out]# 18              Beef       Sligro  13.80
#[Out]# 19             Bread  Albert Hein   2.60
#[Out]# 20             Bread         Coop   3.25
#[Out]# 21             Bread         Dirk   2.40
#[Out]# 22             Bread    Hoogvliet   2.30
#[Out]# 23             Bread        Jumbo   3.80
#[Out]# 24             Bread         Lidl   2.30
#[Out]# 25             Bread       Sligro   1.20
#[Out]# 26           Carrots  Albert Hein   2.95
#[Out]# 27           Carrots         Coop   1.10
#[Out]# 28           Carrots         Dirk   0.90
#[Out]# 29           Carrots    Hoogvliet   1.15
#[Out]# ..               ...          ...    ...
#[Out]# 155             Rice         Dirk   2.05
#[Out]# 156             Rice    Hoogvliet   1.90
#[Out]# 157             Rice        Jumbo   2.10
#[Out]# 158             Rice         Lidl   2.05
#[Out]# 159             Rice       Sligro   1.90
#[Out]# 160           Salmon        Jumbo   1.00
#[Out]# 161  Spiced Biscuits  Albert Hein   2.00
#[Out]# 162  Spiced Biscuits         Coop   3.75
#[Out]# 163  Spiced Biscuits    Hoogvliet   2.55
#[Out]# 164  Spiced Biscuits        Jumbo   2.40
#[Out]# 165  Spiced Biscuits         Lidl   2.50
#[Out]# 166              Tea  Albert Hein   2.05
#[Out]# 167              Tea         Coop   1.90
#[Out]# 168              Tea         Dirk   1.60
#[Out]# 169              Tea    Hoogvliet   2.05
#[Out]# 170              Tea        Jumbo   2.00
#[Out]# 171              Tea         Lidl   2.60
#[Out]# 172              Tea       Sligro   3.20
#[Out]# 173         Tomatoes  Albert Hein   1.65
#[Out]# 174         Tomatoes         Coop   2.35
#[Out]# 175         Tomatoes    Hoogvliet   2.05
#[Out]# 176         Tomatoes        Jumbo   2.35
#[Out]# 177         Tomatoes         Lidl   2.20
#[Out]# 178         Tomatoes       Sligro   2.00
#[Out]# 179            Water  Albert Hein   0.55
#[Out]# 180            Water         Coop   4.15
#[Out]# 181            Water         Dirk   4.35
#[Out]# 182            Water    Hoogvliet   0.95
#[Out]# 183            Water        Jumbo   0.60
#[Out]# 184            Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, price
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#         pName        sName  price
#[Out]# 0      Apples  Albert Hein   3.20
#[Out]# 1      Apples         Coop   3.25
#[Out]# 2      Apples        Jumbo   3.50
#[Out]# 3      Apples  Albert Hein   3.70
#[Out]# 4      Apples         Coop   3.80
#[Out]# 5      Apples       Sligro   3.85
#[Out]# 6      Apples    Hoogvliet   3.95
#[Out]# 7      Apples         Coop   4.10
#[Out]# 8      Apples         Dirk   4.20
#[Out]# 9      Apples       Sligro   4.25
#[Out]# 10     Apples  Albert Hein   4.30
#[Out]# 11     Apples         Coop   4.45
#[Out]# 12     Apples       Sligro   4.50
#[Out]# 13     Apples         Dirk   4.65
#[Out]# 14     Apples    Hoogvliet   4.70
#[Out]# 15    Bananas  Albert Hein   0.85
#[Out]# 16    Bananas    Hoogvliet   1.25
#[Out]# 17    Bananas    Hoogvliet   1.30
#[Out]# 18    Bananas       Sligro   1.35
#[Out]# 19    Bananas       Sligro   1.40
#[Out]# 20    Bananas       Sligro   1.45
#[Out]# 21    Bananas    Hoogvliet   1.50
#[Out]# 22    Bananas  Albert Hein   1.60
#[Out]# 23    Bananas    Hoogvliet   1.65
#[Out]# 24    Bananas        Jumbo   1.70
#[Out]# 25    Bananas       Sligro   1.75
#[Out]# 26    Bananas         Lidl   1.80
#[Out]# 27    Bananas  Albert Hein   3.00
#[Out]# 28    Bananas        Jumbo   3.15
#[Out]# 29       Beef         Coop  10.15
#[Out]# ..        ...          ...    ...
#[Out]# 330       Tea       Sligro   1.50
#[Out]# 331       Tea         Coop   1.55
#[Out]# 332       Tea         Coop   1.60
#[Out]# 333       Tea         Lidl   1.70
#[Out]# 334       Tea  Albert Hein   1.85
#[Out]# 335       Tea  Albert Hein   1.90
#[Out]# 336       Tea        Jumbo   2.00
#[Out]# 337       Tea  Albert Hein   2.05
#[Out]# 338       Tea         Lidl   2.60
#[Out]# 339       Tea       Sligro   3.20
#[Out]# 340  Tomatoes    Hoogvliet   0.70
#[Out]# 341  Tomatoes        Jumbo   1.25
#[Out]# 342  Tomatoes    Hoogvliet   1.30
#[Out]# 343  Tomatoes  Albert Hein   1.65
#[Out]# 344  Tomatoes         Coop   1.80
#[Out]# 345  Tomatoes       Sligro   1.85
#[Out]# 346  Tomatoes         Coop   1.95
#[Out]# 347  Tomatoes       Sligro   2.00
#[Out]# 348  Tomatoes    Hoogvliet   2.05
#[Out]# 349  Tomatoes        Jumbo   2.10
#[Out]# 350  Tomatoes         Lidl   2.20
#[Out]# 351  Tomatoes        Jumbo   2.35
#[Out]# 352     Water    Hoogvliet   0.40
#[Out]# 353     Water       Sligro   0.45
#[Out]# 354     Water         Dirk   0.50
#[Out]# 355     Water         Coop   0.55
#[Out]# 356     Water         Coop   0.60
#[Out]# 357     Water    Hoogvliet   0.95
#[Out]# 358     Water         Coop   4.15
#[Out]# 359     Water         Dirk   4.35
#[Out]# 
#[Out]# [360 rows x 3 columns]
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples  Albert Hein   4.30
#[Out]# 1             Apples         Coop   4.45
#[Out]# 2             Apples         Dirk   4.65
#[Out]# 3             Apples    Hoogvliet   4.70
#[Out]# 4             Apples        Jumbo   3.50
#[Out]# 5             Apples         Lidl   4.65
#[Out]# 6             Apples       Sligro   4.50
#[Out]# 7            Bananas  Albert Hein   3.00
#[Out]# 8            Bananas         Coop   1.65
#[Out]# 9            Bananas         Dirk   1.70
#[Out]# 10           Bananas    Hoogvliet   1.65
#[Out]# 11           Bananas        Jumbo   3.15
#[Out]# 12           Bananas         Lidl   1.80
#[Out]# 13           Bananas       Sligro   1.75
#[Out]# 14              Beef  Albert Hein  13.25
#[Out]# 15              Beef         Coop  13.60
#[Out]# 16              Beef         Dirk  12.80
#[Out]# 17              Beef    Hoogvliet  12.30
#[Out]# 18              Beef       Sligro  13.80
#[Out]# 19             Bread  Albert Hein   2.60
#[Out]# 20             Bread         Coop   3.25
#[Out]# 21             Bread         Dirk   2.40
#[Out]# 22             Bread    Hoogvliet   2.30
#[Out]# 23             Bread        Jumbo   3.80
#[Out]# 24             Bread         Lidl   2.30
#[Out]# 25             Bread       Sligro   1.20
#[Out]# 26           Carrots  Albert Hein   2.95
#[Out]# 27           Carrots         Coop   1.10
#[Out]# 28           Carrots         Dirk   0.90
#[Out]# 29           Carrots    Hoogvliet   1.15
#[Out]# ..               ...          ...    ...
#[Out]# 155             Rice         Dirk   2.05
#[Out]# 156             Rice    Hoogvliet   1.90
#[Out]# 157             Rice        Jumbo   2.10
#[Out]# 158             Rice         Lidl   2.05
#[Out]# 159             Rice       Sligro   1.90
#[Out]# 160           Salmon        Jumbo   1.00
#[Out]# 161  Spiced Biscuits  Albert Hein   2.00
#[Out]# 162  Spiced Biscuits         Coop   3.75
#[Out]# 163  Spiced Biscuits    Hoogvliet   2.55
#[Out]# 164  Spiced Biscuits        Jumbo   2.40
#[Out]# 165  Spiced Biscuits         Lidl   2.50
#[Out]# 166              Tea  Albert Hein   2.05
#[Out]# 167              Tea         Coop   1.90
#[Out]# 168              Tea         Dirk   1.60
#[Out]# 169              Tea    Hoogvliet   2.05
#[Out]# 170              Tea        Jumbo   2.00
#[Out]# 171              Tea         Lidl   2.60
#[Out]# 172              Tea       Sligro   3.20
#[Out]# 173         Tomatoes  Albert Hein   1.65
#[Out]# 174         Tomatoes         Coop   2.35
#[Out]# 175         Tomatoes    Hoogvliet   2.05
#[Out]# 176         Tomatoes        Jumbo   2.35
#[Out]# 177         Tomatoes         Lidl   2.20
#[Out]# 178         Tomatoes       Sligro   2.00
#[Out]# 179            Water  Albert Hein   0.55
#[Out]# 180            Water         Coop   4.15
#[Out]# 181            Water         Dirk   4.35
#[Out]# 182            Water    Hoogvliet   0.95
#[Out]# 183            Water        Jumbo   0.60
#[Out]# 184            Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select *
    from
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t1, 
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t2
    where t1.price >= t2.price
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select *
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t1, 
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName)
    having max(price) as t2
    where t1.price >= t2.price
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select *
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t1, 
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t2)
    where t1.price >= t2.price
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select *
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price)) as t1, 
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price)) as t2)
    where t1.price >= t2.price
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price) as t1
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName  price
#[Out]# 0             Apples  Albert Hein   4.30
#[Out]# 1             Apples         Coop   4.45
#[Out]# 2             Apples         Dirk   4.65
#[Out]# 3             Apples    Hoogvliet   4.70
#[Out]# 4             Apples        Jumbo   3.50
#[Out]# 5             Apples         Lidl   4.65
#[Out]# 6             Apples       Sligro   4.50
#[Out]# 7            Bananas  Albert Hein   3.00
#[Out]# 8            Bananas         Coop   1.65
#[Out]# 9            Bananas         Dirk   1.70
#[Out]# 10           Bananas    Hoogvliet   1.65
#[Out]# 11           Bananas        Jumbo   3.15
#[Out]# 12           Bananas         Lidl   1.80
#[Out]# 13           Bananas       Sligro   1.75
#[Out]# 14              Beef  Albert Hein  13.25
#[Out]# 15              Beef         Coop  13.60
#[Out]# 16              Beef         Dirk  12.80
#[Out]# 17              Beef    Hoogvliet  12.30
#[Out]# 18              Beef       Sligro  13.80
#[Out]# 19             Bread  Albert Hein   2.60
#[Out]# 20             Bread         Coop   3.25
#[Out]# 21             Bread         Dirk   2.40
#[Out]# 22             Bread    Hoogvliet   2.30
#[Out]# 23             Bread        Jumbo   3.80
#[Out]# 24             Bread         Lidl   2.30
#[Out]# 25             Bread       Sligro   1.20
#[Out]# 26           Carrots  Albert Hein   2.95
#[Out]# 27           Carrots         Coop   1.10
#[Out]# 28           Carrots         Dirk   0.90
#[Out]# 29           Carrots    Hoogvliet   1.15
#[Out]# ..               ...          ...    ...
#[Out]# 155             Rice         Dirk   2.05
#[Out]# 156             Rice    Hoogvliet   1.90
#[Out]# 157             Rice        Jumbo   2.10
#[Out]# 158             Rice         Lidl   2.05
#[Out]# 159             Rice       Sligro   1.90
#[Out]# 160           Salmon        Jumbo   1.00
#[Out]# 161  Spiced Biscuits  Albert Hein   2.00
#[Out]# 162  Spiced Biscuits         Coop   3.75
#[Out]# 163  Spiced Biscuits    Hoogvliet   2.55
#[Out]# 164  Spiced Biscuits        Jumbo   2.40
#[Out]# 165  Spiced Biscuits         Lidl   2.50
#[Out]# 166              Tea  Albert Hein   2.05
#[Out]# 167              Tea         Coop   1.90
#[Out]# 168              Tea         Dirk   1.60
#[Out]# 169              Tea    Hoogvliet   2.05
#[Out]# 170              Tea        Jumbo   2.00
#[Out]# 171              Tea         Lidl   2.60
#[Out]# 172              Tea       Sligro   3.20
#[Out]# 173         Tomatoes  Albert Hein   1.65
#[Out]# 174         Tomatoes         Coop   2.35
#[Out]# 175         Tomatoes    Hoogvliet   2.05
#[Out]# 176         Tomatoes        Jumbo   2.35
#[Out]# 177         Tomatoes         Lidl   2.20
#[Out]# 178         Tomatoes       Sligro   2.00
#[Out]# 179            Water  Albert Hein   0.55
#[Out]# 180            Water         Coop   4.15
#[Out]# 181            Water         Dirk   4.35
#[Out]# 182            Water    Hoogvliet   0.95
#[Out]# 183            Water        Jumbo   0.60
#[Out]# 184            Water       Sligro   0.50
#[Out]# 
#[Out]# [185 rows x 3 columns]
query5 = '''
    select pName, sName
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price > (select price from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0             Apples  Albert Hein
#[Out]# 1             Apples         Coop
#[Out]# 2             Apples         Dirk
#[Out]# 3             Apples    Hoogvliet
#[Out]# 4             Apples        Jumbo
#[Out]# 5             Apples         Lidl
#[Out]# 6             Apples       Sligro
#[Out]# 7            Bananas  Albert Hein
#[Out]# 8            Bananas         Coop
#[Out]# 9            Bananas         Dirk
#[Out]# 10           Bananas    Hoogvliet
#[Out]# 11           Bananas        Jumbo
#[Out]# 12           Bananas         Lidl
#[Out]# 13           Bananas       Sligro
#[Out]# 14              Beef  Albert Hein
#[Out]# 15              Beef         Coop
#[Out]# 16              Beef         Dirk
#[Out]# 17              Beef    Hoogvliet
#[Out]# 18              Beef       Sligro
#[Out]# 19             Bread  Albert Hein
#[Out]# 20             Bread         Coop
#[Out]# 21             Bread         Dirk
#[Out]# 22             Bread    Hoogvliet
#[Out]# 23             Bread        Jumbo
#[Out]# 24             Bread         Lidl
#[Out]# 25             Bread       Sligro
#[Out]# 26           Carrots  Albert Hein
#[Out]# 27           Carrots         Coop
#[Out]# 28           Carrots         Dirk
#[Out]# 29           Carrots    Hoogvliet
#[Out]# ..               ...          ...
#[Out]# 154             Rice         Dirk
#[Out]# 155             Rice    Hoogvliet
#[Out]# 156             Rice        Jumbo
#[Out]# 157             Rice         Lidl
#[Out]# 158             Rice       Sligro
#[Out]# 159           Salmon        Jumbo
#[Out]# 160  Spiced Biscuits  Albert Hein
#[Out]# 161  Spiced Biscuits         Coop
#[Out]# 162  Spiced Biscuits    Hoogvliet
#[Out]# 163  Spiced Biscuits        Jumbo
#[Out]# 164  Spiced Biscuits         Lidl
#[Out]# 165              Tea  Albert Hein
#[Out]# 166              Tea         Coop
#[Out]# 167              Tea         Dirk
#[Out]# 168              Tea    Hoogvliet
#[Out]# 169              Tea        Jumbo
#[Out]# 170              Tea         Lidl
#[Out]# 171              Tea       Sligro
#[Out]# 172         Tomatoes  Albert Hein
#[Out]# 173         Tomatoes         Coop
#[Out]# 174         Tomatoes    Hoogvliet
#[Out]# 175         Tomatoes        Jumbo
#[Out]# 176         Tomatoes         Lidl
#[Out]# 177         Tomatoes       Sligro
#[Out]# 178            Water  Albert Hein
#[Out]# 179            Water         Coop
#[Out]# 180            Water         Dirk
#[Out]# 181            Water    Hoogvliet
#[Out]# 182            Water        Jumbo
#[Out]# 183            Water       Sligro
#[Out]# 
#[Out]# [184 rows x 2 columns]
query5 = '''
    select pName, sName
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price > all (select price from purchase)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    select pName, sName
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price > (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName, sName]
#[Out]# Index: []
query5 = '''
    select pName, sName
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
    select pName, sName, price
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
    select pName, sName, price
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query6 = '''
    select pName, sName, price
    from
    (select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID
    group by pName, sName
    having max(price))
    where price >= (select max(price) from purchase)
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query6 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (selecy max(price) from purchase)
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query6, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query5 = '''
    select pName, sName, price
    from purchase as pur, store as s, product as p
    where pur.sID = s.sID and pur.pID = p.pID and
    price >= (select max(price) from purchase)
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName  price
#[Out]# 0  Beef  Sligro   13.8
query6 = '''
    from inventory as i, purchase as p
    where i.sID = p.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i, purchase as p
    where i.sID = p.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#       sID  pID        date  quantity  unit_price  tID  cID  sID  pID  \
#[Out]# 0       3    0  2018-08-24        18        4.85    0    0    3   10   
#[Out]# 1       3    0  2018-08-25         5        3.75    0    0    3   10   
#[Out]# 2       3    3  2018-08-23        17        1.35    0    0    3   10   
#[Out]# 3       3    4  2018-08-25         8        0.90    0    0    3   10   
#[Out]# 4       3    6  2018-08-19         1        1.10    0    0    3   10   
#[Out]# 5       3   10  2018-08-21        13        0.45    0    0    3   10   
#[Out]# 6       3   11  2018-08-20        16        1.15    0    0    3   10   
#[Out]# 7       3   11  2018-08-24        40        0.80    0    0    3   10   
#[Out]# 8       3   14  2018-08-26        10        4.50    0    0    3   10   
#[Out]# 9       3   16  2018-08-20         7        1.60    0    0    3   10   
#[Out]# 10      3   16  2018-08-26        15        1.90    0    0    3   10   
#[Out]# 11      3   18  2018-08-18        49        9.95    0    0    3   10   
#[Out]# 12      3   19  2018-08-23        11        2.10    0    0    3   10   
#[Out]# 13      3   20  2018-08-18        54        2.75    0    0    3   10   
#[Out]# 14      3   21  2018-08-15        12        1.70    0    0    3   10   
#[Out]# 15      3   21  2018-08-22         0        2.25    0    0    3   10   
#[Out]# 16      3   22  2018-08-17        17        2.00    0    0    3   10   
#[Out]# 17      3   25  2018-08-27        24        4.60    0    0    3   10   
#[Out]# 18     23    2  2018-08-20        28        1.80    1    1   23   14   
#[Out]# 19     23   10  2018-08-22        52        0.55    1    1   23   14   
#[Out]# 20     23   12  2018-08-26        17       11.65    1    1   23   14   
#[Out]# 21     23   12  2018-08-27        17       12.80    1    1   23   14   
#[Out]# 22     23   14  2018-08-20         8        4.65    1    1   23   14   
#[Out]# 23     23   15  2018-08-20        26        1.40    1    1   23   14   
#[Out]# 24     23   15  2018-08-24         3        1.05    1    1   23   14   
#[Out]# 25     23   17  2018-08-17         4        2.15    1    1   23   14   
#[Out]# 26     23   26  2018-08-18        20        3.40    1    1   23   14   
#[Out]# 27     23   27  2018-08-22        21        9.00    1    1   23   14   
#[Out]# 28      3    0  2018-08-24        18        4.85    2    1    3   16   
#[Out]# 29      3    0  2018-08-25         5        3.75    2    1    3   16   
#[Out]# ...   ...  ...         ...       ...         ...  ...  ...  ...  ...   
#[Out]# 7302   57    8  2018-08-21        19        4.05  841  190   57   15   
#[Out]# 7303   57   12  2018-08-18        16       11.45  841  190   57   15   
#[Out]# 7304   57   12  2018-08-22        39       10.60  841  190   57   15   
#[Out]# 7305   57   13  2018-08-16        48        3.60  841  190   57   15   
#[Out]# 7306   57   15  2018-08-24        41        1.20  841  190   57   15   
#[Out]# 7307   57   17  2018-08-17        34        2.25  841  190   57   15   
#[Out]# 7308   57   17  2018-08-24         4        2.40  841  190   57   15   
#[Out]# 7309   57   19  2018-08-23        12        2.95  841  190   57   15   
#[Out]# 7310   57   19  2018-08-26         9        2.60  841  190   57   15   
#[Out]# 7311   57   26  2018-08-17        12        3.50  841  190   57   15   
#[Out]# 7312   58   11  2018-08-21        44        0.85  842  190   58    2   
#[Out]# 7313   58   11  2018-08-24        16        1.15  842  190   58    2   
#[Out]# 7314   58   12  2018-08-20        51       13.10  842  190   58    2   
#[Out]# 7315   58   16  2018-08-20        53        2.00  842  190   58    2   
#[Out]# 7316   58   22  2018-08-25         3        1.55  842  190   58    2   
#[Out]# 7317   58   27  2018-08-16        54        9.45  842  190   58    2   
#[Out]# 7318   59    0  2018-08-17         1        3.90  843  190   59   17   
#[Out]# 7319   59    1  2018-08-26        36        6.20  843  190   59   17   
#[Out]# 7320   59    2  2018-08-18        52        1.65  843  190   59   17   
#[Out]# 7321   59    4  2018-08-27        15        0.90  843  190   59   17   
#[Out]# 7322   59    8  2018-08-20        10        5.45  843  190   59   17   
#[Out]# 7323   59   13  2018-08-20         1        4.00  843  190   59   17   
#[Out]# 7324   59   14  2018-08-26        10        3.50  843  190   59   17   
#[Out]# 7325   59   17  2018-08-18        12        2.15  843  190   59   17   
#[Out]# 7326   59   21  2018-08-15         5        2.20  843  190   59   17   
#[Out]# 7327   59   22  2018-08-24        30        2.15  843  190   59   17   
#[Out]# 7328   59   26  2018-08-18         4        3.00  843  190   59   17   
#[Out]# 7329   59   27  2018-08-25        27        7.60  843  190   59   17   
#[Out]# 7330   59   28  2018-08-25        16        9.55  843  190   59   17   
#[Out]# 7331   60   19  2018-07-10       525        1.75  844  190   60    5   
#[Out]# 
#[Out]#             date  quantity  price  
#[Out]# 0     2018-08-22         1   0.45  
#[Out]# 1     2018-08-22         1   0.45  
#[Out]# 2     2018-08-22         1   0.45  
#[Out]# 3     2018-08-22         1   0.45  
#[Out]# 4     2018-08-22         1   0.45  
#[Out]# 5     2018-08-22         1   0.45  
#[Out]# 6     2018-08-22         1   0.45  
#[Out]# 7     2018-08-22         1   0.45  
#[Out]# 8     2018-08-22         1   0.45  
#[Out]# 9     2018-08-22         1   0.45  
#[Out]# 10    2018-08-22         1   0.45  
#[Out]# 11    2018-08-22         1   0.45  
#[Out]# 12    2018-08-22         1   0.45  
#[Out]# 13    2018-08-22         1   0.45  
#[Out]# 14    2018-08-22         1   0.45  
#[Out]# 15    2018-08-22         1   0.45  
#[Out]# 16    2018-08-22         1   0.45  
#[Out]# 17    2018-08-22         1   0.45  
#[Out]# 18    2018-08-20         2   4.65  
#[Out]# 19    2018-08-20         2   4.65  
#[Out]# 20    2018-08-20         2   4.65  
#[Out]# 21    2018-08-20         2   4.65  
#[Out]# 22    2018-08-20         2   4.65  
#[Out]# 23    2018-08-20         2   4.65  
#[Out]# 24    2018-08-20         2   4.65  
#[Out]# 25    2018-08-20         2   4.65  
#[Out]# 26    2018-08-20         2   4.65  
#[Out]# 27    2018-08-20         2   4.65  
#[Out]# 28    2018-08-20         3   1.60  
#[Out]# 29    2018-08-20         3   1.60  
#[Out]# ...          ...       ...    ...  
#[Out]# 7302  2018-08-22         5   3.25  
#[Out]# 7303  2018-08-22         5   3.25  
#[Out]# 7304  2018-08-22         5   3.25  
#[Out]# 7305  2018-08-22         5   3.25  
#[Out]# 7306  2018-08-22         5   3.25  
#[Out]# 7307  2018-08-22         5   3.25  
#[Out]# 7308  2018-08-22         5   3.25  
#[Out]# 7309  2018-08-22         5   3.25  
#[Out]# 7310  2018-08-22         5   3.25  
#[Out]# 7311  2018-08-22         5   3.25  
#[Out]# 7312  2018-08-19         7   0.75  
#[Out]# 7313  2018-08-19         7   0.75  
#[Out]# 7314  2018-08-19         7   0.75  
#[Out]# 7315  2018-08-19         7   0.75  
#[Out]# 7316  2018-08-19         7   0.75  
#[Out]# 7317  2018-08-19         7   0.75  
#[Out]# 7318  2018-08-26         2   3.80  
#[Out]# 7319  2018-08-26         2   3.80  
#[Out]# 7320  2018-08-26         2   3.80  
#[Out]# 7321  2018-08-26         2   3.80  
#[Out]# 7322  2018-08-26         2   3.80  
#[Out]# 7323  2018-08-26         2   3.80  
#[Out]# 7324  2018-08-26         2   3.80  
#[Out]# 7325  2018-08-26         2   3.80  
#[Out]# 7326  2018-08-26         2   3.80  
#[Out]# 7327  2018-08-26         2   3.80  
#[Out]# 7328  2018-08-26         2   3.80  
#[Out]# 7329  2018-08-26         2   3.80  
#[Out]# 7330  2018-08-26         2   3.80  
#[Out]# 7331  2018-08-27         6   4.35  
#[Out]# 
#[Out]# [7332 rows x 12 columns]
query6 = '''
    select *
    from inventory as i
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price
#[Out]# 0     55   10  2018-08-26        17        0.60
#[Out]# 1     25   12  2018-08-24        30       14.80
#[Out]# 2     15    6  2018-08-26        13        1.15
#[Out]# 3      6   27  2018-08-19        51        7.30
#[Out]# 4     57    2  2018-08-22        24        2.05
#[Out]# 5     33    8  2018-08-19        46        5.70
#[Out]# 6     51   10  2018-08-23        31        0.60
#[Out]# 7     50   21  2018-08-22        32        1.90
#[Out]# 8      0   13  2018-08-25        13        3.05
#[Out]# 9     36    8  2018-08-27        11        5.05
#[Out]# 10    36   23  2018-08-18        35        2.20
#[Out]# 11    54   10  2018-08-24        16        0.55
#[Out]# 12    59    1  2018-08-26        36        6.20
#[Out]# 13     9   19  2018-08-22        28        2.50
#[Out]# 14    33    7  2018-08-26         5        1.60
#[Out]# 15    35   10  2018-08-21        51        0.55
#[Out]# 16     0   21  2018-08-15         0        2.20
#[Out]# 17    31   14  2018-08-17        10        4.50
#[Out]# 18    19   14  2018-08-20        42        4.70
#[Out]# 19    33   20  2018-08-21        51        2.15
#[Out]# 20    17   24  2018-08-16        44        2.85
#[Out]# 21     4   27  2018-08-18        27        9.00
#[Out]# 22     3   25  2018-08-27        24        4.60
#[Out]# 23    22   15  2018-08-20         4        1.30
#[Out]# 24    52   14  2018-08-18        44        4.25
#[Out]# 25    24   26  2018-08-25        18        2.90
#[Out]# 26     7   12  2018-08-20        13       12.55
#[Out]# 27    32   18  2018-08-21        41       11.85
#[Out]# 28    48   24  2018-08-19        10        3.20
#[Out]# 29    54    8  2018-08-17         3        5.55
#[Out]# ..   ...  ...         ...       ...         ...
#[Out]# 799   35    0  2018-08-25         1        4.35
#[Out]# 800   19   11  2018-08-25         9        0.90
#[Out]# 801    4   21  2018-08-25         9        2.15
#[Out]# 802    6    5  2018-08-26         6        0.50
#[Out]# 803   47   18  2018-08-20        12        8.85
#[Out]# 804   38   17  2018-08-20        10        2.30
#[Out]# 805   11    3  2018-08-21        15        1.30
#[Out]# 806   34   26  2018-08-21        14        3.40
#[Out]# 807   34   25  2018-08-27        17        3.60
#[Out]# 808   25   14  2018-08-24         3        3.70
#[Out]# 809   24   11  2018-08-24         1        0.85
#[Out]# 810   57   17  2018-08-24         4        2.40
#[Out]# 811   43   27  2018-08-22        15        9.00
#[Out]# 812   35   16  2018-08-22         8        1.85
#[Out]# 813   45   10  2018-08-22        21        0.45
#[Out]# 814   34   26  2018-08-26         9        3.10
#[Out]# 815   34   13  2018-08-26         3        4.05
#[Out]# 816   56   10  2018-08-27         1        0.60
#[Out]# 817    6   26  2018-08-24        13        2.70
#[Out]# 818   45    6  2018-08-24         9        0.90
#[Out]# 819   27   21  2018-08-27         1        2.00
#[Out]# 820   17   25  2018-08-27        14        3.90
#[Out]# 821    5   18  2018-08-28         1        9.70
#[Out]# 822    5    3  2018-08-28        13        1.30
#[Out]# 823    4   13  2018-08-23        23        4.20
#[Out]# 824   27   10  2018-08-20         7        0.55
#[Out]# 825   45   18  2018-08-21         5        9.20
#[Out]# 826   57    6  2018-08-22         9        1.15
#[Out]# 827   60   19  2018-07-10       525        1.75
#[Out]# 828    0    0  2018-07-18        15        5.95
#[Out]# 
#[Out]# [829 rows x 5 columns]
query6 = '''
    select *
    from inventory as i
    where i.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0    51   10  2018-08-23        31        0.60
#[Out]# 1    57   19  2018-08-23        12        2.95
#[Out]# 2    38   23  2018-08-23        29        1.80
#[Out]# 3    35   13  2018-08-23        28        4.15
#[Out]# 4    45   13  2018-08-23        32        4.10
#[Out]# 5     5   17  2018-08-23        34        2.45
#[Out]# 6    13   15  2018-08-23        11        1.25
#[Out]# 7    50   10  2018-08-23        54        0.55
#[Out]# 8     7    1  2018-08-23        18        5.80
#[Out]# 9     2   11  2018-08-23        21        1.00
#[Out]# 10   28   27  2018-08-23        43        8.50
#[Out]# 11   35   25  2018-08-23        36        4.00
#[Out]# 12   41    1  2018-08-23        53        4.60
#[Out]# 13   56   25  2018-08-23        19        4.35
#[Out]# 14   45    4  2018-08-23        50        1.00
#[Out]# 15   19    4  2018-08-23        53        1.20
#[Out]# 16   29   17  2018-08-23         4        1.95
#[Out]# 17   11    2  2018-08-23        22        2.10
#[Out]# 18   32   28  2018-08-23        36        6.85
#[Out]# 19    6    0  2018-08-23        37        4.35
#[Out]# 20   33   11  2018-08-23        32        1.05
#[Out]# 21   35   27  2018-08-23        54        8.85
#[Out]# 22   34   10  2018-08-23         8        0.45
#[Out]# 23   42   12  2018-08-23        46       11.40
#[Out]# 24   41   14  2018-08-23         3        3.35
#[Out]# 25   33   19  2018-08-23        32        2.25
#[Out]# 26   30   22  2018-08-23        29        2.05
#[Out]# 27   50   22  2018-08-23         5        1.95
#[Out]# 28   29    0  2018-08-23        28        5.15
#[Out]# 29   47    7  2018-08-23        27        1.85
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 38   11   16  2018-08-23         3        1.90
#[Out]# 39   21   23  2018-08-23        20        2.10
#[Out]# 40   43    7  2018-08-23        20        1.95
#[Out]# 41   40   14  2018-08-23         3        4.10
#[Out]# 42    3    3  2018-08-23        17        1.35
#[Out]# 43   16   22  2018-08-23        14        1.60
#[Out]# 44   50   14  2018-08-23        19        3.85
#[Out]# 45   40   27  2018-08-23        17        6.90
#[Out]# 46   33    8  2018-08-23        16        4.80
#[Out]# 47   44   19  2018-08-23         4        2.65
#[Out]# 48   12   15  2018-08-23         1        1.25
#[Out]# 49   11   14  2018-08-23        12        3.20
#[Out]# 50    5   16  2018-08-23         4        1.65
#[Out]# 51    1    5  2018-08-23         2        0.45
#[Out]# 52   52   28  2018-08-23         8        7.35
#[Out]# 53    5   12  2018-08-23        11       13.40
#[Out]# 54   12   13  2018-08-23        15        3.55
#[Out]# 55   35   11  2018-08-23        15        1.20
#[Out]# 56   55    1  2018-08-23         1        4.80
#[Out]# 57   54   12  2018-08-23         5       12.55
#[Out]# 58   11   15  2018-08-23        14        1.30
#[Out]# 59   35    7  2018-08-23         7        2.20
#[Out]# 60    6   15  2018-08-23         4        1.00
#[Out]# 61   37   28  2018-08-23        19        7.75
#[Out]# 62   25    8  2018-08-23         6        5.55
#[Out]# 63    9   12  2018-08-23         5       13.15
#[Out]# 64   38   24  2018-08-23        10        3.55
#[Out]# 65   56    1  2018-08-23         1        4.40
#[Out]# 66   48    6  2018-08-23        21        1.15
#[Out]# 67    4   13  2018-08-23        23        4.20
#[Out]# 
#[Out]# [68 rows x 5 columns]
query6 = '''
    select i1
    from inventory as i1 and inventory as i2
    where i1.date = "2018-08-23" and i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1 and inventory as i2
    where i1.date = "2018-08-23" and i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1 and inventory as i2
    where i1.date = "2018-08-23"
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1 and inventory as i2
    where i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#        sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0        1    5  2018-08-23         2        0.45   55   10  2018-08-26   
#[Out]# 1        2   11  2018-08-23        21        1.00   55   10  2018-08-26   
#[Out]# 2        2   16  2018-08-23         0        2.00   55   10  2018-08-26   
#[Out]# 3        3    3  2018-08-23        17        1.35   55   10  2018-08-26   
#[Out]# 4        3   19  2018-08-23        11        2.10   55   10  2018-08-26   
#[Out]# 5        4   13  2018-08-23        23        4.20   55   10  2018-08-26   
#[Out]# 6        5   12  2018-08-23        11       13.40   55   10  2018-08-26   
#[Out]# 7        5   16  2018-08-23         4        1.65   55   10  2018-08-26   
#[Out]# 8        5   17  2018-08-23        34        2.45   55   10  2018-08-26   
#[Out]# 9        5   24  2018-08-23        32        4.10   55   10  2018-08-26   
#[Out]# 10       6    0  2018-08-23        37        4.35   55   10  2018-08-26   
#[Out]# 11       6   15  2018-08-23         4        1.00   55   10  2018-08-26   
#[Out]# 12       6   16  2018-08-23        14        1.85   55   10  2018-08-26   
#[Out]# 13       7    1  2018-08-23        18        5.80   55   10  2018-08-26   
#[Out]# 14       9   12  2018-08-23         5       13.15   55   10  2018-08-26   
#[Out]# 15      11    2  2018-08-23        22        2.10   55   10  2018-08-26   
#[Out]# 16      11   14  2018-08-23        12        3.20   55   10  2018-08-26   
#[Out]# 17      11   15  2018-08-23        14        1.30   55   10  2018-08-26   
#[Out]# 18      11   16  2018-08-23         3        1.90   55   10  2018-08-26   
#[Out]# 19      12    2  2018-08-23         3        1.70   55   10  2018-08-26   
#[Out]# 20      12   13  2018-08-23        15        3.55   55   10  2018-08-26   
#[Out]# 21      12   15  2018-08-23         1        1.25   55   10  2018-08-26   
#[Out]# 22      13   15  2018-08-23        11        1.25   55   10  2018-08-26   
#[Out]# 23      16   22  2018-08-23        14        1.60   55   10  2018-08-26   
#[Out]# 24      17   19  2018-08-23        10        2.20   55   10  2018-08-26   
#[Out]# 25      19    4  2018-08-23        53        1.20   55   10  2018-08-26   
#[Out]# 26      21   23  2018-08-23        20        2.10   55   10  2018-08-26   
#[Out]# 27      25    8  2018-08-23         6        5.55   55   10  2018-08-26   
#[Out]# 28      28   27  2018-08-23        43        8.50   55   10  2018-08-26   
#[Out]# 29      29    0  2018-08-23        28        5.15   55   10  2018-08-26   
#[Out]# ...    ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 56342   35    7  2018-08-23         7        2.20    0    0  2018-07-18   
#[Out]# 56343   35   11  2018-08-23        15        1.20    0    0  2018-07-18   
#[Out]# 56344   35   13  2018-08-23        28        4.15    0    0  2018-07-18   
#[Out]# 56345   35   25  2018-08-23        36        4.00    0    0  2018-07-18   
#[Out]# 56346   35   27  2018-08-23        54        8.85    0    0  2018-07-18   
#[Out]# 56347   37   28  2018-08-23        19        7.75    0    0  2018-07-18   
#[Out]# 56348   38   23  2018-08-23        29        1.80    0    0  2018-07-18   
#[Out]# 56349   38   24  2018-08-23        10        3.55    0    0  2018-07-18   
#[Out]# 56350   40   14  2018-08-23         3        4.10    0    0  2018-07-18   
#[Out]# 56351   40   27  2018-08-23        17        6.90    0    0  2018-07-18   
#[Out]# 56352   41    1  2018-08-23        53        4.60    0    0  2018-07-18   
#[Out]# 56353   41   14  2018-08-23         3        3.35    0    0  2018-07-18   
#[Out]# 56354   42   12  2018-08-23        46       11.40    0    0  2018-07-18   
#[Out]# 56355   43    7  2018-08-23        20        1.95    0    0  2018-07-18   
#[Out]# 56356   44   19  2018-08-23         4        2.65    0    0  2018-07-18   
#[Out]# 56357   45    4  2018-08-23        50        1.00    0    0  2018-07-18   
#[Out]# 56358   45   13  2018-08-23        32        4.10    0    0  2018-07-18   
#[Out]# 56359   47    7  2018-08-23        27        1.85    0    0  2018-07-18   
#[Out]# 56360   48    6  2018-08-23        21        1.15    0    0  2018-07-18   
#[Out]# 56361   50   10  2018-08-23        54        0.55    0    0  2018-07-18   
#[Out]# 56362   50   14  2018-08-23        19        3.85    0    0  2018-07-18   
#[Out]# 56363   50   22  2018-08-23         5        1.95    0    0  2018-07-18   
#[Out]# 56364   51   10  2018-08-23        31        0.60    0    0  2018-07-18   
#[Out]# 56365   51   22  2018-08-23        13        1.55    0    0  2018-07-18   
#[Out]# 56366   52   28  2018-08-23         8        7.35    0    0  2018-07-18   
#[Out]# 56367   54   12  2018-08-23         5       12.55    0    0  2018-07-18   
#[Out]# 56368   55    1  2018-08-23         1        4.80    0    0  2018-07-18   
#[Out]# 56369   56    1  2018-08-23         1        4.40    0    0  2018-07-18   
#[Out]# 56370   56   25  2018-08-23        19        4.35    0    0  2018-07-18   
#[Out]# 56371   57   19  2018-08-23        12        2.95    0    0  2018-07-18   
#[Out]# 
#[Out]#        quantity  unit_price  
#[Out]# 0            17        0.60  
#[Out]# 1            17        0.60  
#[Out]# 2            17        0.60  
#[Out]# 3            17        0.60  
#[Out]# 4            17        0.60  
#[Out]# 5            17        0.60  
#[Out]# 6            17        0.60  
#[Out]# 7            17        0.60  
#[Out]# 8            17        0.60  
#[Out]# 9            17        0.60  
#[Out]# 10           17        0.60  
#[Out]# 11           17        0.60  
#[Out]# 12           17        0.60  
#[Out]# 13           17        0.60  
#[Out]# 14           17        0.60  
#[Out]# 15           17        0.60  
#[Out]# 16           17        0.60  
#[Out]# 17           17        0.60  
#[Out]# 18           17        0.60  
#[Out]# 19           17        0.60  
#[Out]# 20           17        0.60  
#[Out]# 21           17        0.60  
#[Out]# 22           17        0.60  
#[Out]# 23           17        0.60  
#[Out]# 24           17        0.60  
#[Out]# 25           17        0.60  
#[Out]# 26           17        0.60  
#[Out]# 27           17        0.60  
#[Out]# 28           17        0.60  
#[Out]# 29           17        0.60  
#[Out]# ...         ...         ...  
#[Out]# 56342        15        5.95  
#[Out]# 56343        15        5.95  
#[Out]# 56344        15        5.95  
#[Out]# 56345        15        5.95  
#[Out]# 56346        15        5.95  
#[Out]# 56347        15        5.95  
#[Out]# 56348        15        5.95  
#[Out]# 56349        15        5.95  
#[Out]# 56350        15        5.95  
#[Out]# 56351        15        5.95  
#[Out]# 56352        15        5.95  
#[Out]# 56353        15        5.95  
#[Out]# 56354        15        5.95  
#[Out]# 56355        15        5.95  
#[Out]# 56356        15        5.95  
#[Out]# 56357        15        5.95  
#[Out]# 56358        15        5.95  
#[Out]# 56359        15        5.95  
#[Out]# 56360        15        5.95  
#[Out]# 56361        15        5.95  
#[Out]# 56362        15        5.95  
#[Out]# 56363        15        5.95  
#[Out]# 56364        15        5.95  
#[Out]# 56365        15        5.95  
#[Out]# 56366        15        5.95  
#[Out]# 56367        15        5.95  
#[Out]# 56368        15        5.95  
#[Out]# 56369        15        5.95  
#[Out]# 56370        15        5.95  
#[Out]# 56371        15        5.95  
#[Out]# 
#[Out]# [56372 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date
'''

pd.read_sql_query(query6, conn)
#[Out]#       sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      51   10  2018-08-23        31         0.6    1    5  2018-08-23   
#[Out]# 1      51   10  2018-08-23        31         0.6    2   11  2018-08-23   
#[Out]# 2      51   10  2018-08-23        31         0.6    2   16  2018-08-23   
#[Out]# 3      51   10  2018-08-23        31         0.6    3    3  2018-08-23   
#[Out]# 4      51   10  2018-08-23        31         0.6    3   19  2018-08-23   
#[Out]# 5      51   10  2018-08-23        31         0.6    4   13  2018-08-23   
#[Out]# 6      51   10  2018-08-23        31         0.6    5   12  2018-08-23   
#[Out]# 7      51   10  2018-08-23        31         0.6    5   16  2018-08-23   
#[Out]# 8      51   10  2018-08-23        31         0.6    5   17  2018-08-23   
#[Out]# 9      51   10  2018-08-23        31         0.6    5   24  2018-08-23   
#[Out]# 10     51   10  2018-08-23        31         0.6    6    0  2018-08-23   
#[Out]# 11     51   10  2018-08-23        31         0.6    6   15  2018-08-23   
#[Out]# 12     51   10  2018-08-23        31         0.6    6   16  2018-08-23   
#[Out]# 13     51   10  2018-08-23        31         0.6    7    1  2018-08-23   
#[Out]# 14     51   10  2018-08-23        31         0.6    9   12  2018-08-23   
#[Out]# 15     51   10  2018-08-23        31         0.6   11    2  2018-08-23   
#[Out]# 16     51   10  2018-08-23        31         0.6   11   14  2018-08-23   
#[Out]# 17     51   10  2018-08-23        31         0.6   11   15  2018-08-23   
#[Out]# 18     51   10  2018-08-23        31         0.6   11   16  2018-08-23   
#[Out]# 19     51   10  2018-08-23        31         0.6   12    2  2018-08-23   
#[Out]# 20     51   10  2018-08-23        31         0.6   12   13  2018-08-23   
#[Out]# 21     51   10  2018-08-23        31         0.6   12   15  2018-08-23   
#[Out]# 22     51   10  2018-08-23        31         0.6   13   15  2018-08-23   
#[Out]# 23     51   10  2018-08-23        31         0.6   16   22  2018-08-23   
#[Out]# 24     51   10  2018-08-23        31         0.6   17   19  2018-08-23   
#[Out]# 25     51   10  2018-08-23        31         0.6   19    4  2018-08-23   
#[Out]# 26     51   10  2018-08-23        31         0.6   21   23  2018-08-23   
#[Out]# 27     51   10  2018-08-23        31         0.6   25    8  2018-08-23   
#[Out]# 28     51   10  2018-08-23        31         0.6   28   27  2018-08-23   
#[Out]# 29     51   10  2018-08-23        31         0.6   29    0  2018-08-23   
#[Out]# ...   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 4594    4   13  2018-08-23        23         4.2   35    7  2018-08-23   
#[Out]# 4595    4   13  2018-08-23        23         4.2   35   11  2018-08-23   
#[Out]# 4596    4   13  2018-08-23        23         4.2   35   13  2018-08-23   
#[Out]# 4597    4   13  2018-08-23        23         4.2   35   25  2018-08-23   
#[Out]# 4598    4   13  2018-08-23        23         4.2   35   27  2018-08-23   
#[Out]# 4599    4   13  2018-08-23        23         4.2   37   28  2018-08-23   
#[Out]# 4600    4   13  2018-08-23        23         4.2   38   23  2018-08-23   
#[Out]# 4601    4   13  2018-08-23        23         4.2   38   24  2018-08-23   
#[Out]# 4602    4   13  2018-08-23        23         4.2   40   14  2018-08-23   
#[Out]# 4603    4   13  2018-08-23        23         4.2   40   27  2018-08-23   
#[Out]# 4604    4   13  2018-08-23        23         4.2   41    1  2018-08-23   
#[Out]# 4605    4   13  2018-08-23        23         4.2   41   14  2018-08-23   
#[Out]# 4606    4   13  2018-08-23        23         4.2   42   12  2018-08-23   
#[Out]# 4607    4   13  2018-08-23        23         4.2   43    7  2018-08-23   
#[Out]# 4608    4   13  2018-08-23        23         4.2   44   19  2018-08-23   
#[Out]# 4609    4   13  2018-08-23        23         4.2   45    4  2018-08-23   
#[Out]# 4610    4   13  2018-08-23        23         4.2   45   13  2018-08-23   
#[Out]# 4611    4   13  2018-08-23        23         4.2   47    7  2018-08-23   
#[Out]# 4612    4   13  2018-08-23        23         4.2   48    6  2018-08-23   
#[Out]# 4613    4   13  2018-08-23        23         4.2   50   10  2018-08-23   
#[Out]# 4614    4   13  2018-08-23        23         4.2   50   14  2018-08-23   
#[Out]# 4615    4   13  2018-08-23        23         4.2   50   22  2018-08-23   
#[Out]# 4616    4   13  2018-08-23        23         4.2   51   10  2018-08-23   
#[Out]# 4617    4   13  2018-08-23        23         4.2   51   22  2018-08-23   
#[Out]# 4618    4   13  2018-08-23        23         4.2   52   28  2018-08-23   
#[Out]# 4619    4   13  2018-08-23        23         4.2   54   12  2018-08-23   
#[Out]# 4620    4   13  2018-08-23        23         4.2   55    1  2018-08-23   
#[Out]# 4621    4   13  2018-08-23        23         4.2   56    1  2018-08-23   
#[Out]# 4622    4   13  2018-08-23        23         4.2   56   25  2018-08-23   
#[Out]# 4623    4   13  2018-08-23        23         4.2   57   19  2018-08-23   
#[Out]# 
#[Out]#       quantity  unit_price  
#[Out]# 0            2        0.45  
#[Out]# 1           21        1.00  
#[Out]# 2            0        2.00  
#[Out]# 3           17        1.35  
#[Out]# 4           11        2.10  
#[Out]# 5           23        4.20  
#[Out]# 6           11       13.40  
#[Out]# 7            4        1.65  
#[Out]# 8           34        2.45  
#[Out]# 9           32        4.10  
#[Out]# 10          37        4.35  
#[Out]# 11           4        1.00  
#[Out]# 12          14        1.85  
#[Out]# 13          18        5.80  
#[Out]# 14           5       13.15  
#[Out]# 15          22        2.10  
#[Out]# 16          12        3.20  
#[Out]# 17          14        1.30  
#[Out]# 18           3        1.90  
#[Out]# 19           3        1.70  
#[Out]# 20          15        3.55  
#[Out]# 21           1        1.25  
#[Out]# 22          11        1.25  
#[Out]# 23          14        1.60  
#[Out]# 24          10        2.20  
#[Out]# 25          53        1.20  
#[Out]# 26          20        2.10  
#[Out]# 27           6        5.55  
#[Out]# 28          43        8.50  
#[Out]# 29          28        5.15  
#[Out]# ...        ...         ...  
#[Out]# 4594         7        2.20  
#[Out]# 4595        15        1.20  
#[Out]# 4596        28        4.15  
#[Out]# 4597        36        4.00  
#[Out]# 4598        54        8.85  
#[Out]# 4599        19        7.75  
#[Out]# 4600        29        1.80  
#[Out]# 4601        10        3.55  
#[Out]# 4602         3        4.10  
#[Out]# 4603        17        6.90  
#[Out]# 4604        53        4.60  
#[Out]# 4605         3        3.35  
#[Out]# 4606        46       11.40  
#[Out]# 4607        20        1.95  
#[Out]# 4608         4        2.65  
#[Out]# 4609        50        1.00  
#[Out]# 4610        32        4.10  
#[Out]# 4611        27        1.85  
#[Out]# 4612        21        1.15  
#[Out]# 4613        54        0.55  
#[Out]# 4614        19        3.85  
#[Out]# 4615         5        1.95  
#[Out]# 4616        31        0.60  
#[Out]# 4617        13        1.55  
#[Out]# 4618         8        7.35  
#[Out]# 4619         5       12.55  
#[Out]# 4620         1        4.80  
#[Out]# 4621         1        4.40  
#[Out]# 4622        19        4.35  
#[Out]# 4623        12        2.95  
#[Out]# 
#[Out]# [4624 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date
    group by i1.pID, p2.pID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date
    group by i1.pID, i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      6    0  2018-08-23        37        4.35    6    0  2018-08-23   
#[Out]# 1      6    0  2018-08-23        37        4.35    7    1  2018-08-23   
#[Out]# 2      6    0  2018-08-23        37        4.35   11    2  2018-08-23   
#[Out]# 3      6    0  2018-08-23        37        4.35    3    3  2018-08-23   
#[Out]# 4      6    0  2018-08-23        37        4.35   19    4  2018-08-23   
#[Out]# 5      6    0  2018-08-23        37        4.35    1    5  2018-08-23   
#[Out]# 6      6    0  2018-08-23        37        4.35   48    6  2018-08-23   
#[Out]# 7      6    0  2018-08-23        37        4.35   35    7  2018-08-23   
#[Out]# 8      6    0  2018-08-23        37        4.35   25    8  2018-08-23   
#[Out]# 9      6    0  2018-08-23        37        4.35   34   10  2018-08-23   
#[Out]# 10     6    0  2018-08-23        37        4.35    2   11  2018-08-23   
#[Out]# 11     6    0  2018-08-23        37        4.35    5   12  2018-08-23   
#[Out]# 12     6    0  2018-08-23        37        4.35    4   13  2018-08-23   
#[Out]# 13     6    0  2018-08-23        37        4.35   11   14  2018-08-23   
#[Out]# 14     6    0  2018-08-23        37        4.35    6   15  2018-08-23   
#[Out]# 15     6    0  2018-08-23        37        4.35    2   16  2018-08-23   
#[Out]# 16     6    0  2018-08-23        37        4.35    5   17  2018-08-23   
#[Out]# 17     6    0  2018-08-23        37        4.35    3   19  2018-08-23   
#[Out]# 18     6    0  2018-08-23        37        4.35   16   22  2018-08-23   
#[Out]# 19     6    0  2018-08-23        37        4.35   21   23  2018-08-23   
#[Out]# 20     6    0  2018-08-23        37        4.35    5   24  2018-08-23   
#[Out]# 21     6    0  2018-08-23        37        4.35   35   25  2018-08-23   
#[Out]# 22     6    0  2018-08-23        37        4.35   28   27  2018-08-23   
#[Out]# 23     6    0  2018-08-23        37        4.35   32   28  2018-08-23   
#[Out]# 24     7    1  2018-08-23        18        5.80    6    0  2018-08-23   
#[Out]# 25     7    1  2018-08-23        18        5.80    7    1  2018-08-23   
#[Out]# 26     7    1  2018-08-23        18        5.80   11    2  2018-08-23   
#[Out]# 27     7    1  2018-08-23        18        5.80    3    3  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   19    4  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80    1    5  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 546   28   27  2018-08-23        43        8.50   16   22  2018-08-23   
#[Out]# 547   28   27  2018-08-23        43        8.50   21   23  2018-08-23   
#[Out]# 548   28   27  2018-08-23        43        8.50    5   24  2018-08-23   
#[Out]# 549   28   27  2018-08-23        43        8.50   35   25  2018-08-23   
#[Out]# 550   28   27  2018-08-23        43        8.50   28   27  2018-08-23   
#[Out]# 551   28   27  2018-08-23        43        8.50   32   28  2018-08-23   
#[Out]# 552   32   28  2018-08-23        36        6.85    6    0  2018-08-23   
#[Out]# 553   32   28  2018-08-23        36        6.85    7    1  2018-08-23   
#[Out]# 554   32   28  2018-08-23        36        6.85   11    2  2018-08-23   
#[Out]# 555   32   28  2018-08-23        36        6.85    3    3  2018-08-23   
#[Out]# 556   32   28  2018-08-23        36        6.85   19    4  2018-08-23   
#[Out]# 557   32   28  2018-08-23        36        6.85    1    5  2018-08-23   
#[Out]# 558   32   28  2018-08-23        36        6.85   48    6  2018-08-23   
#[Out]# 559   32   28  2018-08-23        36        6.85   35    7  2018-08-23   
#[Out]# 560   32   28  2018-08-23        36        6.85   25    8  2018-08-23   
#[Out]# 561   32   28  2018-08-23        36        6.85   34   10  2018-08-23   
#[Out]# 562   32   28  2018-08-23        36        6.85    2   11  2018-08-23   
#[Out]# 563   32   28  2018-08-23        36        6.85    5   12  2018-08-23   
#[Out]# 564   32   28  2018-08-23        36        6.85    4   13  2018-08-23   
#[Out]# 565   32   28  2018-08-23        36        6.85   11   14  2018-08-23   
#[Out]# 566   32   28  2018-08-23        36        6.85    6   15  2018-08-23   
#[Out]# 567   32   28  2018-08-23        36        6.85    2   16  2018-08-23   
#[Out]# 568   32   28  2018-08-23        36        6.85    5   17  2018-08-23   
#[Out]# 569   32   28  2018-08-23        36        6.85    3   19  2018-08-23   
#[Out]# 570   32   28  2018-08-23        36        6.85   16   22  2018-08-23   
#[Out]# 571   32   28  2018-08-23        36        6.85   21   23  2018-08-23   
#[Out]# 572   32   28  2018-08-23        36        6.85    5   24  2018-08-23   
#[Out]# 573   32   28  2018-08-23        36        6.85   35   25  2018-08-23   
#[Out]# 574   32   28  2018-08-23        36        6.85   28   27  2018-08-23   
#[Out]# 575   32   28  2018-08-23        36        6.85   32   28  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          37        4.35  
#[Out]# 1          18        5.80  
#[Out]# 2          22        2.10  
#[Out]# 3          17        1.35  
#[Out]# 4          53        1.20  
#[Out]# 5           2        0.45  
#[Out]# 6          21        1.15  
#[Out]# 7           7        2.20  
#[Out]# 8           6        5.55  
#[Out]# 9           8        0.45  
#[Out]# 10         21        1.00  
#[Out]# 11         11       13.40  
#[Out]# 12         23        4.20  
#[Out]# 13         12        3.20  
#[Out]# 14          4        1.00  
#[Out]# 15          0        2.00  
#[Out]# 16         34        2.45  
#[Out]# 17         11        2.10  
#[Out]# 18         14        1.60  
#[Out]# 19         20        2.10  
#[Out]# 20         32        4.10  
#[Out]# 21         36        4.00  
#[Out]# 22         43        8.50  
#[Out]# 23         36        6.85  
#[Out]# 24         37        4.35  
#[Out]# 25         18        5.80  
#[Out]# 26         22        2.10  
#[Out]# 27         17        1.35  
#[Out]# 28         53        1.20  
#[Out]# 29          2        0.45  
#[Out]# ..        ...         ...  
#[Out]# 546        14        1.60  
#[Out]# 547        20        2.10  
#[Out]# 548        32        4.10  
#[Out]# 549        36        4.00  
#[Out]# 550        43        8.50  
#[Out]# 551        36        6.85  
#[Out]# 552        37        4.35  
#[Out]# 553        18        5.80  
#[Out]# 554        22        2.10  
#[Out]# 555        17        1.35  
#[Out]# 556        53        1.20  
#[Out]# 557         2        0.45  
#[Out]# 558        21        1.15  
#[Out]# 559         7        2.20  
#[Out]# 560         6        5.55  
#[Out]# 561         8        0.45  
#[Out]# 562        21        1.00  
#[Out]# 563        11       13.40  
#[Out]# 564        23        4.20  
#[Out]# 565        12        3.20  
#[Out]# 566         4        1.00  
#[Out]# 567         0        2.00  
#[Out]# 568        34        2.45  
#[Out]# 569        11        2.10  
#[Out]# 570        14        1.60  
#[Out]# 571        20        2.10  
#[Out]# 572        32        4.10  
#[Out]# 573        36        4.00  
#[Out]# 574        43        8.50  
#[Out]# 575        36        6.85  
#[Out]# 
#[Out]# [576 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where date = '2018-08-23' and i1.date = i2.date 
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     51   10  2018-08-23        31        0.60   51   10  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 6     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 7     57   19  2018-08-23        12        2.95   57   19  2018-08-23   
#[Out]# 8     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 9     38   23  2018-08-23        29        1.80   38   23  2018-08-23   
#[Out]# 10    35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 11    35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 12    35   13  2018-08-23        28        4.15   35   13  2018-08-23   
#[Out]# 13    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 14    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 15    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 16    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 17    45   13  2018-08-23        32        4.10   45   13  2018-08-23   
#[Out]# 18     5   17  2018-08-23        34        2.45    5   17  2018-08-23   
#[Out]# 19     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 20    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 21    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 22    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 23    13   15  2018-08-23        11        1.25   13   15  2018-08-23   
#[Out]# 24    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 25    50   10  2018-08-23        54        0.55   50   10  2018-08-23   
#[Out]# 26    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 27     7    1  2018-08-23        18        5.80    7    1  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 192   11   15  2018-08-23        14        1.30   11   15  2018-08-23   
#[Out]# 193   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 194   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 195   35    7  2018-08-23         7        2.20   35    7  2018-08-23   
#[Out]# 196   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 197   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 198    6   15  2018-08-23         4        1.00    6   15  2018-08-23   
#[Out]# 199    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 200    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 201    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 202   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 203   37   28  2018-08-23        19        7.75   37   28  2018-08-23   
#[Out]# 204   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 205   25    8  2018-08-23         6        5.55   25    8  2018-08-23   
#[Out]# 206   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 207    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 208    9   12  2018-08-23         5       13.15    9   12  2018-08-23   
#[Out]# 209    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 210    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 211   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 212   38   24  2018-08-23        10        3.55   38   24  2018-08-23   
#[Out]# 213   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 214   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 215   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 216   56    1  2018-08-23         1        4.40   56    1  2018-08-23   
#[Out]# 217   48    6  2018-08-23        21        1.15   48    6  2018-08-23   
#[Out]# 218    4   13  2018-08-23        23        4.20    4   13  2018-08-23   
#[Out]# 219    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 220    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 221    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          31        0.60  
#[Out]# 3          11        2.10  
#[Out]# 4          10        2.20  
#[Out]# 5          32        2.25  
#[Out]# 6           4        2.65  
#[Out]# 7          12        2.95  
#[Out]# 8          20        2.10  
#[Out]# 9          29        1.80  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13         32        4.10  
#[Out]# 14         23        4.20  
#[Out]# 15         15        3.55  
#[Out]# 16         28        4.15  
#[Out]# 17         32        4.10  
#[Out]# 18         34        2.45  
#[Out]# 19          4        1.95  
#[Out]# 20          4        1.00  
#[Out]# 21         14        1.30  
#[Out]# 22          1        1.25  
#[Out]# 23         11        1.25  
#[Out]# 24          8        0.45  
#[Out]# 25         54        0.55  
#[Out]# 26         31        0.60  
#[Out]# 27         18        5.80  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 192        14        1.30  
#[Out]# 193         1        1.25  
#[Out]# 194        11        1.25  
#[Out]# 195         7        2.20  
#[Out]# 196        20        1.95  
#[Out]# 197        27        1.85  
#[Out]# 198         4        1.00  
#[Out]# 199        14        1.30  
#[Out]# 200         1        1.25  
#[Out]# 201        11        1.25  
#[Out]# 202        36        6.85  
#[Out]# 203        19        7.75  
#[Out]# 204         8        7.35  
#[Out]# 205         6        5.55  
#[Out]# 206        16        4.80  
#[Out]# 207        11       13.40  
#[Out]# 208         5       13.15  
#[Out]# 209        46       11.40  
#[Out]# 210         5       12.55  
#[Out]# 211        32        4.10  
#[Out]# 212        10        3.55  
#[Out]# 213        18        5.80  
#[Out]# 214        53        4.60  
#[Out]# 215         1        4.80  
#[Out]# 216         1        4.40  
#[Out]# 217        21        1.15  
#[Out]# 218        23        4.20  
#[Out]# 219        15        3.55  
#[Out]# 220        28        4.15  
#[Out]# 221        32        4.10  
#[Out]# 
#[Out]# [222 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7     35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8     35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9     35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26    35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27    41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
    order by i1.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      6    0  2018-08-23        37        4.35   29    0  2018-08-23   
#[Out]# 1      6    0  2018-08-23        37        4.35   31    0  2018-08-23   
#[Out]# 2     29    0  2018-08-23        28        5.15    6    0  2018-08-23   
#[Out]# 3     29    0  2018-08-23        28        5.15   31    0  2018-08-23   
#[Out]# 4     31    0  2018-08-23        25        4.60    6    0  2018-08-23   
#[Out]# 5     31    0  2018-08-23        25        4.60   29    0  2018-08-23   
#[Out]# 6      7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 7      7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 8      7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 9     41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 10    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 11    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# 12    55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 13    55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 14    55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 15    56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 16    56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 17    56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 18    11    2  2018-08-23        22        2.10   12    2  2018-08-23   
#[Out]# 19    12    2  2018-08-23         3        1.70   11    2  2018-08-23   
#[Out]# 20    19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 21    45    4  2018-08-23        50        1.00   19    4  2018-08-23   
#[Out]# 22    35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 23    35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 24    43    7  2018-08-23        20        1.95   35    7  2018-08-23   
#[Out]# 25    43    7  2018-08-23        20        1.95   47    7  2018-08-23   
#[Out]# 26    47    7  2018-08-23        27        1.85   35    7  2018-08-23   
#[Out]# 27    47    7  2018-08-23        27        1.85   43    7  2018-08-23   
#[Out]# 28    25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 29    33    8  2018-08-23        16        4.80   25    8  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# 125   16   22  2018-08-23        14        1.60   50   22  2018-08-23   
#[Out]# 126   16   22  2018-08-23        14        1.60   51   22  2018-08-23   
#[Out]# 127   30   22  2018-08-23        29        2.05   16   22  2018-08-23   
#[Out]# 128   30   22  2018-08-23        29        2.05   50   22  2018-08-23   
#[Out]# 129   30   22  2018-08-23        29        2.05   51   22  2018-08-23   
#[Out]# 130   50   22  2018-08-23         5        1.95   16   22  2018-08-23   
#[Out]# 131   50   22  2018-08-23         5        1.95   30   22  2018-08-23   
#[Out]# 132   50   22  2018-08-23         5        1.95   51   22  2018-08-23   
#[Out]# 133   51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 134   51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 135   51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 136   21   23  2018-08-23        20        2.10   38   23  2018-08-23   
#[Out]# 137   38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 138    5   24  2018-08-23        32        4.10   38   24  2018-08-23   
#[Out]# 139   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 140   35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 141   56   25  2018-08-23        19        4.35   35   25  2018-08-23   
#[Out]# 142   28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 143   28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 144   35   27  2018-08-23        54        8.85   28   27  2018-08-23   
#[Out]# 145   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 146   40   27  2018-08-23        17        6.90   28   27  2018-08-23   
#[Out]# 147   40   27  2018-08-23        17        6.90   35   27  2018-08-23   
#[Out]# 148   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 149   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 150   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 151   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 152   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 153   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          28        5.15  
#[Out]# 1          25        4.60  
#[Out]# 2          37        4.35  
#[Out]# 3          25        4.60  
#[Out]# 4          37        4.35  
#[Out]# 5          28        5.15  
#[Out]# 6          53        4.60  
#[Out]# 7           1        4.80  
#[Out]# 8           1        4.40  
#[Out]# 9          18        5.80  
#[Out]# 10          1        4.80  
#[Out]# 11          1        4.40  
#[Out]# 12         18        5.80  
#[Out]# 13         53        4.60  
#[Out]# 14          1        4.40  
#[Out]# 15         18        5.80  
#[Out]# 16         53        4.60  
#[Out]# 17          1        4.80  
#[Out]# 18          3        1.70  
#[Out]# 19         22        2.10  
#[Out]# 20         50        1.00  
#[Out]# 21         53        1.20  
#[Out]# 22         20        1.95  
#[Out]# 23         27        1.85  
#[Out]# 24          7        2.20  
#[Out]# 25         27        1.85  
#[Out]# 26          7        2.20  
#[Out]# 27         20        1.95  
#[Out]# 28         16        4.80  
#[Out]# 29          6        5.55  
#[Out]# ..        ...         ...  
#[Out]# 124        29        2.05  
#[Out]# 125         5        1.95  
#[Out]# 126        13        1.55  
#[Out]# 127        14        1.60  
#[Out]# 128         5        1.95  
#[Out]# 129        13        1.55  
#[Out]# 130        14        1.60  
#[Out]# 131        29        2.05  
#[Out]# 132        13        1.55  
#[Out]# 133        14        1.60  
#[Out]# 134        29        2.05  
#[Out]# 135         5        1.95  
#[Out]# 136        29        1.80  
#[Out]# 137        20        2.10  
#[Out]# 138        10        3.55  
#[Out]# 139        32        4.10  
#[Out]# 140        19        4.35  
#[Out]# 141        36        4.00  
#[Out]# 142        54        8.85  
#[Out]# 143        17        6.90  
#[Out]# 144        43        8.50  
#[Out]# 145        17        6.90  
#[Out]# 146        43        8.50  
#[Out]# 147        54        8.85  
#[Out]# 148        19        7.75  
#[Out]# 149         8        7.35  
#[Out]# 150        36        6.85  
#[Out]# 151         8        7.35  
#[Out]# 152        36        6.85  
#[Out]# 153        19        7.75  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    select i1.price - i2.price
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select i1.unit_price - i2.unit_price
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      i1.unit_price - i2.unit_price
#[Out]# 0                             0.15
#[Out]# 1                             0.05
#[Out]# 2                             0.85
#[Out]# 3                             0.75
#[Out]# 4                             0.70
#[Out]# 5                             0.30
#[Out]# 6                            -0.30
#[Out]# 7                            -0.05
#[Out]# 8                             0.60
#[Out]# 9                             0.05
#[Out]# 10                           -0.10
#[Out]# 11                            0.55
#[Out]# 12                           -0.05
#[Out]# 13                            0.50
#[Out]# 14                            0.25
#[Out]# 15                           -0.05
#[Out]# 16                            0.00
#[Out]# 17                            0.10
#[Out]# 18                           -0.05
#[Out]# 19                            1.20
#[Out]# 20                            1.00
#[Out]# 21                            1.40
#[Out]# 22                           -0.05
#[Out]# 23                           -0.20
#[Out]# 24                           -0.35
#[Out]# 25                            1.60
#[Out]# 26                           -0.35
#[Out]# 27                           -1.20
#[Out]# 28                           -0.20
#[Out]# 29                            0.20
#[Out]# ..                             ...
#[Out]# 124                          -0.55
#[Out]# 125                           0.20
#[Out]# 126                           0.15
#[Out]# 127                          -1.00
#[Out]# 128                           0.20
#[Out]# 129                           0.40
#[Out]# 130                          -0.85
#[Out]# 131                          -0.60
#[Out]# 132                           1.15
#[Out]# 133                           0.30
#[Out]# 134                           0.05
#[Out]# 135                           0.05
#[Out]# 136                           0.25
#[Out]# 137                           0.35
#[Out]# 138                          -0.30
#[Out]# 139                          -0.25
#[Out]# 140                          -0.25
#[Out]# 141                           0.90
#[Out]# 142                           0.40
#[Out]# 143                           0.75
#[Out]# 144                          -0.25
#[Out]# 145                           1.75
#[Out]# 146                           0.60
#[Out]# 147                          -0.55
#[Out]# 148                          -1.40
#[Out]# 149                          -0.20
#[Out]# 150                          -0.40
#[Out]# 151                           0.65
#[Out]# 152                           0.05
#[Out]# 153                           0.10
#[Out]# 
#[Out]# [154 rows x 1 columns]
query6 = '''
    select max(i1.unit_price - i2.unit_price)
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    max(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 1     51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 2     57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 3     57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 4     57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 5     57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 6     38   23  2018-08-23        29        1.80   21   23  2018-08-23   
#[Out]# 7     35   13  2018-08-23        28        4.15    4   13  2018-08-23   
#[Out]# 8     35   13  2018-08-23        28        4.15   12   13  2018-08-23   
#[Out]# 9     35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 10    45   13  2018-08-23        32        4.10    4   13  2018-08-23   
#[Out]# 11    45   13  2018-08-23        32        4.10   12   13  2018-08-23   
#[Out]# 12    45   13  2018-08-23        32        4.10   35   13  2018-08-23   
#[Out]# 13     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 14    13   15  2018-08-23        11        1.25    6   15  2018-08-23   
#[Out]# 15    13   15  2018-08-23        11        1.25   11   15  2018-08-23   
#[Out]# 16    13   15  2018-08-23        11        1.25   12   15  2018-08-23   
#[Out]# 17    50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 18    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 19     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 20     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 21     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 22     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 23     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 24    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 25    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 26    35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 27    41    1  2018-08-23        53        4.60    7    1  2018-08-23   
#[Out]# 28    41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 29    41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 125   35   11  2018-08-23        15        1.20    2   11  2018-08-23   
#[Out]# 126   35   11  2018-08-23        15        1.20   33   11  2018-08-23   
#[Out]# 127   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 128   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 129   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 130   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 131   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 132   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 133   11   15  2018-08-23        14        1.30    6   15  2018-08-23   
#[Out]# 134   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 135   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 136   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 137   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 138    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 139    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 140    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 141   37   28  2018-08-23        19        7.75   32   28  2018-08-23   
#[Out]# 142   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 143   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 144    9   12  2018-08-23         5       13.15    5   12  2018-08-23   
#[Out]# 145    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 146    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 147   38   24  2018-08-23        10        3.55    5   24  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 149   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 150   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 151    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 152    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 153    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0           8        0.45  
#[Out]# 1          54        0.55  
#[Out]# 2          11        2.10  
#[Out]# 3          10        2.20  
#[Out]# 4          32        2.25  
#[Out]# 5           4        2.65  
#[Out]# 6          20        2.10  
#[Out]# 7          23        4.20  
#[Out]# 8          15        3.55  
#[Out]# 9          32        4.10  
#[Out]# 10         23        4.20  
#[Out]# 11         15        3.55  
#[Out]# 12         28        4.15  
#[Out]# 13          4        1.95  
#[Out]# 14          4        1.00  
#[Out]# 15         14        1.30  
#[Out]# 16          1        1.25  
#[Out]# 17          8        0.45  
#[Out]# 18         31        0.60  
#[Out]# 19         53        4.60  
#[Out]# 20          1        4.80  
#[Out]# 21          1        4.40  
#[Out]# 22         32        1.05  
#[Out]# 23         15        1.20  
#[Out]# 24         54        8.85  
#[Out]# 25         17        6.90  
#[Out]# 26         19        4.35  
#[Out]# 27         18        5.80  
#[Out]# 28          1        4.80  
#[Out]# 29          1        4.40  
#[Out]# ..        ...         ...  
#[Out]# 124        32        4.10  
#[Out]# 125        21        1.00  
#[Out]# 126        32        1.05  
#[Out]# 127        18        5.80  
#[Out]# 128        53        4.60  
#[Out]# 129         1        4.40  
#[Out]# 130        11       13.40  
#[Out]# 131         5       13.15  
#[Out]# 132        46       11.40  
#[Out]# 133         4        1.00  
#[Out]# 134         1        1.25  
#[Out]# 135        11        1.25  
#[Out]# 136        20        1.95  
#[Out]# 137        27        1.85  
#[Out]# 138        14        1.30  
#[Out]# 139         1        1.25  
#[Out]# 140        11        1.25  
#[Out]# 141        36        6.85  
#[Out]# 142         8        7.35  
#[Out]# 143        16        4.80  
#[Out]# 144        11       13.40  
#[Out]# 145        46       11.40  
#[Out]# 146         5       12.55  
#[Out]# 147        32        4.10  
#[Out]# 148        18        5.80  
#[Out]# 149        53        4.60  
#[Out]# 150         1        4.80  
#[Out]# 151        15        3.55  
#[Out]# 152        28        4.15  
#[Out]# 153        32        4.10  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    select *
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
    order by sID
'''

pd.read_sql_query(query6, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 1      2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 2      2   16  2018-08-23         0        2.00    5   16  2018-08-23   
#[Out]# 3      2   16  2018-08-23         0        2.00    6   16  2018-08-23   
#[Out]# 4      2   16  2018-08-23         0        2.00   11   16  2018-08-23   
#[Out]# 5      3   19  2018-08-23        11        2.10   17   19  2018-08-23   
#[Out]# 6      3   19  2018-08-23        11        2.10   33   19  2018-08-23   
#[Out]# 7      3   19  2018-08-23        11        2.10   44   19  2018-08-23   
#[Out]# 8      3   19  2018-08-23        11        2.10   57   19  2018-08-23   
#[Out]# 9      4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 10     4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 11     4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 12     5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 13     5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 14     5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 15     5   16  2018-08-23         4        1.65    2   16  2018-08-23   
#[Out]# 16     5   16  2018-08-23         4        1.65    6   16  2018-08-23   
#[Out]# 17     5   16  2018-08-23         4        1.65   11   16  2018-08-23   
#[Out]# 18     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 19     5   24  2018-08-23        32        4.10   38   24  2018-08-23   
#[Out]# 20     6    0  2018-08-23        37        4.35   29    0  2018-08-23   
#[Out]# 21     6    0  2018-08-23        37        4.35   31    0  2018-08-23   
#[Out]# 22     6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 23     6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 24     6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 25     6   16  2018-08-23        14        1.85    2   16  2018-08-23   
#[Out]# 26     6   16  2018-08-23        14        1.85    5   16  2018-08-23   
#[Out]# 27     6   16  2018-08-23        14        1.85   11   16  2018-08-23   
#[Out]# 28     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 29     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 124   47    7  2018-08-23        27        1.85   43    7  2018-08-23   
#[Out]# 125   50   10  2018-08-23        54        0.55   34   10  2018-08-23   
#[Out]# 126   50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 127   50   14  2018-08-23        19        3.85   11   14  2018-08-23   
#[Out]# 128   50   14  2018-08-23        19        3.85   40   14  2018-08-23   
#[Out]# 129   50   14  2018-08-23        19        3.85   41   14  2018-08-23   
#[Out]# 130   50   22  2018-08-23         5        1.95   16   22  2018-08-23   
#[Out]# 131   50   22  2018-08-23         5        1.95   30   22  2018-08-23   
#[Out]# 132   50   22  2018-08-23         5        1.95   51   22  2018-08-23   
#[Out]# 133   51   10  2018-08-23        31        0.60   34   10  2018-08-23   
#[Out]# 134   51   10  2018-08-23        31        0.60   50   10  2018-08-23   
#[Out]# 135   51   22  2018-08-23        13        1.55   16   22  2018-08-23   
#[Out]# 136   51   22  2018-08-23        13        1.55   30   22  2018-08-23   
#[Out]# 137   51   22  2018-08-23        13        1.55   50   22  2018-08-23   
#[Out]# 138   52   28  2018-08-23         8        7.35   32   28  2018-08-23   
#[Out]# 139   52   28  2018-08-23         8        7.35   37   28  2018-08-23   
#[Out]# 140   54   12  2018-08-23         5       12.55    5   12  2018-08-23   
#[Out]# 141   54   12  2018-08-23         5       12.55    9   12  2018-08-23   
#[Out]# 142   54   12  2018-08-23         5       12.55   42   12  2018-08-23   
#[Out]# 143   55    1  2018-08-23         1        4.80    7    1  2018-08-23   
#[Out]# 144   55    1  2018-08-23         1        4.80   41    1  2018-08-23   
#[Out]# 145   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 146   56    1  2018-08-23         1        4.40    7    1  2018-08-23   
#[Out]# 147   56    1  2018-08-23         1        4.40   41    1  2018-08-23   
#[Out]# 148   56    1  2018-08-23         1        4.40   55    1  2018-08-23   
#[Out]# 149   56   25  2018-08-23        19        4.35   35   25  2018-08-23   
#[Out]# 150   57   19  2018-08-23        12        2.95    3   19  2018-08-23   
#[Out]# 151   57   19  2018-08-23        12        2.95   17   19  2018-08-23   
#[Out]# 152   57   19  2018-08-23        12        2.95   33   19  2018-08-23   
#[Out]# 153   57   19  2018-08-23        12        2.95   44   19  2018-08-23   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          32        1.05  
#[Out]# 1          15        1.20  
#[Out]# 2           4        1.65  
#[Out]# 3          14        1.85  
#[Out]# 4           3        1.90  
#[Out]# 5          10        2.20  
#[Out]# 6          32        2.25  
#[Out]# 7           4        2.65  
#[Out]# 8          12        2.95  
#[Out]# 9          15        3.55  
#[Out]# 10         28        4.15  
#[Out]# 11         32        4.10  
#[Out]# 12          5       13.15  
#[Out]# 13         46       11.40  
#[Out]# 14          5       12.55  
#[Out]# 15          0        2.00  
#[Out]# 16         14        1.85  
#[Out]# 17          3        1.90  
#[Out]# 18          4        1.95  
#[Out]# 19         10        3.55  
#[Out]# 20         28        5.15  
#[Out]# 21         25        4.60  
#[Out]# 22         14        1.30  
#[Out]# 23          1        1.25  
#[Out]# 24         11        1.25  
#[Out]# 25          0        2.00  
#[Out]# 26          4        1.65  
#[Out]# 27          3        1.90  
#[Out]# 28         53        4.60  
#[Out]# 29          1        4.80  
#[Out]# ..        ...         ...  
#[Out]# 124        20        1.95  
#[Out]# 125         8        0.45  
#[Out]# 126        31        0.60  
#[Out]# 127        12        3.20  
#[Out]# 128         3        4.10  
#[Out]# 129         3        3.35  
#[Out]# 130        14        1.60  
#[Out]# 131        29        2.05  
#[Out]# 132        13        1.55  
#[Out]# 133         8        0.45  
#[Out]# 134        54        0.55  
#[Out]# 135        14        1.60  
#[Out]# 136        29        2.05  
#[Out]# 137         5        1.95  
#[Out]# 138        36        6.85  
#[Out]# 139        19        7.75  
#[Out]# 140        11       13.40  
#[Out]# 141         5       13.15  
#[Out]# 142        46       11.40  
#[Out]# 143        18        5.80  
#[Out]# 144        53        4.60  
#[Out]# 145         1        4.40  
#[Out]# 146        18        5.80  
#[Out]# 147        53        4.60  
#[Out]# 148         1        4.80  
#[Out]# 149        36        4.00  
#[Out]# 150        11        2.10  
#[Out]# 151        10        2.20  
#[Out]# 152        32        2.25  
#[Out]# 153         4        2.65  
#[Out]# 
#[Out]# [154 rows x 10 columns]
query6 = '''
    select max(i1.unit_price - i2.unit_price) as 'largest difference'
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
    order by sID
'''

pd.read_sql_query(query6, conn)
query6 = '''
    select max(i1.unit_price - i2.unit_price) as 'largest difference'
    from inventory as i1, inventory as i2
    where i1.date = '2018-08-23' and i1.date = i2.date and i1.pId = i2.pID
        and i1.sID <> i2.sID
'''

pd.read_sql_query(query6, conn)
#[Out]#    largest difference
#[Out]# 0                 2.0

# IPython log file

get_ipython().run_line_magic('logstop', '')
get_ipython().run_line_magic('logstart', '-o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x7fe89bb753b0>
query1 = '''
    Select *
'''

pd.read_sql_query(query1, conn)
query1 = '''
    Select *
    from *
'''

pd.read_sql_query(query1, conn)
query1 = '''
    Select *
    From *
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select *
    from customer
'''

pd.read_sql_query(query1, conn)
#[Out]#      cID     cName                street       city
#[Out]# 0      0      Noah             Koestraat    Utrecht
#[Out]# 1      1       Sem      Rozemarijnstraat      Breda
#[Out]# 2      2     Lucas      Oude Leliestraat  Amsterdam
#[Out]# 3      3      Finn         Stationsplein      Breda
#[Out]# 4      4      Daan          Kalverstraat  Amsterdam
#[Out]# 5      5      Levi        Gasthuisstraat    Utrecht
#[Out]# 6      6     Milan           Parallelweg    Utrecht
#[Out]# 7      7      Bram          Schoolstraat  Eindhoven
#[Out]# 8      8      Liam         Rijsbergseweg      Breda
#[Out]# 9      9    Thomas           Parallelweg  Amsterdam
#[Out]# 10    10       Sam           Langestraat    Tilburg
#[Out]# 11    11     Thijs             Koestraat    Tilburg
#[Out]# 12    12      Adam           Nieuwstraat  Eindhoven
#[Out]# 13    13     James       Sint Annastraat      Breda
#[Out]# 14    14       Max             Eikenlaan    Tilburg
#[Out]# 15    15      Noud          Koningshoeve    Tilburg
#[Out]# 16    16    Julian  Prins Bernhardstraat  Eindhoven
#[Out]# 17    17       Dex          Kasteeldreef    Tilburg
#[Out]# 18    18      Hugo          Kasteeldreef    Tilburg
#[Out]# 19    19      Lars         Rijsbergseweg      Breda
#[Out]# 20    20      Gijs            Heiligeweg  Amsterdam
#[Out]# 21    21  Benjamin           Stationsweg    Tilburg
#[Out]# 22    22      Mats           Molenstraat  Eindhoven
#[Out]# 23    23       Jan       Sint Annastraat      Breda
#[Out]# 24    24      Luca          Kasteeldreef    Tilburg
#[Out]# 25    25     Mason          Keizerstraat  Rotterdam
#[Out]# 26    26    Jayden          Schoolstraat  Eindhoven
#[Out]# 27    27       Tim             Koestraat    Utrecht
#[Out]# 28    28      Siem           Langestraat    Tilburg
#[Out]# 29    29     Ruben              Hofplein  Rotterdam
#[Out]# ..   ...       ...                   ...        ...
#[Out]# 160  160      Lara           Langestraat    Tilburg
#[Out]# 161  161     Floor             Eikenlaan    Tilburg
#[Out]# 162  162     Elena            Bergselaan  Rotterdam
#[Out]# 163  163      Cato          Kastanjelaan    Tilburg
#[Out]# 164  164       Evy      Rozemarijnstraat      Breda
#[Out]# 165  165     Hanna             Eikenlaan    Tilburg
#[Out]# 166  166   Rosalie           Stationsweg  Eindhoven
#[Out]# 167  167    Veerle        Ginnekenstraat      Breda
#[Out]# 168  168      Kiki          Keizerstraat  Rotterdam
#[Out]# 169  169      Lily        Gasthuisstraat    Utrecht
#[Out]# 170  170      Iris          Kastanjelaan  Eindhoven
#[Out]# 171  171     Tessa           Haringvliet  Rotterdam
#[Out]# 172  172      Lana             Eikenlaan    Tilburg
#[Out]# 173  173     Livia      Vierwindenstraat      Breda
#[Out]# 174  174      Romy           Parallelweg  Eindhoven
#[Out]# 175  175       Sam             Bredalaan  Eindhoven
#[Out]# 176  176     Amira           Parallelweg  Amsterdam
#[Out]# 177  177     Eline          Kalverstraat  Amsterdam
#[Out]# 178  178      Elif           Parallelweg    Utrecht
#[Out]# 179  179      Juul        Wilhelminapark    Tilburg
#[Out]# 180  180     Merel          Kalverstraat  Amsterdam
#[Out]# 181  181      Liva           Fredriklaan  Eindhoven
#[Out]# 182  182   Johanna         Beatrixstraat  Eindhoven
#[Out]# 183  183     Nikki         Julianastraat    Utrecht
#[Out]# 184  184     Wilko          Onbekendeweg  Eindhoven
#[Out]# 185  185      Nick                Verweg  Eindhoven
#[Out]# 186  186    Angela              Dichtweg  Eindhoven
#[Out]# 187  188      Pino            Maanstraat  Rotterdam
#[Out]# 188  189      Koen              Akkerweg        Oss
#[Out]# 189  190    Kostas              Eindeweg    Utrecht
#[Out]# 
#[Out]# [190 rows x 4 columns]
query1 = '''
    select product.pID 
    from product and purchase
    where count(distinct purchase.cID) <= 2
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select product.pID 
    from product join purchase
    where count(distinct purchase.cID) <= 2
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select product.pID 
    from product join purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#        pID
#[Out]# 0        0
#[Out]# 1        0
#[Out]# 2        0
#[Out]# 3        0
#[Out]# 4        0
#[Out]# 5        0
#[Out]# 6        0
#[Out]# 7        0
#[Out]# 8        0
#[Out]# 9        0
#[Out]# 10       0
#[Out]# 11       0
#[Out]# 12       0
#[Out]# 13       0
#[Out]# 14       0
#[Out]# 15       0
#[Out]# 16       0
#[Out]# 17       0
#[Out]# 18       0
#[Out]# 19       0
#[Out]# 20       0
#[Out]# 21       0
#[Out]# 22       0
#[Out]# 23       0
#[Out]# 24       0
#[Out]# 25       0
#[Out]# 26       0
#[Out]# 27       0
#[Out]# 28       0
#[Out]# 29       0
#[Out]# ...    ...
#[Out]# 16258   31
#[Out]# 16259   31
#[Out]# 16260   31
#[Out]# 16261   31
#[Out]# 16262   31
#[Out]# 16263   31
#[Out]# 16264   31
#[Out]# 16265   31
#[Out]# 16266   31
#[Out]# 16267   31
#[Out]# 16268   31
#[Out]# 16269   31
#[Out]# 16270   31
#[Out]# 16271   31
#[Out]# 16272   31
#[Out]# 16273   31
#[Out]# 16274   31
#[Out]# 16275   31
#[Out]# 16276   31
#[Out]# 16277   31
#[Out]# 16278   31
#[Out]# 16279   31
#[Out]# 16280   31
#[Out]# 16281   31
#[Out]# 16282   31
#[Out]# 16283   31
#[Out]# 16284   31
#[Out]# 16285   31
#[Out]# 16286   31
#[Out]# 16287   31
#[Out]# 
#[Out]# [16288 rows x 1 columns]
query1 = '''
    select *
    from product join purchase
'''

pd.read_sql_query(query1, conn)
#[Out]#        pID            pName suffix  tID  cID  sID  pID        date  quantity  \
#[Out]# 0        0      Cashew Nuts           0    0    3   10  2018-08-22         1   
#[Out]# 1        0      Cashew Nuts           1    1   23   14  2018-08-20         2   
#[Out]# 2        0      Cashew Nuts           2    1    3   16  2018-08-20         3   
#[Out]# 3        0      Cashew Nuts           3    1   17    9  2018-08-20         2   
#[Out]# 4        0      Cashew Nuts           4    1   32   25  2018-08-20         4   
#[Out]# 5        0      Cashew Nuts           5    1   16   26  2018-08-20         4   
#[Out]# 6        0      Cashew Nuts           6    1   46   11  2018-08-21         8   
#[Out]# 7        0      Cashew Nuts           7    1   36   27  2018-08-21         6   
#[Out]# 8        0      Cashew Nuts           8    2   12   20  2018-08-16         1   
#[Out]# 9        0      Cashew Nuts           9    2   39    9  2018-08-17         7   
#[Out]# 10       0      Cashew Nuts          10    2   13    4  2018-08-17         6   
#[Out]# 11       0      Cashew Nuts          11    2   51   13  2018-08-17         4   
#[Out]# 12       0      Cashew Nuts          12    2   47   22  2018-08-17         1   
#[Out]# 13       0      Cashew Nuts          13    3   44   14  2018-08-18         2   
#[Out]# 14       0      Cashew Nuts          14    3   30   26  2018-08-19         2   
#[Out]# 15       0      Cashew Nuts          15    3   29    9  2018-08-19         6   
#[Out]# 16       0      Cashew Nuts          16    4   17    8  2018-08-24         2   
#[Out]# 17       0      Cashew Nuts          17    4   10   27  2018-08-24         9   
#[Out]# 18       0      Cashew Nuts          18    4   53   12  2018-08-25         5   
#[Out]# 19       0      Cashew Nuts          19    4   21    6  2018-08-24         2   
#[Out]# 20       0      Cashew Nuts          20    4    7   13  2018-08-25         9   
#[Out]# 21       0      Cashew Nuts          21    4   44   26  2018-08-25         4   
#[Out]# 22       0      Cashew Nuts          22    5    4   14  2018-08-17         6   
#[Out]# 23       0      Cashew Nuts          23    5   36   28  2018-08-22         6   
#[Out]# 24       0      Cashew Nuts          24    5   55    6  2018-08-23         9   
#[Out]# 25       0      Cashew Nuts          25    5   51   22  2018-08-23         2   
#[Out]# 26       0      Cashew Nuts          26    5    6   16  2018-08-23         2   
#[Out]# 27       0      Cashew Nuts          27    5   17   19  2018-08-23         1   
#[Out]# 28       0      Cashew Nuts          28    7    3   19  2018-08-23         2   
#[Out]# 29       0      Cashew Nuts          29    7   12    2  2018-08-23         6   
#[Out]# ...    ...              ...    ...  ...  ...  ...  ...         ...       ...   
#[Out]# 16258   31  French baguette         818  190   34   28  2018-08-20         4   
#[Out]# 16259   31  French baguette         819  190   35   27  2018-08-15         5   
#[Out]# 16260   31  French baguette         820  190   36    5  2018-08-23         3   
#[Out]# 16261   31  French baguette         821  190   37   28  2018-08-15         4   
#[Out]# 16262   31  French baguette         822  190   38    7  2018-08-24         4   
#[Out]# 16263   31  French baguette         823  190   39    0  2018-08-25         4   
#[Out]# 16264   31  French baguette         824  190   40   11  2018-08-15         2   
#[Out]# 16265   31  French baguette         825  190   41    6  2018-08-15         5   
#[Out]# 16266   31  French baguette         826  190   42   19  2018-08-22         5   
#[Out]# 16267   31  French baguette         827  190   43   17  2018-08-17         7   
#[Out]# 16268   31  French baguette         828  190   44    9  2018-08-18         5   
#[Out]# 16269   31  French baguette         829  190   45   11  2018-08-19         2   
#[Out]# 16270   31  French baguette         830  190   46   22  2018-08-25         4   
#[Out]# 16271   31  French baguette         831  190   47   17  2018-08-17         4   
#[Out]# 16272   31  French baguette         832  190   48   20  2018-08-26         6   
#[Out]# 16273   31  French baguette         833  190   49   11  2018-08-17         3   
#[Out]# 16274   31  French baguette         834  190   50   21  2018-08-22         6   
#[Out]# 16275   31  French baguette         835  190   51   23  2018-08-19         1   
#[Out]# 16276   31  French baguette         836  190   52   23  2018-08-15         5   
#[Out]# 16277   31  French baguette         837  190   53    8  2018-08-18         4   
#[Out]# 16278   31  French baguette         838  190   54    0  2018-08-25         6   
#[Out]# 16279   31  French baguette         839  190   55    8  2018-08-18         7   
#[Out]# 16280   31  French baguette         840  190   56   11  2018-08-15         4   
#[Out]# 16281   31  French baguette         841  190   57   15  2018-08-22         5   
#[Out]# 16282   31  French baguette         842  190   58    2  2018-08-19         7   
#[Out]# 16283   31  French baguette         843  190   59   17  2018-08-26         2   
#[Out]# 16284   31  French baguette         844  190   60    5  2018-08-27         6   
#[Out]# 16285   31  French baguette         845  190   61   19  2018-08-23         5   
#[Out]# 16286   31  French baguette         846  190   62    9  2018-08-16         2   
#[Out]# 16287   31  French baguette         847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#        price  
#[Out]# 0       0.45  
#[Out]# 1       4.65  
#[Out]# 2       1.60  
#[Out]# 3       1.25  
#[Out]# 4       3.95  
#[Out]# 5       2.75  
#[Out]# 6       0.90  
#[Out]# 7       9.10  
#[Out]# 8       2.45  
#[Out]# 9       1.35  
#[Out]# 10      1.10  
#[Out]# 11      3.70  
#[Out]# 12      1.55  
#[Out]# 13      4.30  
#[Out]# 14      2.75  
#[Out]# 15      1.45  
#[Out]# 16      4.15  
#[Out]# 17      9.05  
#[Out]# 18     13.60  
#[Out]# 19      1.05  
#[Out]# 20      3.05  
#[Out]# 21      2.75  
#[Out]# 22      4.70  
#[Out]# 23      8.25  
#[Out]# 24      1.10  
#[Out]# 25      1.55  
#[Out]# 26      1.85  
#[Out]# 27      2.20  
#[Out]# 28      2.10  
#[Out]# 29      1.70  
#[Out]# ...      ...  
#[Out]# 16258   2.80  
#[Out]# 16259   0.50  
#[Out]# 16260   2.55  
#[Out]# 16261   0.65  
#[Out]# 16262   0.70  
#[Out]# 16263   3.70  
#[Out]# 16264   3.50  
#[Out]# 16265   2.95  
#[Out]# 16266   2.75  
#[Out]# 16267   1.50  
#[Out]# 16268   0.85  
#[Out]# 16269   3.55  
#[Out]# 16270   2.60  
#[Out]# 16271   3.25  
#[Out]# 16272   4.30  
#[Out]# 16273   3.05  
#[Out]# 16274   4.05  
#[Out]# 16275   1.50  
#[Out]# 16276   2.50  
#[Out]# 16277   3.95  
#[Out]# 16278   3.50  
#[Out]# 16279   2.95  
#[Out]# 16280   1.60  
#[Out]# 16281   3.25  
#[Out]# 16282   0.75  
#[Out]# 16283   3.80  
#[Out]# 16284   4.35  
#[Out]# 16285   2.85  
#[Out]# 16286   3.15  
#[Out]# 16287   3.30  
#[Out]# 
#[Out]# [16288 rows x 10 columns]
query1 = '''
    select *
    from product join purchase
    where product.pID = purchase.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID             pName suffix  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     10             Water           0    0    3   10  2018-08-22         1   
#[Out]# 1     14            Apples           1    1   23   14  2018-08-20         2   
#[Out]# 2     16              Rice           2    1    3   16  2018-08-20         3   
#[Out]# 3      9           Bananas           3    1   17    9  2018-08-20         2   
#[Out]# 4     25            Donuts           4    1   32   25  2018-08-20         4   
#[Out]# 5     26             Pasta           5    1   16   26  2018-08-20         4   
#[Out]# 6     11              Milk           6    1   46   11  2018-08-21         8   
#[Out]# 7     27             Pizza           7    1   36   27  2018-08-21         6   
#[Out]# 8     20             Fanta           8    2   12   20  2018-08-16         1   
#[Out]# 9      9           Bananas           9    2   39    9  2018-08-17         7   
#[Out]# 10     4            Onions          10    2   13    4  2018-08-17         6   
#[Out]# 11    13              Eggs          11    2   51   13  2018-08-17         4   
#[Out]# 12    22               Tea          12    2   47   22  2018-08-17         1   
#[Out]# 13    14            Apples          13    3   44   14  2018-08-18         2   
#[Out]# 14    26             Pasta          14    3   30   26  2018-08-19         2   
#[Out]# 15     9           Bananas          15    3   29    9  2018-08-19         6   
#[Out]# 16     8  Hot Dog Sausages          16    4   17    8  2018-08-24         2   
#[Out]# 17    27             Pizza          17    4   10   27  2018-08-24         9   
#[Out]# 18    12              Beef          18    4   53   12  2018-08-25         5   
#[Out]# 19     6           Carrots          19    4   21    6  2018-08-24         2   
#[Out]# 20    13              Eggs          20    4    7   13  2018-08-25         9   
#[Out]# 21    26             Pasta          21    4   44   26  2018-08-25         4   
#[Out]# 22    14            Apples          22    5    4   14  2018-08-17         6   
#[Out]# 23    28           Lasanga          23    5   36   28  2018-08-22         6   
#[Out]# 24     6           Carrots          24    5   55    6  2018-08-23         9   
#[Out]# 25    22               Tea          25    5   51   22  2018-08-23         2   
#[Out]# 26    16              Rice          26    5    6   16  2018-08-23         2   
#[Out]# 27    19              Coca          27    5   17   19  2018-08-23         1   
#[Out]# 28    19              Coca          28    7    3   19  2018-08-23         2   
#[Out]# 29     2          Potatoes          29    7   12    2  2018-08-23         6   
#[Out]# ..   ...               ...    ...  ...  ...  ...  ...         ...       ...   
#[Out]# 479   28           Lasanga         818  190   34   28  2018-08-20         4   
#[Out]# 480   27             Pizza         819  190   35   27  2018-08-15         5   
#[Out]# 481    5         Mushrooms         820  190   36    5  2018-08-23         3   
#[Out]# 482   28           Lasanga         821  190   37   28  2018-08-15         4   
#[Out]# 483    7          Tomatoes         822  190   38    7  2018-08-24         4   
#[Out]# 484    0       Cashew Nuts         823  190   39    0  2018-08-25         4   
#[Out]# 485   11              Milk         824  190   40   11  2018-08-15         2   
#[Out]# 486    6           Carrots         825  190   41    6  2018-08-15         5   
#[Out]# 487   19              Coca         826  190   42   19  2018-08-22         5   
#[Out]# 488   17             Bread         827  190   43   17  2018-08-17         7   
#[Out]# 489    9           Bananas         828  190   44    9  2018-08-18         5   
#[Out]# 490   11              Milk         829  190   45   11  2018-08-19         2   
#[Out]# 491   22               Tea         830  190   46   22  2018-08-25         4   
#[Out]# 492   17             Bread         831  190   47   17  2018-08-17         4   
#[Out]# 493   20             Fanta         832  190   48   20  2018-08-26         6   
#[Out]# 494   11              Milk         833  190   49   11  2018-08-17         3   
#[Out]# 495   21            Coffee         834  190   50   21  2018-08-22         6   
#[Out]# 496   23   Spiced Biscuits         835  190   51   23  2018-08-19         1   
#[Out]# 497   23   Spiced Biscuits         836  190   52   23  2018-08-15         5   
#[Out]# 498    8  Hot Dog Sausages         837  190   53    8  2018-08-18         4   
#[Out]# 499    0       Cashew Nuts         838  190   54    0  2018-08-25         6   
#[Out]# 500    8  Hot Dog Sausages         839  190   55    8  2018-08-18         7   
#[Out]# 501   11              Milk         840  190   56   11  2018-08-15         4   
#[Out]# 502   15         Cucumbers         841  190   57   15  2018-08-22         5   
#[Out]# 503    2          Potatoes         842  190   58    2  2018-08-19         7   
#[Out]# 504   17             Bread         843  190   59   17  2018-08-26         2   
#[Out]# 505    5         Mushrooms         844  190   60    5  2018-08-27         6   
#[Out]# 506   19              Coca         845  190   61   19  2018-08-23         5   
#[Out]# 507    9           Bananas         846  190   62    9  2018-08-16         2   
#[Out]# 508   18            Cheese         847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#      price  
#[Out]# 0     0.45  
#[Out]# 1     4.65  
#[Out]# 2     1.60  
#[Out]# 3     1.25  
#[Out]# 4     3.95  
#[Out]# 5     2.75  
#[Out]# 6     0.90  
#[Out]# 7     9.10  
#[Out]# 8     2.45  
#[Out]# 9     1.35  
#[Out]# 10    1.10  
#[Out]# 11    3.70  
#[Out]# 12    1.55  
#[Out]# 13    4.30  
#[Out]# 14    2.75  
#[Out]# 15    1.45  
#[Out]# 16    4.15  
#[Out]# 17    9.05  
#[Out]# 18   13.60  
#[Out]# 19    1.05  
#[Out]# 20    3.05  
#[Out]# 21    2.75  
#[Out]# 22    4.70  
#[Out]# 23    8.25  
#[Out]# 24    1.10  
#[Out]# 25    1.55  
#[Out]# 26    1.85  
#[Out]# 27    2.20  
#[Out]# 28    2.10  
#[Out]# 29    1.70  
#[Out]# ..     ...  
#[Out]# 479   2.80  
#[Out]# 480   0.50  
#[Out]# 481   2.55  
#[Out]# 482   0.65  
#[Out]# 483   0.70  
#[Out]# 484   3.70  
#[Out]# 485   3.50  
#[Out]# 486   2.95  
#[Out]# 487   2.75  
#[Out]# 488   1.50  
#[Out]# 489   0.85  
#[Out]# 490   3.55  
#[Out]# 491   2.60  
#[Out]# 492   3.25  
#[Out]# 493   4.30  
#[Out]# 494   3.05  
#[Out]# 495   4.05  
#[Out]# 496   1.50  
#[Out]# 497   2.50  
#[Out]# 498   3.95  
#[Out]# 499   3.50  
#[Out]# 500   2.95  
#[Out]# 501   1.60  
#[Out]# 502   3.25  
#[Out]# 503   0.75  
#[Out]# 504   3.80  
#[Out]# 505   4.35  
#[Out]# 506   2.85  
#[Out]# 507   3.15  
#[Out]# 508   3.30  
#[Out]# 
#[Out]# [509 rows x 10 columns]
query1 = '''
    select *
    from product and purchase
    where product.pID = purchase.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select *
    from produc, purchase
    where product.pID = purchase.pID
'''

pd.read_sql_query(query1, conn)
query1 = '''
    select *
    from product, purchase
    where product.pID = purchase.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID             pName suffix  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     10             Water           0    0    3   10  2018-08-22         1   
#[Out]# 1     14            Apples           1    1   23   14  2018-08-20         2   
#[Out]# 2     16              Rice           2    1    3   16  2018-08-20         3   
#[Out]# 3      9           Bananas           3    1   17    9  2018-08-20         2   
#[Out]# 4     25            Donuts           4    1   32   25  2018-08-20         4   
#[Out]# 5     26             Pasta           5    1   16   26  2018-08-20         4   
#[Out]# 6     11              Milk           6    1   46   11  2018-08-21         8   
#[Out]# 7     27             Pizza           7    1   36   27  2018-08-21         6   
#[Out]# 8     20             Fanta           8    2   12   20  2018-08-16         1   
#[Out]# 9      9           Bananas           9    2   39    9  2018-08-17         7   
#[Out]# 10     4            Onions          10    2   13    4  2018-08-17         6   
#[Out]# 11    13              Eggs          11    2   51   13  2018-08-17         4   
#[Out]# 12    22               Tea          12    2   47   22  2018-08-17         1   
#[Out]# 13    14            Apples          13    3   44   14  2018-08-18         2   
#[Out]# 14    26             Pasta          14    3   30   26  2018-08-19         2   
#[Out]# 15     9           Bananas          15    3   29    9  2018-08-19         6   
#[Out]# 16     8  Hot Dog Sausages          16    4   17    8  2018-08-24         2   
#[Out]# 17    27             Pizza          17    4   10   27  2018-08-24         9   
#[Out]# 18    12              Beef          18    4   53   12  2018-08-25         5   
#[Out]# 19     6           Carrots          19    4   21    6  2018-08-24         2   
#[Out]# 20    13              Eggs          20    4    7   13  2018-08-25         9   
#[Out]# 21    26             Pasta          21    4   44   26  2018-08-25         4   
#[Out]# 22    14            Apples          22    5    4   14  2018-08-17         6   
#[Out]# 23    28           Lasanga          23    5   36   28  2018-08-22         6   
#[Out]# 24     6           Carrots          24    5   55    6  2018-08-23         9   
#[Out]# 25    22               Tea          25    5   51   22  2018-08-23         2   
#[Out]# 26    16              Rice          26    5    6   16  2018-08-23         2   
#[Out]# 27    19              Coca          27    5   17   19  2018-08-23         1   
#[Out]# 28    19              Coca          28    7    3   19  2018-08-23         2   
#[Out]# 29     2          Potatoes          29    7   12    2  2018-08-23         6   
#[Out]# ..   ...               ...    ...  ...  ...  ...  ...         ...       ...   
#[Out]# 479   28           Lasanga         818  190   34   28  2018-08-20         4   
#[Out]# 480   27             Pizza         819  190   35   27  2018-08-15         5   
#[Out]# 481    5         Mushrooms         820  190   36    5  2018-08-23         3   
#[Out]# 482   28           Lasanga         821  190   37   28  2018-08-15         4   
#[Out]# 483    7          Tomatoes         822  190   38    7  2018-08-24         4   
#[Out]# 484    0       Cashew Nuts         823  190   39    0  2018-08-25         4   
#[Out]# 485   11              Milk         824  190   40   11  2018-08-15         2   
#[Out]# 486    6           Carrots         825  190   41    6  2018-08-15         5   
#[Out]# 487   19              Coca         826  190   42   19  2018-08-22         5   
#[Out]# 488   17             Bread         827  190   43   17  2018-08-17         7   
#[Out]# 489    9           Bananas         828  190   44    9  2018-08-18         5   
#[Out]# 490   11              Milk         829  190   45   11  2018-08-19         2   
#[Out]# 491   22               Tea         830  190   46   22  2018-08-25         4   
#[Out]# 492   17             Bread         831  190   47   17  2018-08-17         4   
#[Out]# 493   20             Fanta         832  190   48   20  2018-08-26         6   
#[Out]# 494   11              Milk         833  190   49   11  2018-08-17         3   
#[Out]# 495   21            Coffee         834  190   50   21  2018-08-22         6   
#[Out]# 496   23   Spiced Biscuits         835  190   51   23  2018-08-19         1   
#[Out]# 497   23   Spiced Biscuits         836  190   52   23  2018-08-15         5   
#[Out]# 498    8  Hot Dog Sausages         837  190   53    8  2018-08-18         4   
#[Out]# 499    0       Cashew Nuts         838  190   54    0  2018-08-25         6   
#[Out]# 500    8  Hot Dog Sausages         839  190   55    8  2018-08-18         7   
#[Out]# 501   11              Milk         840  190   56   11  2018-08-15         4   
#[Out]# 502   15         Cucumbers         841  190   57   15  2018-08-22         5   
#[Out]# 503    2          Potatoes         842  190   58    2  2018-08-19         7   
#[Out]# 504   17             Bread         843  190   59   17  2018-08-26         2   
#[Out]# 505    5         Mushrooms         844  190   60    5  2018-08-27         6   
#[Out]# 506   19              Coca         845  190   61   19  2018-08-23         5   
#[Out]# 507    9           Bananas         846  190   62    9  2018-08-16         2   
#[Out]# 508   18            Cheese         847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#      price  
#[Out]# 0     0.45  
#[Out]# 1     4.65  
#[Out]# 2     1.60  
#[Out]# 3     1.25  
#[Out]# 4     3.95  
#[Out]# 5     2.75  
#[Out]# 6     0.90  
#[Out]# 7     9.10  
#[Out]# 8     2.45  
#[Out]# 9     1.35  
#[Out]# 10    1.10  
#[Out]# 11    3.70  
#[Out]# 12    1.55  
#[Out]# 13    4.30  
#[Out]# 14    2.75  
#[Out]# 15    1.45  
#[Out]# 16    4.15  
#[Out]# 17    9.05  
#[Out]# 18   13.60  
#[Out]# 19    1.05  
#[Out]# 20    3.05  
#[Out]# 21    2.75  
#[Out]# 22    4.70  
#[Out]# 23    8.25  
#[Out]# 24    1.10  
#[Out]# 25    1.55  
#[Out]# 26    1.85  
#[Out]# 27    2.20  
#[Out]# 28    2.10  
#[Out]# 29    1.70  
#[Out]# ..     ...  
#[Out]# 479   2.80  
#[Out]# 480   0.50  
#[Out]# 481   2.55  
#[Out]# 482   0.65  
#[Out]# 483   0.70  
#[Out]# 484   3.70  
#[Out]# 485   3.50  
#[Out]# 486   2.95  
#[Out]# 487   2.75  
#[Out]# 488   1.50  
#[Out]# 489   0.85  
#[Out]# 490   3.55  
#[Out]# 491   2.60  
#[Out]# 492   3.25  
#[Out]# 493   4.30  
#[Out]# 494   3.05  
#[Out]# 495   4.05  
#[Out]# 496   1.50  
#[Out]# 497   2.50  
#[Out]# 498   3.95  
#[Out]# 499   3.50  
#[Out]# 500   2.95  
#[Out]# 501   1.60  
#[Out]# 502   3.25  
#[Out]# 503   0.75  
#[Out]# 504   3.80  
#[Out]# 505   4.35  
#[Out]# 506   2.85  
#[Out]# 507   3.15  
#[Out]# 508   3.30  
#[Out]# 
#[Out]# [509 rows x 10 columns]
query1 = '''
    select *
    from product, purchase
    where product.pID = purchase.pID and true
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID             pName suffix  tID  cID  sID  pID        date  quantity  \
#[Out]# 0     10             Water           0    0    3   10  2018-08-22         1   
#[Out]# 1     14            Apples           1    1   23   14  2018-08-20         2   
#[Out]# 2     16              Rice           2    1    3   16  2018-08-20         3   
#[Out]# 3      9           Bananas           3    1   17    9  2018-08-20         2   
#[Out]# 4     25            Donuts           4    1   32   25  2018-08-20         4   
#[Out]# 5     26             Pasta           5    1   16   26  2018-08-20         4   
#[Out]# 6     11              Milk           6    1   46   11  2018-08-21         8   
#[Out]# 7     27             Pizza           7    1   36   27  2018-08-21         6   
#[Out]# 8     20             Fanta           8    2   12   20  2018-08-16         1   
#[Out]# 9      9           Bananas           9    2   39    9  2018-08-17         7   
#[Out]# 10     4            Onions          10    2   13    4  2018-08-17         6   
#[Out]# 11    13              Eggs          11    2   51   13  2018-08-17         4   
#[Out]# 12    22               Tea          12    2   47   22  2018-08-17         1   
#[Out]# 13    14            Apples          13    3   44   14  2018-08-18         2   
#[Out]# 14    26             Pasta          14    3   30   26  2018-08-19         2   
#[Out]# 15     9           Bananas          15    3   29    9  2018-08-19         6   
#[Out]# 16     8  Hot Dog Sausages          16    4   17    8  2018-08-24         2   
#[Out]# 17    27             Pizza          17    4   10   27  2018-08-24         9   
#[Out]# 18    12              Beef          18    4   53   12  2018-08-25         5   
#[Out]# 19     6           Carrots          19    4   21    6  2018-08-24         2   
#[Out]# 20    13              Eggs          20    4    7   13  2018-08-25         9   
#[Out]# 21    26             Pasta          21    4   44   26  2018-08-25         4   
#[Out]# 22    14            Apples          22    5    4   14  2018-08-17         6   
#[Out]# 23    28           Lasanga          23    5   36   28  2018-08-22         6   
#[Out]# 24     6           Carrots          24    5   55    6  2018-08-23         9   
#[Out]# 25    22               Tea          25    5   51   22  2018-08-23         2   
#[Out]# 26    16              Rice          26    5    6   16  2018-08-23         2   
#[Out]# 27    19              Coca          27    5   17   19  2018-08-23         1   
#[Out]# 28    19              Coca          28    7    3   19  2018-08-23         2   
#[Out]# 29     2          Potatoes          29    7   12    2  2018-08-23         6   
#[Out]# ..   ...               ...    ...  ...  ...  ...  ...         ...       ...   
#[Out]# 479   28           Lasanga         818  190   34   28  2018-08-20         4   
#[Out]# 480   27             Pizza         819  190   35   27  2018-08-15         5   
#[Out]# 481    5         Mushrooms         820  190   36    5  2018-08-23         3   
#[Out]# 482   28           Lasanga         821  190   37   28  2018-08-15         4   
#[Out]# 483    7          Tomatoes         822  190   38    7  2018-08-24         4   
#[Out]# 484    0       Cashew Nuts         823  190   39    0  2018-08-25         4   
#[Out]# 485   11              Milk         824  190   40   11  2018-08-15         2   
#[Out]# 486    6           Carrots         825  190   41    6  2018-08-15         5   
#[Out]# 487   19              Coca         826  190   42   19  2018-08-22         5   
#[Out]# 488   17             Bread         827  190   43   17  2018-08-17         7   
#[Out]# 489    9           Bananas         828  190   44    9  2018-08-18         5   
#[Out]# 490   11              Milk         829  190   45   11  2018-08-19         2   
#[Out]# 491   22               Tea         830  190   46   22  2018-08-25         4   
#[Out]# 492   17             Bread         831  190   47   17  2018-08-17         4   
#[Out]# 493   20             Fanta         832  190   48   20  2018-08-26         6   
#[Out]# 494   11              Milk         833  190   49   11  2018-08-17         3   
#[Out]# 495   21            Coffee         834  190   50   21  2018-08-22         6   
#[Out]# 496   23   Spiced Biscuits         835  190   51   23  2018-08-19         1   
#[Out]# 497   23   Spiced Biscuits         836  190   52   23  2018-08-15         5   
#[Out]# 498    8  Hot Dog Sausages         837  190   53    8  2018-08-18         4   
#[Out]# 499    0       Cashew Nuts         838  190   54    0  2018-08-25         6   
#[Out]# 500    8  Hot Dog Sausages         839  190   55    8  2018-08-18         7   
#[Out]# 501   11              Milk         840  190   56   11  2018-08-15         4   
#[Out]# 502   15         Cucumbers         841  190   57   15  2018-08-22         5   
#[Out]# 503    2          Potatoes         842  190   58    2  2018-08-19         7   
#[Out]# 504   17             Bread         843  190   59   17  2018-08-26         2   
#[Out]# 505    5         Mushrooms         844  190   60    5  2018-08-27         6   
#[Out]# 506   19              Coca         845  190   61   19  2018-08-23         5   
#[Out]# 507    9           Bananas         846  190   62    9  2018-08-16         2   
#[Out]# 508   18            Cheese         847  190   63   18  2018-08-21         1   
#[Out]# 
#[Out]#      price  
#[Out]# 0     0.45  
#[Out]# 1     4.65  
#[Out]# 2     1.60  
#[Out]# 3     1.25  
#[Out]# 4     3.95  
#[Out]# 5     2.75  
#[Out]# 6     0.90  
#[Out]# 7     9.10  
#[Out]# 8     2.45  
#[Out]# 9     1.35  
#[Out]# 10    1.10  
#[Out]# 11    3.70  
#[Out]# 12    1.55  
#[Out]# 13    4.30  
#[Out]# 14    2.75  
#[Out]# 15    1.45  
#[Out]# 16    4.15  
#[Out]# 17    9.05  
#[Out]# 18   13.60  
#[Out]# 19    1.05  
#[Out]# 20    3.05  
#[Out]# 21    2.75  
#[Out]# 22    4.70  
#[Out]# 23    8.25  
#[Out]# 24    1.10  
#[Out]# 25    1.55  
#[Out]# 26    1.85  
#[Out]# 27    2.20  
#[Out]# 28    2.10  
#[Out]# 29    1.70  
#[Out]# ..     ...  
#[Out]# 479   2.80  
#[Out]# 480   0.50  
#[Out]# 481   2.55  
#[Out]# 482   0.65  
#[Out]# 483   0.70  
#[Out]# 484   3.70  
#[Out]# 485   3.50  
#[Out]# 486   2.95  
#[Out]# 487   2.75  
#[Out]# 488   1.50  
#[Out]# 489   0.85  
#[Out]# 490   3.55  
#[Out]# 491   2.60  
#[Out]# 492   3.25  
#[Out]# 493   4.30  
#[Out]# 494   3.05  
#[Out]# 495   4.05  
#[Out]# 496   1.50  
#[Out]# 497   2.50  
#[Out]# 498   3.95  
#[Out]# 499   3.50  
#[Out]# 500   2.95  
#[Out]# 501   1.60  
#[Out]# 502   3.25  
#[Out]# 503   0.75  
#[Out]# 504   3.80  
#[Out]# 505   4.35  
#[Out]# 506   2.85  
#[Out]# 507   3.15  
#[Out]# 508   3.30  
#[Out]# 
#[Out]# [509 rows x 10 columns]
query1 = '''
    select product.pID
    from product, purchase
    where product.pID = purchase.pID 
'''

pd.read_sql_query(query1, conn)
#[Out]#      pID
#[Out]# 0     10
#[Out]# 1     14
#[Out]# 2     16
#[Out]# 3      9
#[Out]# 4     25
#[Out]# 5     26
#[Out]# 6     11
#[Out]# 7     27
#[Out]# 8     20
#[Out]# 9      9
#[Out]# 10     4
#[Out]# 11    13
#[Out]# 12    22
#[Out]# 13    14
#[Out]# 14    26
#[Out]# 15     9
#[Out]# 16     8
#[Out]# 17    27
#[Out]# 18    12
#[Out]# 19     6
#[Out]# 20    13
#[Out]# 21    26
#[Out]# 22    14
#[Out]# 23    28
#[Out]# 24     6
#[Out]# 25    22
#[Out]# 26    16
#[Out]# 27    19
#[Out]# 28    19
#[Out]# 29     2
#[Out]# ..   ...
#[Out]# 479   28
#[Out]# 480   27
#[Out]# 481    5
#[Out]# 482   28
#[Out]# 483    7
#[Out]# 484    0
#[Out]# 485   11
#[Out]# 486    6
#[Out]# 487   19
#[Out]# 488   17
#[Out]# 489    9
#[Out]# 490   11
#[Out]# 491   22
#[Out]# 492   17
#[Out]# 493   20
#[Out]# 494   11
#[Out]# 495   21
#[Out]# 496   23
#[Out]# 497   23
#[Out]# 498    8
#[Out]# 499    0
#[Out]# 500    8
#[Out]# 501   11
#[Out]# 502   15
#[Out]# 503    2
#[Out]# 504   17
#[Out]# 505    5
#[Out]# 506   19
#[Out]# 507    9
#[Out]# 508   18
#[Out]# 
#[Out]# [509 rows x 1 columns]
query1 = '''
    select distinct product.pID
    from product, purchase
    where product.pID = purchase.pID 
'''

pd.read_sql_query(query1, conn)
#[Out]#     pID
#[Out]# 0    10
#[Out]# 1    14
#[Out]# 2    16
#[Out]# 3     9
#[Out]# 4    25
#[Out]# 5    26
#[Out]# 6    11
#[Out]# 7    27
#[Out]# 8    20
#[Out]# 9     4
#[Out]# 10   13
#[Out]# 11   22
#[Out]# 12    8
#[Out]# 13   12
#[Out]# 14    6
#[Out]# 15   28
#[Out]# 16   19
#[Out]# 17    2
#[Out]# 18   24
#[Out]# 19    0
#[Out]# 20   23
#[Out]# 21   17
#[Out]# 22    3
#[Out]# 23    5
#[Out]# 24   21
#[Out]# 25    7
#[Out]# 26   15
#[Out]# 27   18
#[Out]# 28    1
#[Out]# 29   29
#[Out]# 30   30
query1 = '''
    select product.pID
    from product, purchase
    where product.pID = purchase.pID
    group by purchase.pID
    having count(purchase.cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 = '''
    select pID, count(pID)
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  count(pID)
#[Out]# 0   29           2
#[Out]# 1   30           2
query1 = '''
    select pID, count(pID) as "purchased by distinct customers"
    from purchase
    group by pID
    having count(cID) <= 2
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID  purchased by distinct customers
#[Out]# 0   29                                2
#[Out]# 1   30                                2
query2 = '''
    select pID, count(pID)
    from purchase
    group by pID
'''

pd.read_sql_query(query2, conn)
#[Out]#     pID  count(pID)
#[Out]# 0     0          25
#[Out]# 1     1          13
#[Out]# 2     2          10
#[Out]# 3     3          20
#[Out]# 4     4          16
#[Out]# 5     5          16
#[Out]# 6     6          15
#[Out]# 7     7          14
#[Out]# 8     8          13
#[Out]# 9     9          20
#[Out]# 10   10          16
#[Out]# 11   11          16
#[Out]# 12   12          16
#[Out]# 13   13          21
#[Out]# 14   14          18
#[Out]# 15   15          14
#[Out]# 16   16          20
#[Out]# 17   17          18
#[Out]# 18   18          10
#[Out]# 19   19          26
#[Out]# 20   20          18
#[Out]# 21   21          22
#[Out]# 22   22          21
#[Out]# 23   23          13
#[Out]# 24   24          20
#[Out]# 25   25          14
#[Out]# 26   26          20
#[Out]# 27   27          15
#[Out]# 28   28          25
#[Out]# 29   29           2
#[Out]# 30   30           2

