# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID = p2.pID AND
            p1.pID = p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
            )

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query_test = '''

SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
)

'''



'''
SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
'''

pd.read_sql_query(query_test, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT  c.cID, c.cName
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 = '''
    SELECT p.cID
    FROM purchase p
            
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query4_test = '''
    
    SELECT s.sName
    FROM store s, store s2
    WHERE s.sName = s2.sName
    
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1         Coop
#[Out]# 2         Coop
#[Out]# 3         Coop
#[Out]# 4         Coop
#[Out]# 5         Coop
#[Out]# 6         Coop
#[Out]# 7         Coop
#[Out]# 8         Coop
#[Out]# 9         Coop
#[Out]# 10        Coop
#[Out]# 11        Coop
#[Out]# 12        Coop
#[Out]# 13        Coop
#[Out]# 14   Hoogvliet
#[Out]# 15   Hoogvliet
#[Out]# 16   Hoogvliet
#[Out]# 17   Hoogvliet
#[Out]# 18   Hoogvliet
#[Out]# 19   Hoogvliet
#[Out]# 20   Hoogvliet
#[Out]# 21   Hoogvliet
#[Out]# 22   Hoogvliet
#[Out]# 23       Jumbo
#[Out]# 24       Jumbo
#[Out]# 25       Jumbo
#[Out]# 26       Jumbo
#[Out]# 27       Jumbo
#[Out]# 28       Jumbo
#[Out]# 29       Jumbo
#[Out]# ..         ...
#[Out]# 592       Lidl
#[Out]# 593       Lidl
#[Out]# 594       Lidl
#[Out]# 595       Lidl
#[Out]# 596       Lidl
#[Out]# 597       Lidl
#[Out]# 598       Lidl
#[Out]# 599       Lidl
#[Out]# 600       Lidl
#[Out]# 601       Lidl
#[Out]# 602       Lidl
#[Out]# 603       Lidl
#[Out]# 604       Lidl
#[Out]# 605       Lidl
#[Out]# 606      Jumbo
#[Out]# 607      Jumbo
#[Out]# 608      Jumbo
#[Out]# 609      Jumbo
#[Out]# 610      Jumbo
#[Out]# 611      Jumbo
#[Out]# 612      Jumbo
#[Out]# 613      Jumbo
#[Out]# 614      Jumbo
#[Out]# 615      Jumbo
#[Out]# 616      Jumbo
#[Out]# 617      Jumbo
#[Out]# 618      Jumbo
#[Out]# 619      Jumbo
#[Out]# 620      Jumbo
#[Out]# 621      Jumbo
#[Out]# 
#[Out]# [622 rows x 1 columns]
query4_test = '''
    
    SELECT DISTINCT s.sName
    FROM store s, store s2
    WHERE s.sName = s2.sName
    
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4_test = '''
    
    SELECT DISTINCT s.sName
    FROM store s, store s2
    WHERE s.sName <> s2.sName
    
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4_test = '''
    
    SELECT DISTINCT s.sName
    FROM store s
    
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1    Hoogvliet
#[Out]# 2        Jumbo
#[Out]# 3       Sligro
#[Out]# 4  Albert Hein
#[Out]# 5         Lidl
#[Out]# 6         Dirk
query4_test = '''
        SELECT AVG(p.quantity)
        FROM purchase p
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    AVG(p.quantity)
#[Out]# 0         4.797642
query4_test = '''
        SELECT p.sID
        FROM purchase p
        WHERE p.quantity > 4
'''

pd.read_sql_query(query4_test, conn)
#[Out]#      sID
#[Out]# 0     46
#[Out]# 1     36
#[Out]# 2     39
#[Out]# 3     13
#[Out]# 4     29
#[Out]# 5     10
#[Out]# 6     53
#[Out]# 7      7
#[Out]# 8      4
#[Out]# 9     36
#[Out]# 10    55
#[Out]# 11    12
#[Out]# 12    42
#[Out]# 13    43
#[Out]# 14    51
#[Out]# 15    34
#[Out]# 16     0
#[Out]# 17    33
#[Out]# 18     4
#[Out]# 19    33
#[Out]# 20    50
#[Out]# 21     8
#[Out]# 22    25
#[Out]# 23    22
#[Out]# 24    25
#[Out]# 25    31
#[Out]# 26    27
#[Out]# 27    55
#[Out]# 28    51
#[Out]# 29    44
#[Out]# ..   ...
#[Out]# 241    9
#[Out]# 242   10
#[Out]# 243   11
#[Out]# 244   12
#[Out]# 245   14
#[Out]# 246   17
#[Out]# 247   19
#[Out]# 248   20
#[Out]# 249   21
#[Out]# 250   22
#[Out]# 251   24
#[Out]# 252   26
#[Out]# 253   28
#[Out]# 254   29
#[Out]# 255   31
#[Out]# 256   33
#[Out]# 257   35
#[Out]# 258   41
#[Out]# 259   42
#[Out]# 260   43
#[Out]# 261   44
#[Out]# 262   48
#[Out]# 263   50
#[Out]# 264   52
#[Out]# 265   54
#[Out]# 266   55
#[Out]# 267   57
#[Out]# 268   58
#[Out]# 269   60
#[Out]# 270   61
#[Out]# 
#[Out]# [271 rows x 1 columns]
query4_test = '''
        SELECT p.sID, p.quantity
        FROM purchase p
        WHERE p.quantity > 4
'''

pd.read_sql_query(query4_test, conn)
#[Out]#      sID  quantity
#[Out]# 0     46         8
#[Out]# 1     36         6
#[Out]# 2     39         7
#[Out]# 3     13         6
#[Out]# 4     29         6
#[Out]# 5     10         9
#[Out]# 6     53         5
#[Out]# 7      7         9
#[Out]# 8      4         6
#[Out]# 9     36         6
#[Out]# 10    55         9
#[Out]# 11    12         6
#[Out]# 12    42         6
#[Out]# 13    43         7
#[Out]# 14    51         5
#[Out]# 15    34         5
#[Out]# 16     0         8
#[Out]# 17    33         5
#[Out]# 18     4         6
#[Out]# 19    33         5
#[Out]# 20    50         5
#[Out]# 21     8         6
#[Out]# 22    25         5
#[Out]# 23    22         7
#[Out]# 24    25         5
#[Out]# 25    31         7
#[Out]# 26    27         8
#[Out]# 27    55         8
#[Out]# 28    51         9
#[Out]# 29    44        10
#[Out]# ..   ...       ...
#[Out]# 241    9         5
#[Out]# 242   10         7
#[Out]# 243   11         5
#[Out]# 244   12         6
#[Out]# 245   14         5
#[Out]# 246   17         6
#[Out]# 247   19         7
#[Out]# 248   20         7
#[Out]# 249   21         6
#[Out]# 250   22         7
#[Out]# 251   24         5
#[Out]# 252   26         7
#[Out]# 253   28         5
#[Out]# 254   29         5
#[Out]# 255   31         7
#[Out]# 256   33         5
#[Out]# 257   35         5
#[Out]# 258   41         5
#[Out]# 259   42         5
#[Out]# 260   43         7
#[Out]# 261   44         5
#[Out]# 262   48         6
#[Out]# 263   50         6
#[Out]# 264   52         5
#[Out]# 265   54         6
#[Out]# 266   55         7
#[Out]# 267   57         5
#[Out]# 268   58         7
#[Out]# 269   60         6
#[Out]# 270   61         5
#[Out]# 
#[Out]# [271 rows x 2 columns]
query4_test = '''
        SELECT p.sID, p.quantity
        FROM purchase p
        WHERE AVG(p.quantity > 4)
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
        SELECT p.sID, p.quantity
        FROM purchase p
        WHERE AVG(p.quantity) > 4
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
        SELECT p.sID, p.quantity
        FROM purchase p
        WHERE (
            SELECT AVG(p.quantity) > 4
            )
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
        SELECT p.sID, p.quantity
        FROM purchase p
        WHERE (
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2)
'''

pd.read_sql_query(query4_test, conn)
#[Out]#      sID  quantity
#[Out]# 0      3         1
#[Out]# 1     23         2
#[Out]# 2      3         3
#[Out]# 3     17         2
#[Out]# 4     32         4
#[Out]# 5     16         4
#[Out]# 6     46         8
#[Out]# 7     36         6
#[Out]# 8     12         1
#[Out]# 9     39         7
#[Out]# 10    13         6
#[Out]# 11    51         4
#[Out]# 12    47         1
#[Out]# 13    44         2
#[Out]# 14    30         2
#[Out]# 15    29         6
#[Out]# 16    17         2
#[Out]# 17    10         9
#[Out]# 18    53         5
#[Out]# 19    21         2
#[Out]# 20     7         9
#[Out]# 21    44         4
#[Out]# 22     4         6
#[Out]# 23    36         6
#[Out]# 24    55         9
#[Out]# 25    51         2
#[Out]# 26     6         2
#[Out]# 27    17         1
#[Out]# 28     3         2
#[Out]# 29    12         6
#[Out]# ..   ...       ...
#[Out]# 479   34         4
#[Out]# 480   35         5
#[Out]# 481   36         3
#[Out]# 482   37         4
#[Out]# 483   38         4
#[Out]# 484   39         4
#[Out]# 485   40         2
#[Out]# 486   41         5
#[Out]# 487   42         5
#[Out]# 488   43         7
#[Out]# 489   44         5
#[Out]# 490   45         2
#[Out]# 491   46         4
#[Out]# 492   47         4
#[Out]# 493   48         6
#[Out]# 494   49         3
#[Out]# 495   50         6
#[Out]# 496   51         1
#[Out]# 497   52         5
#[Out]# 498   53         4
#[Out]# 499   54         6
#[Out]# 500   55         7
#[Out]# 501   56         4
#[Out]# 502   57         5
#[Out]# 503   58         7
#[Out]# 504   59         2
#[Out]# 505   60         6
#[Out]# 506   61         5
#[Out]# 507   62         2
#[Out]# 508   63         1
#[Out]# 
#[Out]# [509 rows x 2 columns]
query4_test = '''
        SELECT p.sID, p.quantity, AVG(p2.quantity)
        FROM purchase p
        WHERE (
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2)
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2)
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT AVG(p2.quantity)
            FROM purchase p2)
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT AVG(p2.quantity)
            FROM purchase p2
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    AVG(p2.quantity)
#[Out]# 0          4.797642
query4_test = '''
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    AVG(p2.quantity) > 4
#[Out]# 0                     1
query4_test = '''
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2
            WHERE AVG(p2.quantity) > 4
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT AVG(p2.quantity) > 4
            FROM purchase p2
            WHERE (
                SELECT AVG(p2.quantity) > 4
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.quantity
            FROM purchase p2
            WHERE (
                SELECT AVG(p2.quantity) > 4
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.quantity
            FROM purchase p2
            WHERE (
                SELECT AVG(p2.quantity) > 4
                }
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.quantity
            FROM purchase p2
            WHERE (
                SELECT AVG(p2.quantity) > 4
                )
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.quantity, p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     quantity  sID  AVG(p2.quantity)
#[Out]# 0          5    0          4.777778
#[Out]# 1          6    1          4.750000
#[Out]# 2          4    2          3.666667
#[Out]# 3          5    3          4.076923
#[Out]# 4          7    4          6.090909
#[Out]# 5          7    5          4.875000
#[Out]# 6          2    6          3.800000
#[Out]# 7          4    7          4.444444
#[Out]# 8          7    8          5.600000
#[Out]# 9          5    9          5.444444
#[Out]# 10         7   10          6.400000
#[Out]# 11         5   11          4.272727
#[Out]# 12         6   12          5.000000
#[Out]# 13         4   13          3.888889
#[Out]# 14         5   14          3.125000
#[Out]# 15         2   15          4.250000
#[Out]# 16         1   16          3.500000
#[Out]# 17         6   17          5.538462
#[Out]# 18         4   18          3.181818
#[Out]# 19         7   19          5.571429
#[Out]# 20         7   20          5.428571
#[Out]# 21         6   21          3.600000
#[Out]# 22         7   22          5.500000
#[Out]# 23         1   23          4.400000
#[Out]# 24         5   24          5.400000
#[Out]# 25         2   25          5.700000
#[Out]# 26         7   26          6.500000
#[Out]# 27         4   27          4.750000
#[Out]# 28         5   28          5.000000
#[Out]# 29         5   29          6.000000
#[Out]# ..       ...  ...               ...
#[Out]# 34         4   34          5.400000
#[Out]# 35         5   35          4.428571
#[Out]# 36         3   36          4.142857
#[Out]# 37         4   37          4.000000
#[Out]# 38         4   38          5.400000
#[Out]# 39         4   39          4.571429
#[Out]# 40         2   40          4.300000
#[Out]# 41         5   41          4.833333
#[Out]# 42         5   42          5.900000
#[Out]# 43         7   43          5.769231
#[Out]# 44         5   44          4.300000
#[Out]# 45         2   45          3.875000
#[Out]# 46         4   46          5.600000
#[Out]# 47         4   47          4.636364
#[Out]# 48         6   48          7.500000
#[Out]# 49         3   49          3.333333
#[Out]# 50         6   50          4.000000
#[Out]# 51         1   51          4.100000
#[Out]# 52         5   52          5.750000
#[Out]# 53         4   53          4.000000
#[Out]# 54         6   54          4.636364
#[Out]# 55         7   55          5.454545
#[Out]# 56         4   56          2.900000
#[Out]# 57         5   57          4.666667
#[Out]# 58         7   58          9.666667
#[Out]# 59         2   59          3.666667
#[Out]# 60         6   60          6.000000
#[Out]# 61         5   61          5.000000
#[Out]# 62         2   62          2.000000
#[Out]# 63         1   63          3.000000
#[Out]# 
#[Out]# [64 rows x 3 columns]
query4_test = '''
            SELECT p2.quantity, p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID > 4
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    quantity  sID  AVG(p2.quantity)
#[Out]# 0         7    4          4.744681
#[Out]# 1         1   63          4.803030
query4_test = '''
            SELECT p2.quantity, p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID > 2
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    quantity  sID  AVG(p2.quantity)
#[Out]# 0         4    2          4.478261
#[Out]# 1         1   63          4.812757
query4_test = '''
            SELECT p2.quantity, p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     quantity  sID  AVG(p2.quantity)
#[Out]# 0          5    0          4.777778
#[Out]# 1          6    1          4.750000
#[Out]# 2          4    2          3.666667
#[Out]# 3          5    3          4.076923
#[Out]# 4          7    4          6.090909
#[Out]# 5          7    5          4.875000
#[Out]# 6          2    6          3.800000
#[Out]# 7          4    7          4.444444
#[Out]# 8          7    8          5.600000
#[Out]# 9          5    9          5.444444
#[Out]# 10         7   10          6.400000
#[Out]# 11         5   11          4.272727
#[Out]# 12         6   12          5.000000
#[Out]# 13         4   13          3.888889
#[Out]# 14         5   14          3.125000
#[Out]# 15         2   15          4.250000
#[Out]# 16         1   16          3.500000
#[Out]# 17         6   17          5.538462
#[Out]# 18         4   18          3.181818
#[Out]# 19         7   19          5.571429
#[Out]# 20         7   20          5.428571
#[Out]# 21         6   21          3.600000
#[Out]# 22         7   22          5.500000
#[Out]# 23         1   23          4.400000
#[Out]# 24         5   24          5.400000
#[Out]# 25         2   25          5.700000
#[Out]# 26         7   26          6.500000
#[Out]# 27         4   27          4.750000
#[Out]# 28         5   28          5.000000
#[Out]# 29         5   29          6.000000
#[Out]# ..       ...  ...               ...
#[Out]# 34         4   34          5.400000
#[Out]# 35         5   35          4.428571
#[Out]# 36         3   36          4.142857
#[Out]# 37         4   37          4.000000
#[Out]# 38         4   38          5.400000
#[Out]# 39         4   39          4.571429
#[Out]# 40         2   40          4.300000
#[Out]# 41         5   41          4.833333
#[Out]# 42         5   42          5.900000
#[Out]# 43         7   43          5.769231
#[Out]# 44         5   44          4.300000
#[Out]# 45         2   45          3.875000
#[Out]# 46         4   46          5.600000
#[Out]# 47         4   47          4.636364
#[Out]# 48         6   48          7.500000
#[Out]# 49         3   49          3.333333
#[Out]# 50         6   50          4.000000
#[Out]# 51         1   51          4.100000
#[Out]# 52         5   52          5.750000
#[Out]# 53         4   53          4.000000
#[Out]# 54         6   54          4.636364
#[Out]# 55         7   55          5.454545
#[Out]# 56         4   56          2.900000
#[Out]# 57         5   57          4.666667
#[Out]# 58         7   58          9.666667
#[Out]# 59         2   59          3.666667
#[Out]# 60         6   60          6.000000
#[Out]# 61         5   61          5.000000
#[Out]# 62         2   62          2.000000
#[Out]# 63         1   63          3.000000
#[Out]# 
#[Out]# [64 rows x 3 columns]
query4_test = '''
            SELECT p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID
            WHERE 
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID
            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID  AVG(p2.quantity)
#[Out]# 0     0          4.777778
#[Out]# 1     1          4.750000
#[Out]# 2     2          3.666667
#[Out]# 3     3          4.076923
#[Out]# 4     4          6.090909
#[Out]# 5     5          4.875000
#[Out]# 6     6          3.800000
#[Out]# 7     7          4.444444
#[Out]# 8     8          5.600000
#[Out]# 9     9          5.444444
#[Out]# 10   10          6.400000
#[Out]# 11   11          4.272727
#[Out]# 12   12          5.000000
#[Out]# 13   13          3.888889
#[Out]# 14   14          3.125000
#[Out]# 15   15          4.250000
#[Out]# 16   16          3.500000
#[Out]# 17   17          5.538462
#[Out]# 18   18          3.181818
#[Out]# 19   19          5.571429
#[Out]# 20   20          5.428571
#[Out]# 21   21          3.600000
#[Out]# 22   22          5.500000
#[Out]# 23   23          4.400000
#[Out]# 24   24          5.400000
#[Out]# 25   25          5.700000
#[Out]# 26   26          6.500000
#[Out]# 27   27          4.750000
#[Out]# 28   28          5.000000
#[Out]# 29   29          6.000000
#[Out]# ..  ...               ...
#[Out]# 34   34          5.400000
#[Out]# 35   35          4.428571
#[Out]# 36   36          4.142857
#[Out]# 37   37          4.000000
#[Out]# 38   38          5.400000
#[Out]# 39   39          4.571429
#[Out]# 40   40          4.300000
#[Out]# 41   41          4.833333
#[Out]# 42   42          5.900000
#[Out]# 43   43          5.769231
#[Out]# 44   44          4.300000
#[Out]# 45   45          3.875000
#[Out]# 46   46          5.600000
#[Out]# 47   47          4.636364
#[Out]# 48   48          7.500000
#[Out]# 49   49          3.333333
#[Out]# 50   50          4.000000
#[Out]# 51   51          4.100000
#[Out]# 52   52          5.750000
#[Out]# 53   53          4.000000
#[Out]# 54   54          4.636364
#[Out]# 55   55          5.454545
#[Out]# 56   56          2.900000
#[Out]# 57   57          4.666667
#[Out]# 58   58          9.666667
#[Out]# 59   59          3.666667
#[Out]# 60   60          6.000000
#[Out]# 61   61          5.000000
#[Out]# 62   62          2.000000
#[Out]# 63   63          3.000000
#[Out]# 
#[Out]# [64 rows x 2 columns]
query4_test = '''
            SELECT p2.sID, AVG(p2.quantity)
            FROM purchase p2
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4
            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID  AVG(p2.quantity)
#[Out]# 0     0          4.777778
#[Out]# 1     1          4.750000
#[Out]# 2     3          4.076923
#[Out]# 3     4          6.090909
#[Out]# 4     5          4.875000
#[Out]# 5     7          4.444444
#[Out]# 6     8          5.600000
#[Out]# 7     9          5.444444
#[Out]# 8    10          6.400000
#[Out]# 9    11          4.272727
#[Out]# 10   12          5.000000
#[Out]# 11   15          4.250000
#[Out]# 12   17          5.538462
#[Out]# 13   19          5.571429
#[Out]# 14   20          5.428571
#[Out]# 15   22          5.500000
#[Out]# 16   23          4.400000
#[Out]# 17   24          5.400000
#[Out]# 18   25          5.700000
#[Out]# 19   26          6.500000
#[Out]# 20   27          4.750000
#[Out]# 21   28          5.000000
#[Out]# 22   29          6.000000
#[Out]# 23   30          4.900000
#[Out]# 24   31          7.166667
#[Out]# 25   33          6.166667
#[Out]# 26   34          5.400000
#[Out]# 27   35          4.428571
#[Out]# 28   36          4.142857
#[Out]# 29   38          5.400000
#[Out]# 30   39          4.571429
#[Out]# 31   40          4.300000
#[Out]# 32   41          4.833333
#[Out]# 33   42          5.900000
#[Out]# 34   43          5.769231
#[Out]# 35   44          4.300000
#[Out]# 36   46          5.600000
#[Out]# 37   47          4.636364
#[Out]# 38   48          7.500000
#[Out]# 39   51          4.100000
#[Out]# 40   52          5.750000
#[Out]# 41   54          4.636364
#[Out]# 42   55          5.454545
#[Out]# 43   57          4.666667
#[Out]# 44   58          9.666667
#[Out]# 45   60          6.000000
#[Out]# 46   61          5.000000
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4
            WHERE p2.sID = s.sID
            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4
            AND p2.sID = s.sID
            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, sID, AVG(p2.quantity)]
#[Out]# Index: []
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID  sID  AVG(p2.quantity)
#[Out]# 0     0   63          4.777778
#[Out]# 1     1   63          4.750000
#[Out]# 2     3   63          4.076923
#[Out]# 3     4   63          6.090909
#[Out]# 4     5   63          4.875000
#[Out]# 5     7   63          4.444444
#[Out]# 6     8   63          5.600000
#[Out]# 7     9   63          5.444444
#[Out]# 8    10   63          6.400000
#[Out]# 9    11   63          4.272727
#[Out]# 10   12   63          5.000000
#[Out]# 11   15   63          4.250000
#[Out]# 12   17   63          5.538462
#[Out]# 13   19   63          5.571429
#[Out]# 14   20   63          5.428571
#[Out]# 15   22   63          5.500000
#[Out]# 16   23   63          4.400000
#[Out]# 17   24   63          5.400000
#[Out]# 18   25   63          5.700000
#[Out]# 19   26   63          6.500000
#[Out]# 20   27   63          4.750000
#[Out]# 21   28   63          5.000000
#[Out]# 22   29   63          6.000000
#[Out]# 23   30   63          4.900000
#[Out]# 24   31   63          7.166667
#[Out]# 25   33   63          6.166667
#[Out]# 26   34   63          5.400000
#[Out]# 27   35   63          4.428571
#[Out]# 28   36   63          4.142857
#[Out]# 29   38   63          5.400000
#[Out]# 30   39   63          4.571429
#[Out]# 31   40   63          4.300000
#[Out]# 32   41   63          4.833333
#[Out]# 33   42   63          5.900000
#[Out]# 34   43   63          5.769231
#[Out]# 35   44   63          4.300000
#[Out]# 36   46   63          5.600000
#[Out]# 37   47   63          4.636364
#[Out]# 38   48   63          7.500000
#[Out]# 39   51   63          4.100000
#[Out]# 40   52   63          5.750000
#[Out]# 41   54   63          4.636364
#[Out]# 42   55   63          5.454545
#[Out]# 43   57   63          4.666667
#[Out]# 44   58   63          9.666667
#[Out]# 45   60   63          6.000000
#[Out]# 46   61   63          5.000000
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            INNER JOIN store s on s.sID = p2.sID
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            INNER JOIN store s on s.sID = p2.sID

            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            INNER JOIN store s on sID = p2.sID

            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            INNER JOIN store s on store.sID = p2.sID

            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            INNER JOIN store s on store.sID = p2.sID

            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2, store s
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID  sID  AVG(p2.quantity)
#[Out]# 0     0   63          4.777778
#[Out]# 1     1   63          4.750000
#[Out]# 2     3   63          4.076923
#[Out]# 3     4   63          6.090909
#[Out]# 4     5   63          4.875000
#[Out]# 5     7   63          4.444444
#[Out]# 6     8   63          5.600000
#[Out]# 7     9   63          5.444444
#[Out]# 8    10   63          6.400000
#[Out]# 9    11   63          4.272727
#[Out]# 10   12   63          5.000000
#[Out]# 11   15   63          4.250000
#[Out]# 12   17   63          5.538462
#[Out]# 13   19   63          5.571429
#[Out]# 14   20   63          5.428571
#[Out]# 15   22   63          5.500000
#[Out]# 16   23   63          4.400000
#[Out]# 17   24   63          5.400000
#[Out]# 18   25   63          5.700000
#[Out]# 19   26   63          6.500000
#[Out]# 20   27   63          4.750000
#[Out]# 21   28   63          5.000000
#[Out]# 22   29   63          6.000000
#[Out]# 23   30   63          4.900000
#[Out]# 24   31   63          7.166667
#[Out]# 25   33   63          6.166667
#[Out]# 26   34   63          5.400000
#[Out]# 27   35   63          4.428571
#[Out]# 28   36   63          4.142857
#[Out]# 29   38   63          5.400000
#[Out]# 30   39   63          4.571429
#[Out]# 31   40   63          4.300000
#[Out]# 32   41   63          4.833333
#[Out]# 33   42   63          5.900000
#[Out]# 34   43   63          5.769231
#[Out]# 35   44   63          4.300000
#[Out]# 36   46   63          5.600000
#[Out]# 37   47   63          4.636364
#[Out]# 38   48   63          7.500000
#[Out]# 39   51   63          4.100000
#[Out]# 40   52   63          5.750000
#[Out]# 41   54   63          4.636364
#[Out]# 42   55   63          5.454545
#[Out]# 43   57   63          4.666667
#[Out]# 44   58   63          9.666667
#[Out]# 45   60   63          6.000000
#[Out]# 46   61   63          5.000000
query4_test = '''
            SELECT p2.sID, s.sID, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4 

            
            
'''

pd.read_sql_query(query4_test, conn)
query4_test = '''
            SELECT p2.sID, store.sID, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4 

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID  sID  AVG(p2.quantity)
#[Out]# 0     0    0          4.777778
#[Out]# 1     1    1          4.750000
#[Out]# 2     3    3          4.076923
#[Out]# 3     4    4          6.090909
#[Out]# 4     5    5          4.875000
#[Out]# 5     7    7          4.444444
#[Out]# 6     8    8          5.600000
#[Out]# 7     9    9          5.444444
#[Out]# 8    10   10          6.400000
#[Out]# 9    11   11          4.272727
#[Out]# 10   12   12          5.000000
#[Out]# 11   15   15          4.250000
#[Out]# 12   17   17          5.538462
#[Out]# 13   19   19          5.571429
#[Out]# 14   20   20          5.428571
#[Out]# 15   22   22          5.500000
#[Out]# 16   23   23          4.400000
#[Out]# 17   24   24          5.400000
#[Out]# 18   25   25          5.700000
#[Out]# 19   26   26          6.500000
#[Out]# 20   27   27          4.750000
#[Out]# 21   28   28          5.000000
#[Out]# 22   29   29          6.000000
#[Out]# 23   30   30          4.900000
#[Out]# 24   31   31          7.166667
#[Out]# 25   33   33          6.166667
#[Out]# 26   34   34          5.400000
#[Out]# 27   35   35          4.428571
#[Out]# 28   36   36          4.142857
#[Out]# 29   38   38          5.400000
#[Out]# 30   39   39          4.571429
#[Out]# 31   40   40          4.300000
#[Out]# 32   41   41          4.833333
#[Out]# 33   42   42          5.900000
#[Out]# 34   43   43          5.769231
#[Out]# 35   44   44          4.300000
#[Out]# 36   46   46          5.600000
#[Out]# 37   47   47          4.636364
#[Out]# 38   48   48          7.500000
#[Out]# 39   51   51          4.100000
#[Out]# 40   52   52          5.750000
#[Out]# 41   54   54          4.636364
#[Out]# 42   55   55          5.454545
#[Out]# 43   57   57          4.666667
#[Out]# 44   58   58          9.666667
#[Out]# 45   60   60          6.000000
#[Out]# 46   61   61          5.000000
query4_test = '''
            SELECT p2.sID, store.sName, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY p2.sID
            HAVING AVG(p2.quantity) > 4 

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#     sID        sName  AVG(p2.quantity)
#[Out]# 0     0         Coop          4.777778
#[Out]# 1     1    Hoogvliet          4.750000
#[Out]# 2     3       Sligro          4.076923
#[Out]# 3     4    Hoogvliet          6.090909
#[Out]# 4     5       Sligro          4.875000
#[Out]# 5     7       Sligro          4.444444
#[Out]# 6     8  Albert Hein          5.600000
#[Out]# 7     9  Albert Hein          5.444444
#[Out]# 8    10        Jumbo          6.400000
#[Out]# 9    11  Albert Hein          4.272727
#[Out]# 10   12         Lidl          5.000000
#[Out]# 11   15         Lidl          4.250000
#[Out]# 12   17    Hoogvliet          5.538462
#[Out]# 13   19         Coop          5.571429
#[Out]# 14   20        Jumbo          5.428571
#[Out]# 15   22         Lidl          5.500000
#[Out]# 16   23         Dirk          4.400000
#[Out]# 17   24  Albert Hein          5.400000
#[Out]# 18   25  Albert Hein          5.700000
#[Out]# 19   26    Hoogvliet          6.500000
#[Out]# 20   27       Sligro          4.750000
#[Out]# 21   28    Hoogvliet          5.000000
#[Out]# 22   29       Sligro          6.000000
#[Out]# 23   30         Dirk          4.900000
#[Out]# 24   31         Coop          7.166667
#[Out]# 25   33         Dirk          6.166667
#[Out]# 26   34         Coop          5.400000
#[Out]# 27   35         Lidl          4.428571
#[Out]# 28   36         Lidl          4.142857
#[Out]# 29   38    Hoogvliet          5.400000
#[Out]# 30   39       Sligro          4.571429
#[Out]# 31   40    Hoogvliet          4.300000
#[Out]# 32   41  Albert Hein          4.833333
#[Out]# 33   42       Sligro          5.900000
#[Out]# 34   43         Coop          5.769231
#[Out]# 35   44  Albert Hein          4.300000
#[Out]# 36   46         Lidl          5.600000
#[Out]# 37   47         Coop          4.636364
#[Out]# 38   48    Hoogvliet          7.500000
#[Out]# 39   51         Coop          4.100000
#[Out]# 40   52         Lidl          5.750000
#[Out]# 41   54         Dirk          4.636364
#[Out]# 42   55         Coop          5.454545
#[Out]# 43   57         Dirk          4.666667
#[Out]# 44   58         Dirk          9.666667
#[Out]# 45   60         Lidl          6.000000
#[Out]# 46   61         Lidl          5.000000
query4_test = '''
            SELECT p2.sID, store.sName, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY store.sName
            HAVING AVG(p2.quantity) > 4 

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    sID        sName  AVG(p2.quantity)
#[Out]# 0   44  Albert Hein          4.969697
#[Out]# 1   55         Coop          4.681818
#[Out]# 2   58         Dirk          5.268293
#[Out]# 3   49    Hoogvliet          5.280000
#[Out]# 4   61         Lidl          4.796875
#[Out]# 5   50       Sligro          4.674419
query4_test = '''
            SELECT p2.sID, store.sName, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY store.sName
            HAVING AVG(p2.quantity) > 2

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    sID        sName  AVG(p2.quantity)
#[Out]# 0   44  Albert Hein          4.969697
#[Out]# 1   55         Coop          4.681818
#[Out]# 2   58         Dirk          5.268293
#[Out]# 3   49    Hoogvliet          5.280000
#[Out]# 4   63        Jumbo          3.888889
#[Out]# 5   61         Lidl          4.796875
#[Out]# 6   50       Sligro          4.674419
query4_test = '''
            SELECT p2.sID, store.sName, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY store.sName
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#    sID        sName  AVG(p2.quantity)
#[Out]# 0   44  Albert Hein          4.969697
#[Out]# 1   55         Coop          4.681818
#[Out]# 2   58         Dirk          5.268293
#[Out]# 3   49    Hoogvliet          5.280000
#[Out]# 4   61         Lidl          4.796875
#[Out]# 5   50       Sligro          4.674419
query4_test = '''
            SELECT store.sName, AVG(p2.quantity)
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY store.sName
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName  AVG(p2.quantity)
#[Out]# 0  Albert Hein          4.969697
#[Out]# 1         Coop          4.681818
#[Out]# 2         Dirk          5.268293
#[Out]# 3    Hoogvliet          5.280000
#[Out]# 4         Lidl          4.796875
#[Out]# 5       Sligro          4.674419
query4_test = '''
            SELECT store.sName
            FROM purchase p2
            
            INNER JOIN store ON store.sID = p2.sID
            
            GROUP BY store.sName
            HAVING AVG(p2.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4_test = '''
            SELECT s.sName
            FROM store s
            
            
            INNER JOIN purchase p ON p.sID = s.sID
            
            GROUP BY s.sName
            HAVING AVG(p.quantity) > 4

            
            
'''

pd.read_sql_query(query4_test, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query4 = '''
    SELECT s.sName
            FROM store s
            
            INNER JOIN purchase p ON p.sID = s.sID
            
            GROUP BY s.sName
            HAVING AVG(p.quantity) > 4  
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query3_test = '''

SELECT * 
FROM purchase as p
WHERE NOT EXISTS 
    SELECT s.sID 
    FROM store as s 
EXCEPT 
    SELECT pur.sID 
    FROM purchase as pur 
    WHERE pur.sID = s.sID  

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''
SELECT pu.cID
FROM purchase pu, store s
HAVING count(DISTINCT pu.sID) = count(DISTINCT s.sID)

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''
SELECT pu.cID
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) = count(DISTINCT s.sID)

'''

pd.read_sql_query(query3_test, conn)
#[Out]#    cID
#[Out]# 0  190
query3_test = '''
SELECT pu.cID, count(DISTINCT pu.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) = count(DISTINCT s.sID)

'''

pd.read_sql_query(query3_test, conn)
#[Out]#    cID  count(DISTINCT pu.sID)
#[Out]# 0  190                      64
query3_test = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
'''

pd.read_sql_query(query3_test, conn)
#[Out]#      cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0      0                       1                     64
#[Out]# 1      1                       7                     64
#[Out]# 2      2                       5                     64
#[Out]# 3      3                       3                     64
#[Out]# 4      4                       6                     64
#[Out]# 5      5                       6                     64
#[Out]# 6      7                       6                     64
#[Out]# 7      8                       2                     64
#[Out]# 8     10                       1                     64
#[Out]# 9     11                       1                     64
#[Out]# 10    13                       7                     64
#[Out]# 11    15                       1                     64
#[Out]# 12    16                      10                     64
#[Out]# 13    17                       2                     64
#[Out]# 14    18                       3                     64
#[Out]# 15    19                       4                     64
#[Out]# 16    20                       3                     64
#[Out]# 17    21                       3                     64
#[Out]# 18    22                       2                     64
#[Out]# 19    24                       9                     64
#[Out]# 20    25                       1                     64
#[Out]# 21    26                       1                     64
#[Out]# 22    27                       5                     64
#[Out]# 23    28                       1                     64
#[Out]# 24    29                       2                     64
#[Out]# 25    30                       3                     64
#[Out]# 26    31                       2                     64
#[Out]# 27    33                       9                     64
#[Out]# 28    34                       1                     64
#[Out]# 29    35                       2                     64
#[Out]# ..   ...                     ...                    ...
#[Out]# 102  147                       3                     64
#[Out]# 103  149                       2                     64
#[Out]# 104  151                       2                     64
#[Out]# 105  152                       3                     64
#[Out]# 106  157                       2                     64
#[Out]# 107  159                       2                     64
#[Out]# 108  161                       9                     64
#[Out]# 109  162                       8                     64
#[Out]# 110  163                       4                     64
#[Out]# 111  165                       6                     64
#[Out]# 112  167                      10                     64
#[Out]# 113  168                       1                     64
#[Out]# 114  169                      11                     64
#[Out]# 115  170                       3                     64
#[Out]# 116  171                       2                     64
#[Out]# 117  172                       2                     64
#[Out]# 118  175                       2                     64
#[Out]# 119  176                       6                     64
#[Out]# 120  177                       5                     64
#[Out]# 121  178                       2                     64
#[Out]# 122  179                       6                     64
#[Out]# 123  180                       2                     64
#[Out]# 124  181                       3                     64
#[Out]# 125  182                       3                     64
#[Out]# 126  184                       1                     64
#[Out]# 127  185                       1                     64
#[Out]# 128  186                       1                     64
#[Out]# 129  188                       1                     64
#[Out]# 130  189                       2                     64
#[Out]# 131  190                      64                     64
#[Out]# 
#[Out]# [132 rows x 3 columns]
query3_test = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) > 5
'''

pd.read_sql_query(query3_test, conn)
#[Out]#     cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0     1                       7                     64
#[Out]# 1     4                       6                     64
#[Out]# 2     5                       6                     64
#[Out]# 3     7                       6                     64
#[Out]# 4    13                       7                     64
#[Out]# 5    16                      10                     64
#[Out]# 6    24                       9                     64
#[Out]# 7    33                       9                     64
#[Out]# 8    39                       6                     64
#[Out]# 9    59                       8                     64
#[Out]# 10   82                       9                     64
#[Out]# 11   86                       7                     64
#[Out]# 12   91                       6                     64
#[Out]# 13  100                       7                     64
#[Out]# 14  108                       6                     64
#[Out]# 15  123                       6                     64
#[Out]# 16  124                      11                     64
#[Out]# 17  161                       9                     64
#[Out]# 18  162                       8                     64
#[Out]# 19  165                       6                     64
#[Out]# 20  167                      10                     64
#[Out]# 21  169                      11                     64
#[Out]# 22  176                       6                     64
#[Out]# 23  179                       6                     64
#[Out]# 24  190                      64                     64
query3_test = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) > 10
'''

pd.read_sql_query(query3_test, conn)
#[Out]#    cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0  124                      11                     64
#[Out]# 1  169                      11                     64
#[Out]# 2  190                      64                     64
query3 = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) > 10
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0  124                      11                     64
#[Out]# 1  169                      11                     64
#[Out]# 2  190                      64                     64
query3 = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) > 10
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0  124                      11                     64
#[Out]# 1  169                      11                     64
#[Out]# 2  190                      64                     64
query3 = '''
SELECT pu.cID, count(DISTINCT pu.sID), count(DISTINCT s.sID)
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) = count(DISTINCT s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count(DISTINCT pu.sID)  count(DISTINCT s.sID)
#[Out]# 0  190                      64                     64
query3 = '''
SELECT pu.cID
FROM purchase pu, store s
GROUP BY pu.cID
HAVING count(DISTINCT pu.sID) = count(DISTINCT s.sID)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query5 = '''
    SELECT MAX(p.price)
    FROM purchase p
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)
#[Out]# 0          13.8
query5 = '''
    SELECT MAX(p.price), s.sID
    FROM purchase p
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), p.sID
    FROM purchase p
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)  sID
#[Out]# 0          13.8   27
query5 = '''
    SELECT MAX(p.price), p.sID, p.pID, prod.pName
    FROM purchase p, product prod
    WHERE p.pID = prod.pID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)  sID  pID pName
#[Out]# 0          13.8   27   12  Beef
query5 = '''
    SELECT MAX(p.price), p.sID, p.pID, prod.pName, p.sName
    FROM purchase p, product prod
    WHERE p.pID = prod.pID
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), p.sID, p.pID, prod.pName, p.sID
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)  sID  pID pName  sID
#[Out]# 0          13.8   27   12  Beef   27
query5 = '''
    SELECT MAX(p.price), p.sID, p.pID, prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)  sID  pID pName   sName
#[Out]# 0          13.8   27   12  Beef  Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
    HAVING MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5 = '''
SELECT prod.pName
FROM (
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT prod2.pName
FROM prod2 
WHERE (
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT prod2.pName
FROM producht prod2
WHERE (
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT prod2.pName
FROM product prod2
WHERE (
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT prod2.pName
FROM product prod2
WHERE (
    SELECT MAX(p.price)
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName
#[Out]# 0        Cashew Nuts
#[Out]# 1         Mixed Nuts
#[Out]# 2           Potatoes
#[Out]# 3       Green Pepper
#[Out]# 4             Onions
#[Out]# 5          Mushrooms
#[Out]# 6            Carrots
#[Out]# 7           Tomatoes
#[Out]# 8   Hot Dog Sausages
#[Out]# 9            Bananas
#[Out]# 10             Water
#[Out]# 11              Milk
#[Out]# 12              Beef
#[Out]# 13              Eggs
#[Out]# 14            Apples
#[Out]# 15         Cucumbers
#[Out]# 16              Rice
#[Out]# 17             Bread
#[Out]# 18            Cheese
#[Out]# 19              Coca
#[Out]# 20             Fanta
#[Out]# 21            Coffee
#[Out]# 22               Tea
#[Out]# 23   Spiced Biscuits
#[Out]# 24           Oranges
#[Out]# 25            Donuts
#[Out]# 26             Pasta
#[Out]# 27             Pizza
#[Out]# 28           Lasanga
#[Out]# 29            Salmon
#[Out]# 30           Ketchup
#[Out]# 31   French baguette
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5 = '''
    SELECT prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    SELECT prod.pName, s.sName
    FROM purchase p, product prod, store s
    
    WHERE p.pID = prod.pID AND
          s.sID = p.sID AND
          p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT prod.pName, s.sName
    FROM purchase p, product prod, store s
    
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
          
    HAVING p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT prod.pName, s.sName
    FROM purchase p, product prod, store s
      
    GROUP BY p.price
    HAVING p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#            pName sName
#[Out]# 0    Cashew Nuts  Coop
#[Out]# 1    Cashew Nuts  Coop
#[Out]# 2    Cashew Nuts  Coop
#[Out]# 3    Cashew Nuts  Coop
#[Out]# 4    Cashew Nuts  Coop
#[Out]# 5    Cashew Nuts  Coop
#[Out]# 6    Cashew Nuts  Coop
#[Out]# 7    Cashew Nuts  Coop
#[Out]# 8    Cashew Nuts  Coop
#[Out]# 9    Cashew Nuts  Coop
#[Out]# 10   Cashew Nuts  Coop
#[Out]# 11   Cashew Nuts  Coop
#[Out]# 12   Cashew Nuts  Coop
#[Out]# 13   Cashew Nuts  Coop
#[Out]# 14   Cashew Nuts  Coop
#[Out]# 15   Cashew Nuts  Coop
#[Out]# 16   Cashew Nuts  Coop
#[Out]# 17   Cashew Nuts  Coop
#[Out]# 18   Cashew Nuts  Coop
#[Out]# 19   Cashew Nuts  Coop
#[Out]# 20   Cashew Nuts  Coop
#[Out]# 21   Cashew Nuts  Coop
#[Out]# 22   Cashew Nuts  Coop
#[Out]# 23   Cashew Nuts  Coop
#[Out]# 24   Cashew Nuts  Coop
#[Out]# 25   Cashew Nuts  Coop
#[Out]# 26   Cashew Nuts  Coop
#[Out]# 27   Cashew Nuts  Coop
#[Out]# 28   Cashew Nuts  Coop
#[Out]# 29   Cashew Nuts  Coop
#[Out]# ..           ...   ...
#[Out]# 125  Cashew Nuts  Coop
#[Out]# 126  Cashew Nuts  Coop
#[Out]# 127  Cashew Nuts  Coop
#[Out]# 128  Cashew Nuts  Coop
#[Out]# 129  Cashew Nuts  Coop
#[Out]# 130  Cashew Nuts  Coop
#[Out]# 131  Cashew Nuts  Coop
#[Out]# 132  Cashew Nuts  Coop
#[Out]# 133  Cashew Nuts  Coop
#[Out]# 134  Cashew Nuts  Coop
#[Out]# 135  Cashew Nuts  Coop
#[Out]# 136  Cashew Nuts  Coop
#[Out]# 137  Cashew Nuts  Coop
#[Out]# 138  Cashew Nuts  Coop
#[Out]# 139  Cashew Nuts  Coop
#[Out]# 140  Cashew Nuts  Coop
#[Out]# 141  Cashew Nuts  Coop
#[Out]# 142  Cashew Nuts  Coop
#[Out]# 143  Cashew Nuts  Coop
#[Out]# 144  Cashew Nuts  Coop
#[Out]# 145  Cashew Nuts  Coop
#[Out]# 146  Cashew Nuts  Coop
#[Out]# 147  Cashew Nuts  Coop
#[Out]# 148  Cashew Nuts  Coop
#[Out]# 149  Cashew Nuts  Coop
#[Out]# 150  Cashew Nuts  Coop
#[Out]# 151  Cashew Nuts  Coop
#[Out]# 152  Cashew Nuts  Coop
#[Out]# 153  Cashew Nuts  Coop
#[Out]# 154  Cashew Nuts  Coop
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
    SELECT prod.pName, s.sName, p.price
    FROM purchase p, product prod, store s
      
    GROUP BY p.price
    HAVING p.price = MAX(p.price)
'''

pd.read_sql_query(query5, conn)
#[Out]#            pName sName  price
#[Out]# 0    Cashew Nuts  Coop   0.40
#[Out]# 1    Cashew Nuts  Coop   0.45
#[Out]# 2    Cashew Nuts  Coop   0.50
#[Out]# 3    Cashew Nuts  Coop   0.55
#[Out]# 4    Cashew Nuts  Coop   0.60
#[Out]# 5    Cashew Nuts  Coop   0.65
#[Out]# 6    Cashew Nuts  Coop   0.70
#[Out]# 7    Cashew Nuts  Coop   0.75
#[Out]# 8    Cashew Nuts  Coop   0.80
#[Out]# 9    Cashew Nuts  Coop   0.85
#[Out]# 10   Cashew Nuts  Coop   0.90
#[Out]# 11   Cashew Nuts  Coop   0.95
#[Out]# 12   Cashew Nuts  Coop   1.00
#[Out]# 13   Cashew Nuts  Coop   1.05
#[Out]# 14   Cashew Nuts  Coop   1.10
#[Out]# 15   Cashew Nuts  Coop   1.15
#[Out]# 16   Cashew Nuts  Coop   1.20
#[Out]# 17   Cashew Nuts  Coop   1.25
#[Out]# 18   Cashew Nuts  Coop   1.30
#[Out]# 19   Cashew Nuts  Coop   1.35
#[Out]# 20   Cashew Nuts  Coop   1.40
#[Out]# 21   Cashew Nuts  Coop   1.45
#[Out]# 22   Cashew Nuts  Coop   1.50
#[Out]# 23   Cashew Nuts  Coop   1.55
#[Out]# 24   Cashew Nuts  Coop   1.60
#[Out]# 25   Cashew Nuts  Coop   1.65
#[Out]# 26   Cashew Nuts  Coop   1.70
#[Out]# 27   Cashew Nuts  Coop   1.75
#[Out]# 28   Cashew Nuts  Coop   1.80
#[Out]# 29   Cashew Nuts  Coop   1.85
#[Out]# ..           ...   ...    ...
#[Out]# 125  Cashew Nuts  Coop   9.00
#[Out]# 126  Cashew Nuts  Coop   9.05
#[Out]# 127  Cashew Nuts  Coop   9.10
#[Out]# 128  Cashew Nuts  Coop   9.25
#[Out]# 129  Cashew Nuts  Coop   9.45
#[Out]# 130  Cashew Nuts  Coop   9.60
#[Out]# 131  Cashew Nuts  Coop   9.65
#[Out]# 132  Cashew Nuts  Coop   9.70
#[Out]# 133  Cashew Nuts  Coop   9.85
#[Out]# 134  Cashew Nuts  Coop  10.15
#[Out]# 135  Cashew Nuts  Coop  10.30
#[Out]# 136  Cashew Nuts  Coop  10.50
#[Out]# 137  Cashew Nuts  Coop  10.60
#[Out]# 138  Cashew Nuts  Coop  10.75
#[Out]# 139  Cashew Nuts  Coop  11.20
#[Out]# 140  Cashew Nuts  Coop  11.45
#[Out]# 141  Cashew Nuts  Coop  11.55
#[Out]# 142  Cashew Nuts  Coop  11.65
#[Out]# 143  Cashew Nuts  Coop  12.00
#[Out]# 144  Cashew Nuts  Coop  12.20
#[Out]# 145  Cashew Nuts  Coop  12.30
#[Out]# 146  Cashew Nuts  Coop  12.55
#[Out]# 147  Cashew Nuts  Coop  12.65
#[Out]# 148  Cashew Nuts  Coop  12.80
#[Out]# 149  Cashew Nuts  Coop  13.15
#[Out]# 150  Cashew Nuts  Coop  13.25
#[Out]# 151  Cashew Nuts  Coop  13.40
#[Out]# 152  Cashew Nuts  Coop  13.60
#[Out]# 153  Cashew Nuts  Coop  13.65
#[Out]# 154  Cashew Nuts  Coop  13.80
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    SELECT prod.pName, s.sName
    FROM purchase p, product prod, store s
    
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#                 pName        sName
#[Out]# 0               Water       Sligro
#[Out]# 1              Apples         Dirk
#[Out]# 2                Rice       Sligro
#[Out]# 3             Bananas    Hoogvliet
#[Out]# 4              Donuts  Albert Hein
#[Out]# 5               Pasta         Lidl
#[Out]# 6                Milk         Lidl
#[Out]# 7               Pizza         Lidl
#[Out]# 8               Fanta         Lidl
#[Out]# 9             Bananas       Sligro
#[Out]# 10             Onions         Coop
#[Out]# 11               Eggs         Coop
#[Out]# 12                Tea         Coop
#[Out]# 13             Apples  Albert Hein
#[Out]# 14              Pasta         Dirk
#[Out]# 15            Bananas       Sligro
#[Out]# 16   Hot Dog Sausages    Hoogvliet
#[Out]# 17              Pizza        Jumbo
#[Out]# 18               Beef         Coop
#[Out]# 19            Carrots         Coop
#[Out]# 20               Eggs       Sligro
#[Out]# 21              Pasta  Albert Hein
#[Out]# 22             Apples    Hoogvliet
#[Out]# 23            Lasanga         Lidl
#[Out]# 24            Carrots         Coop
#[Out]# 25                Tea         Coop
#[Out]# 26               Rice         Coop
#[Out]# 27               Coca    Hoogvliet
#[Out]# 28               Coca       Sligro
#[Out]# 29           Potatoes         Lidl
#[Out]# ..                ...          ...
#[Out]# 479           Lasanga         Coop
#[Out]# 480             Pizza         Lidl
#[Out]# 481         Mushrooms         Lidl
#[Out]# 482           Lasanga        Jumbo
#[Out]# 483          Tomatoes    Hoogvliet
#[Out]# 484       Cashew Nuts       Sligro
#[Out]# 485              Milk    Hoogvliet
#[Out]# 486           Carrots  Albert Hein
#[Out]# 487              Coca       Sligro
#[Out]# 488             Bread         Coop
#[Out]# 489           Bananas  Albert Hein
#[Out]# 490              Milk         Coop
#[Out]# 491               Tea         Lidl
#[Out]# 492             Bread         Coop
#[Out]# 493             Fanta    Hoogvliet
#[Out]# 494              Milk    Hoogvliet
#[Out]# 495            Coffee       Sligro
#[Out]# 496   Spiced Biscuits         Coop
#[Out]# 497   Spiced Biscuits         Lidl
#[Out]# 498  Hot Dog Sausages         Coop
#[Out]# 499       Cashew Nuts         Dirk
#[Out]# 500  Hot Dog Sausages         Coop
#[Out]# 501              Milk        Jumbo
#[Out]# 502         Cucumbers         Dirk
#[Out]# 503          Potatoes         Dirk
#[Out]# 504             Bread        Jumbo
#[Out]# 505         Mushrooms         Lidl
#[Out]# 506              Coca         Lidl
#[Out]# 507           Bananas        Jumbo
#[Out]# 508            Cheese        Jumbo
#[Out]# 
#[Out]# [509 rows x 2 columns]
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5_test = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s ON p.sID = s.sID
    GROUP BY s.sName
    HAVING MAX(p.price) 
            
           
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s ON p.sID = s.sID
    GROUP BY s.sName
    HAVING MAX(p.price) 
    
    INNER JOIN product prod on p.pID = prod.pID
            
           
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY s.sName
    HAVING MAX(p.price) 
    
    INNER JOIN product prod on p.pID = prod.pID
            
           
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY s.sName
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)    pName        sName
#[Out]# 0         13.25     Beef  Albert Hein
#[Out]# 1         13.60     Beef         Coop
#[Out]# 2         12.80     Beef         Dirk
#[Out]# 3         12.30     Beef    Hoogvliet
#[Out]# 4          9.05    Pizza        Jumbo
#[Out]# 5          9.60  Lasanga         Lidl
#[Out]# 6         13.80     Beef       Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY p.price
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#      MAX(p.price)         pName        sName
#[Out]# 0            0.40         Water    Hoogvliet
#[Out]# 1            0.45         Water       Sligro
#[Out]# 2            0.50     Mushrooms  Albert Hein
#[Out]# 3            0.55     Mushrooms         Lidl
#[Out]# 4            0.60         Water         Coop
#[Out]# 5            0.65       Lasanga        Jumbo
#[Out]# 6            0.70      Tomatoes    Hoogvliet
#[Out]# 7            0.75      Potatoes         Dirk
#[Out]# 8            0.80          Milk         Lidl
#[Out]# 9            0.85        Onions         Coop
#[Out]# 10           0.90          Milk         Lidl
#[Out]# 11           0.95       Carrots         Coop
#[Out]# 12           1.00     Cucumbers         Coop
#[Out]# 13           1.05       Carrots         Coop
#[Out]# 14           1.10        Onions         Coop
#[Out]# 15           1.15       Carrots         Lidl
#[Out]# 16           1.20  Green Pepper       Sligro
#[Out]# 17           1.25       Bananas    Hoogvliet
#[Out]# 18           1.30       Bananas    Hoogvliet
#[Out]# 19           1.35       Bananas       Sligro
#[Out]# 20           1.40          Rice         Coop
#[Out]# 21           1.45       Bananas       Sligro
#[Out]# 22           1.50           Tea       Sligro
#[Out]# 23           1.55           Tea         Coop
#[Out]# 24           1.60          Rice       Sligro
#[Out]# 25           1.65       Bananas    Hoogvliet
#[Out]# 26           1.70      Potatoes         Lidl
#[Out]# 27           1.75       Bananas       Sligro
#[Out]# 28           1.80      Tomatoes         Coop
#[Out]# 29           1.85          Rice         Coop
#[Out]# ..            ...           ...          ...
#[Out]# 125          9.00         Pizza         Coop
#[Out]# 126          9.05         Pizza        Jumbo
#[Out]# 127          9.10         Pizza         Lidl
#[Out]# 128          9.25         Pizza    Hoogvliet
#[Out]# 129          9.45       Lasanga         Coop
#[Out]# 130          9.60       Lasanga         Lidl
#[Out]# 131          9.65        Cheese         Coop
#[Out]# 132          9.70       Lasanga         Dirk
#[Out]# 133          9.85       Lasanga  Albert Hein
#[Out]# 134         10.15          Beef         Coop
#[Out]# 135         10.30        Cheese         Coop
#[Out]# 136         10.50        Cheese       Sligro
#[Out]# 137         10.60        Cheese         Coop
#[Out]# 138         10.75          Beef  Albert Hein
#[Out]# 139         11.20          Beef         Coop
#[Out]# 140         11.45          Beef         Dirk
#[Out]# 141         11.55        Cheese  Albert Hein
#[Out]# 142         11.65          Beef         Dirk
#[Out]# 143         12.00        Cheese  Albert Hein
#[Out]# 144         12.20          Beef    Hoogvliet
#[Out]# 145         12.30          Beef    Hoogvliet
#[Out]# 146         12.55          Beef         Dirk
#[Out]# 147         12.65          Beef       Sligro
#[Out]# 148         12.80          Beef         Dirk
#[Out]# 149         13.15          Beef  Albert Hein
#[Out]# 150         13.25          Beef  Albert Hein
#[Out]# 151         13.40          Beef       Sligro
#[Out]# 152         13.60          Beef         Coop
#[Out]# 153         13.65          Beef       Sligro
#[Out]# 154         13.80          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 3 columns]
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY s.sName
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)    pName        sName
#[Out]# 0         13.25     Beef  Albert Hein
#[Out]# 1         13.60     Beef         Coop
#[Out]# 2         12.80     Beef         Dirk
#[Out]# 3         12.30     Beef    Hoogvliet
#[Out]# 4          9.05    Pizza        Jumbo
#[Out]# 5          9.60  Lasanga         Lidl
#[Out]# 6         13.80     Beef       Sligro
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY MAX(p.price)
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY s.sName, s.sID
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#     MAX(p.price)             pName        sName
#[Out]# 0           5.70  Hot Dog Sausages  Albert Hein
#[Out]# 1          13.15              Beef  Albert Hein
#[Out]# 2          11.55            Cheese  Albert Hein
#[Out]# 3           3.25             Pasta  Albert Hein
#[Out]# 4           8.05           Lasanga  Albert Hein
#[Out]# 5          10.75              Beef  Albert Hein
#[Out]# 6          13.25              Beef  Albert Hein
#[Out]# 7          12.00            Cheese  Albert Hein
#[Out]# 8           6.35        Mixed Nuts         Coop
#[Out]# 9           4.45  Hot Dog Sausages         Coop
#[Out]# 10         11.20              Beef         Coop
#[Out]# 11         10.30            Cheese         Coop
#[Out]# 12         10.15              Beef         Coop
#[Out]# 13          7.05           Lasanga         Coop
#[Out]# 14          5.10       Cashew Nuts         Coop
#[Out]# 15          9.45           Lasanga         Coop
#[Out]# 16          9.00             Pizza         Coop
#[Out]# 17          3.55              Milk         Coop
#[Out]# 18          8.85            Cheese         Coop
#[Out]# 19          9.65            Cheese         Coop
#[Out]# 20         13.60              Beef         Coop
#[Out]# 21          7.25           Lasanga         Coop
#[Out]# 22         12.80              Beef         Dirk
#[Out]# 23          8.90           Lasanga         Dirk
#[Out]# 24          5.35       Cashew Nuts         Dirk
#[Out]# 25         12.55              Beef         Dirk
#[Out]# 26         11.45              Beef         Dirk
#[Out]# 27          6.45             Pizza         Dirk
#[Out]# 28          6.95             Pizza    Hoogvliet
#[Out]# 29          5.70        Mixed Nuts    Hoogvliet
#[Out]# ..           ...               ...          ...
#[Out]# 34          8.25           Lasanga    Hoogvliet
#[Out]# 35          4.30             Fanta    Hoogvliet
#[Out]# 36          4.40       Cashew Nuts    Hoogvliet
#[Out]# 37          2.40   Spiced Biscuits        Jumbo
#[Out]# 38          9.05             Pizza        Jumbo
#[Out]# 39          8.60           Lasanga        Jumbo
#[Out]# 40          7.75           Lasanga        Jumbo
#[Out]# 41          4.40        Mixed Nuts        Jumbo
#[Out]# 42          4.00              Eggs        Jumbo
#[Out]# 43          3.15           Bananas        Jumbo
#[Out]# 44          3.30            Cheese        Jumbo
#[Out]# 45          3.85           Oranges         Lidl
#[Out]# 46          3.10            Coffee         Lidl
#[Out]# 47          2.75             Pasta         Lidl
#[Out]# 48          3.20            Donuts         Lidl
#[Out]# 49          4.35       Cashew Nuts         Lidl
#[Out]# 50          9.10             Pizza         Lidl
#[Out]# 51          3.50              Eggs         Lidl
#[Out]# 52          9.60           Lasanga         Lidl
#[Out]# 53          4.35         Mushrooms         Lidl
#[Out]# 54          2.85              Coca         Lidl
#[Out]# 55          4.85       Cashew Nuts       Sligro
#[Out]# 56         13.40              Beef       Sligro
#[Out]# 57          9.25             Pizza       Sligro
#[Out]# 58          8.70           Lasanga       Sligro
#[Out]# 59         13.80              Beef       Sligro
#[Out]# 60         13.65              Beef       Sligro
#[Out]# 61          4.50            Apples       Sligro
#[Out]# 62         10.50            Cheese       Sligro
#[Out]# 63          5.35        Mixed Nuts       Sligro
#[Out]# 
#[Out]# [64 rows x 3 columns]
query5 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p
    
    INNER JOIN store s, product prod ON p.sID = s.sID AND p.pID = prod.pID
    GROUP BY s.sName
    HAVING MAX(p.price) 
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(p.price)    pName        sName
#[Out]# 0         13.25     Beef  Albert Hein
#[Out]# 1         13.60     Beef         Coop
#[Out]# 2         12.80     Beef         Dirk
#[Out]# 3         12.30     Beef    Hoogvliet
#[Out]# 4          9.05    Pizza        Jumbo
#[Out]# 5          9.60  Lasanga         Lidl
#[Out]# 6         13.80     Beef       Sligro
query5_test2 = '''
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    MAX(p.price) pName   sName
#[Out]# 0          13.8  Beef  Sligro
query5_test2 = '''
SELECT prod.pName, s.sName
FROM product prod, store s

WHERE (
    SELECT MAX(p.price), prod.pName, s.sName
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test2, conn)
query5_test2 = '''
SELECT prod.pName, s.sName
FROM product prod, store s

WHERE (
    SELECT MAX(p.price)
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test2, conn)
query5_test2 = '''
SELECT prod.pName, s.sName
FROM product prod, store s

WHERE p.pID = prod.pID AND
        s.sID = p.sID AND 
        (
    SELECT MAX(p.price)
    FROM purchase p
'''

pd.read_sql_query(query5_test2, conn)
query5_test2 = '''
SELECT *
FROM product prod, store s

WHERE p.pID = prod.pID AND
        s.sID = p.sID AND 
        (
    SELECT MAX(p.price)
    FROM purchase p
'''

pd.read_sql_query(query5_test2, conn)
query5_test2 = '''
SELECT *
FROM product prod, store s, purchase p

WHERE p.pID = prod.pID AND
        s.sID = p2.sID AND 
        (
    SELECT MAX(p2.price)
    FROM purchase p2
'''

pd.read_sql_query(query5_test2, conn)
query5_test = '''
SELECT prod.pName, s.sName
FROM dop
    SELECT MAX(p.price), prod.pName, s.sName as dop
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test, conn)
query5_test = '''
SELECT prod.pName, s.sName
FROM dop
    SELECT MAX(p.price), prod.pName, s.sName AS dop
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID
'''

pd.read_sql_query(query5_test, conn)
query5_test = '''
SELECT prod.pName, s.sName
FROM most_exp
WHERE (
    SELECT MAX(p.price) AS most_exp
    FROM purchase p, product prod, store s
    WHERE p.pID = prod.pID AND
          s.sID = p.sID)
'''

pd.read_sql_query(query5_test, conn)
query5_test2 = '''
SELECT p.price
  FROM purchase p
  WHERE p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    price
#[Out]# 0   13.8
query5_test2 = '''
SELECT p.price, s.sID
  FROM purchase p, store s
  WHERE   p.sID = s.sID
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
query5_test2 = '''
SELECT p.price, s.sID
  FROM purchase p, store s
  WHERE   p.sID = s.sID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    price  sID
#[Out]# 0   13.8   27
query5_test2 = '''
SELECT p.price, s.sID, s.sName
  FROM purchase p, store s
  WHERE   p.sID = s.sID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    price  sID   sName
#[Out]# 0   13.8   27  Sligro
query5_test2 = '''
SELECT p.price, s.sID, s.sName, p.pID
  FROM purchase p, store s
  WHERE   p.sID = s.sID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    price  sID   sName  pID
#[Out]# 0   13.8   27  Sligro   12
query5_test2 = '''
SELECT p.price, s.sID, s.sName, p.pID, prod.pName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#    price  sID   sName  pID pName
#[Out]# 0   13.8   27  Sligro   12  Beef
query5_test2 = '''
SELECT s.sName, prod.pName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5_test2 = '''
SELECT s.sName, prod.pName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
'''

pd.read_sql_query(query5_test2, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
SELECT s.sName, prod.pName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#     sName pName
#[Out]# 0  Sligro  Beef
query5 = '''
SELECT prod.pName, s.sName, prod.pName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName pName
#[Out]# 0  Beef  Sligro  Beef
query5 = '''
SELECT prod.pName, s.sName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
    
            
           
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = '''
SELECT prod.pName, s.sName
  FROM purchase p, store s, product prod
  WHERE   p.sID = s.sID AND
          prod.pID = p.pID AND
          p.price = (SELECT MAX(p2.price) FROM purchase p2)
           
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6_t = '''
    PUT YOUR QUERY HERE
'''

pd.read_sql_query(query6_t, conn)
query6_t = '''
    SELECT *
    FROM purchase p
'''

pd.read_sql_query(query6_t, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30
#[Out]# 
#[Out]# [509 rows x 7 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i
    WHERE i.date = "2018-08-23
'''

pd.read_sql_query(query6_t, conn)
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i
    WHERE i.date = "2018-08-23" 
'''

pd.read_sql_query(query6_t, conn)
#[Out]#     sID  pID        date  quantity  unit_price
#[Out]# 0    51   10  2018-08-23        31        0.60
#[Out]# 1    57   19  2018-08-23        12        2.95
#[Out]# 2    38   23  2018-08-23        29        1.80
#[Out]# 3    35   13  2018-08-23        28        4.15
#[Out]# 4    45   13  2018-08-23        32        4.10
#[Out]# 5     5   17  2018-08-23        34        2.45
#[Out]# 6    13   15  2018-08-23        11        1.25
#[Out]# 7    50   10  2018-08-23        54        0.55
#[Out]# 8     7    1  2018-08-23        18        5.80
#[Out]# 9     2   11  2018-08-23        21        1.00
#[Out]# 10   28   27  2018-08-23        43        8.50
#[Out]# 11   35   25  2018-08-23        36        4.00
#[Out]# 12   41    1  2018-08-23        53        4.60
#[Out]# 13   56   25  2018-08-23        19        4.35
#[Out]# 14   45    4  2018-08-23        50        1.00
#[Out]# 15   19    4  2018-08-23        53        1.20
#[Out]# 16   29   17  2018-08-23         4        1.95
#[Out]# 17   11    2  2018-08-23        22        2.10
#[Out]# 18   32   28  2018-08-23        36        6.85
#[Out]# 19    6    0  2018-08-23        37        4.35
#[Out]# 20   33   11  2018-08-23        32        1.05
#[Out]# 21   35   27  2018-08-23        54        8.85
#[Out]# 22   34   10  2018-08-23         8        0.45
#[Out]# 23   42   12  2018-08-23        46       11.40
#[Out]# 24   41   14  2018-08-23         3        3.35
#[Out]# 25   33   19  2018-08-23        32        2.25
#[Out]# 26   30   22  2018-08-23        29        2.05
#[Out]# 27   50   22  2018-08-23         5        1.95
#[Out]# 28   29    0  2018-08-23        28        5.15
#[Out]# 29   47    7  2018-08-23        27        1.85
#[Out]# ..  ...  ...         ...       ...         ...
#[Out]# 38   11   16  2018-08-23         3        1.90
#[Out]# 39   21   23  2018-08-23        20        2.10
#[Out]# 40   43    7  2018-08-23        20        1.95
#[Out]# 41   40   14  2018-08-23         3        4.10
#[Out]# 42    3    3  2018-08-23        17        1.35
#[Out]# 43   16   22  2018-08-23        14        1.60
#[Out]# 44   50   14  2018-08-23        19        3.85
#[Out]# 45   40   27  2018-08-23        17        6.90
#[Out]# 46   33    8  2018-08-23        16        4.80
#[Out]# 47   44   19  2018-08-23         4        2.65
#[Out]# 48   12   15  2018-08-23         1        1.25
#[Out]# 49   11   14  2018-08-23        12        3.20
#[Out]# 50    5   16  2018-08-23         4        1.65
#[Out]# 51    1    5  2018-08-23         2        0.45
#[Out]# 52   52   28  2018-08-23         8        7.35
#[Out]# 53    5   12  2018-08-23        11       13.40
#[Out]# 54   12   13  2018-08-23        15        3.55
#[Out]# 55   35   11  2018-08-23        15        1.20
#[Out]# 56   55    1  2018-08-23         1        4.80
#[Out]# 57   54   12  2018-08-23         5       12.55
#[Out]# 58   11   15  2018-08-23        14        1.30
#[Out]# 59   35    7  2018-08-23         7        2.20
#[Out]# 60    6   15  2018-08-23         4        1.00
#[Out]# 61   37   28  2018-08-23        19        7.75
#[Out]# 62   25    8  2018-08-23         6        5.55
#[Out]# 63    9   12  2018-08-23         5       13.15
#[Out]# 64   38   24  2018-08-23        10        3.55
#[Out]# 65   56    1  2018-08-23         1        4.40
#[Out]# 66   48    6  2018-08-23        21        1.15
#[Out]# 67    4   13  2018-08-23        23        4.20
#[Out]# 
#[Out]# [68 rows x 5 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i.sID <> i2.sID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#        sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0        1    5  2018-08-23         2        0.45   55   10  2018-08-26   
#[Out]# 1        2   11  2018-08-23        21        1.00   55   10  2018-08-26   
#[Out]# 2        2   16  2018-08-23         0        2.00   55   10  2018-08-26   
#[Out]# 3        3    3  2018-08-23        17        1.35   55   10  2018-08-26   
#[Out]# 4        3   19  2018-08-23        11        2.10   55   10  2018-08-26   
#[Out]# 5        4   13  2018-08-23        23        4.20   55   10  2018-08-26   
#[Out]# 6        5   12  2018-08-23        11       13.40   55   10  2018-08-26   
#[Out]# 7        5   16  2018-08-23         4        1.65   55   10  2018-08-26   
#[Out]# 8        5   17  2018-08-23        34        2.45   55   10  2018-08-26   
#[Out]# 9        5   24  2018-08-23        32        4.10   55   10  2018-08-26   
#[Out]# 10       6    0  2018-08-23        37        4.35   55   10  2018-08-26   
#[Out]# 11       6   15  2018-08-23         4        1.00   55   10  2018-08-26   
#[Out]# 12       6   16  2018-08-23        14        1.85   55   10  2018-08-26   
#[Out]# 13       7    1  2018-08-23        18        5.80   55   10  2018-08-26   
#[Out]# 14       9   12  2018-08-23         5       13.15   55   10  2018-08-26   
#[Out]# 15      11    2  2018-08-23        22        2.10   55   10  2018-08-26   
#[Out]# 16      11   14  2018-08-23        12        3.20   55   10  2018-08-26   
#[Out]# 17      11   15  2018-08-23        14        1.30   55   10  2018-08-26   
#[Out]# 18      11   16  2018-08-23         3        1.90   55   10  2018-08-26   
#[Out]# 19      12    2  2018-08-23         3        1.70   55   10  2018-08-26   
#[Out]# 20      12   13  2018-08-23        15        3.55   55   10  2018-08-26   
#[Out]# 21      12   15  2018-08-23         1        1.25   55   10  2018-08-26   
#[Out]# 22      13   15  2018-08-23        11        1.25   55   10  2018-08-26   
#[Out]# 23      16   22  2018-08-23        14        1.60   55   10  2018-08-26   
#[Out]# 24      17   19  2018-08-23        10        2.20   55   10  2018-08-26   
#[Out]# 25      19    4  2018-08-23        53        1.20   55   10  2018-08-26   
#[Out]# 26      21   23  2018-08-23        20        2.10   55   10  2018-08-26   
#[Out]# 27      25    8  2018-08-23         6        5.55   55   10  2018-08-26   
#[Out]# 28      28   27  2018-08-23        43        8.50   55   10  2018-08-26   
#[Out]# 29      29    0  2018-08-23        28        5.15   55   10  2018-08-26   
#[Out]# ...    ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 55339   35    7  2018-08-23         7        2.20    0    0  2018-07-18   
#[Out]# 55340   35   11  2018-08-23        15        1.20    0    0  2018-07-18   
#[Out]# 55341   35   13  2018-08-23        28        4.15    0    0  2018-07-18   
#[Out]# 55342   35   25  2018-08-23        36        4.00    0    0  2018-07-18   
#[Out]# 55343   35   27  2018-08-23        54        8.85    0    0  2018-07-18   
#[Out]# 55344   37   28  2018-08-23        19        7.75    0    0  2018-07-18   
#[Out]# 55345   38   23  2018-08-23        29        1.80    0    0  2018-07-18   
#[Out]# 55346   38   24  2018-08-23        10        3.55    0    0  2018-07-18   
#[Out]# 55347   40   14  2018-08-23         3        4.10    0    0  2018-07-18   
#[Out]# 55348   40   27  2018-08-23        17        6.90    0    0  2018-07-18   
#[Out]# 55349   41    1  2018-08-23        53        4.60    0    0  2018-07-18   
#[Out]# 55350   41   14  2018-08-23         3        3.35    0    0  2018-07-18   
#[Out]# 55351   42   12  2018-08-23        46       11.40    0    0  2018-07-18   
#[Out]# 55352   43    7  2018-08-23        20        1.95    0    0  2018-07-18   
#[Out]# 55353   44   19  2018-08-23         4        2.65    0    0  2018-07-18   
#[Out]# 55354   45    4  2018-08-23        50        1.00    0    0  2018-07-18   
#[Out]# 55355   45   13  2018-08-23        32        4.10    0    0  2018-07-18   
#[Out]# 55356   47    7  2018-08-23        27        1.85    0    0  2018-07-18   
#[Out]# 55357   48    6  2018-08-23        21        1.15    0    0  2018-07-18   
#[Out]# 55358   50   10  2018-08-23        54        0.55    0    0  2018-07-18   
#[Out]# 55359   50   14  2018-08-23        19        3.85    0    0  2018-07-18   
#[Out]# 55360   50   22  2018-08-23         5        1.95    0    0  2018-07-18   
#[Out]# 55361   51   10  2018-08-23        31        0.60    0    0  2018-07-18   
#[Out]# 55362   51   22  2018-08-23        13        1.55    0    0  2018-07-18   
#[Out]# 55363   52   28  2018-08-23         8        7.35    0    0  2018-07-18   
#[Out]# 55364   54   12  2018-08-23         5       12.55    0    0  2018-07-18   
#[Out]# 55365   55    1  2018-08-23         1        4.80    0    0  2018-07-18   
#[Out]# 55366   56    1  2018-08-23         1        4.40    0    0  2018-07-18   
#[Out]# 55367   56   25  2018-08-23        19        4.35    0    0  2018-07-18   
#[Out]# 55368   57   19  2018-08-23        12        2.95    0    0  2018-07-18   
#[Out]# 
#[Out]#        quantity  unit_price  
#[Out]# 0            17        0.60  
#[Out]# 1            17        0.60  
#[Out]# 2            17        0.60  
#[Out]# 3            17        0.60  
#[Out]# 4            17        0.60  
#[Out]# 5            17        0.60  
#[Out]# 6            17        0.60  
#[Out]# 7            17        0.60  
#[Out]# 8            17        0.60  
#[Out]# 9            17        0.60  
#[Out]# 10           17        0.60  
#[Out]# 11           17        0.60  
#[Out]# 12           17        0.60  
#[Out]# 13           17        0.60  
#[Out]# 14           17        0.60  
#[Out]# 15           17        0.60  
#[Out]# 16           17        0.60  
#[Out]# 17           17        0.60  
#[Out]# 18           17        0.60  
#[Out]# 19           17        0.60  
#[Out]# 20           17        0.60  
#[Out]# 21           17        0.60  
#[Out]# 22           17        0.60  
#[Out]# 23           17        0.60  
#[Out]# 24           17        0.60  
#[Out]# 25           17        0.60  
#[Out]# 26           17        0.60  
#[Out]# 27           17        0.60  
#[Out]# 28           17        0.60  
#[Out]# 29           17        0.60  
#[Out]# ...         ...         ...  
#[Out]# 55339        15        5.95  
#[Out]# 55340        15        5.95  
#[Out]# 55341        15        5.95  
#[Out]# 55342        15        5.95  
#[Out]# 55343        15        5.95  
#[Out]# 55344        15        5.95  
#[Out]# 55345        15        5.95  
#[Out]# 55346        15        5.95  
#[Out]# 55347        15        5.95  
#[Out]# 55348        15        5.95  
#[Out]# 55349        15        5.95  
#[Out]# 55350        15        5.95  
#[Out]# 55351        15        5.95  
#[Out]# 55352        15        5.95  
#[Out]# 55353        15        5.95  
#[Out]# 55354        15        5.95  
#[Out]# 55355        15        5.95  
#[Out]# 55356        15        5.95  
#[Out]# 55357        15        5.95  
#[Out]# 55358        15        5.95  
#[Out]# 55359        15        5.95  
#[Out]# 55360        15        5.95  
#[Out]# 55361        15        5.95  
#[Out]# 55362        15        5.95  
#[Out]# 55363        15        5.95  
#[Out]# 55364        15        5.95  
#[Out]# 55365        15        5.95  
#[Out]# 55366        15        5.95  
#[Out]# 55367        15        5.95  
#[Out]# 55368        15        5.95  
#[Out]# 
#[Out]# [55369 rows x 10 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i.sID <> i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#       sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      51   10  2018-08-23        31         0.6    1   10  2018-08-17   
#[Out]# 1      51   10  2018-08-23        31         0.6    3   10  2018-08-21   
#[Out]# 2      51   10  2018-08-23        31         0.6    5   10  2018-08-20   
#[Out]# 3      51   10  2018-08-23        31         0.6    6   10  2018-08-22   
#[Out]# 4      51   10  2018-08-23        31         0.6    8   10  2018-08-27   
#[Out]# 5      51   10  2018-08-23        31         0.6    9   10  2018-08-22   
#[Out]# 6      51   10  2018-08-23        31         0.6   18   10  2018-08-26   
#[Out]# 7      51   10  2018-08-23        31         0.6   23   10  2018-08-22   
#[Out]# 8      51   10  2018-08-23        31         0.6   24   10  2018-08-26   
#[Out]# 9      51   10  2018-08-23        31         0.6   27   10  2018-08-16   
#[Out]# 10     51   10  2018-08-23        31         0.6   27   10  2018-08-20   
#[Out]# 11     51   10  2018-08-23        31         0.6   27   10  2018-08-27   
#[Out]# 12     51   10  2018-08-23        31         0.6   28   10  2018-08-16   
#[Out]# 13     51   10  2018-08-23        31         0.6   28   10  2018-08-25   
#[Out]# 14     51   10  2018-08-23        31         0.6   34   10  2018-08-22   
#[Out]# 15     51   10  2018-08-23        31         0.6   34   10  2018-08-23   
#[Out]# 16     51   10  2018-08-23        31         0.6   35   10  2018-08-21   
#[Out]# 17     51   10  2018-08-23        31         0.6   38   10  2018-08-25   
#[Out]# 18     51   10  2018-08-23        31         0.6   38   10  2018-08-27   
#[Out]# 19     51   10  2018-08-23        31         0.6   42   10  2018-08-21   
#[Out]# 20     51   10  2018-08-23        31         0.6   43   10  2018-08-27   
#[Out]# 21     51   10  2018-08-23        31         0.6   45   10  2018-08-20   
#[Out]# 22     51   10  2018-08-23        31         0.6   45   10  2018-08-22   
#[Out]# 23     51   10  2018-08-23        31         0.6   45   10  2018-08-24   
#[Out]# 24     51   10  2018-08-23        31         0.6   45   10  2018-08-26   
#[Out]# 25     51   10  2018-08-23        31         0.6   50   10  2018-08-23   
#[Out]# 26     51   10  2018-08-23        31         0.6   53   10  2018-08-24   
#[Out]# 27     51   10  2018-08-23        31         0.6   54   10  2018-08-22   
#[Out]# 28     51   10  2018-08-23        31         0.6   54   10  2018-08-24   
#[Out]# 29     51   10  2018-08-23        31         0.6   55   10  2018-08-26   
#[Out]# ...   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 1907    4   13  2018-08-23        23         4.2    9   13  2018-08-27   
#[Out]# 1908    4   13  2018-08-23        23         4.2   10   13  2018-08-15   
#[Out]# 1909    4   13  2018-08-23        23         4.2   12   13  2018-08-18   
#[Out]# 1910    4   13  2018-08-23        23         4.2   12   13  2018-08-23   
#[Out]# 1911    4   13  2018-08-23        23         4.2   13   13  2018-08-16   
#[Out]# 1912    4   13  2018-08-23        23         4.2   16   13  2018-08-22   
#[Out]# 1913    4   13  2018-08-23        23         4.2   19   13  2018-08-19   
#[Out]# 1914    4   13  2018-08-23        23         4.2   21   13  2018-08-20   
#[Out]# 1915    4   13  2018-08-23        23         4.2   26   13  2018-08-27   
#[Out]# 1916    4   13  2018-08-23        23         4.2   27   13  2018-08-25   
#[Out]# 1917    4   13  2018-08-23        23         4.2   28   13  2018-08-21   
#[Out]# 1918    4   13  2018-08-23        23         4.2   32   13  2018-08-21   
#[Out]# 1919    4   13  2018-08-23        23         4.2   34   13  2018-08-16   
#[Out]# 1920    4   13  2018-08-23        23         4.2   34   13  2018-08-26   
#[Out]# 1921    4   13  2018-08-23        23         4.2   35   13  2018-08-23   
#[Out]# 1922    4   13  2018-08-23        23         4.2   35   13  2018-08-25   
#[Out]# 1923    4   13  2018-08-23        23         4.2   36   13  2018-08-18   
#[Out]# 1924    4   13  2018-08-23        23         4.2   36   13  2018-08-26   
#[Out]# 1925    4   13  2018-08-23        23         4.2   39   13  2018-08-18   
#[Out]# 1926    4   13  2018-08-23        23         4.2   40   13  2018-08-16   
#[Out]# 1927    4   13  2018-08-23        23         4.2   44   13  2018-08-15   
#[Out]# 1928    4   13  2018-08-23        23         4.2   45   13  2018-08-23   
#[Out]# 1929    4   13  2018-08-23        23         4.2   46   13  2018-08-25   
#[Out]# 1930    4   13  2018-08-23        23         4.2   51   13  2018-08-17   
#[Out]# 1931    4   13  2018-08-23        23         4.2   53   13  2018-08-21   
#[Out]# 1932    4   13  2018-08-23        23         4.2   54   13  2018-08-21   
#[Out]# 1933    4   13  2018-08-23        23         4.2   55   13  2018-08-25   
#[Out]# 1934    4   13  2018-08-23        23         4.2   56   13  2018-08-17   
#[Out]# 1935    4   13  2018-08-23        23         4.2   57   13  2018-08-16   
#[Out]# 1936    4   13  2018-08-23        23         4.2   59   13  2018-08-20   
#[Out]# 
#[Out]#       quantity  unit_price  
#[Out]# 0           29        0.45  
#[Out]# 1           13        0.45  
#[Out]# 2           11        0.50  
#[Out]# 3           20        0.55  
#[Out]# 4           26        0.50  
#[Out]# 5            3        0.50  
#[Out]# 6           16        0.50  
#[Out]# 7           52        0.55  
#[Out]# 8           19        0.55  
#[Out]# 9           16        0.55  
#[Out]# 10           7        0.55  
#[Out]# 11          19        0.45  
#[Out]# 12          15        0.40  
#[Out]# 13           7        0.40  
#[Out]# 14          31        0.40  
#[Out]# 15           8        0.45  
#[Out]# 16          51        0.55  
#[Out]# 17           9        0.60  
#[Out]# 18          33        0.50  
#[Out]# 19           3        0.55  
#[Out]# 20          12        0.50  
#[Out]# 21           6        0.60  
#[Out]# 22          21        0.45  
#[Out]# 23          11        0.45  
#[Out]# 24          54        0.50  
#[Out]# 25          54        0.55  
#[Out]# 26          32        0.45  
#[Out]# 27           4        0.50  
#[Out]# 28          16        0.55  
#[Out]# 29          17        0.60  
#[Out]# ...        ...         ...  
#[Out]# 1907         3        3.85  
#[Out]# 1908         5        2.90  
#[Out]# 1909        33        3.00  
#[Out]# 1910        15        3.55  
#[Out]# 1911        17        3.30  
#[Out]# 1912         7        3.40  
#[Out]# 1913        20        3.65  
#[Out]# 1914        21        3.45  
#[Out]# 1915         7        3.50  
#[Out]# 1916         2        4.00  
#[Out]# 1917        19        3.25  
#[Out]# 1918        18        4.05  
#[Out]# 1919        10        3.55  
#[Out]# 1920         3        4.05  
#[Out]# 1921        28        4.15  
#[Out]# 1922        13        3.10  
#[Out]# 1923         9        2.90  
#[Out]# 1924        21        3.05  
#[Out]# 1925        51        3.30  
#[Out]# 1926         6        2.90  
#[Out]# 1927         9        3.60  
#[Out]# 1928        32        4.10  
#[Out]# 1929        10        3.50  
#[Out]# 1930         6        3.70  
#[Out]# 1931         3        3.35  
#[Out]# 1932         0        3.45  
#[Out]# 1933         1        3.85  
#[Out]# 1934         2        4.15  
#[Out]# 1935        48        3.60  
#[Out]# 1936         1        4.00  
#[Out]# 
#[Out]# [1937 rows x 10 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#      sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0     51   10  2018-08-23        31        0.60   53   10  2018-08-24   
#[Out]# 1     51   10  2018-08-23        31        0.60   54   10  2018-08-22   
#[Out]# 2     51   10  2018-08-23        31        0.60   54   10  2018-08-24   
#[Out]# 3     51   10  2018-08-23        31        0.60   55   10  2018-08-26   
#[Out]# 4     51   10  2018-08-23        31        0.60   56   10  2018-08-22   
#[Out]# 5     51   10  2018-08-23        31        0.60   56   10  2018-08-27   
#[Out]# 6     57   19  2018-08-23        12        2.95   60   19  2018-07-10   
#[Out]# 7     38   23  2018-08-23        29        1.80   44   23  2018-08-19   
#[Out]# 8     38   23  2018-08-23        29        1.80   44   23  2018-08-22   
#[Out]# 9     38   23  2018-08-23        29        1.80   47   23  2018-08-19   
#[Out]# 10    38   23  2018-08-23        29        1.80   53   23  2018-08-28   
#[Out]# 11    35   13  2018-08-23        28        4.15   36   13  2018-08-18   
#[Out]# 12    35   13  2018-08-23        28        4.15   36   13  2018-08-26   
#[Out]# 13    35   13  2018-08-23        28        4.15   39   13  2018-08-18   
#[Out]# 14    35   13  2018-08-23        28        4.15   40   13  2018-08-16   
#[Out]# 15    35   13  2018-08-23        28        4.15   44   13  2018-08-15   
#[Out]# 16    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 17    35   13  2018-08-23        28        4.15   46   13  2018-08-25   
#[Out]# 18    35   13  2018-08-23        28        4.15   51   13  2018-08-17   
#[Out]# 19    35   13  2018-08-23        28        4.15   53   13  2018-08-21   
#[Out]# 20    35   13  2018-08-23        28        4.15   54   13  2018-08-21   
#[Out]# 21    35   13  2018-08-23        28        4.15   55   13  2018-08-25   
#[Out]# 22    35   13  2018-08-23        28        4.15   56   13  2018-08-17   
#[Out]# 23    35   13  2018-08-23        28        4.15   57   13  2018-08-16   
#[Out]# 24    35   13  2018-08-23        28        4.15   59   13  2018-08-20   
#[Out]# 25    45   13  2018-08-23        32        4.10   46   13  2018-08-25   
#[Out]# 26    45   13  2018-08-23        32        4.10   51   13  2018-08-17   
#[Out]# 27    45   13  2018-08-23        32        4.10   53   13  2018-08-21   
#[Out]# 28    45   13  2018-08-23        32        4.10   54   13  2018-08-21   
#[Out]# 29    45   13  2018-08-23        32        4.10   55   13  2018-08-25   
#[Out]# ..   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 969    4   13  2018-08-23        23        4.20    9   13  2018-08-27   
#[Out]# 970    4   13  2018-08-23        23        4.20   10   13  2018-08-15   
#[Out]# 971    4   13  2018-08-23        23        4.20   12   13  2018-08-18   
#[Out]# 972    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 973    4   13  2018-08-23        23        4.20   13   13  2018-08-16   
#[Out]# 974    4   13  2018-08-23        23        4.20   16   13  2018-08-22   
#[Out]# 975    4   13  2018-08-23        23        4.20   19   13  2018-08-19   
#[Out]# 976    4   13  2018-08-23        23        4.20   21   13  2018-08-20   
#[Out]# 977    4   13  2018-08-23        23        4.20   26   13  2018-08-27   
#[Out]# 978    4   13  2018-08-23        23        4.20   27   13  2018-08-25   
#[Out]# 979    4   13  2018-08-23        23        4.20   28   13  2018-08-21   
#[Out]# 980    4   13  2018-08-23        23        4.20   32   13  2018-08-21   
#[Out]# 981    4   13  2018-08-23        23        4.20   34   13  2018-08-16   
#[Out]# 982    4   13  2018-08-23        23        4.20   34   13  2018-08-26   
#[Out]# 983    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 984    4   13  2018-08-23        23        4.20   35   13  2018-08-25   
#[Out]# 985    4   13  2018-08-23        23        4.20   36   13  2018-08-18   
#[Out]# 986    4   13  2018-08-23        23        4.20   36   13  2018-08-26   
#[Out]# 987    4   13  2018-08-23        23        4.20   39   13  2018-08-18   
#[Out]# 988    4   13  2018-08-23        23        4.20   40   13  2018-08-16   
#[Out]# 989    4   13  2018-08-23        23        4.20   44   13  2018-08-15   
#[Out]# 990    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 991    4   13  2018-08-23        23        4.20   46   13  2018-08-25   
#[Out]# 992    4   13  2018-08-23        23        4.20   51   13  2018-08-17   
#[Out]# 993    4   13  2018-08-23        23        4.20   53   13  2018-08-21   
#[Out]# 994    4   13  2018-08-23        23        4.20   54   13  2018-08-21   
#[Out]# 995    4   13  2018-08-23        23        4.20   55   13  2018-08-25   
#[Out]# 996    4   13  2018-08-23        23        4.20   56   13  2018-08-17   
#[Out]# 997    4   13  2018-08-23        23        4.20   57   13  2018-08-16   
#[Out]# 998    4   13  2018-08-23        23        4.20   59   13  2018-08-20   
#[Out]# 
#[Out]#      quantity  unit_price  
#[Out]# 0          32        0.45  
#[Out]# 1           4        0.50  
#[Out]# 2          16        0.55  
#[Out]# 3          17        0.60  
#[Out]# 4          53        0.50  
#[Out]# 5           1        0.60  
#[Out]# 6         525        1.75  
#[Out]# 7          27        2.60  
#[Out]# 8           1        2.40  
#[Out]# 9           6        2.55  
#[Out]# 10          9        1.85  
#[Out]# 11          9        2.90  
#[Out]# 12         21        3.05  
#[Out]# 13         51        3.30  
#[Out]# 14          6        2.90  
#[Out]# 15          9        3.60  
#[Out]# 16         32        4.10  
#[Out]# 17         10        3.50  
#[Out]# 18          6        3.70  
#[Out]# 19          3        3.35  
#[Out]# 20          0        3.45  
#[Out]# 21          1        3.85  
#[Out]# 22          2        4.15  
#[Out]# 23         48        3.60  
#[Out]# 24          1        4.00  
#[Out]# 25         10        3.50  
#[Out]# 26          6        3.70  
#[Out]# 27          3        3.35  
#[Out]# 28          0        3.45  
#[Out]# 29          1        3.85  
#[Out]# ..        ...         ...  
#[Out]# 969         3        3.85  
#[Out]# 970         5        2.90  
#[Out]# 971        33        3.00  
#[Out]# 972        15        3.55  
#[Out]# 973        17        3.30  
#[Out]# 974         7        3.40  
#[Out]# 975        20        3.65  
#[Out]# 976        21        3.45  
#[Out]# 977         7        3.50  
#[Out]# 978         2        4.00  
#[Out]# 979        19        3.25  
#[Out]# 980        18        4.05  
#[Out]# 981        10        3.55  
#[Out]# 982         3        4.05  
#[Out]# 983        28        4.15  
#[Out]# 984        13        3.10  
#[Out]# 985         9        2.90  
#[Out]# 986        21        3.05  
#[Out]# 987        51        3.30  
#[Out]# 988         6        2.90  
#[Out]# 989         9        3.60  
#[Out]# 990        32        4.10  
#[Out]# 991        10        3.50  
#[Out]# 992         6        3.70  
#[Out]# 993         3        3.35  
#[Out]# 994         0        3.45  
#[Out]# 995         1        3.85  
#[Out]# 996         2        4.15  
#[Out]# 997        48        3.60  
#[Out]# 998         1        4.00  
#[Out]# 
#[Out]# [999 rows x 10 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT *
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#     sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0    35   13  2018-08-23        28        4.15   45   13  2018-08-23   
#[Out]# 1     5   17  2018-08-23        34        2.45   29   17  2018-08-23   
#[Out]# 2    50   10  2018-08-23        54        0.55   51   10  2018-08-23   
#[Out]# 3     7    1  2018-08-23        18        5.80   41    1  2018-08-23   
#[Out]# 4     7    1  2018-08-23        18        5.80   55    1  2018-08-23   
#[Out]# 5     7    1  2018-08-23        18        5.80   56    1  2018-08-23   
#[Out]# 6     2   11  2018-08-23        21        1.00   33   11  2018-08-23   
#[Out]# 7     2   11  2018-08-23        21        1.00   35   11  2018-08-23   
#[Out]# 8    28   27  2018-08-23        43        8.50   35   27  2018-08-23   
#[Out]# 9    28   27  2018-08-23        43        8.50   40   27  2018-08-23   
#[Out]# 10   35   25  2018-08-23        36        4.00   56   25  2018-08-23   
#[Out]# 11   41    1  2018-08-23        53        4.60   55    1  2018-08-23   
#[Out]# 12   41    1  2018-08-23        53        4.60   56    1  2018-08-23   
#[Out]# 13   19    4  2018-08-23        53        1.20   45    4  2018-08-23   
#[Out]# 14   11    2  2018-08-23        22        2.10   12    2  2018-08-23   
#[Out]# 15   32   28  2018-08-23        36        6.85   37   28  2018-08-23   
#[Out]# 16   32   28  2018-08-23        36        6.85   52   28  2018-08-23   
#[Out]# 17    6    0  2018-08-23        37        4.35   29    0  2018-08-23   
#[Out]# 18    6    0  2018-08-23        37        4.35   31    0  2018-08-23   
#[Out]# 19   33   11  2018-08-23        32        1.05   35   11  2018-08-23   
#[Out]# 20   35   27  2018-08-23        54        8.85   40   27  2018-08-23   
#[Out]# 21   34   10  2018-08-23         8        0.45   50   10  2018-08-23   
#[Out]# 22   34   10  2018-08-23         8        0.45   51   10  2018-08-23   
#[Out]# 23   42   12  2018-08-23        46       11.40   54   12  2018-08-23   
#[Out]# 24   41   14  2018-08-23         3        3.35   50   14  2018-08-23   
#[Out]# 25   33   19  2018-08-23        32        2.25   44   19  2018-08-23   
#[Out]# 26   33   19  2018-08-23        32        2.25   57   19  2018-08-23   
#[Out]# 27   30   22  2018-08-23        29        2.05   50   22  2018-08-23   
#[Out]# 28   30   22  2018-08-23        29        2.05   51   22  2018-08-23   
#[Out]# 29   50   22  2018-08-23         5        1.95   51   22  2018-08-23   
#[Out]# ..  ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 47   16   22  2018-08-23        14        1.60   30   22  2018-08-23   
#[Out]# 48   16   22  2018-08-23        14        1.60   50   22  2018-08-23   
#[Out]# 49   16   22  2018-08-23        14        1.60   51   22  2018-08-23   
#[Out]# 50   44   19  2018-08-23         4        2.65   57   19  2018-08-23   
#[Out]# 51   12   15  2018-08-23         1        1.25   13   15  2018-08-23   
#[Out]# 52   11   14  2018-08-23        12        3.20   40   14  2018-08-23   
#[Out]# 53   11   14  2018-08-23        12        3.20   41   14  2018-08-23   
#[Out]# 54   11   14  2018-08-23        12        3.20   50   14  2018-08-23   
#[Out]# 55    5   16  2018-08-23         4        1.65    6   16  2018-08-23   
#[Out]# 56    5   16  2018-08-23         4        1.65   11   16  2018-08-23   
#[Out]# 57    5   12  2018-08-23        11       13.40    9   12  2018-08-23   
#[Out]# 58    5   12  2018-08-23        11       13.40   42   12  2018-08-23   
#[Out]# 59    5   12  2018-08-23        11       13.40   54   12  2018-08-23   
#[Out]# 60   12   13  2018-08-23        15        3.55   35   13  2018-08-23   
#[Out]# 61   12   13  2018-08-23        15        3.55   45   13  2018-08-23   
#[Out]# 62   55    1  2018-08-23         1        4.80   56    1  2018-08-23   
#[Out]# 63   11   15  2018-08-23        14        1.30   12   15  2018-08-23   
#[Out]# 64   11   15  2018-08-23        14        1.30   13   15  2018-08-23   
#[Out]# 65   35    7  2018-08-23         7        2.20   43    7  2018-08-23   
#[Out]# 66   35    7  2018-08-23         7        2.20   47    7  2018-08-23   
#[Out]# 67    6   15  2018-08-23         4        1.00   11   15  2018-08-23   
#[Out]# 68    6   15  2018-08-23         4        1.00   12   15  2018-08-23   
#[Out]# 69    6   15  2018-08-23         4        1.00   13   15  2018-08-23   
#[Out]# 70   37   28  2018-08-23        19        7.75   52   28  2018-08-23   
#[Out]# 71   25    8  2018-08-23         6        5.55   33    8  2018-08-23   
#[Out]# 72    9   12  2018-08-23         5       13.15   42   12  2018-08-23   
#[Out]# 73    9   12  2018-08-23         5       13.15   54   12  2018-08-23   
#[Out]# 74    4   13  2018-08-23        23        4.20   12   13  2018-08-23   
#[Out]# 75    4   13  2018-08-23        23        4.20   35   13  2018-08-23   
#[Out]# 76    4   13  2018-08-23        23        4.20   45   13  2018-08-23   
#[Out]# 
#[Out]#     quantity  unit_price  
#[Out]# 0         32        4.10  
#[Out]# 1          4        1.95  
#[Out]# 2         31        0.60  
#[Out]# 3         53        4.60  
#[Out]# 4          1        4.80  
#[Out]# 5          1        4.40  
#[Out]# 6         32        1.05  
#[Out]# 7         15        1.20  
#[Out]# 8         54        8.85  
#[Out]# 9         17        6.90  
#[Out]# 10        19        4.35  
#[Out]# 11         1        4.80  
#[Out]# 12         1        4.40  
#[Out]# 13        50        1.00  
#[Out]# 14         3        1.70  
#[Out]# 15        19        7.75  
#[Out]# 16         8        7.35  
#[Out]# 17        28        5.15  
#[Out]# 18        25        4.60  
#[Out]# 19        15        1.20  
#[Out]# 20        17        6.90  
#[Out]# 21        54        0.55  
#[Out]# 22        31        0.60  
#[Out]# 23         5       12.55  
#[Out]# 24        19        3.85  
#[Out]# 25         4        2.65  
#[Out]# 26        12        2.95  
#[Out]# 27         5        1.95  
#[Out]# 28        13        1.55  
#[Out]# 29        13        1.55  
#[Out]# ..       ...         ...  
#[Out]# 47        29        2.05  
#[Out]# 48         5        1.95  
#[Out]# 49        13        1.55  
#[Out]# 50        12        2.95  
#[Out]# 51        11        1.25  
#[Out]# 52         3        4.10  
#[Out]# 53         3        3.35  
#[Out]# 54        19        3.85  
#[Out]# 55        14        1.85  
#[Out]# 56         3        1.90  
#[Out]# 57         5       13.15  
#[Out]# 58        46       11.40  
#[Out]# 59         5       12.55  
#[Out]# 60        28        4.15  
#[Out]# 61        32        4.10  
#[Out]# 62         1        4.40  
#[Out]# 63         1        1.25  
#[Out]# 64        11        1.25  
#[Out]# 65        20        1.95  
#[Out]# 66        27        1.85  
#[Out]# 67        14        1.30  
#[Out]# 68         1        1.25  
#[Out]# 69        11        1.25  
#[Out]# 70         8        7.35  
#[Out]# 71        16        4.80  
#[Out]# 72        46       11.40  
#[Out]# 73         5       12.55  
#[Out]# 74        15        3.55  
#[Out]# 75        28        4.15  
#[Out]# 76        32        4.10  
#[Out]# 
#[Out]# [77 rows x 10 columns]
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price)
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#    MAX(i.unit_price - i2.unit_price)
#[Out]# 0                                2.0
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price) AS largest difference
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price) AS largest_difference
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#    largest_difference
#[Out]# 0                 2.0
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price) 
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#    MAX(i.unit_price - i2.unit_price)
#[Out]# 0                                2.0
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price), i.pID 
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#    MAX(i.unit_price - i2.unit_price)  pID
#[Out]# 0                                2.0   12
'''Find the largest difference in price for a product in stock 
(i.e., in the inventory of a store) on ‘2018-08-23’
between two different stores.
'''

query6_t = '''
    SELECT MAX(i.unit_price - i2.unit_price), i.pID, i.sID, i2.sID
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
    
'''

pd.read_sql_query(query6_t, conn)
#[Out]#    MAX(i.unit_price - i2.unit_price)  pID  sID  sID
#[Out]# 0                                2.0   12    5   42
query6 = '''
    SELECT MAX(i.unit_price - i2.unit_price)
    FROM inventory i, inventory i2
    WHERE   i.date = "2018-08-23" AND
            i2.date = "2018-08-23" AND
            i.sID < i2.sID AND
            i.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i.unit_price - i2.unit_price)
#[Out]# 0                                2.0

# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x235de8e9c00>
query1 = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
        SELECT p1.pID, p2.pID, p3.pID
        FROM purchase p1, purchase p2, purchase p3
        WHERE p1.cID <> p2.cID AND p1.cID <> p3.cID AND p2.cID <> p3.cID
        )

'''

pd.read_sql_query(query1, conn)
query1 = '''
    SELECT p.pID
    FROM purchase p
    WHERE p.pID NOT IN (
        SELECT p1.pID
        FROM purchase p1, purchase p2, purchase p3
        WHERE p1.cID <> p2.cID AND p1.cID <> p3.cID AND p2.cID <> p3.cID
        )

'''

pd.read_sql_query(query1, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pID]
#[Out]# Index: []
query_test = '''
    SELECT p1.pID
    FROM purchase p1, purchase p2
    WHERE p1.pID == p2.pID AND
          p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
#[Out]#       pID
#[Out]# 0      10
#[Out]# 1      10
#[Out]# 2      10
#[Out]# 3      10
#[Out]# 4      10
#[Out]# 5      10
#[Out]# 6      10
#[Out]# 7      10
#[Out]# 8      10
#[Out]# 9      10
#[Out]# 10     10
#[Out]# 11     10
#[Out]# 12     10
#[Out]# 13     10
#[Out]# 14     10
#[Out]# 15     14
#[Out]# 16     14
#[Out]# 17     14
#[Out]# 18     14
#[Out]# 19     14
#[Out]# 20     14
#[Out]# 21     14
#[Out]# 22     14
#[Out]# 23     14
#[Out]# 24     14
#[Out]# 25     14
#[Out]# 26     14
#[Out]# 27     14
#[Out]# 28     14
#[Out]# 29     14
#[Out]# ...   ...
#[Out]# 8594   19
#[Out]# 8595   19
#[Out]# 8596   19
#[Out]# 8597   19
#[Out]# 8598    9
#[Out]# 8599    9
#[Out]# 8600    9
#[Out]# 8601    9
#[Out]# 8602    9
#[Out]# 8603    9
#[Out]# 8604    9
#[Out]# 8605    9
#[Out]# 8606    9
#[Out]# 8607    9
#[Out]# 8608    9
#[Out]# 8609    9
#[Out]# 8610    9
#[Out]# 8611    9
#[Out]# 8612    9
#[Out]# 8613    9
#[Out]# 8614    9
#[Out]# 8615   18
#[Out]# 8616   18
#[Out]# 8617   18
#[Out]# 8618   18
#[Out]# 8619   18
#[Out]# 8620   18
#[Out]# 8621   18
#[Out]# 8622   18
#[Out]# 8623   18
#[Out]# 
#[Out]# [8624 rows x 1 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p1.cID, p2.cID
    FROM purchase p1, purchase p2
    WHERE p1.pID == p2.pID AND
          p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
#[Out]#       pID  pID  cID  cID
#[Out]# 0      10   10    0   13
#[Out]# 1      10   10    0   22
#[Out]# 2      10   10    0   24
#[Out]# 3      10   10    0   72
#[Out]# 4      10   10    0   82
#[Out]# 5      10   10    0  100
#[Out]# 6      10   10    0  124
#[Out]# 7      10   10    0  163
#[Out]# 8      10   10    0  165
#[Out]# 9      10   10    0  169
#[Out]# 10     10   10    0  179
#[Out]# 11     10   10    0  180
#[Out]# 12     10   10    0  190
#[Out]# 13     10   10    0  190
#[Out]# 14     10   10    0  190
#[Out]# 15     14   14    1    3
#[Out]# 16     14   14    1    5
#[Out]# 17     14   14    1   11
#[Out]# 18     14   14    1   17
#[Out]# 19     14   14    1   27
#[Out]# 20     14   14    1   40
#[Out]# 21     14   14    1   43
#[Out]# 22     14   14    1   59
#[Out]# 23     14   14    1   71
#[Out]# 24     14   14    1   75
#[Out]# 25     14   14    1   82
#[Out]# 26     14   14    1   88
#[Out]# 27     14   14    1   92
#[Out]# 28     14   14    1  108
#[Out]# 29     14   14    1  161
#[Out]# ...   ...  ...  ...  ...
#[Out]# 8594   19   19  190  152
#[Out]# 8595   19   19  190  161
#[Out]# 8596   19   19  190  167
#[Out]# 8597   19   19  190  189
#[Out]# 8598    9    9  190    1
#[Out]# 8599    9    9  190    2
#[Out]# 8600    9    9  190    3
#[Out]# 8601    9    9  190   13
#[Out]# 8602    9    9  190   18
#[Out]# 8603    9    9  190   33
#[Out]# 8604    9    9  190   58
#[Out]# 8605    9    9  190   59
#[Out]# 8606    9    9  190   64
#[Out]# 8607    9    9  190   66
#[Out]# 8608    9    9  190   82
#[Out]# 8609    9    9  190   90
#[Out]# 8610    9    9  190  109
#[Out]# 8611    9    9  190  124
#[Out]# 8612    9    9  190  145
#[Out]# 8613    9    9  190  151
#[Out]# 8614    9    9  190  165
#[Out]# 8615   18   18  190   24
#[Out]# 8616   18   18  190   39
#[Out]# 8617   18   18  190   51
#[Out]# 8618   18   18  190   71
#[Out]# 8619   18   18  190   82
#[Out]# 8620   18   18  190  123
#[Out]# 8621   18   18  190  162
#[Out]# 8622   18   18  190  177
#[Out]# 8623   18   18  190  182
#[Out]# 
#[Out]# [8624 rows x 4 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p1.cID, p2.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
#[Out]#         pID  pID  cID  cID
#[Out]# 0        10   10    0   13
#[Out]# 1        10   10    0   13
#[Out]# 2        10   10    0   13
#[Out]# 3        10   10    0   13
#[Out]# 4        10   10    0   13
#[Out]# 5        10   10    0   13
#[Out]# 6        10   10    0   13
#[Out]# 7        10   10    0   13
#[Out]# 8        10   10    0   13
#[Out]# 9        10   10    0   13
#[Out]# 10       10   10    0   13
#[Out]# 11       10   10    0   13
#[Out]# 12       10   10    0   13
#[Out]# 13       10   10    0   13
#[Out]# 14       10   10    0   13
#[Out]# 15       10   10    0   13
#[Out]# 16       10   10    0   22
#[Out]# 17       10   10    0   22
#[Out]# 18       10   10    0   22
#[Out]# 19       10   10    0   22
#[Out]# 20       10   10    0   22
#[Out]# 21       10   10    0   22
#[Out]# 22       10   10    0   22
#[Out]# 23       10   10    0   22
#[Out]# 24       10   10    0   22
#[Out]# 25       10   10    0   22
#[Out]# 26       10   10    0   22
#[Out]# 27       10   10    0   22
#[Out]# 28       10   10    0   22
#[Out]# 29       10   10    0   22
#[Out]# ...     ...  ...  ...  ...
#[Out]# 166920   18   18  190  162
#[Out]# 166921   18   18  190  162
#[Out]# 166922   18   18  190  162
#[Out]# 166923   18   18  190  162
#[Out]# 166924   18   18  190  162
#[Out]# 166925   18   18  190  162
#[Out]# 166926   18   18  190  162
#[Out]# 166927   18   18  190  162
#[Out]# 166928   18   18  190  162
#[Out]# 166929   18   18  190  162
#[Out]# 166930   18   18  190  177
#[Out]# 166931   18   18  190  177
#[Out]# 166932   18   18  190  177
#[Out]# 166933   18   18  190  177
#[Out]# 166934   18   18  190  177
#[Out]# 166935   18   18  190  177
#[Out]# 166936   18   18  190  177
#[Out]# 166937   18   18  190  177
#[Out]# 166938   18   18  190  177
#[Out]# 166939   18   18  190  177
#[Out]# 166940   18   18  190  182
#[Out]# 166941   18   18  190  182
#[Out]# 166942   18   18  190  182
#[Out]# 166943   18   18  190  182
#[Out]# 166944   18   18  190  182
#[Out]# 166945   18   18  190  182
#[Out]# 166946   18   18  190  182
#[Out]# 166947   18   18  190  182
#[Out]# 166948   18   18  190  182
#[Out]# 166949   18   18  190  182
#[Out]# 
#[Out]# [166950 rows x 4 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p3.pID p1.cID, p2.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
query_test = '''
    SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
#[Out]#         pID  pID  pID  cID  cID
#[Out]# 0        10   10   10    0   13
#[Out]# 1        10   10   10    0   13
#[Out]# 2        10   10   10    0   13
#[Out]# 3        10   10   10    0   13
#[Out]# 4        10   10   10    0   13
#[Out]# 5        10   10   10    0   13
#[Out]# 6        10   10   10    0   13
#[Out]# 7        10   10   10    0   13
#[Out]# 8        10   10   10    0   13
#[Out]# 9        10   10   10    0   13
#[Out]# 10       10   10   10    0   13
#[Out]# 11       10   10   10    0   13
#[Out]# 12       10   10   10    0   13
#[Out]# 13       10   10   10    0   13
#[Out]# 14       10   10   10    0   13
#[Out]# 15       10   10   10    0   13
#[Out]# 16       10   10   10    0   22
#[Out]# 17       10   10   10    0   22
#[Out]# 18       10   10   10    0   22
#[Out]# 19       10   10   10    0   22
#[Out]# 20       10   10   10    0   22
#[Out]# 21       10   10   10    0   22
#[Out]# 22       10   10   10    0   22
#[Out]# 23       10   10   10    0   22
#[Out]# 24       10   10   10    0   22
#[Out]# 25       10   10   10    0   22
#[Out]# 26       10   10   10    0   22
#[Out]# 27       10   10   10    0   22
#[Out]# 28       10   10   10    0   22
#[Out]# 29       10   10   10    0   22
#[Out]# ...     ...  ...  ...  ...  ...
#[Out]# 166920   18   18   18  190  162
#[Out]# 166921   18   18   18  190  162
#[Out]# 166922   18   18   18  190  162
#[Out]# 166923   18   18   18  190  162
#[Out]# 166924   18   18   18  190  162
#[Out]# 166925   18   18   18  190  162
#[Out]# 166926   18   18   18  190  162
#[Out]# 166927   18   18   18  190  162
#[Out]# 166928   18   18   18  190  162
#[Out]# 166929   18   18   18  190  162
#[Out]# 166930   18   18   18  190  177
#[Out]# 166931   18   18   18  190  177
#[Out]# 166932   18   18   18  190  177
#[Out]# 166933   18   18   18  190  177
#[Out]# 166934   18   18   18  190  177
#[Out]# 166935   18   18   18  190  177
#[Out]# 166936   18   18   18  190  177
#[Out]# 166937   18   18   18  190  177
#[Out]# 166938   18   18   18  190  177
#[Out]# 166939   18   18   18  190  177
#[Out]# 166940   18   18   18  190  182
#[Out]# 166941   18   18   18  190  182
#[Out]# 166942   18   18   18  190  182
#[Out]# 166943   18   18   18  190  182
#[Out]# 166944   18   18   18  190  182
#[Out]# 166945   18   18   18  190  182
#[Out]# 166946   18   18   18  190  182
#[Out]# 166947   18   18   18  190  182
#[Out]# 166948   18   18   18  190  182
#[Out]# 166949   18   18   18  190  182
#[Out]# 
#[Out]# [166950 rows x 5 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID <> p2.cID  


'''

pd.read_sql_query(query_test, conn)
#[Out]#         pID  pID  pID  cID  cID  cID
#[Out]# 0        10   10   10    0   13    0
#[Out]# 1        10   10   10    0   13   13
#[Out]# 2        10   10   10    0   13   22
#[Out]# 3        10   10   10    0   13   24
#[Out]# 4        10   10   10    0   13   72
#[Out]# 5        10   10   10    0   13   82
#[Out]# 6        10   10   10    0   13  100
#[Out]# 7        10   10   10    0   13  124
#[Out]# 8        10   10   10    0   13  163
#[Out]# 9        10   10   10    0   13  165
#[Out]# 10       10   10   10    0   13  169
#[Out]# 11       10   10   10    0   13  179
#[Out]# 12       10   10   10    0   13  180
#[Out]# 13       10   10   10    0   13  190
#[Out]# 14       10   10   10    0   13  190
#[Out]# 15       10   10   10    0   13  190
#[Out]# 16       10   10   10    0   22    0
#[Out]# 17       10   10   10    0   22   13
#[Out]# 18       10   10   10    0   22   22
#[Out]# 19       10   10   10    0   22   24
#[Out]# 20       10   10   10    0   22   72
#[Out]# 21       10   10   10    0   22   82
#[Out]# 22       10   10   10    0   22  100
#[Out]# 23       10   10   10    0   22  124
#[Out]# 24       10   10   10    0   22  163
#[Out]# 25       10   10   10    0   22  165
#[Out]# 26       10   10   10    0   22  169
#[Out]# 27       10   10   10    0   22  179
#[Out]# 28       10   10   10    0   22  180
#[Out]# 29       10   10   10    0   22  190
#[Out]# ...     ...  ...  ...  ...  ...  ...
#[Out]# 166920   18   18   18  190  162   24
#[Out]# 166921   18   18   18  190  162   39
#[Out]# 166922   18   18   18  190  162   51
#[Out]# 166923   18   18   18  190  162   71
#[Out]# 166924   18   18   18  190  162   82
#[Out]# 166925   18   18   18  190  162  123
#[Out]# 166926   18   18   18  190  162  162
#[Out]# 166927   18   18   18  190  162  177
#[Out]# 166928   18   18   18  190  162  182
#[Out]# 166929   18   18   18  190  162  190
#[Out]# 166930   18   18   18  190  177   24
#[Out]# 166931   18   18   18  190  177   39
#[Out]# 166932   18   18   18  190  177   51
#[Out]# 166933   18   18   18  190  177   71
#[Out]# 166934   18   18   18  190  177   82
#[Out]# 166935   18   18   18  190  177  123
#[Out]# 166936   18   18   18  190  177  162
#[Out]# 166937   18   18   18  190  177  177
#[Out]# 166938   18   18   18  190  177  182
#[Out]# 166939   18   18   18  190  177  190
#[Out]# 166940   18   18   18  190  182   24
#[Out]# 166941   18   18   18  190  182   39
#[Out]# 166942   18   18   18  190  182   51
#[Out]# 166943   18   18   18  190  182   71
#[Out]# 166944   18   18   18  190  182   82
#[Out]# 166945   18   18   18  190  182  123
#[Out]# 166946   18   18   18  190  182  162
#[Out]# 166947   18   18   18  190  182  177
#[Out]# 166948   18   18   18  190  182  182
#[Out]# 166949   18   18   18  190  182  190
#[Out]# 
#[Out]# [166950 rows x 6 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID <> p2.cID AND
            p1.cID <> p3.cID AND
            p2.cID <> p3.cID


'''

pd.read_sql_query(query_test, conn)
#[Out]#         pID  pID  pID  cID  cID  cID
#[Out]# 0        10   10   10    0   13   22
#[Out]# 1        10   10   10    0   13   24
#[Out]# 2        10   10   10    0   13   72
#[Out]# 3        10   10   10    0   13   82
#[Out]# 4        10   10   10    0   13  100
#[Out]# 5        10   10   10    0   13  124
#[Out]# 6        10   10   10    0   13  163
#[Out]# 7        10   10   10    0   13  165
#[Out]# 8        10   10   10    0   13  169
#[Out]# 9        10   10   10    0   13  179
#[Out]# 10       10   10   10    0   13  180
#[Out]# 11       10   10   10    0   13  190
#[Out]# 12       10   10   10    0   13  190
#[Out]# 13       10   10   10    0   13  190
#[Out]# 14       10   10   10    0   22   13
#[Out]# 15       10   10   10    0   22   24
#[Out]# 16       10   10   10    0   22   72
#[Out]# 17       10   10   10    0   22   82
#[Out]# 18       10   10   10    0   22  100
#[Out]# 19       10   10   10    0   22  124
#[Out]# 20       10   10   10    0   22  163
#[Out]# 21       10   10   10    0   22  165
#[Out]# 22       10   10   10    0   22  169
#[Out]# 23       10   10   10    0   22  179
#[Out]# 24       10   10   10    0   22  180
#[Out]# 25       10   10   10    0   22  190
#[Out]# 26       10   10   10    0   22  190
#[Out]# 27       10   10   10    0   22  190
#[Out]# 28       10   10   10    0   24   13
#[Out]# 29       10   10   10    0   24   22
#[Out]# ...     ...  ...  ...  ...  ...  ...
#[Out]# 144588   18   18   18  190  123   51
#[Out]# 144589   18   18   18  190  123   71
#[Out]# 144590   18   18   18  190  123   82
#[Out]# 144591   18   18   18  190  123  162
#[Out]# 144592   18   18   18  190  123  177
#[Out]# 144593   18   18   18  190  123  182
#[Out]# 144594   18   18   18  190  162   24
#[Out]# 144595   18   18   18  190  162   39
#[Out]# 144596   18   18   18  190  162   51
#[Out]# 144597   18   18   18  190  162   71
#[Out]# 144598   18   18   18  190  162   82
#[Out]# 144599   18   18   18  190  162  123
#[Out]# 144600   18   18   18  190  162  177
#[Out]# 144601   18   18   18  190  162  182
#[Out]# 144602   18   18   18  190  177   24
#[Out]# 144603   18   18   18  190  177   39
#[Out]# 144604   18   18   18  190  177   51
#[Out]# 144605   18   18   18  190  177   71
#[Out]# 144606   18   18   18  190  177   82
#[Out]# 144607   18   18   18  190  177  123
#[Out]# 144608   18   18   18  190  177  162
#[Out]# 144609   18   18   18  190  177  182
#[Out]# 144610   18   18   18  190  182   24
#[Out]# 144611   18   18   18  190  182   39
#[Out]# 144612   18   18   18  190  182   51
#[Out]# 144613   18   18   18  190  182   71
#[Out]# 144614   18   18   18  190  182   82
#[Out]# 144615   18   18   18  190  182  123
#[Out]# 144616   18   18   18  190  182  162
#[Out]# 144617   18   18   18  190  182  177
#[Out]# 
#[Out]# [144618 rows x 6 columns]
query_test = '''
    SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID


'''

pd.read_sql_query(query_test, conn)
#[Out]#        pID  pID  pID  cID  cID  cID
#[Out]# 0       10   10   10    0   13   22
#[Out]# 1       10   10   10    0   13   24
#[Out]# 2       10   10   10    0   13   72
#[Out]# 3       10   10   10    0   13   82
#[Out]# 4       10   10   10    0   13  100
#[Out]# 5       10   10   10    0   13  124
#[Out]# 6       10   10   10    0   13  163
#[Out]# 7       10   10   10    0   13  165
#[Out]# 8       10   10   10    0   13  169
#[Out]# 9       10   10   10    0   13  179
#[Out]# 10      10   10   10    0   13  180
#[Out]# 11      10   10   10    0   13  190
#[Out]# 12      10   10   10    0   13  190
#[Out]# 13      10   10   10    0   13  190
#[Out]# 14      10   10   10    0   22   24
#[Out]# 15      10   10   10    0   22   72
#[Out]# 16      10   10   10    0   22   82
#[Out]# 17      10   10   10    0   22  100
#[Out]# 18      10   10   10    0   22  124
#[Out]# 19      10   10   10    0   22  163
#[Out]# 20      10   10   10    0   22  165
#[Out]# 21      10   10   10    0   22  169
#[Out]# 22      10   10   10    0   22  179
#[Out]# 23      10   10   10    0   22  180
#[Out]# 24      10   10   10    0   22  190
#[Out]# 25      10   10   10    0   22  190
#[Out]# 26      10   10   10    0   22  190
#[Out]# 27      10   10   10    0   24   72
#[Out]# 28      10   10   10    0   24   82
#[Out]# 29      10   10   10    0   24  100
#[Out]# ...    ...  ...  ...  ...  ...  ...
#[Out]# 24073    0    0    0  176  184  190
#[Out]# 24074    0    0    0  176  184  190
#[Out]# 24075   11   11   11  176  179  190
#[Out]# 24076   11   11   11  176  179  190
#[Out]# 24077   11   11   11  176  179  190
#[Out]# 24078   11   11   11  176  179  190
#[Out]# 24079   21   21   21  176  181  190
#[Out]# 24080   21   21   21  176  181  190
#[Out]# 24081   21   21   21  176  181  190
#[Out]# 24082   21   21   21  176  181  190
#[Out]# 24083   18   18   18  177  182  190
#[Out]# 24084   17   17   17  177  179  190
#[Out]# 24085   17   17   17  177  179  190
#[Out]# 24086   17   17   17  177  179  190
#[Out]# 24087   17   17   17  177  179  190
#[Out]# 24088   17   17   17  177  179  190
#[Out]# 24089   17   17   17  177  179  190
#[Out]# 24090    3    3    3  177  182  190
#[Out]# 24091   26   26   26  177  180  181
#[Out]# 24092   26   26   26  177  180  190
#[Out]# 24093   26   26   26  177  180  190
#[Out]# 24094   26   26   26  177  181  190
#[Out]# 24095   26   26   26  177  181  190
#[Out]# 24096   25   25   25  178  182  190
#[Out]# 24097   10   10   10  179  180  190
#[Out]# 24098   10   10   10  179  180  190
#[Out]# 24099   10   10   10  179  180  190
#[Out]# 24100   26   26   26  180  181  190
#[Out]# 24101   26   26   26  180  181  190
#[Out]# 24102   13   13   13  180  182  190
#[Out]# 
#[Out]# [24103 rows x 6 columns]
query_test = '''

SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID
)

'''



'''
SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID
'''

pd.read_sql_query(query_test, conn)
query_test = '''

SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID
)

'''



'''
SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID
'''

pd.read_sql_query(query_test, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID

'''

pd.read_sql_query(query1, conn)
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p1.cID < p3.cID AND
            p2.cID < p3.cID
            )

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
            )

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query_test = '''

SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
)

'''



'''
SELECT p1.pID, p2.pID, p3.pID, p1.cID, p2.cID, p3.cID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
'''

pd.read_sql_query(query_test, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID == p2.pID AND
            p1.pID == p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
            )

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase pur, customer c, purchase pur2
    WHERE   pur.pID == "Onion"
            
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT c.cID, c.cName
    FROM purchase pur, customer c, purchase pur2, product prod
    WHERE   pur.pID == prod.pID AND
            prod.pName == "Onion"
            
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, cName]
#[Out]# Index: []
query2 = '''
    SELECT prod.pName
    FROM purchase pur, customer c, purchase pur2, product prod
    WHERE   pur.pID == prod.pID AND
            prod.pName == "Onion"
            
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName]
#[Out]# Index: []
query2 = '''
    SELECT prod.pName
    FROM purchase pur, customer c, purchase pur2, product prod
    WHERE   pur.pID == prod.pID AND
            prod.pName = "Onion"
            
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName]
#[Out]# Index: []
query2 = '''
    SELECT prod.pName
    FROM purchase pur, customer c, purchase pur2, product prod
    WHERE   prod.pName = "Onion"
            
'''

pd.read_sql_query(query2, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [pName]
#[Out]# Index: []
query2 = '''
    SELECT prod.pName
    FROM purchase pur, customer c, purchase pur2, product prod
    WHERE   prod.pName = "Onions"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#            pName
#[Out]# 0         Onions
#[Out]# 1         Onions
#[Out]# 2         Onions
#[Out]# 3         Onions
#[Out]# 4         Onions
#[Out]# 5         Onions
#[Out]# 6         Onions
#[Out]# 7         Onions
#[Out]# 8         Onions
#[Out]# 9         Onions
#[Out]# 10        Onions
#[Out]# 11        Onions
#[Out]# 12        Onions
#[Out]# 13        Onions
#[Out]# 14        Onions
#[Out]# 15        Onions
#[Out]# 16        Onions
#[Out]# 17        Onions
#[Out]# 18        Onions
#[Out]# 19        Onions
#[Out]# 20        Onions
#[Out]# 21        Onions
#[Out]# 22        Onions
#[Out]# 23        Onions
#[Out]# 24        Onions
#[Out]# 25        Onions
#[Out]# 26        Onions
#[Out]# 27        Onions
#[Out]# 28        Onions
#[Out]# 29        Onions
#[Out]# ...          ...
#[Out]# 49225360  Onions
#[Out]# 49225361  Onions
#[Out]# 49225362  Onions
#[Out]# 49225363  Onions
#[Out]# 49225364  Onions
#[Out]# 49225365  Onions
#[Out]# 49225366  Onions
#[Out]# 49225367  Onions
#[Out]# 49225368  Onions
#[Out]# 49225369  Onions
#[Out]# 49225370  Onions
#[Out]# 49225371  Onions
#[Out]# 49225372  Onions
#[Out]# 49225373  Onions
#[Out]# 49225374  Onions
#[Out]# 49225375  Onions
#[Out]# 49225376  Onions
#[Out]# 49225377  Onions
#[Out]# 49225378  Onions
#[Out]# 49225379  Onions
#[Out]# 49225380  Onions
#[Out]# 49225381  Onions
#[Out]# 49225382  Onions
#[Out]# 49225383  Onions
#[Out]# 49225384  Onions
#[Out]# 49225385  Onions
#[Out]# 49225386  Onions
#[Out]# 49225387  Onions
#[Out]# 49225388  Onions
#[Out]# 49225389  Onions
#[Out]# 
#[Out]# [49225390 rows x 1 columns]
query2 = '''
    SELECT prod.pName
    FROM product prod
    WHERE   prod.pName = "Onions"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName
#[Out]# 0  Onions
query1 = '''
SELECT prod.pID
FROM product prod
WHERE prod.pID NOT IN (
    SELECT DISTINCT p1.pID
    FROM purchase p1, purchase p2, purchase p3
    WHERE   p1.pID = p2.pID AND
            p1.pID = p3.pID AND
            p1.cID < p2.cID AND
            p2.cID < p3.cID
            )

'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
#[Out]# 2   31
query2 = '''
    SELECT prod.pName
    FROM product prod
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pName
            
'''

pd.read_sql_query(query2, conn)
query2 = '''
    SELECT prod.pName
    FROM product prod, purchase pur
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID
            
'''

pd.read_sql_query(query2, conn)
#[Out]#      pName
#[Out]# 0   Onions
#[Out]# 1   Onions
#[Out]# 2   Onions
#[Out]# 3   Onions
#[Out]# 4   Onions
#[Out]# 5   Onions
#[Out]# 6   Onions
#[Out]# 7   Onions
#[Out]# 8   Onions
#[Out]# 9   Onions
#[Out]# 10  Onions
#[Out]# 11  Onions
#[Out]# 12  Onions
#[Out]# 13  Onions
#[Out]# 14  Onions
#[Out]# 15  Onions
query2 = '''
    SELECT prod.pName
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName
#[Out]# 0    Onions
#[Out]# 1    Onions
#[Out]# 2    Onions
#[Out]# 3    Onions
#[Out]# 4    Onions
#[Out]# 5    Onions
#[Out]# 6    Onions
#[Out]# 7    Onions
#[Out]# 8    Onions
#[Out]# 9    Onions
#[Out]# 10   Onions
#[Out]# 11   Onions
#[Out]# 12   Onions
#[Out]# 13   Onions
#[Out]# 14   Onions
#[Out]# 15   Onions
#[Out]# 16   Onions
#[Out]# 17   Onions
#[Out]# 18   Onions
#[Out]# 19   Onions
#[Out]# 20   Onions
#[Out]# 21   Onions
#[Out]# 22   Onions
#[Out]# 23   Onions
#[Out]# 24   Onions
#[Out]# 25   Onions
#[Out]# 26   Onions
#[Out]# 27   Onions
#[Out]# 28   Onions
#[Out]# 29   Onions
#[Out]# ..      ...
#[Out]# 322  Onions
#[Out]# 323  Onions
#[Out]# 324  Onions
#[Out]# 325  Onions
#[Out]# 326  Onions
#[Out]# 327  Onions
#[Out]# 328  Onions
#[Out]# 329  Onions
#[Out]# 330  Onions
#[Out]# 331  Onions
#[Out]# 332  Onions
#[Out]# 333  Onions
#[Out]# 334  Onions
#[Out]# 335  Onions
#[Out]# 336  Onions
#[Out]# 337  Onions
#[Out]# 338  Onions
#[Out]# 339  Onions
#[Out]# 340  Onions
#[Out]# 341  Onions
#[Out]# 342  Onions
#[Out]# 343  Onions
#[Out]# 344  Onions
#[Out]# 345  Onions
#[Out]# 346  Onions
#[Out]# 347  Onions
#[Out]# 348  Onions
#[Out]# 349  Onions
#[Out]# 350  Onions
#[Out]# 351  Onions
#[Out]# 
#[Out]# [352 rows x 1 columns]
query2 = '''
    SELECT prod.pName, prod2.pName
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName   pName
#[Out]# 0    Onions  Coffee
#[Out]# 1    Onions  Coffee
#[Out]# 2    Onions  Coffee
#[Out]# 3    Onions  Coffee
#[Out]# 4    Onions  Coffee
#[Out]# 5    Onions  Coffee
#[Out]# 6    Onions  Coffee
#[Out]# 7    Onions  Coffee
#[Out]# 8    Onions  Coffee
#[Out]# 9    Onions  Coffee
#[Out]# 10   Onions  Coffee
#[Out]# 11   Onions  Coffee
#[Out]# 12   Onions  Coffee
#[Out]# 13   Onions  Coffee
#[Out]# 14   Onions  Coffee
#[Out]# 15   Onions  Coffee
#[Out]# 16   Onions  Coffee
#[Out]# 17   Onions  Coffee
#[Out]# 18   Onions  Coffee
#[Out]# 19   Onions  Coffee
#[Out]# 20   Onions  Coffee
#[Out]# 21   Onions  Coffee
#[Out]# 22   Onions  Coffee
#[Out]# 23   Onions  Coffee
#[Out]# 24   Onions  Coffee
#[Out]# 25   Onions  Coffee
#[Out]# 26   Onions  Coffee
#[Out]# 27   Onions  Coffee
#[Out]# 28   Onions  Coffee
#[Out]# 29   Onions  Coffee
#[Out]# ..      ...     ...
#[Out]# 322  Onions  Coffee
#[Out]# 323  Onions  Coffee
#[Out]# 324  Onions  Coffee
#[Out]# 325  Onions  Coffee
#[Out]# 326  Onions  Coffee
#[Out]# 327  Onions  Coffee
#[Out]# 328  Onions  Coffee
#[Out]# 329  Onions  Coffee
#[Out]# 330  Onions  Coffee
#[Out]# 331  Onions  Coffee
#[Out]# 332  Onions  Coffee
#[Out]# 333  Onions  Coffee
#[Out]# 334  Onions  Coffee
#[Out]# 335  Onions  Coffee
#[Out]# 336  Onions  Coffee
#[Out]# 337  Onions  Coffee
#[Out]# 338  Onions  Coffee
#[Out]# 339  Onions  Coffee
#[Out]# 340  Onions  Coffee
#[Out]# 341  Onions  Coffee
#[Out]# 342  Onions  Coffee
#[Out]# 343  Onions  Coffee
#[Out]# 344  Onions  Coffee
#[Out]# 345  Onions  Coffee
#[Out]# 346  Onions  Coffee
#[Out]# 347  Onions  Coffee
#[Out]# 348  Onions  Coffee
#[Out]# 349  Onions  Coffee
#[Out]# 350  Onions  Coffee
#[Out]# 351  Onions  Coffee
#[Out]# 
#[Out]# [352 rows x 2 columns]
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName  pID  pID
#[Out]# 0    Onions    4    4
#[Out]# 1    Onions    4    4
#[Out]# 2    Onions    4    4
#[Out]# 3    Onions    4    4
#[Out]# 4    Onions    4    4
#[Out]# 5    Onions    4    4
#[Out]# 6    Onions    4    4
#[Out]# 7    Onions    4    4
#[Out]# 8    Onions    4    4
#[Out]# 9    Onions    4    4
#[Out]# 10   Onions    4    4
#[Out]# 11   Onions    4    4
#[Out]# 12   Onions    4    4
#[Out]# 13   Onions    4    4
#[Out]# 14   Onions    4    4
#[Out]# 15   Onions    4    4
#[Out]# 16   Onions    4    4
#[Out]# 17   Onions    4    4
#[Out]# 18   Onions    4    4
#[Out]# 19   Onions    4    4
#[Out]# 20   Onions    4    4
#[Out]# 21   Onions    4    4
#[Out]# 22   Onions    4    4
#[Out]# 23   Onions    4    4
#[Out]# 24   Onions    4    4
#[Out]# 25   Onions    4    4
#[Out]# 26   Onions    4    4
#[Out]# 27   Onions    4    4
#[Out]# 28   Onions    4    4
#[Out]# 29   Onions    4    4
#[Out]# ..      ...  ...  ...
#[Out]# 322  Onions    4    4
#[Out]# 323  Onions    4    4
#[Out]# 324  Onions    4    4
#[Out]# 325  Onions    4    4
#[Out]# 326  Onions    4    4
#[Out]# 327  Onions    4    4
#[Out]# 328  Onions    4    4
#[Out]# 329  Onions    4    4
#[Out]# 330  Onions    4    4
#[Out]# 331  Onions    4    4
#[Out]# 332  Onions    4    4
#[Out]# 333  Onions    4    4
#[Out]# 334  Onions    4    4
#[Out]# 335  Onions    4    4
#[Out]# 336  Onions    4    4
#[Out]# 337  Onions    4    4
#[Out]# 338  Onions    4    4
#[Out]# 339  Onions    4    4
#[Out]# 340  Onions    4    4
#[Out]# 341  Onions    4    4
#[Out]# 342  Onions    4    4
#[Out]# 343  Onions    4    4
#[Out]# 344  Onions    4    4
#[Out]# 345  Onions    4    4
#[Out]# 346  Onions    4    4
#[Out]# 347  Onions    4    4
#[Out]# 348  Onions    4    4
#[Out]# 349  Onions    4    4
#[Out]# 350  Onions    4    4
#[Out]# 351  Onions    4    4
#[Out]# 
#[Out]# [352 rows x 3 columns]
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur.pID
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName  pID  pID   pName  pID  pID
#[Out]# 0    Onions    4    4  Coffee   21    4
#[Out]# 1    Onions    4    4  Coffee   21    4
#[Out]# 2    Onions    4    4  Coffee   21    4
#[Out]# 3    Onions    4    4  Coffee   21    4
#[Out]# 4    Onions    4    4  Coffee   21    4
#[Out]# 5    Onions    4    4  Coffee   21    4
#[Out]# 6    Onions    4    4  Coffee   21    4
#[Out]# 7    Onions    4    4  Coffee   21    4
#[Out]# 8    Onions    4    4  Coffee   21    4
#[Out]# 9    Onions    4    4  Coffee   21    4
#[Out]# 10   Onions    4    4  Coffee   21    4
#[Out]# 11   Onions    4    4  Coffee   21    4
#[Out]# 12   Onions    4    4  Coffee   21    4
#[Out]# 13   Onions    4    4  Coffee   21    4
#[Out]# 14   Onions    4    4  Coffee   21    4
#[Out]# 15   Onions    4    4  Coffee   21    4
#[Out]# 16   Onions    4    4  Coffee   21    4
#[Out]# 17   Onions    4    4  Coffee   21    4
#[Out]# 18   Onions    4    4  Coffee   21    4
#[Out]# 19   Onions    4    4  Coffee   21    4
#[Out]# 20   Onions    4    4  Coffee   21    4
#[Out]# 21   Onions    4    4  Coffee   21    4
#[Out]# 22   Onions    4    4  Coffee   21    4
#[Out]# 23   Onions    4    4  Coffee   21    4
#[Out]# 24   Onions    4    4  Coffee   21    4
#[Out]# 25   Onions    4    4  Coffee   21    4
#[Out]# 26   Onions    4    4  Coffee   21    4
#[Out]# 27   Onions    4    4  Coffee   21    4
#[Out]# 28   Onions    4    4  Coffee   21    4
#[Out]# 29   Onions    4    4  Coffee   21    4
#[Out]# ..      ...  ...  ...     ...  ...  ...
#[Out]# 322  Onions    4    4  Coffee   21    4
#[Out]# 323  Onions    4    4  Coffee   21    4
#[Out]# 324  Onions    4    4  Coffee   21    4
#[Out]# 325  Onions    4    4  Coffee   21    4
#[Out]# 326  Onions    4    4  Coffee   21    4
#[Out]# 327  Onions    4    4  Coffee   21    4
#[Out]# 328  Onions    4    4  Coffee   21    4
#[Out]# 329  Onions    4    4  Coffee   21    4
#[Out]# 330  Onions    4    4  Coffee   21    4
#[Out]# 331  Onions    4    4  Coffee   21    4
#[Out]# 332  Onions    4    4  Coffee   21    4
#[Out]# 333  Onions    4    4  Coffee   21    4
#[Out]# 334  Onions    4    4  Coffee   21    4
#[Out]# 335  Onions    4    4  Coffee   21    4
#[Out]# 336  Onions    4    4  Coffee   21    4
#[Out]# 337  Onions    4    4  Coffee   21    4
#[Out]# 338  Onions    4    4  Coffee   21    4
#[Out]# 339  Onions    4    4  Coffee   21    4
#[Out]# 340  Onions    4    4  Coffee   21    4
#[Out]# 341  Onions    4    4  Coffee   21    4
#[Out]# 342  Onions    4    4  Coffee   21    4
#[Out]# 343  Onions    4    4  Coffee   21    4
#[Out]# 344  Onions    4    4  Coffee   21    4
#[Out]# 345  Onions    4    4  Coffee   21    4
#[Out]# 346  Onions    4    4  Coffee   21    4
#[Out]# 347  Onions    4    4  Coffee   21    4
#[Out]# 348  Onions    4    4  Coffee   21    4
#[Out]# 349  Onions    4    4  Coffee   21    4
#[Out]# 350  Onions    4    4  Coffee   21    4
#[Out]# 351  Onions    4    4  Coffee   21    4
#[Out]# 
#[Out]# [352 rows x 6 columns]
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName  pID  pID   pName  pID  pID
#[Out]# 0    Onions    4    4  Coffee   21   21
#[Out]# 1    Onions    4    4  Coffee   21   21
#[Out]# 2    Onions    4    4  Coffee   21   21
#[Out]# 3    Onions    4    4  Coffee   21   21
#[Out]# 4    Onions    4    4  Coffee   21   21
#[Out]# 5    Onions    4    4  Coffee   21   21
#[Out]# 6    Onions    4    4  Coffee   21   21
#[Out]# 7    Onions    4    4  Coffee   21   21
#[Out]# 8    Onions    4    4  Coffee   21   21
#[Out]# 9    Onions    4    4  Coffee   21   21
#[Out]# 10   Onions    4    4  Coffee   21   21
#[Out]# 11   Onions    4    4  Coffee   21   21
#[Out]# 12   Onions    4    4  Coffee   21   21
#[Out]# 13   Onions    4    4  Coffee   21   21
#[Out]# 14   Onions    4    4  Coffee   21   21
#[Out]# 15   Onions    4    4  Coffee   21   21
#[Out]# 16   Onions    4    4  Coffee   21   21
#[Out]# 17   Onions    4    4  Coffee   21   21
#[Out]# 18   Onions    4    4  Coffee   21   21
#[Out]# 19   Onions    4    4  Coffee   21   21
#[Out]# 20   Onions    4    4  Coffee   21   21
#[Out]# 21   Onions    4    4  Coffee   21   21
#[Out]# 22   Onions    4    4  Coffee   21   21
#[Out]# 23   Onions    4    4  Coffee   21   21
#[Out]# 24   Onions    4    4  Coffee   21   21
#[Out]# 25   Onions    4    4  Coffee   21   21
#[Out]# 26   Onions    4    4  Coffee   21   21
#[Out]# 27   Onions    4    4  Coffee   21   21
#[Out]# 28   Onions    4    4  Coffee   21   21
#[Out]# 29   Onions    4    4  Coffee   21   21
#[Out]# ..      ...  ...  ...     ...  ...  ...
#[Out]# 322  Onions    4    4  Coffee   21   21
#[Out]# 323  Onions    4    4  Coffee   21   21
#[Out]# 324  Onions    4    4  Coffee   21   21
#[Out]# 325  Onions    4    4  Coffee   21   21
#[Out]# 326  Onions    4    4  Coffee   21   21
#[Out]# 327  Onions    4    4  Coffee   21   21
#[Out]# 328  Onions    4    4  Coffee   21   21
#[Out]# 329  Onions    4    4  Coffee   21   21
#[Out]# 330  Onions    4    4  Coffee   21   21
#[Out]# 331  Onions    4    4  Coffee   21   21
#[Out]# 332  Onions    4    4  Coffee   21   21
#[Out]# 333  Onions    4    4  Coffee   21   21
#[Out]# 334  Onions    4    4  Coffee   21   21
#[Out]# 335  Onions    4    4  Coffee   21   21
#[Out]# 336  Onions    4    4  Coffee   21   21
#[Out]# 337  Onions    4    4  Coffee   21   21
#[Out]# 338  Onions    4    4  Coffee   21   21
#[Out]# 339  Onions    4    4  Coffee   21   21
#[Out]# 340  Onions    4    4  Coffee   21   21
#[Out]# 341  Onions    4    4  Coffee   21   21
#[Out]# 342  Onions    4    4  Coffee   21   21
#[Out]# 343  Onions    4    4  Coffee   21   21
#[Out]# 344  Onions    4    4  Coffee   21   21
#[Out]# 345  Onions    4    4  Coffee   21   21
#[Out]# 346  Onions    4    4  Coffee   21   21
#[Out]# 347  Onions    4    4  Coffee   21   21
#[Out]# 348  Onions    4    4  Coffee   21   21
#[Out]# 349  Onions    4    4  Coffee   21   21
#[Out]# 350  Onions    4    4  Coffee   21   21
#[Out]# 351  Onions    4    4  Coffee   21   21
#[Out]# 
#[Out]# [352 rows x 6 columns]
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, pur.cID, pur2.cID
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee"
            
'''

pd.read_sql_query(query2, conn)
#[Out]#       pName  pID  pID   pName  pID  pID  cID  cID
#[Out]# 0    Onions    4    4  Coffee   21   21    2   16
#[Out]# 1    Onions    4    4  Coffee   21   21    2   42
#[Out]# 2    Onions    4    4  Coffee   21   21    2   59
#[Out]# 3    Onions    4    4  Coffee   21   21    2   82
#[Out]# 4    Onions    4    4  Coffee   21   21    2   86
#[Out]# 5    Onions    4    4  Coffee   21   21    2   92
#[Out]# 6    Onions    4    4  Coffee   21   21    2   97
#[Out]# 7    Onions    4    4  Coffee   21   21    2  108
#[Out]# 8    Onions    4    4  Coffee   21   21    2  110
#[Out]# 9    Onions    4    4  Coffee   21   21    2  111
#[Out]# 10   Onions    4    4  Coffee   21   21    2  122
#[Out]# 11   Onions    4    4  Coffee   21   21    2  124
#[Out]# 12   Onions    4    4  Coffee   21   21    2  152
#[Out]# 13   Onions    4    4  Coffee   21   21    2  169
#[Out]# 14   Onions    4    4  Coffee   21   21    2  171
#[Out]# 15   Onions    4    4  Coffee   21   21    2  175
#[Out]# 16   Onions    4    4  Coffee   21   21    2  176
#[Out]# 17   Onions    4    4  Coffee   21   21    2  181
#[Out]# 18   Onions    4    4  Coffee   21   21    2  190
#[Out]# 19   Onions    4    4  Coffee   21   21    2  190
#[Out]# 20   Onions    4    4  Coffee   21   21    2  190
#[Out]# 21   Onions    4    4  Coffee   21   21    2  190
#[Out]# 22   Onions    4    4  Coffee   21   21   29   16
#[Out]# 23   Onions    4    4  Coffee   21   21   29   42
#[Out]# 24   Onions    4    4  Coffee   21   21   29   59
#[Out]# 25   Onions    4    4  Coffee   21   21   29   82
#[Out]# 26   Onions    4    4  Coffee   21   21   29   86
#[Out]# 27   Onions    4    4  Coffee   21   21   29   92
#[Out]# 28   Onions    4    4  Coffee   21   21   29   97
#[Out]# 29   Onions    4    4  Coffee   21   21   29  108
#[Out]# ..      ...  ...  ...     ...  ...  ...  ...  ...
#[Out]# 322  Onions    4    4  Coffee   21   21  177  171
#[Out]# 323  Onions    4    4  Coffee   21   21  177  175
#[Out]# 324  Onions    4    4  Coffee   21   21  177  176
#[Out]# 325  Onions    4    4  Coffee   21   21  177  181
#[Out]# 326  Onions    4    4  Coffee   21   21  177  190
#[Out]# 327  Onions    4    4  Coffee   21   21  177  190
#[Out]# 328  Onions    4    4  Coffee   21   21  177  190
#[Out]# 329  Onions    4    4  Coffee   21   21  177  190
#[Out]# 330  Onions    4    4  Coffee   21   21  190   16
#[Out]# 331  Onions    4    4  Coffee   21   21  190   42
#[Out]# 332  Onions    4    4  Coffee   21   21  190   59
#[Out]# 333  Onions    4    4  Coffee   21   21  190   82
#[Out]# 334  Onions    4    4  Coffee   21   21  190   86
#[Out]# 335  Onions    4    4  Coffee   21   21  190   92
#[Out]# 336  Onions    4    4  Coffee   21   21  190   97
#[Out]# 337  Onions    4    4  Coffee   21   21  190  108
#[Out]# 338  Onions    4    4  Coffee   21   21  190  110
#[Out]# 339  Onions    4    4  Coffee   21   21  190  111
#[Out]# 340  Onions    4    4  Coffee   21   21  190  122
#[Out]# 341  Onions    4    4  Coffee   21   21  190  124
#[Out]# 342  Onions    4    4  Coffee   21   21  190  152
#[Out]# 343  Onions    4    4  Coffee   21   21  190  169
#[Out]# 344  Onions    4    4  Coffee   21   21  190  171
#[Out]# 345  Onions    4    4  Coffee   21   21  190  175
#[Out]# 346  Onions    4    4  Coffee   21   21  190  176
#[Out]# 347  Onions    4    4  Coffee   21   21  190  181
#[Out]# 348  Onions    4    4  Coffee   21   21  190  190
#[Out]# 349  Onions    4    4  Coffee   21   21  190  190
#[Out]# 350  Onions    4    4  Coffee   21   21  190  190
#[Out]# 351  Onions    4    4  Coffee   21   21  190  190
#[Out]# 
#[Out]# [352 rows x 8 columns]
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, pur.cID, pur2.cID
    FROM product prod, purchase pur, purchase pur2, product prod2
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID  cID
#[Out]# 0  Onions    4    4  Coffee   21   21   59   59
#[Out]# 1  Onions    4    4  Coffee   21   21  124  124
#[Out]# 2  Onions    4    4  Coffee   21   21  169  169
#[Out]# 3  Onions    4    4  Coffee   21   21  176  176
#[Out]# 4  Onions    4    4  Coffee   21   21  190  190
#[Out]# 5  Onions    4    4  Coffee   21   21  190  190
#[Out]# 6  Onions    4    4  Coffee   21   21  190  190
#[Out]# 7  Onions    4    4  Coffee   21   21  190  190
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, pur.cID, pur2.cID, c.cID, c.cName 
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID  cID  cID   cName
#[Out]# 0  Onions    4    4  Coffee   21   21   59   59   59    Joep
#[Out]# 1  Onions    4    4  Coffee   21   21  124  124  124   Sofie
#[Out]# 2  Onions    4    4  Coffee   21   21  169  169  169    Lily
#[Out]# 3  Onions    4    4  Coffee   21   21  176  176  176   Amira
#[Out]# 4  Onions    4    4  Coffee   21   21  190  190  190  Kostas
#[Out]# 5  Onions    4    4  Coffee   21   21  190  190  190  Kostas
#[Out]# 6  Onions    4    4  Coffee   21   21  190  190  190  Kostas
#[Out]# 7  Onions    4    4  Coffee   21   21  190  190  190  Kostas
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, pur.cID, pur2.cID, c.cID, c.cName, pur.date, pur2.date
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID  cID  cID   cName        date  \
#[Out]# 0  Onions    4    4  Coffee   21   21   59   59   59    Joep  2018-08-25   
#[Out]# 1  Onions    4    4  Coffee   21   21  124  124  124   Sofie  2018-08-26   
#[Out]# 2  Onions    4    4  Coffee   21   21  169  169  169    Lily  2018-08-20   
#[Out]# 3  Onions    4    4  Coffee   21   21  176  176  176   Amira  2018-08-22   
#[Out]# 4  Onions    4    4  Coffee   21   21  190  190  190  Kostas  2018-08-26   
#[Out]# 5  Onions    4    4  Coffee   21   21  190  190  190  Kostas  2018-08-26   
#[Out]# 6  Onions    4    4  Coffee   21   21  190  190  190  Kostas  2018-08-26   
#[Out]# 7  Onions    4    4  Coffee   21   21  190  190  190  Kostas  2018-08-26   
#[Out]# 
#[Out]#          date  
#[Out]# 0  2018-08-15  
#[Out]# 1  2018-08-26  
#[Out]# 2  2018-08-16  
#[Out]# 3  2018-08-26  
#[Out]# 4  2018-08-20  
#[Out]# 5  2018-08-22  
#[Out]# 6  2018-08-22  
#[Out]# 7  2018-08-26  
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, pur.cID, pur2.cID, c.cID, c.cName, pur.date, pur2.date
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID  cID  cID   cName        date  \
#[Out]# 0  Onions    4    4  Coffee   21   21  124  124  124   Sofie  2018-08-26   
#[Out]# 1  Onions    4    4  Coffee   21   21  190  190  190  Kostas  2018-08-26   
#[Out]# 
#[Out]#          date  
#[Out]# 0  2018-08-26  
#[Out]# 1  2018-08-26  
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, c.cID, c.cName, pur.date, pur2.date
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID   cName        date        date
#[Out]# 0  Onions    4    4  Coffee   21   21  124   Sofie  2018-08-26  2018-08-26
#[Out]# 1  Onions    4    4  Coffee   21   21  190  Kostas  2018-08-26  2018-08-26
query2 = '''
    SELECT prod.pName, pur.pID, prod.pID, prod2.pName, prod2.pID, pur2.pID, c.cID, c.cName, pur.date, pur2.date, pur.sID, pur2.sID
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#     pName  pID  pID   pName  pID  pID  cID   cName        date        date  \
#[Out]# 0  Onions    4    4  Coffee   21   21  124   Sofie  2018-08-26  2018-08-26   
#[Out]# 1  Onions    4    4  Coffee   21   21  190  Kostas  2018-08-26  2018-08-26   
#[Out]# 
#[Out]#    sID  sID  
#[Out]# 0   54    9  
#[Out]# 1   16    9  
query2 = '''
    SELECT  pur2.pID, c.cID, c.cName, pur.date, pur2.date
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#    pID  cID   cName        date        date
#[Out]# 0   21  124   Sofie  2018-08-26  2018-08-26
#[Out]# 1   21  190  Kostas  2018-08-26  2018-08-26
query2 = '''
    SELECT  c.cID, c.cName
    FROM product prod, purchase pur, purchase pur2, product prod2, customer c
    WHERE   prod.pName = "Onions" AND
            pur.pID = prod.pID AND
            pur2.pID = prod2.pID AND
            prod2.pName = "Coffee" AND
            pur.cID = pur2.cID AND
            pur.cID = c.cID AND
            pur.date = pur2.date
            
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3_test = '''


'''

pd.read_sql_query(query3_test, conn)
query3 = '''
    SELECT p.cID
    FROM purchase p
    WHERE   
            
'''

pd.read_sql_query(query3, conn)
query3 = '''
    SELECT p.cID
    FROM purchase p
            
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3_test = '''

SELECT *
SELECT * FROM suppliers
WHERE sid not in ( 
    SELECT sid FROM ( 
        (SELECT sid, pid FROM 
            (select pid from parts) as p 
cross join 
(select distinct sid from supplies) as sp)
EXCEPT
(SELECT sid, pid FROM supplies)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT *
SELECT * FROM purchase p
WHERE p.cID not in ( 
    SELECT p.cID FROM ( 
        (SELECT p.cID, c.sID FROM 
            (select s.pID from store) as p 
cross join 
(select distinct p.cID from purchase p) as sp)
EXCEPT
(SELECT p.cID, p.sID FROM store)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT *
SELECT * FROM purchase p
WHERE p.cID not in ( 
    SELECT p.cID FROM ( 
        SELECT p.cID, c.sID FROM ()
            select s.pID from store) as p 
cross join 
(select distinct p.cID from purchase p) as sp)
EXCEPT
(SELECT p.cID, p.sID FROM store)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT *
SELECT * FROM purchase p
WHERE p.cID not in ( 
    SELECT p.cID FROM ( 
        SELECT p.cID, c.sID FROM (
            select s.pID from store) as p 
cross join 
(select distinct p.cID from purchase p) as sp)
EXCEPT
(SELECT p.cID, p.sID FROM store)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT *
SELECT * FROM purchase p
WHERE p.cID not in ( 
    SELECT p.cID FROM ( 
        SELECT p.cID, c.sID FROM (
            SELECT s.pID from store) as p 
cross join 
(select distinct p.cID from purchase p) as sp)
EXCEPT
(SELECT p.cID, p.sID FROM store)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT *
SELECT * FROM purchase p
WHERE cID not in ( 
    SELECT cID FROM ( 
        SELECT cID, sID FROM (
            SELECT pID from store) as p 
cross join 
(select distinct p.cID from purchase p) as sp)
EXCEPT
(SELECT p.cID, p.sID FROM store)) AS r ); 

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT * FROM purchase as p
WHERE NOT EXISTS (( SELECT s.sID FROM store as s )
EXCEPT
 (SELECT pur.sID FROM purchase as pur WHERE pur.sID = s.sID ) );

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT * FROM purchase as p
WHERE NOT EXISTS ( SELECT s.sID FROM store as s )
EXCEPT
 (SELECT pur.sID FROM purchase as pur WHERE pur.sID = s.sID  );

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT * 
FROM purchase as p
WHERE NOT EXISTS ( 
    SELECT s.sID 
    FROM store as s )
EXCEPT (
    SELECT pur.sID 
    FROM purchase as pur 
    WHERE pur.sID = s.sID  )

'''

pd.read_sql_query(query3_test, conn)
query3_test = '''

SELECT * 
FROM purchase as p
WHERE NOT EXISTS 
    SELECT s.sID 
    FROM store as s 
EXCEPT 
    SELECT pur.sID 
    FROM purchase as pur 
    WHERE pur.sID = s.sID  

'''

pd.read_sql_query(query3_test, conn)

