# IPython log file

# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   31
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query4 = '''
SELECT DISTINCT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID
GROUP BY quantity
HAVING avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Lidl
#[Out]# 1         Dirk
#[Out]# 2    Hoogvliet
#[Out]# 3  Albert Hein
#[Out]# 4       Sligro
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
( SELECT *
FROM purchase AS p1
GROUP BY price
HAVING max(price) ) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
( SELECT price
FROM purchase AS p1
GROUP BY price
HAVING max(price) ) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
( SELECT *
FROM purchase AS p1
GROUP BY price
HAVING max(p1.price) ) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT MAX(price)
FROM purchase) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT pID, MAX(price) FROM purchase GROUP BY pID) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT pID, sID, MAX(price) FROM purchase GROUP BY pID) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts         Coop
#[Out]# 2           Potatoes         Coop
#[Out]# 3       Green Pepper         Dirk
#[Out]# 4             Onions         Lidl
#[Out]# 5          Mushrooms         Lidl
#[Out]# 6            Carrots  Albert Hein
#[Out]# 7           Tomatoes        Jumbo
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9            Bananas        Jumbo
#[Out]# 10             Water         Dirk
#[Out]# 11              Milk         Coop
#[Out]# 12              Beef       Sligro
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples    Hoogvliet
#[Out]# 15         Cucumbers         Coop
#[Out]# 16              Rice        Jumbo
#[Out]# 17             Bread        Jumbo
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca         Dirk
#[Out]# 20             Fanta    Hoogvliet
#[Out]# 21            Coffee  Albert Hein
#[Out]# 22               Tea       Sligro
#[Out]# 23   Spiced Biscuits         Coop
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza    Hoogvliet
#[Out]# 28           Lasanga  Albert Hein
#[Out]# 29            Salmon        Jumbo
#[Out]# 30           Ketchup        Jumbo
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT *, MAX(price) FROM purchase GROUP BY pID) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0        Cashew Nuts         Coop
#[Out]# 1         Mixed Nuts         Coop
#[Out]# 2           Potatoes         Coop
#[Out]# 3       Green Pepper         Dirk
#[Out]# 4             Onions         Lidl
#[Out]# 5          Mushrooms         Lidl
#[Out]# 6            Carrots  Albert Hein
#[Out]# 7           Tomatoes        Jumbo
#[Out]# 8   Hot Dog Sausages  Albert Hein
#[Out]# 9            Bananas        Jumbo
#[Out]# 10             Water         Dirk
#[Out]# 11              Milk         Coop
#[Out]# 12              Beef       Sligro
#[Out]# 13              Eggs    Hoogvliet
#[Out]# 14            Apples    Hoogvliet
#[Out]# 15         Cucumbers         Coop
#[Out]# 16              Rice        Jumbo
#[Out]# 17             Bread        Jumbo
#[Out]# 18            Cheese  Albert Hein
#[Out]# 19              Coca         Dirk
#[Out]# 20             Fanta    Hoogvliet
#[Out]# 21            Coffee  Albert Hein
#[Out]# 22               Tea       Sligro
#[Out]# 23   Spiced Biscuits         Coop
#[Out]# 24           Oranges         Coop
#[Out]# 25            Donuts        Jumbo
#[Out]# 26             Pasta         Lidl
#[Out]# 27             Pizza    Hoogvliet
#[Out]# 28           Lasanga  Albert Hein
#[Out]# 29            Salmon        Jumbo
#[Out]# 30           Ketchup        Jumbo
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT *, MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''

SELECT product.pName, store.sName
FROM product, store, 
(SELECT MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT MAX(price) FROM purchase GROUP BY price
'''

pd.read_sql_query(query5, conn)
#[Out]#      MAX(price)
#[Out]# 0          0.40
#[Out]# 1          0.45
#[Out]# 2          0.50
#[Out]# 3          0.55
#[Out]# 4          0.60
#[Out]# 5          0.65
#[Out]# 6          0.70
#[Out]# 7          0.75
#[Out]# 8          0.80
#[Out]# 9          0.85
#[Out]# 10         0.90
#[Out]# 11         0.95
#[Out]# 12         1.00
#[Out]# 13         1.05
#[Out]# 14         1.10
#[Out]# 15         1.15
#[Out]# 16         1.20
#[Out]# 17         1.25
#[Out]# 18         1.30
#[Out]# 19         1.35
#[Out]# 20         1.40
#[Out]# 21         1.45
#[Out]# 22         1.50
#[Out]# 23         1.55
#[Out]# 24         1.60
#[Out]# 25         1.65
#[Out]# 26         1.70
#[Out]# 27         1.75
#[Out]# 28         1.80
#[Out]# 29         1.85
#[Out]# ..          ...
#[Out]# 125        9.00
#[Out]# 126        9.05
#[Out]# 127        9.10
#[Out]# 128        9.25
#[Out]# 129        9.45
#[Out]# 130        9.60
#[Out]# 131        9.65
#[Out]# 132        9.70
#[Out]# 133        9.85
#[Out]# 134       10.15
#[Out]# 135       10.30
#[Out]# 136       10.50
#[Out]# 137       10.60
#[Out]# 138       10.75
#[Out]# 139       11.20
#[Out]# 140       11.45
#[Out]# 141       11.55
#[Out]# 142       11.65
#[Out]# 143       12.00
#[Out]# 144       12.20
#[Out]# 145       12.30
#[Out]# 146       12.55
#[Out]# 147       12.65
#[Out]# 148       12.80
#[Out]# 149       13.15
#[Out]# 150       13.25
#[Out]# 151       13.40
#[Out]# 152       13.60
#[Out]# 153       13.65
#[Out]# 154       13.80
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
SELECT MAX(price) FROM purchase GROUP BY price HAVING MAX(price)
'''

pd.read_sql_query(query5, conn)
#[Out]#      MAX(price)
#[Out]# 0          0.40
#[Out]# 1          0.45
#[Out]# 2          0.50
#[Out]# 3          0.55
#[Out]# 4          0.60
#[Out]# 5          0.65
#[Out]# 6          0.70
#[Out]# 7          0.75
#[Out]# 8          0.80
#[Out]# 9          0.85
#[Out]# 10         0.90
#[Out]# 11         0.95
#[Out]# 12         1.00
#[Out]# 13         1.05
#[Out]# 14         1.10
#[Out]# 15         1.15
#[Out]# 16         1.20
#[Out]# 17         1.25
#[Out]# 18         1.30
#[Out]# 19         1.35
#[Out]# 20         1.40
#[Out]# 21         1.45
#[Out]# 22         1.50
#[Out]# 23         1.55
#[Out]# 24         1.60
#[Out]# 25         1.65
#[Out]# 26         1.70
#[Out]# 27         1.75
#[Out]# 28         1.80
#[Out]# 29         1.85
#[Out]# ..          ...
#[Out]# 125        9.00
#[Out]# 126        9.05
#[Out]# 127        9.10
#[Out]# 128        9.25
#[Out]# 129        9.45
#[Out]# 130        9.60
#[Out]# 131        9.65
#[Out]# 132        9.70
#[Out]# 133        9.85
#[Out]# 134       10.15
#[Out]# 135       10.30
#[Out]# 136       10.50
#[Out]# 137       10.60
#[Out]# 138       10.75
#[Out]# 139       11.20
#[Out]# 140       11.45
#[Out]# 141       11.55
#[Out]# 142       11.65
#[Out]# 143       12.00
#[Out]# 144       12.20
#[Out]# 145       12.30
#[Out]# 146       12.55
#[Out]# 147       12.65
#[Out]# 148       12.80
#[Out]# 149       13.15
#[Out]# 150       13.25
#[Out]# 151       13.40
#[Out]# 152       13.60
#[Out]# 153       13.65
#[Out]# 154       13.80
#[Out]# 
#[Out]# [155 rows x 1 columns]
query5 = '''
SELECT price, MAX(price) FROM purchase GROUP BY price
'''

pd.read_sql_query(query5, conn)
#[Out]#      price  MAX(price)
#[Out]# 0     0.40        0.40
#[Out]# 1     0.45        0.45
#[Out]# 2     0.50        0.50
#[Out]# 3     0.55        0.55
#[Out]# 4     0.60        0.60
#[Out]# 5     0.65        0.65
#[Out]# 6     0.70        0.70
#[Out]# 7     0.75        0.75
#[Out]# 8     0.80        0.80
#[Out]# 9     0.85        0.85
#[Out]# 10    0.90        0.90
#[Out]# 11    0.95        0.95
#[Out]# 12    1.00        1.00
#[Out]# 13    1.05        1.05
#[Out]# 14    1.10        1.10
#[Out]# 15    1.15        1.15
#[Out]# 16    1.20        1.20
#[Out]# 17    1.25        1.25
#[Out]# 18    1.30        1.30
#[Out]# 19    1.35        1.35
#[Out]# 20    1.40        1.40
#[Out]# 21    1.45        1.45
#[Out]# 22    1.50        1.50
#[Out]# 23    1.55        1.55
#[Out]# 24    1.60        1.60
#[Out]# 25    1.65        1.65
#[Out]# 26    1.70        1.70
#[Out]# 27    1.75        1.75
#[Out]# 28    1.80        1.80
#[Out]# 29    1.85        1.85
#[Out]# ..     ...         ...
#[Out]# 125   9.00        9.00
#[Out]# 126   9.05        9.05
#[Out]# 127   9.10        9.10
#[Out]# 128   9.25        9.25
#[Out]# 129   9.45        9.45
#[Out]# 130   9.60        9.60
#[Out]# 131   9.65        9.65
#[Out]# 132   9.70        9.70
#[Out]# 133   9.85        9.85
#[Out]# 134  10.15       10.15
#[Out]# 135  10.30       10.30
#[Out]# 136  10.50       10.50
#[Out]# 137  10.60       10.60
#[Out]# 138  10.75       10.75
#[Out]# 139  11.20       11.20
#[Out]# 140  11.45       11.45
#[Out]# 141  11.55       11.55
#[Out]# 142  11.65       11.65
#[Out]# 143  12.00       12.00
#[Out]# 144  12.20       12.20
#[Out]# 145  12.30       12.30
#[Out]# 146  12.55       12.55
#[Out]# 147  12.65       12.65
#[Out]# 148  12.80       12.80
#[Out]# 149  13.15       13.15
#[Out]# 150  13.25       13.25
#[Out]# 151  13.40       13.40
#[Out]# 152  13.60       13.60
#[Out]# 153  13.65       13.65
#[Out]# 154  13.80       13.80
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT price, MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT * FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#                pName        sName
#[Out]# 0          Mushrooms  Albert Hein
#[Out]# 1              Water         Coop
#[Out]# 2              Pizza         Lidl
#[Out]# 3              Pizza       Sligro
#[Out]# 4             Coffee    Hoogvliet
#[Out]# 5            Lasanga        Jumbo
#[Out]# 6           Tomatoes    Hoogvliet
#[Out]# 7           Potatoes         Dirk
#[Out]# 8               Milk         Lidl
#[Out]# 9            Bananas  Albert Hein
#[Out]# 10              Eggs       Sligro
#[Out]# 11             Water    Hoogvliet
#[Out]# 12           Ketchup        Jumbo
#[Out]# 13            Onions         Coop
#[Out]# 14            Onions         Coop
#[Out]# 15              Milk       Sligro
#[Out]# 16             Bread         Coop
#[Out]# 17          Tomatoes        Jumbo
#[Out]# 18          Tomatoes    Hoogvliet
#[Out]# 19      Green Pepper       Sligro
#[Out]# 20              Coca        Jumbo
#[Out]# 21           Bananas       Sligro
#[Out]# 22   Spiced Biscuits         Coop
#[Out]# 23              Rice    Hoogvliet
#[Out]# 24              Milk        Jumbo
#[Out]# 25              Rice  Albert Hein
#[Out]# 26      Green Pepper       Sligro
#[Out]# 27              Coca    Hoogvliet
#[Out]# 28           Bananas         Lidl
#[Out]# 29              Rice         Lidl
#[Out]# ..               ...          ...
#[Out]# 125            Pizza         Coop
#[Out]# 126            Pizza        Jumbo
#[Out]# 127            Pizza         Lidl
#[Out]# 128            Pizza       Sligro
#[Out]# 129          Lasanga         Coop
#[Out]# 130          Lasanga         Lidl
#[Out]# 131           Cheese         Coop
#[Out]# 132           Cheese       Sligro
#[Out]# 133          Lasanga  Albert Hein
#[Out]# 134             Beef         Coop
#[Out]# 135           Cheese         Coop
#[Out]# 136           Cheese       Sligro
#[Out]# 137           Cheese         Coop
#[Out]# 138             Beef  Albert Hein
#[Out]# 139             Beef         Coop
#[Out]# 140             Beef         Dirk
#[Out]# 141           Cheese  Albert Hein
#[Out]# 142             Beef         Dirk
#[Out]# 143           Cheese  Albert Hein
#[Out]# 144             Beef    Hoogvliet
#[Out]# 145             Beef    Hoogvliet
#[Out]# 146             Beef         Dirk
#[Out]# 147             Beef       Sligro
#[Out]# 148             Beef         Dirk
#[Out]# 149             Beef  Albert Hein
#[Out]# 150             Beef  Albert Hein
#[Out]# 151             Beef       Sligro
#[Out]# 152             Beef         Coop
#[Out]# 153             Beef       Sligro
#[Out]# 154             Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT *, MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT price, MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
query5 = '''
SELECT product.pName, store.sName
FROM product, store, 
(SELECT price, sID, pID, MAX(price) FROM purchase GROUP BY price) AS maxPur
WHERE 
product.pID = maxPur.pID AND
store.sID = maxPur.sID 
'''

pd.read_sql_query(query5, conn)
#[Out]#             pName        sName
#[Out]# 0           Water    Hoogvliet
#[Out]# 1           Water       Sligro
#[Out]# 2       Mushrooms  Albert Hein
#[Out]# 3       Mushrooms         Lidl
#[Out]# 4           Water         Coop
#[Out]# 5         Lasanga        Jumbo
#[Out]# 6        Tomatoes    Hoogvliet
#[Out]# 7        Potatoes         Dirk
#[Out]# 8            Milk         Lidl
#[Out]# 9          Onions         Coop
#[Out]# 10           Milk         Lidl
#[Out]# 11        Carrots         Coop
#[Out]# 12      Cucumbers         Coop
#[Out]# 13        Carrots         Coop
#[Out]# 14         Onions         Coop
#[Out]# 15        Carrots         Lidl
#[Out]# 16   Green Pepper       Sligro
#[Out]# 17        Bananas    Hoogvliet
#[Out]# 18        Bananas    Hoogvliet
#[Out]# 19        Bananas       Sligro
#[Out]# 20           Rice         Coop
#[Out]# 21        Bananas       Sligro
#[Out]# 22            Tea       Sligro
#[Out]# 23            Tea         Coop
#[Out]# 24           Rice       Sligro
#[Out]# 25        Bananas    Hoogvliet
#[Out]# 26       Potatoes         Lidl
#[Out]# 27        Bananas       Sligro
#[Out]# 28       Tomatoes         Coop
#[Out]# 29           Rice         Coop
#[Out]# ..            ...          ...
#[Out]# 125         Pizza         Coop
#[Out]# 126         Pizza        Jumbo
#[Out]# 127         Pizza         Lidl
#[Out]# 128         Pizza    Hoogvliet
#[Out]# 129       Lasanga         Coop
#[Out]# 130       Lasanga         Lidl
#[Out]# 131        Cheese         Coop
#[Out]# 132       Lasanga         Dirk
#[Out]# 133       Lasanga  Albert Hein
#[Out]# 134          Beef         Coop
#[Out]# 135        Cheese         Coop
#[Out]# 136        Cheese       Sligro
#[Out]# 137        Cheese         Coop
#[Out]# 138          Beef  Albert Hein
#[Out]# 139          Beef         Coop
#[Out]# 140          Beef         Dirk
#[Out]# 141        Cheese  Albert Hein
#[Out]# 142          Beef         Dirk
#[Out]# 143        Cheese  Albert Hein
#[Out]# 144          Beef    Hoogvliet
#[Out]# 145          Beef    Hoogvliet
#[Out]# 146          Beef         Dirk
#[Out]# 147          Beef       Sligro
#[Out]# 148          Beef         Dirk
#[Out]# 149          Beef  Albert Hein
#[Out]# 150          Beef  Albert Hein
#[Out]# 151          Beef       Sligro
#[Out]# 152          Beef         Coop
#[Out]# 153          Beef       Sligro
#[Out]# 154          Beef       Sligro
#[Out]# 
#[Out]# [155 rows x 2 columns]
query5 = ''' SELECT price, sID, pID, MAX(price) FROM purchase GROUP BY price
'''

pd.read_sql_query(query5, conn)
#[Out]#      price  sID  pID  MAX(price)
#[Out]# 0     0.40   28   10        0.40
#[Out]# 1     0.45    3   10        0.45
#[Out]# 2     0.50    8    5        0.50
#[Out]# 3     0.55   22    5        0.55
#[Out]# 4     0.60   45   10        0.60
#[Out]# 5     0.65   37   28        0.65
#[Out]# 6     0.70   38    7        0.70
#[Out]# 7     0.75   58    2        0.75
#[Out]# 8     0.80   22   11        0.80
#[Out]# 9     0.85   19    4        0.85
#[Out]# 10    0.90   46   11        0.90
#[Out]# 11    0.95   43    6        0.95
#[Out]# 12    1.00   43   15        1.00
#[Out]# 13    1.05   21    6        1.05
#[Out]# 14    1.10   13    4        1.10
#[Out]# 15    1.15   36    6        1.15
#[Out]# 16    1.20   42    3        1.20
#[Out]# 17    1.25   17    9        1.25
#[Out]# 18    1.30   17    9        1.30
#[Out]# 19    1.35   39    9        1.35
#[Out]# 20    1.40    0   16        1.40
#[Out]# 21    1.45   29    9        1.45
#[Out]# 22    1.50   29   22        1.50
#[Out]# 23    1.55   47   22        1.55
#[Out]# 24    1.60    3   16        1.60
#[Out]# 25    1.65   26    9        1.65
#[Out]# 26    1.70   12    2        1.70
#[Out]# 27    1.75   42    9        1.75
#[Out]# 28    1.80   13    7        1.80
#[Out]# 29    1.85    6   16        1.85
#[Out]# ..     ...  ...  ...         ...
#[Out]# 125   9.00   43   27        9.00
#[Out]# 126   9.05   10   27        9.05
#[Out]# 127   9.10   36   27        9.10
#[Out]# 128   9.25   26   27        9.25
#[Out]# 129   9.45   34   28        9.45
#[Out]# 130   9.60   52   28        9.60
#[Out]# 131   9.65   51   18        9.65
#[Out]# 132   9.70   54   28        9.70
#[Out]# 133   9.85    9   28        9.85
#[Out]# 134  10.15   19   12       10.15
#[Out]# 135  10.30   14   18       10.30
#[Out]# 136  10.50   42   18       10.50
#[Out]# 137  10.60   13   18       10.60
#[Out]# 138  10.75   32   12       10.75
#[Out]# 139  11.20   13   12       11.20
#[Out]# 140  11.45   57   12       11.45
#[Out]# 141  11.55   11   18       11.55
#[Out]# 142  11.65   23   12       11.65
#[Out]# 143  12.00   44   18       12.00
#[Out]# 144  12.20   38   12       12.20
#[Out]# 145  12.30   17   12       12.30
#[Out]# 146  12.55   54   12       12.55
#[Out]# 147  12.65   27   12       12.65
#[Out]# 148  12.80   23   12       12.80
#[Out]# 149  13.15    9   12       13.15
#[Out]# 150  13.25   41   12       13.25
#[Out]# 151  13.40    5   12       13.40
#[Out]# 152  13.60   53   12       13.60
#[Out]# 153  13.65   29   12       13.65
#[Out]# 154  13.80   27   12       13.80
#[Out]# 
#[Out]# [155 rows x 4 columns]
query5 = ''' SELECT MAX(price) FROM purchase
'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)
#[Out]# 0        13.8
query5 = ''' WITH maxPur(price) AS
	SELECT MAX(price)
	FROM purchase

SELECT product.pName, store.sName
FROM product, store, purchase, maxPur
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' WITH maxPur(price) AS
SELECT MAX(price)
FROM purchase

SELECT product.pName, store.sName
FROM product, store, purchase, maxPur
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS
SELECT MAX(price)
FROM purchase

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS
SELECT MAX(price)
FROM purchase
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase, maxPur
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase, maxPur
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase,
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase,
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase )

SELECT product.pName, store.sName
FROM product, store, purchase, maxPur
WHERE 
purchase.price = maxPur.price
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)

SELECT *,
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)

SELECT *,
FROM purchase, maxPur(price)
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)

SELECT *,
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)

SELECT *,
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
SELECT MAX(price)
FROM purchase)
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS
SELECT MAX(price)
FROM purchase
'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)


'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)


'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM maxPur

'''

pd.read_sql_query(query5, conn)
#[Out]#    MAX(price)
#[Out]# 0        13.8
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur

'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  MAX(price)
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45        13.8
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65        13.8
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60        13.8
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25        13.8
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95        13.8
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75        13.8
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90        13.8
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10        13.8
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45        13.8
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35        13.8
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10        13.8
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70        13.8
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55        13.8
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30        13.8
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75        13.8
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45        13.8
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15        13.8
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05        13.8
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60        13.8
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05        13.8
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05        13.8
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75        13.8
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70        13.8
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25        13.8
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10        13.8
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55        13.8
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85        13.8
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20        13.8
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10        13.8
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70        13.8
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...         ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80        13.8
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50        13.8
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55        13.8
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65        13.8
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70        13.8
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70        13.8
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50        13.8
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95        13.8
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75        13.8
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50        13.8
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85        13.8
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55        13.8
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60        13.8
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25        13.8
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30        13.8
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05        13.8
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05        13.8
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50        13.8
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50        13.8
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95        13.8
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50        13.8
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95        13.8
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60        13.8
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25        13.8
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75        13.8
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80        13.8
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35        13.8
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85        13.8
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15        13.8
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30        13.8
#[Out]# 
#[Out]# [509 rows x 8 columns]
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = maxPur.price

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = maxPur

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = 13,80

'''

pd.read_sql_query(query5, conn)
query5 = ''' 
WITH maxPur AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur

'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  MAX(price)
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45        13.8
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65        13.8
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60        13.8
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25        13.8
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95        13.8
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75        13.8
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90        13.8
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10        13.8
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45        13.8
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35        13.8
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10        13.8
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70        13.8
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55        13.8
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30        13.8
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75        13.8
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45        13.8
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15        13.8
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05        13.8
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60        13.8
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05        13.8
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05        13.8
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75        13.8
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70        13.8
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25        13.8
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10        13.8
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55        13.8
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85        13.8
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20        13.8
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10        13.8
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70        13.8
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...         ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80        13.8
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50        13.8
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55        13.8
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65        13.8
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70        13.8
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70        13.8
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50        13.8
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95        13.8
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75        13.8
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50        13.8
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85        13.8
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55        13.8
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60        13.8
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25        13.8
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30        13.8
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05        13.8
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05        13.8
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50        13.8
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50        13.8
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95        13.8
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50        13.8
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95        13.8
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60        13.8
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25        13.8
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75        13.8
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80        13.8
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35        13.8
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85        13.8
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15        13.8
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30        13.8
#[Out]# 
#[Out]# [509 rows x 8 columns]
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45   13.8
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65   13.8
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60   13.8
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25   13.8
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95   13.8
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75   13.8
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90   13.8
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10   13.8
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45   13.8
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35   13.8
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   13.8
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   13.8
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   13.8
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13.8
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   13.8
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   13.8
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   13.8
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   13.8
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   13.8
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   13.8
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   13.8
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   13.8
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   13.8
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   13.8
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   13.8
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   13.8
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   13.8
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   13.8
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   13.8
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   13.8
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80   13.8
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50   13.8
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55   13.8
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65   13.8
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70   13.8
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70   13.8
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50   13.8
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95   13.8
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75   13.8
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50   13.8
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85   13.8
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55   13.8
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60   13.8
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25   13.8
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30   13.8
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05   13.8
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05   13.8
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50   13.8
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50   13.8
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95   13.8
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50   13.8
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95   13.8
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60   13.8
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25   13.8
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75   13.8
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80   13.8
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35   13.8
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85   13.8
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15   13.8
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30   13.8
#[Out]# 
#[Out]# [509 rows x 8 columns]
query5 = ''' 
WITH maxPur(maxPur) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  maxPur
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45    13.8
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65    13.8
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60    13.8
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25    13.8
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95    13.8
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75    13.8
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90    13.8
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10    13.8
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45    13.8
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35    13.8
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10    13.8
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70    13.8
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55    13.8
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30    13.8
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75    13.8
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45    13.8
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15    13.8
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05    13.8
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60    13.8
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05    13.8
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05    13.8
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75    13.8
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70    13.8
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25    13.8
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10    13.8
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55    13.8
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85    13.8
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20    13.8
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10    13.8
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70    13.8
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...     ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80    13.8
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50    13.8
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55    13.8
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65    13.8
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70    13.8
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70    13.8
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50    13.8
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95    13.8
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75    13.8
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50    13.8
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85    13.8
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55    13.8
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60    13.8
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25    13.8
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30    13.8
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05    13.8
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05    13.8
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50    13.8
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50    13.8
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95    13.8
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50    13.8
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95    13.8
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60    13.8
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25    13.8
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75    13.8
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80    13.8
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35    13.8
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85    13.8
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15    13.8
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30    13.8
#[Out]# 
#[Out]# [509 rows x 8 columns]
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
'''

pd.read_sql_query(query5, conn)
#[Out]#      tID  cID  sID  pID        date  quantity  price  price
#[Out]# 0      0    0    3   10  2018-08-22         1   0.45   13.8
#[Out]# 1      1    1   23   14  2018-08-20         2   4.65   13.8
#[Out]# 2      2    1    3   16  2018-08-20         3   1.60   13.8
#[Out]# 3      3    1   17    9  2018-08-20         2   1.25   13.8
#[Out]# 4      4    1   32   25  2018-08-20         4   3.95   13.8
#[Out]# 5      5    1   16   26  2018-08-20         4   2.75   13.8
#[Out]# 6      6    1   46   11  2018-08-21         8   0.90   13.8
#[Out]# 7      7    1   36   27  2018-08-21         6   9.10   13.8
#[Out]# 8      8    2   12   20  2018-08-16         1   2.45   13.8
#[Out]# 9      9    2   39    9  2018-08-17         7   1.35   13.8
#[Out]# 10    10    2   13    4  2018-08-17         6   1.10   13.8
#[Out]# 11    11    2   51   13  2018-08-17         4   3.70   13.8
#[Out]# 12    12    2   47   22  2018-08-17         1   1.55   13.8
#[Out]# 13    13    3   44   14  2018-08-18         2   4.30   13.8
#[Out]# 14    14    3   30   26  2018-08-19         2   2.75   13.8
#[Out]# 15    15    3   29    9  2018-08-19         6   1.45   13.8
#[Out]# 16    16    4   17    8  2018-08-24         2   4.15   13.8
#[Out]# 17    17    4   10   27  2018-08-24         9   9.05   13.8
#[Out]# 18    18    4   53   12  2018-08-25         5  13.60   13.8
#[Out]# 19    19    4   21    6  2018-08-24         2   1.05   13.8
#[Out]# 20    20    4    7   13  2018-08-25         9   3.05   13.8
#[Out]# 21    21    4   44   26  2018-08-25         4   2.75   13.8
#[Out]# 22    22    5    4   14  2018-08-17         6   4.70   13.8
#[Out]# 23    23    5   36   28  2018-08-22         6   8.25   13.8
#[Out]# 24    24    5   55    6  2018-08-23         9   1.10   13.8
#[Out]# 25    25    5   51   22  2018-08-23         2   1.55   13.8
#[Out]# 26    26    5    6   16  2018-08-23         2   1.85   13.8
#[Out]# 27    27    5   17   19  2018-08-23         1   2.20   13.8
#[Out]# 28    28    7    3   19  2018-08-23         2   2.10   13.8
#[Out]# 29    29    7   12    2  2018-08-23         6   1.70   13.8
#[Out]# ..   ...  ...  ...  ...         ...       ...    ...    ...
#[Out]# 479  818  190   34   28  2018-08-20         4   2.80   13.8
#[Out]# 480  819  190   35   27  2018-08-15         5   0.50   13.8
#[Out]# 481  820  190   36    5  2018-08-23         3   2.55   13.8
#[Out]# 482  821  190   37   28  2018-08-15         4   0.65   13.8
#[Out]# 483  822  190   38    7  2018-08-24         4   0.70   13.8
#[Out]# 484  823  190   39    0  2018-08-25         4   3.70   13.8
#[Out]# 485  824  190   40   11  2018-08-15         2   3.50   13.8
#[Out]# 486  825  190   41    6  2018-08-15         5   2.95   13.8
#[Out]# 487  826  190   42   19  2018-08-22         5   2.75   13.8
#[Out]# 488  827  190   43   17  2018-08-17         7   1.50   13.8
#[Out]# 489  828  190   44    9  2018-08-18         5   0.85   13.8
#[Out]# 490  829  190   45   11  2018-08-19         2   3.55   13.8
#[Out]# 491  830  190   46   22  2018-08-25         4   2.60   13.8
#[Out]# 492  831  190   47   17  2018-08-17         4   3.25   13.8
#[Out]# 493  832  190   48   20  2018-08-26         6   4.30   13.8
#[Out]# 494  833  190   49   11  2018-08-17         3   3.05   13.8
#[Out]# 495  834  190   50   21  2018-08-22         6   4.05   13.8
#[Out]# 496  835  190   51   23  2018-08-19         1   1.50   13.8
#[Out]# 497  836  190   52   23  2018-08-15         5   2.50   13.8
#[Out]# 498  837  190   53    8  2018-08-18         4   3.95   13.8
#[Out]# 499  838  190   54    0  2018-08-25         6   3.50   13.8
#[Out]# 500  839  190   55    8  2018-08-18         7   2.95   13.8
#[Out]# 501  840  190   56   11  2018-08-15         4   1.60   13.8
#[Out]# 502  841  190   57   15  2018-08-22         5   3.25   13.8
#[Out]# 503  842  190   58    2  2018-08-19         7   0.75   13.8
#[Out]# 504  843  190   59   17  2018-08-26         2   3.80   13.8
#[Out]# 505  844  190   60    5  2018-08-27         6   4.35   13.8
#[Out]# 506  845  190   61   19  2018-08-23         5   2.85   13.8
#[Out]# 507  846  190   62    9  2018-08-16         2   3.15   13.8
#[Out]# 508  847  190   63   18  2018-08-21         1   3.30   13.8
#[Out]# 
#[Out]# [509 rows x 8 columns]
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price > 13.80
'''

pd.read_sql_query(query5, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [tID, cID, sID, pID, date, quantity, price, price]
#[Out]# Index: []
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price > 13.79
'''

pd.read_sql_query(query5, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  price
#[Out]# 0  161   52   27   12  2018-08-25         6   13.8   13.8
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = maxPur.price
'''

pd.read_sql_query(query5, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  price
#[Out]# 0  161   52   27   12  2018-08-25         6   13.8   13.8
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT *
FROM purchase, maxPur
WHERE purchase.price = maxPur.price
'''

pd.read_sql_query(query5, conn)
#[Out]#    tID  cID  sID  pID        date  quantity  price  price
#[Out]# 0  161   52   27   12  2018-08-25         6   13.8   13.8
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT product.pName, store.sName
FROM store, product, purchase, maxPur
WHERE 
purchase.price = maxPur.price AND
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT product.pName, store.sName
FROM store, product, purchase, maxPur
WHERE 
purchase.price = maxPur.price AND
product.pID = purchase.pID AND
store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query6 = '''
    SELECT *
    FROM inventory i1, inventory i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = i2.date
    i1.date = 2018-08-23    
 
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = i2.date
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = i2.date AND
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, pID, date, quantity, unit_price, sID, pID, date, quantity, unit_price]
#[Out]# Index: []
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, pID, date, quantity, unit_price, sID, pID, date, quantity, unit_price]
#[Out]# Index: []
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#        sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0       55   10  2018-08-26        17        0.60    1   10  2018-08-17   
#[Out]# 1       55   10  2018-08-26        17        0.60    3   10  2018-08-21   
#[Out]# 2       55   10  2018-08-26        17        0.60    5   10  2018-08-20   
#[Out]# 3       55   10  2018-08-26        17        0.60    6   10  2018-08-22   
#[Out]# 4       55   10  2018-08-26        17        0.60    8   10  2018-08-27   
#[Out]# 5       55   10  2018-08-26        17        0.60    9   10  2018-08-22   
#[Out]# 6       55   10  2018-08-26        17        0.60   18   10  2018-08-26   
#[Out]# 7       55   10  2018-08-26        17        0.60   23   10  2018-08-22   
#[Out]# 8       55   10  2018-08-26        17        0.60   24   10  2018-08-26   
#[Out]# 9       55   10  2018-08-26        17        0.60   27   10  2018-08-16   
#[Out]# 10      55   10  2018-08-26        17        0.60   27   10  2018-08-20   
#[Out]# 11      55   10  2018-08-26        17        0.60   27   10  2018-08-27   
#[Out]# 12      55   10  2018-08-26        17        0.60   28   10  2018-08-16   
#[Out]# 13      55   10  2018-08-26        17        0.60   28   10  2018-08-25   
#[Out]# 14      55   10  2018-08-26        17        0.60   34   10  2018-08-22   
#[Out]# 15      55   10  2018-08-26        17        0.60   34   10  2018-08-23   
#[Out]# 16      55   10  2018-08-26        17        0.60   35   10  2018-08-21   
#[Out]# 17      55   10  2018-08-26        17        0.60   38   10  2018-08-25   
#[Out]# 18      55   10  2018-08-26        17        0.60   38   10  2018-08-27   
#[Out]# 19      55   10  2018-08-26        17        0.60   42   10  2018-08-21   
#[Out]# 20      55   10  2018-08-26        17        0.60   43   10  2018-08-27   
#[Out]# 21      55   10  2018-08-26        17        0.60   45   10  2018-08-20   
#[Out]# 22      55   10  2018-08-26        17        0.60   45   10  2018-08-22   
#[Out]# 23      55   10  2018-08-26        17        0.60   45   10  2018-08-24   
#[Out]# 24      55   10  2018-08-26        17        0.60   45   10  2018-08-26   
#[Out]# 25      55   10  2018-08-26        17        0.60   50   10  2018-08-23   
#[Out]# 26      55   10  2018-08-26        17        0.60   51   10  2018-08-23   
#[Out]# 27      55   10  2018-08-26        17        0.60   53   10  2018-08-24   
#[Out]# 28      55   10  2018-08-26        17        0.60   54   10  2018-08-22   
#[Out]# 29      55   10  2018-08-26        17        0.60   54   10  2018-08-24   
#[Out]# ...    ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 24457    0    0  2018-07-18        15        5.95    3    0  2018-08-24   
#[Out]# 24458    0    0  2018-07-18        15        5.95    3    0  2018-08-25   
#[Out]# 24459    0    0  2018-07-18        15        5.95    6    0  2018-08-23   
#[Out]# 24460    0    0  2018-07-18        15        5.95    8    0  2018-08-21   
#[Out]# 24461    0    0  2018-07-18        15        5.95   10    0  2018-08-16   
#[Out]# 24462    0    0  2018-07-18        15        5.95   14    0  2018-08-20   
#[Out]# 24463    0    0  2018-07-18        15        5.95   21    0  2018-08-17   
#[Out]# 24464    0    0  2018-07-18        15        5.95   22    0  2018-08-21   
#[Out]# 24465    0    0  2018-07-18        15        5.95   24    0  2018-08-17   
#[Out]# 24466    0    0  2018-07-18        15        5.95   26    0  2018-08-18   
#[Out]# 24467    0    0  2018-07-18        15        5.95   29    0  2018-08-23   
#[Out]# 24468    0    0  2018-07-18        15        5.95   30    0  2018-08-19   
#[Out]# 24469    0    0  2018-07-18        15        5.95   30    0  2018-08-21   
#[Out]# 24470    0    0  2018-07-18        15        5.95   31    0  2018-08-15   
#[Out]# 24471    0    0  2018-07-18        15        5.95   31    0  2018-08-21   
#[Out]# 24472    0    0  2018-07-18        15        5.95   31    0  2018-08-23   
#[Out]# 24473    0    0  2018-07-18        15        5.95   33    0  2018-08-17   
#[Out]# 24474    0    0  2018-07-18        15        5.95   35    0  2018-08-25   
#[Out]# 24475    0    0  2018-07-18        15        5.95   36    0  2018-08-26   
#[Out]# 24476    0    0  2018-07-18        15        5.95   41    0  2018-08-15   
#[Out]# 24477    0    0  2018-07-18        15        5.95   42    0  2018-08-24   
#[Out]# 24478    0    0  2018-07-18        15        5.95   42    0  2018-08-26   
#[Out]# 24479    0    0  2018-07-18        15        5.95   43    0  2018-08-25   
#[Out]# 24480    0    0  2018-07-18        15        5.95   44    0  2018-08-16   
#[Out]# 24481    0    0  2018-07-18        15        5.95   47    0  2018-08-24   
#[Out]# 24482    0    0  2018-07-18        15        5.95   49    0  2018-08-24   
#[Out]# 24483    0    0  2018-07-18        15        5.95   49    0  2018-08-27   
#[Out]# 24484    0    0  2018-07-18        15        5.95   50    0  2018-08-24   
#[Out]# 24485    0    0  2018-07-18        15        5.95   52    0  2018-08-16   
#[Out]# 24486    0    0  2018-07-18        15        5.95   59    0  2018-08-17   
#[Out]# 
#[Out]#        quantity  unit_price  
#[Out]# 0            29        0.45  
#[Out]# 1            13        0.45  
#[Out]# 2            11        0.50  
#[Out]# 3            20        0.55  
#[Out]# 4            26        0.50  
#[Out]# 5             3        0.50  
#[Out]# 6            16        0.50  
#[Out]# 7            52        0.55  
#[Out]# 8            19        0.55  
#[Out]# 9            16        0.55  
#[Out]# 10            7        0.55  
#[Out]# 11           19        0.45  
#[Out]# 12           15        0.40  
#[Out]# 13            7        0.40  
#[Out]# 14           31        0.40  
#[Out]# 15            8        0.45  
#[Out]# 16           51        0.55  
#[Out]# 17            9        0.60  
#[Out]# 18           33        0.50  
#[Out]# 19            3        0.55  
#[Out]# 20           12        0.50  
#[Out]# 21            6        0.60  
#[Out]# 22           21        0.45  
#[Out]# 23           11        0.45  
#[Out]# 24           54        0.50  
#[Out]# 25           54        0.55  
#[Out]# 26           31        0.60  
#[Out]# 27           32        0.45  
#[Out]# 28            4        0.50  
#[Out]# 29           16        0.55  
#[Out]# ...         ...         ...  
#[Out]# 24457        18        4.85  
#[Out]# 24458         5        3.75  
#[Out]# 24459        37        4.35  
#[Out]# 24460        16        4.00  
#[Out]# 24461        18        5.30  
#[Out]# 24462         9        4.80  
#[Out]# 24463         3        5.40  
#[Out]# 24464        16        4.50  
#[Out]# 24465        53        3.80  
#[Out]# 24466         9        4.90  
#[Out]# 24467        28        5.15  
#[Out]# 24468        30        5.25  
#[Out]# 24469        21        4.90  
#[Out]# 24470         7        5.25  
#[Out]# 24471        12        5.10  
#[Out]# 24472        25        4.60  
#[Out]# 24473        12        5.35  
#[Out]# 24474         1        4.35  
#[Out]# 24475        13        3.95  
#[Out]# 24476        35        4.55  
#[Out]# 24477        12        5.00  
#[Out]# 24478        18        4.65  
#[Out]# 24479        13        4.40  
#[Out]# 24480        11        5.40  
#[Out]# 24481        13        4.80  
#[Out]# 24482        12        4.40  
#[Out]# 24483        10        4.20  
#[Out]# 24484         3        3.70  
#[Out]# 24485        18        3.95  
#[Out]# 24486         1        3.90  
#[Out]# 
#[Out]# [24487 rows x 10 columns]
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [sID, pID, date, quantity, unit_price, sID, pID, date, quantity, unit_price]
#[Out]# Index: []
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#        sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0       55   10  2018-08-26        17        0.60    1   10  2018-08-17   
#[Out]# 1       55   10  2018-08-26        17        0.60    3   10  2018-08-21   
#[Out]# 2       55   10  2018-08-26        17        0.60    5   10  2018-08-20   
#[Out]# 3       55   10  2018-08-26        17        0.60    6   10  2018-08-22   
#[Out]# 4       55   10  2018-08-26        17        0.60    8   10  2018-08-27   
#[Out]# 5       55   10  2018-08-26        17        0.60    9   10  2018-08-22   
#[Out]# 6       55   10  2018-08-26        17        0.60   18   10  2018-08-26   
#[Out]# 7       55   10  2018-08-26        17        0.60   23   10  2018-08-22   
#[Out]# 8       55   10  2018-08-26        17        0.60   24   10  2018-08-26   
#[Out]# 9       55   10  2018-08-26        17        0.60   27   10  2018-08-16   
#[Out]# 10      55   10  2018-08-26        17        0.60   27   10  2018-08-20   
#[Out]# 11      55   10  2018-08-26        17        0.60   27   10  2018-08-27   
#[Out]# 12      55   10  2018-08-26        17        0.60   28   10  2018-08-16   
#[Out]# 13      55   10  2018-08-26        17        0.60   28   10  2018-08-25   
#[Out]# 14      55   10  2018-08-26        17        0.60   34   10  2018-08-22   
#[Out]# 15      55   10  2018-08-26        17        0.60   34   10  2018-08-23   
#[Out]# 16      55   10  2018-08-26        17        0.60   35   10  2018-08-21   
#[Out]# 17      55   10  2018-08-26        17        0.60   38   10  2018-08-25   
#[Out]# 18      55   10  2018-08-26        17        0.60   38   10  2018-08-27   
#[Out]# 19      55   10  2018-08-26        17        0.60   42   10  2018-08-21   
#[Out]# 20      55   10  2018-08-26        17        0.60   43   10  2018-08-27   
#[Out]# 21      55   10  2018-08-26        17        0.60   45   10  2018-08-20   
#[Out]# 22      55   10  2018-08-26        17        0.60   45   10  2018-08-22   
#[Out]# 23      55   10  2018-08-26        17        0.60   45   10  2018-08-24   
#[Out]# 24      55   10  2018-08-26        17        0.60   45   10  2018-08-26   
#[Out]# 25      55   10  2018-08-26        17        0.60   50   10  2018-08-23   
#[Out]# 26      55   10  2018-08-26        17        0.60   51   10  2018-08-23   
#[Out]# 27      55   10  2018-08-26        17        0.60   53   10  2018-08-24   
#[Out]# 28      55   10  2018-08-26        17        0.60   54   10  2018-08-22   
#[Out]# 29      55   10  2018-08-26        17        0.60   54   10  2018-08-24   
#[Out]# ...    ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 24457    0    0  2018-07-18        15        5.95    3    0  2018-08-24   
#[Out]# 24458    0    0  2018-07-18        15        5.95    3    0  2018-08-25   
#[Out]# 24459    0    0  2018-07-18        15        5.95    6    0  2018-08-23   
#[Out]# 24460    0    0  2018-07-18        15        5.95    8    0  2018-08-21   
#[Out]# 24461    0    0  2018-07-18        15        5.95   10    0  2018-08-16   
#[Out]# 24462    0    0  2018-07-18        15        5.95   14    0  2018-08-20   
#[Out]# 24463    0    0  2018-07-18        15        5.95   21    0  2018-08-17   
#[Out]# 24464    0    0  2018-07-18        15        5.95   22    0  2018-08-21   
#[Out]# 24465    0    0  2018-07-18        15        5.95   24    0  2018-08-17   
#[Out]# 24466    0    0  2018-07-18        15        5.95   26    0  2018-08-18   
#[Out]# 24467    0    0  2018-07-18        15        5.95   29    0  2018-08-23   
#[Out]# 24468    0    0  2018-07-18        15        5.95   30    0  2018-08-19   
#[Out]# 24469    0    0  2018-07-18        15        5.95   30    0  2018-08-21   
#[Out]# 24470    0    0  2018-07-18        15        5.95   31    0  2018-08-15   
#[Out]# 24471    0    0  2018-07-18        15        5.95   31    0  2018-08-21   
#[Out]# 24472    0    0  2018-07-18        15        5.95   31    0  2018-08-23   
#[Out]# 24473    0    0  2018-07-18        15        5.95   33    0  2018-08-17   
#[Out]# 24474    0    0  2018-07-18        15        5.95   35    0  2018-08-25   
#[Out]# 24475    0    0  2018-07-18        15        5.95   36    0  2018-08-26   
#[Out]# 24476    0    0  2018-07-18        15        5.95   41    0  2018-08-15   
#[Out]# 24477    0    0  2018-07-18        15        5.95   42    0  2018-08-24   
#[Out]# 24478    0    0  2018-07-18        15        5.95   42    0  2018-08-26   
#[Out]# 24479    0    0  2018-07-18        15        5.95   43    0  2018-08-25   
#[Out]# 24480    0    0  2018-07-18        15        5.95   44    0  2018-08-16   
#[Out]# 24481    0    0  2018-07-18        15        5.95   47    0  2018-08-24   
#[Out]# 24482    0    0  2018-07-18        15        5.95   49    0  2018-08-24   
#[Out]# 24483    0    0  2018-07-18        15        5.95   49    0  2018-08-27   
#[Out]# 24484    0    0  2018-07-18        15        5.95   50    0  2018-08-24   
#[Out]# 24485    0    0  2018-07-18        15        5.95   52    0  2018-08-16   
#[Out]# 24486    0    0  2018-07-18        15        5.95   59    0  2018-08-17   
#[Out]# 
#[Out]#        quantity  unit_price  
#[Out]# 0            29        0.45  
#[Out]# 1            13        0.45  
#[Out]# 2            11        0.50  
#[Out]# 3            20        0.55  
#[Out]# 4            26        0.50  
#[Out]# 5             3        0.50  
#[Out]# 6            16        0.50  
#[Out]# 7            52        0.55  
#[Out]# 8            19        0.55  
#[Out]# 9            16        0.55  
#[Out]# 10            7        0.55  
#[Out]# 11           19        0.45  
#[Out]# 12           15        0.40  
#[Out]# 13            7        0.40  
#[Out]# 14           31        0.40  
#[Out]# 15            8        0.45  
#[Out]# 16           51        0.55  
#[Out]# 17            9        0.60  
#[Out]# 18           33        0.50  
#[Out]# 19            3        0.55  
#[Out]# 20           12        0.50  
#[Out]# 21            6        0.60  
#[Out]# 22           21        0.45  
#[Out]# 23           11        0.45  
#[Out]# 24           54        0.50  
#[Out]# 25           54        0.55  
#[Out]# 26           31        0.60  
#[Out]# 27           32        0.45  
#[Out]# 28            4        0.50  
#[Out]# 29           16        0.55  
#[Out]# ...         ...         ...  
#[Out]# 24457        18        4.85  
#[Out]# 24458         5        3.75  
#[Out]# 24459        37        4.35  
#[Out]# 24460        16        4.00  
#[Out]# 24461        18        5.30  
#[Out]# 24462         9        4.80  
#[Out]# 24463         3        5.40  
#[Out]# 24464        16        4.50  
#[Out]# 24465        53        3.80  
#[Out]# 24466         9        4.90  
#[Out]# 24467        28        5.15  
#[Out]# 24468        30        5.25  
#[Out]# 24469        21        4.90  
#[Out]# 24470         7        5.25  
#[Out]# 24471        12        5.10  
#[Out]# 24472        25        4.60  
#[Out]# 24473        12        5.35  
#[Out]# 24474         1        4.35  
#[Out]# 24475        13        3.95  
#[Out]# 24476        35        4.55  
#[Out]# 24477        12        5.00  
#[Out]# 24478        18        4.65  
#[Out]# 24479        13        4.40  
#[Out]# 24480        11        5.40  
#[Out]# 24481        13        4.80  
#[Out]# 24482        12        4.40  
#[Out]# 24483        10        4.20  
#[Out]# 24484         3        3.70  
#[Out]# 24485        18        3.95  
#[Out]# 24486         1        3.90  
#[Out]# 
#[Out]# [24487 rows x 10 columns]
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#              date  pID
#[Out]# 0      2018-07-18    0
#[Out]# 1      2018-07-18    0
#[Out]# 2      2018-07-18    0
#[Out]# 3      2018-07-18    0
#[Out]# 4      2018-07-18    0
#[Out]# 5      2018-07-18    0
#[Out]# 6      2018-07-18    0
#[Out]# 7      2018-07-18    0
#[Out]# 8      2018-07-18    0
#[Out]# 9      2018-07-18    0
#[Out]# 10     2018-07-18    0
#[Out]# 11     2018-07-18    0
#[Out]# 12     2018-07-18    0
#[Out]# 13     2018-07-18    0
#[Out]# 14     2018-07-18    0
#[Out]# 15     2018-07-18    0
#[Out]# 16     2018-07-18    0
#[Out]# 17     2018-07-18    0
#[Out]# 18     2018-07-18    0
#[Out]# 19     2018-07-18    0
#[Out]# 20     2018-07-18    0
#[Out]# 21     2018-07-18    0
#[Out]# 22     2018-07-18    0
#[Out]# 23     2018-07-18    0
#[Out]# 24     2018-07-18    0
#[Out]# 25     2018-07-18    0
#[Out]# 26     2018-07-18    0
#[Out]# 27     2018-07-18    0
#[Out]# 28     2018-07-18    0
#[Out]# 29     2018-07-18    0
#[Out]# ...           ...  ...
#[Out]# 24457  2018-08-25   28
#[Out]# 24458  2018-08-25   28
#[Out]# 24459  2018-08-25   28
#[Out]# 24460  2018-07-10   19
#[Out]# 24461  2018-07-10   19
#[Out]# 24462  2018-07-10   19
#[Out]# 24463  2018-07-10   19
#[Out]# 24464  2018-07-10   19
#[Out]# 24465  2018-07-10   19
#[Out]# 24466  2018-07-10   19
#[Out]# 24467  2018-07-10   19
#[Out]# 24468  2018-07-10   19
#[Out]# 24469  2018-07-10   19
#[Out]# 24470  2018-07-10   19
#[Out]# 24471  2018-07-10   19
#[Out]# 24472  2018-07-10   19
#[Out]# 24473  2018-07-10   19
#[Out]# 24474  2018-07-10   19
#[Out]# 24475  2018-07-10   19
#[Out]# 24476  2018-07-10   19
#[Out]# 24477  2018-07-10   19
#[Out]# 24478  2018-07-10   19
#[Out]# 24479  2018-07-10   19
#[Out]# 24480  2018-07-10   19
#[Out]# 24481  2018-07-10   19
#[Out]# 24482  2018-07-10   19
#[Out]# 24483  2018-07-10   19
#[Out]# 24484  2018-07-10   19
#[Out]# 24485  2018-07-10   19
#[Out]# 24486  2018-07-10   19
#[Out]# 
#[Out]# [24487 rows x 2 columns]
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1
    WHERE
    i1.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#            date  pID
#[Out]# 0    2018-08-15    1
#[Out]# 1    2018-08-20    2
#[Out]# 2    2018-08-21    2
#[Out]# 3    2018-08-25    2
#[Out]# 4    2018-08-18    3
#[Out]# 5    2018-08-22    4
#[Out]# 6    2018-08-16    7
#[Out]# 7    2018-08-25    9
#[Out]# 8    2018-08-15   12
#[Out]# 9    2018-08-25   13
#[Out]# 10   2018-08-24   14
#[Out]# 11   2018-08-25   14
#[Out]# 12   2018-08-27   15
#[Out]# 13   2018-08-17   16
#[Out]# 14   2018-08-19   16
#[Out]# 15   2018-08-24   16
#[Out]# 16   2018-08-16   20
#[Out]# 17   2018-08-15   21
#[Out]# 18   2018-08-21   23
#[Out]# 19   2018-08-24   27
#[Out]# 20   2018-08-20    2
#[Out]# 21   2018-08-20    3
#[Out]# 22   2018-08-20    4
#[Out]# 23   2018-08-21    5
#[Out]# 24   2018-08-23    5
#[Out]# 25   2018-08-24    7
#[Out]# 26   2018-08-17   10
#[Out]# 27   2018-08-26   11
#[Out]# 28   2018-08-25   20
#[Out]# 29   2018-08-15   26
#[Out]# ..          ...  ...
#[Out]# 767  2018-08-22    6
#[Out]# 768  2018-08-21    8
#[Out]# 769  2018-08-18   12
#[Out]# 770  2018-08-22   12
#[Out]# 771  2018-08-16   13
#[Out]# 772  2018-08-24   15
#[Out]# 773  2018-08-17   17
#[Out]# 774  2018-08-24   17
#[Out]# 775  2018-08-23   19
#[Out]# 776  2018-08-26   19
#[Out]# 777  2018-08-17   26
#[Out]# 778  2018-08-21   11
#[Out]# 779  2018-08-24   11
#[Out]# 780  2018-08-20   12
#[Out]# 781  2018-08-20   16
#[Out]# 782  2018-08-25   22
#[Out]# 783  2018-08-16   27
#[Out]# 784  2018-08-26    1
#[Out]# 785  2018-08-18    2
#[Out]# 786  2018-08-27    4
#[Out]# 787  2018-08-20    8
#[Out]# 788  2018-08-20   13
#[Out]# 789  2018-08-26   14
#[Out]# 790  2018-08-18   17
#[Out]# 791  2018-08-15   21
#[Out]# 792  2018-08-24   22
#[Out]# 793  2018-08-18   26
#[Out]# 794  2018-08-25   27
#[Out]# 795  2018-08-25   28
#[Out]# 796  2018-07-10   19
#[Out]# 
#[Out]# [797 rows x 2 columns]
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1
    WHERE
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [date, pID]
#[Out]# Index: []
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1
    WHERE
    i1.date = 2018-08-23
'''

pd.read_sql_query(query6, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [date, pID]
#[Out]# Index: []
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1
    WHERE
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#           date  pID
#[Out]# 0   2018-08-23    5
#[Out]# 1   2018-08-23   11
#[Out]# 2   2018-08-23   16
#[Out]# 3   2018-08-23    3
#[Out]# 4   2018-08-23   19
#[Out]# 5   2018-08-23   13
#[Out]# 6   2018-08-23   12
#[Out]# 7   2018-08-23   16
#[Out]# 8   2018-08-23   17
#[Out]# 9   2018-08-23   24
#[Out]# 10  2018-08-23    0
#[Out]# 11  2018-08-23   15
#[Out]# 12  2018-08-23   16
#[Out]# 13  2018-08-23    1
#[Out]# 14  2018-08-23   12
#[Out]# 15  2018-08-23    2
#[Out]# 16  2018-08-23   14
#[Out]# 17  2018-08-23   15
#[Out]# 18  2018-08-23   16
#[Out]# 19  2018-08-23    2
#[Out]# 20  2018-08-23   13
#[Out]# 21  2018-08-23   15
#[Out]# 22  2018-08-23   15
#[Out]# 23  2018-08-23   22
#[Out]# 24  2018-08-23   19
#[Out]# 25  2018-08-23    4
#[Out]# 26  2018-08-23   23
#[Out]# 27  2018-08-23    8
#[Out]# 28  2018-08-23   27
#[Out]# 29  2018-08-23    0
#[Out]# ..         ...  ...
#[Out]# 38  2018-08-23    7
#[Out]# 39  2018-08-23   11
#[Out]# 40  2018-08-23   13
#[Out]# 41  2018-08-23   25
#[Out]# 42  2018-08-23   27
#[Out]# 43  2018-08-23   28
#[Out]# 44  2018-08-23   23
#[Out]# 45  2018-08-23   24
#[Out]# 46  2018-08-23   14
#[Out]# 47  2018-08-23   27
#[Out]# 48  2018-08-23    1
#[Out]# 49  2018-08-23   14
#[Out]# 50  2018-08-23   12
#[Out]# 51  2018-08-23    7
#[Out]# 52  2018-08-23   19
#[Out]# 53  2018-08-23    4
#[Out]# 54  2018-08-23   13
#[Out]# 55  2018-08-23    7
#[Out]# 56  2018-08-23    6
#[Out]# 57  2018-08-23   10
#[Out]# 58  2018-08-23   14
#[Out]# 59  2018-08-23   22
#[Out]# 60  2018-08-23   10
#[Out]# 61  2018-08-23   22
#[Out]# 62  2018-08-23   28
#[Out]# 63  2018-08-23   12
#[Out]# 64  2018-08-23    1
#[Out]# 65  2018-08-23    1
#[Out]# 66  2018-08-23   25
#[Out]# 67  2018-08-23   19
#[Out]# 
#[Out]# [68 rows x 2 columns]
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT i1.date, i1.pID
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#             date  pID
#[Out]# 0     2018-08-23    5
#[Out]# 1     2018-08-23    5
#[Out]# 2     2018-08-23    5
#[Out]# 3     2018-08-23    5
#[Out]# 4     2018-08-23    5
#[Out]# 5     2018-08-23    5
#[Out]# 6     2018-08-23    5
#[Out]# 7     2018-08-23    5
#[Out]# 8     2018-08-23    5
#[Out]# 9     2018-08-23    5
#[Out]# 10    2018-08-23    5
#[Out]# 11    2018-08-23    5
#[Out]# 12    2018-08-23    5
#[Out]# 13    2018-08-23    5
#[Out]# 14    2018-08-23    5
#[Out]# 15    2018-08-23    5
#[Out]# 16    2018-08-23    5
#[Out]# 17    2018-08-23    5
#[Out]# 18    2018-08-23    5
#[Out]# 19    2018-08-23    5
#[Out]# 20    2018-08-23    5
#[Out]# 21    2018-08-23    5
#[Out]# 22    2018-08-23    5
#[Out]# 23    2018-08-23    5
#[Out]# 24    2018-08-23    5
#[Out]# 25    2018-08-23    5
#[Out]# 26    2018-08-23    5
#[Out]# 27    2018-08-23   11
#[Out]# 28    2018-08-23   11
#[Out]# 29    2018-08-23   11
#[Out]# ...          ...  ...
#[Out]# 2002  2018-08-23   25
#[Out]# 2003  2018-08-23   25
#[Out]# 2004  2018-08-23   25
#[Out]# 2005  2018-08-23   19
#[Out]# 2006  2018-08-23   19
#[Out]# 2007  2018-08-23   19
#[Out]# 2008  2018-08-23   19
#[Out]# 2009  2018-08-23   19
#[Out]# 2010  2018-08-23   19
#[Out]# 2011  2018-08-23   19
#[Out]# 2012  2018-08-23   19
#[Out]# 2013  2018-08-23   19
#[Out]# 2014  2018-08-23   19
#[Out]# 2015  2018-08-23   19
#[Out]# 2016  2018-08-23   19
#[Out]# 2017  2018-08-23   19
#[Out]# 2018  2018-08-23   19
#[Out]# 2019  2018-08-23   19
#[Out]# 2020  2018-08-23   19
#[Out]# 2021  2018-08-23   19
#[Out]# 2022  2018-08-23   19
#[Out]# 2023  2018-08-23   19
#[Out]# 2024  2018-08-23   19
#[Out]# 2025  2018-08-23   19
#[Out]# 2026  2018-08-23   19
#[Out]# 2027  2018-08-23   19
#[Out]# 2028  2018-08-23   19
#[Out]# 2029  2018-08-23   19
#[Out]# 2030  2018-08-23   19
#[Out]# 2031  2018-08-23   19
#[Out]# 
#[Out]# [2032 rows x 2 columns]
query6 = '''
    SELECT *
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#       sID  pID        date  quantity  unit_price  sID  pID        date  \
#[Out]# 0      51   10  2018-08-23        31         0.6    1   10  2018-08-17   
#[Out]# 1      51   10  2018-08-23        31         0.6    3   10  2018-08-21   
#[Out]# 2      51   10  2018-08-23        31         0.6    5   10  2018-08-20   
#[Out]# 3      51   10  2018-08-23        31         0.6    6   10  2018-08-22   
#[Out]# 4      51   10  2018-08-23        31         0.6    8   10  2018-08-27   
#[Out]# 5      51   10  2018-08-23        31         0.6    9   10  2018-08-22   
#[Out]# 6      51   10  2018-08-23        31         0.6   18   10  2018-08-26   
#[Out]# 7      51   10  2018-08-23        31         0.6   23   10  2018-08-22   
#[Out]# 8      51   10  2018-08-23        31         0.6   24   10  2018-08-26   
#[Out]# 9      51   10  2018-08-23        31         0.6   27   10  2018-08-16   
#[Out]# 10     51   10  2018-08-23        31         0.6   27   10  2018-08-20   
#[Out]# 11     51   10  2018-08-23        31         0.6   27   10  2018-08-27   
#[Out]# 12     51   10  2018-08-23        31         0.6   28   10  2018-08-16   
#[Out]# 13     51   10  2018-08-23        31         0.6   28   10  2018-08-25   
#[Out]# 14     51   10  2018-08-23        31         0.6   34   10  2018-08-22   
#[Out]# 15     51   10  2018-08-23        31         0.6   34   10  2018-08-23   
#[Out]# 16     51   10  2018-08-23        31         0.6   35   10  2018-08-21   
#[Out]# 17     51   10  2018-08-23        31         0.6   38   10  2018-08-25   
#[Out]# 18     51   10  2018-08-23        31         0.6   38   10  2018-08-27   
#[Out]# 19     51   10  2018-08-23        31         0.6   42   10  2018-08-21   
#[Out]# 20     51   10  2018-08-23        31         0.6   43   10  2018-08-27   
#[Out]# 21     51   10  2018-08-23        31         0.6   45   10  2018-08-20   
#[Out]# 22     51   10  2018-08-23        31         0.6   45   10  2018-08-22   
#[Out]# 23     51   10  2018-08-23        31         0.6   45   10  2018-08-24   
#[Out]# 24     51   10  2018-08-23        31         0.6   45   10  2018-08-26   
#[Out]# 25     51   10  2018-08-23        31         0.6   50   10  2018-08-23   
#[Out]# 26     51   10  2018-08-23        31         0.6   51   10  2018-08-23   
#[Out]# 27     51   10  2018-08-23        31         0.6   53   10  2018-08-24   
#[Out]# 28     51   10  2018-08-23        31         0.6   54   10  2018-08-22   
#[Out]# 29     51   10  2018-08-23        31         0.6   54   10  2018-08-24   
#[Out]# ...   ...  ...         ...       ...         ...  ...  ...         ...   
#[Out]# 2002    4   13  2018-08-23        23         4.2    9   13  2018-08-27   
#[Out]# 2003    4   13  2018-08-23        23         4.2   10   13  2018-08-15   
#[Out]# 2004    4   13  2018-08-23        23         4.2   12   13  2018-08-18   
#[Out]# 2005    4   13  2018-08-23        23         4.2   12   13  2018-08-23   
#[Out]# 2006    4   13  2018-08-23        23         4.2   13   13  2018-08-16   
#[Out]# 2007    4   13  2018-08-23        23         4.2   16   13  2018-08-22   
#[Out]# 2008    4   13  2018-08-23        23         4.2   19   13  2018-08-19   
#[Out]# 2009    4   13  2018-08-23        23         4.2   21   13  2018-08-20   
#[Out]# 2010    4   13  2018-08-23        23         4.2   26   13  2018-08-27   
#[Out]# 2011    4   13  2018-08-23        23         4.2   27   13  2018-08-25   
#[Out]# 2012    4   13  2018-08-23        23         4.2   28   13  2018-08-21   
#[Out]# 2013    4   13  2018-08-23        23         4.2   32   13  2018-08-21   
#[Out]# 2014    4   13  2018-08-23        23         4.2   34   13  2018-08-16   
#[Out]# 2015    4   13  2018-08-23        23         4.2   34   13  2018-08-26   
#[Out]# 2016    4   13  2018-08-23        23         4.2   35   13  2018-08-23   
#[Out]# 2017    4   13  2018-08-23        23         4.2   35   13  2018-08-25   
#[Out]# 2018    4   13  2018-08-23        23         4.2   36   13  2018-08-18   
#[Out]# 2019    4   13  2018-08-23        23         4.2   36   13  2018-08-26   
#[Out]# 2020    4   13  2018-08-23        23         4.2   39   13  2018-08-18   
#[Out]# 2021    4   13  2018-08-23        23         4.2   40   13  2018-08-16   
#[Out]# 2022    4   13  2018-08-23        23         4.2   44   13  2018-08-15   
#[Out]# 2023    4   13  2018-08-23        23         4.2   45   13  2018-08-23   
#[Out]# 2024    4   13  2018-08-23        23         4.2   46   13  2018-08-25   
#[Out]# 2025    4   13  2018-08-23        23         4.2   51   13  2018-08-17   
#[Out]# 2026    4   13  2018-08-23        23         4.2   53   13  2018-08-21   
#[Out]# 2027    4   13  2018-08-23        23         4.2   54   13  2018-08-21   
#[Out]# 2028    4   13  2018-08-23        23         4.2   55   13  2018-08-25   
#[Out]# 2029    4   13  2018-08-23        23         4.2   56   13  2018-08-17   
#[Out]# 2030    4   13  2018-08-23        23         4.2   57   13  2018-08-16   
#[Out]# 2031    4   13  2018-08-23        23         4.2   59   13  2018-08-20   
#[Out]# 
#[Out]#       quantity  unit_price  
#[Out]# 0           29        0.45  
#[Out]# 1           13        0.45  
#[Out]# 2           11        0.50  
#[Out]# 3           20        0.55  
#[Out]# 4           26        0.50  
#[Out]# 5            3        0.50  
#[Out]# 6           16        0.50  
#[Out]# 7           52        0.55  
#[Out]# 8           19        0.55  
#[Out]# 9           16        0.55  
#[Out]# 10           7        0.55  
#[Out]# 11          19        0.45  
#[Out]# 12          15        0.40  
#[Out]# 13           7        0.40  
#[Out]# 14          31        0.40  
#[Out]# 15           8        0.45  
#[Out]# 16          51        0.55  
#[Out]# 17           9        0.60  
#[Out]# 18          33        0.50  
#[Out]# 19           3        0.55  
#[Out]# 20          12        0.50  
#[Out]# 21           6        0.60  
#[Out]# 22          21        0.45  
#[Out]# 23          11        0.45  
#[Out]# 24          54        0.50  
#[Out]# 25          54        0.55  
#[Out]# 26          31        0.60  
#[Out]# 27          32        0.45  
#[Out]# 28           4        0.50  
#[Out]# 29          16        0.55  
#[Out]# ...        ...         ...  
#[Out]# 2002         3        3.85  
#[Out]# 2003         5        2.90  
#[Out]# 2004        33        3.00  
#[Out]# 2005        15        3.55  
#[Out]# 2006        17        3.30  
#[Out]# 2007         7        3.40  
#[Out]# 2008        20        3.65  
#[Out]# 2009        21        3.45  
#[Out]# 2010         7        3.50  
#[Out]# 2011         2        4.00  
#[Out]# 2012        19        3.25  
#[Out]# 2013        18        4.05  
#[Out]# 2014        10        3.55  
#[Out]# 2015         3        4.05  
#[Out]# 2016        28        4.15  
#[Out]# 2017        13        3.10  
#[Out]# 2018         9        2.90  
#[Out]# 2019        21        3.05  
#[Out]# 2020        51        3.30  
#[Out]# 2021         6        2.90  
#[Out]# 2022         9        3.60  
#[Out]# 2023        32        4.10  
#[Out]# 2024        10        3.50  
#[Out]# 2025         6        3.70  
#[Out]# 2026         3        3.35  
#[Out]# 2027         0        3.45  
#[Out]# 2028         1        3.85  
#[Out]# 2029         2        4.15  
#[Out]# 2030        48        3.60  
#[Out]# 2031         1        4.00  
#[Out]# 
#[Out]# [2032 rows x 10 columns]
query6 = '''
    SELECT i1.unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0            0.6
#[Out]# 1            0.6
#[Out]# 2            0.6
#[Out]# 3            0.6
#[Out]# 4            0.6
#[Out]# 5            0.6
#[Out]# 6            0.6
#[Out]# 7            0.6
#[Out]# 8            0.6
#[Out]# 9            0.6
#[Out]# 10           0.6
#[Out]# 11           0.6
#[Out]# 12           0.6
#[Out]# 13           0.6
#[Out]# 14           0.6
#[Out]# 15           0.6
#[Out]# 16           0.6
#[Out]# 17           0.6
#[Out]# 18           0.6
#[Out]# 19           0.6
#[Out]# 20           0.6
#[Out]# 21           0.6
#[Out]# 22           0.6
#[Out]# 23           0.6
#[Out]# 24           0.6
#[Out]# 25           0.6
#[Out]# 26           0.6
#[Out]# 27           0.6
#[Out]# 28           0.6
#[Out]# 29           0.6
#[Out]# ...          ...
#[Out]# 2002         4.2
#[Out]# 2003         4.2
#[Out]# 2004         4.2
#[Out]# 2005         4.2
#[Out]# 2006         4.2
#[Out]# 2007         4.2
#[Out]# 2008         4.2
#[Out]# 2009         4.2
#[Out]# 2010         4.2
#[Out]# 2011         4.2
#[Out]# 2012         4.2
#[Out]# 2013         4.2
#[Out]# 2014         4.2
#[Out]# 2015         4.2
#[Out]# 2016         4.2
#[Out]# 2017         4.2
#[Out]# 2018         4.2
#[Out]# 2019         4.2
#[Out]# 2020         4.2
#[Out]# 2021         4.2
#[Out]# 2022         4.2
#[Out]# 2023         4.2
#[Out]# 2024         4.2
#[Out]# 2025         4.2
#[Out]# 2026         4.2
#[Out]# 2027         4.2
#[Out]# 2028         4.2
#[Out]# 2029         4.2
#[Out]# 2030         4.2
#[Out]# 2031         4.2
#[Out]# 
#[Out]# [2032 rows x 1 columns]
query6 = '''
    SELECT i1.unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
    GROUP BY unit.price
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT i1.unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
    GROUP BY i1.unit.price
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT i1.unit_price
    FROM inventory AS i1, inventory AS i2
    WHERE
    i1.pID = i2.pID AND
    i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#       unit_price
#[Out]# 0            0.6
#[Out]# 1            0.6
#[Out]# 2            0.6
#[Out]# 3            0.6
#[Out]# 4            0.6
#[Out]# 5            0.6
#[Out]# 6            0.6
#[Out]# 7            0.6
#[Out]# 8            0.6
#[Out]# 9            0.6
#[Out]# 10           0.6
#[Out]# 11           0.6
#[Out]# 12           0.6
#[Out]# 13           0.6
#[Out]# 14           0.6
#[Out]# 15           0.6
#[Out]# 16           0.6
#[Out]# 17           0.6
#[Out]# 18           0.6
#[Out]# 19           0.6
#[Out]# 20           0.6
#[Out]# 21           0.6
#[Out]# 22           0.6
#[Out]# 23           0.6
#[Out]# 24           0.6
#[Out]# 25           0.6
#[Out]# 26           0.6
#[Out]# 27           0.6
#[Out]# 28           0.6
#[Out]# 29           0.6
#[Out]# ...          ...
#[Out]# 2002         4.2
#[Out]# 2003         4.2
#[Out]# 2004         4.2
#[Out]# 2005         4.2
#[Out]# 2006         4.2
#[Out]# 2007         4.2
#[Out]# 2008         4.2
#[Out]# 2009         4.2
#[Out]# 2010         4.2
#[Out]# 2011         4.2
#[Out]# 2012         4.2
#[Out]# 2013         4.2
#[Out]# 2014         4.2
#[Out]# 2015         4.2
#[Out]# 2016         4.2
#[Out]# 2017         4.2
#[Out]# 2018         4.2
#[Out]# 2019         4.2
#[Out]# 2020         4.2
#[Out]# 2021         4.2
#[Out]# 2022         4.2
#[Out]# 2023         4.2
#[Out]# 2024         4.2
#[Out]# 2025         4.2
#[Out]# 2026         4.2
#[Out]# 2027         4.2
#[Out]# 2028         4.2
#[Out]# 2029         4.2
#[Out]# 2030         4.2
#[Out]# 2031         4.2
#[Out]# 
#[Out]# [2032 rows x 1 columns]
query6 = '''
    SELECT MAX(i1.price - i2.price)
    FROM inventory AS i1, inventory AS i2
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                14.5
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE i1.pID = i2.pID
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                4.75
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE 
        i1.pID = i2.pID
    AND i1.date = '2018-08-23'
    
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                3.25
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE 
        i1.pID = i2.pID
        i1.sID <> i2.sID
    AND i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE 
        i1.pID = i2.pID
    AND i1.sID <> i2.sID
    AND i1.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                3.25
query6 = '''
    SELECT MAX(i1.unit_price - i2.unit_price)
    FROM inventory AS i1, inventory AS i2
    WHERE 
        i1.pID = i2.pID
    AND i1.sID <> i2.sID
    AND i1.date = '2018-08-23'
    AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    MAX(i1.unit_price - i2.unit_price)
#[Out]# 0                                 2.0
query5 = ''' 
WITH maxPur(price) AS (
    SELECT MAX(price)
    FROM purchase
)

SELECT product.pName, store.sName
FROM store, product, purchase, maxPur
WHERE 
    purchase.price = maxPur.price 
AND product.pID = purchase.pID
AND store.sID = purchase.sID
'''

pd.read_sql_query(query5, conn)
#[Out]#   pName   sName
#[Out]# 0  Beef  Sligro
query4 = '''
SELECT s.sName
FROM purchase AS pur, store AS s, product AS p
WHERE 
    pur.sID = s.sID AND
    pur.pID = p.pID     
GROUP BY sName
HAVING AVG (pur.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro
query6 = '''
SELECT MAX(i1.unit_price - i2.unit_price) AS maxDif
FROM inventory AS i1, inventory AS i2
WHERE 
    i1.pID = i2.pID
AND i1.sID <> i2.sID
AND i1.date = '2018-08-23'
AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    maxDif
#[Out]# 0     2.0
query6 = '''
SELECT MAX(i1.unit_price - i2.unit_price) AS largestDifference
FROM inventory AS i1, inventory AS i2
WHERE 
    i1.pID = i2.pID
AND i1.sID <> i2.sID
AND i1.date = '2018-08-23'
AND i2.date = '2018-08-23'
'''

pd.read_sql_query(query6, conn)
#[Out]#    largestDifference
#[Out]# 0                2.0
query3 ='''

SELECT COUNT(distinct sID)
FROM store

'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(distinct sID)
#[Out]# 0                   64
query3 ='''

WITH storecount(count) AS (
    SELECT COUNT(distinct sID)
    FROM store
)

'''

pd.read_sql_query(query3, conn)
query3 ='''

WITH storecount AS (
    SELECT COUNT(distinct sID)
    FROM store
)

'''

pd.read_sql_query(query3, conn)
query1 ='''
SELECT pID
FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   31
query1 ='''
SELECT pID
FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cD AND
pu2.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu2.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu1.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu1.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu1.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu1.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu1.cID <> pu3.cID AND
pu2.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu1.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu1.cID <> pu3.cID AND
pu2.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu1.pID = pu3.pID AND 
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query1 ='''
SELECT pID FROM purchase
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.cID AND
pu1.cID <> pu3.cID AND
pu2.cID <> pu3.cID AND
pu1.pID = pu2.pID AND
pu1.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   29
#[Out]# 1   30
query2 ='''
SELECT p1.cID, p1.cName
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, c.cNAme
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, c.cName
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, p.pName
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, 
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2, customer as c
WHERE 
c.cID = p1.cID
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, c.cName
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2, customer as c
WHERE 
c.cID = p1.cID
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID, c.cName
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2, customer as c
WHERE 
c.cID = p1.cID AND
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID   cName
#[Out]# 0  124   Sofie
#[Out]# 1  190  Kostas
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store

'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(distinct sID)
#[Out]# 0                   64
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    UNION
    SELECT distinct sID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
#[Out]#     COUNT(distinct sID)
#[Out]# 0                     0
#[Out]# 1                     1
#[Out]# 2                     2
#[Out]# 3                     3
#[Out]# 4                     4
#[Out]# 5                     5
#[Out]# 6                     6
#[Out]# 7                     7
#[Out]# 8                     8
#[Out]# 9                     9
#[Out]# 10                   10
#[Out]# 11                   11
#[Out]# 12                   12
#[Out]# 13                   13
#[Out]# 14                   14
#[Out]# 15                   15
#[Out]# 16                   16
#[Out]# 17                   17
#[Out]# 18                   18
#[Out]# 19                   19
#[Out]# 20                   20
#[Out]# 21                   21
#[Out]# 22                   22
#[Out]# 23                   23
#[Out]# 24                   24
#[Out]# 25                   25
#[Out]# 26                   26
#[Out]# 27                   27
#[Out]# 28                   28
#[Out]# 29                   29
#[Out]# ..                  ...
#[Out]# 35                   35
#[Out]# 36                   36
#[Out]# 37                   37
#[Out]# 38                   38
#[Out]# 39                   39
#[Out]# 40                   40
#[Out]# 41                   41
#[Out]# 42                   42
#[Out]# 43                   43
#[Out]# 44                   44
#[Out]# 45                   45
#[Out]# 46                   46
#[Out]# 47                   47
#[Out]# 48                   48
#[Out]# 49                   49
#[Out]# 50                   50
#[Out]# 51                   51
#[Out]# 52                   52
#[Out]# 53                   53
#[Out]# 54                   54
#[Out]# 55                   55
#[Out]# 56                   56
#[Out]# 57                   57
#[Out]# 58                   58
#[Out]# 59                   59
#[Out]# 60                   60
#[Out]# 61                   61
#[Out]# 62                   62
#[Out]# 63                   63
#[Out]# 64                   64
#[Out]# 
#[Out]# [65 rows x 1 columns]
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    UNION
    SELECT COUNT(distinct sID)
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(distinct sID)
#[Out]# 0                   64
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    UNION
    SELECT cID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    UNION
    SELECT customer.cID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
#[Out]#      COUNT(distinct sID)
#[Out]# 0                      0
#[Out]# 1                      1
#[Out]# 2                      2
#[Out]# 3                      3
#[Out]# 4                      4
#[Out]# 5                      5
#[Out]# 6                      7
#[Out]# 7                      8
#[Out]# 8                     10
#[Out]# 9                     11
#[Out]# 10                    13
#[Out]# 11                    15
#[Out]# 12                    16
#[Out]# 13                    17
#[Out]# 14                    18
#[Out]# 15                    19
#[Out]# 16                    20
#[Out]# 17                    21
#[Out]# 18                    22
#[Out]# 19                    24
#[Out]# 20                    25
#[Out]# 21                    26
#[Out]# 22                    27
#[Out]# 23                    28
#[Out]# 24                    29
#[Out]# 25                    30
#[Out]# 26                    31
#[Out]# 27                    33
#[Out]# 28                    34
#[Out]# 29                    35
#[Out]# ..                   ...
#[Out]# 102                  147
#[Out]# 103                  149
#[Out]# 104                  151
#[Out]# 105                  152
#[Out]# 106                  157
#[Out]# 107                  159
#[Out]# 108                  161
#[Out]# 109                  162
#[Out]# 110                  163
#[Out]# 111                  165
#[Out]# 112                  167
#[Out]# 113                  168
#[Out]# 114                  169
#[Out]# 115                  170
#[Out]# 116                  171
#[Out]# 117                  172
#[Out]# 118                  175
#[Out]# 119                  176
#[Out]# 120                  177
#[Out]# 121                  178
#[Out]# 122                  179
#[Out]# 123                  180
#[Out]# 124                  181
#[Out]# 125                  182
#[Out]# 126                  184
#[Out]# 127                  185
#[Out]# 128                  186
#[Out]# 129                  188
#[Out]# 130                  189
#[Out]# 131                  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    INTERSECTION
    SELECT customer.cID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
query3 ='''

    SELECT customer.cID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 ='''

    SELECT customer.cID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      1
#[Out]# 3      1
#[Out]# 4      1
#[Out]# 5      1
#[Out]# 6      1
#[Out]# 7      1
#[Out]# 8      2
#[Out]# 9      2
#[Out]# 10     2
#[Out]# 11     2
#[Out]# 12     2
#[Out]# 13     3
#[Out]# 14     3
#[Out]# 15     3
#[Out]# 16     4
#[Out]# 17     4
#[Out]# 18     4
#[Out]# 19     4
#[Out]# 20     4
#[Out]# 21     4
#[Out]# 22     5
#[Out]# 23     5
#[Out]# 24     5
#[Out]# 25     5
#[Out]# 26     5
#[Out]# 27     5
#[Out]# 28     7
#[Out]# 29     7
#[Out]# ..   ...
#[Out]# 479  190
#[Out]# 480  190
#[Out]# 481  190
#[Out]# 482  190
#[Out]# 483  190
#[Out]# 484  190
#[Out]# 485  190
#[Out]# 486  190
#[Out]# 487  190
#[Out]# 488  190
#[Out]# 489  190
#[Out]# 490  190
#[Out]# 491  190
#[Out]# 492  190
#[Out]# 493  190
#[Out]# 494  190
#[Out]# 495  190
#[Out]# 496  190
#[Out]# 497  190
#[Out]# 498  190
#[Out]# 499  190
#[Out]# 500  190
#[Out]# 501  190
#[Out]# 502  190
#[Out]# 503  190
#[Out]# 504  190
#[Out]# 505  190
#[Out]# 506  190
#[Out]# 507  190
#[Out]# 508  190
#[Out]# 
#[Out]# [509 rows x 1 columns]
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    INTERSECTION
    SELECT distinct sID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID AND
    

'''

pd.read_sql_query(query3, conn)
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    INTERSECT
    SELECT distinct sID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID AND
    

'''

pd.read_sql_query(query3, conn)
query3 ='''

    SELECT COUNT(distinct sID)
    FROM store
    INTERSECT
    SELECT distinct sID
    FROM customer, purchase
    WHERE 
    customer.cID = purchase.cID
    

'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [COUNT(distinct sID)]
#[Out]# Index: []
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID)
    FROM store)
    
    

'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID)
    FROM store)

SELECT *
'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID)
    FROM store)

SELECT *
FROM StoreCount
'''

pd.read_sql_query(query3, conn)
#[Out]#    COUNT(distinct sID)
#[Out]# 0                   64
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS storeCount
    FROM store)

SELECT *
FROM StoreCount
'''

pd.read_sql_query(query3, conn)
#[Out]#    storeCount
#[Out]# 0          64
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS storeAmount
    FROM store)

SELECT *
FROM StoreCount
'''

pd.read_sql_query(query3, conn)
#[Out]#    storeAmount
#[Out]# 0           64
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS Amount
    FROM store)

SELECT *
FROM StoreCount
'''

pd.read_sql_query(query3, conn)
#[Out]#    Amount
#[Out]# 0      64
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS amount
    FROM store)

SELECT *
FROM StoreCount
'''

pd.read_sql_query(query3, conn)
#[Out]#    amount
#[Out]# 0      64
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS Amount
    FROM store)

SELECT *
FROM store, purchase, customer, StoreCount
WHERE 


'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH StoreCount AS 
    (SELECT COUNT(distinct sID) AS Amount
    FROM store)

SELECT *
FROM store, purchase, customer, StoreCount
WHERE 


'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH count(cID, count) AS (
    SELECT cID, COUNT(distinct sID)

)

'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID)

SELECT cID
FROM storecount
WHERE count = (
    SELECT MAX(count)
    FROM storecount)


'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT cID
FROM storecount
WHERE count = (
    SELECT MAX(count)
    FROM storecount)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT cID
FROM storecount
WHERE count = (
    SELECT MAX(count)
    FROM storecount
)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID
#[Out]# 0  190
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT cID
FROM storecount
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, sID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID, sID
)

SELECT cID
FROM storecount
'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT cID
FROM storecount

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      7
#[Out]# 7      8
#[Out]# 8     10
#[Out]# 9     11
#[Out]# 10    13
#[Out]# 11    15
#[Out]# 12    16
#[Out]# 13    17
#[Out]# 14    18
#[Out]# 15    19
#[Out]# 16    20
#[Out]# 17    21
#[Out]# 18    22
#[Out]# 19    24
#[Out]# 20    25
#[Out]# 21    26
#[Out]# 22    27
#[Out]# 23    28
#[Out]# 24    29
#[Out]# 25    30
#[Out]# 26    31
#[Out]# 27    33
#[Out]# 28    34
#[Out]# 29    35
#[Out]# ..   ...
#[Out]# 102  147
#[Out]# 103  149
#[Out]# 104  151
#[Out]# 105  152
#[Out]# 106  157
#[Out]# 107  159
#[Out]# 108  161
#[Out]# 109  162
#[Out]# 110  163
#[Out]# 111  165
#[Out]# 112  167
#[Out]# 113  168
#[Out]# 114  169
#[Out]# 115  170
#[Out]# 116  171
#[Out]# 117  172
#[Out]# 118  175
#[Out]# 119  176
#[Out]# 120  177
#[Out]# 121  178
#[Out]# 122  179
#[Out]# 123  180
#[Out]# 124  181
#[Out]# 125  182
#[Out]# 126  184
#[Out]# 127  185
#[Out]# 128  186
#[Out]# 129  188
#[Out]# 130  189
#[Out]# 131  190
#[Out]# 
#[Out]# [132 rows x 1 columns]
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count
#[Out]# 0      0      1
#[Out]# 1      1      7
#[Out]# 2      2      5
#[Out]# 3      3      3
#[Out]# 4      4      6
#[Out]# 5      5      6
#[Out]# 6      7      6
#[Out]# 7      8      2
#[Out]# 8     10      1
#[Out]# 9     11      1
#[Out]# 10    13      7
#[Out]# 11    15      1
#[Out]# 12    16     10
#[Out]# 13    17      2
#[Out]# 14    18      3
#[Out]# 15    19      4
#[Out]# 16    20      3
#[Out]# 17    21      3
#[Out]# 18    22      2
#[Out]# 19    24      9
#[Out]# 20    25      1
#[Out]# 21    26      1
#[Out]# 22    27      5
#[Out]# 23    28      1
#[Out]# 24    29      2
#[Out]# 25    30      3
#[Out]# 26    31      2
#[Out]# 27    33      9
#[Out]# 28    34      1
#[Out]# 29    35      2
#[Out]# ..   ...    ...
#[Out]# 102  147      3
#[Out]# 103  149      2
#[Out]# 104  151      2
#[Out]# 105  152      3
#[Out]# 106  157      2
#[Out]# 107  159      2
#[Out]# 108  161      9
#[Out]# 109  162      8
#[Out]# 110  163      4
#[Out]# 111  165      6
#[Out]# 112  167     10
#[Out]# 113  168      1
#[Out]# 114  169     11
#[Out]# 115  170      3
#[Out]# 116  171      2
#[Out]# 117  172      2
#[Out]# 118  175      2
#[Out]# 119  176      6
#[Out]# 120  177      5
#[Out]# 121  178      2
#[Out]# 122  179      6
#[Out]# 123  180      2
#[Out]# 124  181      3
#[Out]# 125  182      3
#[Out]# 126  184      1
#[Out]# 127  185      1
#[Out]# 128  186      1
#[Out]# 129  188      1
#[Out]# 130  189      2
#[Out]# 131  190     64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 ='''
WITH storecount(cID, count) AS (
    SELECT sID, COUNT(distinct sID)
    FROM purchase
    GROUP BY sID
)

SELECT *
FROM storecount

'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  count
#[Out]# 0     0      1
#[Out]# 1     1      1
#[Out]# 2     2      1
#[Out]# 3     3      1
#[Out]# 4     4      1
#[Out]# 5     5      1
#[Out]# 6     6      1
#[Out]# 7     7      1
#[Out]# 8     8      1
#[Out]# 9     9      1
#[Out]# 10   10      1
#[Out]# 11   11      1
#[Out]# 12   12      1
#[Out]# 13   13      1
#[Out]# 14   14      1
#[Out]# 15   15      1
#[Out]# 16   16      1
#[Out]# 17   17      1
#[Out]# 18   18      1
#[Out]# 19   19      1
#[Out]# 20   20      1
#[Out]# 21   21      1
#[Out]# 22   22      1
#[Out]# 23   23      1
#[Out]# 24   24      1
#[Out]# 25   25      1
#[Out]# 26   26      1
#[Out]# 27   27      1
#[Out]# 28   28      1
#[Out]# 29   29      1
#[Out]# ..  ...    ...
#[Out]# 34   34      1
#[Out]# 35   35      1
#[Out]# 36   36      1
#[Out]# 37   37      1
#[Out]# 38   38      1
#[Out]# 39   39      1
#[Out]# 40   40      1
#[Out]# 41   41      1
#[Out]# 42   42      1
#[Out]# 43   43      1
#[Out]# 44   44      1
#[Out]# 45   45      1
#[Out]# 46   46      1
#[Out]# 47   47      1
#[Out]# 48   48      1
#[Out]# 49   49      1
#[Out]# 50   50      1
#[Out]# 51   51      1
#[Out]# 52   52      1
#[Out]# 53   53      1
#[Out]# 54   54      1
#[Out]# 55   55      1
#[Out]# 56   56      1
#[Out]# 57   57      1
#[Out]# 58   58      1
#[Out]# 59   59      1
#[Out]# 60   60      1
#[Out]# 61   61      1
#[Out]# 62   62      1
#[Out]# 63   63      1
#[Out]# 
#[Out]# [64 rows x 2 columns]
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount

'''

pd.read_sql_query(query3, conn)
#[Out]#      cID  count
#[Out]# 0      0      1
#[Out]# 1      1      7
#[Out]# 2      2      5
#[Out]# 3      3      3
#[Out]# 4      4      6
#[Out]# 5      5      6
#[Out]# 6      7      6
#[Out]# 7      8      2
#[Out]# 8     10      1
#[Out]# 9     11      1
#[Out]# 10    13      7
#[Out]# 11    15      1
#[Out]# 12    16     10
#[Out]# 13    17      2
#[Out]# 14    18      3
#[Out]# 15    19      4
#[Out]# 16    20      3
#[Out]# 17    21      3
#[Out]# 18    22      2
#[Out]# 19    24      9
#[Out]# 20    25      1
#[Out]# 21    26      1
#[Out]# 22    27      5
#[Out]# 23    28      1
#[Out]# 24    29      2
#[Out]# 25    30      3
#[Out]# 26    31      2
#[Out]# 27    33      9
#[Out]# 28    34      1
#[Out]# 29    35      2
#[Out]# ..   ...    ...
#[Out]# 102  147      3
#[Out]# 103  149      2
#[Out]# 104  151      2
#[Out]# 105  152      3
#[Out]# 106  157      2
#[Out]# 107  159      2
#[Out]# 108  161      9
#[Out]# 109  162      8
#[Out]# 110  163      4
#[Out]# 111  165      6
#[Out]# 112  167     10
#[Out]# 113  168      1
#[Out]# 114  169     11
#[Out]# 115  170      3
#[Out]# 116  171      2
#[Out]# 117  172      2
#[Out]# 118  175      2
#[Out]# 119  176      6
#[Out]# 120  177      5
#[Out]# 121  178      2
#[Out]# 122  179      6
#[Out]# 123  180      2
#[Out]# 124  181      3
#[Out]# 125  182      3
#[Out]# 126  184      1
#[Out]# 127  185      1
#[Out]# 128  186      1
#[Out]# 129  188      1
#[Out]# 130  189      2
#[Out]# 131  190     64
#[Out]# 
#[Out]# [132 rows x 2 columns]
query3 ='''
WITH everyStore(cID, storecount) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM everyStore
WHERE storecount = (
    SELECT MAX(count)
    FROM storecount
)
'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH everyStore(cID, storecount) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM everyStore
WHERE storecount = (
    SELECT MAX(count)
    FROM everyStore
)
'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = (
    SELECT MAX(count)
    FROM storecount
)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count
#[Out]# 0  190     64
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 32
)
'''

pd.read_sql_query(query3, conn)
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 32
'''

pd.read_sql_query(query3, conn)
#[Out]# Empty DataFrame
#[Out]# Columns: [cID, count]
#[Out]# Index: []
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 1
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  count
#[Out]# 0     0      1
#[Out]# 1    10      1
#[Out]# 2    11      1
#[Out]# 3    15      1
#[Out]# 4    25      1
#[Out]# 5    26      1
#[Out]# 6    28      1
#[Out]# 7    34      1
#[Out]# 8    47      1
#[Out]# 9    63      1
#[Out]# 10   69      1
#[Out]# 11   76      1
#[Out]# 12   77      1
#[Out]# 13   80      1
#[Out]# 14   84      1
#[Out]# 15   88      1
#[Out]# 16   90      1
#[Out]# 17   99      1
#[Out]# 18  103      1
#[Out]# 19  104      1
#[Out]# 20  111      1
#[Out]# 21  128      1
#[Out]# 22  131      1
#[Out]# 23  135      1
#[Out]# 24  136      1
#[Out]# 25  137      1
#[Out]# 26  145      1
#[Out]# 27  168      1
#[Out]# 28  184      1
#[Out]# 29  185      1
#[Out]# 30  186      1
#[Out]# 31  188      1
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 2
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  count
#[Out]# 0     8      2
#[Out]# 1    17      2
#[Out]# 2    22      2
#[Out]# 3    29      2
#[Out]# 4    31      2
#[Out]# 5    35      2
#[Out]# 6    37      2
#[Out]# 7    38      2
#[Out]# 8    41      2
#[Out]# 9    42      2
#[Out]# 10   45      2
#[Out]# 11   55      2
#[Out]# 12   58      2
#[Out]# 13   64      2
#[Out]# 14   70      2
#[Out]# 15   78      2
#[Out]# 16   85      2
#[Out]# 17   94      2
#[Out]# 18  118      2
#[Out]# 19  119      2
#[Out]# 20  126      2
#[Out]# 21  127      2
#[Out]# 22  133      2
#[Out]# 23  144      2
#[Out]# 24  149      2
#[Out]# 25  151      2
#[Out]# 26  157      2
#[Out]# 27  159      2
#[Out]# 28  171      2
#[Out]# 29  172      2
#[Out]# 30  175      2
#[Out]# 31  178      2
#[Out]# 32  180      2
#[Out]# 33  189      2
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 3
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID  count
#[Out]# 0     3      3
#[Out]# 1    18      3
#[Out]# 2    20      3
#[Out]# 3    21      3
#[Out]# 4    30      3
#[Out]# 5    40      3
#[Out]# 6    43      3
#[Out]# 7    44      3
#[Out]# 8    52      3
#[Out]# 9    57      3
#[Out]# 10   60      3
#[Out]# 11   66      3
#[Out]# 12   67      3
#[Out]# 13   68      3
#[Out]# 14   71      3
#[Out]# 15   75      3
#[Out]# 16   96      3
#[Out]# 17  110      3
#[Out]# 18  112      3
#[Out]# 19  116      3
#[Out]# 20  134      3
#[Out]# 21  139      3
#[Out]# 22  147      3
#[Out]# 23  152      3
#[Out]# 24  170      3
#[Out]# 25  181      3
#[Out]# 26  182      3
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = 4
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count
#[Out]# 0   19      4
#[Out]# 1   51      4
#[Out]# 2   72      4
#[Out]# 3   95      4
#[Out]# 4   97      4
#[Out]# 5  129      4
#[Out]# 6  163      4
query3 ='''
WITH storecount(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecount
WHERE count = (
    SELECT MAX(count)
    FROM storecount
)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count
#[Out]# 0  190     64
query3 ='''
WITH storecounter(cID, count) AS (
    SELECT cID, COUNT(distinct sID)
    FROM purchase
    GROUP BY cID
)

SELECT *
FROM storecounter
WHERE count = (
    SELECT MAX(count)
    FROM storecounter
)
'''

pd.read_sql_query(query3, conn)
#[Out]#    cID  count
#[Out]# 0  190     64
query4 = '''
SELECT s.sName
FROM purchase AS pur, store AS s, product AS p
WHERE 
    pur.sID = s.sID AND
    pur.pID = p.pID     
GROUP BY sName
HAVING AVG (pur.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0  Albert Hein
#[Out]# 1         Coop
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4         Lidl
#[Out]# 5       Sligro

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 =

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

'''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
( SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID )'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c1.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID

'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
'''

pd.read_sql_query(query3, conn)
query3 = '''

'''

pd.read_sql_query(query3, conn)
query3 = '''
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE 
pu1.cID <> pu2.CID AND
pu2.cID <> pu3.CID AND
pu1.pID = pu2.pID AND
pu2.pID = pu3.pID
'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   30
#[Out]# 1   31
query3 ='''
SELECT cID
FROM customer 
EXCEPT 

FROM purchase AS p1, purchase AS p2
WHERE 
p1.sID <> p2.sID AND
p1.cID <> p2.cID
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
SELECT p1.cID
FROM purchase AS p1, purchase AS p2
WHERE 
p1.sID <> p2.sID AND
p1.cID <> p2.cID
'''

pd.read_sql_query(query3, conn)
#[Out]#     cID
#[Out]# 0     6
#[Out]# 1     9
#[Out]# 2    12
#[Out]# 3    14
#[Out]# 4    23
#[Out]# 5    32
#[Out]# 6    36
#[Out]# 7    46
#[Out]# 8    48
#[Out]# 9    49
#[Out]# 10   50
#[Out]# 11   53
#[Out]# 12   54
#[Out]# 13   56
#[Out]# 14   61
#[Out]# 15   62
#[Out]# 16   65
#[Out]# 17   73
#[Out]# 18   74
#[Out]# 19   79
#[Out]# 20   81
#[Out]# 21   83
#[Out]# 22   87
#[Out]# 23   89
#[Out]# 24   93
#[Out]# 25   98
#[Out]# 26  101
#[Out]# 27  102
#[Out]# 28  105
#[Out]# 29  106
#[Out]# 30  107
#[Out]# 31  114
#[Out]# 32  115
#[Out]# 33  117
#[Out]# 34  120
#[Out]# 35  121
#[Out]# 36  125
#[Out]# 37  130
#[Out]# 38  132
#[Out]# 39  138
#[Out]# 40  140
#[Out]# 41  141
#[Out]# 42  142
#[Out]# 43  143
#[Out]# 44  146
#[Out]# 45  148
#[Out]# 46  150
#[Out]# 47  153
#[Out]# 48  154
#[Out]# 49  155
#[Out]# 50  156
#[Out]# 51  158
#[Out]# 52  160
#[Out]# 53  164
#[Out]# 54  166
#[Out]# 55  173
#[Out]# 56  174
#[Out]# 57  183
query4 = '''
SELECT sName
FROM store AS s1 AND store AS s2
WHERE s1.sName = s2.sName
HAVING avg(quantity > 4)

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1 AND store AS s2
WHERE s1.sName = s2.sName
HAVING avg(quantity > 4)

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1 AND store AS s2
WHERE s1.sName = s2.sName
HAVING avg(s1.quantity > 4)

'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1 AND store AS s2
WHERE s1.sName = s2.sName
GROUP BY sName
HAVING avg(s1.quantity > 4)

'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1. store AS s2
WHERE s1.sName = s2.sName
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1         Coop
#[Out]# 2         Coop
#[Out]# 3         Coop
#[Out]# 4         Coop
#[Out]# 5         Coop
#[Out]# 6         Coop
#[Out]# 7         Coop
#[Out]# 8         Coop
#[Out]# 9         Coop
#[Out]# 10        Coop
#[Out]# 11        Coop
#[Out]# 12        Coop
#[Out]# 13        Coop
#[Out]# 14   Hoogvliet
#[Out]# 15   Hoogvliet
#[Out]# 16   Hoogvliet
#[Out]# 17   Hoogvliet
#[Out]# 18   Hoogvliet
#[Out]# 19   Hoogvliet
#[Out]# 20   Hoogvliet
#[Out]# 21   Hoogvliet
#[Out]# 22   Hoogvliet
#[Out]# 23       Jumbo
#[Out]# 24       Jumbo
#[Out]# 25       Jumbo
#[Out]# 26       Jumbo
#[Out]# 27       Jumbo
#[Out]# 28       Jumbo
#[Out]# 29       Jumbo
#[Out]# ..         ...
#[Out]# 592       Lidl
#[Out]# 593       Lidl
#[Out]# 594       Lidl
#[Out]# 595       Lidl
#[Out]# 596       Lidl
#[Out]# 597       Lidl
#[Out]# 598       Lidl
#[Out]# 599       Lidl
#[Out]# 600       Lidl
#[Out]# 601       Lidl
#[Out]# 602       Lidl
#[Out]# 603       Lidl
#[Out]# 604       Lidl
#[Out]# 605       Lidl
#[Out]# 606      Jumbo
#[Out]# 607      Jumbo
#[Out]# 608      Jumbo
#[Out]# 609      Jumbo
#[Out]# 610      Jumbo
#[Out]# 611      Jumbo
#[Out]# 612      Jumbo
#[Out]# 613      Jumbo
#[Out]# 614      Jumbo
#[Out]# 615      Jumbo
#[Out]# 616      Jumbo
#[Out]# 617      Jumbo
#[Out]# 618      Jumbo
#[Out]# 619      Jumbo
#[Out]# 620      Jumbo
#[Out]# 621      Jumbo
#[Out]# 
#[Out]# [622 rows x 1 columns]
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
    (SELECT sName
    FROM store s, purchase p
    WHERE 
    p.sID = s.sID AND
    avg(p.quantity) > 4

'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
    (SELECT sName
    FROM store s, purchase p
    WHERE 
    p.sID = s.sID AND
    avg(p.quantity) > 4 )
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
    SELECT sName
    FROM store s, purchase p
    WHERE 
    p.sID = s.sID AND
    avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
    SELECT *
    FROM store
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
    SELECT sName
    FROM store
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Coop
#[Out]# 1         Coop
#[Out]# 2         Coop
#[Out]# 3         Coop
#[Out]# 4         Coop
#[Out]# 5         Coop
#[Out]# 6         Coop
#[Out]# 7         Coop
#[Out]# 8         Coop
#[Out]# 9         Coop
#[Out]# 10        Coop
#[Out]# 11        Coop
#[Out]# 12        Coop
#[Out]# 13        Coop
#[Out]# 14   Hoogvliet
#[Out]# 15   Hoogvliet
#[Out]# 16   Hoogvliet
#[Out]# 17   Hoogvliet
#[Out]# 18   Hoogvliet
#[Out]# 19   Hoogvliet
#[Out]# 20   Hoogvliet
#[Out]# 21   Hoogvliet
#[Out]# 22   Hoogvliet
#[Out]# 23       Jumbo
#[Out]# 24       Jumbo
#[Out]# 25       Jumbo
#[Out]# 26       Jumbo
#[Out]# 27       Jumbo
#[Out]# 28       Jumbo
#[Out]# 29       Jumbo
#[Out]# ..         ...
#[Out]# 592       Lidl
#[Out]# 593       Lidl
#[Out]# 594       Lidl
#[Out]# 595       Lidl
#[Out]# 596       Lidl
#[Out]# 597       Lidl
#[Out]# 598       Lidl
#[Out]# 599       Lidl
#[Out]# 600       Lidl
#[Out]# 601       Lidl
#[Out]# 602       Lidl
#[Out]# 603       Lidl
#[Out]# 604       Lidl
#[Out]# 605       Lidl
#[Out]# 606      Jumbo
#[Out]# 607      Jumbo
#[Out]# 608      Jumbo
#[Out]# 609      Jumbo
#[Out]# 610      Jumbo
#[Out]# 611      Jumbo
#[Out]# 612      Jumbo
#[Out]# 613      Jumbo
#[Out]# 614      Jumbo
#[Out]# 615      Jumbo
#[Out]# 616      Jumbo
#[Out]# 617      Jumbo
#[Out]# 618      Jumbo
#[Out]# 619      Jumbo
#[Out]# 620      Jumbo
#[Out]# 621      Jumbo
#[Out]# 
#[Out]# [622 rows x 1 columns]
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND 
'''

pd.read_sql_query(query4, conn)
query4 = '''


SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND
SELECT sName
FROM store
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND
SELECT sName
FROM store
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2
WHERE s1.sName = s2.sName AND
SELECT s1.sName
FROM store as s1
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName
s1.sID = p.sID AND
avg(quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName
s1.sID = p.sID AND
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID AND
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID
'''

pd.read_sql_query(query4, conn)
#[Out]#           sName
#[Out]# 0        Sligro
#[Out]# 1        Sligro
#[Out]# 2        Sligro
#[Out]# 3        Sligro
#[Out]# 4        Sligro
#[Out]# 5        Sligro
#[Out]# 6        Sligro
#[Out]# 7        Sligro
#[Out]# 8        Sligro
#[Out]# 9          Dirk
#[Out]# 10         Dirk
#[Out]# 11         Dirk
#[Out]# 12         Dirk
#[Out]# 13         Dirk
#[Out]# 14         Dirk
#[Out]# 15       Sligro
#[Out]# 16       Sligro
#[Out]# 17       Sligro
#[Out]# 18       Sligro
#[Out]# 19       Sligro
#[Out]# 20       Sligro
#[Out]# 21       Sligro
#[Out]# 22       Sligro
#[Out]# 23       Sligro
#[Out]# 24    Hoogvliet
#[Out]# 25    Hoogvliet
#[Out]# 26    Hoogvliet
#[Out]# 27    Hoogvliet
#[Out]# 28    Hoogvliet
#[Out]# 29    Hoogvliet
#[Out]# ...         ...
#[Out]# 5041       Lidl
#[Out]# 5042       Lidl
#[Out]# 5043       Lidl
#[Out]# 5044       Lidl
#[Out]# 5045       Lidl
#[Out]# 5046       Lidl
#[Out]# 5047       Lidl
#[Out]# 5048       Lidl
#[Out]# 5049       Lidl
#[Out]# 5050       Lidl
#[Out]# 5051       Lidl
#[Out]# 5052       Lidl
#[Out]# 5053       Lidl
#[Out]# 5054       Lidl
#[Out]# 5055      Jumbo
#[Out]# 5056      Jumbo
#[Out]# 5057      Jumbo
#[Out]# 5058      Jumbo
#[Out]# 5059      Jumbo
#[Out]# 5060      Jumbo
#[Out]# 5061      Jumbo
#[Out]# 5062      Jumbo
#[Out]# 5063      Jumbo
#[Out]# 5064      Jumbo
#[Out]# 5065      Jumbo
#[Out]# 5066      Jumbo
#[Out]# 5067      Jumbo
#[Out]# 5068      Jumbo
#[Out]# 5069      Jumbo
#[Out]# 5070      Jumbo
#[Out]# 
#[Out]# [5071 rows x 1 columns]
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID AND
avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
query4 = '''
SELECT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID
GROUP BY quantity
HAVING avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Lidl
#[Out]# 1         Lidl
#[Out]# 2         Dirk
#[Out]# 3    Hoogvliet
#[Out]# 4    Hoogvliet
#[Out]# 5  Albert Hein
#[Out]# 6       Sligro
#[Out]# 7         Dirk
#[Out]# 8    Hoogvliet
query4 = '''
SELECT DISTINCT s1.sName
FROM store AS s1, store AS s2, purchase AS p
WHERE 
s1.sName = s2.sName AND
s1.sID = p.sID
GROUP BY quantity
HAVING avg(p.quantity) > 4
'''

pd.read_sql_query(query4, conn)
#[Out]#          sName
#[Out]# 0         Lidl
#[Out]# 1         Dirk
#[Out]# 2    Hoogvliet
#[Out]# 3  Albert Hein
#[Out]# 4       Sligro

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 =

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

'''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
( SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID )'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c1.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID

'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
'''

pd.read_sql_query(query3, conn)
query3 = '''

'''

pd.read_sql_query(query3, conn)
query3 = '''
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file.
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 =

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

'''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
( SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID )'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c1.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID

'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
'''

pd.read_sql_query(query3, conn)
query3 = '''

'''

pd.read_sql_query(query3, conn)
query3 = '''
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
query1 =

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

```SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);```

pd.read_sql_query(query1, conn)
query1 =

'''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase as pu1, purchase as pu2, purchase as pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
( SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID )'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu1.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID,
pr1.pName = "Onions", 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
query2 ='''
SELECT p1.cID
FROM purchase AS p1, purchase AS p2, product AS pr1, product AS pr2
WHERE 
pr1.pID = p1.pID AND 
pr2.pID = p2.pID AND 
p1.date = p2.date AND
p1.cID = p2.cID AND 
pr1.pName = "Onions" AND 
pr2.pName = "Coffee"
'''

pd.read_sql_query(query2, conn)
#[Out]#    cID
#[Out]# 0  124
#[Out]# 1  190
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c1.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT  (
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
)
'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID

'''

pd.read_sql_query(query3, conn)
query3 = '''
SELECT cID
FROM customer
EXCEPT
    SELECT c.cID
    FROM customer AS c, purchase AS p1, purchase AS p2
    WHERE 
    p1.cID = p2.cID
    p1.pID <> p2.pID
'''

pd.read_sql_query(query3, conn)
query3 = '''

'''

pd.read_sql_query(query3, conn)
query3 = '''
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 = ''' SELECT*
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
EXCEPT 
'''

pd.read_sql_query(query3, conn)
query3 ='''
SELECT cID
FROM customer 
'''

pd.read_sql_query(query3, conn)
#[Out]#      cID
#[Out]# 0      0
#[Out]# 1      1
#[Out]# 2      2
#[Out]# 3      3
#[Out]# 4      4
#[Out]# 5      5
#[Out]# 6      6
#[Out]# 7      7
#[Out]# 8      8
#[Out]# 9      9
#[Out]# 10    10
#[Out]# 11    11
#[Out]# 12    12
#[Out]# 13    13
#[Out]# 14    14
#[Out]# 15    15
#[Out]# 16    16
#[Out]# 17    17
#[Out]# 18    18
#[Out]# 19    19
#[Out]# 20    20
#[Out]# 21    21
#[Out]# 22    22
#[Out]# 23    23
#[Out]# 24    24
#[Out]# 25    25
#[Out]# 26    26
#[Out]# 27    27
#[Out]# 28    28
#[Out]# 29    29
#[Out]# ..   ...
#[Out]# 160  160
#[Out]# 161  161
#[Out]# 162  162
#[Out]# 163  163
#[Out]# 164  164
#[Out]# 165  165
#[Out]# 166  166
#[Out]# 167  167
#[Out]# 168  168
#[Out]# 169  169
#[Out]# 170  170
#[Out]# 171  171
#[Out]# 172  172
#[Out]# 173  173
#[Out]# 174  174
#[Out]# 175  175
#[Out]# 176  176
#[Out]# 177  177
#[Out]# 178  178
#[Out]# 179  179
#[Out]# 180  180
#[Out]# 181  181
#[Out]# 182  182
#[Out]# 183  183
#[Out]# 184  184
#[Out]# 185  185
#[Out]# 186  186
#[Out]# 187  188
#[Out]# 188  189
#[Out]# 189  190
#[Out]# 
#[Out]# [190 rows x 1 columns]
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
query1 ='''
SELECT pID
FROM product
EXCEPT
SELECT pu3.pID
FROM purchase as pu1, purchase as pu2, purchase as pu3 
WHERE pu1.cID <> pu2.CID AND pu2.cID <> pu3.CID'''

pd.read_sql_query(query1, conn)
#[Out]#    pID
#[Out]# 0   31
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
# This connects a database instance on your local machine, make the name of the database descriptive!
conn = sqlite3.connect('shopping.db')
cur = conn.cursor()

# The first time you ran this command, it initialized a database instance.
# In the cell below, you fill it with the appropriate sql dump file. 
# This cell populates the database.
# You can only populate each database once, so comment this cell out once it is finished.
# If you want to create a new database instance or use another database, 
# fill in another name in the cell above, 
# change the source file below and run both cells.

# Replace this line with the correct location of the SQL dump, 
# and the correct database instance needed for the questions.
db_location = 'shoppingDB.sql'

f = open(db_location,'r')
sql = f.read()
cur.executescript(sql)
#[Out]# <sqlite3.Cursor at 0x1995e484650>
query1 = 

SELECT pr.pID
FROM product AS pr
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 = SELECT pr.pID
FROM product AS pr
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 = 

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 = 
SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 = SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query1 = 

SELECT pID
FROM product
EXCEPT (
    SELECT pu1.pID
    FROM purchase AS pu1, purchase AS pu2, purchase AS pu3 
    WHERE pu1.cID = pu2.CID AND pu2.cID = pu3.CID);

pd.read_sql_query(query1, conn)
query2 = 

SELECT p1.cID
FROM purchase as p1, purchase as p2, product as pr1, product as pr2
WHERE 
pr1.pID = p1.pID, 
pr2.pID = p2.pID,
p1.date = p2.date,
p1.cID = p2.cID
pr1.pName = "Onions", 
pr2.pName = "Coffee"
("")

pd.read_sql_query(query2, conn)

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd
get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

# IPython log file

get_ipython().magic('logstop')
get_ipython().magic('logstart -o')
import sqlite3
import pandas as pd

